#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 53: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 45: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 26: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 53: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 77: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 68: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 72: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 53: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 53: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 25: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpMultiPart
      switch(to) {
        case 53: return (void*)(QObject*)(QHttpMultiPart*)xptr;
        case 23: return (void*)(QHttpMultiPart*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 24: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 25: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 26:   //QIODevice
      switch(to) {
        case 53: return (void*)(QObject*)(QIODevice*)xptr;
        case 26: return (void*)(QIODevice*)xptr;
        case 50: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 77: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 68: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 72: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 33: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 27:   //QIPv6Address
      switch(to) {
        case 27: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 28:   //QIncompatibleFlag
      switch(to) {
        case 28: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 29:   //QLatin1String
      switch(to) {
        case 29: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 30:   //QLine
      switch(to) {
        case 30: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 31:   //QLineF
      switch(to) {
        case 31: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalServer
      switch(to) {
        case 53: return (void*)(QObject*)(QLocalServer*)xptr;
        case 32: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 33:   //QLocalSocket
      switch(to) {
        case 26: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 53: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 33: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 34:   //QLocale
      switch(to) {
        case 34: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 35:   //QMargins
      switch(to) {
        case 35: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 36:   //QMetaObject
      switch(to) {
        case 36: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 37:   //QModelIndex
      switch(to) {
        case 37: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAccessManager
      switch(to) {
        case 53: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 38: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkAddressEntry
      switch(to) {
        case 39: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkCacheMetaData
      switch(to) {
        case 40: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkConfiguration
      switch(to) {
        case 41: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkConfigurationManager
      switch(to) {
        case 53: return (void*)(QObject*)(QNetworkConfigurationManager*)xptr;
        case 42: return (void*)(QNetworkConfigurationManager*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkCookie
      switch(to) {
        case 43: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkCookieJar
      switch(to) {
        case 53: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 44: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 53: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 45: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkInterface
      switch(to) {
        case 46: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkProxy
      switch(to) {
        case 47: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkProxyFactory
      switch(to) {
        case 48: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkProxyQuery
      switch(to) {
        case 49: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 50:   //QNetworkReply
      switch(to) {
        case 26: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 53: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 50: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 51:   //QNetworkRequest
      switch(to) {
        case 51: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 52:   //QNetworkSession
      switch(to) {
        case 53: return (void*)(QObject*)(QNetworkSession*)xptr;
        case 52: return (void*)(QNetworkSession*)xptr;
        default: return xptr;
      }
    case 53:   //QObject
      switch(to) {
        case 53: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 44: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 32: return (void*)(QLocalServer*)(QObject*)xptr;
        case 50: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 77: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 52: return (void*)(QNetworkSession*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 68: return (void*)(QSslSocket*)(QObject*)xptr;
        case 38: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 72: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 45: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 71: return (void*)(QTcpServer*)(QObject*)xptr;
        case 33: return (void*)(QLocalSocket*)(QObject*)xptr;
        case 42: return (void*)(QNetworkConfigurationManager*)(QObject*)xptr;
        default: return xptr;
      }
    case 54:   //QPersistentModelIndex
      switch(to) {
        case 54: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QPoint
      switch(to) {
        case 55: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 56:   //QPointF
      switch(to) {
        case 56: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 57:   //QRect
      switch(to) {
        case 57: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 58:   //QRectF
      switch(to) {
        case 58: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 59:   //QRegExp
      switch(to) {
        case 59: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 60:   //QSize
      switch(to) {
        case 60: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 61:   //QSizeF
      switch(to) {
        case 61: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 63:   //QSslCertificate
      switch(to) {
        case 63: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 64:   //QSslCipher
      switch(to) {
        case 64: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 65:   //QSslConfiguration
      switch(to) {
        case 65: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 66:   //QSslError
      switch(to) {
        case 66: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 67:   //QSslKey
      switch(to) {
        case 67: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 68:   //QSslSocket
      switch(to) {
        case 72: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 53: return (void*)(QObject*)(QSslSocket*)xptr;
        case 68: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 69:   //QString::Null
      switch(to) {
        case 69: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 70:   //QStringRef
      switch(to) {
        case 70: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 71:   //QTcpServer
      switch(to) {
        case 53: return (void*)(QObject*)(QTcpServer*)xptr;
        case 71: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 72:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 53: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 72: return (void*)(QTcpSocket*)xptr;
        case 68: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 73:   //QTextStream
      switch(to) {
        case 73: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 74:   //QTextStreamManipulator
      switch(to) {
        case 74: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 75:   //QTime
      switch(to) {
        case 75: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 76:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 76: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 77:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 26: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 53: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 77: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 78:   //QUrl
      switch(to) {
        case 78: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 79:   //QUrlInfo
      switch(to) {
        case 79: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 80:   //QUuid
      switch(to) {
        case 80: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 81:   //QVariant
      switch(to) {
        case 81: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 82:   //QVariantComparisonHelper
      switch(to) {
        case 82: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 83:   //sockaddr
      switch(to) {
        case 83: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    53, 0,	// 1: QObject
    26, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    72, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfigurationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfiguration(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkSession(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfigurationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkSession(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpMultiPart", true, 0, 0, 0, 0, 0 },	//23
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//24
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//25
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//26
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//27
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//28
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//29
    { "QLine", true, 0, 0, 0, 0, 0 },	//30
    { "QLineF", true, 0, 0, 0, 0, 0 },	//31
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//32
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//33
    { "QLocale", true, 0, 0, 0, 0, 0 },	//34
    { "QMargins", true, 0, 0, 0, 0, 0 },	//35
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//36
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//37
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//38
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//39
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//40
    { "QNetworkConfiguration", false, 0, xcall_QNetworkConfiguration, xenum_QNetworkConfiguration, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkConfiguration) },	//41
    { "QNetworkConfigurationManager", false, 1, xcall_QNetworkConfigurationManager, xenum_QNetworkConfigurationManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkConfigurationManager) },	//42
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//43
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//44
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//45
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//46
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//47
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//48
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//49
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//50
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//51
    { "QNetworkSession", false, 1, xcall_QNetworkSession, xenum_QNetworkSession, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkSession) },	//52
    { "QObject", true, 0, 0, 0, 0, 0 },	//53
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QPoint", true, 0, 0, 0, 0, 0 },	//55
    { "QPointF", true, 0, 0, 0, 0, 0 },	//56
    { "QRect", true, 0, 0, 0, 0, 0 },	//57
    { "QRectF", true, 0, 0, 0, 0, 0 },	//58
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//59
    { "QSize", true, 0, 0, 0, 0, 0 },	//60
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//61
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//62
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//63
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//64
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//65
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//66
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//67
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//68
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//69
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//70
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//71
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//72
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//73
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//74
    { "QTime", true, 0, 0, 0, 0, 0 },	//75
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//76
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//77
    { "QUrl", true, 0, 0, 0, 0, 0 },	//78
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//79
    { "QUuid", true, 0, 0, 0, 0, 0 },	//80
    { "QVariant", true, 0, 0, 0, 0, 0 },	//81
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//82
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//83
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfiguration::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//74
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//75
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//78
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//79
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//86
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QHttpMultiPart*", 23, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QHttpRequestHeader", 24, Smoke::t_class|Smoke::tf_stack },	//89
    { "QHttpRequestHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//90
    { "QHttpRequestHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QHttpResponseHeader", 25, Smoke::t_class|Smoke::tf_stack },	//92
    { "QHttpResponseHeader&", 25, Smoke::t_class|Smoke::tf_ref },	//93
    { "QHttpResponseHeader*", 25, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QIODevice*", 26, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QIODevice::OpenModeFlag", 26, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QIPv6Address", 27, Smoke::t_class|Smoke::tf_stack },	//98
    { "QIPv6Address*", 27, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QIncompatibleFlag", 28, Smoke::t_class|Smoke::tf_stack },	//100
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//101
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QLine&", 30, Smoke::t_class|Smoke::tf_ref },	//103
    { "QLineF&", 31, Smoke::t_class|Smoke::tf_ref },	//104
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QNetworkConfiguration>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//117
    { "QLocalServer*", 32, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QLocalSocket*", 33, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QLocalSocket::LocalSocketError", 33, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QLocalSocket::LocalSocketState", 33, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QLocale&", 34, Smoke::t_class|Smoke::tf_ref },	//122
    { "QLocale::NumberOption", 34, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QMetaObject::Call", 36, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QNetworkAccessManager*", 38, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QNetworkAccessManager::NetworkAccessibility", 38, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QNetworkAccessManager::Operation", 38, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QNetworkAddressEntry&", 39, Smoke::t_class|Smoke::tf_ref },	//129
    { "QNetworkAddressEntry*", 39, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QNetworkCacheMetaData", 40, Smoke::t_class|Smoke::tf_stack },	//131
    { "QNetworkCacheMetaData&", 40, Smoke::t_class|Smoke::tf_ref },	//132
    { "QNetworkCacheMetaData*", 40, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QNetworkConfiguration", 41, Smoke::t_class|Smoke::tf_stack },	//134
    { "QNetworkConfiguration&", 41, Smoke::t_class|Smoke::tf_ref },	//135
    { "QNetworkConfiguration*", 41, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QNetworkConfiguration::BearerType", 41, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QNetworkConfiguration::Purpose", 41, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QNetworkConfiguration::StateFlag", 41, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QNetworkConfiguration::Type", 41, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QNetworkConfigurationManager*", 42, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QNetworkConfigurationManager::Capability", 42, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QNetworkCookie&", 43, Smoke::t_class|Smoke::tf_ref },	//143
    { "QNetworkCookie*", 43, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QNetworkCookie::RawForm", 43, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QNetworkCookieJar*", 44, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkDiskCache*", 45, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QNetworkInterface", 46, Smoke::t_class|Smoke::tf_stack },	//148
    { "QNetworkInterface&", 46, Smoke::t_class|Smoke::tf_ref },	//149
    { "QNetworkInterface*", 46, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QNetworkInterface::InterfaceFlag", 46, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QNetworkProxy", 47, Smoke::t_class|Smoke::tf_stack },	//152
    { "QNetworkProxy&", 47, Smoke::t_class|Smoke::tf_ref },	//153
    { "QNetworkProxy*", 47, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QNetworkProxy::Capability", 47, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkProxy::ProxyType", 47, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QNetworkProxyFactory*", 48, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QNetworkProxyQuery&", 49, Smoke::t_class|Smoke::tf_ref },	//158
    { "QNetworkProxyQuery*", 49, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QNetworkProxyQuery::QueryType", 49, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QNetworkReply*", 50, Smoke::t_class|Smoke::tf_ptr },	//161
    { "QNetworkReply::NetworkError", 50, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QNetworkRequest", 51, Smoke::t_class|Smoke::tf_stack },	//163
    { "QNetworkRequest&", 51, Smoke::t_class|Smoke::tf_ref },	//164
    { "QNetworkRequest*", 51, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QNetworkRequest::Attribute", 51, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QNetworkRequest::CacheLoadControl", 51, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QNetworkRequest::KnownHeaders", 51, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QNetworkRequest::LoadControl", 51, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QNetworkRequest::Priority", 51, Smoke::t_enum|Smoke::tf_stack },	//170
    { "QNetworkSession*", 52, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QNetworkSession::SessionError", 52, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QNetworkSession::State", 52, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QObject*", 53, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QObject*(*)()", 53, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//176
    { "QPoint&", 55, Smoke::t_class|Smoke::tf_ref },	//177
    { "QPointF&", 56, Smoke::t_class|Smoke::tf_ref },	//178
    { "QRect&", 57, Smoke::t_class|Smoke::tf_ref },	//179
    { "QRectF&", 58, Smoke::t_class|Smoke::tf_ref },	//180
    { "QRegExp&", 59, Smoke::t_class|Smoke::tf_ref },	//181
    { "QRegExp::PatternSyntax", 59, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QSize&", 60, Smoke::t_class|Smoke::tf_ref },	//183
    { "QSizeF&", 61, Smoke::t_class|Smoke::tf_ref },	//184
    { "QSsl::AlternateNameEntryType", 62, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QSsl::EncodingFormat", 62, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSsl::KeyAlgorithm", 62, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QSsl::KeyType", 62, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QSsl::SslProtocol", 62, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QSslCertificate", 63, Smoke::t_class|Smoke::tf_stack },	//190
    { "QSslCertificate&", 63, Smoke::t_class|Smoke::tf_ref },	//191
    { "QSslCertificate*", 63, Smoke::t_class|Smoke::tf_ptr },	//192
    { "QSslCertificate::SubjectInfo", 63, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QSslCipher", 64, Smoke::t_class|Smoke::tf_stack },	//194
    { "QSslCipher&", 64, Smoke::t_class|Smoke::tf_ref },	//195
    { "QSslCipher*", 64, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QSslConfiguration", 65, Smoke::t_class|Smoke::tf_stack },	//197
    { "QSslConfiguration&", 65, Smoke::t_class|Smoke::tf_ref },	//198
    { "QSslConfiguration*", 65, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QSslError&", 66, Smoke::t_class|Smoke::tf_ref },	//200
    { "QSslError*", 66, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QSslError::SslError", 66, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QSslKey", 67, Smoke::t_class|Smoke::tf_stack },	//203
    { "QSslKey&", 67, Smoke::t_class|Smoke::tf_ref },	//204
    { "QSslKey*", 67, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSslSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QSslSocket::PeerVerifyMode", 68, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QSslSocket::SslMode", 68, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//209
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//210
    { "QString::Null", 69, Smoke::t_class|Smoke::tf_stack },	//211
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//213
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//214
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//215
    { "QTcpServer*", 71, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QTcpSocket*", 72, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QTextStream&", 73, Smoke::t_class|Smoke::tf_ref },	//219
    { "QTextStream&(*)(QTextStream&)", 73, Smoke::t_class|Smoke::tf_ref },	//220
    { "QTextStream::NumberFlag", 73, Smoke::t_enum|Smoke::tf_stack },	//221
    { "QTextStreamManipulator", 74, Smoke::t_class|Smoke::tf_stack },	//222
    { "QTime&", 75, Smoke::t_class|Smoke::tf_ref },	//223
    { "QTimerEvent*", 76, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QUdpSocket*", 77, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QUdpSocket::BindFlag", 77, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QUrl", 78, Smoke::t_class|Smoke::tf_stack },	//227
    { "QUrl&", 78, Smoke::t_class|Smoke::tf_ref },	//228
    { "QUrl::FormattingOption", 78, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QUrlInfo&", 79, Smoke::t_class|Smoke::tf_ref },	//230
    { "QUrlInfo*", 79, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QUrlInfo::PermissionSpec", 79, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QUuid&", 80, Smoke::t_class|Smoke::tf_ref },	//233
    { "QVariant", 81, Smoke::t_class|Smoke::tf_stack },	//234
    { "QVariant&", 81, Smoke::t_class|Smoke::tf_ref },	//235
    { "QVariant::Type", 81, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QVariant::Type&", 81, Smoke::t_enum|Smoke::tf_ref },	//237
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//312
    { "__codecvt_result", 17, Smoke::t_enum|Smoke::tf_stack },	//313
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//314
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//315
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//316
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//317
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//320
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QHttpRequestHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QHttpResponseHeader&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QIPv6Address&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QLatin1String&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QLine&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QLineF&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QLocale&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QMargins&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QMetaObject&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//347
    { "const QMetaObject*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//348
    { "const QModelIndex&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QNetworkAddressEntry&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QNetworkCacheMetaData&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QNetworkConfiguration&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QNetworkCookie&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QNetworkInterface&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QNetworkProxy&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QNetworkProxyFactory&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QNetworkProxyQuery&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QNetworkRequest&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//359
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QPersistentModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QPoint", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//362
    { "const QPoint&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QPointF", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//364
    { "const QPointF&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QRect&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QRectF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QRegExp&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QRegExp*", 59, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//369
    { "const QSize", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//370
    { "const QSize&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QSizeF", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//372
    { "const QSizeF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QSslCertificate&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QSslCipher&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QSslConfiguration&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QSslError&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QSslError::SslError&", 66, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QSslKey&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//380
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//383
    { "const QStringRef&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QTime&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QUrl&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QUrlInfo&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QUuid&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QVariant&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QVariant::Type", 81, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//390
    { "const QVariantComparisonHelper&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//392
    { "const sockaddr*", 83, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//395
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//396
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//397
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//398
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//399
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//400
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//401
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//402
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//403
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//404
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//405
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//406
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//407
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//408
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//409
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//410
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//411
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//412
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//413
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//414
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//415
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//416
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//417
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//418
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//419
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//420
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//421
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//422
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    392, 0,	//1  const char*
    392, 392, 0,	//3  const char*, const char*
    392, 392, 398, 0,	//6  const char*, const char*, int
    124, 398, 421, 0,	//10  QMetaObject::Call, int, void**
    386, 0,	//14  const QUrl&
    351, 0,	//16  const QNetworkCacheMetaData&
    95, 0,	//18  QIODevice*
    174, 0,	//20  QObject*
    8, 174, 0,	//22  QAbstractSocket::SocketType, QObject*
    381, 415, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    329, 415, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    403, 0,	//33  long long
    398, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 389, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    398, 0,	//44  int
    355, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    355, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    381, 405, 96, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    317, 403, 0,	//59  char*, long long
    392, 403, 0,	//62  const char*, long long
    415, 0,	//65  unsigned short
    329, 0,	//67  const QHostAddress&
    381, 0,	//69  const QString&
    381, 415, 0,	//71  const QString&, unsigned short
    329, 415, 0,	//74  const QHostAddress&, unsigned short
    398, 7, 0,	//77  int, QAbstractSocket::SocketState
    381, 405, 0,	//80  const QString&, quint16
    318, 0,	//83  const QAuthenticator&
    381, 389, 0,	//85  const QString&, const QVariant&
    381, 381, 0,	//88  const QString&, const QString&
    70, 0,	//91  QFtp::TransferMode
    381, 95, 71, 0,	//93  const QString&, QIODevice*, QFtp::TransferType
    321, 381, 71, 0,	//97  const QByteArray&, const QString&, QFtp::TransferType
    95, 381, 71, 0,	//101  QIODevice*, const QString&, QFtp::TransferType
    387, 0,	//105  const QUrlInfo&
    404, 404, 0,	//107  qint64, qint64
    398, 381, 0,	//110  int, const QString&
    398, 314, 0,	//113  int, bool
    314, 0,	//116  bool
    381, 95, 0,	//118  const QString&, QIODevice*
    321, 381, 0,	//121  const QByteArray&, const QString&
    95, 381, 0,	//124  QIODevice*, const QString&
    384, 384, 0,	//127  const QStringRef&, const QStringRef&
    414, 0,	//130  unsigned long long
    396, 0,	//132  double
    218, 398, 0,	//134  QTextCodec::ConversionFlag, int
    269, 398, 0,	//137  Qt::ImageConversionFlag, int
    392, 412, 0,	//140  const char*, unsigned int
    420, 395, 408, 0,	//143  void*, const void*, size_t
    392, 335, 0,	//147  const char*, const QLatin1String&
    24, 38, 0,	//150  QDebug, QFlags<QIODevice::OpenModeFlag>
    24, 377, 0,	//153  QDebug, const QSslError&
    384, 381, 0,	//156  const QStringRef&, const QString&
    371, 371, 0,	//159  const QSize&, const QSize&
    392, 321, 0,	//162  const char*, const QByteArray&
    31, 37, 0,	//165  QFile::Permission, QFlags<QFile::Permission>
    381, 392, 0,	//168  const QString&, const char*
    365, 365, 0,	//171  const QPointF&, const QPointF&
    396, 396, 0,	//174  double, double
    20, 184, 0,	//177  QDataStream&, QSizeF&
    321, 392, 0,	//180  const QByteArray&, const char*
    397, 0,	//183  float
    407, 0,	//185  signed char
    155, 398, 0,	//187  QNetworkProxy::Capability, int
    381, 384, 0,	//190  const QString&, const QStringRef&
    16, 0,	//193  QChar
    384, 335, 0,	//195  const QStringRef&, const QLatin1String&
    16, 16, 0,	//198  QChar, QChar
    302, 302, 0,	//201  Qt::TouchPointState, Qt::TouchPointState
    321, 0,	//204  const QByteArray&
    24, 386, 0,	//206  QDebug, const QUrl&
    211, 381, 0,	//209  QString::Null, const QString&
    20, 329, 0,	//212  QDataStream&, const QHostAddress&
    299, 299, 0,	//215  Qt::ToolBarArea, Qt::ToolBarArea
    123, 123, 0,	//218  QLocale::NumberOption, QLocale::NumberOption
    309, 309, 0,	//221  Qt::WindowType, Qt::WindowType
    396, 373, 0,	//224  double, const QSizeF&
    25, 398, 0,	//227  QDir::Filter, int
    363, 363, 0,	//230  const QPoint&, const QPoint&
    20, 367, 0,	//233  QDataStream&, const QRectF&
    277, 398, 0,	//236  Qt::KeyboardModifier, int
    296, 61, 0,	//239  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 7, 0,	//242  QDebug, QAbstractSocket::SocketState
    316, 0,	//245  char
    221, 47, 0,	//247  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    24, 346, 0,	//250  QDebug, const QMargins&
    229, 398, 0,	//253  QUrl::FormattingOption, int
    31, 398, 0,	//256  QFile::Permission, int
    363, 396, 0,	//259  const QPoint&, double
    27, 35, 0,	//262  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    20, 351, 0,	//265  QDataStream&, const QNetworkCacheMetaData&
    381, 321, 0,	//268  const QString&, const QByteArray&
    373, 373, 0,	//271  const QSizeF&, const QSizeF&
    24, 365, 0,	//274  QDebug, const QPointF&
    402, 398, 400, 400, 0,	//277  long double, int, int*, int*
    277, 57, 0,	//282  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    24, 337, 0,	//285  QDebug, const QLineF&
    24, 324, 0,	//288  QDebug, const QDateTime&
    24, 193, 0,	//291  QDebug, QSslCertificate::SubjectInfo
    155, 155, 0,	//294  QNetworkProxy::Capability, QNetworkProxy::Capability
    392, 381, 0,	//297  const char*, const QString&
    226, 48, 0,	//300  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    229, 229, 0,	//303  QUrl::FormattingOption, QUrl::FormattingOption
    302, 63, 0,	//306  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    269, 269, 0,	//309  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    123, 398, 0,	//312  QLocale::NumberOption, int
    335, 335, 0,	//315  const QLatin1String&, const QLatin1String&
    394, 398, 0,	//318  const unsigned char*, int
    392, 392, 412, 0,	//321  const char*, const char*, unsigned int
    155, 44, 0,	//325  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    335, 384, 0,	//328  const QLatin1String&, const QStringRef&
    260, 260, 0,	//331  Qt::DropAction, Qt::DropAction
    142, 142, 0,	//334  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    24, 363, 0,	//337  QDebug, const QPoint&
    20, 122, 0,	//340  QDataStream&, QLocale&
    381, 16, 0,	//343  const QString&, QChar
    211, 211, 0,	//346  QString::Null, QString::Null
    24, 121, 0,	//349  QDebug, QLocalSocket::LocalSocketState
    394, 411, 398, 0,	//352  const unsigned char*, unsigned char*, int
    218, 218, 0,	//356  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    284, 284, 0,	//359  Qt::Orientation, Qt::Orientation
    420, 408, 408, 408, 0,	//362  void*, size_t, size_t, size_t
    412, 0,	//367  unsigned int
    299, 62, 0,	//369  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    366, 366, 0,	//372  const QRect&, const QRect&
    30, 36, 0,	//375  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    319, 319, 0,	//378  const QBitArray&, const QBitArray&
    321, 321, 0,	//381  const QByteArray&, const QByteArray&
    420, 408, 0,	//384  void*, size_t
    20, 345, 0,	//387  QDataStream&, const QLocale&
    24, 326, 0,	//390  QDebug, const QEasingCurve&
    419, 0,	//393  void(*)(QtMsgType,const char*)
    349, 0,	//395  const QModelIndex&
    20, 23, 0,	//397  QDataStream&, QDateTime&
    13, 13, 0,	//400  QBool, QBool
    392, 384, 0,	//403  const char*, const QStringRef&
    299, 398, 0,	//406  Qt::ToolBarArea, int
    271, 398, 0,	//409  Qt::InputMethodHint, int
    16, 381, 0,	//412  QChar, const QString&
    212, 398, 0,	//415  QString::SectionFlag, int
    102, 398, 0,	//418  QLibrary::LoadHint, int
    20, 228, 0,	//421  QDataStream&, QUrl&
    381, 211, 0,	//424  const QString&, QString::Null
    1, 398, 0,	//427  QAbstractFileEngine::FileFlag, int
    218, 46, 0,	//430  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    381, 316, 0,	//433  const QString&, char
    271, 55, 0,	//436  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    309, 65, 0,	//439  Qt::WindowType, QFlags<Qt::WindowType>
    282, 282, 0,	//442  Qt::MouseButton, Qt::MouseButton
    317, 392, 0,	//445  char*, const char*
    238, 238, 0,	//448  Qt::AlignmentFlag, Qt::AlignmentFlag
    363, 0,	//451  const QPoint&
    260, 398, 0,	//453  Qt::DropAction, int
    20, 385, 0,	//456  QDataStream&, const QTime&
    26, 398, 0,	//459  QDir::SortFlag, int
    346, 346, 0,	//462  const QMargins&, const QMargins&
    24, 353, 0,	//465  QDebug, const QNetworkCookie&
    24, 5, 0,	//468  QDebug, QAbstractSocket::SocketError
    175, 0,	//471  QObject*(*)()
    280, 280, 0,	//473  Qt::MatchFlag, Qt::MatchFlag
    408, 0,	//476  size_t
    258, 51, 0,	//478  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    20, 214, 0,	//481  QDataStream&, QStringList&
    24, 390, 0,	//484  QDebug, const QVariant::Type
    258, 398, 0,	//487  Qt::DockWidgetArea, int
    401, 0,	//490  long
    398, 363, 0,	//492  int, const QPoint&
    20, 104, 0,	//495  QDataStream&, QLineF&
    31, 31, 0,	//498  QFile::Permission, QFile::Permission
    316, 381, 0,	//501  char, const QString&
    20, 183, 0,	//504  QDataStream&, QSize&
    361, 0,	//507  const QPersistentModelIndex&
    20, 381, 0,	//509  QDataStream&, const QString&
    20, 324, 0,	//512  QDataStream&, const QDateTime&
    359, 381, 347, 0,	//515  const QObject*, const QString&, const QMetaObject&
    212, 212, 0,	//519  QString::SectionFlag, QString::SectionFlag
    365, 396, 0,	//522  const QPointF&, double
    314, 13, 0,	//525  bool, QBool
    20, 132, 0,	//528  QDataStream&, QNetworkCacheMetaData&
    317, 392, 412, 0,	//531  char*, const char*, unsigned int
    142, 398, 0,	//535  QNetworkConfigurationManager::Capability, int
    20, 75, 0,	//538  QDataStream&, QHostAddress&
    20, 363, 0,	//541  QDataStream&, const QPoint&
    20, 235, 0,	//544  QDataStream&, QVariant&
    282, 398, 0,	//547  Qt::MouseButton, int
    365, 0,	//550  const QPointF&
    151, 43, 0,	//552  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    24, 361, 0,	//555  QDebug, const QPersistentModelIndex&
    392, 392, 392, 398, 0,	//558  const char*, const char*, const char*, int
    397, 363, 0,	//563  float, const QPoint&
    284, 60, 0,	//566  Qt::Orientation, QFlags<Qt::Orientation>
    24, 354, 0,	//569  QDebug, const QNetworkInterface&
    226, 398, 0,	//572  QUdpSocket::BindFlag, int
    30, 398, 0,	//575  QEventLoop::ProcessEventsFlag, int
    367, 367, 0,	//578  const QRectF&, const QRectF&
    269, 54, 0,	//581  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    24, 120, 0,	//584  QDebug, QLocalSocket::LocalSocketError
    20, 382, 0,	//587  QDataStream&, const QStringList&
    321, 316, 0,	//590  const QByteArray&, char
    27, 27, 0,	//593  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    25, 33, 0,	//596  QDir::Filter, QFlags<QDir::Filter>
    20, 177, 0,	//599  QDataStream&, QPoint&
    373, 396, 0,	//602  const QSizeF&, double
    20, 323, 0,	//605  QDataStream&, const QDate&
    418, 0,	//608  void(*)()
    394, 398, 398, 0,	//610  const unsigned char*, int, int
    20, 336, 0,	//614  QDataStream&, const QLine&
    20, 210, 0,	//617  QDataStream&, QString&
    24, 329, 0,	//620  QDebug, const QHostAddress&
    420, 0,	//623  void*
    274, 398, 0,	//625  Qt::ItemFlag, int
    24, 325, 0,	//628  QDebug, const QDir&
    219, 220, 0,	//631  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 349, 0,	//634  QDebug, const QModelIndex&
    24, 374, 0,	//637  QDebug, const QSslCertificate&
    30, 30, 0,	//640  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    319, 0,	//643  const QBitArray&
    24, 385, 0,	//645  QDebug, const QTime&
    219, 222, 0,	//648  QTextStream&, QTextStreamManipulator
    265, 53, 0,	//651  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    384, 392, 0,	//654  const QStringRef&, const char*
    77, 329, 0,	//657  QHostAddress::SpecialAddress, const QHostAddress&
    20, 12, 0,	//660  QDataStream&, QBitArray&
    408, 408, 0,	//663  size_t, size_t
    402, 398, 400, 400, 317, 408, 0,	//666  long double, int, int*, int*, char*, size_t
    24, 373, 0,	//673  QDebug, const QSizeF&
    265, 398, 0,	//676  Qt::GestureFlag, int
    316, 321, 0,	//679  char, const QByteArray&
    20, 389, 0,	//682  QDataStream&, const QVariant&
    24, 389, 0,	//685  QDebug, const QVariant&
    308, 398, 0,	//688  Qt::WindowState, int
    20, 223, 0,	//691  QDataStream&, QTime&
    24, 33, 0,	//694  QDebug, QFlags<QDir::Filter>
    277, 277, 0,	//697  Qt::KeyboardModifier, Qt::KeyboardModifier
    20, 28, 0,	//700  QDataStream&, QEasingCurve&
    396, 365, 0,	//703  double, const QPointF&
    260, 52, 0,	//706  Qt::DropAction, QFlags<Qt::DropAction>
    371, 396, 0,	//709  const QSize&, double
    24, 323, 0,	//712  QDebug, const QDate&
    25, 25, 0,	//715  QDir::Filter, QDir::Filter
    317, 408, 392, 417, 0,	//718  char*, size_t, const char*, va_list
    396, 363, 0,	//723  double, const QPoint&
    420, 398, 408, 0,	//726  void*, int, size_t
    20, 337, 0,	//730  QDataStream&, const QLineF&
    392, 398, 0,	//733  const char*, int
    406, 0,	//736  short
    97, 97, 0,	//738  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    258, 258, 0,	//741  Qt::DockWidgetArea, Qt::DockWidgetArea
    26, 34, 0,	//744  QDir::SortFlag, QFlags<QDir::SortFlag>
    151, 398, 0,	//747  QNetworkInterface::InterfaceFlag, int
    397, 397, 0,	//750  float, float
    389, 391, 0,	//753  const QVariant&, const QVariantComparisonHelper&
    102, 102, 0,	//756  QLibrary::LoadHint, QLibrary::LoadHint
    402, 398, 317, 0,	//759  long double, int, char*
    420, 408, 408, 399, 0,	//763  void*, size_t, size_t, int(*)(const void*,const void*)
    226, 226, 0,	//768  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    27, 398, 0,	//771  QDirIterator::IteratorFlag, int
    271, 271, 0,	//774  Qt::InputMethodHint, Qt::InputMethodHint
    24, 336, 0,	//777  QDebug, const QLine&
    296, 296, 0,	//780  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    302, 398, 0,	//783  Qt::TouchPointState, int
    321, 398, 0,	//786  const QByteArray&, int
    229, 49, 0,	//789  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    296, 398, 0,	//792  Qt::TextInteractionFlag, int
    308, 308, 0,	//795  Qt::WindowState, Qt::WindowState
    1, 32, 0,	//798  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    24, 378, 0,	//801  QDebug, const QSslError::SslError&
    20, 321, 0,	//804  QDataStream&, const QByteArray&
    20, 326, 0,	//807  QDataStream&, const QEasingCurve&
    20, 386, 0,	//810  QDataStream&, const QUrl&
    24, 366, 0,	//813  QDebug, const QRect&
    26, 26, 0,	//816  QDir::SortFlag, QDir::SortFlag
    221, 398, 0,	//819  QTextStream::NumberFlag, int
    20, 179, 0,	//822  QDataStream&, QRect&
    20, 371, 0,	//825  QDataStream&, const QSize&
    20, 322, 0,	//828  QDataStream&, const QChar&
    238, 398, 0,	//831  Qt::AlignmentFlag, int
    20, 368, 0,	//834  QDataStream&, const QRegExp&
    24, 367, 0,	//837  QDebug, const QRectF&
    308, 64, 0,	//840  Qt::WindowState, QFlags<Qt::WindowState>
    274, 274, 0,	//843  Qt::ItemFlag, Qt::ItemFlag
    20, 233, 0,	//846  QDataStream&, QUuid&
    363, 398, 0,	//849  const QPoint&, int
    20, 237, 0,	//852  QDataStream&, QVariant::Type&
    389, 236, 420, 0,	//855  const QVariant&, QVariant::Type, void*
    359, 381, 369, 347, 117, 0,	//859  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    328, 328, 0,	//865  const QHashDummyValue&, const QHashDummyValue&
    20, 178, 0,	//868  QDataStream&, QPointF&
    284, 398, 0,	//871  Qt::Orientation, int
    265, 265, 0,	//874  Qt::GestureFlag, Qt::GestureFlag
    97, 38, 0,	//877  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    363, 397, 0,	//880  const QPoint&, float
    396, 371, 0,	//883  double, const QSize&
    24, 379, 0,	//886  QDebug, const QSslKey&
    13, 314, 0,	//889  QBool, bool
    20, 103, 0,	//892  QDataStream&, QLine&
    24, 371, 0,	//895  QDebug, const QSize&
    221, 221, 0,	//898  QTextStream::NumberFlag, QTextStream::NumberFlag
    282, 59, 0,	//901  Qt::MouseButton, QFlags<Qt::MouseButton>
    20, 390, 0,	//904  QDataStream&, const QVariant::Type
    274, 56, 0,	//907  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    20, 388, 0,	//910  QDataStream&, const QUuid&
    102, 39, 0,	//913  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    309, 398, 0,	//916  Qt::WindowType, int
    151, 151, 0,	//919  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    20, 180, 0,	//922  QDataStream&, QRectF&
    20, 366, 0,	//925  QDataStream&, const QRect&
    280, 58, 0,	//928  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    238, 50, 0,	//931  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    24, 375, 0,	//934  QDebug, const QSslCipher&
    20, 17, 0,	//937  QDataStream&, QChar&
    20, 181, 0,	//940  QDataStream&, QRegExp&
    413, 0,	//943  unsigned long
    20, 365, 0,	//945  QDataStream&, const QPointF&
    123, 40, 0,	//948  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    20, 373, 0,	//951  QDataStream&, const QSizeF&
    212, 45, 0,	//954  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//957  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    312, 392, 0,	//960  QtMsgType, const char*
    142, 42, 0,	//963  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    384, 0,	//966  const QStringRef&
    97, 398, 0,	//968  QIODevice::OpenModeFlag, int
    409, 0,	//971  unsigned char
    20, 15, 0,	//973  QDataStream&, QByteArray&
    24, 359, 0,	//976  QDebug, const QObject*
    280, 398, 0,	//979  Qt::MatchFlag, int
    20, 21, 0,	//982  QDataStream&, QDate&
    20, 319, 0,	//985  QDataStream&, const QBitArray&
    411, 0,	//988  unsigned char*
    334, 0,	//990  const QIPv6Address&
    393, 0,	//992  const sockaddr*
    77, 0,	//994  QHostAddress::SpecialAddress
    329, 398, 0,	//996  const QHostAddress&, int
    360, 0,	//999  const QPair<QHostAddress,int>&
    330, 0,	//1001  const QHostInfo&
    338, 0,	//1003  const QList<QHostAddress>&
    81, 0,	//1005  QHostInfo::HostInfoError
    381, 174, 392, 0,	//1007  const QString&, QObject*, const char*
    381, 415, 174, 0,	//1011  const QString&, unsigned short, QObject*
    381, 83, 415, 174, 0,	//1015  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    381, 83, 415, 0,	//1020  const QString&, QHttp::ConnectionMode, unsigned short
    217, 0,	//1024  QTcpSocket*
    381, 398, 381, 381, 0,	//1026  const QString&, int, const QString&, const QString&
    381, 95, 95, 0,	//1031  const QString&, QIODevice*, QIODevice*
    381, 321, 95, 0,	//1035  const QString&, const QByteArray&, QIODevice*
    332, 95, 95, 0,	//1039  const QHttpRequestHeader&, QIODevice*, QIODevice*
    332, 321, 95, 0,	//1043  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    333, 0,	//1047  const QHttpResponseHeader&
    398, 398, 0,	//1049  int, int
    381, 405, 10, 0,	//1052  const QString&, quint16, QAuthenticator*
    344, 0,	//1056  const QList<QSslError>&
    381, 83, 0,	//1058  const QString&, QHttp::ConnectionMode
    381, 398, 0,	//1061  const QString&, int
    381, 398, 381, 0,	//1064  const QString&, int, const QString&
    332, 0,	//1068  const QHttpRequestHeader&
    332, 95, 0,	//1070  const QHttpRequestHeader&, QIODevice*
    332, 321, 0,	//1073  const QHttpRequestHeader&, const QByteArray&
    331, 0,	//1076  const QHttpHeader&
    341, 0,	//1078  const QList<QPair<QString,QString> >&
    381, 381, 398, 398, 0,	//1080  const QString&, const QString&, int, int
    381, 381, 398, 0,	//1085  const QString&, const QString&, int
    398, 381, 398, 398, 0,	//1089  int, const QString&, int, int
    398, 381, 398, 0,	//1094  int, const QString&, int
    38, 0,	//1098  QFlags<QIODevice::OpenModeFlag>
    398, 315, 0,	//1100  int, bool*
    101, 0,	//1103  QIntegerForSizeof< void* >::Unsigned
    381, 38, 0,	//1105  const QString&, QFlags<QIODevice::OpenModeFlag>
    101, 121, 38, 0,	//1108  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    120, 0,	//1112  QLocalSocket::LocalSocketError
    121, 0,	//1114  QLocalSocket::LocalSocketState
    101, 121, 0,	//1116  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    157, 0,	//1119  QNetworkProxyFactory*
    2, 0,	//1121  QAbstractNetworkCache*
    146, 0,	//1123  QNetworkCookieJar*
    358, 0,	//1125  const QNetworkRequest&
    358, 95, 0,	//1127  const QNetworkRequest&, QIODevice*
    358, 321, 0,	//1130  const QNetworkRequest&, const QByteArray&
    358, 88, 0,	//1133  const QNetworkRequest&, QHttpMultiPart*
    358, 321, 95, 0,	//1136  const QNetworkRequest&, const QByteArray&, QIODevice*
    352, 0,	//1140  const QNetworkConfiguration&
    127, 0,	//1142  QNetworkAccessManager::NetworkAccessibility
    161, 10, 0,	//1144  QNetworkReply*, QAuthenticator*
    161, 0,	//1147  QNetworkReply*
    161, 344, 0,	//1149  QNetworkReply*, const QList<QSslError>&
    128, 358, 95, 0,	//1152  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    128, 358, 0,	//1156  QNetworkAccessManager::Operation, const QNetworkRequest&
    350, 0,	//1159  const QNetworkAddressEntry&
    340, 0,	//1161  const QList<QPair<QByteArray,QByteArray> >&
    324, 0,	//1163  const QDateTime&
    327, 0,	//1165  const QHash<QNetworkRequest::Attribute,QVariant>&
    41, 0,	//1167  QFlags<QNetworkConfiguration::StateFlag>
    353, 0,	//1169  const QNetworkCookie&
    145, 0,	//1171  QNetworkCookie::RawForm
    339, 386, 0,	//1173  const QList<QNetworkCookie>&, const QUrl&
    339, 0,	//1176  const QList<QNetworkCookie>&
    354, 0,	//1178  const QNetworkInterface&
    156, 381, 415, 381, 381, 0,	//1180  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    156, 0,	//1186  QNetworkProxy::ProxyType
    44, 0,	//1188  QFlags<QNetworkProxy::Capability>
    156, 381, 0,	//1190  QNetworkProxy::ProxyType, const QString&
    156, 381, 415, 0,	//1193  QNetworkProxy::ProxyType, const QString&, unsigned short
    156, 381, 415, 381, 0,	//1197  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    357, 0,	//1202  const QNetworkProxyQuery&
    356, 0,	//1204  const QNetworkProxyFactory&
    386, 160, 0,	//1206  const QUrl&, QNetworkProxyQuery::QueryType
    381, 398, 381, 160, 0,	//1209  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    415, 381, 160, 0,	//1214  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    352, 386, 160, 0,	//1218  const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType
    352, 381, 398, 381, 160, 0,	//1222  const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    352, 415, 381, 160, 0,	//1228  const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType
    160, 0,	//1233  QNetworkProxyQuery::QueryType
    415, 381, 0,	//1235  unsigned short, const QString&
    352, 386, 0,	//1238  const QNetworkConfiguration&, const QUrl&
    352, 381, 398, 0,	//1241  const QNetworkConfiguration&, const QString&, int
    352, 381, 398, 381, 0,	//1245  const QNetworkConfiguration&, const QString&, int, const QString&
    352, 415, 0,	//1250  const QNetworkConfiguration&, unsigned short
    352, 415, 381, 0,	//1253  const QNetworkConfiguration&, unsigned short, const QString&
    168, 0,	//1257  QNetworkRequest::KnownHeaders
    166, 0,	//1259  QNetworkRequest::Attribute
    376, 0,	//1261  const QSslConfiguration&
    162, 0,	//1263  QNetworkReply::NetworkError
    128, 0,	//1265  QNetworkAccessManager::Operation
    162, 381, 0,	//1267  QNetworkReply::NetworkError, const QString&
    168, 389, 0,	//1270  QNetworkRequest::KnownHeaders, const QVariant&
    166, 389, 0,	//1273  QNetworkRequest::Attribute, const QVariant&
    170, 0,	//1276  QNetworkRequest::Priority
    352, 174, 0,	//1278  const QNetworkConfiguration&, QObject*
    173, 0,	//1281  QNetworkSession::State
    172, 0,	//1283  QNetworkSession::SessionError
    352, 314, 0,	//1285  const QNetworkConfiguration&, bool
    29, 0,	//1288  QEvent*
    174, 29, 0,	//1290  QObject*, QEvent*
    224, 0,	//1293  QTimerEvent*
    18, 0,	//1295  QChildEvent*
    95, 186, 0,	//1297  QIODevice*, QSsl::EncodingFormat
    321, 186, 0,	//1300  const QByteArray&, QSsl::EncodingFormat
    374, 0,	//1303  const QSslCertificate&
    19, 0,	//1305  QCryptographicHash::Algorithm
    193, 0,	//1307  QSslCertificate::SubjectInfo
    381, 186, 182, 0,	//1309  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    381, 186, 0,	//1313  const QString&, QSsl::EncodingFormat
    381, 189, 0,	//1316  const QString&, QSsl::SslProtocol
    375, 0,	//1319  const QSslCipher&
    189, 0,	//1321  QSsl::SslProtocol
    207, 0,	//1323  QSslSocket::PeerVerifyMode
    379, 0,	//1325  const QSslKey&
    343, 0,	//1327  const QList<QSslCipher>&
    342, 0,	//1329  const QList<QSslCertificate>&
    202, 0,	//1331  QSslError::SslError
    202, 374, 0,	//1333  QSslError::SslError, const QSslCertificate&
    377, 0,	//1336  const QSslError&
    321, 187, 186, 188, 321, 0,	//1338  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    95, 187, 186, 188, 321, 0,	//1344  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    321, 187, 0,	//1350  const QByteArray&, QSsl::KeyAlgorithm
    321, 187, 186, 0,	//1353  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    321, 187, 186, 188, 0,	//1357  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    95, 187, 0,	//1362  QIODevice*, QSsl::KeyAlgorithm
    95, 187, 186, 0,	//1365  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    95, 187, 186, 188, 0,	//1369  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    381, 415, 381, 38, 0,	//1374  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    381, 187, 186, 321, 0,	//1379  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    208, 0,	//1384  QSslSocket::SslMode
    404, 0,	//1386  qint64
    381, 415, 381, 0,	//1388  const QString&, unsigned short, const QString&
    381, 187, 0,	//1392  const QString&, QSsl::KeyAlgorithm
    381, 187, 186, 0,	//1395  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    329, 415, 48, 0,	//1399  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    415, 48, 0,	//1403  unsigned short, QFlags<QUdpSocket::BindFlag>
    329, 354, 0,	//1406  const QHostAddress&, const QNetworkInterface&
    317, 403, 76, 416, 0,	//1409  char*, long long, QHostAddress*, unsigned short*
    392, 403, 329, 415, 0,	//1414  const char*, long long, const QHostAddress&, unsigned short
    321, 329, 415, 0,	//1419  const QByteArray&, const QHostAddress&, unsigned short
    317, 403, 76, 0,	//1423  char*, long long, QHostAddress*
    381, 398, 381, 381, 403, 324, 324, 314, 314, 314, 314, 314, 314, 0,	//1427  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    386, 398, 381, 381, 403, 324, 324, 314, 314, 314, 314, 314, 314, 0,	//1441  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    387, 387, 398, 0,	//1455  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlwaysCache",	//5
    "AlwaysNetwork",	//6
    "Any",	//7
    "AnyIPv6",	//8
    "AnyProtocol",	//9
    "Append",	//10
    "ApplicationLevelRoaming",	//11
    "Ascii",	//12
    "AuthenticationRequiredError",	//13
    "AuthenticationReuseAttribute",	//14
    "AuthorityIssuerSerialNumberMismatch",	//15
    "AutoVerifyPeer",	//16
    "Automatic",	//17
    "Bearer2G",	//18
    "BearerBluetooth",	//19
    "BearerCDMA2000",	//20
    "BearerEthernet",	//21
    "BearerHSPA",	//22
    "BearerUnknown",	//23
    "BearerWCDMA",	//24
    "BearerWLAN",	//25
    "BearerWiMAX",	//26
    "Binary",	//27
    "BoundState",	//28
    "Broadcast",	//29
    "CacheLoadControlAttribute",	//30
    "CacheSaveControlAttribute",	//31
    "CachingCapability",	//32
    "CanBroadcast",	//33
    "CanMulticast",	//34
    "CanStartAndStopInterfaces",	//35
    "Cd",	//36
    "CertificateBlacklisted",	//37
    "CertificateExpired",	//38
    "CertificateNotYetValid",	//39
    "CertificateRejected",	//40
    "CertificateRevoked",	//41
    "CertificateSignatureFailed",	//42
    "CertificateUntrusted",	//43
    "Close",	//44
    "Closing",	//45
    "ClosingState",	//46
    "CommonName",	//47
    "ConnectToHost",	//48
    "Connected",	//49
    "ConnectedState",	//50
    "Connecting",	//51
    "ConnectingState",	//52
    "ConnectionEncryptedAttribute",	//53
    "ConnectionError",	//54
    "ConnectionModeHttp",	//55
    "ConnectionModeHttps",	//56
    "ConnectionRefused",	//57
    "ConnectionRefusedError",	//58
    "ContentAccessDenied",	//59
    "ContentDispositionHeader",	//60
    "ContentLengthHeader",	//61
    "ContentNotFoundError",	//62
    "ContentOperationNotPermittedError",	//63
    "ContentReSendError",	//64
    "ContentTypeHeader",	//65
    "CookieHeader",	//66
    "CookieLoadControlAttribute",	//67
    "CookieSaveControlAttribute",	//68
    "CountryName",	//69
    "CustomOperation",	//70
    "CustomVerbAttribute",	//71
    "DataStatistics",	//72
    "DatagramTooLargeError",	//73
    "DefaultForPlatform",	//74
    "DefaultProxy",	//75
    "Defined",	//76
    "DeleteOperation",	//77
    "Der",	//78
    "DirectConnectionRouting",	//79
    "Disconnected",	//80
    "Discovered",	//81
    "DnsEntry",	//82
    "DoNotBufferUploadDataAttribute",	//83
    "DontShareAddress",	//84
    "DownloadBufferAttribute",	//85
    "Dsa",	//86
    "EmailEntry",	//87
    "ExeGroup",	//88
    "ExeOther",	//89
    "ExeOwner",	//90
    "ForcedRoaming",	//91
    "FtpCachingProxy",	//92
    "Full",	//93
    "Get",	//94
    "GetOperation",	//95
    "HeadOperation",	//96
    "HighPriority",	//97
    "HostLookup",	//98
    "HostLookupState",	//99
    "HostNameLookupCapability",	//100
    "HostNameMismatch",	//101
    "HostNotFound",	//102
    "HostNotFoundError",	//103
    "HttpCachingProxy",	//104
    "HttpPipeliningAllowedAttribute",	//105
    "HttpPipeliningWasUsedAttribute",	//106
    "HttpProxy",	//107
    "HttpReasonPhraseAttribute",	//108
    "HttpStatusCodeAttribute",	//109
    "IPv4Protocol",	//110
    "IPv6Protocol",	//111
    "InternetAccessPoint",	//112
    "Invalid",	//113
    "InvalidCaCertificate",	//114
    "InvalidConfigurationError",	//115
    "InvalidNotAfterField",	//116
    "InvalidNotBeforeField",	//117
    "InvalidPurpose",	//118
    "InvalidResponseHeader",	//119
    "IsLoopBack",	//120
    "IsPointToPoint",	//121
    "IsRunning",	//122
    "IsUp",	//123
    "KeepAliveOption",	//124
    "LastModifiedHeader",	//125
    "List",	//126
    "ListeningCapability",	//127
    "ListeningState",	//128
    "LocalHost",	//129
    "LocalHostIPv6",	//130
    "LocalityName",	//131
    "LocationHeader",	//132
    "LoggedIn",	//133
    "Login",	//134
    "LowDelayOption",	//135
    "LowPriority",	//136
    "Manual",	//137
    "MaximumDownloadBufferSizeAttribute",	//138
    "Mkdir",	//139
    "MulticastLoopbackOption",	//140
    "MulticastTtlOption",	//141
    "NameAndValueOnly",	//142
    "NetworkError",	//143
    "NetworkSessionRequired",	//144
    "NoError",	//145
    "NoPeerCertificate",	//146
    "NoProxy",	//147
    "NoSslSupport",	//148
    "None",	//149
    "NormalPriority",	//150
    "NotAccessible",	//151
    "NotAvailable",	//152
    "NotConnected",	//153
    "NotOpen",	//154
    "Null",	//155
    "OperationCanceledError",	//156
    "OperationNotSupportedError",	//157
    "Organization",	//158
    "OrganizationalUnitName",	//159
    "Passive",	//160
    "PathLengthExceeded",	//161
    "PeerClosedError",	//162
    "Pem",	//163
    "PostOperation",	//164
    "PreferCache",	//165
    "PreferNetwork",	//166
    "PrivateKey",	//167
    "PrivatePurpose",	//168
    "ProtocolFailure",	//169
    "ProtocolInvalidOperationError",	//170
    "ProtocolUnknownError",	//171
    "ProxyAuthenticationRequiredError",	//172
    "ProxyConnectionClosedError",	//173
    "ProxyConnectionRefusedError",	//174
    "ProxyConnectionTimeoutError",	//175
    "ProxyNotFoundError",	//176
    "ProxyProtocolError",	//177
    "ProxyTimeoutError",	//178
    "PublicKey",	//179
    "PublicPurpose",	//180
    "Put",	//181
    "PutOperation",	//182
    "QAbstractNetworkCache",	//183
    "QAbstractNetworkCache#",	//184
    "QAbstractSocket",	//185
    "QAbstractSocket$#",	//186
    "QAuthenticator",	//187
    "QAuthenticator#",	//188
    "QFtp",	//189
    "QFtp#",	//190
    "QHostAddress",	//191
    "QHostAddress#",	//192
    "QHostAddress$",	//193
    "QHostInfo",	//194
    "QHostInfo#",	//195
    "QHostInfo$",	//196
    "QHttp",	//197
    "QHttp#",	//198
    "QHttp$",	//199
    "QHttp$$",	//200
    "QHttp$$#",	//201
    "QHttp$$$",	//202
    "QHttp$$$#",	//203
    "QHttpHeader",	//204
    "QHttpHeader#",	//205
    "QHttpHeader$",	//206
    "QHttpRequestHeader",	//207
    "QHttpRequestHeader#",	//208
    "QHttpRequestHeader$",	//209
    "QHttpRequestHeader$$",	//210
    "QHttpRequestHeader$$$",	//211
    "QHttpRequestHeader$$$$",	//212
    "QHttpResponseHeader",	//213
    "QHttpResponseHeader#",	//214
    "QHttpResponseHeader$",	//215
    "QHttpResponseHeader$$",	//216
    "QHttpResponseHeader$$$",	//217
    "QHttpResponseHeader$$$$",	//218
    "QIPv6Address",	//219
    "QIPv6Address#",	//220
    "QLocalServer",	//221
    "QLocalServer#",	//222
    "QLocalSocket",	//223
    "QLocalSocket#",	//224
    "QNetworkAccessManager",	//225
    "QNetworkAccessManager#",	//226
    "QNetworkAddressEntry",	//227
    "QNetworkAddressEntry#",	//228
    "QNetworkCacheMetaData",	//229
    "QNetworkCacheMetaData#",	//230
    "QNetworkConfiguration",	//231
    "QNetworkConfiguration#",	//232
    "QNetworkConfigurationManager",	//233
    "QNetworkConfigurationManager#",	//234
    "QNetworkCookie",	//235
    "QNetworkCookie#",	//236
    "QNetworkCookie##",	//237
    "QNetworkCookieJar",	//238
    "QNetworkCookieJar#",	//239
    "QNetworkDiskCache",	//240
    "QNetworkDiskCache#",	//241
    "QNetworkInterface",	//242
    "QNetworkInterface#",	//243
    "QNetworkProxy",	//244
    "QNetworkProxy#",	//245
    "QNetworkProxy$",	//246
    "QNetworkProxy$$",	//247
    "QNetworkProxy$$$",	//248
    "QNetworkProxy$$$$",	//249
    "QNetworkProxy$$$$$",	//250
    "QNetworkProxyFactory",	//251
    "QNetworkProxyFactory#",	//252
    "QNetworkProxyQuery",	//253
    "QNetworkProxyQuery#",	//254
    "QNetworkProxyQuery##",	//255
    "QNetworkProxyQuery##$",	//256
    "QNetworkProxyQuery#$",	//257
    "QNetworkProxyQuery#$$",	//258
    "QNetworkProxyQuery#$$$",	//259
    "QNetworkProxyQuery#$$$$",	//260
    "QNetworkProxyQuery$",	//261
    "QNetworkProxyQuery$$",	//262
    "QNetworkProxyQuery$$$",	//263
    "QNetworkProxyQuery$$$$",	//264
    "QNetworkReply",	//265
    "QNetworkReply#",	//266
    "QNetworkRequest",	//267
    "QNetworkRequest#",	//268
    "QNetworkSession",	//269
    "QNetworkSession#",	//270
    "QNetworkSession##",	//271
    "QSslCertificate",	//272
    "QSslCertificate#",	//273
    "QSslCertificate#$",	//274
    "QSslCipher",	//275
    "QSslCipher#",	//276
    "QSslCipher$$",	//277
    "QSslConfiguration",	//278
    "QSslConfiguration#",	//279
    "QSslError",	//280
    "QSslError#",	//281
    "QSslError$",	//282
    "QSslError$#",	//283
    "QSslKey",	//284
    "QSslKey#",	//285
    "QSslKey#$",	//286
    "QSslKey#$$",	//287
    "QSslKey#$$$",	//288
    "QSslKey#$$$#",	//289
    "QSslSocket",	//290
    "QSslSocket#",	//291
    "QTcpServer",	//292
    "QTcpServer#",	//293
    "QTcpSocket",	//294
    "QTcpSocket#",	//295
    "QUdpSocket",	//296
    "QUdpSocket#",	//297
    "QUrlInfo",	//298
    "QUrlInfo#",	//299
    "QUrlInfo#$$$$##$$$$$$",	//300
    "QUrlInfo$$$$$##$$$$$$",	//301
    "QtCriticalMsg",	//302
    "QtDebugMsg",	//303
    "QtFatalMsg",	//304
    "QtSystemMsg",	//305
    "QtWarningMsg",	//306
    "QueryPeer",	//307
    "RawCommand",	//308
    "ReadGroup",	//309
    "ReadOnly",	//310
    "ReadOther",	//311
    "ReadOwner",	//312
    "ReadWrite",	//313
    "Reading",	//314
    "RedirectionTargetAttribute",	//315
    "RemoteHostClosedError",	//316
    "Remove",	//317
    "Rename",	//318
    "ReuseAddressHint",	//319
    "Rmdir",	//320
    "Roaming",	//321
    "RoamingError",	//322
    "Rsa",	//323
    "SecureProtocols",	//324
    "SelfSignedCertificate",	//325
    "SelfSignedCertificateInChain",	//326
    "Sending",	//327
    "ServerNotFoundError",	//328
    "ServiceNetwork",	//329
    "ServiceSpecificPurpose",	//330
    "SessionAbortedError",	//331
    "SetCookieHeader",	//332
    "SetProxy",	//333
    "SetTransferMode",	//334
    "ShareAddress",	//335
    "SocketAccessError",	//336
    "SocketAddressNotAvailableError",	//337
    "SocketResourceError",	//338
    "SocketTimeoutError",	//339
    "Socks5Proxy",	//340
    "SourceIsFromCacheAttribute",	//341
    "SslClientMode",	//342
    "SslHandshakeFailedError",	//343
    "SslServerMode",	//344
    "SslV2",	//345
    "SslV3",	//346
    "StateOrProvinceName",	//347
    "SubjectIssuerMismatch",	//348
    "SynchronousRequestAttribute",	//349
    "SystemSessionSupport",	//350
    "TcpServer",	//351
    "TcpSocket",	//352
    "TemporaryNetworkFailureError",	//353
    "Text",	//354
    "TimeoutError",	//355
    "TlsV1",	//356
    "TlsV1SslV3",	//357
    "Truncate",	//358
    "TunnelingCapability",	//359
    "UdpSocket",	//360
    "UdpTunnelingCapability",	//361
    "UnableToDecodeIssuerPublicKey",	//362
    "UnableToDecryptCertificateSignature",	//363
    "UnableToGetIssuerCertificate",	//364
    "UnableToGetLocalIssuerCertificate",	//365
    "UnableToVerifyFirstCertificate",	//366
    "Unbuffered",	//367
    "Unconnected",	//368
    "UnconnectedState",	//369
    "Undefined",	//370
    "UnencryptedMode",	//371
    "UnexpectedClose",	//372
    "UnfinishedSocketOperationError",	//373
    "UnknownAccessibility",	//374
    "UnknownContentError",	//375
    "UnknownError",	//376
    "UnknownNetworkError",	//377
    "UnknownNetworkLayerProtocol",	//378
    "UnknownOperation",	//379
    "UnknownProtocol",	//380
    "UnknownProxyError",	//381
    "UnknownPurpose",	//382
    "UnknownSessionError",	//383
    "UnknownSocketError",	//384
    "UnknownSocketType",	//385
    "UnspecifiedError",	//386
    "UnsupportedSocketOperationError",	//387
    "UrlRequest",	//388
    "User",	//389
    "UserChoice",	//390
    "UserMax",	//391
    "VerifyNone",	//392
    "VerifyPeer",	//393
    "WriteGroup",	//394
    "WriteOnly",	//395
    "WriteOther",	//396
    "WriteOwner",	//397
    "WrongContentLength",	//398
    "_ISalnum",	//399
    "_ISalpha",	//400
    "_ISblank",	//401
    "_IScntrl",	//402
    "_ISdigit",	//403
    "_ISgraph",	//404
    "_ISlower",	//405
    "_ISprint",	//406
    "_ISpunct",	//407
    "_ISspace",	//408
    "_ISupper",	//409
    "_ISxdigit",	//410
    "__codecvt_error",	//411
    "__codecvt_noconv",	//412
    "__codecvt_ok",	//413
    "__codecvt_partial",	//414
    "abort",	//415
    "abortHostLookup",	//416
    "abortHostLookup$",	//417
    "accept",	//418
    "activeConfiguration",	//419
    "activeTime",	//420
    "addCaCertificate",	//421
    "addCaCertificate#",	//422
    "addCaCertificates",	//423
    "addCaCertificates$",	//424
    "addCaCertificates$$",	//425
    "addCaCertificates$$$",	//426
    "addCaCertificates?",	//427
    "addDefaultCaCertificate",	//428
    "addDefaultCaCertificate#",	//429
    "addDefaultCaCertificates",	//430
    "addDefaultCaCertificates$",	//431
    "addDefaultCaCertificates$$",	//432
    "addDefaultCaCertificates$$$",	//433
    "addDefaultCaCertificates?",	//434
    "addPendingConnection",	//435
    "addPendingConnection#",	//436
    "addValue",	//437
    "addValue$$",	//438
    "addressEntries",	//439
    "addresses",	//440
    "algorithm",	//441
    "allAddresses",	//442
    "allConfigurations",	//443
    "allConfigurations$",	//444
    "allCookies",	//445
    "allInterfaces",	//446
    "allValues",	//447
    "allValues$",	//448
    "alternateSubjectNames",	//449
    "applicationProxy",	//450
    "atEnd",	//451
    "attribute",	//452
    "attribute$",	//453
    "attribute$#",	//454
    "attributes",	//455
    "authenticationMethod",	//456
    "authenticationRequired",	//457
    "authenticationRequired##",	//458
    "authenticationRequired$$#",	//459
    "bearerName",	//460
    "bearerType",	//461
    "bearerTypeName",	//462
    "bind",	//463
    "bind#$",	//464
    "bind#$$",	//465
    "bind$",	//466
    "bind$$",	//467
    "broadcast",	//468
    "bytesAvailable",	//469
    "bytesReceived",	//470
    "bytesToWrite",	//471
    "bytesWritten",	//472
    "caCertificates",	//473
    "cache",	//474
    "cacheDirectory",	//475
    "cacheSize",	//476
    "canReadLine",	//477
    "capabilities",	//478
    "cd",	//479
    "cd$",	//480
    "certificate",	//481
    "childEvent",	//482
    "children",	//483
    "ciphers",	//484
    "clear",	//485
    "clearPendingCommands",	//486
    "clearPendingRequests",	//487
    "close",	//488
    "closeConnection",	//489
    "closed",	//490
    "commandFinished",	//491
    "commandFinished$$",	//492
    "commandStarted",	//493
    "commandStarted$",	//494
    "configuration",	//495
    "configurationAdded",	//496
    "configurationAdded#",	//497
    "configurationChanged",	//498
    "configurationChanged#",	//499
    "configurationFromIdentifier",	//500
    "configurationFromIdentifier$",	//501
    "configurationRemoved",	//502
    "configurationRemoved#",	//503
    "connectNotify",	//504
    "connectNotify$",	//505
    "connectToHost",	//506
    "connectToHost#$",	//507
    "connectToHost#$$",	//508
    "connectToHost$",	//509
    "connectToHost$$",	//510
    "connectToHost$$$",	//511
    "connectToHostEncrypted",	//512
    "connectToHostEncrypted$$",	//513
    "connectToHostEncrypted$$$",	//514
    "connectToHostEncrypted$$$$",	//515
    "connectToHostImplementation",	//516
    "connectToHostImplementation$$",	//517
    "connectToHostImplementation$$$",	//518
    "connectToServer",	//519
    "connectToServer$",	//520
    "connectToServer$$",	//521
    "connected",	//522
    "contentLength",	//523
    "contentType",	//524
    "cookieJar",	//525
    "cookiesForUrl",	//526
    "cookiesForUrl#",	//527
    "createRequest",	//528
    "createRequest$#",	//529
    "createRequest$##",	//530
    "currentCommand",	//531
    "currentDestinationDevice",	//532
    "currentDevice",	//533
    "currentId",	//534
    "currentRequest",	//535
    "currentSourceDevice",	//536
    "customEvent",	//537
    "data",	//538
    "data#",	//539
    "dataReadProgress",	//540
    "dataReadProgress$$",	//541
    "dataSendProgress",	//542
    "dataSendProgress$$",	//543
    "dataTransferProgress",	//544
    "dataTransferProgress$$",	//545
    "defaultCaCertificates",	//546
    "defaultCiphers",	//547
    "defaultConfiguration",	//548
    "deleteResource",	//549
    "deleteResource#",	//550
    "detach",	//551
    "digest",	//552
    "digest$",	//553
    "disconnectFromHost",	//554
    "disconnectFromHostImplementation",	//555
    "disconnectFromServer",	//556
    "disconnectNotify",	//557
    "disconnectNotify$",	//558
    "disconnected",	//559
    "domain",	//560
    "done",	//561
    "done$",	//562
    "downloadProgress",	//563
    "downloadProgress$$",	//564
    "effectiveDate",	//565
    "encrypted",	//566
    "encryptedBytesAvailable",	//567
    "encryptedBytesToWrite",	//568
    "encryptedBytesWritten",	//569
    "encryptedBytesWritten$",	//570
    "encryptionMethod",	//571
    "equal",	//572
    "equal##$",	//573
    "error",	//574
    "error$",	//575
    "errorString",	//576
    "event",	//577
    "eventFilter",	//578
    "expirationDate",	//579
    "expire",	//580
    "expiryDate",	//581
    "fileMetaData",	//582
    "fileMetaData$",	//583
    "finished",	//584
    "finished#",	//585
    "flags",	//586
    "flush",	//587
    "fromData",	//588
    "fromData#",	//589
    "fromData#$",	//590
    "fromDevice",	//591
    "fromDevice#",	//592
    "fromDevice#$",	//593
    "fromName",	//594
    "fromName$",	//595
    "fromPath",	//596
    "fromPath$",	//597
    "fromPath$$",	//598
    "fromPath$$$",	//599
    "fullServerName",	//600
    "get",	//601
    "get#",	//602
    "get$",	//603
    "get$#",	//604
    "get$#$",	//605
    "greaterThan",	//606
    "greaterThan##$",	//607
    "group",	//608
    "handle",	//609
    "hardwareAddress",	//610
    "hasContentLength",	//611
    "hasContentType",	//612
    "hasKey",	//613
    "hasKey$",	//614
    "hasPendingCommands",	//615
    "hasPendingConnections",	//616
    "hasPendingDatagrams",	//617
    "hasPendingRequests",	//618
    "hasRawHeader",	//619
    "hasRawHeader#",	//620
    "head",	//621
    "head#",	//622
    "head$",	//623
    "header",	//624
    "header$",	//625
    "hostFound",	//626
    "hostName",	//627
    "humanReadableName",	//628
    "identifier",	//629
    "ignore",	//630
    "ignoreSslErrors",	//631
    "ignoreSslErrors?",	//632
    "incomingConnection",	//633
    "incomingConnection$",	//634
    "incomingConnection?",	//635
    "index",	//636
    "insert",	//637
    "insert#",	//638
    "interface",	//639
    "interfaceFromIndex",	//640
    "interfaceFromIndex$",	//641
    "interfaceFromName",	//642
    "interfaceFromName$",	//643
    "ip",	//644
    "isCachingProxy",	//645
    "isDir",	//646
    "isEncrypted",	//647
    "isExecutable",	//648
    "isFile",	//649
    "isFinished",	//650
    "isHttpOnly",	//651
    "isInSubnet",	//652
    "isInSubnet#$",	//653
    "isInSubnet?",	//654
    "isListening",	//655
    "isNull",	//656
    "isOnline",	//657
    "isOpen",	//658
    "isReadable",	//659
    "isRoamingAvailable",	//660
    "isRunning",	//661
    "isSecure",	//662
    "isSequential",	//663
    "isSessionCookie",	//664
    "isSymLink",	//665
    "isTransparentProxy",	//666
    "isValid",	//667
    "isWritable",	//668
    "issuerInfo",	//669
    "issuerInfo#",	//670
    "issuerInfo$",	//671
    "joinMulticastGroup",	//672
    "joinMulticastGroup#",	//673
    "joinMulticastGroup##",	//674
    "keyExchangeMethod",	//675
    "keys",	//676
    "lastModified",	//677
    "lastRead",	//678
    "lastResponse",	//679
    "leaveMulticastGroup",	//680
    "leaveMulticastGroup#",	//681
    "leaveMulticastGroup##",	//682
    "length",	//683
    "lessThan",	//684
    "lessThan##$",	//685
    "list",	//686
    "list$",	//687
    "listInfo",	//688
    "listInfo#",	//689
    "listen",	//690
    "listen#",	//691
    "listen#$",	//692
    "listen$",	//693
    "localAddress",	//694
    "localCertificate",	//695
    "localDomainName",	//696
    "localHostName",	//697
    "localPort",	//698
    "login",	//699
    "login$",	//700
    "login$$",	//701
    "lookupHost",	//702
    "lookupHost$#$",	//703
    "lookupId",	//704
    "majorVersion",	//705
    "manager",	//706
    "maxPendingConnections",	//707
    "maximumCacheSize",	//708
    "metaData",	//709
    "metaData#",	//710
    "metaDataChanged",	//711
    "metaObject",	//712
    "method",	//713
    "migrate",	//714
    "minorVersion",	//715
    "mkdir",	//716
    "mkdir$",	//717
    "mode",	//718
    "modeChanged",	//719
    "modeChanged$",	//720
    "multicastInterface",	//721
    "name",	//722
    "netmask",	//723
    "networkAccessible",	//724
    "networkAccessibleChanged",	//725
    "networkAccessibleChanged$",	//726
    "networkConfiguration",	//727
    "networkSessionConnected",	//728
    "newConfigurationActivated",	//729
    "newConnection",	//730
    "nextPendingConnection",	//731
    "onlineStateChanged",	//732
    "onlineStateChanged$",	//733
    "open",	//734
    "opened",	//735
    "operation",	//736
    "operator!=",	//737
    "operator!=#",	//738
    "operator!=##",	//739
    "operator!=#$",	//740
    "operator!=$",	//741
    "operator!=$#",	//742
    "operator!=$$",	//743
    "operator&",	//744
    "operator&##",	//745
    "operator*",	//746
    "operator*#$",	//747
    "operator*$#",	//748
    "operator+",	//749
    "operator+##",	//750
    "operator+#$",	//751
    "operator+$#",	//752
    "operator+$$",	//753
    "operator-",	//754
    "operator-#",	//755
    "operator-##",	//756
    "operator/",	//757
    "operator/#$",	//758
    "operator<",	//759
    "operator<##",	//760
    "operator<#$",	//761
    "operator<$#",	//762
    "operator<$$",	//763
    "operator<<",	//764
    "operator<<##",	//765
    "operator<<#$",	//766
    "operator<<#?",	//767
    "operator<=",	//768
    "operator<=##",	//769
    "operator<=#$",	//770
    "operator<=$#",	//771
    "operator<=$$",	//772
    "operator=",	//773
    "operator=#",	//774
    "operator=$",	//775
    "operator==",	//776
    "operator==#",	//777
    "operator==##",	//778
    "operator==#$",	//779
    "operator==$",	//780
    "operator==$#",	//781
    "operator==$$",	//782
    "operator>",	//783
    "operator>##",	//784
    "operator>#$",	//785
    "operator>$#",	//786
    "operator>$$",	//787
    "operator>=",	//788
    "operator>=##",	//789
    "operator>=#$",	//790
    "operator>=$#",	//791
    "operator>=$$",	//792
    "operator>>",	//793
    "operator>>##",	//794
    "operator>>#$",	//795
    "operator>>#?",	//796
    "operator[]",	//797
    "operator[]$",	//798
    "operator^",	//799
    "operator^##",	//800
    "operator|",	//801
    "operator|##",	//802
    "operator|$$",	//803
    "option",	//804
    "option$",	//805
    "options",	//806
    "originatingObject",	//807
    "owner",	//808
    "parse",	//809
    "parse$",	//810
    "parseCookies",	//811
    "parseCookies#",	//812
    "parseLine",	//813
    "parseLine$$",	//814
    "parseSubnet",	//815
    "parseSubnet$",	//816
    "password",	//817
    "path",	//818
    "peerAddress",	//819
    "peerCertificate",	//820
    "peerCertificateChain",	//821
    "peerHostName",	//822
    "peerName",	//823
    "peerPort",	//824
    "peerVerifyDepth",	//825
    "peerVerifyError",	//826
    "peerVerifyError#",	//827
    "peerVerifyMode",	//828
    "peerVerifyName",	//829
    "pendingDatagramSize",	//830
    "permissions",	//831
    "port",	//832
    "pos",	//833
    "post",	//834
    "post##",	//835
    "post$#",	//836
    "post$##",	//837
    "preferredConfigurationChanged",	//838
    "preferredConfigurationChanged#$",	//839
    "prefixLength",	//840
    "prepare",	//841
    "prepare#",	//842
    "priority",	//843
    "privateKey",	//844
    "protocol",	//845
    "protocolString",	//846
    "protocolTag",	//847
    "proxy",	//848
    "proxyAuthenticationRequired",	//849
    "proxyAuthenticationRequired##",	//850
    "proxyFactory",	//851
    "proxyForQuery",	//852
    "proxyForQuery#",	//853
    "publicKey",	//854
    "purpose",	//855
    "put",	//856
    "put##",	//857
    "put#$",	//858
    "put#$$",	//859
    "qAcos",	//860
    "qAcos$",	//861
    "qAddPostRoutine",	//862
    "qAddPostRoutine$",	//863
    "qAppName",	//864
    "qAsin",	//865
    "qAsin$",	//866
    "qAtan",	//867
    "qAtan$",	//868
    "qAtan2",	//869
    "qAtan2$$",	//870
    "qBadAlloc",	//871
    "qCeil",	//872
    "qCeil$",	//873
    "qChecksum",	//874
    "qChecksum$$",	//875
    "qCompress",	//876
    "qCompress#",	//877
    "qCompress#$",	//878
    "qCompress$$",	//879
    "qCompress$$$",	//880
    "qCos",	//881
    "qCos$",	//882
    "qCritical",	//883
    "qDebug",	//884
    "qExp",	//885
    "qExp$",	//886
    "qFabs",	//887
    "qFabs$",	//888
    "qFastCos",	//889
    "qFastCos$",	//890
    "qFastSin",	//891
    "qFastSin$",	//892
    "qFlagLocation",	//893
    "qFlagLocation$",	//894
    "qFloor",	//895
    "qFloor$",	//896
    "qFree",	//897
    "qFree$",	//898
    "qFreeAligned",	//899
    "qFreeAligned$",	//900
    "qFuzzyCompare",	//901
    "qFuzzyCompare$$",	//902
    "qFuzzyIsNull",	//903
    "qFuzzyIsNull$",	//904
    "qHash",	//905
    "qHash#",	//906
    "qHash$",	//907
    "qInf",	//908
    "qInstallMsgHandler",	//909
    "qInstallMsgHandler$",	//910
    "qIntCast",	//911
    "qIntCast$",	//912
    "qIsFinite",	//913
    "qIsFinite$",	//914
    "qIsInf",	//915
    "qIsInf$",	//916
    "qIsNaN",	//917
    "qIsNaN$",	//918
    "qIsNull",	//919
    "qIsNull$",	//920
    "qLn",	//921
    "qLn$",	//922
    "qMalloc",	//923
    "qMalloc$",	//924
    "qMallocAligned",	//925
    "qMallocAligned$$",	//926
    "qMemCopy",	//927
    "qMemCopy$$$",	//928
    "qMemSet",	//929
    "qMemSet$$$",	//930
    "qPow",	//931
    "qPow$$",	//932
    "qQNaN",	//933
    "qRealloc",	//934
    "qRealloc$$",	//935
    "qReallocAligned",	//936
    "qReallocAligned$$$$",	//937
    "qRegisterStaticPluginInstanceFunction",	//938
    "qRegisterStaticPluginInstanceFunction#",	//939
    "qRemovePostRoutine",	//940
    "qRemovePostRoutine$",	//941
    "qRound",	//942
    "qRound$",	//943
    "qRound64",	//944
    "qRound64$",	//945
    "qSNaN",	//946
    "qSetFieldWidth",	//947
    "qSetFieldWidth$",	//948
    "qSetPadChar",	//949
    "qSetPadChar#",	//950
    "qSetRealNumberPrecision",	//951
    "qSetRealNumberPrecision$",	//952
    "qSharedBuild",	//953
    "qSin",	//954
    "qSin$",	//955
    "qSqrt",	//956
    "qSqrt$",	//957
    "qStringComparisonHelper",	//958
    "qStringComparisonHelper#$",	//959
    "qStringComparisonHelper$$",	//960
    "qTan",	//961
    "qTan$",	//962
    "qUncompress",	//963
    "qUncompress#",	//964
    "qUncompress$$",	//965
    "qVersion",	//966
    "qWarning",	//967
    "qbswap_helper",	//968
    "qbswap_helper$$$",	//969
    "qecvt",	//970
    "qecvt$$$$",	//971
    "qecvt_r",	//972
    "qecvt_r$$$$$$",	//973
    "qfcvt",	//974
    "qfcvt$$$$",	//975
    "qfcvt_r",	//976
    "qfcvt_r$$$$$$",	//977
    "qgcvt",	//978
    "qgcvt$$$",	//979
    "qgetenv",	//980
    "qgetenv$",	//981
    "qputenv",	//982
    "qputenv$#",	//983
    "qrand",	//984
    "qsort",	//985
    "qsort$$$$",	//986
    "qsrand",	//987
    "qsrand$",	//988
    "qstrcmp",	//989
    "qstrcmp##",	//990
    "qstrcmp#$",	//991
    "qstrcmp$#",	//992
    "qstrcmp$$",	//993
    "qstrcpy",	//994
    "qstrcpy$$",	//995
    "qstrdup",	//996
    "qstrdup$",	//997
    "qstricmp",	//998
    "qstricmp$$",	//999
    "qstrlen",	//1000
    "qstrlen$",	//1001
    "qstrncmp",	//1002
    "qstrncmp$$$",	//1003
    "qstrncpy",	//1004
    "qstrncpy$$$",	//1005
    "qstrnicmp",	//1006
    "qstrnicmp$$$",	//1007
    "qstrnlen",	//1008
    "qstrnlen$$",	//1009
    "qtTrId",	//1010
    "qtTrId$",	//1011
    "qtTrId$$",	//1012
    "qt_assert",	//1013
    "qt_assert$$$",	//1014
    "qt_assert_x",	//1015
    "qt_assert_x$$$$",	//1016
    "qt_check_pointer",	//1017
    "qt_check_pointer$$",	//1018
    "qt_error_string",	//1019
    "qt_error_string$",	//1020
    "qt_message_output",	//1021
    "qt_message_output$$",	//1022
    "qt_metacall",	//1023
    "qt_metacall$$?",	//1024
    "qt_metacast",	//1025
    "qt_metacast$",	//1026
    "qt_noop",	//1027
    "qt_qFindChild_helper",	//1028
    "qt_qFindChild_helper#$#",	//1029
    "qt_qFindChildren_helper",	//1030
    "qt_qFindChildren_helper#$##?",	//1031
    "queryProxy",	//1032
    "queryProxy#",	//1033
    "queryType",	//1034
    "qvariant_cast_helper",	//1035
    "qvariant_cast_helper#$$",	//1036
    "qvsnprintf",	//1037
    "qvsnprintf$$$?",	//1038
    "rawCommand",	//1039
    "rawCommand$",	//1040
    "rawCommandReply",	//1041
    "rawCommandReply$$",	//1042
    "rawHeader",	//1043
    "rawHeader#",	//1044
    "rawHeaderList",	//1045
    "rawHeaderPairs",	//1046
    "rawHeaders",	//1047
    "read",	//1048
    "read$$",	//1049
    "readAll",	//1050
    "readBufferSize",	//1051
    "readData",	//1052
    "readData$$",	//1053
    "readDatagram",	//1054
    "readDatagram$$",	//1055
    "readDatagram$$#",	//1056
    "readDatagram$$#$",	//1057
    "readLineData",	//1058
    "readLineData$$",	//1059
    "readyRead",	//1060
    "readyRead#",	//1061
    "realm",	//1062
    "reasonPhrase",	//1063
    "reject",	//1064
    "remove",	//1065
    "remove#",	//1066
    "remove$",	//1067
    "removeAllValues",	//1068
    "removeAllValues$",	//1069
    "removeServer",	//1070
    "removeServer$",	//1071
    "removeValue",	//1072
    "removeValue$",	//1073
    "rename",	//1074
    "rename$$",	//1075
    "request",	//1076
    "request#",	//1077
    "request##",	//1078
    "request###",	//1079
    "requestFinished",	//1080
    "requestFinished$$",	//1081
    "requestStarted",	//1082
    "requestStarted$",	//1083
    "reset",	//1084
    "responseHeaderReceived",	//1085
    "responseHeaderReceived#",	//1086
    "rmdir",	//1087
    "rmdir$",	//1088
    "saveToDisk",	//1089
    "scopeId",	//1090
    "seek",	//1091
    "sendCustomRequest",	//1092
    "sendCustomRequest##",	//1093
    "sendCustomRequest###",	//1094
    "serialNumber",	//1095
    "serverAddress",	//1096
    "serverError",	//1097
    "serverName",	//1098
    "serverPort",	//1099
    "sessionCipher",	//1100
    "sessionProperty",	//1101
    "sessionProperty$",	//1102
    "setAddress",	//1103
    "setAddress#",	//1104
    "setAddress$",	//1105
    "setAddresses",	//1106
    "setAddresses?",	//1107
    "setAllCookies",	//1108
    "setAllCookies?",	//1109
    "setApplicationProxy",	//1110
    "setApplicationProxy#",	//1111
    "setApplicationProxyFactory",	//1112
    "setApplicationProxyFactory#",	//1113
    "setAttribute",	//1114
    "setAttribute$#",	//1115
    "setAttributes",	//1116
    "setAttributes?",	//1117
    "setBroadcast",	//1118
    "setBroadcast#",	//1119
    "setCaCertificates",	//1120
    "setCaCertificates?",	//1121
    "setCache",	//1122
    "setCache#",	//1123
    "setCacheDirectory",	//1124
    "setCacheDirectory$",	//1125
    "setCapabilities",	//1126
    "setCapabilities$",	//1127
    "setCiphers",	//1128
    "setCiphers$",	//1129
    "setCiphers?",	//1130
    "setConfiguration",	//1131
    "setConfiguration#",	//1132
    "setContentLength",	//1133
    "setContentLength$",	//1134
    "setContentType",	//1135
    "setContentType$",	//1136
    "setCookieJar",	//1137
    "setCookieJar#",	//1138
    "setCookiesFromUrl",	//1139
    "setCookiesFromUrl?#",	//1140
    "setDefaultCaCertificates",	//1141
    "setDefaultCaCertificates?",	//1142
    "setDefaultCiphers",	//1143
    "setDefaultCiphers?",	//1144
    "setDefaultConfiguration",	//1145
    "setDefaultConfiguration#",	//1146
    "setDir",	//1147
    "setDir$",	//1148
    "setDomain",	//1149
    "setDomain$",	//1150
    "setError",	//1151
    "setError$",	//1152
    "setError$$",	//1153
    "setErrorString",	//1154
    "setErrorString$",	//1155
    "setExpirationDate",	//1156
    "setExpirationDate#",	//1157
    "setFile",	//1158
    "setFile$",	//1159
    "setFinished",	//1160
    "setFinished$",	//1161
    "setGroup",	//1162
    "setGroup$",	//1163
    "setHeader",	//1164
    "setHeader$#",	//1165
    "setHost",	//1166
    "setHost$",	//1167
    "setHost$$",	//1168
    "setHost$$$",	//1169
    "setHostName",	//1170
    "setHostName$",	//1171
    "setHttpOnly",	//1172
    "setHttpOnly$",	//1173
    "setIp",	//1174
    "setIp#",	//1175
    "setLastModified",	//1176
    "setLastModified#",	//1177
    "setLastRead",	//1178
    "setLastRead#",	//1179
    "setLocalAddress",	//1180
    "setLocalAddress#",	//1181
    "setLocalCertificate",	//1182
    "setLocalCertificate#",	//1183
    "setLocalCertificate$",	//1184
    "setLocalCertificate$$",	//1185
    "setLocalPort",	//1186
    "setLocalPort$",	//1187
    "setLookupId",	//1188
    "setLookupId$",	//1189
    "setMaxPendingConnections",	//1190
    "setMaxPendingConnections$",	//1191
    "setMaximumCacheSize",	//1192
    "setMaximumCacheSize$",	//1193
    "setMulticastInterface",	//1194
    "setMulticastInterface#",	//1195
    "setName",	//1196
    "setName#",	//1197
    "setName$",	//1198
    "setNetmask",	//1199
    "setNetmask#",	//1200
    "setNetworkAccessible",	//1201
    "setNetworkAccessible$",	//1202
    "setNetworkConfiguration",	//1203
    "setNetworkConfiguration#",	//1204
    "setOperation",	//1205
    "setOperation$",	//1206
    "setOption",	//1207
    "setOption$#",	//1208
    "setOriginatingObject",	//1209
    "setOriginatingObject#",	//1210
    "setOwner",	//1211
    "setOwner$",	//1212
    "setPassword",	//1213
    "setPassword$",	//1214
    "setPath",	//1215
    "setPath$",	//1216
    "setPeerAddress",	//1217
    "setPeerAddress#",	//1218
    "setPeerHostName",	//1219
    "setPeerHostName$",	//1220
    "setPeerName",	//1221
    "setPeerName$",	//1222
    "setPeerPort",	//1223
    "setPeerPort$",	//1224
    "setPeerVerifyDepth",	//1225
    "setPeerVerifyDepth$",	//1226
    "setPeerVerifyMode",	//1227
    "setPeerVerifyMode$",	//1228
    "setPeerVerifyName",	//1229
    "setPeerVerifyName$",	//1230
    "setPermissions",	//1231
    "setPermissions$",	//1232
    "setPort",	//1233
    "setPort$",	//1234
    "setPrefixLength",	//1235
    "setPrefixLength$",	//1236
    "setPriority",	//1237
    "setPriority$",	//1238
    "setPrivateKey",	//1239
    "setPrivateKey#",	//1240
    "setPrivateKey$",	//1241
    "setPrivateKey$$",	//1242
    "setPrivateKey$$$",	//1243
    "setPrivateKey$$$#",	//1244
    "setProtocol",	//1245
    "setProtocol$",	//1246
    "setProtocolTag",	//1247
    "setProtocolTag$",	//1248
    "setProxy",	//1249
    "setProxy#",	//1250
    "setProxy$$",	//1251
    "setProxy$$$",	//1252
    "setProxy$$$$",	//1253
    "setProxyFactory",	//1254
    "setProxyFactory#",	//1255
    "setQueryType",	//1256
    "setQueryType$",	//1257
    "setRawHeader",	//1258
    "setRawHeader##",	//1259
    "setRawHeaders",	//1260
    "setRawHeaders?",	//1261
    "setReadBufferSize",	//1262
    "setReadBufferSize$",	//1263
    "setReadable",	//1264
    "setReadable$",	//1265
    "setRequest",	//1266
    "setRequest#",	//1267
    "setRequest$$",	//1268
    "setRequest$$$",	//1269
    "setRequest$$$$",	//1270
    "setSaveToDisk",	//1271
    "setSaveToDisk$",	//1272
    "setScopeId",	//1273
    "setScopeId$",	//1274
    "setSecure",	//1275
    "setSecure$",	//1276
    "setSessionProperty",	//1277
    "setSessionProperty$#",	//1278
    "setSize",	//1279
    "setSize$",	//1280
    "setSocket",	//1281
    "setSocket#",	//1282
    "setSocketDescriptor",	//1283
    "setSocketDescriptor$",	//1284
    "setSocketDescriptor$$",	//1285
    "setSocketDescriptor$$$",	//1286
    "setSocketDescriptor?",	//1287
    "setSocketDescriptor?$",	//1288
    "setSocketDescriptor?$$",	//1289
    "setSocketError",	//1290
    "setSocketError$",	//1291
    "setSocketOption",	//1292
    "setSocketOption$#",	//1293
    "setSocketState",	//1294
    "setSocketState$",	//1295
    "setSslConfiguration",	//1296
    "setSslConfiguration#",	//1297
    "setStatusLine",	//1298
    "setStatusLine$",	//1299
    "setStatusLine$$",	//1300
    "setStatusLine$$$",	//1301
    "setStatusLine$$$$",	//1302
    "setSymLink",	//1303
    "setSymLink$",	//1304
    "setTransferMode",	//1305
    "setTransferMode$",	//1306
    "setType",	//1307
    "setType$",	//1308
    "setUrl",	//1309
    "setUrl#",	//1310
    "setUseSystemConfiguration",	//1311
    "setUseSystemConfiguration$",	//1312
    "setUser",	//1313
    "setUser$",	//1314
    "setUser$$",	//1315
    "setValid",	//1316
    "setValid$",	//1317
    "setValue",	//1318
    "setValue#",	//1319
    "setValue$$",	//1320
    "setValues",	//1321
    "setValues?",	//1322
    "setWritable",	//1323
    "setWritable$",	//1324
    "size",	//1325
    "socketDescriptor",	//1326
    "socketOption",	//1327
    "socketOption$",	//1328
    "socketType",	//1329
    "sslConfiguration",	//1330
    "sslErrors",	//1331
    "sslErrors#?",	//1332
    "sslErrors?",	//1333
    "startClientEncryption",	//1334
    "startServerEncryption",	//1335
    "state",	//1336
    "stateChanged",	//1337
    "stateChanged$",	//1338
    "staticMetaObject",	//1339
    "statusCode",	//1340
    "stop",	//1341
    "subjectInfo",	//1342
    "subjectInfo#",	//1343
    "subjectInfo$",	//1344
    "supportedBits",	//1345
    "supportedCiphers",	//1346
    "supportsSsl",	//1347
    "systemCaCertificates",	//1348
    "systemProxyForQuery",	//1349
    "systemProxyForQuery#",	//1350
    "timerEvent",	//1351
    "toDer",	//1352
    "toDer#",	//1353
    "toIPv4Address",	//1354
    "toIPv6Address",	//1355
    "toPem",	//1356
    "toPem#",	//1357
    "toRawForm",	//1358
    "toRawForm$",	//1359
    "toString",	//1360
    "tr",	//1361
    "tr$",	//1362
    "tr$$",	//1363
    "tr$$$",	//1364
    "trUtf8",	//1365
    "trUtf8$",	//1366
    "trUtf8$$",	//1367
    "trUtf8$$$",	//1368
    "type",	//1369
    "updateCompleted",	//1370
    "updateConfigurations",	//1371
    "updateMetaData",	//1372
    "updateMetaData#",	//1373
    "uploadProgress",	//1374
    "uploadProgress$$",	//1375
    "url",	//1376
    "usedBits",	//1377
    "user",	//1378
    "value",	//1379
    "value$",	//1380
    "values",	//1381
    "version",	//1382
    "waitForBytesWritten",	//1383
    "waitForBytesWritten$",	//1384
    "waitForConnected",	//1385
    "waitForConnected$",	//1386
    "waitForDisconnected",	//1387
    "waitForDisconnected$",	//1388
    "waitForEncrypted",	//1389
    "waitForEncrypted$",	//1390
    "waitForNewConnection",	//1391
    "waitForNewConnection$",	//1392
    "waitForNewConnection$$",	//1393
    "waitForOpened",	//1394
    "waitForOpened$",	//1395
    "waitForReadyRead",	//1396
    "waitForReadyRead$",	//1397
    "writeData",	//1398
    "writeData$$",	//1399
    "writeDatagram",	//1400
    "writeDatagram##$",	//1401
    "writeDatagram$$#$",	//1402
    "~QAbstractNetworkCache",	//1403
    "~QAbstractSocket",	//1404
    "~QAuthenticator",	//1405
    "~QFtp",	//1406
    "~QHostAddress",	//1407
    "~QHostInfo",	//1408
    "~QHttp",	//1409
    "~QHttpHeader",	//1410
    "~QHttpRequestHeader",	//1411
    "~QHttpResponseHeader",	//1412
    "~QIPv6Address",	//1413
    "~QLocalServer",	//1414
    "~QLocalSocket",	//1415
    "~QNetworkAccessManager",	//1416
    "~QNetworkAddressEntry",	//1417
    "~QNetworkCacheMetaData",	//1418
    "~QNetworkConfiguration",	//1419
    "~QNetworkConfigurationManager",	//1420
    "~QNetworkCookie",	//1421
    "~QNetworkCookieJar",	//1422
    "~QNetworkDiskCache",	//1423
    "~QNetworkInterface",	//1424
    "~QNetworkProxy",	//1425
    "~QNetworkProxyFactory",	//1426
    "~QNetworkProxyQuery",	//1427
    "~QNetworkReply",	//1428
    "~QNetworkRequest",	//1429
    "~QNetworkSession",	//1430
    "~QSslCertificate",	//1431
    "~QSslCipher",	//1432
    "~QSslConfiguration",	//1433
    "~QSslError",	//1434
    "~QSslKey",	//1435
    "~QSslSocket",	//1436
    "~QTcpServer",	//1437
    "~QTcpSocket",	//1438
    "~QUdpSocket",	//1439
    "~QUrlInfo",	//1440
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1361, 3, 2, Smoke::mf_static, 209, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1365, 3, 2, Smoke::mf_static, 209, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1361, 6, 3, Smoke::mf_static, 209, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1365, 6, 3, Smoke::mf_static, 209, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 709, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 131, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1372, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 538, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 1065, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 314, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 403, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 841, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 95, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 637, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 485, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 183, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1361, 1, 1, Smoke::mf_static, 209, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1365, 1, 1, Smoke::mf_static, 209, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 183, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1403, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//22 QAbstractSocket::metaObject() const
    {2, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1361, 3, 2, Smoke::mf_static, 209, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1365, 3, 2, Smoke::mf_static, 209, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1361, 6, 3, Smoke::mf_static, 209, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1365, 6, 3, Smoke::mf_static, 209, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 185, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 506, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 506, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 554, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 667, 0, 0, Smoke::mf_const, 314, 12},	//33 QAbstractSocket::isValid() const
    {2, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 477, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 698, 0, 0, Smoke::mf_const, 415, 16},	//37 QAbstractSocket::localPort() const
    {2, 694, 0, 0, Smoke::mf_const, 74, 17},	//38 QAbstractSocket::localAddress() const
    {2, 824, 0, 0, Smoke::mf_const, 415, 18},	//39 QAbstractSocket::peerPort() const
    {2, 819, 0, 0, Smoke::mf_const, 74, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 823, 0, 0, Smoke::mf_const, 209, 20},	//41 QAbstractSocket::peerName() const
    {2, 1051, 0, 0, Smoke::mf_const, 403, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1262, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 415, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1326, 0, 0, Smoke::mf_const, 398, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1283, 35, 3, 0, 314, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1292, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1327, 42, 1, 0, 234, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1329, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1336, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 574, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 488, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 663, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 32},	//53 QAbstractSocket::isSequential() const
    {2, 451, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 33},	//54 QAbstractSocket::atEnd() const
    {2, 587, 0, 0, 0, 314, 34},	//55 QAbstractSocket::flush()
    {2, 1385, 44, 1, 0, 314, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1396, 44, 1, Smoke::mf_virtual, 314, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1383, 44, 1, Smoke::mf_virtual, 314, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1387, 44, 1, 0, 314, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1249, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 848, 0, 0, Smoke::mf_const, 152, 40},	//61 QAbstractSocket::proxy() const
    {2, 626, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 522, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 559, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1337, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 574, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 849, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 516, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 555, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 1052, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 1058, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1398, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1294, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1290, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1186, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1180, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1223, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1217, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1221, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1361, 1, 1, Smoke::mf_static, 209, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1365, 1, 1, Smoke::mf_static, 209, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 506, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 506, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1283, 44, 1, 0, 314, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1283, 77, 2, 0, 314, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1385, 0, 0, 0, 314, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1396, 0, 0, 0, 314, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1383, 0, 0, 0, 314, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1387, 0, 0, 0, 314, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 516, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 106},	//127 QAbstractSocket::MulticastTtlOption (enum)
    {2, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 107},	//128 QAbstractSocket::MulticastLoopbackOption (enum)
    {2, 1404, 0, 0, Smoke::mf_dtor, 0, 108 },	//129 QAbstractSocket::~QAbstractSocket()
    {3, 187, 0, 0, Smoke::mf_ctor, 10, 1},	//130 QAuthenticator::QAuthenticator()
    {3, 187, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//131 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 773, 83, 1, 0, 9, 3},	//132 QAuthenticator::operator=(const QAuthenticator&)
    {3, 776, 83, 1, Smoke::mf_const, 314, 4},	//133 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 737, 83, 1, Smoke::mf_const, 314, 5},	//134 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1378, 0, 0, Smoke::mf_const, 209, 6},	//135 QAuthenticator::user() const
    {3, 1313, 69, 1, 0, 0, 7},	//136 QAuthenticator::setUser(const QString&)
    {3, 817, 0, 0, Smoke::mf_const, 209, 8},	//137 QAuthenticator::password() const
    {3, 1213, 69, 1, 0, 0, 9},	//138 QAuthenticator::setPassword(const QString&)
    {3, 1062, 0, 0, Smoke::mf_const, 209, 10},	//139 QAuthenticator::realm() const
    {3, 804, 69, 1, Smoke::mf_const, 234, 11},	//140 QAuthenticator::option(const QString&) const
    {3, 806, 0, 0, Smoke::mf_const, 73, 12},	//141 QAuthenticator::options() const
    {3, 1207, 85, 2, 0, 0, 13},	//142 QAuthenticator::setOption(const QString&, const QVariant&)
    {3, 656, 0, 0, Smoke::mf_const, 314, 14},	//143 QAuthenticator::isNull() const
    {3, 551, 0, 0, 0, 0, 15},	//144 QAuthenticator::detach()
    {3, 1405, 0, 0, Smoke::mf_dtor, 0, 16 },	//145 QAuthenticator::~QAuthenticator()
    {16, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//146 QFtp::metaObject() const
    {16, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//147 QFtp::qt_metacast(const char*)
    {16, 1361, 3, 2, Smoke::mf_static, 209, 3},	//148 QFtp::tr(const char*, const char*)
    {16, 1365, 3, 2, Smoke::mf_static, 209, 4},	//149 QFtp::trUtf8(const char*, const char*)
    {16, 1361, 6, 3, Smoke::mf_static, 209, 5},	//150 QFtp::tr(const char*, const char*, int)
    {16, 1365, 6, 3, Smoke::mf_static, 209, 6},	//151 QFtp::trUtf8(const char*, const char*, int)
    {16, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//152 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 189, 20, 1, Smoke::mf_ctor, 66, 8},	//153 QFtp::QFtp(QObject*)
    {16, 1249, 71, 2, 0, 398, 9},	//154 QFtp::setProxy(const QString&, unsigned short)
    {16, 506, 71, 2, 0, 398, 10},	//155 QFtp::connectToHost(const QString&, unsigned short)
    {16, 699, 88, 2, 0, 398, 11},	//156 QFtp::login(const QString&, const QString&)
    {16, 488, 0, 0, 0, 398, 12},	//157 QFtp::close()
    {16, 1305, 91, 1, 0, 398, 13},	//158 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 686, 69, 1, 0, 398, 14},	//159 QFtp::list(const QString&)
    {16, 479, 69, 1, 0, 398, 15},	//160 QFtp::cd(const QString&)
    {16, 601, 93, 3, 0, 398, 16},	//161 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 856, 97, 3, 0, 398, 17},	//162 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 856, 101, 3, 0, 398, 18},	//163 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 1065, 69, 1, 0, 398, 19},	//164 QFtp::remove(const QString&)
    {16, 716, 69, 1, 0, 398, 20},	//165 QFtp::mkdir(const QString&)
    {16, 1087, 69, 1, 0, 398, 21},	//166 QFtp::rmdir(const QString&)
    {16, 1074, 88, 2, 0, 398, 22},	//167 QFtp::rename(const QString&, const QString&)
    {16, 1039, 69, 1, 0, 398, 23},	//168 QFtp::rawCommand(const QString&)
    {16, 469, 0, 0, Smoke::mf_const, 403, 24},	//169 QFtp::bytesAvailable() const
    {16, 1048, 59, 2, 0, 403, 25},	//170 QFtp::read(char*, long long)
    {16, 1050, 0, 0, 0, 14, 26},	//171 QFtp::readAll()
    {16, 534, 0, 0, Smoke::mf_const, 398, 27},	//172 QFtp::currentId() const
    {16, 533, 0, 0, Smoke::mf_const, 95, 28},	//173 QFtp::currentDevice() const
    {16, 531, 0, 0, Smoke::mf_const, 67, 29},	//174 QFtp::currentCommand() const
    {16, 615, 0, 0, Smoke::mf_const, 314, 30},	//175 QFtp::hasPendingCommands() const
    {16, 486, 0, 0, 0, 0, 31},	//176 QFtp::clearPendingCommands()
    {16, 1336, 0, 0, Smoke::mf_const, 69, 32},	//177 QFtp::state() const
    {16, 574, 0, 0, Smoke::mf_const, 68, 33},	//178 QFtp::error() const
    {16, 576, 0, 0, Smoke::mf_const, 209, 34},	//179 QFtp::errorString() const
    {16, 415, 0, 0, Smoke::mf_slot, 0, 35},	//180 QFtp::abort()
    {16, 1337, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//181 QFtp::stateChanged(int)
    {16, 688, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//182 QFtp::listInfo(const QUrlInfo&)
    {16, 1060, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//183 QFtp::readyRead()
    {16, 544, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//184 QFtp::dataTransferProgress(qint64, qint64)
    {16, 1041, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//185 QFtp::rawCommandReply(int, const QString&)
    {16, 493, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//186 QFtp::commandStarted(int)
    {16, 491, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//187 QFtp::commandFinished(int, bool)
    {16, 561, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//188 QFtp::done(bool)
    {16, 1361, 1, 1, Smoke::mf_static, 209, 44},	//189 QFtp::tr(const char*)
    {16, 1365, 1, 1, Smoke::mf_static, 209, 45},	//190 QFtp::trUtf8(const char*)
    {16, 189, 0, 0, Smoke::mf_ctor, 66, 46},	//191 QFtp::QFtp()
    {16, 506, 69, 1, 0, 398, 47},	//192 QFtp::connectToHost(const QString&)
    {16, 699, 0, 0, 0, 398, 48},	//193 QFtp::login()
    {16, 699, 69, 1, 0, 398, 49},	//194 QFtp::login(const QString&)
    {16, 686, 0, 0, 0, 398, 50},	//195 QFtp::list()
    {16, 601, 69, 1, 0, 398, 51},	//196 QFtp::get(const QString&)
    {16, 601, 118, 2, 0, 398, 52},	//197 QFtp::get(const QString&, QIODevice*)
    {16, 856, 121, 2, 0, 398, 53},	//198 QFtp::put(const QByteArray&, const QString&)
    {16, 856, 124, 2, 0, 398, 54},	//199 QFtp::put(QIODevice*, const QString&)
    {16, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 55},	//200 QFtp::staticMetaObject() const
    {16, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 56},	//201 QFtp::Unconnected (enum)
    {16, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 57},	//202 QFtp::HostLookup (enum)
    {16, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 58},	//203 QFtp::Connecting (enum)
    {16, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 59},	//204 QFtp::Connected (enum)
    {16, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 60},	//205 QFtp::LoggedIn (enum)
    {16, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 61},	//206 QFtp::Closing (enum)
    {16, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 62},	//207 QFtp::NoError (enum)
    {16, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 63},	//208 QFtp::UnknownError (enum)
    {16, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 64},	//209 QFtp::HostNotFound (enum)
    {16, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 65},	//210 QFtp::ConnectionRefused (enum)
    {16, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 66},	//211 QFtp::NotConnected (enum)
    {16, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 67},	//212 QFtp::None (enum)
    {16, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 68},	//213 QFtp::SetTransferMode (enum)
    {16, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 69},	//214 QFtp::SetProxy (enum)
    {16, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 70},	//215 QFtp::ConnectToHost (enum)
    {16, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 71},	//216 QFtp::Login (enum)
    {16, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 72},	//217 QFtp::Close (enum)
    {16, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 73},	//218 QFtp::List (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 74},	//219 QFtp::Cd (enum)
    {16, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 75},	//220 QFtp::Get (enum)
    {16, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 76},	//221 QFtp::Put (enum)
    {16, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 77},	//222 QFtp::Remove (enum)
    {16, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 78},	//223 QFtp::Mkdir (enum)
    {16, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 79},	//224 QFtp::Rmdir (enum)
    {16, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 80},	//225 QFtp::Rename (enum)
    {16, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 81},	//226 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//227 QFtp::Active (enum)
    {16, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//228 QFtp::Passive (enum)
    {16, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 84},	//229 QFtp::Binary (enum)
    {16, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 85},	//230 QFtp::Ascii (enum)
    {16, 1406, 0, 0, Smoke::mf_dtor, 0, 86 },	//231 QFtp::~QFtp()
    {17, 788, 127, 2, Smoke::mf_static, 314, 1},	//232 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 905, 130, 1, Smoke::mf_static, 412, 2},	//233 QGlobalSpace::qHash(unsigned long long)
    {17, 915, 132, 1, Smoke::mf_static, 314, 3},	//234 QGlobalSpace::qIsInf(double)
    {17, 801, 134, 2, Smoke::mf_static, 100, 4},	//235 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 801, 137, 2, Smoke::mf_static, 100, 5},	//236 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 1008, 140, 2, Smoke::mf_static, 412, 6},	//237 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 927, 143, 3, Smoke::mf_static, 420, 7},	//238 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 1027, 0, 0, Smoke::mf_static, 0, 8},	//239 QGlobalSpace::qt_noop()
    {17, 776, 147, 2, Smoke::mf_static, 314, 9},	//240 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 764, 150, 2, Smoke::mf_static, 24, 10},	//241 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 764, 153, 2, Smoke::mf_static, 24, 11},	//242 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 776, 156, 2, Smoke::mf_static, 314, 12},	//243 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 776, 159, 2, Smoke::mf_static, 314, 13},	//244 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 749, 162, 2, Smoke::mf_static, 320, 14},	//245 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 801, 165, 2, Smoke::mf_static, 37, 15},	//246 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 958, 168, 2, Smoke::mf_static, 314, 16},	//247 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 989, 162, 2, Smoke::mf_static, 398, 17},	//248 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 776, 171, 2, Smoke::mf_static, 314, 18},	//249 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 869, 174, 2, Smoke::mf_static, 396, 19},	//250 QGlobalSpace::qAtan2(double, double)
    {17, 793, 177, 2, Smoke::mf_static, 20, 20},	//251 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 788, 180, 2, Smoke::mf_static, 314, 21},	//252 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 915, 183, 1, Smoke::mf_static, 314, 22},	//253 QGlobalSpace::qIsInf(float)
    {17, 980, 1, 1, Smoke::mf_static, 14, 23},	//254 QGlobalSpace::qgetenv(const char*)
    {17, 905, 185, 1, Smoke::mf_static, 412, 24},	//255 QGlobalSpace::qHash(signed char)
    {17, 801, 187, 2, Smoke::mf_static, 100, 25},	//256 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 776, 190, 2, Smoke::mf_static, 314, 26},	//257 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 783, 162, 2, Smoke::mf_static, 314, 27},	//258 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 911, 132, 1, Smoke::mf_static, 398, 28},	//259 QGlobalSpace::qIntCast(double)
    {17, 949, 193, 1, Smoke::mf_static, 222, 29},	//260 QGlobalSpace::qSetPadChar(QChar)
    {17, 776, 195, 2, Smoke::mf_static, 314, 30},	//261 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 776, 198, 2, Smoke::mf_static, 314, 31},	//262 QGlobalSpace::operator==(QChar, QChar)
    {17, 801, 201, 2, Smoke::mf_static, 63, 32},	//263 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 905, 14, 1, Smoke::mf_static, 412, 33},	//264 QGlobalSpace::qHash(const QUrl&)
    {17, 905, 204, 1, Smoke::mf_static, 412, 34},	//265 QGlobalSpace::qHash(const QByteArray&)
    {17, 764, 206, 2, Smoke::mf_static, 24, 35},	//266 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 759, 198, 2, Smoke::mf_static, 314, 36},	//267 QGlobalSpace::operator<(QChar, QChar)
    {17, 788, 198, 2, Smoke::mf_static, 314, 37},	//268 QGlobalSpace::operator>=(QChar, QChar)
    {17, 737, 209, 2, Smoke::mf_static, 314, 38},	//269 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 764, 212, 2, Smoke::mf_static, 20, 39},	//270 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 759, 162, 2, Smoke::mf_static, 314, 40},	//271 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 801, 215, 2, Smoke::mf_static, 62, 41},	//272 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 989, 3, 2, Smoke::mf_static, 398, 42},	//273 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 881, 132, 1, Smoke::mf_static, 396, 43},	//274 QGlobalSpace::qCos(double)
    {17, 801, 218, 2, Smoke::mf_static, 40, 44},	//275 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 783, 198, 2, Smoke::mf_static, 314, 45},	//276 QGlobalSpace::operator>(QChar, QChar)
    {17, 801, 221, 2, Smoke::mf_static, 65, 46},	//277 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 746, 224, 2, Smoke::mf_static, 372, 47},	//278 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 953, 0, 0, Smoke::mf_static, 314, 48},	//279 QGlobalSpace::qSharedBuild()
    {17, 801, 227, 2, Smoke::mf_static, 100, 49},	//280 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 737, 127, 2, Smoke::mf_static, 314, 50},	//281 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 754, 230, 2, Smoke::mf_static, 362, 51},	//282 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 764, 233, 2, Smoke::mf_static, 20, 52},	//283 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 801, 236, 2, Smoke::mf_static, 100, 53},	//284 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 801, 239, 2, Smoke::mf_static, 61, 54},	//285 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 764, 242, 2, Smoke::mf_static, 24, 55},	//286 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 905, 245, 1, Smoke::mf_static, 412, 56},	//287 QGlobalSpace::qHash(char)
    {17, 737, 156, 2, Smoke::mf_static, 314, 57},	//288 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 801, 247, 2, Smoke::mf_static, 47, 58},	//289 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 764, 250, 2, Smoke::mf_static, 24, 59},	//290 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 801, 253, 2, Smoke::mf_static, 100, 60},	//291 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 801, 256, 2, Smoke::mf_static, 100, 61},	//292 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 757, 259, 2, Smoke::mf_static, 362, 62},	//293 QGlobalSpace::operator/(const QPoint&, double)
    {17, 749, 230, 2, Smoke::mf_static, 362, 63},	//294 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 801, 262, 2, Smoke::mf_static, 35, 64},	//295 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 764, 265, 2, Smoke::mf_static, 20, 65},	//296 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 749, 268, 2, Smoke::mf_static, 380, 66},	//297 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 754, 271, 2, Smoke::mf_static, 372, 67},	//298 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 764, 274, 2, Smoke::mf_static, 24, 68},	//299 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 913, 132, 1, Smoke::mf_static, 314, 69},	//300 QGlobalSpace::qIsFinite(double)
    {17, 970, 277, 4, Smoke::mf_static, 317, 70},	//301 QGlobalSpace::qecvt(long double, int, int*, int*)
    {17, 737, 180, 2, Smoke::mf_static, 314, 71},	//302 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 801, 282, 2, Smoke::mf_static, 57, 72},	//303 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 764, 285, 2, Smoke::mf_static, 24, 73},	//304 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 764, 288, 2, Smoke::mf_static, 24, 74},	//305 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 764, 291, 2, Smoke::mf_static, 24, 75},	//306 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 801, 294, 2, Smoke::mf_static, 44, 76},	//307 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 759, 297, 2, Smoke::mf_static, 314, 77},	//308 QGlobalSpace::operator<(const char*, const QString&)
    {17, 801, 300, 2, Smoke::mf_static, 48, 78},	//309 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 801, 303, 2, Smoke::mf_static, 49, 79},	//310 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 801, 306, 2, Smoke::mf_static, 63, 80},	//311 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 749, 159, 2, Smoke::mf_static, 370, 81},	//312 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 801, 309, 2, Smoke::mf_static, 54, 82},	//313 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 1019, 44, 1, Smoke::mf_static, 209, 83},	//314 QGlobalSpace::qt_error_string(int)
    {17, 1019, 0, 0, Smoke::mf_static, 209, 84},	//315 QGlobalSpace::qt_error_string()
    {17, 749, 271, 2, Smoke::mf_static, 372, 85},	//316 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 801, 312, 2, Smoke::mf_static, 100, 86},	//317 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 759, 315, 2, Smoke::mf_static, 314, 87},	//318 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 963, 318, 2, Smoke::mf_static, 14, 88},	//319 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 1002, 321, 3, Smoke::mf_static, 398, 89},	//320 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 961, 132, 1, Smoke::mf_static, 396, 90},	//321 QGlobalSpace::qTan(double)
    {17, 801, 325, 2, Smoke::mf_static, 44, 91},	//322 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 783, 147, 2, Smoke::mf_static, 314, 92},	//323 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 737, 328, 2, Smoke::mf_static, 314, 93},	//324 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 947, 44, 1, Smoke::mf_static, 222, 94},	//325 QGlobalSpace::qSetFieldWidth(int)
    {17, 801, 331, 2, Smoke::mf_static, 52, 95},	//326 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 801, 334, 2, Smoke::mf_static, 42, 96},	//327 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 895, 132, 1, Smoke::mf_static, 398, 97},	//328 QGlobalSpace::qFloor(double)
    {17, 764, 337, 2, Smoke::mf_static, 24, 98},	//329 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 793, 340, 2, Smoke::mf_static, 20, 99},	//330 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 913, 183, 1, Smoke::mf_static, 314, 100},	//331 QGlobalSpace::qIsFinite(float)
    {17, 749, 343, 2, Smoke::mf_static, 380, 101},	//332 QGlobalSpace::operator+(const QString&, QChar)
    {17, 737, 346, 2, Smoke::mf_static, 314, 102},	//333 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 764, 349, 2, Smoke::mf_static, 24, 103},	//334 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 968, 352, 3, Smoke::mf_static, 0, 104},	//335 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 749, 180, 2, Smoke::mf_static, 320, 105},	//336 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 801, 356, 2, Smoke::mf_static, 46, 106},	//337 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 749, 168, 2, Smoke::mf_static, 380, 107},	//338 QGlobalSpace::operator+(const QString&, const char*)
    {17, 783, 315, 2, Smoke::mf_static, 314, 108},	//339 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 801, 359, 2, Smoke::mf_static, 60, 109},	//340 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 936, 362, 4, Smoke::mf_static, 420, 110},	//341 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 749, 121, 2, Smoke::mf_static, 380, 111},	//342 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 905, 367, 1, Smoke::mf_static, 412, 112},	//343 QGlobalSpace::qHash(unsigned int)
    {17, 801, 369, 2, Smoke::mf_static, 62, 113},	//344 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 905, 193, 1, Smoke::mf_static, 412, 114},	//345 QGlobalSpace::qHash(QChar)
    {17, 768, 180, 2, Smoke::mf_static, 314, 115},	//346 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 911, 183, 1, Smoke::mf_static, 398, 116},	//347 QGlobalSpace::qIntCast(float)
    {17, 776, 372, 2, Smoke::mf_static, 314, 117},	//348 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 801, 375, 2, Smoke::mf_static, 36, 118},	//349 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 799, 378, 2, Smoke::mf_static, 11, 119},	//350 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 783, 381, 2, Smoke::mf_static, 314, 120},	//351 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 934, 384, 2, Smoke::mf_static, 420, 121},	//352 QGlobalSpace::qRealloc(void*, size_t)
    {17, 905, 69, 1, Smoke::mf_static, 412, 122},	//353 QGlobalSpace::qHash(const QString&)
    {17, 768, 315, 2, Smoke::mf_static, 314, 123},	//354 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 764, 387, 2, Smoke::mf_static, 20, 124},	//355 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 764, 390, 2, Smoke::mf_static, 24, 125},	//356 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 944, 132, 1, Smoke::mf_static, 403, 126},	//357 QGlobalSpace::qRound64(double)
    {17, 909, 393, 1, Smoke::mf_static, 419, 127},	//358 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 956, 132, 1, Smoke::mf_static, 396, 128},	//359 QGlobalSpace::qSqrt(double)
    {17, 905, 395, 1, Smoke::mf_static, 412, 129},	//360 QGlobalSpace::qHash(const QModelIndex&)
    {17, 889, 132, 1, Smoke::mf_static, 396, 130},	//361 QGlobalSpace::qFastCos(double)
    {17, 793, 397, 2, Smoke::mf_static, 20, 131},	//362 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 776, 400, 2, Smoke::mf_static, 314, 132},	//363 QGlobalSpace::operator==(QBool, QBool)
    {17, 776, 403, 2, Smoke::mf_static, 314, 133},	//364 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 801, 406, 2, Smoke::mf_static, 100, 134},	//365 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 737, 297, 2, Smoke::mf_static, 314, 135},	//366 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 905, 67, 1, Smoke::mf_static, 412, 136},	//367 QGlobalSpace::qHash(const QHostAddress&)
    {17, 917, 183, 1, Smoke::mf_static, 314, 137},	//368 QGlobalSpace::qIsNaN(float)
    {17, 768, 381, 2, Smoke::mf_static, 314, 138},	//369 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 893, 1, 1, Smoke::mf_static, 392, 139},	//370 QGlobalSpace::qFlagLocation(const char*)
    {17, 801, 409, 2, Smoke::mf_static, 100, 140},	//371 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 917, 132, 1, Smoke::mf_static, 314, 141},	//372 QGlobalSpace::qIsNaN(double)
    {17, 749, 412, 2, Smoke::mf_static, 380, 142},	//373 QGlobalSpace::operator+(QChar, const QString&)
    {17, 801, 415, 2, Smoke::mf_static, 100, 143},	//374 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 801, 418, 2, Smoke::mf_static, 100, 144},	//375 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 793, 421, 2, Smoke::mf_static, 20, 145},	//376 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 1013, 6, 3, Smoke::mf_static, 0, 146},	//377 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 905, 33, 1, Smoke::mf_static, 412, 147},	//378 QGlobalSpace::qHash(long long)
    {17, 737, 424, 2, Smoke::mf_static, 314, 148},	//379 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 974, 277, 4, Smoke::mf_static, 317, 149},	//380 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {17, 801, 427, 2, Smoke::mf_static, 100, 150},	//381 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 801, 430, 2, Smoke::mf_static, 46, 151},	//382 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 749, 433, 2, Smoke::mf_static, 380, 152},	//383 QGlobalSpace::operator+(const QString&, char)
    {17, 737, 195, 2, Smoke::mf_static, 314, 153},	//384 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 754, 171, 2, Smoke::mf_static, 364, 154},	//385 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 776, 346, 2, Smoke::mf_static, 314, 155},	//386 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 801, 436, 2, Smoke::mf_static, 55, 156},	//387 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 759, 381, 2, Smoke::mf_static, 314, 157},	//388 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 801, 439, 2, Smoke::mf_static, 65, 158},	//389 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 903, 183, 1, Smoke::mf_static, 314, 159},	//390 QGlobalSpace::qFuzzyIsNull(float)
    {17, 801, 442, 2, Smoke::mf_static, 59, 160},	//391 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 994, 445, 2, Smoke::mf_static, 317, 161},	//392 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 905, 44, 1, Smoke::mf_static, 412, 162},	//393 QGlobalSpace::qHash(int)
    {17, 749, 171, 2, Smoke::mf_static, 364, 163},	//394 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 801, 448, 2, Smoke::mf_static, 50, 164},	//395 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 776, 271, 2, Smoke::mf_static, 314, 165},	//396 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 754, 451, 1, Smoke::mf_static, 362, 166},	//397 QGlobalSpace::operator-(const QPoint&)
    {17, 801, 453, 2, Smoke::mf_static, 100, 167},	//398 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 764, 456, 2, Smoke::mf_static, 20, 168},	//399 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 801, 459, 2, Smoke::mf_static, 100, 169},	//400 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 885, 132, 1, Smoke::mf_static, 396, 170},	//401 QGlobalSpace::qExp(double)
    {17, 951, 44, 1, Smoke::mf_static, 222, 171},	//402 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 776, 462, 2, Smoke::mf_static, 314, 172},	//403 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 921, 132, 1, Smoke::mf_static, 396, 173},	//404 QGlobalSpace::qLn(double)
    {17, 764, 465, 2, Smoke::mf_static, 24, 174},	//405 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 764, 468, 2, Smoke::mf_static, 24, 175},	//406 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 737, 271, 2, Smoke::mf_static, 314, 176},	//407 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 938, 471, 1, Smoke::mf_static, 0, 177},	//408 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 874, 140, 2, Smoke::mf_static, 415, 178},	//409 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 801, 473, 2, Smoke::mf_static, 58, 179},	//410 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 923, 476, 1, Smoke::mf_static, 420, 180},	//411 QGlobalSpace::qMalloc(size_t)
    {17, 933, 0, 0, Smoke::mf_static, 396, 181},	//412 QGlobalSpace::qQNaN()
    {17, 801, 478, 2, Smoke::mf_static, 51, 182},	//413 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 793, 481, 2, Smoke::mf_static, 20, 183},	//414 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 982, 162, 2, Smoke::mf_static, 314, 184},	//415 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 764, 484, 2, Smoke::mf_static, 24, 185},	//416 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 801, 487, 2, Smoke::mf_static, 100, 186},	//417 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 987, 367, 1, Smoke::mf_static, 0, 187},	//418 QGlobalSpace::qsrand(unsigned int)
    {17, 905, 490, 1, Smoke::mf_static, 412, 188},	//419 QGlobalSpace::qHash(long)
    {17, 746, 492, 2, Smoke::mf_static, 362, 189},	//420 QGlobalSpace::operator*(int, const QPoint&)
    {17, 783, 127, 2, Smoke::mf_static, 314, 190},	//421 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 905, 65, 1, Smoke::mf_static, 412, 191},	//422 QGlobalSpace::qHash(unsigned short)
    {17, 793, 495, 2, Smoke::mf_static, 20, 192},	//423 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 737, 171, 2, Smoke::mf_static, 314, 193},	//424 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 801, 498, 2, Smoke::mf_static, 37, 194},	//425 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 1006, 321, 3, Smoke::mf_static, 398, 195},	//426 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 749, 501, 2, Smoke::mf_static, 380, 196},	//427 QGlobalSpace::operator+(char, const QString&)
    {17, 793, 504, 2, Smoke::mf_static, 20, 197},	//428 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 776, 209, 2, Smoke::mf_static, 314, 198},	//429 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 776, 328, 2, Smoke::mf_static, 314, 199},	//430 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 749, 381, 2, Smoke::mf_static, 320, 200},	//431 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 905, 507, 1, Smoke::mf_static, 412, 201},	//432 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 783, 297, 2, Smoke::mf_static, 314, 202},	//433 QGlobalSpace::operator>(const char*, const QString&)
    {17, 764, 509, 2, Smoke::mf_static, 20, 203},	//434 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 764, 512, 2, Smoke::mf_static, 20, 204},	//435 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 1028, 515, 3, Smoke::mf_static, 174, 205},	//436 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 801, 519, 2, Smoke::mf_static, 45, 206},	//437 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 757, 522, 2, Smoke::mf_static, 364, 207},	//438 QGlobalSpace::operator/(const QPointF&, double)
    {17, 737, 525, 2, Smoke::mf_static, 314, 208},	//439 QGlobalSpace::operator!=(bool, QBool)
    {17, 776, 315, 2, Smoke::mf_static, 314, 209},	//440 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 793, 528, 2, Smoke::mf_static, 20, 210},	//441 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 1004, 531, 3, Smoke::mf_static, 317, 211},	//442 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 801, 535, 2, Smoke::mf_static, 100, 212},	//443 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 963, 204, 1, Smoke::mf_static, 14, 213},	//444 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 793, 538, 2, Smoke::mf_static, 20, 214},	//445 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 764, 541, 2, Smoke::mf_static, 20, 215},	//446 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 793, 544, 2, Smoke::mf_static, 20, 216},	//447 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 801, 547, 2, Smoke::mf_static, 100, 217},	//448 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 754, 550, 1, Smoke::mf_static, 364, 218},	//449 QGlobalSpace::operator-(const QPointF&)
    {17, 776, 525, 2, Smoke::mf_static, 314, 219},	//450 QGlobalSpace::operator==(bool, QBool)
    {17, 984, 0, 0, Smoke::mf_static, 398, 220},	//451 QGlobalSpace::qrand()
    {17, 801, 552, 2, Smoke::mf_static, 43, 221},	//452 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 764, 555, 2, Smoke::mf_static, 24, 222},	//453 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 1015, 558, 4, Smoke::mf_static, 0, 223},	//454 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 746, 563, 2, Smoke::mf_static, 362, 224},	//455 QGlobalSpace::operator*(float, const QPoint&)
    {17, 744, 378, 2, Smoke::mf_static, 11, 225},	//456 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 788, 162, 2, Smoke::mf_static, 314, 226},	//457 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 801, 566, 2, Smoke::mf_static, 60, 227},	//458 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 764, 569, 2, Smoke::mf_static, 24, 228},	//459 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 801, 572, 2, Smoke::mf_static, 100, 229},	//460 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 801, 575, 2, Smoke::mf_static, 100, 230},	//461 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 737, 578, 2, Smoke::mf_static, 314, 231},	//462 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 883, 0, 0, Smoke::mf_static, 24, 232},	//463 QGlobalSpace::qCritical()
    {17, 801, 581, 2, Smoke::mf_static, 54, 233},	//464 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 737, 162, 2, Smoke::mf_static, 314, 234},	//465 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 764, 584, 2, Smoke::mf_static, 24, 235},	//466 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 737, 230, 2, Smoke::mf_static, 314, 236},	//467 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 759, 147, 2, Smoke::mf_static, 314, 237},	//468 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 776, 578, 2, Smoke::mf_static, 314, 238},	//469 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 764, 587, 2, Smoke::mf_static, 20, 239},	//470 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 749, 590, 2, Smoke::mf_static, 320, 240},	//471 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 801, 593, 2, Smoke::mf_static, 35, 241},	//472 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 801, 596, 2, Smoke::mf_static, 33, 242},	//473 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 793, 599, 2, Smoke::mf_static, 20, 243},	//474 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 788, 315, 2, Smoke::mf_static, 314, 244},	//475 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 757, 602, 2, Smoke::mf_static, 372, 245},	//476 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 764, 605, 2, Smoke::mf_static, 20, 246},	//477 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 776, 230, 2, Smoke::mf_static, 314, 247},	//478 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 862, 608, 1, Smoke::mf_static, 0, 248},	//479 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 876, 610, 3, Smoke::mf_static, 14, 249},	//480 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 876, 318, 2, Smoke::mf_static, 14, 250},	//481 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 768, 162, 2, Smoke::mf_static, 314, 251},	//482 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 891, 132, 1, Smoke::mf_static, 396, 252},	//483 QGlobalSpace::qFastSin(double)
    {17, 768, 127, 2, Smoke::mf_static, 314, 253},	//484 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 764, 614, 2, Smoke::mf_static, 20, 254},	//485 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 793, 617, 2, Smoke::mf_static, 20, 255},	//486 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 864, 0, 0, Smoke::mf_static, 209, 256},	//487 QGlobalSpace::qAppName()
    {17, 966, 0, 0, Smoke::mf_static, 392, 257},	//488 QGlobalSpace::qVersion()
    {17, 764, 620, 2, Smoke::mf_static, 24, 258},	//489 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 897, 623, 1, Smoke::mf_static, 0, 259},	//490 QGlobalSpace::qFree(void*)
    {17, 801, 625, 2, Smoke::mf_static, 100, 260},	//491 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 899, 623, 1, Smoke::mf_static, 0, 261},	//492 QGlobalSpace::qFreeAligned(void*)
    {17, 776, 424, 2, Smoke::mf_static, 314, 262},	//493 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 764, 628, 2, Smoke::mf_static, 24, 263},	//494 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 764, 631, 2, Smoke::mf_static, 219, 264},	//495 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 759, 180, 2, Smoke::mf_static, 314, 265},	//496 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 764, 634, 2, Smoke::mf_static, 24, 266},	//497 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 764, 637, 2, Smoke::mf_static, 24, 267},	//498 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 801, 640, 2, Smoke::mf_static, 36, 268},	//499 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 905, 643, 1, Smoke::mf_static, 412, 269},	//500 QGlobalSpace::qHash(const QBitArray&)
    {17, 764, 645, 2, Smoke::mf_static, 24, 270},	//501 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 764, 648, 2, Smoke::mf_static, 219, 271},	//502 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 872, 132, 1, Smoke::mf_static, 398, 272},	//503 QGlobalSpace::qCeil(double)
    {17, 737, 198, 2, Smoke::mf_static, 314, 273},	//504 QGlobalSpace::operator!=(QChar, QChar)
    {17, 801, 651, 2, Smoke::mf_static, 53, 274},	//505 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 958, 654, 2, Smoke::mf_static, 314, 275},	//506 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 996, 1, 1, Smoke::mf_static, 317, 276},	//507 QGlobalSpace::qstrdup(const char*)
    {17, 776, 657, 2, Smoke::mf_static, 314, 277},	//508 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 793, 660, 2, Smoke::mf_static, 20, 278},	//509 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 768, 297, 2, Smoke::mf_static, 314, 279},	//510 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 737, 403, 2, Smoke::mf_static, 314, 280},	//511 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 884, 0, 0, Smoke::mf_static, 24, 281},	//512 QGlobalSpace::qDebug()
    {17, 925, 663, 2, Smoke::mf_static, 420, 282},	//513 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 737, 654, 2, Smoke::mf_static, 314, 283},	//514 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 972, 666, 6, Smoke::mf_static, 398, 284},	//515 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {17, 931, 174, 2, Smoke::mf_static, 396, 285},	//516 QGlobalSpace::qPow(double, double)
    {17, 768, 147, 2, Smoke::mf_static, 314, 286},	//517 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 764, 673, 2, Smoke::mf_static, 24, 287},	//518 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 801, 676, 2, Smoke::mf_static, 100, 288},	//519 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 793, 631, 2, Smoke::mf_static, 219, 289},	//520 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 749, 679, 2, Smoke::mf_static, 320, 290},	//521 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 776, 162, 2, Smoke::mf_static, 314, 291},	//522 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 764, 682, 2, Smoke::mf_static, 20, 292},	//523 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 754, 159, 2, Smoke::mf_static, 370, 293},	//524 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 764, 685, 2, Smoke::mf_static, 24, 294},	//525 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 749, 297, 2, Smoke::mf_static, 380, 295},	//526 QGlobalSpace::operator+(const char*, const QString&)
    {17, 801, 688, 2, Smoke::mf_static, 100, 296},	//527 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 793, 691, 2, Smoke::mf_static, 20, 297},	//528 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 737, 462, 2, Smoke::mf_static, 314, 298},	//529 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 764, 694, 2, Smoke::mf_static, 24, 299},	//530 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 801, 697, 2, Smoke::mf_static, 57, 300},	//531 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 793, 700, 2, Smoke::mf_static, 20, 301},	//532 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 746, 703, 2, Smoke::mf_static, 364, 302},	//533 QGlobalSpace::operator*(double, const QPointF&)
    {17, 801, 706, 2, Smoke::mf_static, 52, 303},	//534 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 776, 127, 2, Smoke::mf_static, 314, 304},	//535 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 746, 709, 2, Smoke::mf_static, 370, 305},	//536 QGlobalSpace::operator*(const QSize&, double)
    {17, 764, 712, 2, Smoke::mf_static, 24, 306},	//537 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 801, 715, 2, Smoke::mf_static, 33, 307},	//538 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 1037, 718, 4, Smoke::mf_static, 398, 308},	//539 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 746, 723, 2, Smoke::mf_static, 362, 309},	//540 QGlobalSpace::operator*(double, const QPoint&)
    {17, 929, 726, 3, Smoke::mf_static, 420, 310},	//541 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 764, 730, 2, Smoke::mf_static, 20, 311},	//542 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 1017, 733, 2, Smoke::mf_static, 0, 312},	//543 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 905, 736, 1, Smoke::mf_static, 412, 313},	//544 QGlobalSpace::qHash(short)
    {17, 801, 738, 2, Smoke::mf_static, 38, 314},	//545 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 887, 132, 1, Smoke::mf_static, 396, 315},	//546 QGlobalSpace::qFabs(double)
    {17, 801, 741, 2, Smoke::mf_static, 51, 316},	//547 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 801, 744, 2, Smoke::mf_static, 34, 317},	//548 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 801, 747, 2, Smoke::mf_static, 100, 318},	//549 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 989, 381, 2, Smoke::mf_static, 398, 319},	//550 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 901, 750, 2, Smoke::mf_static, 314, 320},	//551 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 776, 753, 2, Smoke::mf_static, 314, 321},	//552 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 801, 756, 2, Smoke::mf_static, 39, 322},	//553 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 976, 666, 6, Smoke::mf_static, 398, 323},	//554 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {17, 978, 759, 3, Smoke::mf_static, 317, 324},	//555 QGlobalSpace::qgcvt(long double, int, char*)
    {17, 985, 763, 4, Smoke::mf_static, 0, 325},	//556 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {17, 860, 132, 1, Smoke::mf_static, 396, 326},	//557 QGlobalSpace::qAcos(double)
    {17, 801, 768, 2, Smoke::mf_static, 48, 327},	//558 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 801, 771, 2, Smoke::mf_static, 100, 328},	//559 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 801, 774, 2, Smoke::mf_static, 55, 329},	//560 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 788, 381, 2, Smoke::mf_static, 314, 330},	//561 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 871, 0, 0, Smoke::mf_static, 0, 331},	//562 QGlobalSpace::qBadAlloc()
    {17, 764, 777, 2, Smoke::mf_static, 24, 332},	//563 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 801, 780, 2, Smoke::mf_static, 61, 333},	//564 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 801, 783, 2, Smoke::mf_static, 100, 334},	//565 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 903, 132, 1, Smoke::mf_static, 314, 335},	//566 QGlobalSpace::qFuzzyIsNull(double)
    {17, 876, 786, 2, Smoke::mf_static, 14, 336},	//567 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 876, 204, 1, Smoke::mf_static, 14, 337},	//568 QGlobalSpace::qCompress(const QByteArray&)
    {17, 801, 789, 2, Smoke::mf_static, 49, 338},	//569 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 801, 792, 2, Smoke::mf_static, 100, 339},	//570 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 801, 795, 2, Smoke::mf_static, 64, 340},	//571 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 801, 798, 2, Smoke::mf_static, 32, 341},	//572 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 764, 801, 2, Smoke::mf_static, 24, 342},	//573 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 764, 804, 2, Smoke::mf_static, 20, 343},	//574 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 764, 807, 2, Smoke::mf_static, 20, 344},	//575 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 764, 810, 2, Smoke::mf_static, 20, 345},	//576 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 865, 132, 1, Smoke::mf_static, 396, 346},	//577 QGlobalSpace::qAsin(double)
    {17, 764, 813, 2, Smoke::mf_static, 24, 347},	//578 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 801, 816, 2, Smoke::mf_static, 34, 348},	//579 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 737, 372, 2, Smoke::mf_static, 314, 349},	//580 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 954, 132, 1, Smoke::mf_static, 396, 350},	//581 QGlobalSpace::qSin(double)
    {17, 801, 819, 2, Smoke::mf_static, 100, 351},	//582 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 776, 381, 2, Smoke::mf_static, 314, 352},	//583 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 793, 822, 2, Smoke::mf_static, 20, 353},	//584 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 801, 378, 2, Smoke::mf_static, 11, 354},	//585 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 764, 825, 2, Smoke::mf_static, 20, 355},	//586 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 764, 828, 2, Smoke::mf_static, 20, 356},	//587 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 801, 831, 2, Smoke::mf_static, 100, 357},	//588 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 764, 834, 2, Smoke::mf_static, 20, 358},	//589 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 1010, 733, 2, Smoke::mf_static, 209, 359},	//590 QGlobalSpace::qtTrId(const char*, int)
    {17, 1010, 1, 1, Smoke::mf_static, 209, 360},	//591 QGlobalSpace::qtTrId(const char*)
    {17, 764, 837, 2, Smoke::mf_static, 24, 361},	//592 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 768, 198, 2, Smoke::mf_static, 314, 362},	//593 QGlobalSpace::operator<=(QChar, QChar)
    {17, 801, 840, 2, Smoke::mf_static, 64, 363},	//594 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 737, 753, 2, Smoke::mf_static, 314, 364},	//595 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 801, 843, 2, Smoke::mf_static, 56, 365},	//596 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 793, 846, 2, Smoke::mf_static, 20, 366},	//597 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 746, 849, 2, Smoke::mf_static, 362, 367},	//598 QGlobalSpace::operator*(const QPoint&, int)
    {17, 793, 852, 2, Smoke::mf_static, 20, 368},	//599 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 1035, 855, 3, Smoke::mf_static, 314, 369},	//600 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 757, 709, 2, Smoke::mf_static, 370, 370},	//601 QGlobalSpace::operator/(const QSize&, double)
    {17, 919, 183, 1, Smoke::mf_static, 314, 371},	//602 QGlobalSpace::qIsNull(float)
    {17, 1030, 859, 5, Smoke::mf_static, 0, 372},	//603 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 776, 865, 2, Smoke::mf_static, 314, 373},	//604 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 867, 132, 1, Smoke::mf_static, 396, 374},	//605 QGlobalSpace::qAtan(double)
    {17, 793, 868, 2, Smoke::mf_static, 20, 375},	//606 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 801, 871, 2, Smoke::mf_static, 100, 376},	//607 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 901, 174, 2, Smoke::mf_static, 314, 377},	//608 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 737, 147, 2, Smoke::mf_static, 314, 378},	//609 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 801, 874, 2, Smoke::mf_static, 53, 379},	//610 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 746, 259, 2, Smoke::mf_static, 362, 380},	//611 QGlobalSpace::operator*(const QPoint&, double)
    {17, 801, 877, 2, Smoke::mf_static, 38, 381},	//612 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 946, 0, 0, Smoke::mf_static, 396, 382},	//613 QGlobalSpace::qSNaN()
    {17, 776, 180, 2, Smoke::mf_static, 314, 383},	//614 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 746, 602, 2, Smoke::mf_static, 372, 384},	//615 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 776, 654, 2, Smoke::mf_static, 314, 385},	//616 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 746, 880, 2, Smoke::mf_static, 362, 386},	//617 QGlobalSpace::operator*(const QPoint&, float)
    {17, 746, 883, 2, Smoke::mf_static, 370, 387},	//618 QGlobalSpace::operator*(double, const QSize&)
    {17, 759, 127, 2, Smoke::mf_static, 314, 388},	//619 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 764, 886, 2, Smoke::mf_static, 24, 389},	//620 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 737, 889, 2, Smoke::mf_static, 314, 390},	//621 QGlobalSpace::operator!=(QBool, bool)
    {17, 737, 159, 2, Smoke::mf_static, 314, 391},	//622 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 793, 892, 2, Smoke::mf_static, 20, 392},	//623 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 737, 315, 2, Smoke::mf_static, 314, 393},	//624 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 764, 895, 2, Smoke::mf_static, 24, 394},	//625 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 801, 898, 2, Smoke::mf_static, 47, 395},	//626 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 746, 522, 2, Smoke::mf_static, 364, 396},	//627 QGlobalSpace::operator*(const QPointF&, double)
    {17, 998, 3, 2, Smoke::mf_static, 398, 397},	//628 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 801, 901, 2, Smoke::mf_static, 59, 398},	//629 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 737, 190, 2, Smoke::mf_static, 314, 399},	//630 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 942, 132, 1, Smoke::mf_static, 398, 400},	//631 QGlobalSpace::qRound(double)
    {17, 908, 0, 0, Smoke::mf_static, 396, 401},	//632 QGlobalSpace::qInf()
    {17, 764, 904, 2, Smoke::mf_static, 20, 402},	//633 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 801, 907, 2, Smoke::mf_static, 56, 403},	//634 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 764, 910, 2, Smoke::mf_static, 20, 404},	//635 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 801, 913, 2, Smoke::mf_static, 39, 405},	//636 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 801, 916, 2, Smoke::mf_static, 100, 406},	//637 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 989, 180, 2, Smoke::mf_static, 398, 407},	//638 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 801, 919, 2, Smoke::mf_static, 43, 408},	//639 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 940, 608, 1, Smoke::mf_static, 0, 409},	//640 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 793, 922, 2, Smoke::mf_static, 20, 410},	//641 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 764, 925, 2, Smoke::mf_static, 20, 411},	//642 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 801, 928, 2, Smoke::mf_static, 58, 412},	//643 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 801, 931, 2, Smoke::mf_static, 50, 413},	//644 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 967, 0, 0, Smoke::mf_static, 24, 414},	//645 QGlobalSpace::qWarning()
    {17, 1000, 1, 1, Smoke::mf_static, 412, 415},	//646 QGlobalSpace::qstrlen(const char*)
    {17, 776, 889, 2, Smoke::mf_static, 314, 416},	//647 QGlobalSpace::operator==(QBool, bool)
    {17, 764, 934, 2, Smoke::mf_static, 24, 417},	//648 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 793, 937, 2, Smoke::mf_static, 20, 418},	//649 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 793, 940, 2, Smoke::mf_static, 20, 419},	//650 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 905, 943, 1, Smoke::mf_static, 412, 420},	//651 QGlobalSpace::qHash(unsigned long)
    {17, 764, 945, 2, Smoke::mf_static, 20, 421},	//652 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 801, 948, 2, Smoke::mf_static, 40, 422},	//653 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 776, 297, 2, Smoke::mf_static, 314, 423},	//654 QGlobalSpace::operator==(const char*, const QString&)
    {17, 764, 951, 2, Smoke::mf_static, 20, 424},	//655 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 801, 954, 2, Smoke::mf_static, 45, 425},	//656 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 749, 88, 2, Smoke::mf_static, 380, 426},	//657 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 737, 400, 2, Smoke::mf_static, 314, 427},	//658 QGlobalSpace::operator!=(QBool, QBool)
    {17, 801, 957, 2, Smoke::mf_static, 32, 428},	//659 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 1021, 960, 2, Smoke::mf_static, 0, 429},	//660 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 801, 963, 2, Smoke::mf_static, 42, 430},	//661 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 788, 297, 2, Smoke::mf_static, 314, 431},	//662 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 905, 966, 1, Smoke::mf_static, 412, 432},	//663 QGlobalSpace::qHash(const QStringRef&)
    {17, 919, 132, 1, Smoke::mf_static, 314, 433},	//664 QGlobalSpace::qIsNull(double)
    {17, 801, 968, 2, Smoke::mf_static, 100, 434},	//665 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 788, 147, 2, Smoke::mf_static, 314, 435},	//666 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 783, 180, 2, Smoke::mf_static, 314, 436},	//667 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 905, 971, 1, Smoke::mf_static, 412, 437},	//668 QGlobalSpace::qHash(unsigned char)
    {17, 793, 973, 2, Smoke::mf_static, 20, 438},	//669 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 764, 976, 2, Smoke::mf_static, 24, 439},	//670 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 801, 979, 2, Smoke::mf_static, 100, 440},	//671 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 737, 381, 2, Smoke::mf_static, 314, 441},	//672 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 793, 982, 2, Smoke::mf_static, 20, 442},	//673 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 764, 985, 2, Smoke::mf_static, 20, 443},	//674 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 444},	//675 QGlobalSpace::_ISupper (enum)
    {17, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 445},	//676 QGlobalSpace::_ISlower (enum)
    {17, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 446},	//677 QGlobalSpace::_ISalpha (enum)
    {17, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 447},	//678 QGlobalSpace::_ISdigit (enum)
    {17, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 448},	//679 QGlobalSpace::_ISxdigit (enum)
    {17, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 449},	//680 QGlobalSpace::_ISspace (enum)
    {17, 406, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 450},	//681 QGlobalSpace::_ISprint (enum)
    {17, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 451},	//682 QGlobalSpace::_ISgraph (enum)
    {17, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 452},	//683 QGlobalSpace::_ISblank (enum)
    {17, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 453},	//684 QGlobalSpace::_IScntrl (enum)
    {17, 407, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 454},	//685 QGlobalSpace::_ISpunct (enum)
    {17, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 401, 455},	//686 QGlobalSpace::_ISalnum (enum)
    {17, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 456},	//687 QGlobalSpace::QtDebugMsg (enum)
    {17, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 457},	//688 QGlobalSpace::QtWarningMsg (enum)
    {17, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 458},	//689 QGlobalSpace::QtCriticalMsg (enum)
    {17, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 459},	//690 QGlobalSpace::QtFatalMsg (enum)
    {17, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 312, 460},	//691 QGlobalSpace::QtSystemMsg (enum)
    {17, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 461},	//692 QGlobalSpace::__codecvt_ok (enum)
    {17, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 462},	//693 QGlobalSpace::__codecvt_partial (enum)
    {17, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 463},	//694 QGlobalSpace::__codecvt_error (enum)
    {17, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 313, 464},	//695 QGlobalSpace::__codecvt_noconv (enum)
    {19, 191, 0, 0, Smoke::mf_ctor, 76, 1},	//696 QHostAddress::QHostAddress()
    {19, 191, 367, 1, Smoke::mf_ctor, 76, 2},	//697 QHostAddress::QHostAddress(unsigned int)
    {19, 191, 988, 1, Smoke::mf_ctor, 76, 3},	//698 QHostAddress::QHostAddress(unsigned char*)
    {19, 191, 990, 1, Smoke::mf_ctor, 76, 4},	//699 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 191, 992, 1, Smoke::mf_ctor, 76, 5},	//700 QHostAddress::QHostAddress(const sockaddr*)
    {19, 191, 69, 1, Smoke::mf_ctor, 76, 6},	//701 QHostAddress::QHostAddress(const QString&)
    {19, 191, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 7},	//702 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 191, 994, 1, Smoke::mf_ctor, 76, 8},	//703 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 773, 67, 1, 0, 75, 9},	//704 QHostAddress::operator=(const QHostAddress&)
    {19, 773, 69, 1, 0, 75, 10},	//705 QHostAddress::operator=(const QString&)
    {19, 1103, 367, 1, 0, 0, 11},	//706 QHostAddress::setAddress(unsigned int)
    {19, 1103, 988, 1, 0, 0, 12},	//707 QHostAddress::setAddress(unsigned char*)
    {19, 1103, 990, 1, 0, 0, 13},	//708 QHostAddress::setAddress(const QIPv6Address&)
    {19, 1103, 992, 1, 0, 0, 14},	//709 QHostAddress::setAddress(const sockaddr*)
    {19, 1103, 69, 1, 0, 314, 15},	//710 QHostAddress::setAddress(const QString&)
    {19, 845, 0, 0, Smoke::mf_const, 4, 16},	//711 QHostAddress::protocol() const
    {19, 1354, 0, 0, Smoke::mf_const, 412, 17},	//712 QHostAddress::toIPv4Address() const
    {19, 1355, 0, 0, Smoke::mf_const, 98, 18},	//713 QHostAddress::toIPv6Address() const
    {19, 1360, 0, 0, Smoke::mf_const, 209, 19},	//714 QHostAddress::toString() const
    {19, 1090, 0, 0, Smoke::mf_const, 209, 20},	//715 QHostAddress::scopeId() const
    {19, 1273, 69, 1, 0, 0, 21},	//716 QHostAddress::setScopeId(const QString&)
    {19, 776, 67, 1, Smoke::mf_const, 314, 22},	//717 QHostAddress::operator==(const QHostAddress&) const
    {19, 776, 994, 1, Smoke::mf_const, 314, 23},	//718 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 737, 67, 1, Smoke::mf_const, 314, 24},	//719 QHostAddress::operator!=(const QHostAddress&) const
    {19, 737, 994, 1, Smoke::mf_const, 314, 25},	//720 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 656, 0, 0, Smoke::mf_const, 314, 26},	//721 QHostAddress::isNull() const
    {19, 485, 0, 0, 0, 0, 27},	//722 QHostAddress::clear()
    {19, 652, 996, 2, Smoke::mf_const, 314, 28},	//723 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 652, 999, 1, Smoke::mf_const, 314, 29},	//724 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 815, 69, 1, Smoke::mf_static, 176, 30},	//725 QHostAddress::parseSubnet(const QString&)
    {19, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 31},	//726 QHostAddress::Null (enum)
    {19, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 32},	//727 QHostAddress::Broadcast (enum)
    {19, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 33},	//728 QHostAddress::LocalHost (enum)
    {19, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 34},	//729 QHostAddress::LocalHostIPv6 (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 35},	//730 QHostAddress::Any (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 36},	//731 QHostAddress::AnyIPv6 (enum)
    {19, 1407, 0, 0, Smoke::mf_dtor, 0, 37 },	//732 QHostAddress::~QHostAddress()
    {20, 194, 44, 1, Smoke::mf_ctor, 80, 1},	//733 QHostInfo::QHostInfo(int)
    {20, 194, 1001, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//734 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 773, 1001, 1, 0, 79, 3},	//735 QHostInfo::operator=(const QHostInfo&)
    {20, 627, 0, 0, Smoke::mf_const, 209, 4},	//736 QHostInfo::hostName() const
    {20, 1170, 69, 1, 0, 0, 5},	//737 QHostInfo::setHostName(const QString&)
    {20, 440, 0, 0, Smoke::mf_const, 106, 6},	//738 QHostInfo::addresses() const
    {20, 1106, 1003, 1, 0, 0, 7},	//739 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 574, 0, 0, Smoke::mf_const, 81, 8},	//740 QHostInfo::error() const
    {20, 1151, 1005, 1, 0, 0, 9},	//741 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 576, 0, 0, Smoke::mf_const, 209, 10},	//742 QHostInfo::errorString() const
    {20, 1154, 69, 1, 0, 0, 11},	//743 QHostInfo::setErrorString(const QString&)
    {20, 1188, 44, 1, 0, 0, 12},	//744 QHostInfo::setLookupId(int)
    {20, 704, 0, 0, Smoke::mf_const, 398, 13},	//745 QHostInfo::lookupId() const
    {20, 702, 1007, 3, Smoke::mf_static, 398, 14},	//746 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 416, 44, 1, Smoke::mf_static, 0, 15},	//747 QHostInfo::abortHostLookup(int)
    {20, 594, 69, 1, Smoke::mf_static, 78, 16},	//748 QHostInfo::fromName(const QString&)
    {20, 697, 0, 0, Smoke::mf_static, 209, 17},	//749 QHostInfo::localHostName()
    {20, 696, 0, 0, Smoke::mf_static, 209, 18},	//750 QHostInfo::localDomainName()
    {20, 194, 0, 0, Smoke::mf_ctor, 80, 19},	//751 QHostInfo::QHostInfo()
    {20, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 20},	//752 QHostInfo::NoError (enum)
    {20, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 21},	//753 QHostInfo::HostNotFound (enum)
    {20, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 22},	//754 QHostInfo::UnknownError (enum)
    {20, 1408, 0, 0, Smoke::mf_dtor, 0, 23 },	//755 QHostInfo::~QHostInfo()
    {21, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//756 QHttp::metaObject() const
    {21, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//757 QHttp::qt_metacast(const char*)
    {21, 1361, 3, 2, Smoke::mf_static, 209, 3},	//758 QHttp::tr(const char*, const char*)
    {21, 1365, 3, 2, Smoke::mf_static, 209, 4},	//759 QHttp::trUtf8(const char*, const char*)
    {21, 1361, 6, 3, Smoke::mf_static, 209, 5},	//760 QHttp::tr(const char*, const char*, int)
    {21, 1365, 6, 3, Smoke::mf_static, 209, 6},	//761 QHttp::trUtf8(const char*, const char*, int)
    {21, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//762 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 197, 20, 1, Smoke::mf_ctor, 82, 8},	//763 QHttp::QHttp(QObject*)
    {21, 197, 1011, 3, Smoke::mf_ctor, 82, 9},	//764 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 197, 1015, 4, Smoke::mf_ctor, 82, 10},	//765 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1166, 71, 2, 0, 398, 11},	//766 QHttp::setHost(const QString&, unsigned short)
    {21, 1166, 1020, 3, 0, 398, 12},	//767 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1281, 1024, 1, 0, 398, 13},	//768 QHttp::setSocket(QTcpSocket*)
    {21, 1313, 88, 2, 0, 398, 14},	//769 QHttp::setUser(const QString&, const QString&)
    {21, 1249, 1026, 4, 0, 398, 15},	//770 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1249, 46, 1, 0, 398, 16},	//771 QHttp::setProxy(const QNetworkProxy&)
    {21, 601, 118, 2, 0, 398, 17},	//772 QHttp::get(const QString&, QIODevice*)
    {21, 834, 1031, 3, 0, 398, 18},	//773 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 834, 1035, 3, 0, 398, 19},	//774 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 621, 69, 1, 0, 398, 20},	//775 QHttp::head(const QString&)
    {21, 1076, 1039, 3, 0, 398, 21},	//776 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 1076, 1043, 3, 0, 398, 22},	//777 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 489, 0, 0, 0, 398, 23},	//778 QHttp::closeConnection()
    {21, 488, 0, 0, 0, 398, 24},	//779 QHttp::close()
    {21, 469, 0, 0, Smoke::mf_const, 403, 25},	//780 QHttp::bytesAvailable() const
    {21, 1048, 59, 2, 0, 403, 26},	//781 QHttp::read(char*, long long)
    {21, 1050, 0, 0, 0, 14, 27},	//782 QHttp::readAll()
    {21, 534, 0, 0, Smoke::mf_const, 398, 28},	//783 QHttp::currentId() const
    {21, 536, 0, 0, Smoke::mf_const, 95, 29},	//784 QHttp::currentSourceDevice() const
    {21, 532, 0, 0, Smoke::mf_const, 95, 30},	//785 QHttp::currentDestinationDevice() const
    {21, 535, 0, 0, Smoke::mf_const, 89, 31},	//786 QHttp::currentRequest() const
    {21, 679, 0, 0, Smoke::mf_const, 92, 32},	//787 QHttp::lastResponse() const
    {21, 618, 0, 0, Smoke::mf_const, 314, 33},	//788 QHttp::hasPendingRequests() const
    {21, 487, 0, 0, 0, 0, 34},	//789 QHttp::clearPendingRequests()
    {21, 1336, 0, 0, Smoke::mf_const, 85, 35},	//790 QHttp::state() const
    {21, 574, 0, 0, Smoke::mf_const, 84, 36},	//791 QHttp::error() const
    {21, 576, 0, 0, Smoke::mf_const, 209, 37},	//792 QHttp::errorString() const
    {21, 415, 0, 0, Smoke::mf_slot, 0, 38},	//793 QHttp::abort()
    {21, 631, 0, 0, Smoke::mf_slot, 0, 39},	//794 QHttp::ignoreSslErrors()
    {21, 1337, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//795 QHttp::stateChanged(int)
    {21, 1085, 1047, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//796 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 1060, 1047, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//797 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 542, 1049, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//798 QHttp::dataSendProgress(int, int)
    {21, 540, 1049, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//799 QHttp::dataReadProgress(int, int)
    {21, 1082, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//800 QHttp::requestStarted(int)
    {21, 1080, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//801 QHttp::requestFinished(int, bool)
    {21, 561, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//802 QHttp::done(bool)
    {21, 849, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//803 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 457, 1052, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//804 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1331, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//805 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1361, 1, 1, Smoke::mf_static, 209, 51},	//806 QHttp::tr(const char*)
    {21, 1365, 1, 1, Smoke::mf_static, 209, 52},	//807 QHttp::trUtf8(const char*)
    {21, 197, 0, 0, Smoke::mf_ctor, 82, 53},	//808 QHttp::QHttp()
    {21, 197, 69, 1, Smoke::mf_ctor, 82, 54},	//809 QHttp::QHttp(const QString&)
    {21, 197, 71, 2, Smoke::mf_ctor, 82, 55},	//810 QHttp::QHttp(const QString&, unsigned short)
    {21, 197, 1058, 2, Smoke::mf_ctor, 82, 56},	//811 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 197, 1020, 3, Smoke::mf_ctor, 82, 57},	//812 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1166, 69, 1, 0, 398, 58},	//813 QHttp::setHost(const QString&)
    {21, 1166, 1058, 2, 0, 398, 59},	//814 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1313, 69, 1, 0, 398, 60},	//815 QHttp::setUser(const QString&)
    {21, 1249, 1061, 2, 0, 398, 61},	//816 QHttp::setProxy(const QString&, int)
    {21, 1249, 1064, 3, 0, 398, 62},	//817 QHttp::setProxy(const QString&, int, const QString&)
    {21, 601, 69, 1, 0, 398, 63},	//818 QHttp::get(const QString&)
    {21, 834, 118, 2, 0, 398, 64},	//819 QHttp::post(const QString&, QIODevice*)
    {21, 834, 268, 2, 0, 398, 65},	//820 QHttp::post(const QString&, const QByteArray&)
    {21, 1076, 1068, 1, 0, 398, 66},	//821 QHttp::request(const QHttpRequestHeader&)
    {21, 1076, 1070, 2, 0, 398, 67},	//822 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 1076, 1073, 2, 0, 398, 68},	//823 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 69},	//824 QHttp::staticMetaObject() const
    {21, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 70},	//825 QHttp::ConnectionModeHttp (enum)
    {21, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 71},	//826 QHttp::ConnectionModeHttps (enum)
    {21, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 72},	//827 QHttp::Unconnected (enum)
    {21, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 73},	//828 QHttp::HostLookup (enum)
    {21, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 74},	//829 QHttp::Connecting (enum)
    {21, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 75},	//830 QHttp::Sending (enum)
    {21, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 76},	//831 QHttp::Reading (enum)
    {21, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 77},	//832 QHttp::Connected (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 78},	//833 QHttp::Closing (enum)
    {21, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//834 QHttp::NoError (enum)
    {21, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//835 QHttp::UnknownError (enum)
    {21, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//836 QHttp::HostNotFound (enum)
    {21, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 82},	//837 QHttp::ConnectionRefused (enum)
    {21, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 83},	//838 QHttp::UnexpectedClose (enum)
    {21, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 84},	//839 QHttp::InvalidResponseHeader (enum)
    {21, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 85},	//840 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 86},	//841 QHttp::Aborted (enum)
    {21, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 87},	//842 QHttp::AuthenticationRequiredError (enum)
    {21, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 88},	//843 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1409, 0, 0, Smoke::mf_dtor, 0, 89 },	//844 QHttp::~QHttp()
    {22, 204, 0, 0, Smoke::mf_ctor, 87, 1},	//845 QHttpHeader::QHttpHeader()
    {22, 204, 1076, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//846 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 204, 69, 1, Smoke::mf_ctor, 87, 3},	//847 QHttpHeader::QHttpHeader(const QString&)
    {22, 773, 1076, 1, 0, 86, 4},	//848 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1318, 88, 2, 0, 0, 5},	//849 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1321, 1078, 1, 0, 0, 6},	//850 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 437, 88, 2, 0, 0, 7},	//851 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1381, 0, 0, Smoke::mf_const, 113, 8},	//852 QHttpHeader::values() const
    {22, 613, 69, 1, Smoke::mf_const, 314, 9},	//853 QHttpHeader::hasKey(const QString&) const
    {22, 676, 0, 0, Smoke::mf_const, 213, 10},	//854 QHttpHeader::keys() const
    {22, 1379, 69, 1, Smoke::mf_const, 209, 11},	//855 QHttpHeader::value(const QString&) const
    {22, 447, 69, 1, Smoke::mf_const, 213, 12},	//856 QHttpHeader::allValues(const QString&) const
    {22, 1072, 69, 1, 0, 0, 13},	//857 QHttpHeader::removeValue(const QString&)
    {22, 1068, 69, 1, 0, 0, 14},	//858 QHttpHeader::removeAllValues(const QString&)
    {22, 611, 0, 0, Smoke::mf_const, 314, 15},	//859 QHttpHeader::hasContentLength() const
    {22, 523, 0, 0, Smoke::mf_const, 412, 16},	//860 QHttpHeader::contentLength() const
    {22, 1133, 44, 1, 0, 0, 17},	//861 QHttpHeader::setContentLength(int)
    {22, 612, 0, 0, Smoke::mf_const, 314, 18},	//862 QHttpHeader::hasContentType() const
    {22, 524, 0, 0, Smoke::mf_const, 209, 19},	//863 QHttpHeader::contentType() const
    {22, 1135, 69, 1, 0, 0, 20},	//864 QHttpHeader::setContentType(const QString&)
    {22, 1360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 21},	//865 QHttpHeader::toString() const
    {22, 667, 0, 0, Smoke::mf_const, 314, 22},	//866 QHttpHeader::isValid() const
    {22, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 398, 23},	//867 QHttpHeader::majorVersion() const [pure virtual]
    {22, 715, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 398, 24},	//868 QHttpHeader::minorVersion() const [pure virtual]
    {22, 813, 1061, 2, Smoke::mf_protected|Smoke::mf_virtual, 314, 25},	//869 QHttpHeader::parseLine(const QString&, int)
    {22, 809, 69, 1, Smoke::mf_protected, 314, 26},	//870 QHttpHeader::parse(const QString&)
    {22, 1316, 116, 1, Smoke::mf_protected, 0, 27},	//871 QHttpHeader::setValid(bool)
    {22, 1410, 0, 0, Smoke::mf_dtor, 0, 28 },	//872 QHttpHeader::~QHttpHeader()
    {24, 207, 0, 0, Smoke::mf_ctor, 91, 1},	//873 QHttpRequestHeader::QHttpRequestHeader()
    {24, 207, 1080, 4, Smoke::mf_ctor, 91, 2},	//874 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {24, 207, 1068, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 3},	//875 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {24, 207, 69, 1, Smoke::mf_ctor, 91, 4},	//876 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {24, 773, 1068, 1, 0, 90, 5},	//877 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {24, 1266, 1080, 4, 0, 0, 6},	//878 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {24, 713, 0, 0, Smoke::mf_const, 209, 7},	//879 QHttpRequestHeader::method() const
    {24, 818, 0, 0, Smoke::mf_const, 209, 8},	//880 QHttpRequestHeader::path() const
    {24, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 398, 9},	//881 QHttpRequestHeader::majorVersion() const
    {24, 715, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 398, 10},	//882 QHttpRequestHeader::minorVersion() const
    {24, 1360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 11},	//883 QHttpRequestHeader::toString() const
    {24, 813, 1061, 2, Smoke::mf_protected|Smoke::mf_virtual, 314, 12},	//884 QHttpRequestHeader::parseLine(const QString&, int)
    {24, 207, 88, 2, Smoke::mf_ctor, 91, 13},	//885 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {24, 207, 1085, 3, Smoke::mf_ctor, 91, 14},	//886 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {24, 1266, 88, 2, 0, 0, 15},	//887 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {24, 1266, 1085, 3, 0, 0, 16},	//888 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {24, 1411, 0, 0, Smoke::mf_dtor, 0, 17 },	//889 QHttpRequestHeader::~QHttpRequestHeader()
    {25, 213, 0, 0, Smoke::mf_ctor, 94, 1},	//890 QHttpResponseHeader::QHttpResponseHeader()
    {25, 213, 1047, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 2},	//891 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {25, 213, 69, 1, Smoke::mf_ctor, 94, 3},	//892 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {25, 213, 1089, 4, Smoke::mf_ctor, 94, 4},	//893 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {25, 773, 1047, 1, 0, 93, 5},	//894 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {25, 1298, 1089, 4, 0, 0, 6},	//895 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {25, 1340, 0, 0, Smoke::mf_const, 398, 7},	//896 QHttpResponseHeader::statusCode() const
    {25, 1063, 0, 0, Smoke::mf_const, 209, 8},	//897 QHttpResponseHeader::reasonPhrase() const
    {25, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 398, 9},	//898 QHttpResponseHeader::majorVersion() const
    {25, 715, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 398, 10},	//899 QHttpResponseHeader::minorVersion() const
    {25, 1360, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 11},	//900 QHttpResponseHeader::toString() const
    {25, 813, 1061, 2, Smoke::mf_protected|Smoke::mf_virtual, 314, 12},	//901 QHttpResponseHeader::parseLine(const QString&, int)
    {25, 213, 44, 1, Smoke::mf_ctor, 94, 13},	//902 QHttpResponseHeader::QHttpResponseHeader(int)
    {25, 213, 110, 2, Smoke::mf_ctor, 94, 14},	//903 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {25, 213, 1094, 3, Smoke::mf_ctor, 94, 15},	//904 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {25, 1298, 44, 1, 0, 0, 16},	//905 QHttpResponseHeader::setStatusLine(int)
    {25, 1298, 110, 2, 0, 0, 17},	//906 QHttpResponseHeader::setStatusLine(int, const QString&)
    {25, 1298, 1094, 3, 0, 0, 18},	//907 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {25, 1412, 0, 0, Smoke::mf_dtor, 0, 19 },	//908 QHttpResponseHeader::~QHttpResponseHeader()
    {26, 734, 1098, 1, Smoke::mf_virtual, 314, 0},	//909 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {26, 833, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//910 QIODevice::pos() const
    {26, 1325, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//911 QIODevice::size() const
    {26, 1091, 33, 1, Smoke::mf_virtual, 314, 0},	//912 QIODevice::seek(long long)
    {26, 451, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 0},	//913 QIODevice::atEnd() const
    {26, 1084, 0, 0, Smoke::mf_virtual, 314, 0},	//914 QIODevice::reset()
    {26, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//915 QIODevice::bytesAvailable() const
    {26, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//916 QIODevice::bytesToWrite() const
    {26, 477, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 0},	//917 QIODevice::canReadLine() const
    {26, 1396, 44, 1, Smoke::mf_virtual, 314, 0},	//918 QIODevice::waitForReadyRead(int)
    {26, 1383, 44, 1, Smoke::mf_virtual, 314, 0},	//919 QIODevice::waitForBytesWritten(int)
    {26, 1052, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 403, 0},	//920 QIODevice::readData(char*, long long) [pure virtual]
    {26, 1058, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 0},	//921 QIODevice::readLineData(char*, long long)
    {26, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 14},	//922 QIODevice::NotOpen (enum)
    {26, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 15},	//923 QIODevice::ReadOnly (enum)
    {26, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 16},	//924 QIODevice::WriteOnly (enum)
    {26, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 17},	//925 QIODevice::ReadWrite (enum)
    {26, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 18},	//926 QIODevice::Append (enum)
    {26, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 19},	//927 QIODevice::Truncate (enum)
    {26, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 20},	//928 QIODevice::Text (enum)
    {26, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 21},	//929 QIODevice::Unbuffered (enum)
    {27, 797, 44, 1, 0, 410, 1},	//930 QIPv6Address::operator[](int)
    {27, 797, 44, 1, Smoke::mf_const, 409, 2},	//931 QIPv6Address::operator[](int) const
    {27, 219, 0, 0, Smoke::mf_ctor, 99, 3},	//932 QIPv6Address::QIPv6Address()
    {27, 219, 990, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 4},	//933 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {27, 1413, 0, 0, Smoke::mf_dtor, 0, 5 },	//934 QIPv6Address::~QIPv6Address()
    {32, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//935 QLocalServer::metaObject() const
    {32, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//936 QLocalServer::qt_metacast(const char*)
    {32, 1361, 3, 2, Smoke::mf_static, 209, 3},	//937 QLocalServer::tr(const char*, const char*)
    {32, 1365, 3, 2, Smoke::mf_static, 209, 4},	//938 QLocalServer::trUtf8(const char*, const char*)
    {32, 1361, 6, 3, Smoke::mf_static, 209, 5},	//939 QLocalServer::tr(const char*, const char*, int)
    {32, 1365, 6, 3, Smoke::mf_static, 209, 6},	//940 QLocalServer::trUtf8(const char*, const char*, int)
    {32, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//941 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {32, 730, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//942 QLocalServer::newConnection()
    {32, 221, 20, 1, Smoke::mf_ctor, 118, 9},	//943 QLocalServer::QLocalServer(QObject*)
    {32, 488, 0, 0, 0, 0, 10},	//944 QLocalServer::close()
    {32, 576, 0, 0, Smoke::mf_const, 209, 11},	//945 QLocalServer::errorString() const
    {32, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 12},	//946 QLocalServer::hasPendingConnections() const
    {32, 655, 0, 0, Smoke::mf_const, 314, 13},	//947 QLocalServer::isListening() const
    {32, 690, 69, 1, 0, 314, 14},	//948 QLocalServer::listen(const QString&)
    {32, 707, 0, 0, Smoke::mf_const, 398, 15},	//949 QLocalServer::maxPendingConnections() const
    {32, 731, 0, 0, Smoke::mf_virtual, 119, 16},	//950 QLocalServer::nextPendingConnection()
    {32, 1098, 0, 0, Smoke::mf_const, 209, 17},	//951 QLocalServer::serverName() const
    {32, 600, 0, 0, Smoke::mf_const, 209, 18},	//952 QLocalServer::fullServerName() const
    {32, 1070, 69, 1, Smoke::mf_static, 314, 19},	//953 QLocalServer::removeServer(const QString&)
    {32, 1097, 0, 0, Smoke::mf_const, 5, 20},	//954 QLocalServer::serverError() const
    {32, 1190, 44, 1, 0, 0, 21},	//955 QLocalServer::setMaxPendingConnections(int)
    {32, 1391, 1100, 2, 0, 314, 22},	//956 QLocalServer::waitForNewConnection(int, bool*)
    {32, 633, 1103, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//957 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {32, 1361, 1, 1, Smoke::mf_static, 209, 24},	//958 QLocalServer::tr(const char*)
    {32, 1365, 1, 1, Smoke::mf_static, 209, 25},	//959 QLocalServer::trUtf8(const char*)
    {32, 221, 0, 0, Smoke::mf_ctor, 118, 26},	//960 QLocalServer::QLocalServer()
    {32, 1391, 0, 0, 0, 314, 27},	//961 QLocalServer::waitForNewConnection()
    {32, 1391, 44, 1, 0, 314, 28},	//962 QLocalServer::waitForNewConnection(int)
    {32, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 29},	//963 QLocalServer::staticMetaObject() const
    {32, 1414, 0, 0, Smoke::mf_dtor, 0, 30 },	//964 QLocalServer::~QLocalServer()
    {33, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//965 QLocalSocket::metaObject() const
    {33, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//966 QLocalSocket::qt_metacast(const char*)
    {33, 1361, 3, 2, Smoke::mf_static, 209, 3},	//967 QLocalSocket::tr(const char*, const char*)
    {33, 1365, 3, 2, Smoke::mf_static, 209, 4},	//968 QLocalSocket::trUtf8(const char*, const char*)
    {33, 1361, 6, 3, Smoke::mf_static, 209, 5},	//969 QLocalSocket::tr(const char*, const char*, int)
    {33, 1365, 6, 3, Smoke::mf_static, 209, 6},	//970 QLocalSocket::trUtf8(const char*, const char*, int)
    {33, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//971 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {33, 223, 20, 1, Smoke::mf_ctor, 119, 8},	//972 QLocalSocket::QLocalSocket(QObject*)
    {33, 519, 1105, 2, 0, 0, 9},	//973 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {33, 556, 0, 0, 0, 0, 10},	//974 QLocalSocket::disconnectFromServer()
    {33, 1098, 0, 0, Smoke::mf_const, 209, 11},	//975 QLocalSocket::serverName() const
    {33, 600, 0, 0, Smoke::mf_const, 209, 12},	//976 QLocalSocket::fullServerName() const
    {33, 415, 0, 0, 0, 0, 13},	//977 QLocalSocket::abort()
    {33, 663, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 14},	//978 QLocalSocket::isSequential() const
    {33, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 15},	//979 QLocalSocket::bytesAvailable() const
    {33, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 16},	//980 QLocalSocket::bytesToWrite() const
    {33, 477, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 17},	//981 QLocalSocket::canReadLine() const
    {33, 488, 0, 0, Smoke::mf_virtual, 0, 18},	//982 QLocalSocket::close()
    {33, 574, 0, 0, Smoke::mf_const, 120, 19},	//983 QLocalSocket::error() const
    {33, 587, 0, 0, 0, 314, 20},	//984 QLocalSocket::flush()
    {33, 667, 0, 0, Smoke::mf_const, 314, 21},	//985 QLocalSocket::isValid() const
    {33, 1051, 0, 0, Smoke::mf_const, 403, 22},	//986 QLocalSocket::readBufferSize() const
    {33, 1262, 33, 1, 0, 0, 23},	//987 QLocalSocket::setReadBufferSize(long long)
    {33, 1283, 1108, 3, 0, 314, 24},	//988 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {33, 1326, 0, 0, Smoke::mf_const, 101, 25},	//989 QLocalSocket::socketDescriptor() const
    {33, 1336, 0, 0, Smoke::mf_const, 121, 26},	//990 QLocalSocket::state() const
    {33, 1383, 44, 1, Smoke::mf_virtual, 314, 27},	//991 QLocalSocket::waitForBytesWritten(int)
    {33, 1385, 44, 1, 0, 314, 28},	//992 QLocalSocket::waitForConnected(int)
    {33, 1387, 44, 1, 0, 314, 29},	//993 QLocalSocket::waitForDisconnected(int)
    {33, 1396, 44, 1, Smoke::mf_virtual, 314, 30},	//994 QLocalSocket::waitForReadyRead(int)
    {33, 522, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//995 QLocalSocket::connected()
    {33, 559, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//996 QLocalSocket::disconnected()
    {33, 574, 1112, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//997 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {33, 1337, 1114, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//998 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {33, 1052, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 35},	//999 QLocalSocket::readData(char*, long long)
    {33, 1398, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 36},	//1000 QLocalSocket::writeData(const char*, long long)
    {33, 1361, 1, 1, Smoke::mf_static, 209, 37},	//1001 QLocalSocket::tr(const char*)
    {33, 1365, 1, 1, Smoke::mf_static, 209, 38},	//1002 QLocalSocket::trUtf8(const char*)
    {33, 223, 0, 0, Smoke::mf_ctor, 119, 39},	//1003 QLocalSocket::QLocalSocket()
    {33, 519, 69, 1, 0, 0, 40},	//1004 QLocalSocket::connectToServer(const QString&)
    {33, 1283, 1103, 1, 0, 314, 41},	//1005 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {33, 1283, 1116, 2, 0, 314, 42},	//1006 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {33, 1383, 0, 0, 0, 314, 43},	//1007 QLocalSocket::waitForBytesWritten()
    {33, 1385, 0, 0, 0, 314, 44},	//1008 QLocalSocket::waitForConnected()
    {33, 1387, 0, 0, 0, 314, 45},	//1009 QLocalSocket::waitForDisconnected()
    {33, 1396, 0, 0, 0, 314, 46},	//1010 QLocalSocket::waitForReadyRead()
    {33, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 47},	//1011 QLocalSocket::staticMetaObject() const
    {33, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 48},	//1012 QLocalSocket::ConnectionRefusedError (enum)
    {33, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 49},	//1013 QLocalSocket::PeerClosedError (enum)
    {33, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 50},	//1014 QLocalSocket::ServerNotFoundError (enum)
    {33, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 51},	//1015 QLocalSocket::SocketAccessError (enum)
    {33, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 52},	//1016 QLocalSocket::SocketResourceError (enum)
    {33, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 53},	//1017 QLocalSocket::SocketTimeoutError (enum)
    {33, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 54},	//1018 QLocalSocket::DatagramTooLargeError (enum)
    {33, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 55},	//1019 QLocalSocket::ConnectionError (enum)
    {33, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 56},	//1020 QLocalSocket::UnsupportedSocketOperationError (enum)
    {33, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 57},	//1021 QLocalSocket::UnknownSocketError (enum)
    {33, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 58},	//1022 QLocalSocket::UnconnectedState (enum)
    {33, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 59},	//1023 QLocalSocket::ConnectingState (enum)
    {33, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 60},	//1024 QLocalSocket::ConnectedState (enum)
    {33, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 61},	//1025 QLocalSocket::ClosingState (enum)
    {33, 1415, 0, 0, Smoke::mf_dtor, 0, 62 },	//1026 QLocalSocket::~QLocalSocket()
    {38, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1027 QNetworkAccessManager::metaObject() const
    {38, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1028 QNetworkAccessManager::qt_metacast(const char*)
    {38, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1029 QNetworkAccessManager::tr(const char*, const char*)
    {38, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1030 QNetworkAccessManager::trUtf8(const char*, const char*)
    {38, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1031 QNetworkAccessManager::tr(const char*, const char*, int)
    {38, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1032 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {38, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1033 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {38, 225, 20, 1, Smoke::mf_ctor, 126, 8},	//1034 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {38, 848, 0, 0, Smoke::mf_const, 152, 9},	//1035 QNetworkAccessManager::proxy() const
    {38, 1249, 46, 1, 0, 0, 10},	//1036 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {38, 851, 0, 0, Smoke::mf_const, 157, 11},	//1037 QNetworkAccessManager::proxyFactory() const
    {38, 1254, 1119, 1, 0, 0, 12},	//1038 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {38, 474, 0, 0, Smoke::mf_const, 2, 13},	//1039 QNetworkAccessManager::cache() const
    {38, 1122, 1121, 1, 0, 0, 14},	//1040 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {38, 525, 0, 0, Smoke::mf_const, 146, 15},	//1041 QNetworkAccessManager::cookieJar() const
    {38, 1137, 1123, 1, 0, 0, 16},	//1042 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {38, 621, 1125, 1, 0, 161, 17},	//1043 QNetworkAccessManager::head(const QNetworkRequest&)
    {38, 601, 1125, 1, 0, 161, 18},	//1044 QNetworkAccessManager::get(const QNetworkRequest&)
    {38, 834, 1127, 2, 0, 161, 19},	//1045 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {38, 834, 1130, 2, 0, 161, 20},	//1046 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {38, 834, 1133, 2, 0, 161, 21},	//1047 QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    {38, 856, 1127, 2, 0, 161, 22},	//1048 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {38, 856, 1130, 2, 0, 161, 23},	//1049 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {38, 856, 1133, 2, 0, 161, 24},	//1050 QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    {38, 549, 1125, 1, 0, 161, 25},	//1051 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {38, 1092, 1136, 3, 0, 161, 26},	//1052 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {38, 1131, 1140, 1, 0, 0, 27},	//1053 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {38, 495, 0, 0, Smoke::mf_const, 134, 28},	//1054 QNetworkAccessManager::configuration() const
    {38, 419, 0, 0, Smoke::mf_const, 134, 29},	//1055 QNetworkAccessManager::activeConfiguration() const
    {38, 1201, 1142, 1, Smoke::mf_property, 0, 30},	//1056 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {38, 724, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 31},	//1057 QNetworkAccessManager::networkAccessible() const
    {38, 849, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1058 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {38, 457, 1144, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1059 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {38, 584, 1147, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1060 QNetworkAccessManager::finished(QNetworkReply*)
    {38, 1331, 1149, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1061 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {38, 728, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1062 QNetworkAccessManager::networkSessionConnected()
    {38, 725, 1142, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1063 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {38, 528, 1152, 3, Smoke::mf_protected|Smoke::mf_virtual, 161, 38},	//1064 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {38, 1361, 1, 1, Smoke::mf_static, 209, 39},	//1065 QNetworkAccessManager::tr(const char*)
    {38, 1365, 1, 1, Smoke::mf_static, 209, 40},	//1066 QNetworkAccessManager::trUtf8(const char*)
    {38, 225, 0, 0, Smoke::mf_ctor, 126, 41},	//1067 QNetworkAccessManager::QNetworkAccessManager()
    {38, 1092, 1130, 2, 0, 161, 42},	//1068 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {38, 528, 1156, 2, Smoke::mf_protected, 161, 43},	//1069 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {38, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 44},	//1070 QNetworkAccessManager::staticMetaObject() const
    {38, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 45},	//1071 QNetworkAccessManager::HeadOperation (enum)
    {38, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 46},	//1072 QNetworkAccessManager::GetOperation (enum)
    {38, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 47},	//1073 QNetworkAccessManager::PutOperation (enum)
    {38, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 48},	//1074 QNetworkAccessManager::PostOperation (enum)
    {38, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 49},	//1075 QNetworkAccessManager::DeleteOperation (enum)
    {38, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 50},	//1076 QNetworkAccessManager::CustomOperation (enum)
    {38, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 51},	//1077 QNetworkAccessManager::UnknownOperation (enum)
    {38, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 52},	//1078 QNetworkAccessManager::UnknownAccessibility (enum)
    {38, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 53},	//1079 QNetworkAccessManager::NotAccessible (enum)
    {38, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 54},	//1080 QNetworkAccessManager::Accessible (enum)
    {38, 1416, 0, 0, Smoke::mf_dtor, 0, 55 },	//1081 QNetworkAccessManager::~QNetworkAccessManager()
    {39, 227, 0, 0, Smoke::mf_ctor, 130, 1},	//1082 QNetworkAddressEntry::QNetworkAddressEntry()
    {39, 227, 1159, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 130, 2},	//1083 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {39, 773, 1159, 1, 0, 129, 3},	//1084 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {39, 776, 1159, 1, Smoke::mf_const, 314, 4},	//1085 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {39, 737, 1159, 1, Smoke::mf_const, 314, 5},	//1086 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {39, 644, 0, 0, Smoke::mf_const, 74, 6},	//1087 QNetworkAddressEntry::ip() const
    {39, 1174, 67, 1, 0, 0, 7},	//1088 QNetworkAddressEntry::setIp(const QHostAddress&)
    {39, 723, 0, 0, Smoke::mf_const, 74, 8},	//1089 QNetworkAddressEntry::netmask() const
    {39, 1199, 67, 1, 0, 0, 9},	//1090 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {39, 840, 0, 0, Smoke::mf_const, 398, 10},	//1091 QNetworkAddressEntry::prefixLength() const
    {39, 1235, 44, 1, 0, 0, 11},	//1092 QNetworkAddressEntry::setPrefixLength(int)
    {39, 468, 0, 0, Smoke::mf_const, 74, 12},	//1093 QNetworkAddressEntry::broadcast() const
    {39, 1118, 67, 1, 0, 0, 13},	//1094 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {39, 1417, 0, 0, Smoke::mf_dtor, 0, 14 },	//1095 QNetworkAddressEntry::~QNetworkAddressEntry()
    {40, 229, 0, 0, Smoke::mf_ctor, 133, 1},	//1096 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {40, 229, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 133, 2},	//1097 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {40, 773, 16, 1, 0, 132, 3},	//1098 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {40, 776, 16, 1, Smoke::mf_const, 314, 4},	//1099 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {40, 737, 16, 1, Smoke::mf_const, 314, 5},	//1100 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {40, 667, 0, 0, Smoke::mf_const, 314, 6},	//1101 QNetworkCacheMetaData::isValid() const
    {40, 1376, 0, 0, Smoke::mf_const, 227, 7},	//1102 QNetworkCacheMetaData::url() const
    {40, 1309, 14, 1, 0, 0, 8},	//1103 QNetworkCacheMetaData::setUrl(const QUrl&)
    {40, 1047, 0, 0, Smoke::mf_const, 112, 9},	//1104 QNetworkCacheMetaData::rawHeaders() const
    {40, 1260, 1161, 1, 0, 0, 10},	//1105 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {40, 677, 0, 0, Smoke::mf_const, 22, 11},	//1106 QNetworkCacheMetaData::lastModified() const
    {40, 1176, 1163, 1, 0, 0, 12},	//1107 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {40, 579, 0, 0, Smoke::mf_const, 22, 13},	//1108 QNetworkCacheMetaData::expirationDate() const
    {40, 1156, 1163, 1, 0, 0, 14},	//1109 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {40, 1089, 0, 0, Smoke::mf_const, 314, 15},	//1110 QNetworkCacheMetaData::saveToDisk() const
    {40, 1271, 116, 1, 0, 0, 16},	//1111 QNetworkCacheMetaData::setSaveToDisk(bool)
    {40, 455, 0, 0, Smoke::mf_const, 72, 17},	//1112 QNetworkCacheMetaData::attributes() const
    {40, 1116, 1165, 1, 0, 0, 18},	//1113 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {40, 1418, 0, 0, Smoke::mf_dtor, 0, 19 },	//1114 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {41, 231, 0, 0, Smoke::mf_ctor, 136, 1},	//1115 QNetworkConfiguration::QNetworkConfiguration()
    {41, 231, 1140, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 136, 2},	//1116 QNetworkConfiguration::QNetworkConfiguration(const QNetworkConfiguration&)
    {41, 773, 1140, 1, 0, 135, 3},	//1117 QNetworkConfiguration::operator=(const QNetworkConfiguration&)
    {41, 776, 1140, 1, Smoke::mf_const, 314, 4},	//1118 QNetworkConfiguration::operator==(const QNetworkConfiguration&) const
    {41, 737, 1140, 1, Smoke::mf_const, 314, 5},	//1119 QNetworkConfiguration::operator!=(const QNetworkConfiguration&) const
    {41, 1336, 0, 0, Smoke::mf_const, 41, 6},	//1120 QNetworkConfiguration::state() const
    {41, 1369, 0, 0, Smoke::mf_const, 140, 7},	//1121 QNetworkConfiguration::type() const
    {41, 855, 0, 0, Smoke::mf_const, 138, 8},	//1122 QNetworkConfiguration::purpose() const
    {41, 460, 0, 0, Smoke::mf_const, 209, 9},	//1123 QNetworkConfiguration::bearerName() const
    {41, 461, 0, 0, Smoke::mf_const, 137, 10},	//1124 QNetworkConfiguration::bearerType() const
    {41, 462, 0, 0, Smoke::mf_const, 209, 11},	//1125 QNetworkConfiguration::bearerTypeName() const
    {41, 629, 0, 0, Smoke::mf_const, 209, 12},	//1126 QNetworkConfiguration::identifier() const
    {41, 660, 0, 0, Smoke::mf_const, 314, 13},	//1127 QNetworkConfiguration::isRoamingAvailable() const
    {41, 483, 0, 0, Smoke::mf_const, 108, 14},	//1128 QNetworkConfiguration::children() const
    {41, 722, 0, 0, Smoke::mf_const, 209, 15},	//1129 QNetworkConfiguration::name() const
    {41, 667, 0, 0, Smoke::mf_const, 314, 16},	//1130 QNetworkConfiguration::isValid() const
    {41, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 17},	//1131 QNetworkConfiguration::InternetAccessPoint (enum)
    {41, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 18},	//1132 QNetworkConfiguration::ServiceNetwork (enum)
    {41, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 19},	//1133 QNetworkConfiguration::UserChoice (enum)
    {41, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 20},	//1134 QNetworkConfiguration::Invalid (enum)
    {41, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 21},	//1135 QNetworkConfiguration::UnknownPurpose (enum)
    {41, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 22},	//1136 QNetworkConfiguration::PublicPurpose (enum)
    {41, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 23},	//1137 QNetworkConfiguration::PrivatePurpose (enum)
    {41, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 24},	//1138 QNetworkConfiguration::ServiceSpecificPurpose (enum)
    {41, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 25},	//1139 QNetworkConfiguration::Undefined (enum)
    {41, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 26},	//1140 QNetworkConfiguration::Defined (enum)
    {41, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 27},	//1141 QNetworkConfiguration::Discovered (enum)
    {41, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 28},	//1142 QNetworkConfiguration::Active (enum)
    {41, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 29},	//1143 QNetworkConfiguration::BearerUnknown (enum)
    {41, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 30},	//1144 QNetworkConfiguration::BearerEthernet (enum)
    {41, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 31},	//1145 QNetworkConfiguration::BearerWLAN (enum)
    {41, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 32},	//1146 QNetworkConfiguration::Bearer2G (enum)
    {41, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 33},	//1147 QNetworkConfiguration::BearerCDMA2000 (enum)
    {41, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 34},	//1148 QNetworkConfiguration::BearerWCDMA (enum)
    {41, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 35},	//1149 QNetworkConfiguration::BearerHSPA (enum)
    {41, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 36},	//1150 QNetworkConfiguration::BearerBluetooth (enum)
    {41, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 37},	//1151 QNetworkConfiguration::BearerWiMAX (enum)
    {41, 1419, 0, 0, Smoke::mf_dtor, 0, 38 },	//1152 QNetworkConfiguration::~QNetworkConfiguration()
    {42, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1153 QNetworkConfigurationManager::metaObject() const
    {42, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1154 QNetworkConfigurationManager::qt_metacast(const char*)
    {42, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1155 QNetworkConfigurationManager::tr(const char*, const char*)
    {42, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1156 QNetworkConfigurationManager::trUtf8(const char*, const char*)
    {42, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1157 QNetworkConfigurationManager::tr(const char*, const char*, int)
    {42, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1158 QNetworkConfigurationManager::trUtf8(const char*, const char*, int)
    {42, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1159 QNetworkConfigurationManager::qt_metacall(QMetaObject::Call, int, void**)
    {42, 233, 20, 1, Smoke::mf_ctor, 141, 8},	//1160 QNetworkConfigurationManager::QNetworkConfigurationManager(QObject*)
    {42, 478, 0, 0, Smoke::mf_const, 42, 9},	//1161 QNetworkConfigurationManager::capabilities() const
    {42, 548, 0, 0, Smoke::mf_const, 134, 10},	//1162 QNetworkConfigurationManager::defaultConfiguration() const
    {42, 443, 1167, 1, Smoke::mf_const, 108, 11},	//1163 QNetworkConfigurationManager::allConfigurations(QFlags<QNetworkConfiguration::StateFlag>) const
    {42, 500, 69, 1, Smoke::mf_const, 134, 12},	//1164 QNetworkConfigurationManager::configurationFromIdentifier(const QString&) const
    {42, 657, 0, 0, Smoke::mf_const, 314, 13},	//1165 QNetworkConfigurationManager::isOnline() const
    {42, 1371, 0, 0, Smoke::mf_slot, 0, 14},	//1166 QNetworkConfigurationManager::updateConfigurations()
    {42, 496, 1140, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1167 QNetworkConfigurationManager::configurationAdded(const QNetworkConfiguration&)
    {42, 502, 1140, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1168 QNetworkConfigurationManager::configurationRemoved(const QNetworkConfiguration&)
    {42, 498, 1140, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1169 QNetworkConfigurationManager::configurationChanged(const QNetworkConfiguration&)
    {42, 732, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1170 QNetworkConfigurationManager::onlineStateChanged(bool)
    {42, 1370, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1171 QNetworkConfigurationManager::updateCompleted()
    {42, 1361, 1, 1, Smoke::mf_static, 209, 20},	//1172 QNetworkConfigurationManager::tr(const char*)
    {42, 1365, 1, 1, Smoke::mf_static, 209, 21},	//1173 QNetworkConfigurationManager::trUtf8(const char*)
    {42, 233, 0, 0, Smoke::mf_ctor, 141, 22},	//1174 QNetworkConfigurationManager::QNetworkConfigurationManager()
    {42, 443, 0, 0, Smoke::mf_const, 108, 23},	//1175 QNetworkConfigurationManager::allConfigurations() const
    {42, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 24},	//1176 QNetworkConfigurationManager::staticMetaObject() const
    {42, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 25},	//1177 QNetworkConfigurationManager::CanStartAndStopInterfaces (enum)
    {42, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 26},	//1178 QNetworkConfigurationManager::DirectConnectionRouting (enum)
    {42, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 27},	//1179 QNetworkConfigurationManager::SystemSessionSupport (enum)
    {42, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 28},	//1180 QNetworkConfigurationManager::ApplicationLevelRoaming (enum)
    {42, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 29},	//1181 QNetworkConfigurationManager::ForcedRoaming (enum)
    {42, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 30},	//1182 QNetworkConfigurationManager::DataStatistics (enum)
    {42, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 142, 31},	//1183 QNetworkConfigurationManager::NetworkSessionRequired (enum)
    {42, 1420, 0, 0, Smoke::mf_dtor, 0, 32 },	//1184 QNetworkConfigurationManager::~QNetworkConfigurationManager()
    {43, 235, 381, 2, Smoke::mf_ctor, 144, 1},	//1185 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {43, 235, 1169, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 2},	//1186 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {43, 773, 1169, 1, 0, 143, 3},	//1187 QNetworkCookie::operator=(const QNetworkCookie&)
    {43, 776, 1169, 1, Smoke::mf_const, 314, 4},	//1188 QNetworkCookie::operator==(const QNetworkCookie&) const
    {43, 737, 1169, 1, Smoke::mf_const, 314, 5},	//1189 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {43, 662, 0, 0, Smoke::mf_const, 314, 6},	//1190 QNetworkCookie::isSecure() const
    {43, 1275, 116, 1, 0, 0, 7},	//1191 QNetworkCookie::setSecure(bool)
    {43, 651, 0, 0, Smoke::mf_const, 314, 8},	//1192 QNetworkCookie::isHttpOnly() const
    {43, 1172, 116, 1, 0, 0, 9},	//1193 QNetworkCookie::setHttpOnly(bool)
    {43, 664, 0, 0, Smoke::mf_const, 314, 10},	//1194 QNetworkCookie::isSessionCookie() const
    {43, 579, 0, 0, Smoke::mf_const, 22, 11},	//1195 QNetworkCookie::expirationDate() const
    {43, 1156, 1163, 1, 0, 0, 12},	//1196 QNetworkCookie::setExpirationDate(const QDateTime&)
    {43, 560, 0, 0, Smoke::mf_const, 209, 13},	//1197 QNetworkCookie::domain() const
    {43, 1149, 69, 1, 0, 0, 14},	//1198 QNetworkCookie::setDomain(const QString&)
    {43, 818, 0, 0, Smoke::mf_const, 209, 15},	//1199 QNetworkCookie::path() const
    {43, 1215, 69, 1, 0, 0, 16},	//1200 QNetworkCookie::setPath(const QString&)
    {43, 722, 0, 0, Smoke::mf_const, 14, 17},	//1201 QNetworkCookie::name() const
    {43, 1196, 204, 1, 0, 0, 18},	//1202 QNetworkCookie::setName(const QByteArray&)
    {43, 1379, 0, 0, Smoke::mf_const, 14, 19},	//1203 QNetworkCookie::value() const
    {43, 1318, 204, 1, 0, 0, 20},	//1204 QNetworkCookie::setValue(const QByteArray&)
    {43, 1358, 1171, 1, Smoke::mf_const, 14, 21},	//1205 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {43, 811, 204, 1, Smoke::mf_static, 109, 22},	//1206 QNetworkCookie::parseCookies(const QByteArray&)
    {43, 235, 0, 0, Smoke::mf_ctor, 144, 23},	//1207 QNetworkCookie::QNetworkCookie()
    {43, 235, 204, 1, Smoke::mf_ctor, 144, 24},	//1208 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {43, 1358, 0, 0, Smoke::mf_const, 14, 25},	//1209 QNetworkCookie::toRawForm() const
    {43, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 26},	//1210 QNetworkCookie::NameAndValueOnly (enum)
    {43, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 27},	//1211 QNetworkCookie::Full (enum)
    {43, 1421, 0, 0, Smoke::mf_dtor, 0, 28 },	//1212 QNetworkCookie::~QNetworkCookie()
    {44, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1213 QNetworkCookieJar::metaObject() const
    {44, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1214 QNetworkCookieJar::qt_metacast(const char*)
    {44, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1215 QNetworkCookieJar::tr(const char*, const char*)
    {44, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1216 QNetworkCookieJar::trUtf8(const char*, const char*)
    {44, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1217 QNetworkCookieJar::tr(const char*, const char*, int)
    {44, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1218 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {44, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1219 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {44, 238, 20, 1, Smoke::mf_ctor, 146, 8},	//1220 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {44, 526, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 9},	//1221 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {44, 1139, 1173, 2, Smoke::mf_virtual, 314, 10},	//1222 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {44, 445, 0, 0, Smoke::mf_const|Smoke::mf_protected, 109, 11},	//1223 QNetworkCookieJar::allCookies() const
    {44, 1108, 1176, 1, Smoke::mf_protected, 0, 12},	//1224 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {44, 1361, 1, 1, Smoke::mf_static, 209, 13},	//1225 QNetworkCookieJar::tr(const char*)
    {44, 1365, 1, 1, Smoke::mf_static, 209, 14},	//1226 QNetworkCookieJar::trUtf8(const char*)
    {44, 238, 0, 0, Smoke::mf_ctor, 146, 15},	//1227 QNetworkCookieJar::QNetworkCookieJar()
    {44, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 16},	//1228 QNetworkCookieJar::staticMetaObject() const
    {44, 1422, 0, 0, Smoke::mf_dtor, 0, 17 },	//1229 QNetworkCookieJar::~QNetworkCookieJar()
    {45, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1230 QNetworkDiskCache::metaObject() const
    {45, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1231 QNetworkDiskCache::qt_metacast(const char*)
    {45, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1232 QNetworkDiskCache::tr(const char*, const char*)
    {45, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1233 QNetworkDiskCache::trUtf8(const char*, const char*)
    {45, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1234 QNetworkDiskCache::tr(const char*, const char*, int)
    {45, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1235 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {45, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1236 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {45, 240, 20, 1, Smoke::mf_ctor, 147, 8},	//1237 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {45, 475, 0, 0, Smoke::mf_const, 209, 9},	//1238 QNetworkDiskCache::cacheDirectory() const
    {45, 1124, 69, 1, 0, 0, 10},	//1239 QNetworkDiskCache::setCacheDirectory(const QString&)
    {45, 708, 0, 0, Smoke::mf_const, 403, 11},	//1240 QNetworkDiskCache::maximumCacheSize() const
    {45, 1192, 33, 1, 0, 0, 12},	//1241 QNetworkDiskCache::setMaximumCacheSize(long long)
    {45, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 13},	//1242 QNetworkDiskCache::cacheSize() const
    {45, 709, 14, 1, Smoke::mf_virtual, 131, 14},	//1243 QNetworkDiskCache::metaData(const QUrl&)
    {45, 1372, 16, 1, Smoke::mf_virtual, 0, 15},	//1244 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {45, 538, 14, 1, Smoke::mf_virtual, 95, 16},	//1245 QNetworkDiskCache::data(const QUrl&)
    {45, 1065, 14, 1, Smoke::mf_virtual, 314, 17},	//1246 QNetworkDiskCache::remove(const QUrl&)
    {45, 841, 16, 1, Smoke::mf_virtual, 95, 18},	//1247 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {45, 637, 18, 1, Smoke::mf_virtual, 0, 19},	//1248 QNetworkDiskCache::insert(QIODevice*)
    {45, 582, 69, 1, Smoke::mf_const, 131, 20},	//1249 QNetworkDiskCache::fileMetaData(const QString&) const
    {45, 485, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1250 QNetworkDiskCache::clear()
    {45, 580, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 403, 22},	//1251 QNetworkDiskCache::expire()
    {45, 1361, 1, 1, Smoke::mf_static, 209, 23},	//1252 QNetworkDiskCache::tr(const char*)
    {45, 1365, 1, 1, Smoke::mf_static, 209, 24},	//1253 QNetworkDiskCache::trUtf8(const char*)
    {45, 240, 0, 0, Smoke::mf_ctor, 147, 25},	//1254 QNetworkDiskCache::QNetworkDiskCache()
    {45, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 26},	//1255 QNetworkDiskCache::staticMetaObject() const
    {45, 1423, 0, 0, Smoke::mf_dtor, 0, 27 },	//1256 QNetworkDiskCache::~QNetworkDiskCache()
    {46, 242, 0, 0, Smoke::mf_ctor, 150, 1},	//1257 QNetworkInterface::QNetworkInterface()
    {46, 242, 1178, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 2},	//1258 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {46, 773, 1178, 1, 0, 149, 3},	//1259 QNetworkInterface::operator=(const QNetworkInterface&)
    {46, 667, 0, 0, Smoke::mf_const, 314, 4},	//1260 QNetworkInterface::isValid() const
    {46, 636, 0, 0, Smoke::mf_const, 398, 5},	//1261 QNetworkInterface::index() const
    {46, 722, 0, 0, Smoke::mf_const, 209, 6},	//1262 QNetworkInterface::name() const
    {46, 628, 0, 0, Smoke::mf_const, 209, 7},	//1263 QNetworkInterface::humanReadableName() const
    {46, 586, 0, 0, Smoke::mf_const, 43, 8},	//1264 QNetworkInterface::flags() const
    {46, 610, 0, 0, Smoke::mf_const, 209, 9},	//1265 QNetworkInterface::hardwareAddress() const
    {46, 439, 0, 0, Smoke::mf_const, 107, 10},	//1266 QNetworkInterface::addressEntries() const
    {46, 642, 69, 1, Smoke::mf_static, 148, 11},	//1267 QNetworkInterface::interfaceFromName(const QString&)
    {46, 640, 44, 1, Smoke::mf_static, 148, 12},	//1268 QNetworkInterface::interfaceFromIndex(int)
    {46, 446, 0, 0, Smoke::mf_static, 110, 13},	//1269 QNetworkInterface::allInterfaces()
    {46, 442, 0, 0, Smoke::mf_static, 106, 14},	//1270 QNetworkInterface::allAddresses()
    {46, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 15},	//1271 QNetworkInterface::IsUp (enum)
    {46, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 16},	//1272 QNetworkInterface::IsRunning (enum)
    {46, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 17},	//1273 QNetworkInterface::CanBroadcast (enum)
    {46, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 18},	//1274 QNetworkInterface::IsLoopBack (enum)
    {46, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 19},	//1275 QNetworkInterface::IsPointToPoint (enum)
    {46, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 20},	//1276 QNetworkInterface::CanMulticast (enum)
    {46, 1424, 0, 0, Smoke::mf_dtor, 0, 21 },	//1277 QNetworkInterface::~QNetworkInterface()
    {47, 244, 0, 0, Smoke::mf_ctor, 154, 1},	//1278 QNetworkProxy::QNetworkProxy()
    {47, 244, 1180, 5, Smoke::mf_ctor, 154, 2},	//1279 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {47, 244, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 154, 3},	//1280 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {47, 773, 46, 1, 0, 153, 4},	//1281 QNetworkProxy::operator=(const QNetworkProxy&)
    {47, 776, 46, 1, Smoke::mf_const, 314, 5},	//1282 QNetworkProxy::operator==(const QNetworkProxy&) const
    {47, 737, 46, 1, Smoke::mf_const, 314, 6},	//1283 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {47, 1307, 1186, 1, 0, 0, 7},	//1284 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {47, 1369, 0, 0, Smoke::mf_const, 156, 8},	//1285 QNetworkProxy::type() const
    {47, 1126, 1188, 1, 0, 0, 9},	//1286 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {47, 478, 0, 0, Smoke::mf_const, 44, 10},	//1287 QNetworkProxy::capabilities() const
    {47, 645, 0, 0, Smoke::mf_const, 314, 11},	//1288 QNetworkProxy::isCachingProxy() const
    {47, 666, 0, 0, Smoke::mf_const, 314, 12},	//1289 QNetworkProxy::isTransparentProxy() const
    {47, 1313, 69, 1, 0, 0, 13},	//1290 QNetworkProxy::setUser(const QString&)
    {47, 1378, 0, 0, Smoke::mf_const, 209, 14},	//1291 QNetworkProxy::user() const
    {47, 1213, 69, 1, 0, 0, 15},	//1292 QNetworkProxy::setPassword(const QString&)
    {47, 817, 0, 0, Smoke::mf_const, 209, 16},	//1293 QNetworkProxy::password() const
    {47, 1170, 69, 1, 0, 0, 17},	//1294 QNetworkProxy::setHostName(const QString&)
    {47, 627, 0, 0, Smoke::mf_const, 209, 18},	//1295 QNetworkProxy::hostName() const
    {47, 1233, 65, 1, 0, 0, 19},	//1296 QNetworkProxy::setPort(unsigned short)
    {47, 832, 0, 0, Smoke::mf_const, 415, 20},	//1297 QNetworkProxy::port() const
    {47, 1110, 46, 1, Smoke::mf_static, 0, 21},	//1298 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {47, 450, 0, 0, Smoke::mf_static, 152, 22},	//1299 QNetworkProxy::applicationProxy()
    {47, 244, 1186, 1, Smoke::mf_ctor, 154, 23},	//1300 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {47, 244, 1190, 2, Smoke::mf_ctor, 154, 24},	//1301 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {47, 244, 1193, 3, Smoke::mf_ctor, 154, 25},	//1302 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {47, 244, 1197, 4, Smoke::mf_ctor, 154, 26},	//1303 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {47, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 27},	//1304 QNetworkProxy::DefaultProxy (enum)
    {47, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 28},	//1305 QNetworkProxy::Socks5Proxy (enum)
    {47, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 29},	//1306 QNetworkProxy::NoProxy (enum)
    {47, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 30},	//1307 QNetworkProxy::HttpProxy (enum)
    {47, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 31},	//1308 QNetworkProxy::HttpCachingProxy (enum)
    {47, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 156, 32},	//1309 QNetworkProxy::FtpCachingProxy (enum)
    {47, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 33},	//1310 QNetworkProxy::TunnelingCapability (enum)
    {47, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 34},	//1311 QNetworkProxy::ListeningCapability (enum)
    {47, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 35},	//1312 QNetworkProxy::UdpTunnelingCapability (enum)
    {47, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 36},	//1313 QNetworkProxy::CachingCapability (enum)
    {47, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 37},	//1314 QNetworkProxy::HostNameLookupCapability (enum)
    {47, 1425, 0, 0, Smoke::mf_dtor, 0, 38 },	//1315 QNetworkProxy::~QNetworkProxy()
    {48, 251, 0, 0, Smoke::mf_ctor, 157, 1},	//1316 QNetworkProxyFactory::QNetworkProxyFactory()
    {48, 1032, 1202, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 111, 2},	//1317 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {48, 1311, 116, 1, Smoke::mf_static, 0, 3},	//1318 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {48, 1112, 1119, 1, Smoke::mf_static, 0, 4},	//1319 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {48, 852, 1202, 1, Smoke::mf_static, 111, 5},	//1320 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {48, 1349, 1202, 1, Smoke::mf_static, 111, 6},	//1321 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {48, 251, 1204, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 157, 7},	//1322 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {48, 1032, 0, 0, 0, 111, 8},	//1323 QNetworkProxyFactory::queryProxy()
    {48, 1349, 0, 0, Smoke::mf_static, 111, 9},	//1324 QNetworkProxyFactory::systemProxyForQuery()
    {48, 1426, 0, 0, Smoke::mf_dtor, 0, 10 },	//1325 QNetworkProxyFactory::~QNetworkProxyFactory()
    {49, 253, 0, 0, Smoke::mf_ctor, 159, 1},	//1326 QNetworkProxyQuery::QNetworkProxyQuery()
    {49, 253, 1206, 2, Smoke::mf_ctor, 159, 2},	//1327 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {49, 253, 1209, 4, Smoke::mf_ctor, 159, 3},	//1328 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {49, 253, 1214, 3, Smoke::mf_ctor, 159, 4},	//1329 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {49, 253, 1202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 159, 5},	//1330 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {49, 253, 1218, 3, Smoke::mf_ctor, 159, 6},	//1331 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&, QNetworkProxyQuery::QueryType)
    {49, 253, 1222, 5, Smoke::mf_ctor, 159, 7},	//1332 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {49, 253, 1228, 4, Smoke::mf_ctor, 159, 8},	//1333 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {49, 773, 1202, 1, 0, 158, 9},	//1334 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {49, 776, 1202, 1, Smoke::mf_const, 314, 10},	//1335 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {49, 737, 1202, 1, Smoke::mf_const, 314, 11},	//1336 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {49, 1034, 0, 0, Smoke::mf_const, 160, 12},	//1337 QNetworkProxyQuery::queryType() const
    {49, 1256, 1233, 1, 0, 0, 13},	//1338 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {49, 824, 0, 0, Smoke::mf_const, 398, 14},	//1339 QNetworkProxyQuery::peerPort() const
    {49, 1223, 44, 1, 0, 0, 15},	//1340 QNetworkProxyQuery::setPeerPort(int)
    {49, 822, 0, 0, Smoke::mf_const, 209, 16},	//1341 QNetworkProxyQuery::peerHostName() const
    {49, 1219, 69, 1, 0, 0, 17},	//1342 QNetworkProxyQuery::setPeerHostName(const QString&)
    {49, 698, 0, 0, Smoke::mf_const, 398, 18},	//1343 QNetworkProxyQuery::localPort() const
    {49, 1186, 44, 1, 0, 0, 19},	//1344 QNetworkProxyQuery::setLocalPort(int)
    {49, 847, 0, 0, Smoke::mf_const, 209, 20},	//1345 QNetworkProxyQuery::protocolTag() const
    {49, 1247, 69, 1, 0, 0, 21},	//1346 QNetworkProxyQuery::setProtocolTag(const QString&)
    {49, 1376, 0, 0, Smoke::mf_const, 227, 22},	//1347 QNetworkProxyQuery::url() const
    {49, 1309, 14, 1, 0, 0, 23},	//1348 QNetworkProxyQuery::setUrl(const QUrl&)
    {49, 727, 0, 0, Smoke::mf_const, 134, 24},	//1349 QNetworkProxyQuery::networkConfiguration() const
    {49, 1203, 1140, 1, 0, 0, 25},	//1350 QNetworkProxyQuery::setNetworkConfiguration(const QNetworkConfiguration&)
    {49, 253, 14, 1, Smoke::mf_ctor, 159, 26},	//1351 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {49, 253, 1061, 2, Smoke::mf_ctor, 159, 27},	//1352 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {49, 253, 1064, 3, Smoke::mf_ctor, 159, 28},	//1353 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {49, 253, 65, 1, Smoke::mf_ctor, 159, 29},	//1354 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {49, 253, 1235, 2, Smoke::mf_ctor, 159, 30},	//1355 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {49, 253, 1238, 2, Smoke::mf_ctor, 159, 31},	//1356 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QUrl&)
    {49, 253, 1241, 3, Smoke::mf_ctor, 159, 32},	//1357 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    {49, 253, 1245, 4, Smoke::mf_ctor, 159, 33},	//1358 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    {49, 253, 1250, 2, Smoke::mf_ctor, 159, 34},	//1359 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    {49, 253, 1253, 3, Smoke::mf_ctor, 159, 35},	//1360 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    {49, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 36},	//1361 QNetworkProxyQuery::TcpSocket (enum)
    {49, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 37},	//1362 QNetworkProxyQuery::UdpSocket (enum)
    {49, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 38},	//1363 QNetworkProxyQuery::TcpServer (enum)
    {49, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 160, 39},	//1364 QNetworkProxyQuery::UrlRequest (enum)
    {49, 1427, 0, 0, Smoke::mf_dtor, 0, 40 },	//1365 QNetworkProxyQuery::~QNetworkProxyQuery()
    {50, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1366 QNetworkReply::metaObject() const
    {50, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1367 QNetworkReply::qt_metacast(const char*)
    {50, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1368 QNetworkReply::tr(const char*, const char*)
    {50, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1369 QNetworkReply::trUtf8(const char*, const char*)
    {50, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1370 QNetworkReply::tr(const char*, const char*, int)
    {50, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1371 QNetworkReply::trUtf8(const char*, const char*, int)
    {50, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1372 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {50, 415, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1373 QNetworkReply::abort() [pure virtual]
    {50, 488, 0, 0, Smoke::mf_virtual, 0, 9},	//1374 QNetworkReply::close()
    {50, 663, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 10},	//1375 QNetworkReply::isSequential() const
    {50, 1051, 0, 0, Smoke::mf_const, 403, 11},	//1376 QNetworkReply::readBufferSize() const
    {50, 1262, 33, 1, Smoke::mf_virtual, 0, 12},	//1377 QNetworkReply::setReadBufferSize(long long)
    {50, 706, 0, 0, Smoke::mf_const, 126, 13},	//1378 QNetworkReply::manager() const
    {50, 736, 0, 0, Smoke::mf_const, 128, 14},	//1379 QNetworkReply::operation() const
    {50, 1076, 0, 0, Smoke::mf_const, 163, 15},	//1380 QNetworkReply::request() const
    {50, 574, 0, 0, Smoke::mf_const, 162, 16},	//1381 QNetworkReply::error() const
    {50, 650, 0, 0, Smoke::mf_const, 314, 17},	//1382 QNetworkReply::isFinished() const
    {50, 661, 0, 0, Smoke::mf_const, 314, 18},	//1383 QNetworkReply::isRunning() const
    {50, 1376, 0, 0, Smoke::mf_const, 227, 19},	//1384 QNetworkReply::url() const
    {50, 624, 1257, 1, Smoke::mf_const, 234, 20},	//1385 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {50, 619, 204, 1, Smoke::mf_const, 314, 21},	//1386 QNetworkReply::hasRawHeader(const QByteArray&) const
    {50, 1045, 0, 0, Smoke::mf_const, 105, 22},	//1387 QNetworkReply::rawHeaderList() const
    {50, 1043, 204, 1, Smoke::mf_const, 14, 23},	//1388 QNetworkReply::rawHeader(const QByteArray&) const
    {50, 1046, 0, 0, Smoke::mf_const, 340, 24},	//1389 QNetworkReply::rawHeaderPairs() const
    {50, 452, 1259, 1, Smoke::mf_const, 234, 25},	//1390 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {50, 1330, 0, 0, Smoke::mf_const, 197, 26},	//1391 QNetworkReply::sslConfiguration() const
    {50, 1296, 1261, 1, 0, 0, 27},	//1392 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {50, 631, 1056, 1, 0, 0, 28},	//1393 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {50, 631, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1394 QNetworkReply::ignoreSslErrors()
    {50, 711, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1395 QNetworkReply::metaDataChanged()
    {50, 584, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1396 QNetworkReply::finished()
    {50, 574, 1263, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1397 QNetworkReply::error(QNetworkReply::NetworkError)
    {50, 1331, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1398 QNetworkReply::sslErrors(const QList<QSslError>&)
    {50, 1374, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1399 QNetworkReply::uploadProgress(qint64, qint64)
    {50, 563, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1400 QNetworkReply::downloadProgress(qint64, qint64)
    {50, 265, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 161, 36},	//1401 QNetworkReply::QNetworkReply(QObject*)
    {50, 1398, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 37},	//1402 QNetworkReply::writeData(const char*, long long)
    {50, 1205, 1265, 1, Smoke::mf_protected, 0, 38},	//1403 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {50, 1266, 1125, 1, Smoke::mf_protected, 0, 39},	//1404 QNetworkReply::setRequest(const QNetworkRequest&)
    {50, 1151, 1267, 2, Smoke::mf_protected, 0, 40},	//1405 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {50, 1160, 116, 1, Smoke::mf_protected, 0, 41},	//1406 QNetworkReply::setFinished(bool)
    {50, 1309, 14, 1, Smoke::mf_protected, 0, 42},	//1407 QNetworkReply::setUrl(const QUrl&)
    {50, 1164, 1270, 2, Smoke::mf_protected, 0, 43},	//1408 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {50, 1258, 381, 2, Smoke::mf_protected, 0, 44},	//1409 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {50, 1114, 1273, 2, Smoke::mf_protected, 0, 45},	//1410 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {50, 1361, 1, 1, Smoke::mf_static, 209, 46},	//1411 QNetworkReply::tr(const char*)
    {50, 1365, 1, 1, Smoke::mf_static, 209, 47},	//1412 QNetworkReply::trUtf8(const char*)
    {50, 265, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 161, 48},	//1413 QNetworkReply::QNetworkReply()
    {50, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 49},	//1414 QNetworkReply::staticMetaObject() const
    {50, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 50},	//1415 QNetworkReply::NoError (enum)
    {50, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 51},	//1416 QNetworkReply::ConnectionRefusedError (enum)
    {50, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 52},	//1417 QNetworkReply::RemoteHostClosedError (enum)
    {50, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 53},	//1418 QNetworkReply::HostNotFoundError (enum)
    {50, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 54},	//1419 QNetworkReply::TimeoutError (enum)
    {50, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 55},	//1420 QNetworkReply::OperationCanceledError (enum)
    {50, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 56},	//1421 QNetworkReply::SslHandshakeFailedError (enum)
    {50, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 57},	//1422 QNetworkReply::TemporaryNetworkFailureError (enum)
    {50, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 58},	//1423 QNetworkReply::UnknownNetworkError (enum)
    {50, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 59},	//1424 QNetworkReply::ProxyConnectionRefusedError (enum)
    {50, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 60},	//1425 QNetworkReply::ProxyConnectionClosedError (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 61},	//1426 QNetworkReply::ProxyNotFoundError (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 62},	//1427 QNetworkReply::ProxyTimeoutError (enum)
    {50, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 63},	//1428 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {50, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 64},	//1429 QNetworkReply::UnknownProxyError (enum)
    {50, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 65},	//1430 QNetworkReply::ContentAccessDenied (enum)
    {50, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 66},	//1431 QNetworkReply::ContentOperationNotPermittedError (enum)
    {50, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 67},	//1432 QNetworkReply::ContentNotFoundError (enum)
    {50, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 68},	//1433 QNetworkReply::AuthenticationRequiredError (enum)
    {50, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 69},	//1434 QNetworkReply::ContentReSendError (enum)
    {50, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 70},	//1435 QNetworkReply::UnknownContentError (enum)
    {50, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 71},	//1436 QNetworkReply::ProtocolUnknownError (enum)
    {50, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 72},	//1437 QNetworkReply::ProtocolInvalidOperationError (enum)
    {50, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 73},	//1438 QNetworkReply::ProtocolFailure (enum)
    {50, 1428, 0, 0, Smoke::mf_dtor, 0, 74 },	//1439 QNetworkReply::~QNetworkReply()
    {51, 267, 14, 1, Smoke::mf_ctor, 165, 1},	//1440 QNetworkRequest::QNetworkRequest(const QUrl&)
    {51, 267, 1125, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 165, 2},	//1441 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {51, 773, 1125, 1, 0, 164, 3},	//1442 QNetworkRequest::operator=(const QNetworkRequest&)
    {51, 776, 1125, 1, Smoke::mf_const, 314, 4},	//1443 QNetworkRequest::operator==(const QNetworkRequest&) const
    {51, 737, 1125, 1, Smoke::mf_const, 314, 5},	//1444 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {51, 1376, 0, 0, Smoke::mf_const, 227, 6},	//1445 QNetworkRequest::url() const
    {51, 1309, 14, 1, 0, 0, 7},	//1446 QNetworkRequest::setUrl(const QUrl&)
    {51, 624, 1257, 1, Smoke::mf_const, 234, 8},	//1447 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {51, 1164, 1270, 2, 0, 0, 9},	//1448 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {51, 619, 204, 1, Smoke::mf_const, 314, 10},	//1449 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {51, 1045, 0, 0, Smoke::mf_const, 105, 11},	//1450 QNetworkRequest::rawHeaderList() const
    {51, 1043, 204, 1, Smoke::mf_const, 14, 12},	//1451 QNetworkRequest::rawHeader(const QByteArray&) const
    {51, 1258, 381, 2, 0, 0, 13},	//1452 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {51, 452, 1273, 2, Smoke::mf_const, 234, 14},	//1453 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {51, 1114, 1273, 2, 0, 0, 15},	//1454 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {51, 1330, 0, 0, Smoke::mf_const, 197, 16},	//1455 QNetworkRequest::sslConfiguration() const
    {51, 1296, 1261, 1, 0, 0, 17},	//1456 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {51, 1209, 20, 1, 0, 0, 18},	//1457 QNetworkRequest::setOriginatingObject(QObject*)
    {51, 807, 0, 0, Smoke::mf_const, 174, 19},	//1458 QNetworkRequest::originatingObject() const
    {51, 843, 0, 0, Smoke::mf_const, 170, 20},	//1459 QNetworkRequest::priority() const
    {51, 1237, 1276, 1, 0, 0, 21},	//1460 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {51, 267, 0, 0, Smoke::mf_ctor, 165, 22},	//1461 QNetworkRequest::QNetworkRequest()
    {51, 452, 1259, 1, Smoke::mf_const, 234, 23},	//1462 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {51, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 24},	//1463 QNetworkRequest::ContentTypeHeader (enum)
    {51, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 25},	//1464 QNetworkRequest::ContentLengthHeader (enum)
    {51, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 26},	//1465 QNetworkRequest::LocationHeader (enum)
    {51, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 27},	//1466 QNetworkRequest::LastModifiedHeader (enum)
    {51, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 28},	//1467 QNetworkRequest::CookieHeader (enum)
    {51, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 29},	//1468 QNetworkRequest::SetCookieHeader (enum)
    {51, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 30},	//1469 QNetworkRequest::ContentDispositionHeader (enum)
    {51, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 31},	//1470 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {51, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 32},	//1471 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {51, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 33},	//1472 QNetworkRequest::RedirectionTargetAttribute (enum)
    {51, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 34},	//1473 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {51, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 35},	//1474 QNetworkRequest::CacheLoadControlAttribute (enum)
    {51, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 36},	//1475 QNetworkRequest::CacheSaveControlAttribute (enum)
    {51, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 37},	//1476 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {51, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 38},	//1477 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {51, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 39},	//1478 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {51, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 40},	//1479 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {51, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 41},	//1480 QNetworkRequest::CustomVerbAttribute (enum)
    {51, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 42},	//1481 QNetworkRequest::CookieLoadControlAttribute (enum)
    {51, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 43},	//1482 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {51, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 44},	//1483 QNetworkRequest::CookieSaveControlAttribute (enum)
    {51, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 45},	//1484 QNetworkRequest::MaximumDownloadBufferSizeAttribute (enum)
    {51, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 46},	//1485 QNetworkRequest::DownloadBufferAttribute (enum)
    {51, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 47},	//1486 QNetworkRequest::SynchronousRequestAttribute (enum)
    {51, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 48},	//1487 QNetworkRequest::User (enum)
    {51, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 49},	//1488 QNetworkRequest::UserMax (enum)
    {51, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 50},	//1489 QNetworkRequest::AlwaysNetwork (enum)
    {51, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 51},	//1490 QNetworkRequest::PreferNetwork (enum)
    {51, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 52},	//1491 QNetworkRequest::PreferCache (enum)
    {51, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 53},	//1492 QNetworkRequest::AlwaysCache (enum)
    {51, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 54},	//1493 QNetworkRequest::Automatic (enum)
    {51, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 55},	//1494 QNetworkRequest::Manual (enum)
    {51, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 56},	//1495 QNetworkRequest::HighPriority (enum)
    {51, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 57},	//1496 QNetworkRequest::NormalPriority (enum)
    {51, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 58},	//1497 QNetworkRequest::LowPriority (enum)
    {51, 1429, 0, 0, Smoke::mf_dtor, 0, 59 },	//1498 QNetworkRequest::~QNetworkRequest()
    {52, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1499 QNetworkSession::metaObject() const
    {52, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1500 QNetworkSession::qt_metacast(const char*)
    {52, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1501 QNetworkSession::tr(const char*, const char*)
    {52, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1502 QNetworkSession::trUtf8(const char*, const char*)
    {52, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1503 QNetworkSession::tr(const char*, const char*, int)
    {52, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1504 QNetworkSession::trUtf8(const char*, const char*, int)
    {52, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1505 QNetworkSession::qt_metacall(QMetaObject::Call, int, void**)
    {52, 269, 1278, 2, Smoke::mf_ctor, 171, 8},	//1506 QNetworkSession::QNetworkSession(const QNetworkConfiguration&, QObject*)
    {52, 658, 0, 0, Smoke::mf_const, 314, 9},	//1507 QNetworkSession::isOpen() const
    {52, 495, 0, 0, Smoke::mf_const, 134, 10},	//1508 QNetworkSession::configuration() const
    {52, 639, 0, 0, Smoke::mf_const, 148, 11},	//1509 QNetworkSession::interface() const
    {52, 1336, 0, 0, Smoke::mf_const, 173, 12},	//1510 QNetworkSession::state() const
    {52, 574, 0, 0, Smoke::mf_const, 172, 13},	//1511 QNetworkSession::error() const
    {52, 576, 0, 0, Smoke::mf_const, 209, 14},	//1512 QNetworkSession::errorString() const
    {52, 1101, 69, 1, Smoke::mf_const, 234, 15},	//1513 QNetworkSession::sessionProperty(const QString&) const
    {52, 1277, 85, 2, 0, 0, 16},	//1514 QNetworkSession::setSessionProperty(const QString&, const QVariant&)
    {52, 472, 0, 0, Smoke::mf_const, 414, 17},	//1515 QNetworkSession::bytesWritten() const
    {52, 470, 0, 0, Smoke::mf_const, 414, 18},	//1516 QNetworkSession::bytesReceived() const
    {52, 420, 0, 0, Smoke::mf_const, 414, 19},	//1517 QNetworkSession::activeTime() const
    {52, 1394, 44, 1, 0, 314, 20},	//1518 QNetworkSession::waitForOpened(int)
    {52, 734, 0, 0, Smoke::mf_slot, 0, 21},	//1519 QNetworkSession::open()
    {52, 488, 0, 0, Smoke::mf_slot, 0, 22},	//1520 QNetworkSession::close()
    {52, 1341, 0, 0, Smoke::mf_slot, 0, 23},	//1521 QNetworkSession::stop()
    {52, 714, 0, 0, Smoke::mf_slot, 0, 24},	//1522 QNetworkSession::migrate()
    {52, 630, 0, 0, Smoke::mf_slot, 0, 25},	//1523 QNetworkSession::ignore()
    {52, 418, 0, 0, Smoke::mf_slot, 0, 26},	//1524 QNetworkSession::accept()
    {52, 1064, 0, 0, Smoke::mf_slot, 0, 27},	//1525 QNetworkSession::reject()
    {52, 1337, 1281, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1526 QNetworkSession::stateChanged(QNetworkSession::State)
    {52, 735, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1527 QNetworkSession::opened()
    {52, 490, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1528 QNetworkSession::closed()
    {52, 574, 1283, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1529 QNetworkSession::error(QNetworkSession::SessionError)
    {52, 838, 1285, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1530 QNetworkSession::preferredConfigurationChanged(const QNetworkConfiguration&, bool)
    {52, 729, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1531 QNetworkSession::newConfigurationActivated()
    {52, 504, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1532 QNetworkSession::connectNotify(const char*)
    {52, 557, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1533 QNetworkSession::disconnectNotify(const char*)
    {52, 1361, 1, 1, Smoke::mf_static, 209, 36},	//1534 QNetworkSession::tr(const char*)
    {52, 1365, 1, 1, Smoke::mf_static, 209, 37},	//1535 QNetworkSession::trUtf8(const char*)
    {52, 269, 1140, 1, Smoke::mf_ctor, 171, 38},	//1536 QNetworkSession::QNetworkSession(const QNetworkConfiguration&)
    {52, 1394, 0, 0, 0, 314, 39},	//1537 QNetworkSession::waitForOpened()
    {52, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 40},	//1538 QNetworkSession::staticMetaObject() const
    {52, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 41},	//1539 QNetworkSession::Invalid (enum)
    {52, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 42},	//1540 QNetworkSession::NotAvailable (enum)
    {52, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 43},	//1541 QNetworkSession::Connecting (enum)
    {52, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 44},	//1542 QNetworkSession::Connected (enum)
    {52, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 45},	//1543 QNetworkSession::Closing (enum)
    {52, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 46},	//1544 QNetworkSession::Disconnected (enum)
    {52, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 47},	//1545 QNetworkSession::Roaming (enum)
    {52, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 48},	//1546 QNetworkSession::UnknownSessionError (enum)
    {52, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 49},	//1547 QNetworkSession::SessionAbortedError (enum)
    {52, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 50},	//1548 QNetworkSession::RoamingError (enum)
    {52, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 51},	//1549 QNetworkSession::OperationNotSupportedError (enum)
    {52, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 52},	//1550 QNetworkSession::InvalidConfigurationError (enum)
    {52, 1430, 0, 0, Smoke::mf_dtor, 0, 53 },	//1551 QNetworkSession::~QNetworkSession()
    {53, 577, 1288, 1, Smoke::mf_virtual, 314, 0},	//1552 QObject::event(QEvent*)
    {53, 578, 1290, 2, Smoke::mf_virtual, 314, 0},	//1553 QObject::eventFilter(QObject*, QEvent*)
    {53, 1351, 1293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1554 QObject::timerEvent(QTimerEvent*)
    {53, 482, 1295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1555 QObject::childEvent(QChildEvent*)
    {53, 537, 1288, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1556 QObject::customEvent(QEvent*)
    {53, 504, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1557 QObject::connectNotify(const char*)
    {53, 557, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1558 QObject::disconnectNotify(const char*)
    {62, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 1},	//1559 QSsl::Rsa (enum)
    {62, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 2},	//1560 QSsl::Dsa (enum)
    {62, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 3},	//1561 QSsl::Pem (enum)
    {62, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 4},	//1562 QSsl::Der (enum)
    {62, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 5},	//1563 QSsl::SslV3 (enum)
    {62, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 6},	//1564 QSsl::SslV2 (enum)
    {62, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 7},	//1565 QSsl::TlsV1 (enum)
    {62, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 8},	//1566 QSsl::AnyProtocol (enum)
    {62, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 9},	//1567 QSsl::TlsV1SslV3 (enum)
    {62, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 10},	//1568 QSsl::SecureProtocols (enum)
    {62, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 11},	//1569 QSsl::UnknownProtocol (enum)
    {62, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 12},	//1570 QSsl::EmailEntry (enum)
    {62, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 13},	//1571 QSsl::DnsEntry (enum)
    {62, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 14},	//1572 QSsl::PrivateKey (enum)
    {62, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 15},	//1573 QSsl::PublicKey (enum)
    {63, 272, 1297, 2, Smoke::mf_ctor, 192, 1},	//1574 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {63, 272, 1300, 2, Smoke::mf_ctor, 192, 2},	//1575 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {63, 272, 1303, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 192, 3},	//1576 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {63, 773, 1303, 1, 0, 191, 4},	//1577 QSslCertificate::operator=(const QSslCertificate&)
    {63, 776, 1303, 1, Smoke::mf_const, 314, 5},	//1578 QSslCertificate::operator==(const QSslCertificate&) const
    {63, 737, 1303, 1, Smoke::mf_const, 314, 6},	//1579 QSslCertificate::operator!=(const QSslCertificate&) const
    {63, 656, 0, 0, Smoke::mf_const, 314, 7},	//1580 QSslCertificate::isNull() const
    {63, 667, 0, 0, Smoke::mf_const, 314, 8},	//1581 QSslCertificate::isValid() const
    {63, 485, 0, 0, 0, 0, 9},	//1582 QSslCertificate::clear()
    {63, 1382, 0, 0, Smoke::mf_const, 14, 10},	//1583 QSslCertificate::version() const
    {63, 1095, 0, 0, Smoke::mf_const, 14, 11},	//1584 QSslCertificate::serialNumber() const
    {63, 552, 1305, 1, Smoke::mf_const, 14, 12},	//1585 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {63, 669, 1307, 1, Smoke::mf_const, 209, 13},	//1586 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {63, 669, 204, 1, Smoke::mf_const, 209, 14},	//1587 QSslCertificate::issuerInfo(const QByteArray&) const
    {63, 1342, 1307, 1, Smoke::mf_const, 209, 15},	//1588 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {63, 1342, 204, 1, Smoke::mf_const, 209, 16},	//1589 QSslCertificate::subjectInfo(const QByteArray&) const
    {63, 449, 0, 0, Smoke::mf_const, 125, 17},	//1590 QSslCertificate::alternateSubjectNames() const
    {63, 565, 0, 0, Smoke::mf_const, 22, 18},	//1591 QSslCertificate::effectiveDate() const
    {63, 581, 0, 0, Smoke::mf_const, 22, 19},	//1592 QSslCertificate::expiryDate() const
    {63, 854, 0, 0, Smoke::mf_const, 203, 20},	//1593 QSslCertificate::publicKey() const
    {63, 1356, 0, 0, Smoke::mf_const, 14, 21},	//1594 QSslCertificate::toPem() const
    {63, 1352, 0, 0, Smoke::mf_const, 14, 22},	//1595 QSslCertificate::toDer() const
    {63, 596, 1309, 3, Smoke::mf_static, 114, 23},	//1596 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {63, 591, 1297, 2, Smoke::mf_static, 114, 24},	//1597 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {63, 588, 1300, 2, Smoke::mf_static, 114, 25},	//1598 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {63, 609, 0, 0, Smoke::mf_const, 413, 26},	//1599 QSslCertificate::handle() const
    {63, 272, 18, 1, Smoke::mf_ctor, 192, 27},	//1600 QSslCertificate::QSslCertificate(QIODevice*)
    {63, 272, 0, 0, Smoke::mf_ctor, 192, 28},	//1601 QSslCertificate::QSslCertificate()
    {63, 272, 204, 1, Smoke::mf_ctor, 192, 29},	//1602 QSslCertificate::QSslCertificate(const QByteArray&)
    {63, 552, 0, 0, Smoke::mf_const, 14, 30},	//1603 QSslCertificate::digest() const
    {63, 596, 69, 1, Smoke::mf_static, 114, 31},	//1604 QSslCertificate::fromPath(const QString&)
    {63, 596, 1313, 2, Smoke::mf_static, 114, 32},	//1605 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {63, 591, 18, 1, Smoke::mf_static, 114, 33},	//1606 QSslCertificate::fromDevice(QIODevice*)
    {63, 588, 204, 1, Smoke::mf_static, 114, 34},	//1607 QSslCertificate::fromData(const QByteArray&)
    {63, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 35},	//1608 QSslCertificate::Organization (enum)
    {63, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 36},	//1609 QSslCertificate::CommonName (enum)
    {63, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 37},	//1610 QSslCertificate::LocalityName (enum)
    {63, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 38},	//1611 QSslCertificate::OrganizationalUnitName (enum)
    {63, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 39},	//1612 QSslCertificate::CountryName (enum)
    {63, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 193, 40},	//1613 QSslCertificate::StateOrProvinceName (enum)
    {63, 1431, 0, 0, Smoke::mf_dtor, 0, 41 },	//1614 QSslCertificate::~QSslCertificate()
    {64, 275, 0, 0, Smoke::mf_ctor, 196, 1},	//1615 QSslCipher::QSslCipher()
    {64, 275, 1316, 2, Smoke::mf_ctor, 196, 2},	//1616 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {64, 275, 1319, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 196, 3},	//1617 QSslCipher::QSslCipher(const QSslCipher&)
    {64, 773, 1319, 1, 0, 195, 4},	//1618 QSslCipher::operator=(const QSslCipher&)
    {64, 776, 1319, 1, Smoke::mf_const, 314, 5},	//1619 QSslCipher::operator==(const QSslCipher&) const
    {64, 737, 1319, 1, Smoke::mf_const, 314, 6},	//1620 QSslCipher::operator!=(const QSslCipher&) const
    {64, 656, 0, 0, Smoke::mf_const, 314, 7},	//1621 QSslCipher::isNull() const
    {64, 722, 0, 0, Smoke::mf_const, 209, 8},	//1622 QSslCipher::name() const
    {64, 1345, 0, 0, Smoke::mf_const, 398, 9},	//1623 QSslCipher::supportedBits() const
    {64, 1377, 0, 0, Smoke::mf_const, 398, 10},	//1624 QSslCipher::usedBits() const
    {64, 675, 0, 0, Smoke::mf_const, 209, 11},	//1625 QSslCipher::keyExchangeMethod() const
    {64, 456, 0, 0, Smoke::mf_const, 209, 12},	//1626 QSslCipher::authenticationMethod() const
    {64, 571, 0, 0, Smoke::mf_const, 209, 13},	//1627 QSslCipher::encryptionMethod() const
    {64, 846, 0, 0, Smoke::mf_const, 209, 14},	//1628 QSslCipher::protocolString() const
    {64, 845, 0, 0, Smoke::mf_const, 189, 15},	//1629 QSslCipher::protocol() const
    {64, 1432, 0, 0, Smoke::mf_dtor, 0, 16 },	//1630 QSslCipher::~QSslCipher()
    {65, 278, 0, 0, Smoke::mf_ctor, 199, 1},	//1631 QSslConfiguration::QSslConfiguration()
    {65, 278, 1261, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 199, 2},	//1632 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {65, 773, 1261, 1, 0, 198, 3},	//1633 QSslConfiguration::operator=(const QSslConfiguration&)
    {65, 776, 1261, 1, Smoke::mf_const, 314, 4},	//1634 QSslConfiguration::operator==(const QSslConfiguration&) const
    {65, 737, 1261, 1, Smoke::mf_const, 314, 5},	//1635 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {65, 656, 0, 0, Smoke::mf_const, 314, 6},	//1636 QSslConfiguration::isNull() const
    {65, 845, 0, 0, Smoke::mf_const, 189, 7},	//1637 QSslConfiguration::protocol() const
    {65, 1245, 1321, 1, 0, 0, 8},	//1638 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {65, 828, 0, 0, Smoke::mf_const, 207, 9},	//1639 QSslConfiguration::peerVerifyMode() const
    {65, 1227, 1323, 1, 0, 0, 10},	//1640 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {65, 825, 0, 0, Smoke::mf_const, 398, 11},	//1641 QSslConfiguration::peerVerifyDepth() const
    {65, 1225, 44, 1, 0, 0, 12},	//1642 QSslConfiguration::setPeerVerifyDepth(int)
    {65, 695, 0, 0, Smoke::mf_const, 190, 13},	//1643 QSslConfiguration::localCertificate() const
    {65, 1182, 1303, 1, 0, 0, 14},	//1644 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {65, 820, 0, 0, Smoke::mf_const, 190, 15},	//1645 QSslConfiguration::peerCertificate() const
    {65, 821, 0, 0, Smoke::mf_const, 114, 16},	//1646 QSslConfiguration::peerCertificateChain() const
    {65, 1100, 0, 0, Smoke::mf_const, 194, 17},	//1647 QSslConfiguration::sessionCipher() const
    {65, 844, 0, 0, Smoke::mf_const, 203, 18},	//1648 QSslConfiguration::privateKey() const
    {65, 1239, 1325, 1, 0, 0, 19},	//1649 QSslConfiguration::setPrivateKey(const QSslKey&)
    {65, 484, 0, 0, Smoke::mf_const, 115, 20},	//1650 QSslConfiguration::ciphers() const
    {65, 1128, 1327, 1, 0, 0, 21},	//1651 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {65, 473, 0, 0, Smoke::mf_const, 114, 22},	//1652 QSslConfiguration::caCertificates() const
    {65, 1120, 1329, 1, 0, 0, 23},	//1653 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {65, 548, 0, 0, Smoke::mf_static, 197, 24},	//1654 QSslConfiguration::defaultConfiguration()
    {65, 1145, 1261, 1, Smoke::mf_static, 0, 25},	//1655 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {65, 1433, 0, 0, Smoke::mf_dtor, 0, 26 },	//1656 QSslConfiguration::~QSslConfiguration()
    {66, 280, 0, 0, Smoke::mf_ctor, 201, 1},	//1657 QSslError::QSslError()
    {66, 280, 1331, 1, Smoke::mf_ctor, 201, 2},	//1658 QSslError::QSslError(QSslError::SslError)
    {66, 280, 1333, 2, Smoke::mf_ctor, 201, 3},	//1659 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {66, 280, 1336, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 201, 4},	//1660 QSslError::QSslError(const QSslError&)
    {66, 773, 1336, 1, 0, 200, 5},	//1661 QSslError::operator=(const QSslError&)
    {66, 776, 1336, 1, Smoke::mf_const, 314, 6},	//1662 QSslError::operator==(const QSslError&) const
    {66, 737, 1336, 1, Smoke::mf_const, 314, 7},	//1663 QSslError::operator!=(const QSslError&) const
    {66, 574, 0, 0, Smoke::mf_const, 202, 8},	//1664 QSslError::error() const
    {66, 576, 0, 0, Smoke::mf_const, 209, 9},	//1665 QSslError::errorString() const
    {66, 481, 0, 0, Smoke::mf_const, 190, 10},	//1666 QSslError::certificate() const
    {66, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 11},	//1667 QSslError::NoError (enum)
    {66, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 12},	//1668 QSslError::UnableToGetIssuerCertificate (enum)
    {66, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 13},	//1669 QSslError::UnableToDecryptCertificateSignature (enum)
    {66, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 14},	//1670 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {66, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 15},	//1671 QSslError::CertificateSignatureFailed (enum)
    {66, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 16},	//1672 QSslError::CertificateNotYetValid (enum)
    {66, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 17},	//1673 QSslError::CertificateExpired (enum)
    {66, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 18},	//1674 QSslError::InvalidNotBeforeField (enum)
    {66, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 19},	//1675 QSslError::InvalidNotAfterField (enum)
    {66, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 20},	//1676 QSslError::SelfSignedCertificate (enum)
    {66, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 21},	//1677 QSslError::SelfSignedCertificateInChain (enum)
    {66, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 22},	//1678 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {66, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 23},	//1679 QSslError::UnableToVerifyFirstCertificate (enum)
    {66, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 24},	//1680 QSslError::CertificateRevoked (enum)
    {66, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 25},	//1681 QSslError::InvalidCaCertificate (enum)
    {66, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 26},	//1682 QSslError::PathLengthExceeded (enum)
    {66, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 27},	//1683 QSslError::InvalidPurpose (enum)
    {66, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 28},	//1684 QSslError::CertificateUntrusted (enum)
    {66, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 29},	//1685 QSslError::CertificateRejected (enum)
    {66, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 30},	//1686 QSslError::SubjectIssuerMismatch (enum)
    {66, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 31},	//1687 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {66, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 32},	//1688 QSslError::NoPeerCertificate (enum)
    {66, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 33},	//1689 QSslError::HostNameMismatch (enum)
    {66, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 34},	//1690 QSslError::NoSslSupport (enum)
    {66, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 35},	//1691 QSslError::CertificateBlacklisted (enum)
    {66, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 36},	//1692 QSslError::UnspecifiedError (enum)
    {66, 1434, 0, 0, Smoke::mf_dtor, 0, 37 },	//1693 QSslError::~QSslError()
    {67, 284, 0, 0, Smoke::mf_ctor, 205, 1},	//1694 QSslKey::QSslKey()
    {67, 284, 1338, 5, Smoke::mf_ctor, 205, 2},	//1695 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {67, 284, 1344, 5, Smoke::mf_ctor, 205, 3},	//1696 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {67, 284, 1325, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 205, 4},	//1697 QSslKey::QSslKey(const QSslKey&)
    {67, 773, 1325, 1, 0, 204, 5},	//1698 QSslKey::operator=(const QSslKey&)
    {67, 656, 0, 0, Smoke::mf_const, 314, 6},	//1699 QSslKey::isNull() const
    {67, 485, 0, 0, 0, 0, 7},	//1700 QSslKey::clear()
    {67, 683, 0, 0, Smoke::mf_const, 398, 8},	//1701 QSslKey::length() const
    {67, 1369, 0, 0, Smoke::mf_const, 188, 9},	//1702 QSslKey::type() const
    {67, 441, 0, 0, Smoke::mf_const, 187, 10},	//1703 QSslKey::algorithm() const
    {67, 1356, 204, 1, Smoke::mf_const, 14, 11},	//1704 QSslKey::toPem(const QByteArray&) const
    {67, 1352, 204, 1, Smoke::mf_const, 14, 12},	//1705 QSslKey::toDer(const QByteArray&) const
    {67, 609, 0, 0, Smoke::mf_const, 413, 13},	//1706 QSslKey::handle() const
    {67, 776, 1325, 1, Smoke::mf_const, 314, 14},	//1707 QSslKey::operator==(const QSslKey&) const
    {67, 737, 1325, 1, Smoke::mf_const, 314, 15},	//1708 QSslKey::operator!=(const QSslKey&) const
    {67, 284, 1350, 2, Smoke::mf_ctor, 205, 16},	//1709 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {67, 284, 1353, 3, Smoke::mf_ctor, 205, 17},	//1710 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {67, 284, 1357, 4, Smoke::mf_ctor, 205, 18},	//1711 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {67, 284, 1362, 2, Smoke::mf_ctor, 205, 19},	//1712 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {67, 284, 1365, 3, Smoke::mf_ctor, 205, 20},	//1713 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {67, 284, 1369, 4, Smoke::mf_ctor, 205, 21},	//1714 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {67, 1356, 0, 0, Smoke::mf_const, 14, 22},	//1715 QSslKey::toPem() const
    {67, 1352, 0, 0, Smoke::mf_const, 14, 23},	//1716 QSslKey::toDer() const
    {67, 1435, 0, 0, Smoke::mf_dtor, 0, 24 },	//1717 QSslKey::~QSslKey()
    {68, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1718 QSslSocket::metaObject() const
    {68, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1719 QSslSocket::qt_metacast(const char*)
    {68, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1720 QSslSocket::tr(const char*, const char*)
    {68, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1721 QSslSocket::trUtf8(const char*, const char*)
    {68, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1722 QSslSocket::tr(const char*, const char*, int)
    {68, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1723 QSslSocket::trUtf8(const char*, const char*, int)
    {68, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1724 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 290, 20, 1, Smoke::mf_ctor, 206, 8},	//1725 QSslSocket::QSslSocket(QObject*)
    {68, 512, 25, 3, 0, 0, 9},	//1726 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {68, 512, 1374, 4, 0, 0, 10},	//1727 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {68, 1283, 35, 3, 0, 314, 11},	//1728 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {68, 1292, 39, 2, 0, 0, 12},	//1729 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {68, 1327, 42, 1, 0, 234, 13},	//1730 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {68, 718, 0, 0, Smoke::mf_const, 208, 14},	//1731 QSslSocket::mode() const
    {68, 647, 0, 0, Smoke::mf_const, 314, 15},	//1732 QSslSocket::isEncrypted() const
    {68, 845, 0, 0, Smoke::mf_const, 189, 16},	//1733 QSslSocket::protocol() const
    {68, 1245, 1321, 1, 0, 0, 17},	//1734 QSslSocket::setProtocol(QSsl::SslProtocol)
    {68, 828, 0, 0, Smoke::mf_const, 207, 18},	//1735 QSslSocket::peerVerifyMode() const
    {68, 1227, 1323, 1, 0, 0, 19},	//1736 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {68, 825, 0, 0, Smoke::mf_const, 398, 20},	//1737 QSslSocket::peerVerifyDepth() const
    {68, 1225, 44, 1, 0, 0, 21},	//1738 QSslSocket::setPeerVerifyDepth(int)
    {68, 829, 0, 0, Smoke::mf_const, 209, 22},	//1739 QSslSocket::peerVerifyName() const
    {68, 1229, 69, 1, 0, 0, 23},	//1740 QSslSocket::setPeerVerifyName(const QString&)
    {68, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 24},	//1741 QSslSocket::bytesAvailable() const
    {68, 471, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 25},	//1742 QSslSocket::bytesToWrite() const
    {68, 477, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 26},	//1743 QSslSocket::canReadLine() const
    {68, 488, 0, 0, Smoke::mf_virtual, 0, 27},	//1744 QSslSocket::close()
    {68, 451, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 28},	//1745 QSslSocket::atEnd() const
    {68, 587, 0, 0, 0, 314, 29},	//1746 QSslSocket::flush()
    {68, 415, 0, 0, 0, 0, 30},	//1747 QSslSocket::abort()
    {68, 1262, 33, 1, 0, 0, 31},	//1748 QSslSocket::setReadBufferSize(long long)
    {68, 567, 0, 0, Smoke::mf_const, 403, 32},	//1749 QSslSocket::encryptedBytesAvailable() const
    {68, 568, 0, 0, Smoke::mf_const, 403, 33},	//1750 QSslSocket::encryptedBytesToWrite() const
    {68, 1330, 0, 0, Smoke::mf_const, 197, 34},	//1751 QSslSocket::sslConfiguration() const
    {68, 1296, 1261, 1, 0, 0, 35},	//1752 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {68, 1182, 1303, 1, 0, 0, 36},	//1753 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {68, 1182, 1313, 2, 0, 0, 37},	//1754 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {68, 695, 0, 0, Smoke::mf_const, 190, 38},	//1755 QSslSocket::localCertificate() const
    {68, 820, 0, 0, Smoke::mf_const, 190, 39},	//1756 QSslSocket::peerCertificate() const
    {68, 821, 0, 0, Smoke::mf_const, 114, 40},	//1757 QSslSocket::peerCertificateChain() const
    {68, 1100, 0, 0, Smoke::mf_const, 194, 41},	//1758 QSslSocket::sessionCipher() const
    {68, 1239, 1325, 1, 0, 0, 42},	//1759 QSslSocket::setPrivateKey(const QSslKey&)
    {68, 1239, 1379, 4, 0, 0, 43},	//1760 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {68, 844, 0, 0, Smoke::mf_const, 203, 44},	//1761 QSslSocket::privateKey() const
    {68, 484, 0, 0, Smoke::mf_const, 115, 45},	//1762 QSslSocket::ciphers() const
    {68, 1128, 1327, 1, 0, 0, 46},	//1763 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {68, 1128, 69, 1, 0, 0, 47},	//1764 QSslSocket::setCiphers(const QString&)
    {68, 1143, 1327, 1, Smoke::mf_static, 0, 48},	//1765 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {68, 547, 0, 0, Smoke::mf_static, 115, 49},	//1766 QSslSocket::defaultCiphers()
    {68, 1346, 0, 0, Smoke::mf_static, 115, 50},	//1767 QSslSocket::supportedCiphers()
    {68, 423, 1309, 3, 0, 314, 51},	//1768 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {68, 421, 1303, 1, 0, 0, 52},	//1769 QSslSocket::addCaCertificate(const QSslCertificate&)
    {68, 423, 1329, 1, 0, 0, 53},	//1770 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {68, 1120, 1329, 1, 0, 0, 54},	//1771 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {68, 473, 0, 0, Smoke::mf_const, 114, 55},	//1772 QSslSocket::caCertificates() const
    {68, 430, 1309, 3, Smoke::mf_static, 314, 56},	//1773 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {68, 428, 1303, 1, Smoke::mf_static, 0, 57},	//1774 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {68, 430, 1329, 1, Smoke::mf_static, 0, 58},	//1775 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {68, 1141, 1329, 1, Smoke::mf_static, 0, 59},	//1776 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {68, 546, 0, 0, Smoke::mf_static, 114, 60},	//1777 QSslSocket::defaultCaCertificates()
    {68, 1348, 0, 0, Smoke::mf_static, 114, 61},	//1778 QSslSocket::systemCaCertificates()
    {68, 1385, 44, 1, 0, 314, 62},	//1779 QSslSocket::waitForConnected(int)
    {68, 1389, 44, 1, 0, 314, 63},	//1780 QSslSocket::waitForEncrypted(int)
    {68, 1396, 44, 1, Smoke::mf_virtual, 314, 64},	//1781 QSslSocket::waitForReadyRead(int)
    {68, 1383, 44, 1, Smoke::mf_virtual, 314, 65},	//1782 QSslSocket::waitForBytesWritten(int)
    {68, 1387, 44, 1, 0, 314, 66},	//1783 QSslSocket::waitForDisconnected(int)
    {68, 1331, 0, 0, Smoke::mf_const, 116, 67},	//1784 QSslSocket::sslErrors() const
    {68, 1347, 0, 0, Smoke::mf_static, 314, 68},	//1785 QSslSocket::supportsSsl()
    {68, 631, 1056, 1, 0, 0, 69},	//1786 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {68, 1334, 0, 0, Smoke::mf_slot, 0, 70},	//1787 QSslSocket::startClientEncryption()
    {68, 1335, 0, 0, Smoke::mf_slot, 0, 71},	//1788 QSslSocket::startServerEncryption()
    {68, 631, 0, 0, Smoke::mf_slot, 0, 72},	//1789 QSslSocket::ignoreSslErrors()
    {68, 566, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1790 QSslSocket::encrypted()
    {68, 826, 1336, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1791 QSslSocket::peerVerifyError(const QSslError&)
    {68, 1331, 1056, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1792 QSslSocket::sslErrors(const QList<QSslError>&)
    {68, 719, 1384, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//1793 QSslSocket::modeChanged(QSslSocket::SslMode)
    {68, 569, 1386, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//1794 QSslSocket::encryptedBytesWritten(qint64)
    {68, 516, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 78},	//1795 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {68, 555, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 79},	//1796 QSslSocket::disconnectFromHostImplementation()
    {68, 1052, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 80},	//1797 QSslSocket::readData(char*, long long)
    {68, 1398, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 403, 81},	//1798 QSslSocket::writeData(const char*, long long)
    {68, 1361, 1, 1, Smoke::mf_static, 209, 82},	//1799 QSslSocket::tr(const char*)
    {68, 1365, 1, 1, Smoke::mf_static, 209, 83},	//1800 QSslSocket::trUtf8(const char*)
    {68, 290, 0, 0, Smoke::mf_ctor, 206, 84},	//1801 QSslSocket::QSslSocket()
    {68, 512, 71, 2, 0, 0, 85},	//1802 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {68, 512, 1388, 3, 0, 0, 86},	//1803 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {68, 1283, 44, 1, 0, 314, 87},	//1804 QSslSocket::setSocketDescriptor(int)
    {68, 1283, 77, 2, 0, 314, 88},	//1805 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {68, 1182, 69, 1, 0, 0, 89},	//1806 QSslSocket::setLocalCertificate(const QString&)
    {68, 1239, 69, 1, 0, 0, 90},	//1807 QSslSocket::setPrivateKey(const QString&)
    {68, 1239, 1392, 2, 0, 0, 91},	//1808 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {68, 1239, 1395, 3, 0, 0, 92},	//1809 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {68, 423, 69, 1, 0, 314, 93},	//1810 QSslSocket::addCaCertificates(const QString&)
    {68, 423, 1313, 2, 0, 314, 94},	//1811 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {68, 430, 69, 1, Smoke::mf_static, 314, 95},	//1812 QSslSocket::addDefaultCaCertificates(const QString&)
    {68, 430, 1313, 2, Smoke::mf_static, 314, 96},	//1813 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {68, 1385, 0, 0, 0, 314, 97},	//1814 QSslSocket::waitForConnected()
    {68, 1389, 0, 0, 0, 314, 98},	//1815 QSslSocket::waitForEncrypted()
    {68, 1396, 0, 0, 0, 314, 99},	//1816 QSslSocket::waitForReadyRead()
    {68, 1383, 0, 0, 0, 314, 100},	//1817 QSslSocket::waitForBytesWritten()
    {68, 1387, 0, 0, 0, 314, 101},	//1818 QSslSocket::waitForDisconnected()
    {68, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 102},	//1819 QSslSocket::staticMetaObject() const
    {68, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 103},	//1820 QSslSocket::UnencryptedMode (enum)
    {68, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 104},	//1821 QSslSocket::SslClientMode (enum)
    {68, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 105},	//1822 QSslSocket::SslServerMode (enum)
    {68, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 106},	//1823 QSslSocket::VerifyNone (enum)
    {68, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 107},	//1824 QSslSocket::QueryPeer (enum)
    {68, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 108},	//1825 QSslSocket::VerifyPeer (enum)
    {68, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 109},	//1826 QSslSocket::AutoVerifyPeer (enum)
    {68, 1436, 0, 0, Smoke::mf_dtor, 0, 110 },	//1827 QSslSocket::~QSslSocket()
    {71, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1828 QTcpServer::metaObject() const
    {71, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1829 QTcpServer::qt_metacast(const char*)
    {71, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1830 QTcpServer::tr(const char*, const char*)
    {71, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1831 QTcpServer::trUtf8(const char*, const char*)
    {71, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1832 QTcpServer::tr(const char*, const char*, int)
    {71, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1833 QTcpServer::trUtf8(const char*, const char*, int)
    {71, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1834 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {71, 292, 20, 1, Smoke::mf_ctor, 216, 8},	//1835 QTcpServer::QTcpServer(QObject*)
    {71, 690, 74, 2, 0, 314, 9},	//1836 QTcpServer::listen(const QHostAddress&, unsigned short)
    {71, 488, 0, 0, 0, 0, 10},	//1837 QTcpServer::close()
    {71, 655, 0, 0, Smoke::mf_const, 314, 11},	//1838 QTcpServer::isListening() const
    {71, 1190, 44, 1, 0, 0, 12},	//1839 QTcpServer::setMaxPendingConnections(int)
    {71, 707, 0, 0, Smoke::mf_const, 398, 13},	//1840 QTcpServer::maxPendingConnections() const
    {71, 1099, 0, 0, Smoke::mf_const, 415, 14},	//1841 QTcpServer::serverPort() const
    {71, 1096, 0, 0, Smoke::mf_const, 74, 15},	//1842 QTcpServer::serverAddress() const
    {71, 1326, 0, 0, Smoke::mf_const, 398, 16},	//1843 QTcpServer::socketDescriptor() const
    {71, 1283, 44, 1, 0, 314, 17},	//1844 QTcpServer::setSocketDescriptor(int)
    {71, 1391, 1100, 2, 0, 314, 18},	//1845 QTcpServer::waitForNewConnection(int, bool*)
    {71, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 19},	//1846 QTcpServer::hasPendingConnections() const
    {71, 731, 0, 0, Smoke::mf_virtual, 217, 20},	//1847 QTcpServer::nextPendingConnection()
    {71, 1097, 0, 0, Smoke::mf_const, 5, 21},	//1848 QTcpServer::serverError() const
    {71, 576, 0, 0, Smoke::mf_const, 209, 22},	//1849 QTcpServer::errorString() const
    {71, 1249, 46, 1, 0, 0, 23},	//1850 QTcpServer::setProxy(const QNetworkProxy&)
    {71, 848, 0, 0, Smoke::mf_const, 152, 24},	//1851 QTcpServer::proxy() const
    {71, 633, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1852 QTcpServer::incomingConnection(int)
    {71, 435, 1024, 1, Smoke::mf_protected, 0, 26},	//1853 QTcpServer::addPendingConnection(QTcpSocket*)
    {71, 730, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1854 QTcpServer::newConnection()
    {71, 1361, 1, 1, Smoke::mf_static, 209, 28},	//1855 QTcpServer::tr(const char*)
    {71, 1365, 1, 1, Smoke::mf_static, 209, 29},	//1856 QTcpServer::trUtf8(const char*)
    {71, 292, 0, 0, Smoke::mf_ctor, 216, 30},	//1857 QTcpServer::QTcpServer()
    {71, 690, 0, 0, 0, 314, 31},	//1858 QTcpServer::listen()
    {71, 690, 67, 1, 0, 314, 32},	//1859 QTcpServer::listen(const QHostAddress&)
    {71, 1391, 0, 0, 0, 314, 33},	//1860 QTcpServer::waitForNewConnection()
    {71, 1391, 44, 1, 0, 314, 34},	//1861 QTcpServer::waitForNewConnection(int)
    {71, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 35},	//1862 QTcpServer::staticMetaObject() const
    {71, 1437, 0, 0, Smoke::mf_dtor, 0, 36 },	//1863 QTcpServer::~QTcpServer()
    {72, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1864 QTcpSocket::metaObject() const
    {72, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1865 QTcpSocket::qt_metacast(const char*)
    {72, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1866 QTcpSocket::tr(const char*, const char*)
    {72, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1867 QTcpSocket::trUtf8(const char*, const char*)
    {72, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1868 QTcpSocket::tr(const char*, const char*, int)
    {72, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1869 QTcpSocket::trUtf8(const char*, const char*, int)
    {72, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1870 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {72, 294, 20, 1, Smoke::mf_ctor, 217, 8},	//1871 QTcpSocket::QTcpSocket(QObject*)
    {72, 1361, 1, 1, Smoke::mf_static, 209, 9},	//1872 QTcpSocket::tr(const char*)
    {72, 1365, 1, 1, Smoke::mf_static, 209, 10},	//1873 QTcpSocket::trUtf8(const char*)
    {72, 294, 0, 0, Smoke::mf_ctor, 217, 11},	//1874 QTcpSocket::QTcpSocket()
    {72, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 12},	//1875 QTcpSocket::staticMetaObject() const
    {72, 1438, 0, 0, Smoke::mf_dtor, 0, 13 },	//1876 QTcpSocket::~QTcpSocket()
    {77, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 348, 1},	//1877 QUdpSocket::metaObject() const
    {77, 1025, 1, 1, Smoke::mf_virtual, 420, 2},	//1878 QUdpSocket::qt_metacast(const char*)
    {77, 1361, 3, 2, Smoke::mf_static, 209, 3},	//1879 QUdpSocket::tr(const char*, const char*)
    {77, 1365, 3, 2, Smoke::mf_static, 209, 4},	//1880 QUdpSocket::trUtf8(const char*, const char*)
    {77, 1361, 6, 3, Smoke::mf_static, 209, 5},	//1881 QUdpSocket::tr(const char*, const char*, int)
    {77, 1365, 6, 3, Smoke::mf_static, 209, 6},	//1882 QUdpSocket::trUtf8(const char*, const char*, int)
    {77, 1023, 10, 3, Smoke::mf_virtual, 398, 7},	//1883 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {77, 296, 20, 1, Smoke::mf_ctor, 225, 8},	//1884 QUdpSocket::QUdpSocket(QObject*)
    {77, 463, 74, 2, 0, 314, 9},	//1885 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {77, 463, 65, 1, 0, 314, 10},	//1886 QUdpSocket::bind(unsigned short)
    {77, 463, 1399, 3, 0, 314, 11},	//1887 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {77, 463, 1403, 2, 0, 314, 12},	//1888 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {77, 672, 67, 1, 0, 314, 13},	//1889 QUdpSocket::joinMulticastGroup(const QHostAddress&)
    {77, 672, 1406, 2, 0, 314, 14},	//1890 QUdpSocket::joinMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {77, 680, 67, 1, 0, 314, 15},	//1891 QUdpSocket::leaveMulticastGroup(const QHostAddress&)
    {77, 680, 1406, 2, 0, 314, 16},	//1892 QUdpSocket::leaveMulticastGroup(const QHostAddress&, const QNetworkInterface&)
    {77, 721, 0, 0, Smoke::mf_const, 148, 17},	//1893 QUdpSocket::multicastInterface() const
    {77, 1194, 1178, 1, 0, 0, 18},	//1894 QUdpSocket::setMulticastInterface(const QNetworkInterface&)
    {77, 617, 0, 0, Smoke::mf_const, 314, 19},	//1895 QUdpSocket::hasPendingDatagrams() const
    {77, 830, 0, 0, Smoke::mf_const, 403, 20},	//1896 QUdpSocket::pendingDatagramSize() const
    {77, 1054, 1409, 4, 0, 403, 21},	//1897 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {77, 1400, 1414, 4, 0, 403, 22},	//1898 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {77, 1400, 1419, 3, 0, 403, 23},	//1899 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {77, 1361, 1, 1, Smoke::mf_static, 209, 24},	//1900 QUdpSocket::tr(const char*)
    {77, 1365, 1, 1, Smoke::mf_static, 209, 25},	//1901 QUdpSocket::trUtf8(const char*)
    {77, 296, 0, 0, Smoke::mf_ctor, 225, 26},	//1902 QUdpSocket::QUdpSocket()
    {77, 463, 0, 0, 0, 314, 27},	//1903 QUdpSocket::bind()
    {77, 1054, 59, 2, 0, 403, 28},	//1904 QUdpSocket::readDatagram(char*, long long)
    {77, 1054, 1423, 3, 0, 403, 29},	//1905 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {77, 1339, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 347, 30},	//1906 QUdpSocket::staticMetaObject() const
    {77, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 31},	//1907 QUdpSocket::DefaultForPlatform (enum)
    {77, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 32},	//1908 QUdpSocket::ShareAddress (enum)
    {77, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 33},	//1909 QUdpSocket::DontShareAddress (enum)
    {77, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 34},	//1910 QUdpSocket::ReuseAddressHint (enum)
    {77, 1439, 0, 0, Smoke::mf_dtor, 0, 35 },	//1911 QUdpSocket::~QUdpSocket()
    {79, 298, 0, 0, Smoke::mf_ctor, 231, 1},	//1912 QUrlInfo::QUrlInfo()
    {79, 298, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 231, 2},	//1913 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {79, 298, 1427, 13, Smoke::mf_ctor, 231, 3},	//1914 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {79, 298, 1441, 13, Smoke::mf_ctor, 231, 4},	//1915 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {79, 773, 105, 1, 0, 230, 5},	//1916 QUrlInfo::operator=(const QUrlInfo&)
    {79, 1196, 69, 1, Smoke::mf_virtual, 0, 6},	//1917 QUrlInfo::setName(const QString&)
    {79, 1147, 116, 1, Smoke::mf_virtual, 0, 7},	//1918 QUrlInfo::setDir(bool)
    {79, 1158, 116, 1, Smoke::mf_virtual, 0, 8},	//1919 QUrlInfo::setFile(bool)
    {79, 1303, 116, 1, Smoke::mf_virtual, 0, 9},	//1920 QUrlInfo::setSymLink(bool)
    {79, 1211, 69, 1, Smoke::mf_virtual, 0, 10},	//1921 QUrlInfo::setOwner(const QString&)
    {79, 1162, 69, 1, Smoke::mf_virtual, 0, 11},	//1922 QUrlInfo::setGroup(const QString&)
    {79, 1279, 33, 1, Smoke::mf_virtual, 0, 12},	//1923 QUrlInfo::setSize(long long)
    {79, 1323, 116, 1, Smoke::mf_virtual, 0, 13},	//1924 QUrlInfo::setWritable(bool)
    {79, 1264, 116, 1, Smoke::mf_virtual, 0, 14},	//1925 QUrlInfo::setReadable(bool)
    {79, 1231, 44, 1, Smoke::mf_virtual, 0, 15},	//1926 QUrlInfo::setPermissions(int)
    {79, 1176, 1163, 1, Smoke::mf_virtual, 0, 16},	//1927 QUrlInfo::setLastModified(const QDateTime&)
    {79, 1178, 1163, 1, 0, 0, 17},	//1928 QUrlInfo::setLastRead(const QDateTime&)
    {79, 667, 0, 0, Smoke::mf_const, 314, 18},	//1929 QUrlInfo::isValid() const
    {79, 722, 0, 0, Smoke::mf_const, 209, 19},	//1930 QUrlInfo::name() const
    {79, 831, 0, 0, Smoke::mf_const, 398, 20},	//1931 QUrlInfo::permissions() const
    {79, 808, 0, 0, Smoke::mf_const, 209, 21},	//1932 QUrlInfo::owner() const
    {79, 608, 0, 0, Smoke::mf_const, 209, 22},	//1933 QUrlInfo::group() const
    {79, 1325, 0, 0, Smoke::mf_const, 403, 23},	//1934 QUrlInfo::size() const
    {79, 677, 0, 0, Smoke::mf_const, 22, 24},	//1935 QUrlInfo::lastModified() const
    {79, 678, 0, 0, Smoke::mf_const, 22, 25},	//1936 QUrlInfo::lastRead() const
    {79, 646, 0, 0, Smoke::mf_const, 314, 26},	//1937 QUrlInfo::isDir() const
    {79, 649, 0, 0, Smoke::mf_const, 314, 27},	//1938 QUrlInfo::isFile() const
    {79, 665, 0, 0, Smoke::mf_const, 314, 28},	//1939 QUrlInfo::isSymLink() const
    {79, 668, 0, 0, Smoke::mf_const, 314, 29},	//1940 QUrlInfo::isWritable() const
    {79, 659, 0, 0, Smoke::mf_const, 314, 30},	//1941 QUrlInfo::isReadable() const
    {79, 648, 0, 0, Smoke::mf_const, 314, 31},	//1942 QUrlInfo::isExecutable() const
    {79, 606, 1455, 3, Smoke::mf_static, 314, 32},	//1943 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {79, 684, 1455, 3, Smoke::mf_static, 314, 33},	//1944 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {79, 572, 1455, 3, Smoke::mf_static, 314, 34},	//1945 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {79, 776, 105, 1, Smoke::mf_const, 314, 35},	//1946 QUrlInfo::operator==(const QUrlInfo&) const
    {79, 737, 105, 1, Smoke::mf_const, 314, 36},	//1947 QUrlInfo::operator!=(const QUrlInfo&) const
    {79, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 37},	//1948 QUrlInfo::ReadOwner (enum)
    {79, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 38},	//1949 QUrlInfo::WriteOwner (enum)
    {79, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 39},	//1950 QUrlInfo::ExeOwner (enum)
    {79, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 40},	//1951 QUrlInfo::ReadGroup (enum)
    {79, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 41},	//1952 QUrlInfo::WriteGroup (enum)
    {79, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 42},	//1953 QUrlInfo::ExeGroup (enum)
    {79, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 43},	//1954 QUrlInfo::ReadOther (enum)
    {79, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 44},	//1955 QUrlInfo::WriteOther (enum)
    {79, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 45},	//1956 QUrlInfo::ExeOther (enum)
    {79, 1440, 0, 0, Smoke::mf_dtor, 0, 46 },	//1957 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1045,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1046,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    1047,  // QNetworkAccessManager::post(const QNetworkRequest&, QHttpMultiPart*)
    0,
    1048,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1049,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    1050,  // QNetworkAccessManager::put(const QNetworkRequest&, QHttpMultiPart*)
    0,
    1709,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1712,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1710,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1713,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1711,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1714,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1695,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1696,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
    1186,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1208,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    1440,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1441,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    281,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    324,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    333,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    384,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    407,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    424,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    462,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    467,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    504,  // QGlobalSpace::operator!=(QChar, QChar)
    529,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    580,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    595,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    622,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    624,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    658,  // QGlobalSpace::operator!=(QBool, QBool)
    672,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    269,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    288,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    302,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    514,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    621,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    379,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    439,  // QGlobalSpace::operator!=(bool, QBool)
    465,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    511,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    609,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    630,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    536,  // QGlobalSpace::operator*(const QSize&, double)
    598,  // QGlobalSpace::operator*(const QPoint&, int)
    611,  // QGlobalSpace::operator*(const QPoint&, double)
    615,  // QGlobalSpace::operator*(const QSizeF&, double)
    617,  // QGlobalSpace::operator*(const QPoint&, float)
    627,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    278,  // QGlobalSpace::operator*(double, const QSizeF&)
    420,  // QGlobalSpace::operator*(int, const QPoint&)
    455,  // QGlobalSpace::operator*(float, const QPoint&)
    533,  // QGlobalSpace::operator*(double, const QPointF&)
    540,  // QGlobalSpace::operator*(double, const QPoint&)
    618,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    294,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    312,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    316,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    394,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    431,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    336,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    342,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    373,  // QGlobalSpace::operator+(QChar, const QString&)
    471,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    245,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    297,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    332,  // QGlobalSpace::operator+(const QString&, QChar)
    521,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    338,  // QGlobalSpace::operator+(const QString&, const char*)
    383,  // QGlobalSpace::operator+(const QString&, char)
    427,  // QGlobalSpace::operator+(char, const QString&)
    526,  // QGlobalSpace::operator+(const char*, const QString&)
    657,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    397,  // QGlobalSpace::operator-(const QPoint&)
    449,  // QGlobalSpace::operator-(const QPointF&)
    0,
    282,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    298,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    385,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    524,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    293,  // QGlobalSpace::operator/(const QPoint&, double)
    438,  // QGlobalSpace::operator/(const QPointF&, double)
    476,  // QGlobalSpace::operator/(const QSizeF&, double)
    601,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    267,  // QGlobalSpace::operator<(QChar, QChar)
    318,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    388,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    619,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    271,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    468,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    242,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    266,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    270,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    283,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    290,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    296,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    299,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    304,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    305,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    329,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    355,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    356,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    399,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    405,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    435,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    446,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    453,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    459,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    477,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    485,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    489,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    494,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    495,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    497,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    498,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    501,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    502,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    518,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    523,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    525,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    537,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    542,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    563,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    574,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    575,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    576,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    578,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    586,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    587,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    589,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    592,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    620,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    625,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    642,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    648,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    652,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    655,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    670,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    674,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    241,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    286,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    306,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    334,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    406,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    416,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    434,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    466,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    530,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    573,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    633,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    354,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    369,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    484,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    593,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    482,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    517,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    244,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    249,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    261,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    262,  // QGlobalSpace::operator==(QChar, QChar)
    348,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    363,  // QGlobalSpace::operator==(QBool, QBool)
    386,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    396,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    403,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    430,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    440,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    469,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    478,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    535,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    552,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    583,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    604,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    243,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    429,  // QGlobalSpace::operator==(QString::Null, const QString&)
    614,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    616,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    647,  // QGlobalSpace::operator==(QBool, bool)
    0,
    240,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    257,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    364,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    450,  // QGlobalSpace::operator==(bool, QBool)
    493,  // QGlobalSpace::operator==(const QString&, QString::Null)
    508,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    522,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    276,  // QGlobalSpace::operator>(QChar, QChar)
    339,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    351,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    421,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    258,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    323,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    232,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    268,  // QGlobalSpace::operator>=(QChar, QChar)
    475,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    561,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    457,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    666,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    251,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    330,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    362,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    376,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    423,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    441,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    445,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    447,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    474,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    509,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    520,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    528,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    532,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    584,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    597,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    606,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    623,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    641,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    649,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    650,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    669,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    673,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    486,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    599,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    235,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    236,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    246,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    256,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    263,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    272,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    275,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    277,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    280,  // QGlobalSpace::operator|(QDir::Filter, int)
    284,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    285,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    289,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    291,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    292,  // QGlobalSpace::operator|(QFile::Permission, int)
    295,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    303,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    307,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    309,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    310,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    311,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    313,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    317,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    322,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    326,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    327,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    337,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    340,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    344,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    349,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    365,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    371,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    374,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    375,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    381,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    382,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    387,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    389,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    391,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    395,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    398,  // QGlobalSpace::operator|(Qt::DropAction, int)
    400,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    410,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    413,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    417,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    425,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    437,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    443,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    448,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    452,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    458,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    460,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    461,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    464,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    472,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    473,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    491,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    499,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    505,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    519,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    527,  // QGlobalSpace::operator|(Qt::WindowState, int)
    531,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    534,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    538,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    545,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    547,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    548,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    549,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    553,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    558,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    559,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    560,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    564,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    565,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    569,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    570,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    571,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    572,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    579,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    582,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    588,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    594,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    596,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    607,  // QGlobalSpace::operator|(Qt::Orientation, int)
    610,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    612,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    626,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    629,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    634,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    636,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    637,  // QGlobalSpace::operator|(Qt::WindowType, int)
    639,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    643,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    644,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    653,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    656,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    659,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    661,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    665,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    671,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    551,  // QGlobalSpace::qFuzzyCompare(float, float)
    608,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    390,  // QGlobalSpace::qFuzzyIsNull(float)
    566,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    264,  // QGlobalSpace::qHash(const QUrl&)
    265,  // QGlobalSpace::qHash(const QByteArray&)
    345,  // QGlobalSpace::qHash(QChar)
    360,  // QGlobalSpace::qHash(const QModelIndex&)
    367,  // QGlobalSpace::qHash(const QHostAddress&)
    432,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    500,  // QGlobalSpace::qHash(const QBitArray&)
    663,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    233,  // QGlobalSpace::qHash(unsigned long long)
    255,  // QGlobalSpace::qHash(signed char)
    287,  // QGlobalSpace::qHash(char)
    343,  // QGlobalSpace::qHash(unsigned int)
    353,  // QGlobalSpace::qHash(const QString&)
    378,  // QGlobalSpace::qHash(long long)
    393,  // QGlobalSpace::qHash(int)
    419,  // QGlobalSpace::qHash(long)
    422,  // QGlobalSpace::qHash(unsigned short)
    544,  // QGlobalSpace::qHash(short)
    651,  // QGlobalSpace::qHash(unsigned long)
    668,  // QGlobalSpace::qHash(unsigned char)
    0,
    259,  // QGlobalSpace::qIntCast(double)
    347,  // QGlobalSpace::qIntCast(float)
    0,
    300,  // QGlobalSpace::qIsFinite(double)
    331,  // QGlobalSpace::qIsFinite(float)
    0,
    234,  // QGlobalSpace::qIsInf(double)
    253,  // QGlobalSpace::qIsInf(float)
    0,
    368,  // QGlobalSpace::qIsNaN(float)
    372,  // QGlobalSpace::qIsNaN(double)
    0,
    602,  // QGlobalSpace::qIsNull(float)
    664,  // QGlobalSpace::qIsNull(double)
    0,
    810,  // QHttp::QHttp(const QString&, unsigned short)
    811,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    819,  // QHttp::post(const QString&, QIODevice*)
    820,  // QHttp::post(const QString&, const QByteArray&)
    0,
    773,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    774,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    822,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    823,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    776,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    777,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    766,  // QHttp::setHost(const QString&, unsigned short)
    814,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    1576,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1600,  // QSslCertificate::QSslCertificate(QIODevice*)
    1602,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1574,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1575,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    892,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    902,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    198,  // QFtp::put(const QByteArray&, const QString&)
    199,  // QFtp::put(QIODevice*, const QString&)
    0,
    162,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    163,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    699,  // QHostAddress::QHostAddress(const QIPv6Address&)
    700,  // QHostAddress::QHostAddress(const sockaddr*)
    702,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    697,  // QHostAddress::QHostAddress(unsigned int)
    698,  // QHostAddress::QHostAddress(unsigned char*)
    701,  // QHostAddress::QHostAddress(const QString&)
    703,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    708,  // QHostAddress::setAddress(const QIPv6Address&)
    709,  // QHostAddress::setAddress(const sockaddr*)
    0,
    706,  // QHostAddress::setAddress(unsigned int)
    707,  // QHostAddress::setAddress(unsigned char*)
    710,  // QHostAddress::setAddress(const QString&)
    0,
    930,  // QIPv6Address::operator[](int)
    931,  // QIPv6Address::operator[](int) const
    0,
    1330,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1351,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1327,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    1359,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short)
    0,
    1357,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int)
    1360,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&)
    0,
    1333,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1358,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkConfiguration&, const QString&, int, const QString&)
    0,
    1352,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1355,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1329,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1353,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    1726,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1803,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 183, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 184, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 476, 12},	// QAbstractNetworkCache::cacheSize
    {1, 485, 15},	// QAbstractNetworkCache::clear
    {1, 539, 10},	// QAbstractNetworkCache::data#
    {1, 638, 14},	// QAbstractNetworkCache::insert#
    {1, 710, 8},	// QAbstractNetworkCache::metaData#
    {1, 712, 1},	// QAbstractNetworkCache::metaObject
    {1, 842, 13},	// QAbstractNetworkCache::prepare#
    {1, 1024, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 1026, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 1066, 11},	// QAbstractNetworkCache::remove#
    {1, 1339, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1362, 17},	// QAbstractNetworkCache::tr$
    {1, 1363, 3},	// QAbstractNetworkCache::tr$$
    {1, 1364, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1366, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1367, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1368, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1373, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1403, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 28, 122},	// QAbstractSocket::BoundState
    {2, 46, 124},	// QAbstractSocket::ClosingState
    {2, 50, 121},	// QAbstractSocket::ConnectedState
    {2, 52, 120},	// QAbstractSocket::ConnectingState
    {2, 58, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 73, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 99, 119},	// QAbstractSocket::HostLookupState
    {2, 103, 100},	// QAbstractSocket::HostNotFoundError
    {2, 110, 95},	// QAbstractSocket::IPv4Protocol
    {2, 111, 96},	// QAbstractSocket::IPv6Protocol
    {2, 124, 126},	// QAbstractSocket::KeepAliveOption
    {2, 128, 123},	// QAbstractSocket::ListeningState
    {2, 135, 125},	// QAbstractSocket::LowDelayOption
    {2, 140, 128},	// QAbstractSocket::MulticastLoopbackOption
    {2, 141, 127},	// QAbstractSocket::MulticastTtlOption
    {2, 143, 105},	// QAbstractSocket::NetworkError
    {2, 172, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 173, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 174, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 175, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 176, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 177, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 186, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 316, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 336, 101},	// QAbstractSocket::SocketAccessError
    {2, 337, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 338, 102},	// QAbstractSocket::SocketResourceError
    {2, 339, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 343, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 352, 92},	// QAbstractSocket::TcpSocket
    {2, 360, 93},	// QAbstractSocket::UdpSocket
    {2, 369, 118},	// QAbstractSocket::UnconnectedState
    {2, 373, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 378, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 384, 117},	// QAbstractSocket::UnknownSocketError
    {2, 385, 94},	// QAbstractSocket::UnknownSocketType
    {2, 387, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 415, 44},	// QAbstractSocket::abort
    {2, 451, 54},	// QAbstractSocket::atEnd
    {2, 469, 34},	// QAbstractSocket::bytesAvailable
    {2, 471, 35},	// QAbstractSocket::bytesToWrite
    {2, 477, 36},	// QAbstractSocket::canReadLine
    {2, 488, 52},	// QAbstractSocket::close
    {2, 507, 83},	// QAbstractSocket::connectToHost#$
    {2, 508, 31},	// QAbstractSocket::connectToHost#$$
    {2, 510, 82},	// QAbstractSocket::connectToHost$$
    {2, 511, 30},	// QAbstractSocket::connectToHost$$$
    {2, 517, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 518, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 522, 63},	// QAbstractSocket::connected
    {2, 554, 32},	// QAbstractSocket::disconnectFromHost
    {2, 555, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 559, 64},	// QAbstractSocket::disconnected
    {2, 574, 51},	// QAbstractSocket::error
    {2, 575, 66},	// QAbstractSocket::error$
    {2, 587, 55},	// QAbstractSocket::flush
    {2, 626, 62},	// QAbstractSocket::hostFound
    {2, 663, 53},	// QAbstractSocket::isSequential
    {2, 667, 33},	// QAbstractSocket::isValid
    {2, 694, 38},	// QAbstractSocket::localAddress
    {2, 698, 37},	// QAbstractSocket::localPort
    {2, 712, 22},	// QAbstractSocket::metaObject
    {2, 819, 40},	// QAbstractSocket::peerAddress
    {2, 823, 41},	// QAbstractSocket::peerName
    {2, 824, 39},	// QAbstractSocket::peerPort
    {2, 848, 61},	// QAbstractSocket::proxy
    {2, 850, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 1024, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 1026, 23},	// QAbstractSocket::qt_metacast$
    {2, 1051, 42},	// QAbstractSocket::readBufferSize
    {2, 1053, 70},	// QAbstractSocket::readData$$
    {2, 1059, 71},	// QAbstractSocket::readLineData$$
    {2, 1181, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1187, 75},	// QAbstractSocket::setLocalPort$
    {2, 1218, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1222, 79},	// QAbstractSocket::setPeerName$
    {2, 1224, 77},	// QAbstractSocket::setPeerPort$
    {2, 1250, 60},	// QAbstractSocket::setProxy#
    {2, 1263, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1284, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1285, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1286, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1291, 74},	// QAbstractSocket::setSocketError$
    {2, 1293, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1295, 73},	// QAbstractSocket::setSocketState$
    {2, 1326, 45},	// QAbstractSocket::socketDescriptor
    {2, 1328, 48},	// QAbstractSocket::socketOption$
    {2, 1329, 49},	// QAbstractSocket::socketType
    {2, 1336, 50},	// QAbstractSocket::state
    {2, 1338, 65},	// QAbstractSocket::stateChanged$
    {2, 1339, 91},	// QAbstractSocket::staticMetaObject
    {2, 1362, 80},	// QAbstractSocket::tr$
    {2, 1363, 24},	// QAbstractSocket::tr$$
    {2, 1364, 26},	// QAbstractSocket::tr$$$
    {2, 1366, 81},	// QAbstractSocket::trUtf8$
    {2, 1367, 25},	// QAbstractSocket::trUtf8$$
    {2, 1368, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1383, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1384, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1385, 86},	// QAbstractSocket::waitForConnected
    {2, 1386, 56},	// QAbstractSocket::waitForConnected$
    {2, 1387, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1388, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1396, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1397, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1399, 72},	// QAbstractSocket::writeData$$
    {2, 1404, 129},	// QAbstractSocket::~QAbstractSocket
    {3, 187, 130},	// QAuthenticator::QAuthenticator
    {3, 188, 131},	// QAuthenticator::QAuthenticator#
    {3, 551, 144},	// QAuthenticator::detach
    {3, 656, 143},	// QAuthenticator::isNull
    {3, 738, 134},	// QAuthenticator::operator!=#
    {3, 774, 132},	// QAuthenticator::operator=#
    {3, 777, 133},	// QAuthenticator::operator==#
    {3, 805, 140},	// QAuthenticator::option$
    {3, 806, 141},	// QAuthenticator::options
    {3, 817, 137},	// QAuthenticator::password
    {3, 1062, 139},	// QAuthenticator::realm
    {3, 1208, 142},	// QAuthenticator::setOption$#
    {3, 1214, 138},	// QAuthenticator::setPassword$
    {3, 1314, 136},	// QAuthenticator::setUser$
    {3, 1378, 135},	// QAuthenticator::user
    {3, 1405, 145},	// QAuthenticator::~QAuthenticator
    {16, 3, 227},	// QFtp::Active
    {16, 12, 230},	// QFtp::Ascii
    {16, 27, 229},	// QFtp::Binary
    {16, 36, 219},	// QFtp::Cd
    {16, 44, 217},	// QFtp::Close
    {16, 45, 206},	// QFtp::Closing
    {16, 48, 215},	// QFtp::ConnectToHost
    {16, 49, 204},	// QFtp::Connected
    {16, 51, 203},	// QFtp::Connecting
    {16, 57, 210},	// QFtp::ConnectionRefused
    {16, 94, 220},	// QFtp::Get
    {16, 98, 202},	// QFtp::HostLookup
    {16, 102, 209},	// QFtp::HostNotFound
    {16, 126, 218},	// QFtp::List
    {16, 133, 205},	// QFtp::LoggedIn
    {16, 134, 216},	// QFtp::Login
    {16, 139, 223},	// QFtp::Mkdir
    {16, 145, 207},	// QFtp::NoError
    {16, 149, 212},	// QFtp::None
    {16, 153, 211},	// QFtp::NotConnected
    {16, 160, 228},	// QFtp::Passive
    {16, 181, 221},	// QFtp::Put
    {16, 189, 191},	// QFtp::QFtp
    {16, 190, 153},	// QFtp::QFtp#
    {16, 308, 226},	// QFtp::RawCommand
    {16, 317, 222},	// QFtp::Remove
    {16, 318, 225},	// QFtp::Rename
    {16, 320, 224},	// QFtp::Rmdir
    {16, 333, 214},	// QFtp::SetProxy
    {16, 334, 213},	// QFtp::SetTransferMode
    {16, 368, 201},	// QFtp::Unconnected
    {16, 376, 208},	// QFtp::UnknownError
    {16, 415, 180},	// QFtp::abort
    {16, 469, 169},	// QFtp::bytesAvailable
    {16, 480, 160},	// QFtp::cd$
    {16, 486, 176},	// QFtp::clearPendingCommands
    {16, 488, 157},	// QFtp::close
    {16, 492, 187},	// QFtp::commandFinished$$
    {16, 494, 186},	// QFtp::commandStarted$
    {16, 509, 192},	// QFtp::connectToHost$
    {16, 510, 155},	// QFtp::connectToHost$$
    {16, 531, 174},	// QFtp::currentCommand
    {16, 533, 173},	// QFtp::currentDevice
    {16, 534, 172},	// QFtp::currentId
    {16, 545, 184},	// QFtp::dataTransferProgress$$
    {16, 562, 188},	// QFtp::done$
    {16, 574, 178},	// QFtp::error
    {16, 576, 179},	// QFtp::errorString
    {16, 603, 196},	// QFtp::get$
    {16, 604, 197},	// QFtp::get$#
    {16, 605, 161},	// QFtp::get$#$
    {16, 615, 175},	// QFtp::hasPendingCommands
    {16, 686, 195},	// QFtp::list
    {16, 687, 159},	// QFtp::list$
    {16, 689, 182},	// QFtp::listInfo#
    {16, 699, 193},	// QFtp::login
    {16, 700, 194},	// QFtp::login$
    {16, 701, 156},	// QFtp::login$$
    {16, 712, 146},	// QFtp::metaObject
    {16, 717, 165},	// QFtp::mkdir$
    {16, 858, -431},	// QFtp::put#$
    {16, 859, -434},	// QFtp::put#$$
    {16, 1024, 152},	// QFtp::qt_metacall$$?
    {16, 1026, 147},	// QFtp::qt_metacast$
    {16, 1040, 168},	// QFtp::rawCommand$
    {16, 1042, 185},	// QFtp::rawCommandReply$$
    {16, 1049, 170},	// QFtp::read$$
    {16, 1050, 171},	// QFtp::readAll
    {16, 1060, 183},	// QFtp::readyRead
    {16, 1067, 164},	// QFtp::remove$
    {16, 1075, 167},	// QFtp::rename$$
    {16, 1088, 166},	// QFtp::rmdir$
    {16, 1251, 154},	// QFtp::setProxy$$
    {16, 1306, 158},	// QFtp::setTransferMode$
    {16, 1336, 177},	// QFtp::state
    {16, 1338, 181},	// QFtp::stateChanged$
    {16, 1339, 200},	// QFtp::staticMetaObject
    {16, 1362, 189},	// QFtp::tr$
    {16, 1363, 148},	// QFtp::tr$$
    {16, 1364, 150},	// QFtp::tr$$$
    {16, 1366, 190},	// QFtp::trUtf8$
    {16, 1367, 149},	// QFtp::trUtf8$$
    {16, 1368, 151},	// QFtp::trUtf8$$$
    {16, 1406, 231},	// QFtp::~QFtp
    {17, 302, 689},	// QGlobalSpace::QtCriticalMsg
    {17, 303, 687},	// QGlobalSpace::QtDebugMsg
    {17, 304, 690},	// QGlobalSpace::QtFatalMsg
    {17, 305, 691},	// QGlobalSpace::QtSystemMsg
    {17, 306, 688},	// QGlobalSpace::QtWarningMsg
    {17, 399, 686},	// QGlobalSpace::_ISalnum
    {17, 400, 677},	// QGlobalSpace::_ISalpha
    {17, 401, 683},	// QGlobalSpace::_ISblank
    {17, 402, 684},	// QGlobalSpace::_IScntrl
    {17, 403, 678},	// QGlobalSpace::_ISdigit
    {17, 404, 682},	// QGlobalSpace::_ISgraph
    {17, 405, 676},	// QGlobalSpace::_ISlower
    {17, 406, 681},	// QGlobalSpace::_ISprint
    {17, 407, 685},	// QGlobalSpace::_ISpunct
    {17, 408, 680},	// QGlobalSpace::_ISspace
    {17, 409, 675},	// QGlobalSpace::_ISupper
    {17, 410, 679},	// QGlobalSpace::_ISxdigit
    {17, 411, 694},	// QGlobalSpace::__codecvt_error
    {17, 412, 695},	// QGlobalSpace::__codecvt_noconv
    {17, 413, 692},	// QGlobalSpace::__codecvt_ok
    {17, 414, 693},	// QGlobalSpace::__codecvt_partial
    {17, 739, -27},	// QGlobalSpace::operator!=##
    {17, 740, -44},	// QGlobalSpace::operator!=#$
    {17, 742, -50},	// QGlobalSpace::operator!=$#
    {17, 743, 366},	// QGlobalSpace::operator!=$$
    {17, 745, 456},	// QGlobalSpace::operator&##
    {17, 747, -57},	// QGlobalSpace::operator*#$
    {17, 748, -64},	// QGlobalSpace::operator*$#
    {17, 750, -71},	// QGlobalSpace::operator+##
    {17, 751, -77},	// QGlobalSpace::operator+#$
    {17, 752, -82},	// QGlobalSpace::operator+$#
    {17, 753, -87},	// QGlobalSpace::operator+$$
    {17, 755, -93},	// QGlobalSpace::operator-#
    {17, 756, -96},	// QGlobalSpace::operator-##
    {17, 758, -101},	// QGlobalSpace::operator/#$
    {17, 760, -106},	// QGlobalSpace::operator<##
    {17, 761, 496},	// QGlobalSpace::operator<#$
    {17, 762, -111},	// QGlobalSpace::operator<$#
    {17, 763, 308},	// QGlobalSpace::operator<$$
    {17, 765, -114},	// QGlobalSpace::operator<<##
    {17, 766, -165},	// QGlobalSpace::operator<<#$
    {17, 767, 470},	// QGlobalSpace::operator<<#?
    {17, 769, -177},	// QGlobalSpace::operator<=##
    {17, 770, 346},	// QGlobalSpace::operator<=#$
    {17, 771, -182},	// QGlobalSpace::operator<=$#
    {17, 772, 510},	// QGlobalSpace::operator<=$$
    {17, 778, -185},	// QGlobalSpace::operator==##
    {17, 779, -203},	// QGlobalSpace::operator==#$
    {17, 781, -209},	// QGlobalSpace::operator==$#
    {17, 782, 654},	// QGlobalSpace::operator==$$
    {17, 784, -217},	// QGlobalSpace::operator>##
    {17, 785, 667},	// QGlobalSpace::operator>#$
    {17, 786, -222},	// QGlobalSpace::operator>$#
    {17, 787, 433},	// QGlobalSpace::operator>$$
    {17, 789, -225},	// QGlobalSpace::operator>=##
    {17, 790, 252},	// QGlobalSpace::operator>=#$
    {17, 791, -230},	// QGlobalSpace::operator>=$#
    {17, 792, 662},	// QGlobalSpace::operator>=$$
    {17, 794, -233},	// QGlobalSpace::operator>>##
    {17, 795, -257},	// QGlobalSpace::operator>>#$
    {17, 796, 414},	// QGlobalSpace::operator>>#?
    {17, 800, 350},	// QGlobalSpace::operator^##
    {17, 802, 585},	// QGlobalSpace::operator|##
    {17, 803, -260},	// QGlobalSpace::operator|$$
    {17, 861, 557},	// QGlobalSpace::qAcos$
    {17, 863, 479},	// QGlobalSpace::qAddPostRoutine$
    {17, 864, 487},	// QGlobalSpace::qAppName
    {17, 866, 577},	// QGlobalSpace::qAsin$
    {17, 868, 605},	// QGlobalSpace::qAtan$
    {17, 870, 250},	// QGlobalSpace::qAtan2$$
    {17, 871, 562},	// QGlobalSpace::qBadAlloc
    {17, 873, 503},	// QGlobalSpace::qCeil$
    {17, 875, 409},	// QGlobalSpace::qChecksum$$
    {17, 877, 568},	// QGlobalSpace::qCompress#
    {17, 878, 567},	// QGlobalSpace::qCompress#$
    {17, 879, 481},	// QGlobalSpace::qCompress$$
    {17, 880, 480},	// QGlobalSpace::qCompress$$$
    {17, 882, 274},	// QGlobalSpace::qCos$
    {17, 883, 463},	// QGlobalSpace::qCritical
    {17, 884, 512},	// QGlobalSpace::qDebug
    {17, 886, 401},	// QGlobalSpace::qExp$
    {17, 888, 546},	// QGlobalSpace::qFabs$
    {17, 890, 361},	// QGlobalSpace::qFastCos$
    {17, 892, 483},	// QGlobalSpace::qFastSin$
    {17, 894, 370},	// QGlobalSpace::qFlagLocation$
    {17, 896, 328},	// QGlobalSpace::qFloor$
    {17, 898, 490},	// QGlobalSpace::qFree$
    {17, 900, 492},	// QGlobalSpace::qFreeAligned$
    {17, 902, -360},	// QGlobalSpace::qFuzzyCompare$$
    {17, 904, -363},	// QGlobalSpace::qFuzzyIsNull$
    {17, 906, -366},	// QGlobalSpace::qHash#
    {17, 907, -375},	// QGlobalSpace::qHash$
    {17, 908, 632},	// QGlobalSpace::qInf
    {17, 910, 358},	// QGlobalSpace::qInstallMsgHandler$
    {17, 912, -388},	// QGlobalSpace::qIntCast$
    {17, 914, -391},	// QGlobalSpace::qIsFinite$
    {17, 916, -394},	// QGlobalSpace::qIsInf$
    {17, 918, -397},	// QGlobalSpace::qIsNaN$
    {17, 920, -400},	// QGlobalSpace::qIsNull$
    {17, 922, 404},	// QGlobalSpace::qLn$
    {17, 924, 411},	// QGlobalSpace::qMalloc$
    {17, 926, 513},	// QGlobalSpace::qMallocAligned$$
    {17, 928, 238},	// QGlobalSpace::qMemCopy$$$
    {17, 930, 541},	// QGlobalSpace::qMemSet$$$
    {17, 932, 516},	// QGlobalSpace::qPow$$
    {17, 933, 412},	// QGlobalSpace::qQNaN
    {17, 935, 352},	// QGlobalSpace::qRealloc$$
    {17, 937, 341},	// QGlobalSpace::qReallocAligned$$$$
    {17, 939, 408},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 941, 640},	// QGlobalSpace::qRemovePostRoutine$
    {17, 943, 631},	// QGlobalSpace::qRound$
    {17, 945, 357},	// QGlobalSpace::qRound64$
    {17, 946, 613},	// QGlobalSpace::qSNaN
    {17, 948, 325},	// QGlobalSpace::qSetFieldWidth$
    {17, 950, 260},	// QGlobalSpace::qSetPadChar#
    {17, 952, 402},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 953, 279},	// QGlobalSpace::qSharedBuild
    {17, 955, 581},	// QGlobalSpace::qSin$
    {17, 957, 359},	// QGlobalSpace::qSqrt$
    {17, 959, 506},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 960, 247},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 962, 321},	// QGlobalSpace::qTan$
    {17, 964, 444},	// QGlobalSpace::qUncompress#
    {17, 965, 319},	// QGlobalSpace::qUncompress$$
    {17, 966, 488},	// QGlobalSpace::qVersion
    {17, 967, 645},	// QGlobalSpace::qWarning
    {17, 969, 335},	// QGlobalSpace::qbswap_helper$$$
    {17, 971, 301},	// QGlobalSpace::qecvt$$$$
    {17, 973, 515},	// QGlobalSpace::qecvt_r$$$$$$
    {17, 975, 380},	// QGlobalSpace::qfcvt$$$$
    {17, 977, 554},	// QGlobalSpace::qfcvt_r$$$$$$
    {17, 979, 555},	// QGlobalSpace::qgcvt$$$
    {17, 981, 254},	// QGlobalSpace::qgetenv$
    {17, 983, 415},	// QGlobalSpace::qputenv$#
    {17, 984, 451},	// QGlobalSpace::qrand
    {17, 986, 556},	// QGlobalSpace::qsort$$$$
    {17, 988, 418},	// QGlobalSpace::qsrand$
    {17, 990, 550},	// QGlobalSpace::qstrcmp##
    {17, 991, 638},	// QGlobalSpace::qstrcmp#$
    {17, 992, 248},	// QGlobalSpace::qstrcmp$#
    {17, 993, 273},	// QGlobalSpace::qstrcmp$$
    {17, 995, 392},	// QGlobalSpace::qstrcpy$$
    {17, 997, 507},	// QGlobalSpace::qstrdup$
    {17, 999, 628},	// QGlobalSpace::qstricmp$$
    {17, 1001, 646},	// QGlobalSpace::qstrlen$
    {17, 1003, 320},	// QGlobalSpace::qstrncmp$$$
    {17, 1005, 442},	// QGlobalSpace::qstrncpy$$$
    {17, 1007, 426},	// QGlobalSpace::qstrnicmp$$$
    {17, 1009, 237},	// QGlobalSpace::qstrnlen$$
    {17, 1011, 591},	// QGlobalSpace::qtTrId$
    {17, 1012, 590},	// QGlobalSpace::qtTrId$$
    {17, 1014, 377},	// QGlobalSpace::qt_assert$$$
    {17, 1016, 454},	// QGlobalSpace::qt_assert_x$$$$
    {17, 1018, 543},	// QGlobalSpace::qt_check_pointer$$
    {17, 1019, 315},	// QGlobalSpace::qt_error_string
    {17, 1020, 314},	// QGlobalSpace::qt_error_string$
    {17, 1022, 660},	// QGlobalSpace::qt_message_output$$
    {17, 1027, 239},	// QGlobalSpace::qt_noop
    {17, 1029, 436},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 1031, 603},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 1036, 600},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 1038, 539},	// QGlobalSpace::qvsnprintf$$$?
    {19, 7, 730},	// QHostAddress::Any
    {19, 8, 731},	// QHostAddress::AnyIPv6
    {19, 29, 727},	// QHostAddress::Broadcast
    {19, 129, 728},	// QHostAddress::LocalHost
    {19, 130, 729},	// QHostAddress::LocalHostIPv6
    {19, 155, 726},	// QHostAddress::Null
    {19, 191, 696},	// QHostAddress::QHostAddress
    {19, 192, -437},	// QHostAddress::QHostAddress#
    {19, 193, -441},	// QHostAddress::QHostAddress$
    {19, 485, 722},	// QHostAddress::clear
    {19, 653, 723},	// QHostAddress::isInSubnet#$
    {19, 654, 724},	// QHostAddress::isInSubnet?
    {19, 656, 721},	// QHostAddress::isNull
    {19, 738, 719},	// QHostAddress::operator!=#
    {19, 741, 720},	// QHostAddress::operator!=$
    {19, 774, 704},	// QHostAddress::operator=#
    {19, 775, 705},	// QHostAddress::operator=$
    {19, 777, 717},	// QHostAddress::operator==#
    {19, 780, 718},	// QHostAddress::operator==$
    {19, 816, 725},	// QHostAddress::parseSubnet$
    {19, 845, 711},	// QHostAddress::protocol
    {19, 1090, 715},	// QHostAddress::scopeId
    {19, 1104, -446},	// QHostAddress::setAddress#
    {19, 1105, -449},	// QHostAddress::setAddress$
    {19, 1274, 716},	// QHostAddress::setScopeId$
    {19, 1354, 712},	// QHostAddress::toIPv4Address
    {19, 1355, 713},	// QHostAddress::toIPv6Address
    {19, 1360, 714},	// QHostAddress::toString
    {19, 1407, 732},	// QHostAddress::~QHostAddress
    {20, 102, 753},	// QHostInfo::HostNotFound
    {20, 145, 752},	// QHostInfo::NoError
    {20, 194, 751},	// QHostInfo::QHostInfo
    {20, 195, 734},	// QHostInfo::QHostInfo#
    {20, 196, 733},	// QHostInfo::QHostInfo$
    {20, 376, 754},	// QHostInfo::UnknownError
    {20, 417, 747},	// QHostInfo::abortHostLookup$
    {20, 440, 738},	// QHostInfo::addresses
    {20, 574, 740},	// QHostInfo::error
    {20, 576, 742},	// QHostInfo::errorString
    {20, 595, 748},	// QHostInfo::fromName$
    {20, 627, 736},	// QHostInfo::hostName
    {20, 696, 750},	// QHostInfo::localDomainName
    {20, 697, 749},	// QHostInfo::localHostName
    {20, 703, 746},	// QHostInfo::lookupHost$#$
    {20, 704, 745},	// QHostInfo::lookupId
    {20, 774, 735},	// QHostInfo::operator=#
    {20, 1107, 739},	// QHostInfo::setAddresses?
    {20, 1152, 741},	// QHostInfo::setError$
    {20, 1155, 743},	// QHostInfo::setErrorString$
    {20, 1171, 737},	// QHostInfo::setHostName$
    {20, 1189, 744},	// QHostInfo::setLookupId$
    {20, 1408, 755},	// QHostInfo::~QHostInfo
    {21, 1, 841},	// QHttp::Aborted
    {21, 13, 842},	// QHttp::AuthenticationRequiredError
    {21, 45, 833},	// QHttp::Closing
    {21, 49, 832},	// QHttp::Connected
    {21, 51, 829},	// QHttp::Connecting
    {21, 55, 825},	// QHttp::ConnectionModeHttp
    {21, 56, 826},	// QHttp::ConnectionModeHttps
    {21, 57, 837},	// QHttp::ConnectionRefused
    {21, 98, 828},	// QHttp::HostLookup
    {21, 102, 836},	// QHttp::HostNotFound
    {21, 119, 839},	// QHttp::InvalidResponseHeader
    {21, 145, 834},	// QHttp::NoError
    {21, 172, 843},	// QHttp::ProxyAuthenticationRequiredError
    {21, 197, 808},	// QHttp::QHttp
    {21, 198, 763},	// QHttp::QHttp#
    {21, 199, 809},	// QHttp::QHttp$
    {21, 200, -403},	// QHttp::QHttp$$
    {21, 201, 764},	// QHttp::QHttp$$#
    {21, 202, 812},	// QHttp::QHttp$$$
    {21, 203, 765},	// QHttp::QHttp$$$#
    {21, 314, 831},	// QHttp::Reading
    {21, 327, 830},	// QHttp::Sending
    {21, 368, 827},	// QHttp::Unconnected
    {21, 372, 838},	// QHttp::UnexpectedClose
    {21, 376, 835},	// QHttp::UnknownError
    {21, 398, 840},	// QHttp::WrongContentLength
    {21, 415, 793},	// QHttp::abort
    {21, 459, 804},	// QHttp::authenticationRequired$$#
    {21, 469, 780},	// QHttp::bytesAvailable
    {21, 487, 789},	// QHttp::clearPendingRequests
    {21, 488, 779},	// QHttp::close
    {21, 489, 778},	// QHttp::closeConnection
    {21, 532, 785},	// QHttp::currentDestinationDevice
    {21, 534, 783},	// QHttp::currentId
    {21, 535, 786},	// QHttp::currentRequest
    {21, 536, 784},	// QHttp::currentSourceDevice
    {21, 541, 799},	// QHttp::dataReadProgress$$
    {21, 543, 798},	// QHttp::dataSendProgress$$
    {21, 562, 802},	// QHttp::done$
    {21, 574, 791},	// QHttp::error
    {21, 576, 792},	// QHttp::errorString
    {21, 603, 818},	// QHttp::get$
    {21, 604, 772},	// QHttp::get$#
    {21, 618, 788},	// QHttp::hasPendingRequests
    {21, 623, 775},	// QHttp::head$
    {21, 631, 794},	// QHttp::ignoreSslErrors
    {21, 679, 787},	// QHttp::lastResponse
    {21, 712, 756},	// QHttp::metaObject
    {21, 836, -406},	// QHttp::post$#
    {21, 837, -409},	// QHttp::post$##
    {21, 850, 803},	// QHttp::proxyAuthenticationRequired##
    {21, 1024, 762},	// QHttp::qt_metacall$$?
    {21, 1026, 757},	// QHttp::qt_metacast$
    {21, 1049, 781},	// QHttp::read$$
    {21, 1050, 782},	// QHttp::readAll
    {21, 1061, 797},	// QHttp::readyRead#
    {21, 1077, 821},	// QHttp::request#
    {21, 1078, -412},	// QHttp::request##
    {21, 1079, -415},	// QHttp::request###
    {21, 1081, 801},	// QHttp::requestFinished$$
    {21, 1083, 800},	// QHttp::requestStarted$
    {21, 1086, 796},	// QHttp::responseHeaderReceived#
    {21, 1167, 813},	// QHttp::setHost$
    {21, 1168, -418},	// QHttp::setHost$$
    {21, 1169, 767},	// QHttp::setHost$$$
    {21, 1250, 771},	// QHttp::setProxy#
    {21, 1251, 816},	// QHttp::setProxy$$
    {21, 1252, 817},	// QHttp::setProxy$$$
    {21, 1253, 770},	// QHttp::setProxy$$$$
    {21, 1282, 768},	// QHttp::setSocket#
    {21, 1314, 815},	// QHttp::setUser$
    {21, 1315, 769},	// QHttp::setUser$$
    {21, 1333, 805},	// QHttp::sslErrors?
    {21, 1336, 790},	// QHttp::state
    {21, 1338, 795},	// QHttp::stateChanged$
    {21, 1339, 824},	// QHttp::staticMetaObject
    {21, 1362, 806},	// QHttp::tr$
    {21, 1363, 758},	// QHttp::tr$$
    {21, 1364, 760},	// QHttp::tr$$$
    {21, 1366, 807},	// QHttp::trUtf8$
    {21, 1367, 759},	// QHttp::trUtf8$$
    {21, 1368, 761},	// QHttp::trUtf8$$$
    {21, 1409, 844},	// QHttp::~QHttp
    {22, 204, 845},	// QHttpHeader::QHttpHeader
    {22, 205, 846},	// QHttpHeader::QHttpHeader#
    {22, 206, 847},	// QHttpHeader::QHttpHeader$
    {22, 438, 851},	// QHttpHeader::addValue$$
    {22, 448, 856},	// QHttpHeader::allValues$
    {22, 523, 860},	// QHttpHeader::contentLength
    {22, 524, 863},	// QHttpHeader::contentType
    {22, 611, 859},	// QHttpHeader::hasContentLength
    {22, 612, 862},	// QHttpHeader::hasContentType
    {22, 614, 853},	// QHttpHeader::hasKey$
    {22, 667, 866},	// QHttpHeader::isValid
    {22, 676, 854},	// QHttpHeader::keys
    {22, 705, 867},	// QHttpHeader::majorVersion
    {22, 715, 868},	// QHttpHeader::minorVersion
    {22, 774, 848},	// QHttpHeader::operator=#
    {22, 810, 870},	// QHttpHeader::parse$
    {22, 814, 869},	// QHttpHeader::parseLine$$
    {22, 1069, 858},	// QHttpHeader::removeAllValues$
    {22, 1073, 857},	// QHttpHeader::removeValue$
    {22, 1134, 861},	// QHttpHeader::setContentLength$
    {22, 1136, 864},	// QHttpHeader::setContentType$
    {22, 1317, 871},	// QHttpHeader::setValid$
    {22, 1320, 849},	// QHttpHeader::setValue$$
    {22, 1322, 850},	// QHttpHeader::setValues?
    {22, 1360, 865},	// QHttpHeader::toString
    {22, 1380, 855},	// QHttpHeader::value$
    {22, 1381, 852},	// QHttpHeader::values
    {22, 1410, 872},	// QHttpHeader::~QHttpHeader
    {24, 207, 873},	// QHttpRequestHeader::QHttpRequestHeader
    {24, 208, 875},	// QHttpRequestHeader::QHttpRequestHeader#
    {24, 209, 876},	// QHttpRequestHeader::QHttpRequestHeader$
    {24, 210, 885},	// QHttpRequestHeader::QHttpRequestHeader$$
    {24, 211, 886},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {24, 212, 874},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {24, 705, 881},	// QHttpRequestHeader::majorVersion
    {24, 713, 879},	// QHttpRequestHeader::method
    {24, 715, 882},	// QHttpRequestHeader::minorVersion
    {24, 774, 877},	// QHttpRequestHeader::operator=#
    {24, 814, 884},	// QHttpRequestHeader::parseLine$$
    {24, 818, 880},	// QHttpRequestHeader::path
    {24, 1268, 887},	// QHttpRequestHeader::setRequest$$
    {24, 1269, 888},	// QHttpRequestHeader::setRequest$$$
    {24, 1270, 878},	// QHttpRequestHeader::setRequest$$$$
    {24, 1360, 883},	// QHttpRequestHeader::toString
    {24, 1411, 889},	// QHttpRequestHeader::~QHttpRequestHeader
    {25, 213, 890},	// QHttpResponseHeader::QHttpResponseHeader
    {25, 214, 891},	// QHttpResponseHeader::QHttpResponseHeader#
    {25, 215, -428},	// QHttpResponseHeader::QHttpResponseHeader$
    {25, 216, 903},	// QHttpResponseHeader::QHttpResponseHeader$$
    {25, 217, 904},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {25, 218, 893},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {25, 705, 898},	// QHttpResponseHeader::majorVersion
    {25, 715, 899},	// QHttpResponseHeader::minorVersion
    {25, 774, 894},	// QHttpResponseHeader::operator=#
    {25, 814, 901},	// QHttpResponseHeader::parseLine$$
    {25, 1063, 897},	// QHttpResponseHeader::reasonPhrase
    {25, 1299, 905},	// QHttpResponseHeader::setStatusLine$
    {25, 1300, 906},	// QHttpResponseHeader::setStatusLine$$
    {25, 1301, 907},	// QHttpResponseHeader::setStatusLine$$$
    {25, 1302, 895},	// QHttpResponseHeader::setStatusLine$$$$
    {25, 1340, 896},	// QHttpResponseHeader::statusCode
    {25, 1360, 900},	// QHttpResponseHeader::toString
    {25, 1412, 908},	// QHttpResponseHeader::~QHttpResponseHeader
    {27, 219, 932},	// QIPv6Address::QIPv6Address
    {27, 220, 933},	// QIPv6Address::QIPv6Address#
    {27, 798, -453},	// QIPv6Address::operator[]$
    {27, 1413, 934},	// QIPv6Address::~QIPv6Address
    {32, 221, 960},	// QLocalServer::QLocalServer
    {32, 222, 943},	// QLocalServer::QLocalServer#
    {32, 488, 944},	// QLocalServer::close
    {32, 576, 945},	// QLocalServer::errorString
    {32, 600, 952},	// QLocalServer::fullServerName
    {32, 616, 946},	// QLocalServer::hasPendingConnections
    {32, 635, 957},	// QLocalServer::incomingConnection?
    {32, 655, 947},	// QLocalServer::isListening
    {32, 693, 948},	// QLocalServer::listen$
    {32, 707, 949},	// QLocalServer::maxPendingConnections
    {32, 712, 935},	// QLocalServer::metaObject
    {32, 730, 942},	// QLocalServer::newConnection
    {32, 731, 950},	// QLocalServer::nextPendingConnection
    {32, 1024, 941},	// QLocalServer::qt_metacall$$?
    {32, 1026, 936},	// QLocalServer::qt_metacast$
    {32, 1071, 953},	// QLocalServer::removeServer$
    {32, 1097, 954},	// QLocalServer::serverError
    {32, 1098, 951},	// QLocalServer::serverName
    {32, 1191, 955},	// QLocalServer::setMaxPendingConnections$
    {32, 1339, 963},	// QLocalServer::staticMetaObject
    {32, 1362, 958},	// QLocalServer::tr$
    {32, 1363, 937},	// QLocalServer::tr$$
    {32, 1364, 939},	// QLocalServer::tr$$$
    {32, 1366, 959},	// QLocalServer::trUtf8$
    {32, 1367, 938},	// QLocalServer::trUtf8$$
    {32, 1368, 940},	// QLocalServer::trUtf8$$$
    {32, 1391, 961},	// QLocalServer::waitForNewConnection
    {32, 1392, 962},	// QLocalServer::waitForNewConnection$
    {32, 1393, 956},	// QLocalServer::waitForNewConnection$$
    {32, 1414, 964},	// QLocalServer::~QLocalServer
    {33, 46, 1025},	// QLocalSocket::ClosingState
    {33, 50, 1024},	// QLocalSocket::ConnectedState
    {33, 52, 1023},	// QLocalSocket::ConnectingState
    {33, 54, 1019},	// QLocalSocket::ConnectionError
    {33, 58, 1012},	// QLocalSocket::ConnectionRefusedError
    {33, 73, 1018},	// QLocalSocket::DatagramTooLargeError
    {33, 162, 1013},	// QLocalSocket::PeerClosedError
    {33, 223, 1003},	// QLocalSocket::QLocalSocket
    {33, 224, 972},	// QLocalSocket::QLocalSocket#
    {33, 328, 1014},	// QLocalSocket::ServerNotFoundError
    {33, 336, 1015},	// QLocalSocket::SocketAccessError
    {33, 338, 1016},	// QLocalSocket::SocketResourceError
    {33, 339, 1017},	// QLocalSocket::SocketTimeoutError
    {33, 369, 1022},	// QLocalSocket::UnconnectedState
    {33, 384, 1021},	// QLocalSocket::UnknownSocketError
    {33, 387, 1020},	// QLocalSocket::UnsupportedSocketOperationError
    {33, 415, 977},	// QLocalSocket::abort
    {33, 469, 979},	// QLocalSocket::bytesAvailable
    {33, 471, 980},	// QLocalSocket::bytesToWrite
    {33, 477, 981},	// QLocalSocket::canReadLine
    {33, 488, 982},	// QLocalSocket::close
    {33, 520, 1004},	// QLocalSocket::connectToServer$
    {33, 521, 973},	// QLocalSocket::connectToServer$$
    {33, 522, 995},	// QLocalSocket::connected
    {33, 556, 974},	// QLocalSocket::disconnectFromServer
    {33, 559, 996},	// QLocalSocket::disconnected
    {33, 574, 983},	// QLocalSocket::error
    {33, 575, 997},	// QLocalSocket::error$
    {33, 587, 984},	// QLocalSocket::flush
    {33, 600, 976},	// QLocalSocket::fullServerName
    {33, 663, 978},	// QLocalSocket::isSequential
    {33, 667, 985},	// QLocalSocket::isValid
    {33, 712, 965},	// QLocalSocket::metaObject
    {33, 1024, 971},	// QLocalSocket::qt_metacall$$?
    {33, 1026, 966},	// QLocalSocket::qt_metacast$
    {33, 1051, 986},	// QLocalSocket::readBufferSize
    {33, 1053, 999},	// QLocalSocket::readData$$
    {33, 1098, 975},	// QLocalSocket::serverName
    {33, 1263, 987},	// QLocalSocket::setReadBufferSize$
    {33, 1287, 1005},	// QLocalSocket::setSocketDescriptor?
    {33, 1288, 1006},	// QLocalSocket::setSocketDescriptor?$
    {33, 1289, 988},	// QLocalSocket::setSocketDescriptor?$$
    {33, 1326, 989},	// QLocalSocket::socketDescriptor
    {33, 1336, 990},	// QLocalSocket::state
    {33, 1338, 998},	// QLocalSocket::stateChanged$
    {33, 1339, 1011},	// QLocalSocket::staticMetaObject
    {33, 1362, 1001},	// QLocalSocket::tr$
    {33, 1363, 967},	// QLocalSocket::tr$$
    {33, 1364, 969},	// QLocalSocket::tr$$$
    {33, 1366, 1002},	// QLocalSocket::trUtf8$
    {33, 1367, 968},	// QLocalSocket::trUtf8$$
    {33, 1368, 970},	// QLocalSocket::trUtf8$$$
    {33, 1383, 1007},	// QLocalSocket::waitForBytesWritten
    {33, 1384, 991},	// QLocalSocket::waitForBytesWritten$
    {33, 1385, 1008},	// QLocalSocket::waitForConnected
    {33, 1386, 992},	// QLocalSocket::waitForConnected$
    {33, 1387, 1009},	// QLocalSocket::waitForDisconnected
    {33, 1388, 993},	// QLocalSocket::waitForDisconnected$
    {33, 1396, 1010},	// QLocalSocket::waitForReadyRead
    {33, 1397, 994},	// QLocalSocket::waitForReadyRead$
    {33, 1399, 1000},	// QLocalSocket::writeData$$
    {33, 1415, 1026},	// QLocalSocket::~QLocalSocket
    {38, 2, 1080},	// QNetworkAccessManager::Accessible
    {38, 70, 1076},	// QNetworkAccessManager::CustomOperation
    {38, 77, 1075},	// QNetworkAccessManager::DeleteOperation
    {38, 95, 1072},	// QNetworkAccessManager::GetOperation
    {38, 96, 1071},	// QNetworkAccessManager::HeadOperation
    {38, 151, 1079},	// QNetworkAccessManager::NotAccessible
    {38, 164, 1074},	// QNetworkAccessManager::PostOperation
    {38, 182, 1073},	// QNetworkAccessManager::PutOperation
    {38, 225, 1067},	// QNetworkAccessManager::QNetworkAccessManager
    {38, 226, 1034},	// QNetworkAccessManager::QNetworkAccessManager#
    {38, 374, 1078},	// QNetworkAccessManager::UnknownAccessibility
    {38, 379, 1077},	// QNetworkAccessManager::UnknownOperation
    {38, 419, 1055},	// QNetworkAccessManager::activeConfiguration
    {38, 458, 1059},	// QNetworkAccessManager::authenticationRequired##
    {38, 474, 1039},	// QNetworkAccessManager::cache
    {38, 495, 1054},	// QNetworkAccessManager::configuration
    {38, 525, 1041},	// QNetworkAccessManager::cookieJar
    {38, 529, 1069},	// QNetworkAccessManager::createRequest$#
    {38, 530, 1064},	// QNetworkAccessManager::createRequest$##
    {38, 550, 1051},	// QNetworkAccessManager::deleteResource#
    {38, 585, 1060},	// QNetworkAccessManager::finished#
    {38, 602, 1044},	// QNetworkAccessManager::get#
    {38, 622, 1043},	// QNetworkAccessManager::head#
    {38, 712, 1027},	// QNetworkAccessManager::metaObject
    {38, 724, 1057},	// QNetworkAccessManager::networkAccessible
    {38, 726, 1063},	// QNetworkAccessManager::networkAccessibleChanged$
    {38, 728, 1062},	// QNetworkAccessManager::networkSessionConnected
    {38, 835, -1},	// QNetworkAccessManager::post##
    {38, 848, 1035},	// QNetworkAccessManager::proxy
    {38, 850, 1058},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {38, 851, 1037},	// QNetworkAccessManager::proxyFactory
    {38, 857, -5},	// QNetworkAccessManager::put##
    {38, 1024, 1033},	// QNetworkAccessManager::qt_metacall$$?
    {38, 1026, 1028},	// QNetworkAccessManager::qt_metacast$
    {38, 1093, 1068},	// QNetworkAccessManager::sendCustomRequest##
    {38, 1094, 1052},	// QNetworkAccessManager::sendCustomRequest###
    {38, 1123, 1040},	// QNetworkAccessManager::setCache#
    {38, 1132, 1053},	// QNetworkAccessManager::setConfiguration#
    {38, 1138, 1042},	// QNetworkAccessManager::setCookieJar#
    {38, 1202, 1056},	// QNetworkAccessManager::setNetworkAccessible$
    {38, 1250, 1036},	// QNetworkAccessManager::setProxy#
    {38, 1255, 1038},	// QNetworkAccessManager::setProxyFactory#
    {38, 1332, 1061},	// QNetworkAccessManager::sslErrors#?
    {38, 1339, 1070},	// QNetworkAccessManager::staticMetaObject
    {38, 1362, 1065},	// QNetworkAccessManager::tr$
    {38, 1363, 1029},	// QNetworkAccessManager::tr$$
    {38, 1364, 1031},	// QNetworkAccessManager::tr$$$
    {38, 1366, 1066},	// QNetworkAccessManager::trUtf8$
    {38, 1367, 1030},	// QNetworkAccessManager::trUtf8$$
    {38, 1368, 1032},	// QNetworkAccessManager::trUtf8$$$
    {38, 1416, 1081},	// QNetworkAccessManager::~QNetworkAccessManager
    {39, 227, 1082},	// QNetworkAddressEntry::QNetworkAddressEntry
    {39, 228, 1083},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {39, 468, 1093},	// QNetworkAddressEntry::broadcast
    {39, 644, 1087},	// QNetworkAddressEntry::ip
    {39, 723, 1089},	// QNetworkAddressEntry::netmask
    {39, 738, 1086},	// QNetworkAddressEntry::operator!=#
    {39, 774, 1084},	// QNetworkAddressEntry::operator=#
    {39, 777, 1085},	// QNetworkAddressEntry::operator==#
    {39, 840, 1091},	// QNetworkAddressEntry::prefixLength
    {39, 1119, 1094},	// QNetworkAddressEntry::setBroadcast#
    {39, 1175, 1088},	// QNetworkAddressEntry::setIp#
    {39, 1200, 1090},	// QNetworkAddressEntry::setNetmask#
    {39, 1236, 1092},	// QNetworkAddressEntry::setPrefixLength$
    {39, 1417, 1095},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {40, 229, 1096},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {40, 230, 1097},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {40, 455, 1112},	// QNetworkCacheMetaData::attributes
    {40, 579, 1108},	// QNetworkCacheMetaData::expirationDate
    {40, 667, 1101},	// QNetworkCacheMetaData::isValid
    {40, 677, 1106},	// QNetworkCacheMetaData::lastModified
    {40, 738, 1100},	// QNetworkCacheMetaData::operator!=#
    {40, 774, 1098},	// QNetworkCacheMetaData::operator=#
    {40, 777, 1099},	// QNetworkCacheMetaData::operator==#
    {40, 1047, 1104},	// QNetworkCacheMetaData::rawHeaders
    {40, 1089, 1110},	// QNetworkCacheMetaData::saveToDisk
    {40, 1117, 1113},	// QNetworkCacheMetaData::setAttributes?
    {40, 1157, 1109},	// QNetworkCacheMetaData::setExpirationDate#
    {40, 1177, 1107},	// QNetworkCacheMetaData::setLastModified#
    {40, 1261, 1105},	// QNetworkCacheMetaData::setRawHeaders?
    {40, 1272, 1111},	// QNetworkCacheMetaData::setSaveToDisk$
    {40, 1310, 1103},	// QNetworkCacheMetaData::setUrl#
    {40, 1376, 1102},	// QNetworkCacheMetaData::url
    {40, 1418, 1114},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {41, 3, 1142},	// QNetworkConfiguration::Active
    {41, 18, 1146},	// QNetworkConfiguration::Bearer2G
    {41, 19, 1150},	// QNetworkConfiguration::BearerBluetooth
    {41, 20, 1147},	// QNetworkConfiguration::BearerCDMA2000
    {41, 21, 1144},	// QNetworkConfiguration::BearerEthernet
    {41, 22, 1149},	// QNetworkConfiguration::BearerHSPA
    {41, 23, 1143},	// QNetworkConfiguration::BearerUnknown
    {41, 24, 1148},	// QNetworkConfiguration::BearerWCDMA
    {41, 25, 1145},	// QNetworkConfiguration::BearerWLAN
    {41, 26, 1151},	// QNetworkConfiguration::BearerWiMAX
    {41, 76, 1140},	// QNetworkConfiguration::Defined
    {41, 81, 1141},	// QNetworkConfiguration::Discovered
    {41, 112, 1131},	// QNetworkConfiguration::InternetAccessPoint
    {41, 113, 1134},	// QNetworkConfiguration::Invalid
    {41, 168, 1137},	// QNetworkConfiguration::PrivatePurpose
    {41, 180, 1136},	// QNetworkConfiguration::PublicPurpose
    {41, 231, 1115},	// QNetworkConfiguration::QNetworkConfiguration
    {41, 232, 1116},	// QNetworkConfiguration::QNetworkConfiguration#
    {41, 329, 1132},	// QNetworkConfiguration::ServiceNetwork
    {41, 330, 1138},	// QNetworkConfiguration::ServiceSpecificPurpose
    {41, 370, 1139},	// QNetworkConfiguration::Undefined
    {41, 382, 1135},	// QNetworkConfiguration::UnknownPurpose
    {41, 390, 1133},	// QNetworkConfiguration::UserChoice
    {41, 460, 1123},	// QNetworkConfiguration::bearerName
    {41, 461, 1124},	// QNetworkConfiguration::bearerType
    {41, 462, 1125},	// QNetworkConfiguration::bearerTypeName
    {41, 483, 1128},	// QNetworkConfiguration::children
    {41, 629, 1126},	// QNetworkConfiguration::identifier
    {41, 660, 1127},	// QNetworkConfiguration::isRoamingAvailable
    {41, 667, 1130},	// QNetworkConfiguration::isValid
    {41, 722, 1129},	// QNetworkConfiguration::name
    {41, 738, 1119},	// QNetworkConfiguration::operator!=#
    {41, 774, 1117},	// QNetworkConfiguration::operator=#
    {41, 777, 1118},	// QNetworkConfiguration::operator==#
    {41, 855, 1122},	// QNetworkConfiguration::purpose
    {41, 1336, 1120},	// QNetworkConfiguration::state
    {41, 1369, 1121},	// QNetworkConfiguration::type
    {41, 1419, 1152},	// QNetworkConfiguration::~QNetworkConfiguration
    {42, 11, 1180},	// QNetworkConfigurationManager::ApplicationLevelRoaming
    {42, 35, 1177},	// QNetworkConfigurationManager::CanStartAndStopInterfaces
    {42, 72, 1182},	// QNetworkConfigurationManager::DataStatistics
    {42, 79, 1178},	// QNetworkConfigurationManager::DirectConnectionRouting
    {42, 91, 1181},	// QNetworkConfigurationManager::ForcedRoaming
    {42, 144, 1183},	// QNetworkConfigurationManager::NetworkSessionRequired
    {42, 233, 1174},	// QNetworkConfigurationManager::QNetworkConfigurationManager
    {42, 234, 1160},	// QNetworkConfigurationManager::QNetworkConfigurationManager#
    {42, 350, 1179},	// QNetworkConfigurationManager::SystemSessionSupport
    {42, 443, 1175},	// QNetworkConfigurationManager::allConfigurations
    {42, 444, 1163},	// QNetworkConfigurationManager::allConfigurations$
    {42, 478, 1161},	// QNetworkConfigurationManager::capabilities
    {42, 497, 1167},	// QNetworkConfigurationManager::configurationAdded#
    {42, 499, 1169},	// QNetworkConfigurationManager::configurationChanged#
    {42, 501, 1164},	// QNetworkConfigurationManager::configurationFromIdentifier$
    {42, 503, 1168},	// QNetworkConfigurationManager::configurationRemoved#
    {42, 548, 1162},	// QNetworkConfigurationManager::defaultConfiguration
    {42, 657, 1165},	// QNetworkConfigurationManager::isOnline
    {42, 712, 1153},	// QNetworkConfigurationManager::metaObject
    {42, 733, 1170},	// QNetworkConfigurationManager::onlineStateChanged$
    {42, 1024, 1159},	// QNetworkConfigurationManager::qt_metacall$$?
    {42, 1026, 1154},	// QNetworkConfigurationManager::qt_metacast$
    {42, 1339, 1176},	// QNetworkConfigurationManager::staticMetaObject
    {42, 1362, 1172},	// QNetworkConfigurationManager::tr$
    {42, 1363, 1155},	// QNetworkConfigurationManager::tr$$
    {42, 1364, 1157},	// QNetworkConfigurationManager::tr$$$
    {42, 1366, 1173},	// QNetworkConfigurationManager::trUtf8$
    {42, 1367, 1156},	// QNetworkConfigurationManager::trUtf8$$
    {42, 1368, 1158},	// QNetworkConfigurationManager::trUtf8$$$
    {42, 1370, 1171},	// QNetworkConfigurationManager::updateCompleted
    {42, 1371, 1166},	// QNetworkConfigurationManager::updateConfigurations
    {42, 1420, 1184},	// QNetworkConfigurationManager::~QNetworkConfigurationManager
    {43, 93, 1211},	// QNetworkCookie::Full
    {43, 142, 1210},	// QNetworkCookie::NameAndValueOnly
    {43, 235, 1207},	// QNetworkCookie::QNetworkCookie
    {43, 236, -21},	// QNetworkCookie::QNetworkCookie#
    {43, 237, 1185},	// QNetworkCookie::QNetworkCookie##
    {43, 560, 1197},	// QNetworkCookie::domain
    {43, 579, 1195},	// QNetworkCookie::expirationDate
    {43, 651, 1192},	// QNetworkCookie::isHttpOnly
    {43, 662, 1190},	// QNetworkCookie::isSecure
    {43, 664, 1194},	// QNetworkCookie::isSessionCookie
    {43, 722, 1201},	// QNetworkCookie::name
    {43, 738, 1189},	// QNetworkCookie::operator!=#
    {43, 774, 1187},	// QNetworkCookie::operator=#
    {43, 777, 1188},	// QNetworkCookie::operator==#
    {43, 812, 1206},	// QNetworkCookie::parseCookies#
    {43, 818, 1199},	// QNetworkCookie::path
    {43, 1150, 1198},	// QNetworkCookie::setDomain$
    {43, 1157, 1196},	// QNetworkCookie::setExpirationDate#
    {43, 1173, 1193},	// QNetworkCookie::setHttpOnly$
    {43, 1197, 1202},	// QNetworkCookie::setName#
    {43, 1216, 1200},	// QNetworkCookie::setPath$
    {43, 1276, 1191},	// QNetworkCookie::setSecure$
    {43, 1319, 1204},	// QNetworkCookie::setValue#
    {43, 1358, 1209},	// QNetworkCookie::toRawForm
    {43, 1359, 1205},	// QNetworkCookie::toRawForm$
    {43, 1379, 1203},	// QNetworkCookie::value
    {43, 1421, 1212},	// QNetworkCookie::~QNetworkCookie
    {44, 238, 1227},	// QNetworkCookieJar::QNetworkCookieJar
    {44, 239, 1220},	// QNetworkCookieJar::QNetworkCookieJar#
    {44, 445, 1223},	// QNetworkCookieJar::allCookies
    {44, 527, 1221},	// QNetworkCookieJar::cookiesForUrl#
    {44, 712, 1213},	// QNetworkCookieJar::metaObject
    {44, 1024, 1219},	// QNetworkCookieJar::qt_metacall$$?
    {44, 1026, 1214},	// QNetworkCookieJar::qt_metacast$
    {44, 1109, 1224},	// QNetworkCookieJar::setAllCookies?
    {44, 1140, 1222},	// QNetworkCookieJar::setCookiesFromUrl?#
    {44, 1339, 1228},	// QNetworkCookieJar::staticMetaObject
    {44, 1362, 1225},	// QNetworkCookieJar::tr$
    {44, 1363, 1215},	// QNetworkCookieJar::tr$$
    {44, 1364, 1217},	// QNetworkCookieJar::tr$$$
    {44, 1366, 1226},	// QNetworkCookieJar::trUtf8$
    {44, 1367, 1216},	// QNetworkCookieJar::trUtf8$$
    {44, 1368, 1218},	// QNetworkCookieJar::trUtf8$$$
    {44, 1422, 1229},	// QNetworkCookieJar::~QNetworkCookieJar
    {45, 240, 1254},	// QNetworkDiskCache::QNetworkDiskCache
    {45, 241, 1237},	// QNetworkDiskCache::QNetworkDiskCache#
    {45, 475, 1238},	// QNetworkDiskCache::cacheDirectory
    {45, 476, 1242},	// QNetworkDiskCache::cacheSize
    {45, 485, 1250},	// QNetworkDiskCache::clear
    {45, 539, 1245},	// QNetworkDiskCache::data#
    {45, 580, 1251},	// QNetworkDiskCache::expire
    {45, 583, 1249},	// QNetworkDiskCache::fileMetaData$
    {45, 638, 1248},	// QNetworkDiskCache::insert#
    {45, 708, 1240},	// QNetworkDiskCache::maximumCacheSize
    {45, 710, 1243},	// QNetworkDiskCache::metaData#
    {45, 712, 1230},	// QNetworkDiskCache::metaObject
    {45, 842, 1247},	// QNetworkDiskCache::prepare#
    {45, 1024, 1236},	// QNetworkDiskCache::qt_metacall$$?
    {45, 1026, 1231},	// QNetworkDiskCache::qt_metacast$
    {45, 1066, 1246},	// QNetworkDiskCache::remove#
    {45, 1125, 1239},	// QNetworkDiskCache::setCacheDirectory$
    {45, 1193, 1241},	// QNetworkDiskCache::setMaximumCacheSize$
    {45, 1339, 1255},	// QNetworkDiskCache::staticMetaObject
    {45, 1362, 1252},	// QNetworkDiskCache::tr$
    {45, 1363, 1232},	// QNetworkDiskCache::tr$$
    {45, 1364, 1234},	// QNetworkDiskCache::tr$$$
    {45, 1366, 1253},	// QNetworkDiskCache::trUtf8$
    {45, 1367, 1233},	// QNetworkDiskCache::trUtf8$$
    {45, 1368, 1235},	// QNetworkDiskCache::trUtf8$$$
    {45, 1373, 1244},	// QNetworkDiskCache::updateMetaData#
    {45, 1423, 1256},	// QNetworkDiskCache::~QNetworkDiskCache
    {46, 33, 1273},	// QNetworkInterface::CanBroadcast
    {46, 34, 1276},	// QNetworkInterface::CanMulticast
    {46, 120, 1274},	// QNetworkInterface::IsLoopBack
    {46, 121, 1275},	// QNetworkInterface::IsPointToPoint
    {46, 122, 1272},	// QNetworkInterface::IsRunning
    {46, 123, 1271},	// QNetworkInterface::IsUp
    {46, 242, 1257},	// QNetworkInterface::QNetworkInterface
    {46, 243, 1258},	// QNetworkInterface::QNetworkInterface#
    {46, 439, 1266},	// QNetworkInterface::addressEntries
    {46, 442, 1270},	// QNetworkInterface::allAddresses
    {46, 446, 1269},	// QNetworkInterface::allInterfaces
    {46, 586, 1264},	// QNetworkInterface::flags
    {46, 610, 1265},	// QNetworkInterface::hardwareAddress
    {46, 628, 1263},	// QNetworkInterface::humanReadableName
    {46, 636, 1261},	// QNetworkInterface::index
    {46, 641, 1268},	// QNetworkInterface::interfaceFromIndex$
    {46, 643, 1267},	// QNetworkInterface::interfaceFromName$
    {46, 667, 1260},	// QNetworkInterface::isValid
    {46, 722, 1262},	// QNetworkInterface::name
    {46, 774, 1259},	// QNetworkInterface::operator=#
    {46, 1424, 1277},	// QNetworkInterface::~QNetworkInterface
    {47, 32, 1313},	// QNetworkProxy::CachingCapability
    {47, 75, 1304},	// QNetworkProxy::DefaultProxy
    {47, 92, 1309},	// QNetworkProxy::FtpCachingProxy
    {47, 100, 1314},	// QNetworkProxy::HostNameLookupCapability
    {47, 104, 1308},	// QNetworkProxy::HttpCachingProxy
    {47, 107, 1307},	// QNetworkProxy::HttpProxy
    {47, 127, 1311},	// QNetworkProxy::ListeningCapability
    {47, 147, 1306},	// QNetworkProxy::NoProxy
    {47, 244, 1278},	// QNetworkProxy::QNetworkProxy
    {47, 245, 1280},	// QNetworkProxy::QNetworkProxy#
    {47, 246, 1300},	// QNetworkProxy::QNetworkProxy$
    {47, 247, 1301},	// QNetworkProxy::QNetworkProxy$$
    {47, 248, 1302},	// QNetworkProxy::QNetworkProxy$$$
    {47, 249, 1303},	// QNetworkProxy::QNetworkProxy$$$$
    {47, 250, 1279},	// QNetworkProxy::QNetworkProxy$$$$$
    {47, 340, 1305},	// QNetworkProxy::Socks5Proxy
    {47, 359, 1310},	// QNetworkProxy::TunnelingCapability
    {47, 361, 1312},	// QNetworkProxy::UdpTunnelingCapability
    {47, 450, 1299},	// QNetworkProxy::applicationProxy
    {47, 478, 1287},	// QNetworkProxy::capabilities
    {47, 627, 1295},	// QNetworkProxy::hostName
    {47, 645, 1288},	// QNetworkProxy::isCachingProxy
    {47, 666, 1289},	// QNetworkProxy::isTransparentProxy
    {47, 738, 1283},	// QNetworkProxy::operator!=#
    {47, 774, 1281},	// QNetworkProxy::operator=#
    {47, 777, 1282},	// QNetworkProxy::operator==#
    {47, 817, 1293},	// QNetworkProxy::password
    {47, 832, 1297},	// QNetworkProxy::port
    {47, 1111, 1298},	// QNetworkProxy::setApplicationProxy#
    {47, 1127, 1286},	// QNetworkProxy::setCapabilities$
    {47, 1171, 1294},	// QNetworkProxy::setHostName$
    {47, 1214, 1292},	// QNetworkProxy::setPassword$
    {47, 1234, 1296},	// QNetworkProxy::setPort$
    {47, 1308, 1284},	// QNetworkProxy::setType$
    {47, 1314, 1290},	// QNetworkProxy::setUser$
    {47, 1369, 1285},	// QNetworkProxy::type
    {47, 1378, 1291},	// QNetworkProxy::user
    {47, 1425, 1315},	// QNetworkProxy::~QNetworkProxy
    {48, 251, 1316},	// QNetworkProxyFactory::QNetworkProxyFactory
    {48, 252, 1322},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {48, 853, 1320},	// QNetworkProxyFactory::proxyForQuery#
    {48, 1032, 1323},	// QNetworkProxyFactory::queryProxy
    {48, 1033, 1317},	// QNetworkProxyFactory::queryProxy#
    {48, 1113, 1319},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {48, 1312, 1318},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {48, 1349, 1324},	// QNetworkProxyFactory::systemProxyForQuery
    {48, 1350, 1321},	// QNetworkProxyFactory::systemProxyForQuery#
    {48, 1426, 1325},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {49, 253, 1326},	// QNetworkProxyQuery::QNetworkProxyQuery
    {49, 254, -456},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {49, 255, 1356},	// QNetworkProxyQuery::QNetworkProxyQuery##
    {49, 256, 1331},	// QNetworkProxyQuery::QNetworkProxyQuery##$
    {49, 257, -459},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {49, 258, -462},	// QNetworkProxyQuery::QNetworkProxyQuery#$$
    {49, 259, -465},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$
    {49, 260, 1332},	// QNetworkProxyQuery::QNetworkProxyQuery#$$$$
    {49, 261, 1354},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {49, 262, -468},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {49, 263, -471},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {49, 264, 1328},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {49, 351, 1363},	// QNetworkProxyQuery::TcpServer
    {49, 352, 1361},	// QNetworkProxyQuery::TcpSocket
    {49, 360, 1362},	// QNetworkProxyQuery::UdpSocket
    {49, 388, 1364},	// QNetworkProxyQuery::UrlRequest
    {49, 698, 1343},	// QNetworkProxyQuery::localPort
    {49, 727, 1349},	// QNetworkProxyQuery::networkConfiguration
    {49, 738, 1336},	// QNetworkProxyQuery::operator!=#
    {49, 774, 1334},	// QNetworkProxyQuery::operator=#
    {49, 777, 1335},	// QNetworkProxyQuery::operator==#
    {49, 822, 1341},	// QNetworkProxyQuery::peerHostName
    {49, 824, 1339},	// QNetworkProxyQuery::peerPort
    {49, 847, 1345},	// QNetworkProxyQuery::protocolTag
    {49, 1034, 1337},	// QNetworkProxyQuery::queryType
    {49, 1187, 1344},	// QNetworkProxyQuery::setLocalPort$
    {49, 1204, 1350},	// QNetworkProxyQuery::setNetworkConfiguration#
    {49, 1220, 1342},	// QNetworkProxyQuery::setPeerHostName$
    {49, 1224, 1340},	// QNetworkProxyQuery::setPeerPort$
    {49, 1248, 1346},	// QNetworkProxyQuery::setProtocolTag$
    {49, 1257, 1338},	// QNetworkProxyQuery::setQueryType$
    {49, 1310, 1348},	// QNetworkProxyQuery::setUrl#
    {49, 1376, 1347},	// QNetworkProxyQuery::url
    {49, 1427, 1365},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {50, 13, 1433},	// QNetworkReply::AuthenticationRequiredError
    {50, 58, 1416},	// QNetworkReply::ConnectionRefusedError
    {50, 59, 1430},	// QNetworkReply::ContentAccessDenied
    {50, 62, 1432},	// QNetworkReply::ContentNotFoundError
    {50, 63, 1431},	// QNetworkReply::ContentOperationNotPermittedError
    {50, 64, 1434},	// QNetworkReply::ContentReSendError
    {50, 103, 1418},	// QNetworkReply::HostNotFoundError
    {50, 145, 1415},	// QNetworkReply::NoError
    {50, 156, 1420},	// QNetworkReply::OperationCanceledError
    {50, 169, 1438},	// QNetworkReply::ProtocolFailure
    {50, 170, 1437},	// QNetworkReply::ProtocolInvalidOperationError
    {50, 171, 1436},	// QNetworkReply::ProtocolUnknownError
    {50, 172, 1428},	// QNetworkReply::ProxyAuthenticationRequiredError
    {50, 173, 1425},	// QNetworkReply::ProxyConnectionClosedError
    {50, 174, 1424},	// QNetworkReply::ProxyConnectionRefusedError
    {50, 176, 1426},	// QNetworkReply::ProxyNotFoundError
    {50, 178, 1427},	// QNetworkReply::ProxyTimeoutError
    {50, 265, 1413},	// QNetworkReply::QNetworkReply
    {50, 266, 1401},	// QNetworkReply::QNetworkReply#
    {50, 316, 1417},	// QNetworkReply::RemoteHostClosedError
    {50, 343, 1421},	// QNetworkReply::SslHandshakeFailedError
    {50, 353, 1422},	// QNetworkReply::TemporaryNetworkFailureError
    {50, 355, 1419},	// QNetworkReply::TimeoutError
    {50, 375, 1435},	// QNetworkReply::UnknownContentError
    {50, 377, 1423},	// QNetworkReply::UnknownNetworkError
    {50, 381, 1429},	// QNetworkReply::UnknownProxyError
    {50, 415, 1373},	// QNetworkReply::abort
    {50, 453, 1390},	// QNetworkReply::attribute$
    {50, 488, 1374},	// QNetworkReply::close
    {50, 564, 1400},	// QNetworkReply::downloadProgress$$
    {50, 574, 1381},	// QNetworkReply::error
    {50, 575, 1397},	// QNetworkReply::error$
    {50, 584, 1396},	// QNetworkReply::finished
    {50, 620, 1386},	// QNetworkReply::hasRawHeader#
    {50, 625, 1385},	// QNetworkReply::header$
    {50, 631, 1394},	// QNetworkReply::ignoreSslErrors
    {50, 632, 1393},	// QNetworkReply::ignoreSslErrors?
    {50, 650, 1382},	// QNetworkReply::isFinished
    {50, 661, 1383},	// QNetworkReply::isRunning
    {50, 663, 1375},	// QNetworkReply::isSequential
    {50, 706, 1378},	// QNetworkReply::manager
    {50, 711, 1395},	// QNetworkReply::metaDataChanged
    {50, 712, 1366},	// QNetworkReply::metaObject
    {50, 736, 1379},	// QNetworkReply::operation
    {50, 1024, 1372},	// QNetworkReply::qt_metacall$$?
    {50, 1026, 1367},	// QNetworkReply::qt_metacast$
    {50, 1044, 1388},	// QNetworkReply::rawHeader#
    {50, 1045, 1387},	// QNetworkReply::rawHeaderList
    {50, 1046, 1389},	// QNetworkReply::rawHeaderPairs
    {50, 1051, 1376},	// QNetworkReply::readBufferSize
    {50, 1076, 1380},	// QNetworkReply::request
    {50, 1115, 1410},	// QNetworkReply::setAttribute$#
    {50, 1153, 1405},	// QNetworkReply::setError$$
    {50, 1161, 1406},	// QNetworkReply::setFinished$
    {50, 1165, 1408},	// QNetworkReply::setHeader$#
    {50, 1206, 1403},	// QNetworkReply::setOperation$
    {50, 1259, 1409},	// QNetworkReply::setRawHeader##
    {50, 1263, 1377},	// QNetworkReply::setReadBufferSize$
    {50, 1267, 1404},	// QNetworkReply::setRequest#
    {50, 1297, 1392},	// QNetworkReply::setSslConfiguration#
    {50, 1310, 1407},	// QNetworkReply::setUrl#
    {50, 1330, 1391},	// QNetworkReply::sslConfiguration
    {50, 1333, 1398},	// QNetworkReply::sslErrors?
    {50, 1339, 1414},	// QNetworkReply::staticMetaObject
    {50, 1362, 1411},	// QNetworkReply::tr$
    {50, 1363, 1368},	// QNetworkReply::tr$$
    {50, 1364, 1370},	// QNetworkReply::tr$$$
    {50, 1366, 1412},	// QNetworkReply::trUtf8$
    {50, 1367, 1369},	// QNetworkReply::trUtf8$$
    {50, 1368, 1371},	// QNetworkReply::trUtf8$$$
    {50, 1375, 1399},	// QNetworkReply::uploadProgress$$
    {50, 1376, 1384},	// QNetworkReply::url
    {50, 1399, 1402},	// QNetworkReply::writeData$$
    {50, 1428, 1439},	// QNetworkReply::~QNetworkReply
    {51, 5, 1492},	// QNetworkRequest::AlwaysCache
    {51, 6, 1489},	// QNetworkRequest::AlwaysNetwork
    {51, 14, 1482},	// QNetworkRequest::AuthenticationReuseAttribute
    {51, 17, 1493},	// QNetworkRequest::Automatic
    {51, 30, 1474},	// QNetworkRequest::CacheLoadControlAttribute
    {51, 31, 1475},	// QNetworkRequest::CacheSaveControlAttribute
    {51, 53, 1473},	// QNetworkRequest::ConnectionEncryptedAttribute
    {51, 60, 1469},	// QNetworkRequest::ContentDispositionHeader
    {51, 61, 1464},	// QNetworkRequest::ContentLengthHeader
    {51, 65, 1463},	// QNetworkRequest::ContentTypeHeader
    {51, 66, 1467},	// QNetworkRequest::CookieHeader
    {51, 67, 1481},	// QNetworkRequest::CookieLoadControlAttribute
    {51, 68, 1483},	// QNetworkRequest::CookieSaveControlAttribute
    {51, 71, 1480},	// QNetworkRequest::CustomVerbAttribute
    {51, 83, 1477},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {51, 85, 1485},	// QNetworkRequest::DownloadBufferAttribute
    {51, 97, 1495},	// QNetworkRequest::HighPriority
    {51, 105, 1478},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {51, 106, 1479},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {51, 108, 1471},	// QNetworkRequest::HttpReasonPhraseAttribute
    {51, 109, 1470},	// QNetworkRequest::HttpStatusCodeAttribute
    {51, 125, 1466},	// QNetworkRequest::LastModifiedHeader
    {51, 132, 1465},	// QNetworkRequest::LocationHeader
    {51, 136, 1497},	// QNetworkRequest::LowPriority
    {51, 137, 1494},	// QNetworkRequest::Manual
    {51, 138, 1484},	// QNetworkRequest::MaximumDownloadBufferSizeAttribute
    {51, 150, 1496},	// QNetworkRequest::NormalPriority
    {51, 165, 1491},	// QNetworkRequest::PreferCache
    {51, 166, 1490},	// QNetworkRequest::PreferNetwork
    {51, 267, 1461},	// QNetworkRequest::QNetworkRequest
    {51, 268, -24},	// QNetworkRequest::QNetworkRequest#
    {51, 315, 1472},	// QNetworkRequest::RedirectionTargetAttribute
    {51, 332, 1468},	// QNetworkRequest::SetCookieHeader
    {51, 341, 1476},	// QNetworkRequest::SourceIsFromCacheAttribute
    {51, 349, 1486},	// QNetworkRequest::SynchronousRequestAttribute
    {51, 389, 1487},	// QNetworkRequest::User
    {51, 391, 1488},	// QNetworkRequest::UserMax
    {51, 453, 1462},	// QNetworkRequest::attribute$
    {51, 454, 1453},	// QNetworkRequest::attribute$#
    {51, 620, 1449},	// QNetworkRequest::hasRawHeader#
    {51, 625, 1447},	// QNetworkRequest::header$
    {51, 738, 1444},	// QNetworkRequest::operator!=#
    {51, 774, 1442},	// QNetworkRequest::operator=#
    {51, 777, 1443},	// QNetworkRequest::operator==#
    {51, 807, 1458},	// QNetworkRequest::originatingObject
    {51, 843, 1459},	// QNetworkRequest::priority
    {51, 1044, 1451},	// QNetworkRequest::rawHeader#
    {51, 1045, 1450},	// QNetworkRequest::rawHeaderList
    {51, 1115, 1454},	// QNetworkRequest::setAttribute$#
    {51, 1165, 1448},	// QNetworkRequest::setHeader$#
    {51, 1210, 1457},	// QNetworkRequest::setOriginatingObject#
    {51, 1238, 1460},	// QNetworkRequest::setPriority$
    {51, 1259, 1452},	// QNetworkRequest::setRawHeader##
    {51, 1297, 1456},	// QNetworkRequest::setSslConfiguration#
    {51, 1310, 1446},	// QNetworkRequest::setUrl#
    {51, 1330, 1455},	// QNetworkRequest::sslConfiguration
    {51, 1376, 1445},	// QNetworkRequest::url
    {51, 1429, 1498},	// QNetworkRequest::~QNetworkRequest
    {52, 45, 1543},	// QNetworkSession::Closing
    {52, 49, 1542},	// QNetworkSession::Connected
    {52, 51, 1541},	// QNetworkSession::Connecting
    {52, 80, 1544},	// QNetworkSession::Disconnected
    {52, 113, 1539},	// QNetworkSession::Invalid
    {52, 115, 1550},	// QNetworkSession::InvalidConfigurationError
    {52, 152, 1540},	// QNetworkSession::NotAvailable
    {52, 157, 1549},	// QNetworkSession::OperationNotSupportedError
    {52, 270, 1536},	// QNetworkSession::QNetworkSession#
    {52, 271, 1506},	// QNetworkSession::QNetworkSession##
    {52, 321, 1545},	// QNetworkSession::Roaming
    {52, 322, 1548},	// QNetworkSession::RoamingError
    {52, 331, 1547},	// QNetworkSession::SessionAbortedError
    {52, 383, 1546},	// QNetworkSession::UnknownSessionError
    {52, 418, 1524},	// QNetworkSession::accept
    {52, 420, 1517},	// QNetworkSession::activeTime
    {52, 470, 1516},	// QNetworkSession::bytesReceived
    {52, 472, 1515},	// QNetworkSession::bytesWritten
    {52, 488, 1520},	// QNetworkSession::close
    {52, 490, 1528},	// QNetworkSession::closed
    {52, 495, 1508},	// QNetworkSession::configuration
    {52, 505, 1532},	// QNetworkSession::connectNotify$
    {52, 558, 1533},	// QNetworkSession::disconnectNotify$
    {52, 574, 1511},	// QNetworkSession::error
    {52, 575, 1529},	// QNetworkSession::error$
    {52, 576, 1512},	// QNetworkSession::errorString
    {52, 630, 1523},	// QNetworkSession::ignore
    {52, 639, 1509},	// QNetworkSession::interface
    {52, 658, 1507},	// QNetworkSession::isOpen
    {52, 712, 1499},	// QNetworkSession::metaObject
    {52, 714, 1522},	// QNetworkSession::migrate
    {52, 729, 1531},	// QNetworkSession::newConfigurationActivated
    {52, 734, 1519},	// QNetworkSession::open
    {52, 735, 1527},	// QNetworkSession::opened
    {52, 839, 1530},	// QNetworkSession::preferredConfigurationChanged#$
    {52, 1024, 1505},	// QNetworkSession::qt_metacall$$?
    {52, 1026, 1500},	// QNetworkSession::qt_metacast$
    {52, 1064, 1525},	// QNetworkSession::reject
    {52, 1102, 1513},	// QNetworkSession::sessionProperty$
    {52, 1278, 1514},	// QNetworkSession::setSessionProperty$#
    {52, 1336, 1510},	// QNetworkSession::state
    {52, 1338, 1526},	// QNetworkSession::stateChanged$
    {52, 1339, 1538},	// QNetworkSession::staticMetaObject
    {52, 1341, 1521},	// QNetworkSession::stop
    {52, 1362, 1534},	// QNetworkSession::tr$
    {52, 1363, 1501},	// QNetworkSession::tr$$
    {52, 1364, 1503},	// QNetworkSession::tr$$$
    {52, 1366, 1535},	// QNetworkSession::trUtf8$
    {52, 1367, 1502},	// QNetworkSession::trUtf8$$
    {52, 1368, 1504},	// QNetworkSession::trUtf8$$$
    {52, 1394, 1537},	// QNetworkSession::waitForOpened
    {52, 1395, 1518},	// QNetworkSession::waitForOpened$
    {52, 1430, 1551},	// QNetworkSession::~QNetworkSession
    {62, 9, 1566},	// QSsl::AnyProtocol
    {62, 78, 1562},	// QSsl::Der
    {62, 82, 1571},	// QSsl::DnsEntry
    {62, 86, 1560},	// QSsl::Dsa
    {62, 87, 1570},	// QSsl::EmailEntry
    {62, 163, 1561},	// QSsl::Pem
    {62, 167, 1572},	// QSsl::PrivateKey
    {62, 179, 1573},	// QSsl::PublicKey
    {62, 323, 1559},	// QSsl::Rsa
    {62, 324, 1568},	// QSsl::SecureProtocols
    {62, 345, 1564},	// QSsl::SslV2
    {62, 346, 1563},	// QSsl::SslV3
    {62, 356, 1565},	// QSsl::TlsV1
    {62, 357, 1567},	// QSsl::TlsV1SslV3
    {62, 380, 1569},	// QSsl::UnknownProtocol
    {63, 47, 1609},	// QSslCertificate::CommonName
    {63, 69, 1612},	// QSslCertificate::CountryName
    {63, 131, 1610},	// QSslCertificate::LocalityName
    {63, 158, 1608},	// QSslCertificate::Organization
    {63, 159, 1611},	// QSslCertificate::OrganizationalUnitName
    {63, 272, 1601},	// QSslCertificate::QSslCertificate
    {63, 273, -421},	// QSslCertificate::QSslCertificate#
    {63, 274, -425},	// QSslCertificate::QSslCertificate#$
    {63, 347, 1613},	// QSslCertificate::StateOrProvinceName
    {63, 449, 1590},	// QSslCertificate::alternateSubjectNames
    {63, 485, 1582},	// QSslCertificate::clear
    {63, 552, 1603},	// QSslCertificate::digest
    {63, 553, 1585},	// QSslCertificate::digest$
    {63, 565, 1591},	// QSslCertificate::effectiveDate
    {63, 581, 1592},	// QSslCertificate::expiryDate
    {63, 589, 1607},	// QSslCertificate::fromData#
    {63, 590, 1598},	// QSslCertificate::fromData#$
    {63, 592, 1606},	// QSslCertificate::fromDevice#
    {63, 593, 1597},	// QSslCertificate::fromDevice#$
    {63, 597, 1604},	// QSslCertificate::fromPath$
    {63, 598, 1605},	// QSslCertificate::fromPath$$
    {63, 599, 1596},	// QSslCertificate::fromPath$$$
    {63, 609, 1599},	// QSslCertificate::handle
    {63, 656, 1580},	// QSslCertificate::isNull
    {63, 667, 1581},	// QSslCertificate::isValid
    {63, 670, 1587},	// QSslCertificate::issuerInfo#
    {63, 671, 1586},	// QSslCertificate::issuerInfo$
    {63, 738, 1579},	// QSslCertificate::operator!=#
    {63, 774, 1577},	// QSslCertificate::operator=#
    {63, 777, 1578},	// QSslCertificate::operator==#
    {63, 854, 1593},	// QSslCertificate::publicKey
    {63, 1095, 1584},	// QSslCertificate::serialNumber
    {63, 1343, 1589},	// QSslCertificate::subjectInfo#
    {63, 1344, 1588},	// QSslCertificate::subjectInfo$
    {63, 1352, 1595},	// QSslCertificate::toDer
    {63, 1356, 1594},	// QSslCertificate::toPem
    {63, 1382, 1583},	// QSslCertificate::version
    {63, 1431, 1614},	// QSslCertificate::~QSslCertificate
    {64, 275, 1615},	// QSslCipher::QSslCipher
    {64, 276, 1617},	// QSslCipher::QSslCipher#
    {64, 277, 1616},	// QSslCipher::QSslCipher$$
    {64, 456, 1626},	// QSslCipher::authenticationMethod
    {64, 571, 1627},	// QSslCipher::encryptionMethod
    {64, 656, 1621},	// QSslCipher::isNull
    {64, 675, 1625},	// QSslCipher::keyExchangeMethod
    {64, 722, 1622},	// QSslCipher::name
    {64, 738, 1620},	// QSslCipher::operator!=#
    {64, 774, 1618},	// QSslCipher::operator=#
    {64, 777, 1619},	// QSslCipher::operator==#
    {64, 845, 1629},	// QSslCipher::protocol
    {64, 846, 1628},	// QSslCipher::protocolString
    {64, 1345, 1623},	// QSslCipher::supportedBits
    {64, 1377, 1624},	// QSslCipher::usedBits
    {64, 1432, 1630},	// QSslCipher::~QSslCipher
    {65, 278, 1631},	// QSslConfiguration::QSslConfiguration
    {65, 279, 1632},	// QSslConfiguration::QSslConfiguration#
    {65, 473, 1652},	// QSslConfiguration::caCertificates
    {65, 484, 1650},	// QSslConfiguration::ciphers
    {65, 548, 1654},	// QSslConfiguration::defaultConfiguration
    {65, 656, 1636},	// QSslConfiguration::isNull
    {65, 695, 1643},	// QSslConfiguration::localCertificate
    {65, 738, 1635},	// QSslConfiguration::operator!=#
    {65, 774, 1633},	// QSslConfiguration::operator=#
    {65, 777, 1634},	// QSslConfiguration::operator==#
    {65, 820, 1645},	// QSslConfiguration::peerCertificate
    {65, 821, 1646},	// QSslConfiguration::peerCertificateChain
    {65, 825, 1641},	// QSslConfiguration::peerVerifyDepth
    {65, 828, 1639},	// QSslConfiguration::peerVerifyMode
    {65, 844, 1648},	// QSslConfiguration::privateKey
    {65, 845, 1637},	// QSslConfiguration::protocol
    {65, 1100, 1647},	// QSslConfiguration::sessionCipher
    {65, 1121, 1653},	// QSslConfiguration::setCaCertificates?
    {65, 1130, 1651},	// QSslConfiguration::setCiphers?
    {65, 1146, 1655},	// QSslConfiguration::setDefaultConfiguration#
    {65, 1183, 1644},	// QSslConfiguration::setLocalCertificate#
    {65, 1226, 1642},	// QSslConfiguration::setPeerVerifyDepth$
    {65, 1228, 1640},	// QSslConfiguration::setPeerVerifyMode$
    {65, 1240, 1649},	// QSslConfiguration::setPrivateKey#
    {65, 1246, 1638},	// QSslConfiguration::setProtocol$
    {65, 1433, 1656},	// QSslConfiguration::~QSslConfiguration
    {66, 15, 1687},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {66, 37, 1691},	// QSslError::CertificateBlacklisted
    {66, 38, 1673},	// QSslError::CertificateExpired
    {66, 39, 1672},	// QSslError::CertificateNotYetValid
    {66, 40, 1685},	// QSslError::CertificateRejected
    {66, 41, 1680},	// QSslError::CertificateRevoked
    {66, 42, 1671},	// QSslError::CertificateSignatureFailed
    {66, 43, 1684},	// QSslError::CertificateUntrusted
    {66, 101, 1689},	// QSslError::HostNameMismatch
    {66, 114, 1681},	// QSslError::InvalidCaCertificate
    {66, 116, 1675},	// QSslError::InvalidNotAfterField
    {66, 117, 1674},	// QSslError::InvalidNotBeforeField
    {66, 118, 1683},	// QSslError::InvalidPurpose
    {66, 145, 1667},	// QSslError::NoError
    {66, 146, 1688},	// QSslError::NoPeerCertificate
    {66, 148, 1690},	// QSslError::NoSslSupport
    {66, 161, 1682},	// QSslError::PathLengthExceeded
    {66, 280, 1657},	// QSslError::QSslError
    {66, 281, 1660},	// QSslError::QSslError#
    {66, 282, 1658},	// QSslError::QSslError$
    {66, 283, 1659},	// QSslError::QSslError$#
    {66, 325, 1676},	// QSslError::SelfSignedCertificate
    {66, 326, 1677},	// QSslError::SelfSignedCertificateInChain
    {66, 348, 1686},	// QSslError::SubjectIssuerMismatch
    {66, 362, 1670},	// QSslError::UnableToDecodeIssuerPublicKey
    {66, 363, 1669},	// QSslError::UnableToDecryptCertificateSignature
    {66, 364, 1668},	// QSslError::UnableToGetIssuerCertificate
    {66, 365, 1678},	// QSslError::UnableToGetLocalIssuerCertificate
    {66, 366, 1679},	// QSslError::UnableToVerifyFirstCertificate
    {66, 386, 1692},	// QSslError::UnspecifiedError
    {66, 481, 1666},	// QSslError::certificate
    {66, 574, 1664},	// QSslError::error
    {66, 576, 1665},	// QSslError::errorString
    {66, 738, 1663},	// QSslError::operator!=#
    {66, 774, 1661},	// QSslError::operator=#
    {66, 777, 1662},	// QSslError::operator==#
    {66, 1434, 1693},	// QSslError::~QSslError
    {67, 284, 1694},	// QSslKey::QSslKey
    {67, 285, 1697},	// QSslKey::QSslKey#
    {67, 286, -9},	// QSslKey::QSslKey#$
    {67, 287, -12},	// QSslKey::QSslKey#$$
    {67, 288, -15},	// QSslKey::QSslKey#$$$
    {67, 289, -18},	// QSslKey::QSslKey#$$$#
    {67, 441, 1703},	// QSslKey::algorithm
    {67, 485, 1700},	// QSslKey::clear
    {67, 609, 1706},	// QSslKey::handle
    {67, 656, 1699},	// QSslKey::isNull
    {67, 683, 1701},	// QSslKey::length
    {67, 738, 1708},	// QSslKey::operator!=#
    {67, 774, 1698},	// QSslKey::operator=#
    {67, 777, 1707},	// QSslKey::operator==#
    {67, 1352, 1716},	// QSslKey::toDer
    {67, 1353, 1705},	// QSslKey::toDer#
    {67, 1356, 1715},	// QSslKey::toPem
    {67, 1357, 1704},	// QSslKey::toPem#
    {67, 1369, 1702},	// QSslKey::type
    {67, 1435, 1717},	// QSslKey::~QSslKey
    {68, 16, 1826},	// QSslSocket::AutoVerifyPeer
    {68, 290, 1801},	// QSslSocket::QSslSocket
    {68, 291, 1725},	// QSslSocket::QSslSocket#
    {68, 307, 1824},	// QSslSocket::QueryPeer
    {68, 342, 1821},	// QSslSocket::SslClientMode
    {68, 344, 1822},	// QSslSocket::SslServerMode
    {68, 371, 1820},	// QSslSocket::UnencryptedMode
    {68, 392, 1823},	// QSslSocket::VerifyNone
    {68, 393, 1825},	// QSslSocket::VerifyPeer
    {68, 415, 1747},	// QSslSocket::abort
    {68, 422, 1769},	// QSslSocket::addCaCertificate#
    {68, 424, 1810},	// QSslSocket::addCaCertificates$
    {68, 425, 1811},	// QSslSocket::addCaCertificates$$
    {68, 426, 1768},	// QSslSocket::addCaCertificates$$$
    {68, 427, 1770},	// QSslSocket::addCaCertificates?
    {68, 429, 1774},	// QSslSocket::addDefaultCaCertificate#
    {68, 431, 1812},	// QSslSocket::addDefaultCaCertificates$
    {68, 432, 1813},	// QSslSocket::addDefaultCaCertificates$$
    {68, 433, 1773},	// QSslSocket::addDefaultCaCertificates$$$
    {68, 434, 1775},	// QSslSocket::addDefaultCaCertificates?
    {68, 451, 1745},	// QSslSocket::atEnd
    {68, 469, 1741},	// QSslSocket::bytesAvailable
    {68, 471, 1742},	// QSslSocket::bytesToWrite
    {68, 473, 1772},	// QSslSocket::caCertificates
    {68, 477, 1743},	// QSslSocket::canReadLine
    {68, 484, 1762},	// QSslSocket::ciphers
    {68, 488, 1744},	// QSslSocket::close
    {68, 513, 1802},	// QSslSocket::connectToHostEncrypted$$
    {68, 514, -474},	// QSslSocket::connectToHostEncrypted$$$
    {68, 515, 1727},	// QSslSocket::connectToHostEncrypted$$$$
    {68, 518, 1795},	// QSslSocket::connectToHostImplementation$$$
    {68, 546, 1777},	// QSslSocket::defaultCaCertificates
    {68, 547, 1766},	// QSslSocket::defaultCiphers
    {68, 555, 1796},	// QSslSocket::disconnectFromHostImplementation
    {68, 566, 1790},	// QSslSocket::encrypted
    {68, 567, 1749},	// QSslSocket::encryptedBytesAvailable
    {68, 568, 1750},	// QSslSocket::encryptedBytesToWrite
    {68, 570, 1794},	// QSslSocket::encryptedBytesWritten$
    {68, 587, 1746},	// QSslSocket::flush
    {68, 631, 1789},	// QSslSocket::ignoreSslErrors
    {68, 632, 1786},	// QSslSocket::ignoreSslErrors?
    {68, 647, 1732},	// QSslSocket::isEncrypted
    {68, 695, 1755},	// QSslSocket::localCertificate
    {68, 712, 1718},	// QSslSocket::metaObject
    {68, 718, 1731},	// QSslSocket::mode
    {68, 720, 1793},	// QSslSocket::modeChanged$
    {68, 820, 1756},	// QSslSocket::peerCertificate
    {68, 821, 1757},	// QSslSocket::peerCertificateChain
    {68, 825, 1737},	// QSslSocket::peerVerifyDepth
    {68, 827, 1791},	// QSslSocket::peerVerifyError#
    {68, 828, 1735},	// QSslSocket::peerVerifyMode
    {68, 829, 1739},	// QSslSocket::peerVerifyName
    {68, 844, 1761},	// QSslSocket::privateKey
    {68, 845, 1733},	// QSslSocket::protocol
    {68, 1024, 1724},	// QSslSocket::qt_metacall$$?
    {68, 1026, 1719},	// QSslSocket::qt_metacast$
    {68, 1053, 1797},	// QSslSocket::readData$$
    {68, 1100, 1758},	// QSslSocket::sessionCipher
    {68, 1121, 1771},	// QSslSocket::setCaCertificates?
    {68, 1129, 1764},	// QSslSocket::setCiphers$
    {68, 1130, 1763},	// QSslSocket::setCiphers?
    {68, 1142, 1776},	// QSslSocket::setDefaultCaCertificates?
    {68, 1144, 1765},	// QSslSocket::setDefaultCiphers?
    {68, 1183, 1753},	// QSslSocket::setLocalCertificate#
    {68, 1184, 1806},	// QSslSocket::setLocalCertificate$
    {68, 1185, 1754},	// QSslSocket::setLocalCertificate$$
    {68, 1226, 1738},	// QSslSocket::setPeerVerifyDepth$
    {68, 1228, 1736},	// QSslSocket::setPeerVerifyMode$
    {68, 1230, 1740},	// QSslSocket::setPeerVerifyName$
    {68, 1240, 1759},	// QSslSocket::setPrivateKey#
    {68, 1241, 1807},	// QSslSocket::setPrivateKey$
    {68, 1242, 1808},	// QSslSocket::setPrivateKey$$
    {68, 1243, 1809},	// QSslSocket::setPrivateKey$$$
    {68, 1244, 1760},	// QSslSocket::setPrivateKey$$$#
    {68, 1246, 1734},	// QSslSocket::setProtocol$
    {68, 1263, 1748},	// QSslSocket::setReadBufferSize$
    {68, 1284, 1804},	// QSslSocket::setSocketDescriptor$
    {68, 1285, 1805},	// QSslSocket::setSocketDescriptor$$
    {68, 1286, 1728},	// QSslSocket::setSocketDescriptor$$$
    {68, 1293, 1729},	// QSslSocket::setSocketOption$#
    {68, 1297, 1752},	// QSslSocket::setSslConfiguration#
    {68, 1328, 1730},	// QSslSocket::socketOption$
    {68, 1330, 1751},	// QSslSocket::sslConfiguration
    {68, 1331, 1784},	// QSslSocket::sslErrors
    {68, 1333, 1792},	// QSslSocket::sslErrors?
    {68, 1334, 1787},	// QSslSocket::startClientEncryption
    {68, 1335, 1788},	// QSslSocket::startServerEncryption
    {68, 1339, 1819},	// QSslSocket::staticMetaObject
    {68, 1346, 1767},	// QSslSocket::supportedCiphers
    {68, 1347, 1785},	// QSslSocket::supportsSsl
    {68, 1348, 1778},	// QSslSocket::systemCaCertificates
    {68, 1362, 1799},	// QSslSocket::tr$
    {68, 1363, 1720},	// QSslSocket::tr$$
    {68, 1364, 1722},	// QSslSocket::tr$$$
    {68, 1366, 1800},	// QSslSocket::trUtf8$
    {68, 1367, 1721},	// QSslSocket::trUtf8$$
    {68, 1368, 1723},	// QSslSocket::trUtf8$$$
    {68, 1383, 1817},	// QSslSocket::waitForBytesWritten
    {68, 1384, 1782},	// QSslSocket::waitForBytesWritten$
    {68, 1385, 1814},	// QSslSocket::waitForConnected
    {68, 1386, 1779},	// QSslSocket::waitForConnected$
    {68, 1387, 1818},	// QSslSocket::waitForDisconnected
    {68, 1388, 1783},	// QSslSocket::waitForDisconnected$
    {68, 1389, 1815},	// QSslSocket::waitForEncrypted
    {68, 1390, 1780},	// QSslSocket::waitForEncrypted$
    {68, 1396, 1816},	// QSslSocket::waitForReadyRead
    {68, 1397, 1781},	// QSslSocket::waitForReadyRead$
    {68, 1399, 1798},	// QSslSocket::writeData$$
    {68, 1436, 1827},	// QSslSocket::~QSslSocket
    {71, 292, 1857},	// QTcpServer::QTcpServer
    {71, 293, 1835},	// QTcpServer::QTcpServer#
    {71, 436, 1853},	// QTcpServer::addPendingConnection#
    {71, 488, 1837},	// QTcpServer::close
    {71, 576, 1849},	// QTcpServer::errorString
    {71, 616, 1846},	// QTcpServer::hasPendingConnections
    {71, 634, 1852},	// QTcpServer::incomingConnection$
    {71, 655, 1838},	// QTcpServer::isListening
    {71, 690, 1858},	// QTcpServer::listen
    {71, 691, 1859},	// QTcpServer::listen#
    {71, 692, 1836},	// QTcpServer::listen#$
    {71, 707, 1840},	// QTcpServer::maxPendingConnections
    {71, 712, 1828},	// QTcpServer::metaObject
    {71, 730, 1854},	// QTcpServer::newConnection
    {71, 731, 1847},	// QTcpServer::nextPendingConnection
    {71, 848, 1851},	// QTcpServer::proxy
    {71, 1024, 1834},	// QTcpServer::qt_metacall$$?
    {71, 1026, 1829},	// QTcpServer::qt_metacast$
    {71, 1096, 1842},	// QTcpServer::serverAddress
    {71, 1097, 1848},	// QTcpServer::serverError
    {71, 1099, 1841},	// QTcpServer::serverPort
    {71, 1191, 1839},	// QTcpServer::setMaxPendingConnections$
    {71, 1250, 1850},	// QTcpServer::setProxy#
    {71, 1284, 1844},	// QTcpServer::setSocketDescriptor$
    {71, 1326, 1843},	// QTcpServer::socketDescriptor
    {71, 1339, 1862},	// QTcpServer::staticMetaObject
    {71, 1362, 1855},	// QTcpServer::tr$
    {71, 1363, 1830},	// QTcpServer::tr$$
    {71, 1364, 1832},	// QTcpServer::tr$$$
    {71, 1366, 1856},	// QTcpServer::trUtf8$
    {71, 1367, 1831},	// QTcpServer::trUtf8$$
    {71, 1368, 1833},	// QTcpServer::trUtf8$$$
    {71, 1391, 1860},	// QTcpServer::waitForNewConnection
    {71, 1392, 1861},	// QTcpServer::waitForNewConnection$
    {71, 1393, 1845},	// QTcpServer::waitForNewConnection$$
    {71, 1437, 1863},	// QTcpServer::~QTcpServer
    {72, 294, 1874},	// QTcpSocket::QTcpSocket
    {72, 295, 1871},	// QTcpSocket::QTcpSocket#
    {72, 712, 1864},	// QTcpSocket::metaObject
    {72, 1024, 1870},	// QTcpSocket::qt_metacall$$?
    {72, 1026, 1865},	// QTcpSocket::qt_metacast$
    {72, 1339, 1875},	// QTcpSocket::staticMetaObject
    {72, 1362, 1872},	// QTcpSocket::tr$
    {72, 1363, 1866},	// QTcpSocket::tr$$
    {72, 1364, 1868},	// QTcpSocket::tr$$$
    {72, 1366, 1873},	// QTcpSocket::trUtf8$
    {72, 1367, 1867},	// QTcpSocket::trUtf8$$
    {72, 1368, 1869},	// QTcpSocket::trUtf8$$$
    {72, 1438, 1876},	// QTcpSocket::~QTcpSocket
    {77, 74, 1907},	// QUdpSocket::DefaultForPlatform
    {77, 84, 1909},	// QUdpSocket::DontShareAddress
    {77, 296, 1902},	// QUdpSocket::QUdpSocket
    {77, 297, 1884},	// QUdpSocket::QUdpSocket#
    {77, 319, 1910},	// QUdpSocket::ReuseAddressHint
    {77, 335, 1908},	// QUdpSocket::ShareAddress
    {77, 463, 1903},	// QUdpSocket::bind
    {77, 464, 1885},	// QUdpSocket::bind#$
    {77, 465, 1887},	// QUdpSocket::bind#$$
    {77, 466, 1886},	// QUdpSocket::bind$
    {77, 467, 1888},	// QUdpSocket::bind$$
    {77, 617, 1895},	// QUdpSocket::hasPendingDatagrams
    {77, 673, 1889},	// QUdpSocket::joinMulticastGroup#
    {77, 674, 1890},	// QUdpSocket::joinMulticastGroup##
    {77, 681, 1891},	// QUdpSocket::leaveMulticastGroup#
    {77, 682, 1892},	// QUdpSocket::leaveMulticastGroup##
    {77, 712, 1877},	// QUdpSocket::metaObject
    {77, 721, 1893},	// QUdpSocket::multicastInterface
    {77, 830, 1896},	// QUdpSocket::pendingDatagramSize
    {77, 1024, 1883},	// QUdpSocket::qt_metacall$$?
    {77, 1026, 1878},	// QUdpSocket::qt_metacast$
    {77, 1055, 1904},	// QUdpSocket::readDatagram$$
    {77, 1056, 1905},	// QUdpSocket::readDatagram$$#
    {77, 1057, 1897},	// QUdpSocket::readDatagram$$#$
    {77, 1195, 1894},	// QUdpSocket::setMulticastInterface#
    {77, 1339, 1906},	// QUdpSocket::staticMetaObject
    {77, 1362, 1900},	// QUdpSocket::tr$
    {77, 1363, 1879},	// QUdpSocket::tr$$
    {77, 1364, 1881},	// QUdpSocket::tr$$$
    {77, 1366, 1901},	// QUdpSocket::trUtf8$
    {77, 1367, 1880},	// QUdpSocket::trUtf8$$
    {77, 1368, 1882},	// QUdpSocket::trUtf8$$$
    {77, 1401, 1899},	// QUdpSocket::writeDatagram##$
    {77, 1402, 1898},	// QUdpSocket::writeDatagram$$#$
    {77, 1439, 1911},	// QUdpSocket::~QUdpSocket
    {79, 88, 1953},	// QUrlInfo::ExeGroup
    {79, 89, 1956},	// QUrlInfo::ExeOther
    {79, 90, 1950},	// QUrlInfo::ExeOwner
    {79, 298, 1912},	// QUrlInfo::QUrlInfo
    {79, 299, 1913},	// QUrlInfo::QUrlInfo#
    {79, 300, 1915},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {79, 301, 1914},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {79, 309, 1951},	// QUrlInfo::ReadGroup
    {79, 311, 1954},	// QUrlInfo::ReadOther
    {79, 312, 1948},	// QUrlInfo::ReadOwner
    {79, 394, 1952},	// QUrlInfo::WriteGroup
    {79, 396, 1955},	// QUrlInfo::WriteOther
    {79, 397, 1949},	// QUrlInfo::WriteOwner
    {79, 573, 1945},	// QUrlInfo::equal##$
    {79, 607, 1943},	// QUrlInfo::greaterThan##$
    {79, 608, 1933},	// QUrlInfo::group
    {79, 646, 1937},	// QUrlInfo::isDir
    {79, 648, 1942},	// QUrlInfo::isExecutable
    {79, 649, 1938},	// QUrlInfo::isFile
    {79, 659, 1941},	// QUrlInfo::isReadable
    {79, 665, 1939},	// QUrlInfo::isSymLink
    {79, 667, 1929},	// QUrlInfo::isValid
    {79, 668, 1940},	// QUrlInfo::isWritable
    {79, 677, 1935},	// QUrlInfo::lastModified
    {79, 678, 1936},	// QUrlInfo::lastRead
    {79, 685, 1944},	// QUrlInfo::lessThan##$
    {79, 722, 1930},	// QUrlInfo::name
    {79, 738, 1947},	// QUrlInfo::operator!=#
    {79, 774, 1916},	// QUrlInfo::operator=#
    {79, 777, 1946},	// QUrlInfo::operator==#
    {79, 808, 1932},	// QUrlInfo::owner
    {79, 831, 1931},	// QUrlInfo::permissions
    {79, 1148, 1918},	// QUrlInfo::setDir$
    {79, 1159, 1919},	// QUrlInfo::setFile$
    {79, 1163, 1922},	// QUrlInfo::setGroup$
    {79, 1177, 1927},	// QUrlInfo::setLastModified#
    {79, 1179, 1928},	// QUrlInfo::setLastRead#
    {79, 1198, 1917},	// QUrlInfo::setName$
    {79, 1212, 1921},	// QUrlInfo::setOwner$
    {79, 1232, 1926},	// QUrlInfo::setPermissions$
    {79, 1265, 1925},	// QUrlInfo::setReadable$
    {79, 1280, 1923},	// QUrlInfo::setSize$
    {79, 1304, 1920},	// QUrlInfo::setSymLink$
    {79, 1324, 1924},	// QUrlInfo::setWritable$
    {79, 1325, 1934},	// QUrlInfo::size
    {79, 1440, 1957},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 83,
        __smokeqtnetwork::methods, 1958,
        __smokeqtnetwork::methodMaps, 1590,
        __smokeqtnetwork::methodNames, 1440,
        __smokeqtnetwork::types, 422,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
