#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLBuffer
      switch(to) {
        case 27: return (void*)(QGLBuffer*)xptr;
        default: return xptr;
      }
    case 28:   //QGLColormap
      switch(to) {
        case 28: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 29:   //QGLContext
      switch(to) {
        case 29: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFormat
      switch(to) {
        case 30: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObject
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 32:   //QGLFramebufferObjectFormat
      switch(to) {
        case 32: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 33:   //QGLPixelBuffer
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShader
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShader*)xptr;
        case 34: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 35:   //QGLShaderProgram
      switch(to) {
        case 61: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 35: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 36:   //QGLWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 61: return (void*)(QObject*)(QGLWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 36: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsItem
      switch(to) {
        case 38: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 39:   //QGraphicsObject
      switch(to) {
        case 61: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 39: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 40:   //QHashDummyValue
      switch(to) {
        case 40: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 41:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 41: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QIcon
      switch(to) {
        case 42: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 43:   //QImage
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 43: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 44:   //QIncompatibleFlag
      switch(to) {
        case 44: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 45:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 45: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QItemSelectionRange
      switch(to) {
        case 46: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 47:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 47: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QKeySequence
      switch(to) {
        case 48: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 49:   //QLatin1String
      switch(to) {
        case 49: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 50:   //QLine
      switch(to) {
        case 50: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 51:   //QLineF
      switch(to) {
        case 51: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 52:   //QListWidgetItem
      switch(to) {
        case 52: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 53:   //QLocale
      switch(to) {
        case 53: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 54:   //QMargins
      switch(to) {
        case 54: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix
      switch(to) {
        case 55: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 56:   //QMatrix4x4
      switch(to) {
        case 56: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 35: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 36: return (void*)(QGLWidget*)(QObject*)xptr;
        case 34: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintDevice
      switch(to) {
        case 62: return (void*)(QPaintDevice*)xptr;
        case 31: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 36: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 33: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPainter
      switch(to) {
        case 65: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 66:   //QPainterPath
      switch(to) {
        case 66: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 67:   //QPalette
      switch(to) {
        case 67: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 68:   //QPen
      switch(to) {
        case 68: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 69:   //QPersistentModelIndex
      switch(to) {
        case 69: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 70:   //QPicture
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 70: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 71:   //QPixmap
      switch(to) {
        case 62: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 71: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 72:   //QPoint
      switch(to) {
        case 72: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 73:   //QPointF
      switch(to) {
        case 73: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygon
      switch(to) {
        case 74: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 75:   //QPolygonF
      switch(to) {
        case 75: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 76:   //QQuaternion
      switch(to) {
        case 76: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 77:   //QRect
      switch(to) {
        case 77: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 78:   //QRectF
      switch(to) {
        case 78: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 79:   //QRegExp
      switch(to) {
        case 79: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 80:   //QRegion
      switch(to) {
        case 80: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 81:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 81: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 82: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QSize
      switch(to) {
        case 83: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 84:   //QSizeF
      switch(to) {
        case 84: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 85:   //QSizePolicy
      switch(to) {
        case 85: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 86:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 61: return (void*)(QObject*)(QSplitter*)xptr;
        case 62: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 86: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 87:   //QStandardItem
      switch(to) {
        case 87: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 61: return (void*)(QObject*)(QStyle*)xptr;
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QStyleOption
      switch(to) {
        case 91: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 62: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 36: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 0,	// 1: QPaintDevice
    61, 0,	// 3: QObject
    112, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGLBuffer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLBuffer", false, 0, xcall_QGLBuffer, xenum_QGLBuffer, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLBuffer) },	//27
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//28
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//29
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//30
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//31
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//32
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//33
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//34
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//35
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//36
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//37
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//38
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//39
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//40
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QIcon", true, 0, 0, 0, 0, 0 },	//42
    { "QImage", true, 0, 0, 0, 0, 0 },	//43
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//44
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//46
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//48
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//49
    { "QLine", true, 0, 0, 0, 0, 0 },	//50
    { "QLineF", true, 0, 0, 0, 0, 0 },	//51
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//52
    { "QLocale", true, 0, 0, 0, 0, 0 },	//53
    { "QMargins", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//55
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPainter", true, 0, 0, 0, 0, 0 },	//65
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//66
    { "QPalette", true, 0, 0, 0, 0, 0 },	//67
    { "QPen", true, 0, 0, 0, 0, 0 },	//68
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//69
    { "QPicture", true, 0, 0, 0, 0, 0 },	//70
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//71
    { "QPoint", true, 0, 0, 0, 0, 0 },	//72
    { "QPointF", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//74
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//75
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//76
    { "QRect", true, 0, 0, 0, 0, 0 },	//77
    { "QRectF", true, 0, 0, 0, 0, 0 },	//78
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//79
    { "QRegion", true, 0, 0, 0, 0, 0 },	//80
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QSize", true, 0, 0, 0, 0, 0 },	//83
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//84
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//85
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//86
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//22
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//23
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//31
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//42
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGLFunctions::OpenGLFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//131
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref },	//135
    { "QGLBuffer*", 27, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QGLBuffer::Access", 27, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QGLBuffer::Type", 27, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QGLBuffer::UsagePattern", 27, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref },	//140
    { "QGLColormap*", 28, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGLContext::BindOption", 29, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGLFormat", 30, Smoke::t_class|Smoke::tf_stack },	//144
    { "QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//145
    { "QGLFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QGLFormat::OpenGLContextProfile", 30, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QGLFormat::OpenGLVersionFlag", 30, Smoke::t_enum|Smoke::tf_stack },	//148
    { "QGLFramebufferObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QGLFramebufferObject::Attachment", 31, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QGLFramebufferObjectFormat", 32, Smoke::t_class|Smoke::tf_stack },	//151
    { "QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref },	//152
    { "QGLFramebufferObjectFormat*", 32, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QGLFunctions::OpenGLFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QGLPixelBuffer*", 33, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QGLShader*", 34, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QGLShader::ShaderTypeBit", 34, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QGLShaderProgram*", 35, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr },	//159
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QGraphicsItem*", 38, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QGraphicsItem::GraphicsItemChange", 38, Smoke::t_enum|Smoke::tf_stack },	//164
    { "QGraphicsItem::GraphicsItemFlag", 38, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QGraphicsObject*", 39, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QHideEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//170
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QIcon&", 42, Smoke::t_class|Smoke::tf_ref },	//172
    { "QImage", 43, Smoke::t_class|Smoke::tf_stack },	//173
    { "QImage&", 43, Smoke::t_class|Smoke::tf_ref },	//174
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QIncompatibleFlag", 44, Smoke::t_class|Smoke::tf_stack },	//176
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QInputMethodEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QKeyEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref },	//181
    { "QKeySequence::StandardKey", 48, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QLine", 50, Smoke::t_class|Smoke::tf_stack },	//184
    { "QLine&", 50, Smoke::t_class|Smoke::tf_ref },	//185
    { "QLineF", 51, Smoke::t_class|Smoke::tf_stack },	//186
    { "QLineF&", 51, Smoke::t_class|Smoke::tf_ref },	//187
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//188
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//189
    { "QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref },	//190
    { "QLocale&", 53, Smoke::t_class|Smoke::tf_ref },	//191
    { "QLocale::NumberOption", 53, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QMatrix&", 55, Smoke::t_class|Smoke::tf_ref },	//194
    { "QMatrix4x4", 56, Smoke::t_class|Smoke::tf_stack },	//195
    { "QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref },	//196
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QObject*(*)()", 61, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QPaintDevice*", 62, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QPaintDevice::PaintDeviceMetric", 62, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QPaintEngine::DirtyFlag", 63, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QPaintEngine::PaintEngineFeature", 63, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QPaintEngine::Type", 63, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QPainter*", 65, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QPainter::RenderHint", 65, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QPainterPath", 66, Smoke::t_class|Smoke::tf_stack },	//214
    { "QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref },	//215
    { "QPalette&", 67, Smoke::t_class|Smoke::tf_ref },	//216
    { "QPen&", 68, Smoke::t_class|Smoke::tf_ref },	//217
    { "QPicture&", 70, Smoke::t_class|Smoke::tf_ref },	//218
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "QPixmap", 71, Smoke::t_class|Smoke::tf_stack },	//220
    { "QPixmap&", 71, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPoint", 72, Smoke::t_class|Smoke::tf_stack },	//222
    { "QPoint&", 72, Smoke::t_class|Smoke::tf_ref },	//223
    { "QPointF", 73, Smoke::t_class|Smoke::tf_stack },	//224
    { "QPointF&", 73, Smoke::t_class|Smoke::tf_ref },	//225
    { "QPolygon", 74, Smoke::t_class|Smoke::tf_stack },	//226
    { "QPolygon&", 74, Smoke::t_class|Smoke::tf_ref },	//227
    { "QPolygonF", 75, Smoke::t_class|Smoke::tf_stack },	//228
    { "QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref },	//229
    { "QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref },	//230
    { "QRect&", 77, Smoke::t_class|Smoke::tf_ref },	//231
    { "QRectF&", 78, Smoke::t_class|Smoke::tf_ref },	//232
    { "QRegExp&", 79, Smoke::t_class|Smoke::tf_ref },	//233
    { "QRegion", 80, Smoke::t_class|Smoke::tf_stack },	//234
    { "QRegion&", 80, Smoke::t_class|Smoke::tf_ref },	//235
    { "QResizeEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QShowEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QSize", 83, Smoke::t_class|Smoke::tf_stack },	//238
    { "QSize&", 83, Smoke::t_class|Smoke::tf_ref },	//239
    { "QSizeF&", 84, Smoke::t_class|Smoke::tf_ref },	//240
    { "QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref },	//241
    { "QSizePolicy::ControlType", 85, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QSplitter&", 86, Smoke::t_class|Smoke::tf_ref },	//243
    { "QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref },	//244
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//246
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//247
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//250
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//251
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//252
    { "QStyle::StateFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyle::SubControl", 90, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//262
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//268
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//271
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//273
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//274
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//276
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//277
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//278
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//279
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//280
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//281
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//283
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//284
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//285
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//287
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//289
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//290
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//291
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//292
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//293
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//294
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//295
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//297
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "QtMsgType", 37, Smoke::t_enum|Smoke::tf_stack },	//375
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//376
    { "__codecvt_result", 37, Smoke::t_enum|Smoke::tf_stack },	//377
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//378
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//379
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//380
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//383
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//384
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QGLBuffer&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QGLColormap&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QGLContext*", 29, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//397
    { "const QGLFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QGLFramebufferObjectFormat&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QGLWidget*", 36, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//400
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//410
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//414
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//416
    { "const QHashDummyValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QIcon&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QImage&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QItemSelectionRange&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QKeySequence&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QLatin1String&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QLine&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QLineF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QListWidgetItem&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QLocale&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QMargins&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QMatrix&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QMatrix4x4&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QMatrix4x4*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//430
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//432
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//434
    { "const QPainterPath&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QPalette&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QPen&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QPersistentModelIndex&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QPicture&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QPixmap&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QPoint", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//441
    { "const QPoint&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QPointF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//443
    { "const QPointF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QPolygon&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QPolygonF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QQuaternion", 76, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//447
    { "const QQuaternion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QRect&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QRectF&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QRegExp&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QRegExp*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//452
    { "const QRegion&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QSize", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//454
    { "const QSize&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QSizeF", 84, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//456
    { "const QSizeF&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QSizePolicy&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QSplitter&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QStandardItem&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//461
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//464
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QStyleOption&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QStyleOption::OptionType&", 91, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//468
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//470
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//472
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//473
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//475
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//476
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//478
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//479
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//480
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//481
    { "const QVector2D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//482
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//483
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//484
    { "const QVector3D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//485
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//486
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//487
    { "const QVector4D*", 110, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//488
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//489
    { "const float*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//490
    { "const float[2][2]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//491
    { "const float[3][3]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//492
    { "const float[4][4]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//493
    { "const int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//494
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//495
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//496
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//497
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//498
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//499
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//500
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//501
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//502
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//503
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//504
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//505
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//506
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//507
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//508
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//509
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//510
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//511
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//512
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//513
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//514
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//515
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//516
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//517
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//518
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//519
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//520
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    210, 0,	//1  QPaintEngine::Type
    138, 0,	//3  QGLBuffer::Type
    395, 0,	//5  const QGLBuffer&
    139, 0,	//7  QGLBuffer::UsagePattern
    500, 518, 500, 0,	//9  int, void*, int
    500, 497, 500, 0,	//13  int, const void*, int
    497, 500, 0,	//17  const void*, int
    500, 0,	//20  int
    137, 0,	//22  QGLBuffer::Access
    396, 0,	//24  const QGLColormap&
    500, 496, 500, 0,	//26  int, const unsigned int*, int
    500, 511, 0,	//30  int, unsigned int
    500, 387, 0,	//33  int, const QColor&
    511, 0,	//36  unsigned int
    512, 0,	//38  unsigned long
    500, 496, 0,	//40  int, const unsigned int*
    398, 205, 0,	//43  const QGLFormat&, QPaintDevice*
    398, 0,	//46  const QGLFormat&
    397, 0,	//48  const QGLContext*
    397, 397, 0,	//50  const QGLContext*, const QGLContext*
    419, 511, 500, 67, 0,	//53  const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>
    440, 511, 500, 67, 0,	//58  const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>
    419, 511, 500, 0,	//63  const QImage&, unsigned int, int
    440, 511, 500, 0,	//67  const QPixmap&, unsigned int, int
    462, 0,	//71  const QString&
    450, 511, 511, 0,	//73  const QRectF&, unsigned int, unsigned int
    444, 511, 511, 0,	//77  const QPointF&, unsigned int, unsigned int
    398, 500, 0,	//81  const QGLFormat&, int
    378, 0,	//84  bool
    394, 500, 0,	//86  const QFont&, int
    387, 0,	//89  const QColor&
    205, 0,	//91  QPaintDevice*
    419, 0,	//93  const QImage&
    419, 511, 0,	//95  const QImage&, unsigned int
    440, 0,	//98  const QPixmap&
    440, 511, 0,	//100  const QPixmap&, unsigned int
    450, 511, 0,	//103  const QRectF&, unsigned int
    444, 511, 0,	//106  const QPointF&, unsigned int
    142, 0,	//109  QGLContext*
    66, 500, 0,	//111  QFlags<QGL::FormatOption>, int
    66, 0,	//114  QFlags<QGL::FormatOption>
    500, 500, 0,	//116  int, int
    147, 0,	//119  QGLFormat::OpenGLContextProfile
    455, 511, 0,	//121  const QSize&, unsigned int
    500, 500, 511, 0,	//124  int, int, unsigned int
    455, 150, 511, 511, 0,	//128  const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    500, 500, 150, 511, 511, 0,	//133  int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    455, 399, 0,	//139  const QSize&, const QGLFramebufferObjectFormat&
    500, 500, 399, 0,	//142  int, int, const QGLFramebufferObjectFormat&
    149, 449, 149, 449, 511, 511, 0,	//146  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int
    206, 0,	//153  QPaintDevice::PaintDeviceMetric
    455, 0,	//155  const QSize&
    455, 150, 0,	//157  const QSize&, QGLFramebufferObject::Attachment
    455, 150, 511, 0,	//160  const QSize&, QGLFramebufferObject::Attachment, unsigned int
    500, 500, 150, 0,	//164  int, int, QGLFramebufferObject::Attachment
    500, 500, 150, 511, 0,	//168  int, int, QGLFramebufferObject::Attachment, unsigned int
    149, 449, 149, 449, 0,	//173  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    149, 449, 149, 449, 511, 0,	//178  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int
    399, 0,	//184  const QGLFramebufferObjectFormat&
    150, 0,	//186  QGLFramebufferObject::Attachment
    455, 398, 159, 0,	//188  const QSize&, const QGLFormat&, QGLWidget*
    500, 500, 398, 159, 0,	//192  int, int, const QGLFormat&, QGLWidget*
    455, 398, 0,	//197  const QSize&, const QGLFormat&
    500, 500, 398, 0,	//200  int, int, const QGLFormat&
    489, 0,	//204  const char*
    489, 489, 0,	//206  const char*, const char*
    489, 489, 500, 0,	//209  const char*, const char*, int
    200, 500, 519, 0,	//213  QMetaObject::Call, int, void**
    70, 203, 0,	//217  QFlags<QGLShader::ShaderTypeBit>, QObject*
    70, 397, 203, 0,	//220  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    385, 0,	//224  const QByteArray&
    70, 397, 0,	//226  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    70, 0,	//229  QFlags<QGLShader::ShaderTypeBit>
    203, 0,	//231  QObject*
    397, 203, 0,	//233  const QGLContext*, QObject*
    156, 0,	//236  QGLShader*
    70, 489, 0,	//238  QFlags<QGLShader::ShaderTypeBit>, const char*
    70, 385, 0,	//241  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    70, 462, 0,	//244  QFlags<QGLShader::ShaderTypeBit>, const QString&
    489, 500, 0,	//247  const char*, int
    385, 500, 0,	//250  const QByteArray&, int
    462, 500, 0,	//253  const QString&, int
    500, 499, 0,	//256  int, float
    500, 499, 499, 0,	//259  int, float, float
    500, 499, 499, 499, 0,	//263  int, float, float, float
    500, 499, 499, 499, 499, 0,	//268  int, float, float, float, float
    500, 481, 0,	//274  int, const QVector2D&
    500, 484, 0,	//277  int, const QVector3D&
    500, 487, 0,	//280  int, const QVector4D&
    500, 490, 500, 500, 0,	//283  int, const float*, int, int
    489, 499, 0,	//288  const char*, float
    489, 499, 499, 0,	//291  const char*, float, float
    489, 499, 499, 499, 0,	//295  const char*, float, float, float
    489, 499, 499, 499, 499, 0,	//300  const char*, float, float, float, float
    489, 481, 0,	//306  const char*, const QVector2D&
    489, 484, 0,	//309  const char*, const QVector3D&
    489, 487, 0,	//312  const char*, const QVector4D&
    489, 387, 0,	//315  const char*, const QColor&
    489, 490, 500, 500, 0,	//318  const char*, const float*, int, int
    500, 482, 500, 0,	//323  int, const QVector2D*, int
    500, 485, 500, 0,	//327  int, const QVector3D*, int
    500, 488, 500, 0,	//331  int, const QVector4D*, int
    500, 511, 497, 500, 500, 0,	//335  int, unsigned int, const void*, int, int
    489, 482, 500, 0,	//341  const char*, const QVector2D*, int
    489, 485, 500, 0,	//345  const char*, const QVector3D*, int
    489, 488, 500, 0,	//349  const char*, const QVector4D*, int
    489, 511, 497, 500, 500, 0,	//353  const char*, unsigned int, const void*, int, int
    500, 511, 500, 500, 500, 0,	//359  int, unsigned int, int, int, int
    489, 511, 500, 500, 500, 0,	//365  const char*, unsigned int, int, int, int
    500, 442, 0,	//371  int, const QPoint&
    500, 444, 0,	//374  int, const QPointF&
    500, 455, 0,	//377  int, const QSize&
    500, 457, 0,	//380  int, const QSizeF&
    500, 401, 0,	//383  int, const QGenericMatrix<2,2,double>&
    500, 403, 0,	//386  int, const QGenericMatrix<2,3,double>&
    500, 405, 0,	//389  int, const QGenericMatrix<2,4,double>&
    500, 407, 0,	//392  int, const QGenericMatrix<3,2,double>&
    500, 409, 0,	//395  int, const QGenericMatrix<3,3,double>&
    500, 411, 0,	//398  int, const QGenericMatrix<3,4,double>&
    500, 413, 0,	//401  int, const QGenericMatrix<4,2,double>&
    500, 415, 0,	//404  int, const QGenericMatrix<4,3,double>&
    500, 429, 0,	//407  int, const QMatrix4x4&
    500, 491, 0,	//410  int, const float[2][2]
    500, 492, 0,	//413  int, const float[3][3]
    500, 493, 0,	//416  int, const float[4][4]
    500, 473, 0,	//419  int, const QTransform&
    489, 511, 0,	//422  const char*, unsigned int
    489, 442, 0,	//425  const char*, const QPoint&
    489, 444, 0,	//428  const char*, const QPointF&
    489, 455, 0,	//431  const char*, const QSize&
    489, 457, 0,	//434  const char*, const QSizeF&
    489, 401, 0,	//437  const char*, const QGenericMatrix<2,2,double>&
    489, 403, 0,	//440  const char*, const QGenericMatrix<2,3,double>&
    489, 405, 0,	//443  const char*, const QGenericMatrix<2,4,double>&
    489, 407, 0,	//446  const char*, const QGenericMatrix<3,2,double>&
    489, 409, 0,	//449  const char*, const QGenericMatrix<3,3,double>&
    489, 411, 0,	//452  const char*, const QGenericMatrix<3,4,double>&
    489, 413, 0,	//455  const char*, const QGenericMatrix<4,2,double>&
    489, 415, 0,	//458  const char*, const QGenericMatrix<4,3,double>&
    489, 429, 0,	//461  const char*, const QMatrix4x4&
    489, 491, 0,	//464  const char*, const float[2][2]
    489, 492, 0,	//467  const char*, const float[3][3]
    489, 493, 0,	//470  const char*, const float[4][4]
    489, 473, 0,	//473  const char*, const QTransform&
    500, 494, 500, 0,	//476  int, const int*, int
    500, 402, 500, 0,	//480  int, const QGenericMatrix<2,2,double>*, int
    500, 404, 500, 0,	//484  int, const QGenericMatrix<2,3,double>*, int
    500, 406, 500, 0,	//488  int, const QGenericMatrix<2,4,double>*, int
    500, 408, 500, 0,	//492  int, const QGenericMatrix<3,2,double>*, int
    500, 410, 500, 0,	//496  int, const QGenericMatrix<3,3,double>*, int
    500, 412, 500, 0,	//500  int, const QGenericMatrix<3,4,double>*, int
    500, 414, 500, 0,	//504  int, const QGenericMatrix<4,2,double>*, int
    500, 416, 500, 0,	//508  int, const QGenericMatrix<4,3,double>*, int
    500, 430, 500, 0,	//512  int, const QMatrix4x4*, int
    489, 494, 500, 0,	//516  const char*, const int*, int
    489, 496, 500, 0,	//520  const char*, const unsigned int*, int
    489, 402, 500, 0,	//524  const char*, const QGenericMatrix<2,2,double>*, int
    489, 404, 500, 0,	//528  const char*, const QGenericMatrix<2,3,double>*, int
    489, 406, 500, 0,	//532  const char*, const QGenericMatrix<2,4,double>*, int
    489, 408, 500, 0,	//536  const char*, const QGenericMatrix<3,2,double>*, int
    489, 410, 500, 0,	//540  const char*, const QGenericMatrix<3,3,double>*, int
    489, 412, 500, 0,	//544  const char*, const QGenericMatrix<3,4,double>*, int
    489, 414, 500, 0,	//548  const char*, const QGenericMatrix<4,2,double>*, int
    489, 416, 500, 0,	//552  const char*, const QGenericMatrix<4,3,double>*, int
    489, 430, 500, 0,	//556  const char*, const QMatrix4x4*, int
    500, 490, 500, 0,	//560  int, const float*, int
    500, 482, 0,	//564  int, const QVector2D*
    500, 485, 0,	//567  int, const QVector3D*
    500, 488, 0,	//570  int, const QVector4D*
    500, 511, 497, 500, 0,	//573  int, unsigned int, const void*, int
    489, 490, 500, 0,	//578  const char*, const float*, int
    489, 482, 0,	//582  const char*, const QVector2D*
    489, 485, 0,	//585  const char*, const QVector3D*
    489, 488, 0,	//588  const char*, const QVector4D*
    489, 511, 497, 500, 0,	//591  const char*, unsigned int, const void*, int
    500, 511, 500, 500, 0,	//596  int, unsigned int, int, int
    489, 511, 500, 500, 0,	//601  const char*, unsigned int, int, int
    296, 400, 129, 0,	//606  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    142, 296, 400, 129, 0,	//610  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    398, 296, 400, 129, 0,	//615  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    142, 397, 378, 0,	//620  QGLContext*, const QGLContext*, bool
    500, 500, 378, 0,	//624  int, int, bool
    500, 500, 462, 394, 500, 0,	//628  int, int, const QString&, const QFont&, int
    498, 498, 498, 462, 394, 500, 0,	//634  double, double, double, const QString&, const QFont&, int
    43, 0,	//641  QEvent*
    211, 0,	//643  QPaintEvent*
    236, 0,	//645  QResizeEvent*
    296, 0,	//647  QWidget*
    296, 400, 0,	//649  QWidget*, const QGLWidget*
    142, 296, 0,	//652  QGLContext*, QWidget*
    142, 296, 400, 0,	//655  QGLContext*, QWidget*, const QGLWidget*
    398, 296, 0,	//659  const QGLFormat&, QWidget*
    398, 296, 400, 0,	//662  const QGLFormat&, QWidget*, const QGLWidget*
    142, 397, 0,	//666  QGLContext*, const QGLContext*
    500, 500, 462, 0,	//669  int, int, const QString&
    500, 500, 462, 394, 0,	//673  int, int, const QString&, const QFont&
    498, 498, 498, 462, 0,	//678  double, double, double, const QString&
    498, 498, 498, 462, 394, 0,	//683  double, double, double, const QString&, const QFont&
    394, 0,	//689  const QFont&
    30, 500, 0,	//691  QDateTimeEdit::Section, int
    465, 465, 0,	//694  const QStringRef&, const QStringRef&
    513, 0,	//697  unsigned long long
    498, 0,	//699  double
    265, 500, 0,	//701  QTextCodec::ConversionFlag, int
    429, 429, 0,	//704  const QMatrix4x4&, const QMatrix4x4&
    331, 500, 0,	//707  Qt::ImageConversionFlag, int
    484, 484, 0,	//710  const QVector3D&, const QVector3D&
    481, 481, 0,	//713  const QVector2D&, const QVector2D&
    518, 497, 508, 0,	//716  void*, const void*, size_t
    489, 422, 0,	//720  const char*, const QLatin1String&
    31, 78, 0,	//723  QDebug, QFlags<QIODevice::OpenModeFlag>
    27, 172, 0,	//726  QDataStream&, QIcon&
    444, 428, 0,	//729  const QPointF&, const QMatrix&
    208, 88, 0,	//732  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    465, 462, 0,	//735  const QStringRef&, const QString&
    455, 455, 0,	//738  const QSize&, const QSize&
    27, 421, 0,	//741  QDataStream&, const QKeySequence&
    267, 267, 0,	//744  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    489, 385, 0,	//747  const char*, const QByteArray&
    27, 244, 0,	//750  QDataStream&, QStandardItem&
    255, 255, 0,	//753  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    197, 85, 0,	//756  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    45, 62, 0,	//759  QFile::Permission, QFlags<QFile::Permission>
    462, 489, 0,	//762  const QString&, const char*
    27, 230, 0,	//765  QDataStream&, QQuaternion&
    444, 444, 0,	//768  const QPointF&, const QPointF&
    27, 446, 0,	//771  QDataStream&, const QPolygonF&
    498, 498, 0,	//774  double, double
    27, 240, 0,	//777  QDataStream&, QSizeF&
    385, 489, 0,	//780  const QByteArray&, const char*
    499, 0,	//783  float
    507, 0,	//785  signed char
    162, 500, 0,	//787  QGraphicsEffect::ChangeFlag, int
    462, 465, 0,	//790  const QString&, const QStringRef&
    46, 500, 0,	//793  QFileDialog::Option, int
    18, 0,	//796  QChar
    27, 453, 0,	//798  QDataStream&, const QRegion&
    199, 199, 0,	//801  QMessageBox::StandardButton, QMessageBox::StandardButton
    254, 95, 0,	//804  QStyle::SubControl, QFlags<QStyle::SubControl>
    429, 442, 0,	//807  const QMatrix4x4&, const QPoint&
    27, 470, 0,	//810  QDataStream&, const QTextLength&
    31, 382, 0,	//813  QDebug, const QBrush&
    160, 160, 0,	//816  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    465, 422, 0,	//819  const QStringRef&, const QLatin1String&
    429, 487, 0,	//822  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//825  QChar, QChar
    31, 448, 0,	//828  QDebug, const QQuaternion&
    364, 364, 0,	//831  Qt::TouchPointState, Qt::TouchPointState
    429, 0,	//834  const QMatrix4x4&
    475, 0,	//836  const QUrl&
    297, 500, 0,	//838  QWidget::RenderFlag, int
    429, 498, 0,	//841  const QMatrix4x4&, double
    27, 436, 0,	//844  QDataStream&, const QPalette&
    31, 475, 0,	//847  QDebug, const QUrl&
    27, 23, 0,	//850  QDataStream&, QColor&
    27, 262, 0,	//853  QDataStream&, QTableWidgetItem&
    193, 84, 0,	//856  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    247, 462, 0,	//859  QString::Null, const QString&
    31, 165, 0,	//862  QDebug, QGraphicsItem::GraphicsItemFlag
    31, 398, 0,	//865  QDebug, const QGLFormat&
    297, 112, 0,	//868  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    361, 361, 0,	//871  Qt::ToolBarArea, Qt::ToolBarArea
    169, 500, 0,	//874  QGraphicsView::OptimizationFlag, int
    192, 192, 0,	//877  QLocale::NumberOption, QLocale::NumberOption
    372, 372, 0,	//880  Qt::WindowType, Qt::WindowType
    498, 457, 0,	//883  double, const QSizeF&
    448, 448, 0,	//886  const QQuaternion&, const QQuaternion&
    33, 500, 0,	//889  QDir::Filter, int
    254, 254, 0,	//892  QStyle::SubControl, QStyle::SubControl
    442, 442, 0,	//895  const QPoint&, const QPoint&
    27, 450, 0,	//898  QDataStream&, const QRectF&
    339, 500, 0,	//901  Qt::KeyboardModifier, int
    358, 125, 0,	//904  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    197, 500, 0,	//907  QMdiArea::AreaOption, int
    473, 498, 0,	//910  const QTransform&, double
    2, 48, 0,	//913  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    379, 0,	//916  char
    298, 298, 0,	//918  QWizard::WizardOption, QWizard::WizardOption
    275, 109, 0,	//921  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    272, 500, 0,	//924  QTextOption::Flag, int
    31, 427, 0,	//927  QDebug, const QMargins&
    284, 500, 0,	//930  QUrl::FormattingOption, int
    45, 500, 0,	//933  QFile::Permission, int
    160, 71, 0,	//936  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    442, 498, 0,	//939  const QPoint&, double
    212, 500, 500, 500, 500, 436, 378, 383, 0,	//942  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    212, 500, 500, 500, 500, 436, 0,	//951  QPainter*, int, int, int, int, const QPalette&
    212, 500, 500, 500, 500, 436, 378, 0,	//958  QPainter*, int, int, int, int, const QPalette&, bool
    27, 473, 0,	//966  QDataStream&, const QTransform&
    35, 58, 0,	//969  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    462, 385, 0,	//972  const QString&, const QByteArray&
    457, 457, 0,	//975  const QSizeF&, const QSizeF&
    484, 429, 0,	//978  const QVector3D&, const QMatrix4x4&
    487, 487, 0,	//981  const QVector4D&, const QVector4D&
    31, 444, 0,	//984  QDebug, const QPointF&
    504, 500, 502, 502, 0,	//987  long double, int, int*, int*
    46, 63, 0,	//992  QFileDialog::Option, QFlags<QFileDialog::Option>
    27, 440, 0,	//995  QDataStream&, const QPixmap&
    339, 121, 0,	//998  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    298, 500, 0,	//1001  QWizard::WizardOption, int
    31, 424, 0,	//1004  QDebug, const QLineF&
    31, 390, 0,	//1007  QDebug, const QDateTime&
    36, 59, 0,	//1010  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    489, 462, 0,	//1013  const char*, const QString&
    500, 500, 500, 0,	//1016  int, int, int
    168, 168, 0,	//1020  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    143, 67, 0,	//1023  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    27, 439, 0,	//1026  QDataStream&, const QPicture&
    284, 284, 0,	//1029  QUrl::FormattingOption, QUrl::FormattingOption
    364, 127, 0,	//1032  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    331, 331, 0,	//1035  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    209, 500, 0,	//1038  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//1041  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    192, 500, 0,	//1044  QLocale::NumberOption, int
    422, 422, 0,	//1047  const QLatin1String&, const QLatin1String&
    495, 500, 0,	//1050  const unsigned char*, int
    489, 489, 511, 0,	//1053  const char*, const char*, unsigned int
    422, 465, 0,	//1057  const QLatin1String&, const QStringRef&
    180, 182, 0,	//1060  QKeyEvent*, QKeySequence::StandardKey
    257, 257, 0,	//1063  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    273, 243, 0,	//1066  QTextStream&, QSplitter&
    420, 0,	//1069  const QItemSelectionRange&
    321, 321, 0,	//1071  Qt::DropAction, Qt::DropAction
    213, 90, 0,	//1074  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    31, 442, 0,	//1077  QDebug, const QPoint&
    27, 191, 0,	//1080  QDataStream&, QLocale&
    462, 18, 0,	//1083  const QString&, QChar
    247, 247, 0,	//1086  QString::Null, QString::Null
    9, 51, 0,	//1089  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    157, 500, 0,	//1092  QGLShader::ShaderTypeBit, int
    495, 510, 500, 0,	//1095  const unsigned char*, unsigned char*, int
    256, 97, 0,	//1099  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    265, 265, 0,	//1102  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    346, 346, 0,	//1105  Qt::Orientation, Qt::Orientation
    154, 154, 0,	//1108  QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature
    518, 508, 508, 508, 0,	//1111  void*, size_t, size_t, size_t
    27, 216, 0,	//1116  QDataStream&, QPalette&
    27, 388, 0,	//1119  QDataStream&, const QCursor&
    385, 462, 0,	//1122  const QByteArray&, const QString&
    361, 126, 0,	//1125  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    267, 105, 0,	//1128  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    449, 449, 0,	//1131  const QRect&, const QRect&
    44, 61, 0,	//1134  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    381, 381, 0,	//1137  const QBitArray&, const QBitArray&
    385, 385, 0,	//1140  const QByteArray&, const QByteArray&
    199, 87, 0,	//1143  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    518, 508, 0,	//1146  void*, size_t
    219, 91, 0,	//1149  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    27, 428, 0,	//1152  QDataStream&, const QMatrix&
    27, 426, 0,	//1155  QDataStream&, const QLocale&
    31, 392, 0,	//1158  QDebug, const QEasingCurve&
    517, 0,	//1161  void(*)(QtMsgType,const char*)
    3, 500, 0,	//1163  QAbstractPrintDialog::PrintDialogOption, int
    433, 0,	//1166  const QModelIndex&
    30, 30, 0,	//1168  QDateTimeEdit::Section, QDateTimeEdit::Section
    261, 102, 0,	//1171  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    27, 29, 0,	//1174  QDataStream&, QDateTime&
    31, 393, 0,	//1177  QDebug, const QEvent*
    14, 14, 0,	//1180  QBool, QBool
    162, 162, 0,	//1183  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    489, 465, 0,	//1186  const char*, const QStringRef&
    132, 500, 0,	//1189  QFontComboBox::FontFilter, int
    361, 500, 0,	//1192  Qt::ToolBarArea, int
    160, 500, 0,	//1195  QGestureRecognizer::ResultFlag, int
    175, 175, 0,	//1198  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    134, 66, 0,	//1201  QGL::FormatOption, QFlags<QGL::FormatOption>
    27, 217, 0,	//1204  QDataStream&, QPen&
    423, 473, 0,	//1207  const QLine&, const QTransform&
    31, 446, 0,	//1210  QDebug, const QPolygonF&
    333, 500, 0,	//1213  Qt::InputMethodHint, int
    18, 462, 0,	//1216  QChar, const QString&
    258, 99, 0,	//1219  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    248, 500, 0,	//1222  QString::SectionFlag, int
    143, 500, 0,	//1225  QGLContext::BindOption, int
    161, 72, 0,	//1228  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    183, 500, 0,	//1231  QLibrary::LoadHint, int
    31, 164, 0,	//1234  QDebug, QGraphicsItem::GraphicsItemChange
    27, 283, 0,	//1237  QDataStream&, QUrl&
    505, 0,	//1240  long long
    448, 0,	//1242  const QQuaternion&
    462, 247, 0,	//1244  const QString&, QString::Null
    133, 133, 0,	//1247  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    473, 473, 0,	//1250  const QTransform&, const QTransform&
    193, 500, 0,	//1253  QMainWindow::DockOption, int
    27, 15, 0,	//1256  QDataStream&, QBrush&
    1, 500, 0,	//1259  QAbstractFileEngine::FileFlag, int
    265, 103, 0,	//1262  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    462, 379, 0,	//1265  const QString&, char
    435, 428, 0,	//1268  const QPainterPath&, const QMatrix&
    333, 119, 0,	//1271  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    148, 500, 0,	//1274  QGLFormat::OpenGLVersionFlag, int
    193, 193, 0,	//1277  QMainWindow::DockOption, QMainWindow::DockOption
    298, 113, 0,	//1280  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    27, 241, 0,	//1283  QDataStream&, QSizePolicy&
    372, 129, 0,	//1286  Qt::WindowType, QFlags<Qt::WindowType>
    212, 500, 500, 500, 500, 387, 500, 383, 0,	//1289  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    212, 500, 500, 500, 500, 387, 0,	//1298  QPainter*, int, int, int, int, const QColor&
    212, 500, 500, 500, 500, 387, 500, 0,	//1305  QPainter*, int, int, int, int, const QColor&, int
    448, 498, 0,	//1313  const QQuaternion&, double
    344, 344, 0,	//1316  Qt::MouseButton, Qt::MouseButton
    380, 489, 0,	//1319  char*, const char*
    219, 219, 0,	//1322  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    453, 428, 0,	//1325  const QRegion&, const QMatrix&
    299, 299, 0,	//1328  Qt::AlignmentFlag, Qt::AlignmentFlag
    442, 0,	//1331  const QPoint&
    321, 500, 0,	//1333  Qt::DropAction, int
    27, 472, 0,	//1336  QDataStream&, const QTime&
    34, 500, 0,	//1339  QDir::SortFlag, int
    427, 427, 0,	//1342  const QMargins&, const QMargins&
    212, 449, 436, 378, 500, 500, 383, 0,	//1345  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    212, 449, 436, 0,	//1353  QPainter*, const QRect&, const QPalette&
    212, 449, 436, 378, 0,	//1357  QPainter*, const QRect&, const QPalette&, bool
    212, 449, 436, 378, 500, 0,	//1362  QPainter*, const QRect&, const QPalette&, bool, int
    212, 449, 436, 378, 500, 500, 0,	//1368  QPainter*, const QRect&, const QPalette&, bool, int, int
    27, 435, 0,	//1375  QDataStream&, const QPainterPath&
    487, 429, 0,	//1378  const QVector4D&, const QMatrix4x4&
    266, 500, 0,	//1381  QTextDocument::FindFlag, int
    204, 0,	//1384  QObject*(*)()
    31, 420, 0,	//1386  QDebug, const QItemSelectionRange&
    31, 421, 0,	//1389  QDebug, const QKeySequence&
    36, 36, 0,	//1392  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    212, 449, 427, 440, 0,	//1395  QPainter*, const QRect&, const QMargins&, const QPixmap&
    487, 498, 0,	//1400  const QVector4D&, double
    273, 459, 0,	//1403  QTextStream&, const QSplitter&
    342, 342, 0,	//1406  Qt::MatchFlag, Qt::MatchFlag
    508, 0,	//1409  size_t
    319, 115, 0,	//1411  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    27, 250, 0,	//1414  QDataStream&, QStringList&
    259, 259, 0,	//1417  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    179, 81, 0,	//1420  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    27, 484, 0,	//1423  QDataStream&, const QVector3D&
    31, 478, 0,	//1426  QDebug, const QVariant::Type
    319, 500, 0,	//1429  Qt::DockWidgetArea, int
    270, 107, 0,	//1432  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    27, 481, 0,	//1435  QDataStream&, const QVector2D&
    27, 382, 0,	//1438  QDataStream&, const QBrush&
    212, 449, 436, 378, 383, 0,	//1441  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    198, 500, 0,	//1447  QMdiSubWindow::SubWindowOption, int
    503, 0,	//1450  long
    27, 474, 0,	//1452  QDataStream&, const QTreeWidgetItem&
    514, 0,	//1455  unsigned short
    269, 269, 0,	//1457  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    27, 187, 0,	//1460  QDataStream&, QLineF&
    208, 208, 0,	//1463  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    27, 419, 0,	//1466  QDataStream&, const QImage&
    45, 45, 0,	//1469  QFile::Permission, QFile::Permission
    177, 80, 0,	//1472  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    212, 449, 436, 378, 500, 383, 0,	//1475  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    379, 462, 0,	//1482  char, const QString&
    27, 239, 0,	//1485  QDataStream&, QSize&
    27, 181, 0,	//1488  QDataStream&, QKeySequence&
    258, 258, 0,	//1491  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    32, 500, 0,	//1494  QDialogButtonBox::StandardButton, int
    269, 106, 0,	//1497  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    438, 0,	//1500  const QPersistentModelIndex&
    31, 453, 0,	//1502  QDebug, const QRegion&
    27, 487, 0,	//1505  QDataStream&, const QVector4D&
    27, 418, 0,	//1508  QDataStream&, const QIcon&
    27, 462, 0,	//1511  QDataStream&, const QString&
    27, 390, 0,	//1514  QDataStream&, const QDateTime&
    27, 292, 0,	//1517  QDataStream&, QVector3D&
    157, 70, 0,	//1520  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    434, 462, 431, 0,	//1523  const QObject*, const QString&, const QMetaObject&
    212, 500, 500, 500, 500, 436, 378, 500, 383, 0,	//1527  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    212, 500, 500, 500, 500, 436, 378, 500, 0,	//1537  QPainter*, int, int, int, int, const QPalette&, bool, int
    248, 248, 0,	//1546  QString::SectionFlag, QString::SectionFlag
    27, 290, 0,	//1549  QDataStream&, QVector2D&
    199, 500, 0,	//1552  QMessageBox::StandardButton, int
    481, 498, 0,	//1555  const QVector2D&, double
    256, 256, 0,	//1558  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    444, 498, 0,	//1561  const QPointF&, double
    378, 14, 0,	//1564  bool, QBool
    169, 169, 0,	//1567  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    484, 498, 0,	//1570  const QVector3D&, double
    179, 179, 0,	//1573  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    177, 177, 0,	//1576  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    380, 489, 511, 0,	//1579  char*, const char*, unsigned int
    498, 481, 0,	//1583  double, const QVector2D&
    487, 0,	//1586  const QVector4D&
    282, 110, 0,	//1588  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    27, 196, 0,	//1591  QDataStream&, QMatrix4x4&
    259, 100, 0,	//1594  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    267, 500, 0,	//1597  QTextEdit::AutoFormattingFlag, int
    258, 500, 0,	//1600  QStyleOptionTab::CornerWidget, int
    27, 442, 0,	//1603  QDataStream&, const QPoint&
    27, 287, 0,	//1606  QDataStream&, QVariant&
    444, 429, 0,	//1609  const QPointF&, const QMatrix4x4&
    344, 500, 0,	//1612  Qt::MouseButton, int
    27, 174, 0,	//1615  QDataStream&, QImage&
    444, 0,	//1618  const QPointF&
    31, 466, 0,	//1620  QDebug, const QStyleOption&
    3, 49, 0,	//1623  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    27, 218, 0,	//1626  QDataStream&, QPicture&
    24, 500, 0,	//1629  QColorDialog::ColorDialogOption, int
    134, 500, 0,	//1632  QGL::FormatOption, int
    31, 438, 0,	//1635  QDebug, const QPersistentModelIndex&
    446, 428, 0,	//1638  const QPolygonF&, const QMatrix&
    27, 294, 0,	//1641  QDataStream&, QVector4D&
    24, 24, 0,	//1644  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    489, 489, 489, 500, 0,	//1647  const char*, const char*, const char*, int
    499, 442, 0,	//1652  float, const QPoint&
    46, 46, 0,	//1655  QFileDialog::Option, QFileDialog::Option
    272, 272, 0,	//1658  QTextOption::Flag, QTextOption::Flag
    346, 124, 0,	//1661  Qt::Orientation, QFlags<Qt::Orientation>
    27, 429, 0,	//1664  QDataStream&, const QMatrix4x4&
    428, 428, 0,	//1667  const QMatrix&, const QMatrix&
    44, 500, 0,	//1670  QEventLoop::ProcessEventsFlag, int
    450, 450, 0,	//1673  const QRectF&, const QRectF&
    500, 500, 500, 500, 0,	//1676  int, int, int, int
    27, 280, 0,	//1681  QDataStream&, QTransform&
    31, 166, 0,	//1684  QDebug, QGraphicsObject*
    27, 460, 0,	//1687  QDataStream&, const QStandardItem&
    331, 118, 0,	//1690  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    498, 487, 0,	//1693  double, const QVector4D&
    9, 500, 0,	//1696  QAccessible::RelationFlag, int
    198, 86, 0,	//1699  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    27, 463, 0,	//1702  QDataStream&, const QStringList&
    31, 429, 0,	//1705  QDebug, const QMatrix4x4&
    385, 379, 0,	//1708  const QByteArray&, char
    35, 35, 0,	//1711  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    33, 56, 0,	//1714  QDir::Filter, QFlags<QDir::Filter>
    27, 223, 0,	//1717  QDataStream&, QPoint&
    457, 498, 0,	//1720  const QSizeF&, double
    27, 389, 0,	//1723  QDataStream&, const QDate&
    261, 500, 0,	//1726  QStyleOptionViewItemV2::ViewItemFeature, int
    516, 0,	//1729  void(*)()
    495, 500, 500, 0,	//1731  const unsigned char*, int, int
    242, 242, 0,	//1735  QSizePolicy::ControlType, QSizePolicy::ControlType
    27, 423, 0,	//1738  QDataStream&, const QLine&
    27, 194, 0,	//1741  QDataStream&, QMatrix&
    32, 32, 0,	//1744  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    27, 246, 0,	//1747  QDataStream&, QString&
    253, 253, 0,	//1750  QStyle::StateFlag, QStyle::StateFlag
    27, 425, 0,	//1753  QDataStream&, const QListWidgetItem&
    256, 500, 0,	//1756  QStyleOptionFrameV2::FrameFeature, int
    154, 69, 0,	//1759  QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>
    518, 0,	//1762  void*
    31, 74, 0,	//1764  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    424, 428, 0,	//1767  const QLineF&, const QMatrix&
    27, 469, 0,	//1770  QDataStream&, const QTextFormat&
    336, 500, 0,	//1773  Qt::ItemFlag, int
    27, 281, 0,	//1776  QDataStream&, QTreeWidgetItem&
    31, 391, 0,	//1779  QDebug, const QDir&
    273, 274, 0,	//1782  QTextStream&, QTextStream&(*)(QTextStream&)
    31, 437, 0,	//1785  QDebug, const QPen&
    498, 448, 0,	//1788  double, const QQuaternion&
    398, 398, 0,	//1791  const QGLFormat&, const QGLFormat&
    31, 433, 0,	//1794  QDebug, const QModelIndex&
    165, 74, 0,	//1797  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    31, 484, 0,	//1800  QDebug, const QVector3D&
    270, 270, 0,	//1803  QTextItem::RenderFlag, QTextItem::RenderFlag
    44, 44, 0,	//1806  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    381, 0,	//1809  const QBitArray&
    31, 481, 0,	//1811  QDebug, const QVector2D&
    175, 79, 0,	//1814  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    31, 472, 0,	//1817  QDebug, const QTime&
    273, 276, 0,	//1820  QTextStream&, QTextStreamManipulator
    31, 487, 0,	//1823  QDebug, const QVector4D&
    27, 268, 0,	//1826  QDataStream&, QTextFormat&
    326, 117, 0,	//1829  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    465, 489, 0,	//1832  const QStringRef&, const char*
    260, 500, 0,	//1835  QStyleOptionToolButton::ToolButtonFeature, int
    242, 92, 0,	//1838  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    297, 297, 0,	//1841  QWidget::RenderFlag, QWidget::RenderFlag
    27, 13, 0,	//1844  QDataStream&, QBitArray&
    27, 227, 0,	//1847  QDataStream&, QPolygon&
    27, 235, 0,	//1850  QDataStream&, QRegion&
    4, 4, 0,	//1853  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    27, 458, 0,	//1856  QDataStream&, const QSizePolicy&
    260, 260, 0,	//1859  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    36, 500, 0,	//1862  QDockWidget::DockWidgetFeature, int
    508, 508, 0,	//1865  size_t, size_t
    167, 75, 0,	//1868  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    143, 143, 0,	//1871  QGLContext::BindOption, QGLContext::BindOption
    442, 473, 0,	//1874  const QPoint&, const QTransform&
    504, 500, 502, 502, 380, 508, 0,	//1877  long double, int, int*, int*, char*, size_t
    31, 457, 0,	//1884  QDebug, const QSizeF&
    326, 500, 0,	//1887  Qt::GestureFlag, int
    379, 385, 0,	//1890  char, const QByteArray&
    253, 500, 0,	//1893  QStyle::StateFlag, int
    27, 477, 0,	//1896  QDataStream&, const QVariant&
    260, 101, 0,	//1899  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    31, 477, 0,	//1902  QDebug, const QVariant&
    10, 10, 0,	//1905  QAccessible::StateFlag, QAccessible::StateFlag
    213, 213, 0,	//1908  QPainter::RenderHint, QPainter::RenderHint
    371, 500, 0,	//1911  Qt::WindowState, int
    27, 277, 0,	//1914  QDataStream&, QTime&
    27, 221, 0,	//1917  QDataStream&, QPixmap&
    30, 54, 0,	//1920  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    272, 108, 0,	//1923  QTextOption::Flag, QFlags<QTextOption::Flag>
    31, 56, 0,	//1926  QDebug, QFlags<QDir::Filter>
    339, 339, 0,	//1929  Qt::KeyboardModifier, Qt::KeyboardModifier
    27, 42, 0,	//1932  QDataStream&, QEasingCurve&
    498, 444, 0,	//1935  double, const QPointF&
    321, 116, 0,	//1938  Qt::DropAction, QFlags<Qt::DropAction>
    453, 473, 0,	//1941  const QRegion&, const QTransform&
    148, 68, 0,	//1944  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    455, 498, 0,	//1947  const QSize&, double
    31, 389, 0,	//1950  QDebug, const QDate&
    435, 473, 0,	//1953  const QPainterPath&, const QTransform&
    10, 52, 0,	//1956  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    33, 33, 0,	//1959  QDir::Filter, QDir::Filter
    380, 508, 489, 515, 0,	//1962  char*, size_t, const char*, va_list
    498, 442, 0,	//1967  double, const QPoint&
    446, 473, 0,	//1970  const QPolygonF&, const QTransform&
    518, 500, 508, 0,	//1973  void*, int, size_t
    27, 424, 0,	//1977  QDataStream&, const QLineF&
    506, 0,	//1980  short
    198, 198, 0,	//1982  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    171, 171, 0,	//1985  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    319, 319, 0,	//1988  Qt::DockWidgetArea, Qt::DockWidgetArea
    34, 57, 0,	//1991  QDir::SortFlag, QFlags<QDir::SortFlag>
    499, 499, 0,	//1994  float, float
    477, 479, 0,	//1997  const QVariant&, const QVariantComparisonHelper&
    177, 500, 0,	//2000  QInputDialog::InputDialogOption, int
    183, 183, 0,	//2003  QLibrary::LoadHint, QLibrary::LoadHint
    504, 500, 380, 0,	//2006  long double, int, char*
    518, 508, 508, 501, 0,	//2010  void*, size_t, size_t, int(*)(const void*,const void*)
    282, 282, 0,	//2015  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    257, 98, 0,	//2018  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    169, 77, 0,	//2021  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    35, 500, 0,	//2024  QDirIterator::IteratorFlag, int
    333, 333, 0,	//2027  Qt::InputMethodHint, Qt::InputMethodHint
    167, 500, 0,	//2030  QGraphicsScene::SceneLayer, int
    27, 437, 0,	//2033  QDataStream&, const QPen&
    154, 500, 0,	//2036  QGLFunctions::OpenGLFeature, int
    209, 209, 0,	//2039  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    27, 215, 0,	//2042  QDataStream&, QPainterPath&
    31, 423, 0,	//2045  QDebug, const QLine&
    358, 358, 0,	//2048  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    212, 500, 500, 500, 500, 436, 378, 500, 500, 383, 0,	//2051  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    212, 500, 500, 500, 500, 436, 378, 500, 500, 0,	//2062  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    364, 500, 0,	//2072  Qt::TouchPointState, int
    27, 271, 0,	//2075  QDataStream&, QTextLength&
    31, 473, 0,	//2078  QDebug, const QTransform&
    282, 500, 0,	//2081  QTreeWidgetItemIterator::IteratorFlag, int
    31, 445, 0,	//2084  QDebug, const QPolygon&
    284, 111, 0,	//2087  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 500, 0,	//2090  QAbstractSpinBox::StepEnabledFlag, int
    242, 500, 0,	//2093  QSizePolicy::ControlType, int
    167, 167, 0,	//2096  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    358, 500, 0,	//2099  Qt::TextInteractionFlag, int
    371, 371, 0,	//2102  Qt::WindowState, Qt::WindowState
    269, 500, 0,	//2105  QTextFormat::PageBreakFlag, int
    481, 0,	//2108  const QVector2D&
    1, 47, 0,	//2110  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    27, 387, 0,	//2113  QDataStream&, const QColor&
    498, 429, 0,	//2116  double, const QMatrix4x4&
    27, 385, 0,	//2119  QDataStream&, const QByteArray&
    9, 9, 0,	//2122  QAccessible::RelationFlag, QAccessible::RelationFlag
    27, 392, 0,	//2125  QDataStream&, const QEasingCurve&
    423, 428, 0,	//2128  const QLine&, const QMatrix&
    27, 475, 0,	//2131  QDataStream&, const QUrl&
    31, 449, 0,	//2134  QDebug, const QRect&
    31, 394, 0,	//2137  QDebug, const QFont&
    34, 34, 0,	//2140  QDir::SortFlag, QDir::SortFlag
    24, 53, 0,	//2143  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    168, 500, 0,	//2146  QGraphicsView::CacheModeFlag, int
    275, 500, 0,	//2149  QTextStream::NumberFlag, int
    27, 231, 0,	//2152  QDataStream&, QRect&
    197, 197, 0,	//2155  QMdiArea::AreaOption, QMdiArea::AreaOption
    27, 455, 0,	//2158  QDataStream&, const QSize&
    27, 386, 0,	//2161  QDataStream&, const QChar&
    132, 64, 0,	//2164  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    182, 180, 0,	//2167  QKeySequence::StandardKey, QKeyEvent*
    133, 65, 0,	//2170  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    253, 94, 0,	//2173  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    299, 500, 0,	//2176  Qt::AlignmentFlag, int
    27, 190, 0,	//2179  QDataStream&, QListWidgetItem&
    27, 451, 0,	//2182  QDataStream&, const QRegExp&
    175, 500, 0,	//2185  QImageIOPlugin::Capability, int
    266, 104, 0,	//2188  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    484, 0,	//2191  const QVector3D&
    31, 450, 0,	//2193  QDebug, const QRectF&
    371, 128, 0,	//2196  Qt::WindowState, QFlags<Qt::WindowState>
    162, 73, 0,	//2199  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    336, 336, 0,	//2202  Qt::ItemFlag, Qt::ItemFlag
    27, 285, 0,	//2205  QDataStream&, QUuid&
    27, 131, 0,	//2208  QDataStream&, QFont&
    212, 449, 387, 500, 383, 0,	//2211  QPainter*, const QRect&, const QColor&, int, const QBrush*
    212, 449, 387, 0,	//2217  QPainter*, const QRect&, const QColor&
    212, 449, 387, 500, 0,	//2221  QPainter*, const QRect&, const QColor&, int
    27, 229, 0,	//2226  QDataStream&, QPolygonF&
    165, 165, 0,	//2229  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    157, 157, 0,	//2232  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    259, 500, 0,	//2235  QStyleOptionToolBar::ToolBarFeature, int
    442, 500, 0,	//2238  const QPoint&, int
    27, 289, 0,	//2241  QDataStream&, QVariant::Type&
    213, 500, 0,	//2244  QPainter::RenderHint, int
    477, 288, 518, 0,	//2247  const QVariant&, QVariant::Type, void*
    31, 94, 0,	//2251  QDebug, QFlags<QStyle::StateFlag>
    2, 500, 0,	//2254  QAbstractItemView::EditTrigger, int
    442, 429, 0,	//2257  const QPoint&, const QMatrix4x4&
    442, 428, 0,	//2260  const QPoint&, const QMatrix&
    3, 3, 0,	//2263  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    434, 462, 452, 431, 189, 0,	//2266  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    417, 417, 0,	//2272  const QHashDummyValue&, const QHashDummyValue&
    27, 225, 0,	//2275  QDataStream&, QPointF&
    346, 500, 0,	//2278  Qt::Orientation, int
    261, 261, 0,	//2281  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    429, 484, 0,	//2284  const QMatrix4x4&, const QVector3D&
    27, 468, 0,	//2287  QDataStream&, const QTableWidgetItem&
    31, 163, 0,	//2290  QDebug, QGraphicsItem*
    212, 442, 442, 436, 378, 500, 500, 0,	//2293  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    212, 442, 442, 436, 0,	//2301  QPainter*, const QPoint&, const QPoint&, const QPalette&
    212, 442, 442, 436, 378, 0,	//2306  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    212, 442, 442, 436, 378, 500, 0,	//2312  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    326, 326, 0,	//2319  Qt::GestureFlag, Qt::GestureFlag
    171, 78, 0,	//2322  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    429, 444, 0,	//2325  const QMatrix4x4&, const QPointF&
    161, 500, 0,	//2328  QGraphicsBlurEffect::BlurHint, int
    209, 89, 0,	//2331  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    27, 394, 0,	//2334  QDataStream&, const QFont&
    161, 161, 0,	//2337  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    445, 473, 0,	//2340  const QPolygon&, const QTransform&
    148, 148, 0,	//2343  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    208, 500, 0,	//2346  QPaintEngine::DirtyFlag, int
    442, 499, 0,	//2349  const QPoint&, float
    498, 455, 0,	//2352  double, const QSize&
    179, 500, 0,	//2355  QItemSelectionModel::SelectionFlag, int
    14, 378, 0,	//2358  QBool, bool
    32, 55, 0,	//2361  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    27, 185, 0,	//2364  QDataStream&, QLine&
    31, 455, 0,	//2367  QDebug, const QSize&
    254, 500, 0,	//2370  QStyle::SubControl, int
    275, 275, 0,	//2373  QTextStream::NumberFlag, QTextStream::NumberFlag
    424, 473, 0,	//2376  const QLineF&, const QTransform&
    133, 500, 0,	//2379  QFontDialog::FontDialogOption, int
    344, 123, 0,	//2382  Qt::MouseButton, QFlags<Qt::MouseButton>
    27, 478, 0,	//2385  QDataStream&, const QVariant::Type
    266, 266, 0,	//2388  QTextDocument::FindFlag, QTextDocument::FindFlag
    257, 500, 0,	//2391  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    336, 120, 0,	//2394  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    444, 473, 0,	//2397  const QPointF&, const QTransform&
    31, 387, 0,	//2400  QDebug, const QColor&
    31, 428, 0,	//2403  QDebug, const QMatrix&
    27, 476, 0,	//2406  QDataStream&, const QUuid&
    183, 82, 0,	//2409  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    372, 500, 0,	//2412  Qt::WindowType, int
    255, 500, 0,	//2415  QStyleOptionButton::ButtonFeature, int
    27, 232, 0,	//2418  QDataStream&, QRectF&
    255, 96, 0,	//2421  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    168, 76, 0,	//2424  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    27, 26, 0,	//2427  QDataStream&, QCursor&
    165, 500, 0,	//2430  QGraphicsItem::GraphicsItemFlag, int
    27, 449, 0,	//2433  QDataStream&, const QRect&
    342, 122, 0,	//2436  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    299, 114, 0,	//2439  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    27, 19, 0,	//2442  QDataStream&, QChar&
    27, 233, 0,	//2445  QDataStream&, QRegExp&
    27, 448, 0,	//2448  QDataStream&, const QQuaternion&
    10, 500, 0,	//2451  QAccessible::StateFlag, int
    27, 444, 0,	//2454  QDataStream&, const QPointF&
    134, 134, 0,	//2457  QGL::FormatOption, QGL::FormatOption
    219, 500, 0,	//2460  QPinchGesture::ChangeFlag, int
    192, 83, 0,	//2463  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    27, 457, 0,	//2466  QDataStream&, const QSizeF&
    270, 500, 0,	//2469  QTextItem::RenderFlag, int
    212, 449, 427, 440, 449, 427, 471, 60, 0,	//2472  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    212, 449, 427, 440, 449, 427, 0,	//2481  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    212, 449, 427, 440, 449, 427, 471, 0,	//2488  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    248, 93, 0,	//2496  QString::SectionFlag, QFlags<QString::SectionFlag>
    462, 462, 0,	//2499  const QString&, const QString&
    1, 1, 0,	//2502  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    375, 489, 0,	//2505  QtMsgType, const char*
    31, 435, 0,	//2508  QDebug, const QPainterPath&
    498, 484, 0,	//2511  double, const QVector3D&
    465, 0,	//2514  const QStringRef&
    171, 500, 0,	//2516  QIODevice::OpenModeFlag, int
    4, 50, 0,	//2519  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    509, 0,	//2522  unsigned char
    27, 17, 0,	//2524  QDataStream&, QByteArray&
    132, 132, 0,	//2527  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    445, 428, 0,	//2530  const QPolygon&, const QMatrix&
    31, 467, 0,	//2533  QDebug, const QStyleOption::OptionType&
    31, 434, 0,	//2536  QDebug, const QObject*
    342, 500, 0,	//2539  Qt::MatchFlag, int
    27, 445, 0,	//2542  QDataStream&, const QPolygon&
    27, 28, 0,	//2545  QDataStream&, QDate&
    27, 381, 0,	//2548  QDataStream&, const QBitArray&
    203, 43, 0,	//2551  QObject*, QEvent*
    278, 0,	//2554  QTimerEvent*
    20, 0,	//2556  QChildEvent*
    201, 0,	//2558  QMouseEvent*
    295, 0,	//2560  QWheelEvent*
    180, 0,	//2562  QKeyEvent*
    130, 0,	//2564  QFocusEvent*
    202, 0,	//2566  QMoveEvent*
    21, 0,	//2568  QCloseEvent*
    25, 0,	//2570  QContextMenuEvent*
    263, 0,	//2572  QTabletEvent*
    11, 0,	//2574  QActionEvent*
    37, 0,	//2576  QDragEnterEvent*
    39, 0,	//2578  QDragMoveEvent*
    38, 0,	//2580  QDragLeaveEvent*
    41, 0,	//2582  QDropEvent*
    237, 0,	//2584  QShowEvent*
    170, 0,	//2586  QHideEvent*
    376, 0,	//2588  _XEvent*
    178, 0,	//2590  QInputMethodEvent*
    334, 0,	//2592  Qt::InputMethodQuery
    252, 0,	//2594  QStyle&
    436, 0,	//2596  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "DynamicCopy",	//16
    "DynamicDraw",	//17
    "DynamicRead",	//18
    "Fragment",	//19
    "Geometry",	//20
    "HasOverlay",	//21
    "IgnoreMask",	//22
    "IndexBuffer",	//23
    "IndirectRendering",	//24
    "InternalBindOption",	//25
    "InvertedYBindOption",	//26
    "LinearFilteringBindOption",	//27
    "MemoryManagedBindOption",	//28
    "MipmapBindOption",	//29
    "NoAccumBuffer",	//30
    "NoAlphaChannel",	//31
    "NoAttachment",	//32
    "NoBindOption",	//33
    "NoDeprecatedFunctions",	//34
    "NoDepthBuffer",	//35
    "NoOverlay",	//36
    "NoProfile",	//37
    "NoSampleBuffers",	//38
    "NoStencilBuffer",	//39
    "NoStereoBuffers",	//40
    "OpenGL_ES_CommonLite_Version_1_0",	//41
    "OpenGL_ES_CommonLite_Version_1_1",	//42
    "OpenGL_ES_Common_Version_1_0",	//43
    "OpenGL_ES_Common_Version_1_1",	//44
    "OpenGL_ES_Version_2_0",	//45
    "OpenGL_Version_1_1",	//46
    "OpenGL_Version_1_2",	//47
    "OpenGL_Version_1_3",	//48
    "OpenGL_Version_1_4",	//49
    "OpenGL_Version_1_5",	//50
    "OpenGL_Version_2_0",	//51
    "OpenGL_Version_2_1",	//52
    "OpenGL_Version_3_0",	//53
    "OpenGL_Version_3_1",	//54
    "OpenGL_Version_3_2",	//55
    "OpenGL_Version_3_3",	//56
    "OpenGL_Version_4_0",	//57
    "OpenGL_Version_None",	//58
    "PM_BoldLineWidth",	//59
    "PM_CbaIconHeight",	//60
    "PM_CbaIconWidth",	//61
    "PM_FrameCornerHeight",	//62
    "PM_FrameCornerWidth",	//63
    "PM_MessageBoxHeight",	//64
    "PM_ThinLineWidth",	//65
    "PixelPackBuffer",	//66
    "PixelUnpackBuffer",	//67
    "PremultipliedAlphaBindOption",	//68
    "QGLBuffer",	//69
    "QGLBuffer#",	//70
    "QGLBuffer$",	//71
    "QGLColormap",	//72
    "QGLColormap#",	//73
    "QGLContext",	//74
    "QGLContext#",	//75
    "QGLContext##",	//76
    "QGLFormat",	//77
    "QGLFormat#",	//78
    "QGLFormat$",	//79
    "QGLFormat$$",	//80
    "QGLFramebufferObject",	//81
    "QGLFramebufferObject#",	//82
    "QGLFramebufferObject##",	//83
    "QGLFramebufferObject#$",	//84
    "QGLFramebufferObject#$$",	//85
    "QGLFramebufferObject#$$$",	//86
    "QGLFramebufferObject$$",	//87
    "QGLFramebufferObject$$#",	//88
    "QGLFramebufferObject$$$",	//89
    "QGLFramebufferObject$$$$",	//90
    "QGLFramebufferObject$$$$$",	//91
    "QGLFramebufferObjectFormat",	//92
    "QGLFramebufferObjectFormat#",	//93
    "QGLPixelBuffer",	//94
    "QGLPixelBuffer#",	//95
    "QGLPixelBuffer##",	//96
    "QGLPixelBuffer###",	//97
    "QGLPixelBuffer$$",	//98
    "QGLPixelBuffer$$#",	//99
    "QGLPixelBuffer$$##",	//100
    "QGLShader",	//101
    "QGLShader$",	//102
    "QGLShader$#",	//103
    "QGLShader$##",	//104
    "QGLShaderProgram",	//105
    "QGLShaderProgram#",	//106
    "QGLShaderProgram##",	//107
    "QGLWidget",	//108
    "QGLWidget#",	//109
    "QGLWidget##",	//110
    "QGLWidget###",	//111
    "QGLWidget###$",	//112
    "QGLWidget##$",	//113
    "QtCriticalMsg",	//114
    "QtDebugMsg",	//115
    "QtFatalMsg",	//116
    "QtSystemMsg",	//117
    "QtWarningMsg",	//118
    "ReadOnly",	//119
    "ReadWrite",	//120
    "Rgba",	//121
    "SampleBuffers",	//122
    "SingleBuffer",	//123
    "StaticCopy",	//124
    "StaticDraw",	//125
    "StaticRead",	//126
    "StencilBuffer",	//127
    "StereoBuffers",	//128
    "StreamCopy",	//129
    "StreamDraw",	//130
    "StreamRead",	//131
    "Vertex",	//132
    "VertexBuffer",	//133
    "WriteOnly",	//134
    "__codecvt_error",	//135
    "__codecvt_noconv",	//136
    "__codecvt_ok",	//137
    "__codecvt_partial",	//138
    "accum",	//139
    "accumBufferSize",	//140
    "actionEvent",	//141
    "addShader",	//142
    "addShader#",	//143
    "addShaderFromSourceCode",	//144
    "addShaderFromSourceCode$#",	//145
    "addShaderFromSourceCode$$",	//146
    "addShaderFromSourceFile",	//147
    "addShaderFromSourceFile$$",	//148
    "allocate",	//149
    "allocate$",	//150
    "allocate$$",	//151
    "alpha",	//152
    "alphaBufferSize",	//153
    "areSharing",	//154
    "areSharing##",	//155
    "attachment",	//156
    "attributeLocation",	//157
    "attributeLocation#",	//158
    "attributeLocation$",	//159
    "autoBufferSwap",	//160
    "bind",	//161
    "bindAttributeLocation",	//162
    "bindAttributeLocation#$",	//163
    "bindAttributeLocation$$",	//164
    "bindDefault",	//165
    "bindTexture",	//166
    "bindTexture#",	//167
    "bindTexture#$",	//168
    "bindTexture#$$",	//169
    "bindTexture#$$$",	//170
    "bindTexture$",	//171
    "bindToDynamicTexture",	//172
    "bindToDynamicTexture$",	//173
    "blitFramebuffer",	//174
    "blitFramebuffer####",	//175
    "blitFramebuffer####$",	//176
    "blitFramebuffer####$$",	//177
    "blueBufferSize",	//178
    "bufferId",	//179
    "changeEvent",	//180
    "childEvent",	//181
    "chooseContext",	//182
    "chooseContext#",	//183
    "chooseVisual",	//184
    "closeEvent",	//185
    "colorIndex",	//186
    "colorIndex#",	//187
    "colormap",	//188
    "compileSourceCode",	//189
    "compileSourceCode#",	//190
    "compileSourceCode$",	//191
    "compileSourceFile",	//192
    "compileSourceFile$",	//193
    "connectNotify",	//194
    "context",	//195
    "contextMenuEvent",	//196
    "convertToGLFormat",	//197
    "convertToGLFormat#",	//198
    "create",	//199
    "create#",	//200
    "currentContext",	//201
    "currentCtx",	//202
    "customEvent",	//203
    "defaultFormat",	//204
    "defaultOverlayFormat",	//205
    "deleteTexture",	//206
    "deleteTexture$",	//207
    "depth",	//208
    "depthBufferSize",	//209
    "destroy",	//210
    "detach",	//211
    "devType",	//212
    "device",	//213
    "deviceIsPixmap",	//214
    "directRendering",	//215
    "disableAttributeArray",	//216
    "disableAttributeArray$",	//217
    "disconnectNotify",	//218
    "doneCurrent",	//219
    "doubleBuffer",	//220
    "dragEnterEvent",	//221
    "dragLeaveEvent",	//222
    "dragMoveEvent",	//223
    "drawTexture",	//224
    "drawTexture#$",	//225
    "drawTexture#$$",	//226
    "dropEvent",	//227
    "enableAttributeArray",	//228
    "enableAttributeArray$",	//229
    "enabledChange",	//230
    "enterEvent",	//231
    "entryColor",	//232
    "entryColor$",	//233
    "entryRgb",	//234
    "entryRgb$",	//235
    "event",	//236
    "event#",	//237
    "eventFilter",	//238
    "find",	//239
    "find$",	//240
    "findNearest",	//241
    "findNearest$",	//242
    "focusInEvent",	//243
    "focusNextPrevChild",	//244
    "focusOutEvent",	//245
    "fontChange",	//246
    "fontDisplayListBase",	//247
    "fontDisplayListBase#",	//248
    "fontDisplayListBase#$",	//249
    "format",	//250
    "generateDynamicTexture",	//251
    "generateFontDisplayLists",	//252
    "generateFontDisplayLists#$",	//253
    "geometryInputType",	//254
    "geometryOutputType",	//255
    "geometryOutputVertexCount",	//256
    "getProcAddress",	//257
    "getProcAddress$",	//258
    "glDraw",	//259
    "glInit",	//260
    "grabFrameBuffer",	//261
    "grabFrameBuffer$",	//262
    "greenBufferSize",	//263
    "handle",	//264
    "hasOpenGL",	//265
    "hasOpenGLFramebufferBlit",	//266
    "hasOpenGLFramebufferObjects",	//267
    "hasOpenGLOverlays",	//268
    "hasOpenGLPbuffers",	//269
    "hasOpenGLShaderPrograms",	//270
    "hasOpenGLShaderPrograms#",	//271
    "hasOpenGLShaders",	//272
    "hasOpenGLShaders$",	//273
    "hasOpenGLShaders$#",	//274
    "hasOverlay",	//275
    "heightForWidth",	//276
    "hideEvent",	//277
    "initializeGL",	//278
    "initializeOverlayGL",	//279
    "initialized",	//280
    "inputMethodEvent",	//281
    "inputMethodQuery",	//282
    "internalTextureFormat",	//283
    "isBound",	//284
    "isCompiled",	//285
    "isCreated",	//286
    "isEmpty",	//287
    "isLinked",	//288
    "isSharing",	//289
    "isValid",	//290
    "keyPressEvent",	//291
    "keyReleaseEvent",	//292
    "languageChange",	//293
    "leaveEvent",	//294
    "link",	//295
    "log",	//296
    "majorVersion",	//297
    "makeCurrent",	//298
    "makeOverlayCurrent",	//299
    "map",	//300
    "map$",	//301
    "maxGeometryOutputVertices",	//302
    "metaObject",	//303
    "metric",	//304
    "metric$",	//305
    "minimumSizeHint",	//306
    "minorVersion",	//307
    "mipmap",	//308
    "mouseDoubleClickEvent",	//309
    "mouseMoveEvent",	//310
    "mousePressEvent",	//311
    "mouseReleaseEvent",	//312
    "moveEvent",	//313
    "openGLVersionFlags",	//314
    "operator!=",	//315
    "operator!=#",	//316
    "operator!=##",	//317
    "operator!=#$",	//318
    "operator!=$#",	//319
    "operator!=$$",	//320
    "operator&",	//321
    "operator&##",	//322
    "operator*",	//323
    "operator*##",	//324
    "operator*#$",	//325
    "operator*$#",	//326
    "operator+",	//327
    "operator+##",	//328
    "operator+#$",	//329
    "operator+$#",	//330
    "operator+$$",	//331
    "operator-",	//332
    "operator-#",	//333
    "operator-##",	//334
    "operator-#$",	//335
    "operator/",	//336
    "operator/#$",	//337
    "operator<",	//338
    "operator<##",	//339
    "operator<#$",	//340
    "operator<$#",	//341
    "operator<$$",	//342
    "operator<<",	//343
    "operator<<##",	//344
    "operator<<#$",	//345
    "operator<<#?",	//346
    "operator<=",	//347
    "operator<=##",	//348
    "operator<=#$",	//349
    "operator<=$#",	//350
    "operator<=$$",	//351
    "operator=",	//352
    "operator=#",	//353
    "operator==",	//354
    "operator==#",	//355
    "operator==##",	//356
    "operator==#$",	//357
    "operator==$#",	//358
    "operator==$$",	//359
    "operator>",	//360
    "operator>##",	//361
    "operator>#$",	//362
    "operator>$#",	//363
    "operator>$$",	//364
    "operator>=",	//365
    "operator>=##",	//366
    "operator>=#$",	//367
    "operator>=$#",	//368
    "operator>=$$",	//369
    "operator>>",	//370
    "operator>>##",	//371
    "operator>>#$",	//372
    "operator>>#?",	//373
    "operator^",	//374
    "operator^##",	//375
    "operator|",	//376
    "operator|##",	//377
    "operator|$$",	//378
    "overlayContext",	//379
    "overlayTransparentColor",	//380
    "paintEngine",	//381
    "paintEvent",	//382
    "paintEvent#",	//383
    "paintGL",	//384
    "paintOverlayGL",	//385
    "paletteChange",	//386
    "plane",	//387
    "profile",	//388
    "programId",	//389
    "qAccessibleActionCastHelper",	//390
    "qAccessibleEditableTextCastHelper",	//391
    "qAccessibleImageCastHelper",	//392
    "qAccessibleTableCastHelper",	//393
    "qAccessibleTextCastHelper",	//394
    "qAccessibleValueCastHelper",	//395
    "qAcos",	//396
    "qAcos$",	//397
    "qAddPostRoutine",	//398
    "qAddPostRoutine$",	//399
    "qAlpha",	//400
    "qAlpha$",	//401
    "qAppName",	//402
    "qAsin",	//403
    "qAsin$",	//404
    "qAtan",	//405
    "qAtan$",	//406
    "qAtan2",	//407
    "qAtan2$$",	//408
    "qBadAlloc",	//409
    "qBlue",	//410
    "qBlue$",	//411
    "qCeil",	//412
    "qCeil$",	//413
    "qChecksum",	//414
    "qChecksum$$",	//415
    "qCompress",	//416
    "qCompress#",	//417
    "qCompress#$",	//418
    "qCompress$$",	//419
    "qCompress$$$",	//420
    "qCos",	//421
    "qCos$",	//422
    "qCritical",	//423
    "qDebug",	//424
    "qDrawBorderPixmap",	//425
    "qDrawBorderPixmap####",	//426
    "qDrawBorderPixmap######",	//427
    "qDrawBorderPixmap#######",	//428
    "qDrawBorderPixmap#######$",	//429
    "qDrawPlainRect",	//430
    "qDrawPlainRect###",	//431
    "qDrawPlainRect###$",	//432
    "qDrawPlainRect###$#",	//433
    "qDrawPlainRect#$$$$#",	//434
    "qDrawPlainRect#$$$$#$",	//435
    "qDrawPlainRect#$$$$#$#",	//436
    "qDrawShadeLine",	//437
    "qDrawShadeLine####",	//438
    "qDrawShadeLine####$",	//439
    "qDrawShadeLine####$$",	//440
    "qDrawShadeLine####$$$",	//441
    "qDrawShadeLine#$$$$#",	//442
    "qDrawShadeLine#$$$$#$",	//443
    "qDrawShadeLine#$$$$#$$",	//444
    "qDrawShadeLine#$$$$#$$$",	//445
    "qDrawShadePanel",	//446
    "qDrawShadePanel###",	//447
    "qDrawShadePanel###$",	//448
    "qDrawShadePanel###$$",	//449
    "qDrawShadePanel###$$#",	//450
    "qDrawShadePanel#$$$$#",	//451
    "qDrawShadePanel#$$$$#$",	//452
    "qDrawShadePanel#$$$$#$$",	//453
    "qDrawShadePanel#$$$$#$$#",	//454
    "qDrawShadeRect",	//455
    "qDrawShadeRect###",	//456
    "qDrawShadeRect###$",	//457
    "qDrawShadeRect###$$",	//458
    "qDrawShadeRect###$$$",	//459
    "qDrawShadeRect###$$$#",	//460
    "qDrawShadeRect#$$$$#",	//461
    "qDrawShadeRect#$$$$#$",	//462
    "qDrawShadeRect#$$$$#$$",	//463
    "qDrawShadeRect#$$$$#$$$",	//464
    "qDrawShadeRect#$$$$#$$$#",	//465
    "qDrawWinButton",	//466
    "qDrawWinButton###",	//467
    "qDrawWinButton###$",	//468
    "qDrawWinButton###$#",	//469
    "qDrawWinButton#$$$$#",	//470
    "qDrawWinButton#$$$$#$",	//471
    "qDrawWinButton#$$$$#$#",	//472
    "qDrawWinPanel",	//473
    "qDrawWinPanel###",	//474
    "qDrawWinPanel###$",	//475
    "qDrawWinPanel###$#",	//476
    "qDrawWinPanel#$$$$#",	//477
    "qDrawWinPanel#$$$$#$",	//478
    "qDrawWinPanel#$$$$#$#",	//479
    "qExp",	//480
    "qExp$",	//481
    "qFabs",	//482
    "qFabs$",	//483
    "qFastCos",	//484
    "qFastCos$",	//485
    "qFastSin",	//486
    "qFastSin$",	//487
    "qFlagLocation",	//488
    "qFlagLocation$",	//489
    "qFloor",	//490
    "qFloor$",	//491
    "qFree",	//492
    "qFree$",	//493
    "qFreeAligned",	//494
    "qFreeAligned$",	//495
    "qFuzzyCompare",	//496
    "qFuzzyCompare##",	//497
    "qFuzzyCompare$$",	//498
    "qFuzzyIsNull",	//499
    "qFuzzyIsNull$",	//500
    "qGray",	//501
    "qGray$",	//502
    "qGray$$$",	//503
    "qGreen",	//504
    "qGreen$",	//505
    "qHash",	//506
    "qHash#",	//507
    "qHash$",	//508
    "qInf",	//509
    "qInstallMsgHandler",	//510
    "qInstallMsgHandler$",	//511
    "qIntCast",	//512
    "qIntCast$",	//513
    "qIsFinite",	//514
    "qIsFinite$",	//515
    "qIsGray",	//516
    "qIsGray$",	//517
    "qIsInf",	//518
    "qIsInf$",	//519
    "qIsNaN",	//520
    "qIsNaN$",	//521
    "qIsNull",	//522
    "qIsNull$",	//523
    "qLn",	//524
    "qLn$",	//525
    "qMalloc",	//526
    "qMalloc$",	//527
    "qMallocAligned",	//528
    "qMallocAligned$$",	//529
    "qMemCopy",	//530
    "qMemCopy$$$",	//531
    "qMemSet",	//532
    "qMemSet$$$",	//533
    "qPow",	//534
    "qPow$$",	//535
    "qQNaN",	//536
    "qRealloc",	//537
    "qRealloc$$",	//538
    "qReallocAligned",	//539
    "qReallocAligned$$$$",	//540
    "qRed",	//541
    "qRed$",	//542
    "qRegisterStaticPluginInstanceFunction",	//543
    "qRegisterStaticPluginInstanceFunction#",	//544
    "qRemovePostRoutine",	//545
    "qRemovePostRoutine$",	//546
    "qRgb",	//547
    "qRgb$$$",	//548
    "qRgba",	//549
    "qRgba$$$$",	//550
    "qRound",	//551
    "qRound$",	//552
    "qRound64",	//553
    "qRound64$",	//554
    "qSNaN",	//555
    "qSetFieldWidth",	//556
    "qSetFieldWidth$",	//557
    "qSetPadChar",	//558
    "qSetPadChar#",	//559
    "qSetRealNumberPrecision",	//560
    "qSetRealNumberPrecision$",	//561
    "qSharedBuild",	//562
    "qSin",	//563
    "qSin$",	//564
    "qSqrt",	//565
    "qSqrt$",	//566
    "qStringComparisonHelper",	//567
    "qStringComparisonHelper#$",	//568
    "qStringComparisonHelper$$",	//569
    "qTan",	//570
    "qTan$",	//571
    "qUncompress",	//572
    "qUncompress#",	//573
    "qUncompress$$",	//574
    "qVersion",	//575
    "qWarning",	//576
    "qbswap_helper",	//577
    "qbswap_helper$$$",	//578
    "qecvt",	//579
    "qecvt$$$$",	//580
    "qecvt_r",	//581
    "qecvt_r$$$$$$",	//582
    "qfcvt",	//583
    "qfcvt$$$$",	//584
    "qfcvt_r",	//585
    "qfcvt_r$$$$$$",	//586
    "qgcvt",	//587
    "qgcvt$$$",	//588
    "qgetenv",	//589
    "qgetenv$",	//590
    "qglClearColor",	//591
    "qglClearColor#",	//592
    "qglColor",	//593
    "qglColor#",	//594
    "qputenv",	//595
    "qputenv$#",	//596
    "qrand",	//597
    "qsort",	//598
    "qsort$$$$",	//599
    "qsrand",	//600
    "qsrand$",	//601
    "qstrcmp",	//602
    "qstrcmp##",	//603
    "qstrcmp#$",	//604
    "qstrcmp$#",	//605
    "qstrcmp$$",	//606
    "qstrcpy",	//607
    "qstrcpy$$",	//608
    "qstrdup",	//609
    "qstrdup$",	//610
    "qstricmp",	//611
    "qstricmp$$",	//612
    "qstrlen",	//613
    "qstrlen$",	//614
    "qstrncmp",	//615
    "qstrncmp$$$",	//616
    "qstrncpy",	//617
    "qstrncpy$$$",	//618
    "qstrnicmp",	//619
    "qstrnicmp$$$",	//620
    "qstrnlen",	//621
    "qstrnlen$$",	//622
    "qtTrId",	//623
    "qtTrId$",	//624
    "qtTrId$$",	//625
    "qt_assert",	//626
    "qt_assert$$$",	//627
    "qt_assert_x",	//628
    "qt_assert_x$$$$",	//629
    "qt_check_pointer",	//630
    "qt_check_pointer$$",	//631
    "qt_error_string",	//632
    "qt_error_string$",	//633
    "qt_message_output",	//634
    "qt_message_output$$",	//635
    "qt_metacall",	//636
    "qt_metacall$$?",	//637
    "qt_metacast",	//638
    "qt_metacast$",	//639
    "qt_noop",	//640
    "qt_qFindChild_helper",	//641
    "qt_qFindChild_helper#$#",	//642
    "qt_qFindChildren_helper",	//643
    "qt_qFindChildren_helper#$##?",	//644
    "qvariant_cast_helper",	//645
    "qvariant_cast_helper#$$",	//646
    "qvsnprintf",	//647
    "qvsnprintf$$$?",	//648
    "read",	//649
    "read$$$",	//650
    "redBufferSize",	//651
    "release",	//652
    "release$",	//653
    "releaseFromDynamicTexture",	//654
    "removeAllShaders",	//655
    "removeShader",	//656
    "removeShader#",	//657
    "renderPixmap",	//658
    "renderPixmap$",	//659
    "renderPixmap$$",	//660
    "renderPixmap$$$",	//661
    "renderText",	//662
    "renderText$$$",	//663
    "renderText$$$#",	//664
    "renderText$$$#$",	//665
    "renderText$$$$",	//666
    "renderText$$$$#",	//667
    "renderText$$$$#$",	//668
    "requestedFormat",	//669
    "reset",	//670
    "resizeEvent",	//671
    "resizeEvent#",	//672
    "resizeGL",	//673
    "resizeGL$$",	//674
    "resizeOverlayGL",	//675
    "resizeOverlayGL$$",	//676
    "rgba",	//677
    "sampleBuffers",	//678
    "samples",	//679
    "setAccum",	//680
    "setAccum$",	//681
    "setAccumBufferSize",	//682
    "setAccumBufferSize$",	//683
    "setAlpha",	//684
    "setAlpha$",	//685
    "setAlphaBufferSize",	//686
    "setAlphaBufferSize$",	//687
    "setAttachment",	//688
    "setAttachment$",	//689
    "setAttributeArray",	//690
    "setAttributeArray$#",	//691
    "setAttributeArray$#$",	//692
    "setAttributeArray$$$",	//693
    "setAttributeArray$$$$",	//694
    "setAttributeArray$$$$$",	//695
    "setAttributeBuffer",	//696
    "setAttributeBuffer$$$$",	//697
    "setAttributeBuffer$$$$$",	//698
    "setAttributeValue",	//699
    "setAttributeValue$#",	//700
    "setAttributeValue$$",	//701
    "setAttributeValue$$$",	//702
    "setAttributeValue$$$$",	//703
    "setAttributeValue$$$$$",	//704
    "setAutoBufferSwap",	//705
    "setAutoBufferSwap$",	//706
    "setBlueBufferSize",	//707
    "setBlueBufferSize$",	//708
    "setColormap",	//709
    "setColormap#",	//710
    "setContext",	//711
    "setContext#",	//712
    "setContext##",	//713
    "setContext##$",	//714
    "setCurrentCtx",	//715
    "setCurrentCtx#",	//716
    "setDefaultFormat",	//717
    "setDefaultFormat#",	//718
    "setDefaultOverlayFormat",	//719
    "setDefaultOverlayFormat#",	//720
    "setDepth",	//721
    "setDepth$",	//722
    "setDepthBufferSize",	//723
    "setDepthBufferSize$",	//724
    "setDevice",	//725
    "setDevice#",	//726
    "setDirectRendering",	//727
    "setDirectRendering$",	//728
    "setDoubleBuffer",	//729
    "setDoubleBuffer$",	//730
    "setEntries",	//731
    "setEntries$$",	//732
    "setEntries$$$",	//733
    "setEntry",	//734
    "setEntry$#",	//735
    "setEntry$$",	//736
    "setFormat",	//737
    "setFormat#",	//738
    "setGeometryInputType",	//739
    "setGeometryInputType$",	//740
    "setGeometryOutputType",	//741
    "setGeometryOutputType$",	//742
    "setGeometryOutputVertexCount",	//743
    "setGeometryOutputVertexCount$",	//744
    "setGreenBufferSize",	//745
    "setGreenBufferSize$",	//746
    "setHandle",	//747
    "setHandle$",	//748
    "setInitialized",	//749
    "setInitialized$",	//750
    "setInternalTextureFormat",	//751
    "setInternalTextureFormat$",	//752
    "setMipmap",	//753
    "setMipmap$",	//754
    "setMouseTracking",	//755
    "setMouseTracking$",	//756
    "setOption",	//757
    "setOption$",	//758
    "setOverlay",	//759
    "setOverlay$",	//760
    "setPlane",	//761
    "setPlane$",	//762
    "setPreferredPaintEngine",	//763
    "setPreferredPaintEngine$",	//764
    "setProfile",	//765
    "setProfile$",	//766
    "setRedBufferSize",	//767
    "setRedBufferSize$",	//768
    "setRgba",	//769
    "setRgba$",	//770
    "setSampleBuffers",	//771
    "setSampleBuffers$",	//772
    "setSamples",	//773
    "setSamples$",	//774
    "setStencil",	//775
    "setStencil$",	//776
    "setStencilBufferSize",	//777
    "setStencilBufferSize$",	//778
    "setStereo",	//779
    "setStereo$",	//780
    "setSwapInterval",	//781
    "setSwapInterval$",	//782
    "setTextureCacheLimit",	//783
    "setTextureCacheLimit$",	//784
    "setTextureTarget",	//785
    "setTextureTarget$",	//786
    "setUniformValue",	//787
    "setUniformValue$#",	//788
    "setUniformValue$$",	//789
    "setUniformValue$$$",	//790
    "setUniformValue$$$$",	//791
    "setUniformValue$$$$$",	//792
    "setUniformValue$?",	//793
    "setUniformValueArray",	//794
    "setUniformValueArray$#$",	//795
    "setUniformValueArray$$$",	//796
    "setUniformValueArray$$$$",	//797
    "setUniformValueArray$?$",	//798
    "setUsagePattern",	//799
    "setUsagePattern$",	//800
    "setValid",	//801
    "setValid$",	//802
    "setVersion",	//803
    "setVersion$$",	//804
    "setVisible",	//805
    "setWindowCreated",	//806
    "setWindowCreated$",	//807
    "shaderId",	//808
    "shaderType",	//809
    "shaders",	//810
    "showEvent",	//811
    "size",	//812
    "sizeHint",	//813
    "sourceCode",	//814
    "staticMetaObject",	//815
    "stencil",	//816
    "stencilBufferSize",	//817
    "stereo",	//818
    "styleChange",	//819
    "swapBuffers",	//820
    "swapInterval",	//821
    "tabletEvent",	//822
    "testOption",	//823
    "testOption$",	//824
    "texture",	//825
    "textureCacheLimit",	//826
    "textureTarget",	//827
    "timerEvent",	//828
    "toImage",	//829
    "tr",	//830
    "tr$",	//831
    "tr$$",	//832
    "tr$$$",	//833
    "trUtf8",	//834
    "trUtf8$",	//835
    "trUtf8$$",	//836
    "trUtf8$$$",	//837
    "tryVisual",	//838
    "tryVisual#",	//839
    "tryVisual#$",	//840
    "type",	//841
    "uniformLocation",	//842
    "uniformLocation#",	//843
    "uniformLocation$",	//844
    "unmap",	//845
    "updateDynamicTexture",	//846
    "updateDynamicTexture$",	//847
    "updateGL",	//848
    "updateOverlayGL",	//849
    "usagePattern",	//850
    "wheelEvent",	//851
    "windowActivationChange",	//852
    "windowCreated",	//853
    "write",	//854
    "write$$$",	//855
    "x11Event",	//856
    "~QGLBuffer",	//857
    "~QGLColormap",	//858
    "~QGLContext",	//859
    "~QGLFormat",	//860
    "~QGLFramebufferObject",	//861
    "~QGLFramebufferObjectFormat",	//862
    "~QGLPixelBuffer",	//863
    "~QGLShader",	//864
    "~QGLShaderProgram",	//865
    "~QGLWidget",	//866
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 763, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 3},	//3 QGL::DepthBuffer (enum)
    {26, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 6},	//6 QGL::AccumBuffer (enum)
    {26, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 7},	//7 QGL::StencilBuffer (enum)
    {26, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 9},	//9 QGL::DirectRendering (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 10},	//10 QGL::HasOverlay (enum)
    {26, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 13},	//13 QGL::SingleBuffer (enum)
    {26, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 15},	//15 QGL::ColorIndex (enum)
    {26, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 20},	//20 QGL::IndirectRendering (enum)
    {26, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 21},	//21 QGL::NoOverlay (enum)
    {26, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 69, 0, 0, Smoke::mf_ctor, 136, 1},	//24 QGLBuffer::QGLBuffer()
    {27, 69, 3, 1, Smoke::mf_ctor, 136, 2},	//25 QGLBuffer::QGLBuffer(QGLBuffer::Type)
    {27, 69, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 136, 3},	//26 QGLBuffer::QGLBuffer(const QGLBuffer&)
    {27, 352, 5, 1, 0, 135, 4},	//27 QGLBuffer::operator=(const QGLBuffer&)
    {27, 841, 0, 0, Smoke::mf_const, 138, 5},	//28 QGLBuffer::type() const
    {27, 850, 0, 0, Smoke::mf_const, 139, 6},	//29 QGLBuffer::usagePattern() const
    {27, 799, 7, 1, 0, 0, 7},	//30 QGLBuffer::setUsagePattern(QGLBuffer::UsagePattern)
    {27, 199, 0, 0, 0, 378, 8},	//31 QGLBuffer::create()
    {27, 286, 0, 0, Smoke::mf_const, 378, 9},	//32 QGLBuffer::isCreated() const
    {27, 210, 0, 0, 0, 0, 10},	//33 QGLBuffer::destroy()
    {27, 161, 0, 0, 0, 378, 11},	//34 QGLBuffer::bind()
    {27, 652, 0, 0, 0, 0, 12},	//35 QGLBuffer::release()
    {27, 652, 3, 1, Smoke::mf_static, 0, 13},	//36 QGLBuffer::release(QGLBuffer::Type)
    {27, 179, 0, 0, Smoke::mf_const, 511, 14},	//37 QGLBuffer::bufferId() const
    {27, 812, 0, 0, Smoke::mf_const, 500, 15},	//38 QGLBuffer::size() const
    {27, 649, 9, 3, 0, 378, 16},	//39 QGLBuffer::read(int, void*, int)
    {27, 854, 13, 3, 0, 0, 17},	//40 QGLBuffer::write(int, const void*, int)
    {27, 149, 17, 2, 0, 0, 18},	//41 QGLBuffer::allocate(const void*, int)
    {27, 149, 20, 1, 0, 0, 19},	//42 QGLBuffer::allocate(int)
    {27, 300, 22, 1, 0, 518, 20},	//43 QGLBuffer::map(QGLBuffer::Access)
    {27, 845, 0, 0, 0, 378, 21},	//44 QGLBuffer::unmap()
    {27, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 22},	//45 QGLBuffer::VertexBuffer (enum)
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 23},	//46 QGLBuffer::IndexBuffer (enum)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 24},	//47 QGLBuffer::PixelPackBuffer (enum)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 25},	//48 QGLBuffer::PixelUnpackBuffer (enum)
    {27, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 26},	//49 QGLBuffer::StreamDraw (enum)
    {27, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 27},	//50 QGLBuffer::StreamRead (enum)
    {27, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 28},	//51 QGLBuffer::StreamCopy (enum)
    {27, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 29},	//52 QGLBuffer::StaticDraw (enum)
    {27, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 30},	//53 QGLBuffer::StaticRead (enum)
    {27, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 31},	//54 QGLBuffer::StaticCopy (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 32},	//55 QGLBuffer::DynamicDraw (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 33},	//56 QGLBuffer::DynamicRead (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 34},	//57 QGLBuffer::DynamicCopy (enum)
    {27, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 35},	//58 QGLBuffer::ReadOnly (enum)
    {27, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 36},	//59 QGLBuffer::WriteOnly (enum)
    {27, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 37},	//60 QGLBuffer::ReadWrite (enum)
    {27, 857, 0, 0, Smoke::mf_dtor, 0, 38 },	//61 QGLBuffer::~QGLBuffer()
    {28, 72, 0, 0, Smoke::mf_ctor, 141, 1},	//62 QGLColormap::QGLColormap()
    {28, 72, 24, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//63 QGLColormap::QGLColormap(const QGLColormap&)
    {28, 352, 24, 1, 0, 140, 3},	//64 QGLColormap::operator=(const QGLColormap&)
    {28, 287, 0, 0, Smoke::mf_const, 378, 4},	//65 QGLColormap::isEmpty() const
    {28, 812, 0, 0, Smoke::mf_const, 500, 5},	//66 QGLColormap::size() const
    {28, 211, 0, 0, 0, 0, 6},	//67 QGLColormap::detach()
    {28, 731, 26, 3, 0, 0, 7},	//68 QGLColormap::setEntries(int, const unsigned int*, int)
    {28, 734, 30, 2, 0, 0, 8},	//69 QGLColormap::setEntry(int, unsigned int)
    {28, 734, 33, 2, 0, 0, 9},	//70 QGLColormap::setEntry(int, const QColor&)
    {28, 234, 20, 1, Smoke::mf_const, 511, 10},	//71 QGLColormap::entryRgb(int) const
    {28, 232, 20, 1, Smoke::mf_const, 22, 11},	//72 QGLColormap::entryColor(int) const
    {28, 239, 36, 1, Smoke::mf_const, 500, 12},	//73 QGLColormap::find(unsigned int) const
    {28, 241, 36, 1, Smoke::mf_const, 500, 13},	//74 QGLColormap::findNearest(unsigned int) const
    {28, 264, 0, 0, Smoke::mf_protected, 512, 14},	//75 QGLColormap::handle()
    {28, 747, 38, 1, Smoke::mf_protected, 0, 15},	//76 QGLColormap::setHandle(unsigned long)
    {28, 731, 40, 2, 0, 0, 16},	//77 QGLColormap::setEntries(int, const unsigned int*)
    {28, 858, 0, 0, Smoke::mf_dtor, 0, 17 },	//78 QGLColormap::~QGLColormap()
    {29, 74, 43, 2, Smoke::mf_ctor, 142, 1},	//79 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {29, 74, 46, 1, Smoke::mf_ctor, 142, 2},	//80 QGLContext::QGLContext(const QGLFormat&)
    {29, 199, 48, 1, Smoke::mf_virtual, 378, 3},	//81 QGLContext::create(const QGLContext*)
    {29, 290, 0, 0, Smoke::mf_const, 378, 4},	//82 QGLContext::isValid() const
    {29, 289, 0, 0, Smoke::mf_const, 378, 5},	//83 QGLContext::isSharing() const
    {29, 670, 0, 0, 0, 0, 6},	//84 QGLContext::reset()
    {29, 154, 50, 2, Smoke::mf_static, 378, 7},	//85 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {29, 250, 0, 0, Smoke::mf_const, 144, 8},	//86 QGLContext::format() const
    {29, 669, 0, 0, Smoke::mf_const, 144, 9},	//87 QGLContext::requestedFormat() const
    {29, 737, 46, 1, 0, 0, 10},	//88 QGLContext::setFormat(const QGLFormat&)
    {29, 298, 0, 0, Smoke::mf_virtual, 0, 11},	//89 QGLContext::makeCurrent()
    {29, 219, 0, 0, Smoke::mf_virtual, 0, 12},	//90 QGLContext::doneCurrent()
    {29, 820, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//91 QGLContext::swapBuffers() const
    {29, 166, 53, 4, 0, 511, 14},	//92 QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 166, 58, 4, 0, 511, 15},	//93 QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {29, 166, 63, 3, 0, 511, 16},	//94 QGLContext::bindTexture(const QImage&, unsigned int, int)
    {29, 166, 67, 3, 0, 511, 17},	//95 QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    {29, 166, 71, 1, 0, 511, 18},	//96 QGLContext::bindTexture(const QString&)
    {29, 206, 36, 1, 0, 0, 19},	//97 QGLContext::deleteTexture(unsigned int)
    {29, 224, 73, 3, 0, 0, 20},	//98 QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    {29, 224, 77, 3, 0, 0, 21},	//99 QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    {29, 783, 20, 1, Smoke::mf_static, 0, 22},	//100 QGLContext::setTextureCacheLimit(int)
    {29, 826, 0, 0, Smoke::mf_static, 500, 23},	//101 QGLContext::textureCacheLimit()
    {29, 257, 71, 1, Smoke::mf_const, 518, 24},	//102 QGLContext::getProcAddress(const QString&) const
    {29, 213, 0, 0, Smoke::mf_const, 205, 25},	//103 QGLContext::device() const
    {29, 380, 0, 0, Smoke::mf_const, 22, 26},	//104 QGLContext::overlayTransparentColor() const
    {29, 201, 0, 0, Smoke::mf_static, 397, 27},	//105 QGLContext::currentContext()
    {29, 182, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 378, 28},	//106 QGLContext::chooseContext(const QGLContext*)
    {29, 838, 81, 2, Smoke::mf_protected|Smoke::mf_virtual, 518, 29},	//107 QGLContext::tryVisual(const QGLFormat&, int)
    {29, 184, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 518, 30},	//108 QGLContext::chooseVisual()
    {29, 214, 0, 0, Smoke::mf_const|Smoke::mf_protected, 378, 31},	//109 QGLContext::deviceIsPixmap() const
    {29, 853, 0, 0, Smoke::mf_const|Smoke::mf_protected, 378, 32},	//110 QGLContext::windowCreated() const
    {29, 806, 84, 1, Smoke::mf_protected, 0, 33},	//111 QGLContext::setWindowCreated(bool)
    {29, 280, 0, 0, Smoke::mf_const|Smoke::mf_protected, 378, 34},	//112 QGLContext::initialized() const
    {29, 749, 84, 1, Smoke::mf_protected, 0, 35},	//113 QGLContext::setInitialized(bool)
    {29, 252, 86, 2, Smoke::mf_protected, 0, 36},	//114 QGLContext::generateFontDisplayLists(const QFont&, int)
    {29, 186, 89, 1, Smoke::mf_const|Smoke::mf_protected, 511, 37},	//115 QGLContext::colorIndex(const QColor&) const
    {29, 801, 84, 1, Smoke::mf_protected, 0, 38},	//116 QGLContext::setValid(bool)
    {29, 725, 91, 1, Smoke::mf_protected, 0, 39},	//117 QGLContext::setDevice(QPaintDevice*)
    {29, 199, 0, 0, 0, 378, 40},	//118 QGLContext::create()
    {29, 166, 93, 1, 0, 511, 41},	//119 QGLContext::bindTexture(const QImage&)
    {29, 166, 95, 2, 0, 511, 42},	//120 QGLContext::bindTexture(const QImage&, unsigned int)
    {29, 166, 98, 1, 0, 511, 43},	//121 QGLContext::bindTexture(const QPixmap&)
    {29, 166, 100, 2, 0, 511, 44},	//122 QGLContext::bindTexture(const QPixmap&, unsigned int)
    {29, 224, 103, 2, 0, 0, 45},	//123 QGLContext::drawTexture(const QRectF&, unsigned int)
    {29, 224, 106, 2, 0, 0, 46},	//124 QGLContext::drawTexture(const QPointF&, unsigned int)
    {29, 182, 0, 0, Smoke::mf_protected, 378, 47},	//125 QGLContext::chooseContext()
    {29, 838, 46, 1, Smoke::mf_protected, 518, 48},	//126 QGLContext::tryVisual(const QGLFormat&)
    {29, 202, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 142, 49},	//127 QGLContext::currentCtx() const
    {29, 715, 109, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//128 QGLContext::setCurrentCtx(QGLContext*)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 51},	//129 QGLContext::NoBindOption (enum)
    {29, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 52},	//130 QGLContext::InvertedYBindOption (enum)
    {29, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 53},	//131 QGLContext::MipmapBindOption (enum)
    {29, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 54},	//132 QGLContext::PremultipliedAlphaBindOption (enum)
    {29, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 55},	//133 QGLContext::LinearFilteringBindOption (enum)
    {29, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 56},	//134 QGLContext::MemoryManagedBindOption (enum)
    {29, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 57},	//135 QGLContext::CanFlipNativePixmapBindOption (enum)
    {29, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 58},	//136 QGLContext::DefaultBindOption (enum)
    {29, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 59},	//137 QGLContext::InternalBindOption (enum)
    {29, 859, 0, 0, Smoke::mf_dtor, 0, 60 },	//138 QGLContext::~QGLContext()
    {30, 77, 0, 0, Smoke::mf_ctor, 146, 1},	//139 QGLFormat::QGLFormat()
    {30, 77, 111, 2, Smoke::mf_ctor, 146, 2},	//140 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {30, 77, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 3},	//141 QGLFormat::QGLFormat(const QGLFormat&)
    {30, 352, 46, 1, 0, 145, 4},	//142 QGLFormat::operator=(const QGLFormat&)
    {30, 723, 20, 1, 0, 0, 5},	//143 QGLFormat::setDepthBufferSize(int)
    {30, 209, 0, 0, Smoke::mf_const, 500, 6},	//144 QGLFormat::depthBufferSize() const
    {30, 682, 20, 1, 0, 0, 7},	//145 QGLFormat::setAccumBufferSize(int)
    {30, 140, 0, 0, Smoke::mf_const, 500, 8},	//146 QGLFormat::accumBufferSize() const
    {30, 767, 20, 1, 0, 0, 9},	//147 QGLFormat::setRedBufferSize(int)
    {30, 651, 0, 0, Smoke::mf_const, 500, 10},	//148 QGLFormat::redBufferSize() const
    {30, 745, 20, 1, 0, 0, 11},	//149 QGLFormat::setGreenBufferSize(int)
    {30, 263, 0, 0, Smoke::mf_const, 500, 12},	//150 QGLFormat::greenBufferSize() const
    {30, 707, 20, 1, 0, 0, 13},	//151 QGLFormat::setBlueBufferSize(int)
    {30, 178, 0, 0, Smoke::mf_const, 500, 14},	//152 QGLFormat::blueBufferSize() const
    {30, 686, 20, 1, 0, 0, 15},	//153 QGLFormat::setAlphaBufferSize(int)
    {30, 153, 0, 0, Smoke::mf_const, 500, 16},	//154 QGLFormat::alphaBufferSize() const
    {30, 777, 20, 1, 0, 0, 17},	//155 QGLFormat::setStencilBufferSize(int)
    {30, 817, 0, 0, Smoke::mf_const, 500, 18},	//156 QGLFormat::stencilBufferSize() const
    {30, 771, 84, 1, 0, 0, 19},	//157 QGLFormat::setSampleBuffers(bool)
    {30, 678, 0, 0, Smoke::mf_const, 378, 20},	//158 QGLFormat::sampleBuffers() const
    {30, 773, 20, 1, 0, 0, 21},	//159 QGLFormat::setSamples(int)
    {30, 679, 0, 0, Smoke::mf_const, 500, 22},	//160 QGLFormat::samples() const
    {30, 781, 20, 1, 0, 0, 23},	//161 QGLFormat::setSwapInterval(int)
    {30, 821, 0, 0, Smoke::mf_const, 500, 24},	//162 QGLFormat::swapInterval() const
    {30, 220, 0, 0, Smoke::mf_const, 378, 25},	//163 QGLFormat::doubleBuffer() const
    {30, 729, 84, 1, 0, 0, 26},	//164 QGLFormat::setDoubleBuffer(bool)
    {30, 208, 0, 0, Smoke::mf_const, 378, 27},	//165 QGLFormat::depth() const
    {30, 721, 84, 1, 0, 0, 28},	//166 QGLFormat::setDepth(bool)
    {30, 677, 0, 0, Smoke::mf_const, 378, 29},	//167 QGLFormat::rgba() const
    {30, 769, 84, 1, 0, 0, 30},	//168 QGLFormat::setRgba(bool)
    {30, 152, 0, 0, Smoke::mf_const, 378, 31},	//169 QGLFormat::alpha() const
    {30, 684, 84, 1, 0, 0, 32},	//170 QGLFormat::setAlpha(bool)
    {30, 139, 0, 0, Smoke::mf_const, 378, 33},	//171 QGLFormat::accum() const
    {30, 680, 84, 1, 0, 0, 34},	//172 QGLFormat::setAccum(bool)
    {30, 816, 0, 0, Smoke::mf_const, 378, 35},	//173 QGLFormat::stencil() const
    {30, 775, 84, 1, 0, 0, 36},	//174 QGLFormat::setStencil(bool)
    {30, 818, 0, 0, Smoke::mf_const, 378, 37},	//175 QGLFormat::stereo() const
    {30, 779, 84, 1, 0, 0, 38},	//176 QGLFormat::setStereo(bool)
    {30, 215, 0, 0, Smoke::mf_const, 378, 39},	//177 QGLFormat::directRendering() const
    {30, 727, 84, 1, 0, 0, 40},	//178 QGLFormat::setDirectRendering(bool)
    {30, 275, 0, 0, Smoke::mf_const, 378, 41},	//179 QGLFormat::hasOverlay() const
    {30, 759, 84, 1, 0, 0, 42},	//180 QGLFormat::setOverlay(bool)
    {30, 387, 0, 0, Smoke::mf_const, 500, 43},	//181 QGLFormat::plane() const
    {30, 761, 20, 1, 0, 0, 44},	//182 QGLFormat::setPlane(int)
    {30, 757, 114, 1, 0, 0, 45},	//183 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {30, 823, 114, 1, Smoke::mf_const, 378, 46},	//184 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {30, 204, 0, 0, Smoke::mf_static, 144, 47},	//185 QGLFormat::defaultFormat()
    {30, 717, 46, 1, Smoke::mf_static, 0, 48},	//186 QGLFormat::setDefaultFormat(const QGLFormat&)
    {30, 205, 0, 0, Smoke::mf_static, 144, 49},	//187 QGLFormat::defaultOverlayFormat()
    {30, 719, 46, 1, Smoke::mf_static, 0, 50},	//188 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {30, 265, 0, 0, Smoke::mf_static, 378, 51},	//189 QGLFormat::hasOpenGL()
    {30, 268, 0, 0, Smoke::mf_static, 378, 52},	//190 QGLFormat::hasOpenGLOverlays()
    {30, 803, 116, 2, 0, 0, 53},	//191 QGLFormat::setVersion(int, int)
    {30, 297, 0, 0, Smoke::mf_const, 500, 54},	//192 QGLFormat::majorVersion() const
    {30, 307, 0, 0, Smoke::mf_const, 500, 55},	//193 QGLFormat::minorVersion() const
    {30, 765, 119, 1, 0, 0, 56},	//194 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {30, 388, 0, 0, Smoke::mf_const, 147, 57},	//195 QGLFormat::profile() const
    {30, 314, 0, 0, Smoke::mf_static, 68, 58},	//196 QGLFormat::openGLVersionFlags()
    {30, 77, 114, 1, Smoke::mf_ctor, 146, 59},	//197 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {30, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 60},	//198 QGLFormat::NoProfile (enum)
    {30, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 61},	//199 QGLFormat::CoreProfile (enum)
    {30, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 147, 62},	//200 QGLFormat::CompatibilityProfile (enum)
    {30, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 63},	//201 QGLFormat::OpenGL_Version_None (enum)
    {30, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 64},	//202 QGLFormat::OpenGL_Version_1_1 (enum)
    {30, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 65},	//203 QGLFormat::OpenGL_Version_1_2 (enum)
    {30, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 66},	//204 QGLFormat::OpenGL_Version_1_3 (enum)
    {30, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 67},	//205 QGLFormat::OpenGL_Version_1_4 (enum)
    {30, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 68},	//206 QGLFormat::OpenGL_Version_1_5 (enum)
    {30, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 69},	//207 QGLFormat::OpenGL_Version_2_0 (enum)
    {30, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 70},	//208 QGLFormat::OpenGL_Version_2_1 (enum)
    {30, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 71},	//209 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {30, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 72},	//210 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {30, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 73},	//211 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {30, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 74},	//212 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {30, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 75},	//213 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {30, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 76},	//214 QGLFormat::OpenGL_Version_3_0 (enum)
    {30, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 77},	//215 QGLFormat::OpenGL_Version_3_1 (enum)
    {30, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 78},	//216 QGLFormat::OpenGL_Version_3_2 (enum)
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 79},	//217 QGLFormat::OpenGL_Version_3_3 (enum)
    {30, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 148, 80},	//218 QGLFormat::OpenGL_Version_4_0 (enum)
    {30, 860, 0, 0, Smoke::mf_dtor, 0, 81 },	//219 QGLFormat::~QGLFormat()
    {31, 81, 121, 2, Smoke::mf_ctor, 149, 1},	//220 QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    {31, 81, 124, 3, Smoke::mf_ctor, 149, 2},	//221 QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    {31, 81, 128, 4, Smoke::mf_ctor, 149, 3},	//222 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 81, 133, 5, Smoke::mf_ctor, 149, 4},	//223 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {31, 81, 139, 2, Smoke::mf_ctor, 149, 5},	//224 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {31, 81, 142, 3, Smoke::mf_ctor, 149, 6},	//225 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {31, 250, 0, 0, Smoke::mf_const, 151, 7},	//226 QGLFramebufferObject::format() const
    {31, 290, 0, 0, Smoke::mf_const, 378, 8},	//227 QGLFramebufferObject::isValid() const
    {31, 284, 0, 0, Smoke::mf_const, 378, 9},	//228 QGLFramebufferObject::isBound() const
    {31, 161, 0, 0, 0, 378, 10},	//229 QGLFramebufferObject::bind()
    {31, 652, 0, 0, 0, 378, 11},	//230 QGLFramebufferObject::release()
    {31, 825, 0, 0, Smoke::mf_const, 511, 12},	//231 QGLFramebufferObject::texture() const
    {31, 812, 0, 0, Smoke::mf_const, 238, 13},	//232 QGLFramebufferObject::size() const
    {31, 829, 0, 0, Smoke::mf_const, 173, 14},	//233 QGLFramebufferObject::toImage() const
    {31, 156, 0, 0, Smoke::mf_const, 150, 15},	//234 QGLFramebufferObject::attachment() const
    {31, 381, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 16},	//235 QGLFramebufferObject::paintEngine() const
    {31, 264, 0, 0, Smoke::mf_const, 511, 17},	//236 QGLFramebufferObject::handle() const
    {31, 165, 0, 0, Smoke::mf_static, 378, 18},	//237 QGLFramebufferObject::bindDefault()
    {31, 267, 0, 0, Smoke::mf_static, 378, 19},	//238 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {31, 224, 73, 3, 0, 0, 20},	//239 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    {31, 224, 77, 3, 0, 0, 21},	//240 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    {31, 266, 0, 0, Smoke::mf_static, 378, 22},	//241 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {31, 174, 146, 6, Smoke::mf_static, 0, 23},	//242 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int)
    {31, 304, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 500, 24},	//243 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {31, 212, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 500, 25},	//244 QGLFramebufferObject::devType() const
    {31, 81, 155, 1, Smoke::mf_ctor, 149, 26},	//245 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {31, 81, 116, 2, Smoke::mf_ctor, 149, 27},	//246 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {31, 81, 157, 2, Smoke::mf_ctor, 149, 28},	//247 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {31, 81, 160, 3, Smoke::mf_ctor, 149, 29},	//248 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int)
    {31, 81, 164, 3, Smoke::mf_ctor, 149, 30},	//249 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {31, 81, 168, 4, Smoke::mf_ctor, 149, 31},	//250 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int)
    {31, 224, 103, 2, 0, 0, 32},	//251 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    {31, 224, 106, 2, 0, 0, 33},	//252 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    {31, 174, 173, 4, Smoke::mf_static, 0, 34},	//253 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {31, 174, 178, 5, Smoke::mf_static, 0, 35},	//254 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int)
    {31, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 36},	//255 QGLFramebufferObject::NoAttachment (enum)
    {31, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 37},	//256 QGLFramebufferObject::CombinedDepthStencil (enum)
    {31, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 38},	//257 QGLFramebufferObject::Depth (enum)
    {31, 861, 0, 0, Smoke::mf_dtor, 0, 39 },	//258 QGLFramebufferObject::~QGLFramebufferObject()
    {32, 92, 0, 0, Smoke::mf_ctor, 153, 1},	//259 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {32, 92, 184, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 2},	//260 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {32, 352, 184, 1, 0, 152, 3},	//261 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {32, 773, 20, 1, 0, 0, 4},	//262 QGLFramebufferObjectFormat::setSamples(int)
    {32, 679, 0, 0, Smoke::mf_const, 500, 5},	//263 QGLFramebufferObjectFormat::samples() const
    {32, 753, 84, 1, 0, 0, 6},	//264 QGLFramebufferObjectFormat::setMipmap(bool)
    {32, 308, 0, 0, Smoke::mf_const, 378, 7},	//265 QGLFramebufferObjectFormat::mipmap() const
    {32, 688, 186, 1, 0, 0, 8},	//266 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {32, 156, 0, 0, Smoke::mf_const, 150, 9},	//267 QGLFramebufferObjectFormat::attachment() const
    {32, 785, 36, 1, 0, 0, 10},	//268 QGLFramebufferObjectFormat::setTextureTarget(unsigned int)
    {32, 827, 0, 0, Smoke::mf_const, 511, 11},	//269 QGLFramebufferObjectFormat::textureTarget() const
    {32, 751, 36, 1, 0, 0, 12},	//270 QGLFramebufferObjectFormat::setInternalTextureFormat(unsigned int)
    {32, 283, 0, 0, Smoke::mf_const, 511, 13},	//271 QGLFramebufferObjectFormat::internalTextureFormat() const
    {32, 354, 184, 1, Smoke::mf_const, 378, 14},	//272 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {32, 315, 184, 1, Smoke::mf_const, 378, 15},	//273 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {32, 862, 0, 0, Smoke::mf_dtor, 0, 16 },	//274 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {33, 94, 188, 3, Smoke::mf_ctor, 155, 1},	//275 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {33, 94, 192, 4, Smoke::mf_ctor, 155, 2},	//276 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {33, 290, 0, 0, Smoke::mf_const, 378, 3},	//277 QGLPixelBuffer::isValid() const
    {33, 298, 0, 0, 0, 378, 4},	//278 QGLPixelBuffer::makeCurrent()
    {33, 219, 0, 0, 0, 378, 5},	//279 QGLPixelBuffer::doneCurrent()
    {33, 251, 0, 0, Smoke::mf_const, 511, 6},	//280 QGLPixelBuffer::generateDynamicTexture() const
    {33, 172, 36, 1, 0, 378, 7},	//281 QGLPixelBuffer::bindToDynamicTexture(unsigned int)
    {33, 654, 0, 0, 0, 0, 8},	//282 QGLPixelBuffer::releaseFromDynamicTexture()
    {33, 846, 36, 1, Smoke::mf_const, 0, 9},	//283 QGLPixelBuffer::updateDynamicTexture(unsigned int) const
    {33, 166, 95, 2, 0, 511, 10},	//284 QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    {33, 166, 100, 2, 0, 511, 11},	//285 QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    {33, 166, 71, 1, 0, 511, 12},	//286 QGLPixelBuffer::bindTexture(const QString&)
    {33, 206, 36, 1, 0, 0, 13},	//287 QGLPixelBuffer::deleteTexture(unsigned int)
    {33, 224, 73, 3, 0, 0, 14},	//288 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    {33, 224, 77, 3, 0, 0, 15},	//289 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    {33, 812, 0, 0, Smoke::mf_const, 238, 16},	//290 QGLPixelBuffer::size() const
    {33, 264, 0, 0, Smoke::mf_const, 512, 17},	//291 QGLPixelBuffer::handle() const
    {33, 829, 0, 0, Smoke::mf_const, 173, 18},	//292 QGLPixelBuffer::toImage() const
    {33, 381, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 19},	//293 QGLPixelBuffer::paintEngine() const
    {33, 250, 0, 0, Smoke::mf_const, 144, 20},	//294 QGLPixelBuffer::format() const
    {33, 269, 0, 0, Smoke::mf_static, 378, 21},	//295 QGLPixelBuffer::hasOpenGLPbuffers()
    {33, 304, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 500, 22},	//296 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {33, 212, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 500, 23},	//297 QGLPixelBuffer::devType() const
    {33, 94, 155, 1, Smoke::mf_ctor, 155, 24},	//298 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {33, 94, 197, 2, Smoke::mf_ctor, 155, 25},	//299 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {33, 94, 116, 2, Smoke::mf_ctor, 155, 26},	//300 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {33, 94, 200, 3, Smoke::mf_ctor, 155, 27},	//301 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {33, 166, 93, 1, 0, 511, 28},	//302 QGLPixelBuffer::bindTexture(const QImage&)
    {33, 166, 98, 1, 0, 511, 29},	//303 QGLPixelBuffer::bindTexture(const QPixmap&)
    {33, 224, 103, 2, 0, 0, 30},	//304 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    {33, 224, 106, 2, 0, 0, 31},	//305 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    {33, 863, 0, 0, Smoke::mf_dtor, 0, 32 },	//306 QGLPixelBuffer::~QGLPixelBuffer()
    {34, 303, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 432, 1},	//307 QGLShader::metaObject() const
    {34, 638, 204, 1, Smoke::mf_virtual, 518, 2},	//308 QGLShader::qt_metacast(const char*)
    {34, 830, 206, 2, Smoke::mf_static, 245, 3},	//309 QGLShader::tr(const char*, const char*)
    {34, 834, 206, 2, Smoke::mf_static, 245, 4},	//310 QGLShader::trUtf8(const char*, const char*)
    {34, 830, 209, 3, Smoke::mf_static, 245, 5},	//311 QGLShader::tr(const char*, const char*, int)
    {34, 834, 209, 3, Smoke::mf_static, 245, 6},	//312 QGLShader::trUtf8(const char*, const char*, int)
    {34, 636, 213, 3, Smoke::mf_virtual, 500, 7},	//313 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {34, 101, 217, 2, Smoke::mf_ctor, 156, 8},	//314 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {34, 101, 220, 3, Smoke::mf_ctor, 156, 9},	//315 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {34, 809, 0, 0, Smoke::mf_const, 70, 10},	//316 QGLShader::shaderType() const
    {34, 189, 204, 1, 0, 378, 11},	//317 QGLShader::compileSourceCode(const char*)
    {34, 189, 224, 1, 0, 378, 12},	//318 QGLShader::compileSourceCode(const QByteArray&)
    {34, 189, 71, 1, 0, 378, 13},	//319 QGLShader::compileSourceCode(const QString&)
    {34, 192, 71, 1, 0, 378, 14},	//320 QGLShader::compileSourceFile(const QString&)
    {34, 814, 0, 0, Smoke::mf_const, 16, 15},	//321 QGLShader::sourceCode() const
    {34, 285, 0, 0, Smoke::mf_const, 378, 16},	//322 QGLShader::isCompiled() const
    {34, 296, 0, 0, Smoke::mf_const, 245, 17},	//323 QGLShader::log() const
    {34, 808, 0, 0, Smoke::mf_const, 511, 18},	//324 QGLShader::shaderId() const
    {34, 272, 226, 2, Smoke::mf_static, 378, 19},	//325 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 830, 204, 1, Smoke::mf_static, 245, 20},	//326 QGLShader::tr(const char*)
    {34, 834, 204, 1, Smoke::mf_static, 245, 21},	//327 QGLShader::trUtf8(const char*)
    {34, 101, 229, 1, Smoke::mf_ctor, 156, 22},	//328 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {34, 101, 226, 2, Smoke::mf_ctor, 156, 23},	//329 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {34, 272, 229, 1, Smoke::mf_static, 378, 24},	//330 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {34, 815, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 431, 25},	//331 QGLShader::staticMetaObject() const
    {34, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 26},	//332 QGLShader::Vertex (enum)
    {34, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 27},	//333 QGLShader::Fragment (enum)
    {34, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 28},	//334 QGLShader::Geometry (enum)
    {34, 864, 0, 0, Smoke::mf_dtor, 0, 29 },	//335 QGLShader::~QGLShader()
    {35, 303, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 432, 1},	//336 QGLShaderProgram::metaObject() const
    {35, 638, 204, 1, Smoke::mf_virtual, 518, 2},	//337 QGLShaderProgram::qt_metacast(const char*)
    {35, 830, 206, 2, Smoke::mf_static, 245, 3},	//338 QGLShaderProgram::tr(const char*, const char*)
    {35, 834, 206, 2, Smoke::mf_static, 245, 4},	//339 QGLShaderProgram::trUtf8(const char*, const char*)
    {35, 830, 209, 3, Smoke::mf_static, 245, 5},	//340 QGLShaderProgram::tr(const char*, const char*, int)
    {35, 834, 209, 3, Smoke::mf_static, 245, 6},	//341 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {35, 636, 213, 3, Smoke::mf_virtual, 500, 7},	//342 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {35, 105, 231, 1, Smoke::mf_ctor, 158, 8},	//343 QGLShaderProgram::QGLShaderProgram(QObject*)
    {35, 105, 233, 2, Smoke::mf_ctor, 158, 9},	//344 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {35, 142, 236, 1, 0, 378, 10},	//345 QGLShaderProgram::addShader(QGLShader*)
    {35, 656, 236, 1, 0, 0, 11},	//346 QGLShaderProgram::removeShader(QGLShader*)
    {35, 810, 0, 0, Smoke::mf_const, 188, 12},	//347 QGLShaderProgram::shaders() const
    {35, 144, 238, 2, 0, 378, 13},	//348 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {35, 144, 241, 2, 0, 378, 14},	//349 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {35, 144, 244, 2, 0, 378, 15},	//350 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 147, 244, 2, 0, 378, 16},	//351 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {35, 655, 0, 0, 0, 0, 17},	//352 QGLShaderProgram::removeAllShaders()
    {35, 295, 0, 0, Smoke::mf_virtual, 378, 18},	//353 QGLShaderProgram::link()
    {35, 288, 0, 0, Smoke::mf_const, 378, 19},	//354 QGLShaderProgram::isLinked() const
    {35, 296, 0, 0, Smoke::mf_const, 245, 20},	//355 QGLShaderProgram::log() const
    {35, 161, 0, 0, 0, 378, 21},	//356 QGLShaderProgram::bind()
    {35, 652, 0, 0, 0, 0, 22},	//357 QGLShaderProgram::release()
    {35, 389, 0, 0, Smoke::mf_const, 511, 23},	//358 QGLShaderProgram::programId() const
    {35, 302, 0, 0, Smoke::mf_const, 500, 24},	//359 QGLShaderProgram::maxGeometryOutputVertices() const
    {35, 743, 20, 1, 0, 0, 25},	//360 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {35, 256, 0, 0, Smoke::mf_const, 500, 26},	//361 QGLShaderProgram::geometryOutputVertexCount() const
    {35, 739, 36, 1, 0, 0, 27},	//362 QGLShaderProgram::setGeometryInputType(unsigned int)
    {35, 254, 0, 0, Smoke::mf_const, 511, 28},	//363 QGLShaderProgram::geometryInputType() const
    {35, 741, 36, 1, 0, 0, 29},	//364 QGLShaderProgram::setGeometryOutputType(unsigned int)
    {35, 255, 0, 0, Smoke::mf_const, 511, 30},	//365 QGLShaderProgram::geometryOutputType() const
    {35, 162, 247, 2, 0, 0, 31},	//366 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {35, 162, 250, 2, 0, 0, 32},	//367 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {35, 162, 253, 2, 0, 0, 33},	//368 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {35, 157, 204, 1, Smoke::mf_const, 500, 34},	//369 QGLShaderProgram::attributeLocation(const char*) const
    {35, 157, 224, 1, Smoke::mf_const, 500, 35},	//370 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {35, 157, 71, 1, Smoke::mf_const, 500, 36},	//371 QGLShaderProgram::attributeLocation(const QString&) const
    {35, 699, 256, 2, 0, 0, 37},	//372 QGLShaderProgram::setAttributeValue(int, float)
    {35, 699, 259, 3, 0, 0, 38},	//373 QGLShaderProgram::setAttributeValue(int, float, float)
    {35, 699, 263, 4, 0, 0, 39},	//374 QGLShaderProgram::setAttributeValue(int, float, float, float)
    {35, 699, 268, 5, 0, 0, 40},	//375 QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    {35, 699, 274, 2, 0, 0, 41},	//376 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {35, 699, 277, 2, 0, 0, 42},	//377 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {35, 699, 280, 2, 0, 0, 43},	//378 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {35, 699, 33, 2, 0, 0, 44},	//379 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {35, 699, 283, 4, 0, 0, 45},	//380 QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    {35, 699, 288, 2, 0, 0, 46},	//381 QGLShaderProgram::setAttributeValue(const char*, float)
    {35, 699, 291, 3, 0, 0, 47},	//382 QGLShaderProgram::setAttributeValue(const char*, float, float)
    {35, 699, 295, 4, 0, 0, 48},	//383 QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    {35, 699, 300, 5, 0, 0, 49},	//384 QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    {35, 699, 306, 2, 0, 0, 50},	//385 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {35, 699, 309, 2, 0, 0, 51},	//386 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {35, 699, 312, 2, 0, 0, 52},	//387 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {35, 699, 315, 2, 0, 0, 53},	//388 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {35, 699, 318, 4, 0, 0, 54},	//389 QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    {35, 690, 283, 4, 0, 0, 55},	//390 QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    {35, 690, 323, 3, 0, 0, 56},	//391 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {35, 690, 327, 3, 0, 0, 57},	//392 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {35, 690, 331, 3, 0, 0, 58},	//393 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {35, 690, 335, 5, 0, 0, 59},	//394 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    {35, 690, 318, 4, 0, 0, 60},	//395 QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    {35, 690, 341, 3, 0, 0, 61},	//396 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {35, 690, 345, 3, 0, 0, 62},	//397 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {35, 690, 349, 3, 0, 0, 63},	//398 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {35, 690, 353, 5, 0, 0, 64},	//399 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    {35, 696, 359, 5, 0, 0, 65},	//400 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    {35, 696, 365, 5, 0, 0, 66},	//401 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    {35, 228, 20, 1, 0, 0, 67},	//402 QGLShaderProgram::enableAttributeArray(int)
    {35, 228, 204, 1, 0, 0, 68},	//403 QGLShaderProgram::enableAttributeArray(const char*)
    {35, 216, 20, 1, 0, 0, 69},	//404 QGLShaderProgram::disableAttributeArray(int)
    {35, 216, 204, 1, 0, 0, 70},	//405 QGLShaderProgram::disableAttributeArray(const char*)
    {35, 842, 204, 1, Smoke::mf_const, 500, 71},	//406 QGLShaderProgram::uniformLocation(const char*) const
    {35, 842, 224, 1, Smoke::mf_const, 500, 72},	//407 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {35, 842, 71, 1, Smoke::mf_const, 500, 73},	//408 QGLShaderProgram::uniformLocation(const QString&) const
    {35, 787, 256, 2, 0, 0, 74},	//409 QGLShaderProgram::setUniformValue(int, float)
    {35, 787, 116, 2, 0, 0, 75},	//410 QGLShaderProgram::setUniformValue(int, int)
    {35, 787, 30, 2, 0, 0, 76},	//411 QGLShaderProgram::setUniformValue(int, unsigned int)
    {35, 787, 259, 3, 0, 0, 77},	//412 QGLShaderProgram::setUniformValue(int, float, float)
    {35, 787, 263, 4, 0, 0, 78},	//413 QGLShaderProgram::setUniformValue(int, float, float, float)
    {35, 787, 268, 5, 0, 0, 79},	//414 QGLShaderProgram::setUniformValue(int, float, float, float, float)
    {35, 787, 274, 2, 0, 0, 80},	//415 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {35, 787, 277, 2, 0, 0, 81},	//416 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {35, 787, 280, 2, 0, 0, 82},	//417 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {35, 787, 33, 2, 0, 0, 83},	//418 QGLShaderProgram::setUniformValue(int, const QColor&)
    {35, 787, 371, 2, 0, 0, 84},	//419 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {35, 787, 374, 2, 0, 0, 85},	//420 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {35, 787, 377, 2, 0, 0, 86},	//421 QGLShaderProgram::setUniformValue(int, const QSize&)
    {35, 787, 380, 2, 0, 0, 87},	//422 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {35, 787, 383, 2, 0, 0, 88},	//423 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {35, 787, 386, 2, 0, 0, 89},	//424 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {35, 787, 389, 2, 0, 0, 90},	//425 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {35, 787, 392, 2, 0, 0, 91},	//426 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {35, 787, 395, 2, 0, 0, 92},	//427 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {35, 787, 398, 2, 0, 0, 93},	//428 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {35, 787, 401, 2, 0, 0, 94},	//429 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {35, 787, 404, 2, 0, 0, 95},	//430 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {35, 787, 407, 2, 0, 0, 96},	//431 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {35, 787, 410, 2, 0, 0, 97},	//432 QGLShaderProgram::setUniformValue(int, const float[2][2])
    {35, 787, 413, 2, 0, 0, 98},	//433 QGLShaderProgram::setUniformValue(int, const float[3][3])
    {35, 787, 416, 2, 0, 0, 99},	//434 QGLShaderProgram::setUniformValue(int, const float[4][4])
    {35, 787, 419, 2, 0, 0, 100},	//435 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {35, 787, 288, 2, 0, 0, 101},	//436 QGLShaderProgram::setUniformValue(const char*, float)
    {35, 787, 247, 2, 0, 0, 102},	//437 QGLShaderProgram::setUniformValue(const char*, int)
    {35, 787, 422, 2, 0, 0, 103},	//438 QGLShaderProgram::setUniformValue(const char*, unsigned int)
    {35, 787, 291, 3, 0, 0, 104},	//439 QGLShaderProgram::setUniformValue(const char*, float, float)
    {35, 787, 295, 4, 0, 0, 105},	//440 QGLShaderProgram::setUniformValue(const char*, float, float, float)
    {35, 787, 300, 5, 0, 0, 106},	//441 QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    {35, 787, 306, 2, 0, 0, 107},	//442 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {35, 787, 309, 2, 0, 0, 108},	//443 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {35, 787, 312, 2, 0, 0, 109},	//444 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {35, 787, 315, 2, 0, 0, 110},	//445 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {35, 787, 425, 2, 0, 0, 111},	//446 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {35, 787, 428, 2, 0, 0, 112},	//447 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {35, 787, 431, 2, 0, 0, 113},	//448 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {35, 787, 434, 2, 0, 0, 114},	//449 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {35, 787, 437, 2, 0, 0, 115},	//450 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {35, 787, 440, 2, 0, 0, 116},	//451 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {35, 787, 443, 2, 0, 0, 117},	//452 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {35, 787, 446, 2, 0, 0, 118},	//453 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {35, 787, 449, 2, 0, 0, 119},	//454 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {35, 787, 452, 2, 0, 0, 120},	//455 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {35, 787, 455, 2, 0, 0, 121},	//456 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {35, 787, 458, 2, 0, 0, 122},	//457 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {35, 787, 461, 2, 0, 0, 123},	//458 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {35, 787, 464, 2, 0, 0, 124},	//459 QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    {35, 787, 467, 2, 0, 0, 125},	//460 QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    {35, 787, 470, 2, 0, 0, 126},	//461 QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    {35, 787, 473, 2, 0, 0, 127},	//462 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {35, 794, 283, 4, 0, 0, 128},	//463 QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    {35, 794, 476, 3, 0, 0, 129},	//464 QGLShaderProgram::setUniformValueArray(int, const int*, int)
    {35, 794, 26, 3, 0, 0, 130},	//465 QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    {35, 794, 323, 3, 0, 0, 131},	//466 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {35, 794, 327, 3, 0, 0, 132},	//467 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {35, 794, 331, 3, 0, 0, 133},	//468 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {35, 794, 480, 3, 0, 0, 134},	//469 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {35, 794, 484, 3, 0, 0, 135},	//470 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {35, 794, 488, 3, 0, 0, 136},	//471 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {35, 794, 492, 3, 0, 0, 137},	//472 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {35, 794, 496, 3, 0, 0, 138},	//473 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {35, 794, 500, 3, 0, 0, 139},	//474 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {35, 794, 504, 3, 0, 0, 140},	//475 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {35, 794, 508, 3, 0, 0, 141},	//476 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {35, 794, 512, 3, 0, 0, 142},	//477 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {35, 794, 318, 4, 0, 0, 143},	//478 QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    {35, 794, 516, 3, 0, 0, 144},	//479 QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    {35, 794, 520, 3, 0, 0, 145},	//480 QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    {35, 794, 341, 3, 0, 0, 146},	//481 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {35, 794, 345, 3, 0, 0, 147},	//482 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {35, 794, 349, 3, 0, 0, 148},	//483 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {35, 794, 524, 3, 0, 0, 149},	//484 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {35, 794, 528, 3, 0, 0, 150},	//485 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {35, 794, 532, 3, 0, 0, 151},	//486 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {35, 794, 536, 3, 0, 0, 152},	//487 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {35, 794, 540, 3, 0, 0, 153},	//488 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {35, 794, 544, 3, 0, 0, 154},	//489 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {35, 794, 548, 3, 0, 0, 155},	//490 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {35, 794, 552, 3, 0, 0, 156},	//491 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {35, 794, 556, 3, 0, 0, 157},	//492 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {35, 270, 48, 1, Smoke::mf_static, 378, 158},	//493 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {35, 830, 204, 1, Smoke::mf_static, 245, 159},	//494 QGLShaderProgram::tr(const char*)
    {35, 834, 204, 1, Smoke::mf_static, 245, 160},	//495 QGLShaderProgram::trUtf8(const char*)
    {35, 105, 0, 0, Smoke::mf_ctor, 158, 161},	//496 QGLShaderProgram::QGLShaderProgram()
    {35, 105, 48, 1, Smoke::mf_ctor, 158, 162},	//497 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {35, 690, 560, 3, 0, 0, 163},	//498 QGLShaderProgram::setAttributeArray(int, const float*, int)
    {35, 690, 564, 2, 0, 0, 164},	//499 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {35, 690, 567, 2, 0, 0, 165},	//500 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {35, 690, 570, 2, 0, 0, 166},	//501 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {35, 690, 573, 4, 0, 0, 167},	//502 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    {35, 690, 578, 3, 0, 0, 168},	//503 QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    {35, 690, 582, 2, 0, 0, 169},	//504 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {35, 690, 585, 2, 0, 0, 170},	//505 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {35, 690, 588, 2, 0, 0, 171},	//506 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {35, 690, 591, 4, 0, 0, 172},	//507 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    {35, 696, 596, 4, 0, 0, 173},	//508 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    {35, 696, 601, 4, 0, 0, 174},	//509 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    {35, 270, 0, 0, Smoke::mf_static, 378, 175},	//510 QGLShaderProgram::hasOpenGLShaderPrograms()
    {35, 815, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 431, 176},	//511 QGLShaderProgram::staticMetaObject() const
    {35, 865, 0, 0, Smoke::mf_dtor, 0, 177 },	//512 QGLShaderProgram::~QGLShaderProgram()
    {36, 303, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 432, 1},	//513 QGLWidget::metaObject() const
    {36, 638, 204, 1, Smoke::mf_virtual, 518, 2},	//514 QGLWidget::qt_metacast(const char*)
    {36, 830, 206, 2, Smoke::mf_static, 245, 3},	//515 QGLWidget::tr(const char*, const char*)
    {36, 834, 206, 2, Smoke::mf_static, 245, 4},	//516 QGLWidget::trUtf8(const char*, const char*)
    {36, 830, 209, 3, Smoke::mf_static, 245, 5},	//517 QGLWidget::tr(const char*, const char*, int)
    {36, 834, 209, 3, Smoke::mf_static, 245, 6},	//518 QGLWidget::trUtf8(const char*, const char*, int)
    {36, 636, 213, 3, Smoke::mf_virtual, 500, 7},	//519 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {36, 108, 606, 3, Smoke::mf_ctor, 159, 8},	//520 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 108, 610, 4, Smoke::mf_ctor, 159, 9},	//521 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 108, 615, 4, Smoke::mf_ctor, 159, 10},	//522 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {36, 593, 89, 1, Smoke::mf_const, 0, 11},	//523 QGLWidget::qglColor(const QColor&) const
    {36, 591, 89, 1, Smoke::mf_const, 0, 12},	//524 QGLWidget::qglClearColor(const QColor&) const
    {36, 290, 0, 0, Smoke::mf_const, 378, 13},	//525 QGLWidget::isValid() const
    {36, 289, 0, 0, Smoke::mf_const, 378, 14},	//526 QGLWidget::isSharing() const
    {36, 298, 0, 0, 0, 0, 15},	//527 QGLWidget::makeCurrent()
    {36, 219, 0, 0, 0, 0, 16},	//528 QGLWidget::doneCurrent()
    {36, 220, 0, 0, Smoke::mf_const, 378, 17},	//529 QGLWidget::doubleBuffer() const
    {36, 820, 0, 0, 0, 0, 18},	//530 QGLWidget::swapBuffers()
    {36, 250, 0, 0, Smoke::mf_const, 144, 19},	//531 QGLWidget::format() const
    {36, 737, 46, 1, 0, 0, 20},	//532 QGLWidget::setFormat(const QGLFormat&)
    {36, 195, 0, 0, Smoke::mf_const, 397, 21},	//533 QGLWidget::context() const
    {36, 711, 620, 3, 0, 0, 22},	//534 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {36, 658, 624, 3, 0, 220, 23},	//535 QGLWidget::renderPixmap(int, int, bool)
    {36, 261, 84, 1, 0, 173, 24},	//536 QGLWidget::grabFrameBuffer(bool)
    {36, 299, 0, 0, 0, 0, 25},	//537 QGLWidget::makeOverlayCurrent()
    {36, 379, 0, 0, Smoke::mf_const, 397, 26},	//538 QGLWidget::overlayContext() const
    {36, 197, 93, 1, Smoke::mf_static, 173, 27},	//539 QGLWidget::convertToGLFormat(const QImage&)
    {36, 755, 84, 1, 0, 0, 28},	//540 QGLWidget::setMouseTracking(bool)
    {36, 188, 0, 0, Smoke::mf_const, 396, 29},	//541 QGLWidget::colormap() const
    {36, 709, 24, 1, 0, 0, 30},	//542 QGLWidget::setColormap(const QGLColormap&)
    {36, 662, 628, 5, 0, 0, 31},	//543 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {36, 662, 634, 6, 0, 0, 32},	//544 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {36, 381, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 207, 33},	//545 QGLWidget::paintEngine() const
    {36, 166, 53, 4, 0, 511, 34},	//546 QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 166, 58, 4, 0, 511, 35},	//547 QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {36, 166, 63, 3, 0, 511, 36},	//548 QGLWidget::bindTexture(const QImage&, unsigned int, int)
    {36, 166, 67, 3, 0, 511, 37},	//549 QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    {36, 166, 71, 1, 0, 511, 38},	//550 QGLWidget::bindTexture(const QString&)
    {36, 206, 36, 1, 0, 0, 39},	//551 QGLWidget::deleteTexture(unsigned int)
    {36, 224, 73, 3, 0, 0, 40},	//552 QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    {36, 224, 77, 3, 0, 0, 41},	//553 QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    {36, 848, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//554 QGLWidget::updateGL()
    {36, 849, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//555 QGLWidget::updateOverlayGL()
    {36, 236, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 378, 44},	//556 QGLWidget::event(QEvent*)
    {36, 278, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//557 QGLWidget::initializeGL()
    {36, 673, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//558 QGLWidget::resizeGL(int, int)
    {36, 384, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//559 QGLWidget::paintGL()
    {36, 279, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//560 QGLWidget::initializeOverlayGL()
    {36, 675, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//561 QGLWidget::resizeOverlayGL(int, int)
    {36, 385, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//562 QGLWidget::paintOverlayGL()
    {36, 705, 84, 1, Smoke::mf_protected, 0, 51},	//563 QGLWidget::setAutoBufferSwap(bool)
    {36, 160, 0, 0, Smoke::mf_const|Smoke::mf_protected, 378, 52},	//564 QGLWidget::autoBufferSwap() const
    {36, 382, 643, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//565 QGLWidget::paintEvent(QPaintEvent*)
    {36, 671, 645, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//566 QGLWidget::resizeEvent(QResizeEvent*)
    {36, 260, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//567 QGLWidget::glInit()
    {36, 259, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//568 QGLWidget::glDraw()
    {36, 247, 86, 2, Smoke::mf_protected, 500, 57},	//569 QGLWidget::fontDisplayListBase(const QFont&, int)
    {36, 830, 204, 1, Smoke::mf_static, 245, 58},	//570 QGLWidget::tr(const char*)
    {36, 834, 204, 1, Smoke::mf_static, 245, 59},	//571 QGLWidget::trUtf8(const char*)
    {36, 108, 0, 0, Smoke::mf_ctor, 159, 60},	//572 QGLWidget::QGLWidget()
    {36, 108, 647, 1, Smoke::mf_ctor, 159, 61},	//573 QGLWidget::QGLWidget(QWidget*)
    {36, 108, 649, 2, Smoke::mf_ctor, 159, 62},	//574 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {36, 108, 109, 1, Smoke::mf_ctor, 159, 63},	//575 QGLWidget::QGLWidget(QGLContext*)
    {36, 108, 652, 2, Smoke::mf_ctor, 159, 64},	//576 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {36, 108, 655, 3, Smoke::mf_ctor, 159, 65},	//577 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {36, 108, 46, 1, Smoke::mf_ctor, 159, 66},	//578 QGLWidget::QGLWidget(const QGLFormat&)
    {36, 108, 659, 2, Smoke::mf_ctor, 159, 67},	//579 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {36, 108, 662, 3, Smoke::mf_ctor, 159, 68},	//580 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {36, 711, 109, 1, 0, 0, 69},	//581 QGLWidget::setContext(QGLContext*)
    {36, 711, 666, 2, 0, 0, 70},	//582 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {36, 658, 0, 0, 0, 220, 71},	//583 QGLWidget::renderPixmap()
    {36, 658, 20, 1, 0, 220, 72},	//584 QGLWidget::renderPixmap(int)
    {36, 658, 116, 2, 0, 220, 73},	//585 QGLWidget::renderPixmap(int, int)
    {36, 261, 0, 0, 0, 173, 74},	//586 QGLWidget::grabFrameBuffer()
    {36, 662, 669, 3, 0, 0, 75},	//587 QGLWidget::renderText(int, int, const QString&)
    {36, 662, 673, 4, 0, 0, 76},	//588 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {36, 662, 678, 4, 0, 0, 77},	//589 QGLWidget::renderText(double, double, double, const QString&)
    {36, 662, 683, 5, 0, 0, 78},	//590 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {36, 166, 93, 1, 0, 511, 79},	//591 QGLWidget::bindTexture(const QImage&)
    {36, 166, 95, 2, 0, 511, 80},	//592 QGLWidget::bindTexture(const QImage&, unsigned int)
    {36, 166, 98, 1, 0, 511, 81},	//593 QGLWidget::bindTexture(const QPixmap&)
    {36, 166, 100, 2, 0, 511, 82},	//594 QGLWidget::bindTexture(const QPixmap&, unsigned int)
    {36, 224, 103, 2, 0, 0, 83},	//595 QGLWidget::drawTexture(const QRectF&, unsigned int)
    {36, 224, 106, 2, 0, 0, 84},	//596 QGLWidget::drawTexture(const QPointF&, unsigned int)
    {36, 247, 689, 1, Smoke::mf_protected, 500, 85},	//597 QGLWidget::fontDisplayListBase(const QFont&)
    {36, 815, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 431, 86},	//598 QGLWidget::staticMetaObject() const
    {36, 866, 0, 0, Smoke::mf_dtor, 0, 87 },	//599 QGLWidget::~QGLWidget()
    {37, 376, 691, 2, Smoke::mf_static, 176, 1},	//600 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {37, 395, 0, 0, Smoke::mf_static, 8, 2},	//601 QGlobalSpace::qAccessibleValueCastHelper()
    {37, 365, 694, 2, Smoke::mf_static, 378, 3},	//602 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {37, 506, 697, 1, Smoke::mf_static, 511, 4},	//603 QGlobalSpace::qHash(unsigned long long)
    {37, 518, 699, 1, Smoke::mf_static, 378, 5},	//604 QGlobalSpace::qIsInf(double)
    {37, 376, 701, 2, Smoke::mf_static, 176, 6},	//605 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {37, 332, 704, 2, Smoke::mf_static, 195, 7},	//606 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {37, 376, 707, 2, Smoke::mf_static, 176, 8},	//607 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {37, 354, 710, 2, Smoke::mf_static, 378, 9},	//608 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {37, 315, 713, 2, Smoke::mf_static, 378, 10},	//609 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {37, 621, 422, 2, Smoke::mf_static, 511, 11},	//610 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {37, 530, 716, 3, Smoke::mf_static, 518, 12},	//611 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {37, 640, 0, 0, Smoke::mf_static, 0, 13},	//612 QGlobalSpace::qt_noop()
    {37, 354, 720, 2, Smoke::mf_static, 378, 14},	//613 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {37, 343, 723, 2, Smoke::mf_static, 31, 15},	//614 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {37, 370, 726, 2, Smoke::mf_static, 27, 16},	//615 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {37, 323, 729, 2, Smoke::mf_static, 224, 17},	//616 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {37, 376, 732, 2, Smoke::mf_static, 88, 18},	//617 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {37, 354, 735, 2, Smoke::mf_static, 378, 19},	//618 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {37, 354, 738, 2, Smoke::mf_static, 378, 20},	//619 QGlobalSpace::operator==(const QSize&, const QSize&)
    {37, 343, 741, 2, Smoke::mf_static, 27, 21},	//620 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {37, 376, 744, 2, Smoke::mf_static, 105, 22},	//621 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {37, 327, 747, 2, Smoke::mf_static, 384, 23},	//622 QGlobalSpace::operator+(const char*, const QByteArray&)
    {37, 370, 750, 2, Smoke::mf_static, 27, 24},	//623 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {37, 376, 753, 2, Smoke::mf_static, 96, 25},	//624 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {37, 376, 756, 2, Smoke::mf_static, 85, 26},	//625 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {37, 376, 759, 2, Smoke::mf_static, 62, 27},	//626 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {37, 567, 762, 2, Smoke::mf_static, 378, 28},	//627 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {37, 370, 765, 2, Smoke::mf_static, 27, 29},	//628 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {37, 602, 747, 2, Smoke::mf_static, 500, 30},	//629 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {37, 354, 768, 2, Smoke::mf_static, 378, 31},	//630 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {37, 343, 771, 2, Smoke::mf_static, 27, 32},	//631 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {37, 407, 774, 2, Smoke::mf_static, 498, 33},	//632 QGlobalSpace::qAtan2(double, double)
    {37, 370, 777, 2, Smoke::mf_static, 27, 34},	//633 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {37, 365, 780, 2, Smoke::mf_static, 378, 35},	//634 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {37, 518, 783, 1, Smoke::mf_static, 378, 36},	//635 QGlobalSpace::qIsInf(float)
    {37, 589, 204, 1, Smoke::mf_static, 16, 37},	//636 QGlobalSpace::qgetenv(const char*)
    {37, 506, 785, 1, Smoke::mf_static, 511, 38},	//637 QGlobalSpace::qHash(signed char)
    {37, 376, 787, 2, Smoke::mf_static, 176, 39},	//638 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {37, 354, 790, 2, Smoke::mf_static, 378, 40},	//639 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {37, 360, 747, 2, Smoke::mf_static, 378, 41},	//640 QGlobalSpace::operator>(const char*, const QByteArray&)
    {37, 376, 793, 2, Smoke::mf_static, 176, 42},	//641 QGlobalSpace::operator|(QFileDialog::Option, int)
    {37, 327, 704, 2, Smoke::mf_static, 195, 43},	//642 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {37, 512, 699, 1, Smoke::mf_static, 500, 44},	//643 QGlobalSpace::qIntCast(double)
    {37, 558, 796, 1, Smoke::mf_static, 276, 45},	//644 QGlobalSpace::qSetPadChar(QChar)
    {37, 343, 798, 2, Smoke::mf_static, 27, 46},	//645 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {37, 376, 801, 2, Smoke::mf_static, 87, 47},	//646 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {37, 376, 804, 2, Smoke::mf_static, 95, 48},	//647 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {37, 323, 807, 2, Smoke::mf_static, 222, 49},	//648 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {37, 343, 810, 2, Smoke::mf_static, 27, 50},	//649 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {37, 343, 813, 2, Smoke::mf_static, 31, 51},	//650 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {37, 376, 816, 2, Smoke::mf_static, 71, 52},	//651 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {37, 354, 819, 2, Smoke::mf_static, 378, 53},	//652 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {37, 323, 822, 2, Smoke::mf_static, 293, 54},	//653 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {37, 354, 825, 2, Smoke::mf_static, 378, 55},	//654 QGlobalSpace::operator==(QChar, QChar)
    {37, 343, 828, 2, Smoke::mf_static, 31, 56},	//655 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {37, 323, 704, 2, Smoke::mf_static, 195, 57},	//656 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {37, 376, 831, 2, Smoke::mf_static, 127, 58},	//657 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {37, 332, 834, 1, Smoke::mf_static, 195, 59},	//658 QGlobalSpace::operator-(const QMatrix4x4&)
    {37, 506, 836, 1, Smoke::mf_static, 511, 60},	//659 QGlobalSpace::qHash(const QUrl&)
    {37, 506, 224, 1, Smoke::mf_static, 511, 61},	//660 QGlobalSpace::qHash(const QByteArray&)
    {37, 376, 838, 2, Smoke::mf_static, 176, 62},	//661 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {37, 323, 841, 2, Smoke::mf_static, 195, 63},	//662 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {37, 343, 844, 2, Smoke::mf_static, 27, 64},	//663 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {37, 343, 847, 2, Smoke::mf_static, 31, 65},	//664 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {37, 370, 850, 2, Smoke::mf_static, 27, 66},	//665 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {37, 338, 825, 2, Smoke::mf_static, 378, 67},	//666 QGlobalSpace::operator<(QChar, QChar)
    {37, 370, 853, 2, Smoke::mf_static, 27, 68},	//667 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {37, 376, 856, 2, Smoke::mf_static, 84, 69},	//668 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {37, 365, 825, 2, Smoke::mf_static, 378, 70},	//669 QGlobalSpace::operator>=(QChar, QChar)
    {37, 315, 859, 2, Smoke::mf_static, 378, 71},	//670 QGlobalSpace::operator!=(QString::Null, const QString&)
    {37, 343, 862, 2, Smoke::mf_static, 31, 72},	//671 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {37, 338, 747, 2, Smoke::mf_static, 378, 73},	//672 QGlobalSpace::operator<(const char*, const QByteArray&)
    {37, 343, 865, 2, Smoke::mf_static, 31, 74},	//673 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {37, 376, 868, 2, Smoke::mf_static, 112, 75},	//674 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {37, 376, 871, 2, Smoke::mf_static, 126, 76},	//675 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {37, 602, 206, 2, Smoke::mf_static, 500, 77},	//676 QGlobalSpace::qstrcmp(const char*, const char*)
    {37, 376, 874, 2, Smoke::mf_static, 176, 78},	//677 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {37, 327, 710, 2, Smoke::mf_static, 483, 79},	//678 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {37, 421, 699, 1, Smoke::mf_static, 498, 80},	//679 QGlobalSpace::qCos(double)
    {37, 376, 877, 2, Smoke::mf_static, 83, 81},	//680 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {37, 360, 825, 2, Smoke::mf_static, 378, 82},	//681 QGlobalSpace::operator>(QChar, QChar)
    {37, 376, 880, 2, Smoke::mf_static, 129, 83},	//682 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {37, 323, 883, 2, Smoke::mf_static, 456, 84},	//683 QGlobalSpace::operator*(double, const QSizeF&)
    {37, 562, 0, 0, Smoke::mf_static, 378, 85},	//684 QGlobalSpace::qSharedBuild()
    {37, 354, 886, 2, Smoke::mf_static, 378, 86},	//685 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {37, 376, 889, 2, Smoke::mf_static, 176, 87},	//686 QGlobalSpace::operator|(QDir::Filter, int)
    {37, 376, 892, 2, Smoke::mf_static, 95, 88},	//687 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {37, 315, 694, 2, Smoke::mf_static, 378, 89},	//688 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {37, 332, 895, 2, Smoke::mf_static, 441, 90},	//689 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {37, 391, 0, 0, Smoke::mf_static, 8, 91},	//690 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {37, 343, 898, 2, Smoke::mf_static, 27, 92},	//691 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {37, 376, 901, 2, Smoke::mf_static, 176, 93},	//692 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {37, 376, 904, 2, Smoke::mf_static, 125, 94},	//693 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {37, 376, 907, 2, Smoke::mf_static, 176, 95},	//694 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {37, 332, 910, 2, Smoke::mf_static, 279, 96},	//695 QGlobalSpace::operator-(const QTransform&, double)
    {37, 376, 913, 2, Smoke::mf_static, 48, 97},	//696 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {37, 506, 916, 1, Smoke::mf_static, 511, 98},	//697 QGlobalSpace::qHash(char)
    {37, 323, 710, 2, Smoke::mf_static, 483, 99},	//698 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {37, 376, 918, 2, Smoke::mf_static, 113, 100},	//699 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {37, 315, 735, 2, Smoke::mf_static, 378, 101},	//700 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {37, 376, 921, 2, Smoke::mf_static, 109, 102},	//701 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {37, 376, 924, 2, Smoke::mf_static, 176, 103},	//702 QGlobalSpace::operator|(QTextOption::Flag, int)
    {37, 343, 927, 2, Smoke::mf_static, 31, 104},	//703 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {37, 376, 930, 2, Smoke::mf_static, 176, 105},	//704 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {37, 376, 933, 2, Smoke::mf_static, 176, 106},	//705 QGlobalSpace::operator|(QFile::Permission, int)
    {37, 376, 936, 2, Smoke::mf_static, 71, 107},	//706 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {37, 336, 939, 2, Smoke::mf_static, 441, 108},	//707 QGlobalSpace::operator/(const QPoint&, double)
    {37, 473, 942, 8, Smoke::mf_static, 0, 109},	//708 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 473, 951, 6, Smoke::mf_static, 0, 110},	//709 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 473, 958, 7, Smoke::mf_static, 0, 111},	//710 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 327, 895, 2, Smoke::mf_static, 441, 112},	//711 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {37, 343, 966, 2, Smoke::mf_static, 27, 113},	//712 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {37, 376, 969, 2, Smoke::mf_static, 58, 114},	//713 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {37, 327, 972, 2, Smoke::mf_static, 461, 115},	//714 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {37, 332, 975, 2, Smoke::mf_static, 456, 116},	//715 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {37, 323, 978, 2, Smoke::mf_static, 291, 117},	//716 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {37, 496, 981, 2, Smoke::mf_static, 378, 118},	//717 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {37, 343, 984, 2, Smoke::mf_static, 31, 119},	//718 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {37, 332, 710, 2, Smoke::mf_static, 483, 120},	//719 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {37, 514, 699, 1, Smoke::mf_static, 378, 121},	//720 QGlobalSpace::qIsFinite(double)
    {37, 579, 987, 4, Smoke::mf_static, 380, 122},	//721 QGlobalSpace::qecvt(long double, int, int*, int*)
    {37, 376, 992, 2, Smoke::mf_static, 63, 123},	//722 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {37, 315, 780, 2, Smoke::mf_static, 378, 124},	//723 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {37, 343, 995, 2, Smoke::mf_static, 27, 125},	//724 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {37, 376, 998, 2, Smoke::mf_static, 121, 126},	//725 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {37, 376, 1001, 2, Smoke::mf_static, 176, 127},	//726 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {37, 343, 1004, 2, Smoke::mf_static, 31, 128},	//727 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {37, 400, 36, 1, Smoke::mf_static, 500, 129},	//728 QGlobalSpace::qAlpha(unsigned int)
    {37, 343, 1007, 2, Smoke::mf_static, 31, 130},	//729 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {37, 376, 1010, 2, Smoke::mf_static, 59, 131},	//730 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {37, 338, 1013, 2, Smoke::mf_static, 378, 132},	//731 QGlobalSpace::operator<(const char*, const QString&)
    {37, 501, 1016, 3, Smoke::mf_static, 500, 133},	//732 QGlobalSpace::qGray(int, int, int)
    {37, 376, 1020, 2, Smoke::mf_static, 76, 134},	//733 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {37, 376, 1023, 2, Smoke::mf_static, 67, 135},	//734 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {37, 343, 1026, 2, Smoke::mf_static, 27, 136},	//735 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {37, 376, 1029, 2, Smoke::mf_static, 111, 137},	//736 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {37, 376, 1032, 2, Smoke::mf_static, 127, 138},	//737 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {37, 327, 738, 2, Smoke::mf_static, 454, 139},	//738 QGlobalSpace::operator+(const QSize&, const QSize&)
    {37, 376, 1035, 2, Smoke::mf_static, 118, 140},	//739 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {37, 632, 20, 1, Smoke::mf_static, 245, 141},	//740 QGlobalSpace::qt_error_string(int)
    {37, 632, 0, 0, Smoke::mf_static, 245, 142},	//741 QGlobalSpace::qt_error_string()
    {37, 327, 975, 2, Smoke::mf_static, 456, 143},	//742 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {37, 336, 841, 2, Smoke::mf_static, 195, 144},	//743 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {37, 376, 1038, 2, Smoke::mf_static, 176, 145},	//744 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {37, 376, 1041, 2, Smoke::mf_static, 48, 146},	//745 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {37, 376, 1044, 2, Smoke::mf_static, 176, 147},	//746 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {37, 332, 981, 2, Smoke::mf_static, 486, 148},	//747 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {37, 338, 1047, 2, Smoke::mf_static, 378, 149},	//748 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {37, 572, 1050, 2, Smoke::mf_static, 16, 150},	//749 QGlobalSpace::qUncompress(const unsigned char*, int)
    {37, 615, 1053, 3, Smoke::mf_static, 500, 151},	//750 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {37, 570, 699, 1, Smoke::mf_static, 498, 152},	//751 QGlobalSpace::qTan(double)
    {37, 360, 720, 2, Smoke::mf_static, 378, 153},	//752 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {37, 315, 1057, 2, Smoke::mf_static, 378, 154},	//753 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {37, 556, 20, 1, Smoke::mf_static, 276, 155},	//754 QGlobalSpace::qSetFieldWidth(int)
    {37, 354, 1060, 2, Smoke::mf_static, 378, 156},	//755 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {37, 376, 1063, 2, Smoke::mf_static, 98, 157},	//756 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {37, 370, 1066, 2, Smoke::mf_static, 273, 158},	//757 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {37, 506, 1069, 1, Smoke::mf_static, 511, 159},	//758 QGlobalSpace::qHash(const QItemSelectionRange&)
    {37, 376, 1071, 2, Smoke::mf_static, 116, 160},	//759 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {37, 541, 36, 1, Smoke::mf_static, 500, 161},	//760 QGlobalSpace::qRed(unsigned int)
    {37, 323, 910, 2, Smoke::mf_static, 279, 162},	//761 QGlobalSpace::operator*(const QTransform&, double)
    {37, 490, 699, 1, Smoke::mf_static, 500, 163},	//762 QGlobalSpace::qFloor(double)
    {37, 376, 1074, 2, Smoke::mf_static, 90, 164},	//763 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {37, 343, 1077, 2, Smoke::mf_static, 31, 165},	//764 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {37, 370, 1080, 2, Smoke::mf_static, 27, 166},	//765 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {37, 514, 783, 1, Smoke::mf_static, 378, 167},	//766 QGlobalSpace::qIsFinite(float)
    {37, 327, 1083, 2, Smoke::mf_static, 461, 168},	//767 QGlobalSpace::operator+(const QString&, QChar)
    {37, 315, 1086, 2, Smoke::mf_static, 378, 169},	//768 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {37, 323, 981, 2, Smoke::mf_static, 486, 170},	//769 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {37, 376, 1089, 2, Smoke::mf_static, 51, 171},	//770 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {37, 376, 1092, 2, Smoke::mf_static, 176, 172},	//771 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {37, 577, 1095, 3, Smoke::mf_static, 0, 173},	//772 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {37, 327, 780, 2, Smoke::mf_static, 384, 174},	//773 QGlobalSpace::operator+(const QByteArray&, const char*)
    {37, 394, 0, 0, Smoke::mf_static, 8, 175},	//774 QGlobalSpace::qAccessibleTextCastHelper()
    {37, 376, 1099, 2, Smoke::mf_static, 97, 176},	//775 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {37, 376, 1102, 2, Smoke::mf_static, 103, 177},	//776 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {37, 327, 762, 2, Smoke::mf_static, 461, 178},	//777 QGlobalSpace::operator+(const QString&, const char*)
    {37, 360, 1047, 2, Smoke::mf_static, 378, 179},	//778 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {37, 376, 1105, 2, Smoke::mf_static, 124, 180},	//779 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {37, 376, 1108, 2, Smoke::mf_static, 69, 181},	//780 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    {37, 539, 1111, 4, Smoke::mf_static, 518, 182},	//781 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {37, 370, 1116, 2, Smoke::mf_static, 27, 183},	//782 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {37, 343, 1119, 2, Smoke::mf_static, 27, 184},	//783 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {37, 327, 1122, 2, Smoke::mf_static, 461, 185},	//784 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {37, 506, 36, 1, Smoke::mf_static, 511, 186},	//785 QGlobalSpace::qHash(unsigned int)
    {37, 496, 886, 2, Smoke::mf_static, 378, 187},	//786 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {37, 376, 1125, 2, Smoke::mf_static, 126, 188},	//787 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {37, 506, 796, 1, Smoke::mf_static, 511, 189},	//788 QGlobalSpace::qHash(QChar)
    {37, 376, 1128, 2, Smoke::mf_static, 105, 190},	//789 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {37, 347, 780, 2, Smoke::mf_static, 378, 191},	//790 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {37, 512, 783, 1, Smoke::mf_static, 500, 192},	//791 QGlobalSpace::qIntCast(float)
    {37, 354, 1131, 2, Smoke::mf_static, 378, 193},	//792 QGlobalSpace::operator==(const QRect&, const QRect&)
    {37, 376, 1134, 2, Smoke::mf_static, 61, 194},	//793 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {37, 374, 1137, 2, Smoke::mf_static, 12, 195},	//794 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {37, 360, 1140, 2, Smoke::mf_static, 378, 196},	//795 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {37, 376, 1143, 2, Smoke::mf_static, 87, 197},	//796 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {37, 537, 1146, 2, Smoke::mf_static, 518, 198},	//797 QGlobalSpace::qRealloc(void*, size_t)
    {37, 506, 71, 1, Smoke::mf_static, 511, 199},	//798 QGlobalSpace::qHash(const QString&)
    {37, 347, 1047, 2, Smoke::mf_static, 378, 200},	//799 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {37, 327, 981, 2, Smoke::mf_static, 486, 201},	//800 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {37, 376, 1149, 2, Smoke::mf_static, 91, 202},	//801 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {37, 343, 1152, 2, Smoke::mf_static, 27, 203},	//802 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {37, 343, 1155, 2, Smoke::mf_static, 27, 204},	//803 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {37, 343, 1158, 2, Smoke::mf_static, 31, 205},	//804 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {37, 553, 699, 1, Smoke::mf_static, 505, 206},	//805 QGlobalSpace::qRound64(double)
    {37, 510, 1161, 1, Smoke::mf_static, 517, 207},	//806 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {37, 565, 699, 1, Smoke::mf_static, 498, 208},	//807 QGlobalSpace::qSqrt(double)
    {37, 376, 1163, 2, Smoke::mf_static, 176, 209},	//808 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {37, 506, 1166, 1, Smoke::mf_static, 511, 210},	//809 QGlobalSpace::qHash(const QModelIndex&)
    {37, 376, 1168, 2, Smoke::mf_static, 54, 211},	//810 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {37, 484, 699, 1, Smoke::mf_static, 498, 212},	//811 QGlobalSpace::qFastCos(double)
    {37, 376, 1171, 2, Smoke::mf_static, 102, 213},	//812 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {37, 370, 1174, 2, Smoke::mf_static, 27, 214},	//813 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {37, 343, 1177, 2, Smoke::mf_static, 31, 215},	//814 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {37, 354, 1180, 2, Smoke::mf_static, 378, 216},	//815 QGlobalSpace::operator==(QBool, QBool)
    {37, 376, 1183, 2, Smoke::mf_static, 73, 217},	//816 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {37, 354, 1186, 2, Smoke::mf_static, 378, 218},	//817 QGlobalSpace::operator==(const char*, const QStringRef&)
    {37, 376, 1189, 2, Smoke::mf_static, 176, 219},	//818 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {37, 376, 1192, 2, Smoke::mf_static, 176, 220},	//819 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {37, 315, 1013, 2, Smoke::mf_static, 378, 221},	//820 QGlobalSpace::operator!=(const char*, const QString&)
    {37, 520, 783, 1, Smoke::mf_static, 378, 222},	//821 QGlobalSpace::qIsNaN(float)
    {37, 376, 1195, 2, Smoke::mf_static, 176, 223},	//822 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {37, 376, 1198, 2, Smoke::mf_static, 79, 224},	//823 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {37, 376, 1201, 2, Smoke::mf_static, 66, 225},	//824 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {37, 347, 1140, 2, Smoke::mf_static, 378, 226},	//825 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {37, 370, 1204, 2, Smoke::mf_static, 27, 227},	//826 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {37, 488, 204, 1, Smoke::mf_static, 489, 228},	//827 QGlobalSpace::qFlagLocation(const char*)
    {37, 327, 910, 2, Smoke::mf_static, 279, 229},	//828 QGlobalSpace::operator+(const QTransform&, double)
    {37, 323, 1207, 2, Smoke::mf_static, 184, 230},	//829 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {37, 343, 1210, 2, Smoke::mf_static, 31, 231},	//830 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {37, 376, 1213, 2, Smoke::mf_static, 176, 232},	//831 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {37, 520, 699, 1, Smoke::mf_static, 378, 233},	//832 QGlobalSpace::qIsNaN(double)
    {37, 501, 36, 1, Smoke::mf_static, 500, 234},	//833 QGlobalSpace::qGray(unsigned int)
    {37, 327, 1216, 2, Smoke::mf_static, 461, 235},	//834 QGlobalSpace::operator+(QChar, const QString&)
    {37, 376, 1219, 2, Smoke::mf_static, 99, 236},	//835 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {37, 376, 1222, 2, Smoke::mf_static, 176, 237},	//836 QGlobalSpace::operator|(QString::SectionFlag, int)
    {37, 376, 1225, 2, Smoke::mf_static, 176, 238},	//837 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {37, 376, 1228, 2, Smoke::mf_static, 72, 239},	//838 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {37, 376, 1231, 2, Smoke::mf_static, 176, 240},	//839 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {37, 343, 1234, 2, Smoke::mf_static, 31, 241},	//840 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {37, 370, 1237, 2, Smoke::mf_static, 27, 242},	//841 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {37, 626, 209, 3, Smoke::mf_static, 0, 243},	//842 QGlobalSpace::qt_assert(const char*, const char*, int)
    {37, 506, 1240, 1, Smoke::mf_static, 511, 244},	//843 QGlobalSpace::qHash(long long)
    {37, 332, 1242, 1, Smoke::mf_static, 447, 245},	//844 QGlobalSpace::operator-(const QQuaternion&)
    {37, 315, 1244, 2, Smoke::mf_static, 378, 246},	//845 QGlobalSpace::operator!=(const QString&, QString::Null)
    {37, 583, 987, 4, Smoke::mf_static, 380, 247},	//846 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {37, 376, 1247, 2, Smoke::mf_static, 65, 248},	//847 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {37, 496, 1250, 2, Smoke::mf_static, 378, 249},	//848 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {37, 376, 1253, 2, Smoke::mf_static, 176, 250},	//849 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {37, 370, 1256, 2, Smoke::mf_static, 27, 251},	//850 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {37, 376, 1259, 2, Smoke::mf_static, 176, 252},	//851 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {37, 547, 1016, 3, Smoke::mf_static, 511, 253},	//852 QGlobalSpace::qRgb(int, int, int)
    {37, 376, 1262, 2, Smoke::mf_static, 103, 254},	//853 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {37, 327, 1265, 2, Smoke::mf_static, 461, 255},	//854 QGlobalSpace::operator+(const QString&, char)
    {37, 315, 819, 2, Smoke::mf_static, 378, 256},	//855 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {37, 323, 1268, 2, Smoke::mf_static, 214, 257},	//856 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {37, 332, 768, 2, Smoke::mf_static, 443, 258},	//857 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {37, 354, 1086, 2, Smoke::mf_static, 378, 259},	//858 QGlobalSpace::operator==(QString::Null, QString::Null)
    {37, 376, 1271, 2, Smoke::mf_static, 119, 260},	//859 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {37, 376, 1274, 2, Smoke::mf_static, 176, 261},	//860 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {37, 376, 1277, 2, Smoke::mf_static, 84, 262},	//861 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {37, 376, 1280, 2, Smoke::mf_static, 113, 263},	//862 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {37, 370, 1283, 2, Smoke::mf_static, 27, 264},	//863 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {37, 338, 1140, 2, Smoke::mf_static, 378, 265},	//864 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {37, 393, 0, 0, Smoke::mf_static, 8, 266},	//865 QGlobalSpace::qAccessibleTableCastHelper()
    {37, 376, 1286, 2, Smoke::mf_static, 129, 267},	//866 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {37, 430, 1289, 8, Smoke::mf_static, 0, 268},	//867 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {37, 430, 1298, 6, Smoke::mf_static, 0, 269},	//868 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {37, 430, 1305, 7, Smoke::mf_static, 0, 270},	//869 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {37, 499, 783, 1, Smoke::mf_static, 378, 271},	//870 QGlobalSpace::qFuzzyIsNull(float)
    {37, 323, 1313, 2, Smoke::mf_static, 447, 272},	//871 QGlobalSpace::operator*(const QQuaternion&, double)
    {37, 376, 1316, 2, Smoke::mf_static, 123, 273},	//872 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {37, 607, 1319, 2, Smoke::mf_static, 380, 274},	//873 QGlobalSpace::qstrcpy(char*, const char*)
    {37, 506, 20, 1, Smoke::mf_static, 511, 275},	//874 QGlobalSpace::qHash(int)
    {37, 376, 1322, 2, Smoke::mf_static, 91, 276},	//875 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {37, 327, 768, 2, Smoke::mf_static, 443, 277},	//876 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {37, 323, 1325, 2, Smoke::mf_static, 234, 278},	//877 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {37, 376, 1328, 2, Smoke::mf_static, 114, 279},	//878 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {37, 354, 975, 2, Smoke::mf_static, 378, 280},	//879 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {37, 332, 1331, 1, Smoke::mf_static, 441, 281},	//880 QGlobalSpace::operator-(const QPoint&)
    {37, 376, 1333, 2, Smoke::mf_static, 176, 282},	//881 QGlobalSpace::operator|(Qt::DropAction, int)
    {37, 343, 1336, 2, Smoke::mf_static, 27, 283},	//882 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {37, 376, 1339, 2, Smoke::mf_static, 176, 284},	//883 QGlobalSpace::operator|(QDir::SortFlag, int)
    {37, 480, 699, 1, Smoke::mf_static, 498, 285},	//884 QGlobalSpace::qExp(double)
    {37, 560, 20, 1, Smoke::mf_static, 276, 286},	//885 QGlobalSpace::qSetRealNumberPrecision(int)
    {37, 354, 1342, 2, Smoke::mf_static, 378, 287},	//886 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {37, 524, 699, 1, Smoke::mf_static, 498, 288},	//887 QGlobalSpace::qLn(double)
    {37, 327, 713, 2, Smoke::mf_static, 480, 289},	//888 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {37, 455, 1345, 7, Smoke::mf_static, 0, 290},	//889 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {37, 455, 1353, 3, Smoke::mf_static, 0, 291},	//890 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {37, 455, 1357, 4, Smoke::mf_static, 0, 292},	//891 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {37, 455, 1362, 5, Smoke::mf_static, 0, 293},	//892 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 455, 1368, 6, Smoke::mf_static, 0, 294},	//893 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {37, 343, 1375, 2, Smoke::mf_static, 27, 295},	//894 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {37, 323, 1378, 2, Smoke::mf_static, 293, 296},	//895 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {37, 376, 1381, 2, Smoke::mf_static, 176, 297},	//896 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {37, 315, 975, 2, Smoke::mf_static, 378, 298},	//897 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {37, 543, 1384, 1, Smoke::mf_static, 0, 299},	//898 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {37, 343, 1386, 2, Smoke::mf_static, 31, 300},	//899 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {37, 343, 1389, 2, Smoke::mf_static, 31, 301},	//900 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {37, 376, 1392, 2, Smoke::mf_static, 59, 302},	//901 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {37, 414, 422, 2, Smoke::mf_static, 514, 303},	//902 QGlobalSpace::qChecksum(const char*, unsigned int)
    {37, 425, 1395, 4, Smoke::mf_static, 0, 304},	//903 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {37, 336, 1400, 2, Smoke::mf_static, 486, 305},	//904 QGlobalSpace::operator/(const QVector4D&, double)
    {37, 343, 1403, 2, Smoke::mf_static, 273, 306},	//905 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {37, 376, 1406, 2, Smoke::mf_static, 122, 307},	//906 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {37, 526, 1409, 1, Smoke::mf_static, 518, 308},	//907 QGlobalSpace::qMalloc(size_t)
    {37, 536, 0, 0, Smoke::mf_static, 498, 309},	//908 QGlobalSpace::qQNaN()
    {37, 376, 1411, 2, Smoke::mf_static, 115, 310},	//909 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {37, 370, 1414, 2, Smoke::mf_static, 27, 311},	//910 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {37, 595, 747, 2, Smoke::mf_static, 378, 312},	//911 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {37, 376, 1417, 2, Smoke::mf_static, 100, 313},	//912 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {37, 376, 1420, 2, Smoke::mf_static, 81, 314},	//913 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {37, 343, 1423, 2, Smoke::mf_static, 27, 315},	//914 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {37, 343, 1426, 2, Smoke::mf_static, 31, 316},	//915 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {37, 376, 1429, 2, Smoke::mf_static, 176, 317},	//916 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {37, 410, 36, 1, Smoke::mf_static, 500, 318},	//917 QGlobalSpace::qBlue(unsigned int)
    {37, 376, 1432, 2, Smoke::mf_static, 107, 319},	//918 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {37, 323, 713, 2, Smoke::mf_static, 480, 320},	//919 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {37, 343, 1435, 2, Smoke::mf_static, 27, 321},	//920 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {37, 343, 1438, 2, Smoke::mf_static, 27, 322},	//921 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {37, 466, 1441, 5, Smoke::mf_static, 0, 323},	//922 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 466, 1353, 3, Smoke::mf_static, 0, 324},	//923 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {37, 466, 1357, 4, Smoke::mf_static, 0, 325},	//924 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {37, 600, 36, 1, Smoke::mf_static, 0, 326},	//925 QGlobalSpace::qsrand(unsigned int)
    {37, 315, 886, 2, Smoke::mf_static, 378, 327},	//926 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {37, 376, 1447, 2, Smoke::mf_static, 176, 328},	//927 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {37, 506, 1450, 1, Smoke::mf_static, 511, 329},	//928 QGlobalSpace::qHash(long)
    {37, 343, 1452, 2, Smoke::mf_static, 27, 330},	//929 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {37, 323, 371, 2, Smoke::mf_static, 441, 331},	//930 QGlobalSpace::operator*(int, const QPoint&)
    {37, 360, 694, 2, Smoke::mf_static, 378, 332},	//931 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {37, 506, 1455, 1, Smoke::mf_static, 511, 333},	//932 QGlobalSpace::qHash(unsigned short)
    {37, 376, 1457, 2, Smoke::mf_static, 106, 334},	//933 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {37, 370, 1460, 2, Smoke::mf_static, 27, 335},	//934 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {37, 315, 768, 2, Smoke::mf_static, 378, 336},	//935 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {37, 376, 1463, 2, Smoke::mf_static, 88, 337},	//936 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {37, 343, 1466, 2, Smoke::mf_static, 27, 338},	//937 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {37, 376, 1469, 2, Smoke::mf_static, 62, 339},	//938 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {37, 376, 1472, 2, Smoke::mf_static, 80, 340},	//939 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {37, 332, 713, 2, Smoke::mf_static, 480, 341},	//940 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {37, 446, 1475, 6, Smoke::mf_static, 0, 342},	//941 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {37, 446, 1353, 3, Smoke::mf_static, 0, 343},	//942 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {37, 446, 1357, 4, Smoke::mf_static, 0, 344},	//943 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 446, 1362, 5, Smoke::mf_static, 0, 345},	//944 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {37, 619, 1053, 3, Smoke::mf_static, 500, 346},	//945 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {37, 327, 1482, 2, Smoke::mf_static, 461, 347},	//946 QGlobalSpace::operator+(char, const QString&)
    {37, 370, 1485, 2, Smoke::mf_static, 27, 348},	//947 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {37, 354, 859, 2, Smoke::mf_static, 378, 349},	//948 QGlobalSpace::operator==(QString::Null, const QString&)
    {37, 370, 1488, 2, Smoke::mf_static, 27, 350},	//949 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {37, 354, 1057, 2, Smoke::mf_static, 378, 351},	//950 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {37, 376, 1491, 2, Smoke::mf_static, 99, 352},	//951 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {37, 376, 1494, 2, Smoke::mf_static, 176, 353},	//952 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {37, 327, 1140, 2, Smoke::mf_static, 384, 354},	//953 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {37, 376, 1497, 2, Smoke::mf_static, 106, 355},	//954 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {37, 506, 1500, 1, Smoke::mf_static, 511, 356},	//955 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {37, 360, 1013, 2, Smoke::mf_static, 378, 357},	//956 QGlobalSpace::operator>(const char*, const QString&)
    {37, 343, 1502, 2, Smoke::mf_static, 31, 358},	//957 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {37, 343, 1505, 2, Smoke::mf_static, 27, 359},	//958 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {37, 343, 1508, 2, Smoke::mf_static, 27, 360},	//959 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {37, 343, 1511, 2, Smoke::mf_static, 27, 361},	//960 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {37, 343, 1514, 2, Smoke::mf_static, 27, 362},	//961 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {37, 370, 1517, 2, Smoke::mf_static, 27, 363},	//962 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {37, 376, 1520, 2, Smoke::mf_static, 70, 364},	//963 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {37, 641, 1523, 3, Smoke::mf_static, 203, 365},	//964 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {37, 446, 1527, 9, Smoke::mf_static, 0, 366},	//965 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {37, 446, 951, 6, Smoke::mf_static, 0, 367},	//966 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {37, 446, 958, 7, Smoke::mf_static, 0, 368},	//967 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 446, 1537, 8, Smoke::mf_static, 0, 369},	//968 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 376, 1546, 2, Smoke::mf_static, 93, 370},	//969 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {37, 370, 1549, 2, Smoke::mf_static, 27, 371},	//970 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {37, 376, 1552, 2, Smoke::mf_static, 176, 372},	//971 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {37, 336, 1555, 2, Smoke::mf_static, 480, 373},	//972 QGlobalSpace::operator/(const QVector2D&, double)
    {37, 376, 1558, 2, Smoke::mf_static, 97, 374},	//973 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {37, 336, 1561, 2, Smoke::mf_static, 443, 375},	//974 QGlobalSpace::operator/(const QPointF&, double)
    {37, 315, 1564, 2, Smoke::mf_static, 378, 376},	//975 QGlobalSpace::operator!=(bool, QBool)
    {37, 354, 1047, 2, Smoke::mf_static, 378, 377},	//976 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {37, 376, 1567, 2, Smoke::mf_static, 77, 378},	//977 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {37, 336, 1570, 2, Smoke::mf_static, 483, 379},	//978 QGlobalSpace::operator/(const QVector3D&, double)
    {37, 376, 1573, 2, Smoke::mf_static, 81, 380},	//979 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {37, 376, 1576, 2, Smoke::mf_static, 80, 381},	//980 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {37, 617, 1579, 3, Smoke::mf_static, 380, 382},	//981 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {37, 323, 1583, 2, Smoke::mf_static, 480, 383},	//982 QGlobalSpace::operator*(double, const QVector2D&)
    {37, 332, 1586, 1, Smoke::mf_static, 486, 384},	//983 QGlobalSpace::operator-(const QVector4D&)
    {37, 376, 1588, 2, Smoke::mf_static, 110, 385},	//984 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {37, 370, 1591, 2, Smoke::mf_static, 27, 386},	//985 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {37, 572, 224, 1, Smoke::mf_static, 16, 387},	//986 QGlobalSpace::qUncompress(const QByteArray&)
    {37, 376, 1594, 2, Smoke::mf_static, 100, 388},	//987 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {37, 336, 910, 2, Smoke::mf_static, 279, 389},	//988 QGlobalSpace::operator/(const QTransform&, double)
    {37, 376, 1597, 2, Smoke::mf_static, 176, 390},	//989 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {37, 496, 704, 2, Smoke::mf_static, 378, 391},	//990 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {37, 376, 1600, 2, Smoke::mf_static, 176, 392},	//991 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {37, 343, 1603, 2, Smoke::mf_static, 27, 393},	//992 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {37, 370, 1606, 2, Smoke::mf_static, 27, 394},	//993 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {37, 390, 0, 0, Smoke::mf_static, 8, 395},	//994 QGlobalSpace::qAccessibleActionCastHelper()
    {37, 323, 1609, 2, Smoke::mf_static, 224, 396},	//995 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {37, 376, 1612, 2, Smoke::mf_static, 176, 397},	//996 QGlobalSpace::operator|(Qt::MouseButton, int)
    {37, 370, 1615, 2, Smoke::mf_static, 27, 398},	//997 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {37, 332, 1618, 1, Smoke::mf_static, 443, 399},	//998 QGlobalSpace::operator-(const QPointF&)
    {37, 343, 1620, 2, Smoke::mf_static, 31, 400},	//999 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {37, 376, 1623, 2, Smoke::mf_static, 49, 401},	//1000 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {37, 354, 1564, 2, Smoke::mf_static, 378, 402},	//1001 QGlobalSpace::operator==(bool, QBool)
    {37, 370, 1626, 2, Smoke::mf_static, 27, 403},	//1002 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {37, 376, 1629, 2, Smoke::mf_static, 176, 404},	//1003 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {37, 597, 0, 0, Smoke::mf_static, 500, 405},	//1004 QGlobalSpace::qrand()
    {37, 376, 1632, 2, Smoke::mf_static, 176, 406},	//1005 QGlobalSpace::operator|(QGL::FormatOption, int)
    {37, 343, 1635, 2, Smoke::mf_static, 31, 407},	//1006 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {37, 323, 1638, 2, Smoke::mf_static, 228, 408},	//1007 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {37, 370, 1641, 2, Smoke::mf_static, 27, 409},	//1008 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {37, 376, 1644, 2, Smoke::mf_static, 53, 410},	//1009 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {37, 628, 1647, 4, Smoke::mf_static, 0, 411},	//1010 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {37, 323, 1652, 2, Smoke::mf_static, 441, 412},	//1011 QGlobalSpace::operator*(float, const QPoint&)
    {37, 321, 1137, 2, Smoke::mf_static, 12, 413},	//1012 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {37, 365, 747, 2, Smoke::mf_static, 378, 414},	//1013 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {37, 376, 1655, 2, Smoke::mf_static, 63, 415},	//1014 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {37, 376, 1658, 2, Smoke::mf_static, 108, 416},	//1015 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {37, 376, 1661, 2, Smoke::mf_static, 124, 417},	//1016 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {37, 343, 1664, 2, Smoke::mf_static, 27, 418},	//1017 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {37, 496, 1667, 2, Smoke::mf_static, 378, 419},	//1018 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {37, 376, 1670, 2, Smoke::mf_static, 176, 420},	//1019 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {37, 315, 1673, 2, Smoke::mf_static, 378, 421},	//1020 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {37, 549, 1676, 4, Smoke::mf_static, 511, 422},	//1021 QGlobalSpace::qRgba(int, int, int, int)
    {37, 423, 0, 0, Smoke::mf_static, 31, 423},	//1022 QGlobalSpace::qCritical()
    {37, 323, 1400, 2, Smoke::mf_static, 486, 424},	//1023 QGlobalSpace::operator*(const QVector4D&, double)
    {37, 370, 1681, 2, Smoke::mf_static, 27, 425},	//1024 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {37, 343, 1684, 2, Smoke::mf_static, 31, 426},	//1025 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {37, 343, 1687, 2, Smoke::mf_static, 27, 427},	//1026 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {37, 376, 1690, 2, Smoke::mf_static, 118, 428},	//1027 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {37, 315, 747, 2, Smoke::mf_static, 378, 429},	//1028 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {37, 315, 895, 2, Smoke::mf_static, 378, 430},	//1029 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {37, 338, 720, 2, Smoke::mf_static, 378, 431},	//1030 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {37, 323, 1693, 2, Smoke::mf_static, 486, 432},	//1031 QGlobalSpace::operator*(double, const QVector4D&)
    {37, 376, 1696, 2, Smoke::mf_static, 176, 433},	//1032 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {37, 376, 1699, 2, Smoke::mf_static, 86, 434},	//1033 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {37, 354, 1673, 2, Smoke::mf_static, 378, 435},	//1034 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {37, 343, 1702, 2, Smoke::mf_static, 27, 436},	//1035 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {37, 343, 1705, 2, Smoke::mf_static, 31, 437},	//1036 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {37, 327, 1708, 2, Smoke::mf_static, 384, 438},	//1037 QGlobalSpace::operator+(const QByteArray&, char)
    {37, 376, 1711, 2, Smoke::mf_static, 58, 439},	//1038 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {37, 376, 1714, 2, Smoke::mf_static, 56, 440},	//1039 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {37, 370, 1717, 2, Smoke::mf_static, 27, 441},	//1040 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {37, 365, 1047, 2, Smoke::mf_static, 378, 442},	//1041 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {37, 336, 1720, 2, Smoke::mf_static, 456, 443},	//1042 QGlobalSpace::operator/(const QSizeF&, double)
    {37, 354, 981, 2, Smoke::mf_static, 378, 444},	//1043 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {37, 343, 1723, 2, Smoke::mf_static, 27, 445},	//1044 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {37, 376, 1726, 2, Smoke::mf_static, 176, 446},	//1045 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {37, 354, 895, 2, Smoke::mf_static, 378, 447},	//1046 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {37, 398, 1729, 1, Smoke::mf_static, 0, 448},	//1047 QGlobalSpace::qAddPostRoutine(void(*)())
    {37, 416, 1731, 3, Smoke::mf_static, 16, 449},	//1048 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {37, 416, 1050, 2, Smoke::mf_static, 16, 450},	//1049 QGlobalSpace::qCompress(const unsigned char*, int)
    {37, 376, 1735, 2, Smoke::mf_static, 92, 451},	//1050 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {37, 347, 747, 2, Smoke::mf_static, 378, 452},	//1051 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {37, 486, 699, 1, Smoke::mf_static, 498, 453},	//1052 QGlobalSpace::qFastSin(double)
    {37, 347, 694, 2, Smoke::mf_static, 378, 454},	//1053 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {37, 343, 1738, 2, Smoke::mf_static, 27, 455},	//1054 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {37, 370, 1741, 2, Smoke::mf_static, 27, 456},	//1055 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {37, 376, 1744, 2, Smoke::mf_static, 55, 457},	//1056 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {37, 370, 1747, 2, Smoke::mf_static, 27, 458},	//1057 QGlobalSpace::operator>>(QDataStream&, QString&)
    {37, 336, 1313, 2, Smoke::mf_static, 447, 459},	//1058 QGlobalSpace::operator/(const QQuaternion&, double)
    {37, 402, 0, 0, Smoke::mf_static, 245, 460},	//1059 QGlobalSpace::qAppName()
    {37, 575, 0, 0, Smoke::mf_static, 489, 461},	//1060 QGlobalSpace::qVersion()
    {37, 376, 1750, 2, Smoke::mf_static, 94, 462},	//1061 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {37, 343, 1753, 2, Smoke::mf_static, 27, 463},	//1062 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {37, 376, 1756, 2, Smoke::mf_static, 176, 464},	//1063 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {37, 376, 1759, 2, Smoke::mf_static, 69, 465},	//1064 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    {37, 492, 1762, 1, Smoke::mf_static, 0, 466},	//1065 QGlobalSpace::qFree(void*)
    {37, 343, 1764, 2, Smoke::mf_static, 31, 467},	//1066 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 323, 1767, 2, Smoke::mf_static, 186, 468},	//1067 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {37, 343, 1770, 2, Smoke::mf_static, 27, 469},	//1068 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {37, 376, 1773, 2, Smoke::mf_static, 176, 470},	//1069 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {37, 494, 1762, 1, Smoke::mf_static, 0, 471},	//1070 QGlobalSpace::qFreeAligned(void*)
    {37, 370, 1776, 2, Smoke::mf_static, 27, 472},	//1071 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {37, 354, 1244, 2, Smoke::mf_static, 378, 473},	//1072 QGlobalSpace::operator==(const QString&, QString::Null)
    {37, 343, 1779, 2, Smoke::mf_static, 31, 474},	//1073 QGlobalSpace::operator<<(QDebug, const QDir&)
    {37, 343, 1782, 2, Smoke::mf_static, 273, 475},	//1074 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 338, 780, 2, Smoke::mf_static, 378, 476},	//1075 QGlobalSpace::operator<(const QByteArray&, const char*)
    {37, 343, 1785, 2, Smoke::mf_static, 31, 477},	//1076 QGlobalSpace::operator<<(QDebug, const QPen&)
    {37, 323, 1788, 2, Smoke::mf_static, 447, 478},	//1077 QGlobalSpace::operator*(double, const QQuaternion&)
    {37, 323, 1555, 2, Smoke::mf_static, 480, 479},	//1078 QGlobalSpace::operator*(const QVector2D&, double)
    {37, 315, 1791, 2, Smoke::mf_static, 378, 480},	//1079 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {37, 343, 1794, 2, Smoke::mf_static, 31, 481},	//1080 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {37, 315, 981, 2, Smoke::mf_static, 378, 482},	//1081 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {37, 376, 1797, 2, Smoke::mf_static, 74, 483},	//1082 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {37, 343, 1800, 2, Smoke::mf_static, 31, 484},	//1083 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {37, 376, 1803, 2, Smoke::mf_static, 107, 485},	//1084 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {37, 376, 1806, 2, Smoke::mf_static, 61, 486},	//1085 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {37, 323, 1570, 2, Smoke::mf_static, 483, 487},	//1086 QGlobalSpace::operator*(const QVector3D&, double)
    {37, 506, 1809, 1, Smoke::mf_static, 511, 488},	//1087 QGlobalSpace::qHash(const QBitArray&)
    {37, 343, 1811, 2, Smoke::mf_static, 31, 489},	//1088 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {37, 376, 1814, 2, Smoke::mf_static, 79, 490},	//1089 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {37, 343, 1817, 2, Smoke::mf_static, 31, 491},	//1090 QGlobalSpace::operator<<(QDebug, const QTime&)
    {37, 343, 1820, 2, Smoke::mf_static, 273, 492},	//1091 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {37, 412, 699, 1, Smoke::mf_static, 500, 493},	//1092 QGlobalSpace::qCeil(double)
    {37, 343, 1823, 2, Smoke::mf_static, 31, 494},	//1093 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {37, 370, 1826, 2, Smoke::mf_static, 27, 495},	//1094 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {37, 315, 825, 2, Smoke::mf_static, 378, 496},	//1095 QGlobalSpace::operator!=(QChar, QChar)
    {37, 376, 1829, 2, Smoke::mf_static, 117, 497},	//1096 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {37, 567, 1832, 2, Smoke::mf_static, 378, 498},	//1097 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {37, 609, 204, 1, Smoke::mf_static, 380, 499},	//1098 QGlobalSpace::qstrdup(const char*)
    {37, 376, 1835, 2, Smoke::mf_static, 176, 500},	//1099 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {37, 376, 1838, 2, Smoke::mf_static, 92, 501},	//1100 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {37, 392, 0, 0, Smoke::mf_static, 8, 502},	//1101 QGlobalSpace::qAccessibleImageCastHelper()
    {37, 376, 1841, 2, Smoke::mf_static, 112, 503},	//1102 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {37, 370, 1844, 2, Smoke::mf_static, 27, 504},	//1103 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {37, 370, 1847, 2, Smoke::mf_static, 27, 505},	//1104 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {37, 347, 1013, 2, Smoke::mf_static, 378, 506},	//1105 QGlobalSpace::operator<=(const char*, const QString&)
    {37, 315, 1186, 2, Smoke::mf_static, 378, 507},	//1106 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {37, 370, 1850, 2, Smoke::mf_static, 27, 508},	//1107 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {37, 376, 1853, 2, Smoke::mf_static, 50, 509},	//1108 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {37, 343, 1856, 2, Smoke::mf_static, 27, 510},	//1109 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {37, 376, 1859, 2, Smoke::mf_static, 101, 511},	//1110 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {37, 376, 1862, 2, Smoke::mf_static, 176, 512},	//1111 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {37, 424, 0, 0, Smoke::mf_static, 31, 513},	//1112 QGlobalSpace::qDebug()
    {37, 528, 1865, 2, Smoke::mf_static, 518, 514},	//1113 QGlobalSpace::qMallocAligned(size_t, size_t)
    {37, 376, 1868, 2, Smoke::mf_static, 75, 515},	//1114 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {37, 376, 1871, 2, Smoke::mf_static, 67, 516},	//1115 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {37, 323, 1874, 2, Smoke::mf_static, 222, 517},	//1116 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {37, 315, 1832, 2, Smoke::mf_static, 378, 518},	//1117 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {37, 581, 1877, 6, Smoke::mf_static, 500, 519},	//1118 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {37, 504, 36, 1, Smoke::mf_static, 500, 520},	//1119 QGlobalSpace::qGreen(unsigned int)
    {37, 534, 774, 2, Smoke::mf_static, 498, 521},	//1120 QGlobalSpace::qPow(double, double)
    {37, 347, 720, 2, Smoke::mf_static, 378, 522},	//1121 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {37, 343, 1884, 2, Smoke::mf_static, 31, 523},	//1122 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {37, 376, 1887, 2, Smoke::mf_static, 176, 524},	//1123 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {37, 370, 1782, 2, Smoke::mf_static, 273, 525},	//1124 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {37, 327, 1890, 2, Smoke::mf_static, 384, 526},	//1125 QGlobalSpace::operator+(char, const QByteArray&)
    {37, 376, 1893, 2, Smoke::mf_static, 176, 527},	//1126 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {37, 354, 747, 2, Smoke::mf_static, 378, 528},	//1127 QGlobalSpace::operator==(const char*, const QByteArray&)
    {37, 343, 1896, 2, Smoke::mf_static, 27, 529},	//1128 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {37, 376, 1899, 2, Smoke::mf_static, 101, 530},	//1129 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {37, 332, 738, 2, Smoke::mf_static, 454, 531},	//1130 QGlobalSpace::operator-(const QSize&, const QSize&)
    {37, 343, 1902, 2, Smoke::mf_static, 31, 532},	//1131 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {37, 327, 1013, 2, Smoke::mf_static, 461, 533},	//1132 QGlobalSpace::operator+(const char*, const QString&)
    {37, 376, 1905, 2, Smoke::mf_static, 52, 534},	//1133 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {37, 376, 1908, 2, Smoke::mf_static, 90, 535},	//1134 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {37, 376, 1911, 2, Smoke::mf_static, 176, 536},	//1135 QGlobalSpace::operator|(Qt::WindowState, int)
    {37, 370, 1914, 2, Smoke::mf_static, 27, 537},	//1136 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {37, 370, 1917, 2, Smoke::mf_static, 27, 538},	//1137 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {37, 376, 1920, 2, Smoke::mf_static, 54, 539},	//1138 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {37, 315, 1342, 2, Smoke::mf_static, 378, 540},	//1139 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {37, 376, 1923, 2, Smoke::mf_static, 108, 541},	//1140 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {37, 343, 1926, 2, Smoke::mf_static, 31, 542},	//1141 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {37, 376, 1929, 2, Smoke::mf_static, 121, 543},	//1142 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {37, 370, 1932, 2, Smoke::mf_static, 27, 544},	//1143 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {37, 323, 1935, 2, Smoke::mf_static, 443, 545},	//1144 QGlobalSpace::operator*(double, const QPointF&)
    {37, 376, 1938, 2, Smoke::mf_static, 116, 546},	//1145 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {37, 323, 1941, 2, Smoke::mf_static, 234, 547},	//1146 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {37, 376, 1944, 2, Smoke::mf_static, 68, 548},	//1147 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {37, 354, 694, 2, Smoke::mf_static, 378, 549},	//1148 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {37, 323, 1947, 2, Smoke::mf_static, 454, 550},	//1149 QGlobalSpace::operator*(const QSize&, double)
    {37, 343, 1950, 2, Smoke::mf_static, 31, 551},	//1150 QGlobalSpace::operator<<(QDebug, const QDate&)
    {37, 496, 713, 2, Smoke::mf_static, 378, 552},	//1151 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {37, 323, 1953, 2, Smoke::mf_static, 214, 553},	//1152 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {37, 376, 1956, 2, Smoke::mf_static, 52, 554},	//1153 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {37, 376, 1959, 2, Smoke::mf_static, 56, 555},	//1154 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {37, 647, 1962, 4, Smoke::mf_static, 500, 556},	//1155 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {37, 354, 1791, 2, Smoke::mf_static, 378, 557},	//1156 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {37, 323, 1967, 2, Smoke::mf_static, 441, 558},	//1157 QGlobalSpace::operator*(double, const QPoint&)
    {37, 323, 1970, 2, Smoke::mf_static, 228, 559},	//1158 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {37, 532, 1973, 3, Smoke::mf_static, 518, 560},	//1159 QGlobalSpace::qMemSet(void*, int, size_t)
    {37, 343, 1977, 2, Smoke::mf_static, 27, 561},	//1160 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {37, 630, 247, 2, Smoke::mf_static, 0, 562},	//1161 QGlobalSpace::qt_check_pointer(const char*, int)
    {37, 473, 1441, 5, Smoke::mf_static, 0, 563},	//1162 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {37, 473, 1353, 3, Smoke::mf_static, 0, 564},	//1163 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {37, 473, 1357, 4, Smoke::mf_static, 0, 565},	//1164 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {37, 506, 1980, 1, Smoke::mf_static, 511, 566},	//1165 QGlobalSpace::qHash(short)
    {37, 376, 1982, 2, Smoke::mf_static, 86, 567},	//1166 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {37, 376, 1985, 2, Smoke::mf_static, 78, 568},	//1167 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {37, 482, 699, 1, Smoke::mf_static, 498, 569},	//1168 QGlobalSpace::qFabs(double)
    {37, 376, 1988, 2, Smoke::mf_static, 115, 570},	//1169 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {37, 376, 1991, 2, Smoke::mf_static, 57, 571},	//1170 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {37, 602, 1140, 2, Smoke::mf_static, 500, 572},	//1171 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {37, 496, 1994, 2, Smoke::mf_static, 378, 573},	//1172 QGlobalSpace::qFuzzyCompare(float, float)
    {37, 354, 1997, 2, Smoke::mf_static, 378, 574},	//1173 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {37, 376, 2000, 2, Smoke::mf_static, 176, 575},	//1174 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {37, 376, 2003, 2, Smoke::mf_static, 82, 576},	//1175 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {37, 585, 1877, 6, Smoke::mf_static, 500, 577},	//1176 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {37, 587, 2006, 3, Smoke::mf_static, 380, 578},	//1177 QGlobalSpace::qgcvt(long double, int, char*)
    {37, 598, 2010, 4, Smoke::mf_static, 0, 579},	//1178 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {37, 376, 2015, 2, Smoke::mf_static, 110, 580},	//1179 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {37, 376, 2018, 2, Smoke::mf_static, 98, 581},	//1180 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {37, 376, 2021, 2, Smoke::mf_static, 77, 582},	//1181 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {37, 396, 699, 1, Smoke::mf_static, 498, 583},	//1182 QGlobalSpace::qAcos(double)
    {37, 376, 2024, 2, Smoke::mf_static, 176, 584},	//1183 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {37, 376, 2027, 2, Smoke::mf_static, 119, 585},	//1184 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {37, 376, 2030, 2, Smoke::mf_static, 176, 586},	//1185 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {37, 343, 2033, 2, Smoke::mf_static, 27, 587},	//1186 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {37, 365, 1140, 2, Smoke::mf_static, 378, 588},	//1187 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {37, 376, 2036, 2, Smoke::mf_static, 176, 589},	//1188 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    {37, 376, 2039, 2, Smoke::mf_static, 89, 590},	//1189 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {37, 370, 2042, 2, Smoke::mf_static, 27, 591},	//1190 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {37, 409, 0, 0, Smoke::mf_static, 0, 592},	//1191 QGlobalSpace::qBadAlloc()
    {37, 343, 2045, 2, Smoke::mf_static, 31, 593},	//1192 QGlobalSpace::operator<<(QDebug, const QLine&)
    {37, 376, 2048, 2, Smoke::mf_static, 125, 594},	//1193 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {37, 455, 2051, 10, Smoke::mf_static, 0, 595},	//1194 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {37, 455, 951, 6, Smoke::mf_static, 0, 596},	//1195 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {37, 455, 958, 7, Smoke::mf_static, 0, 597},	//1196 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 455, 1537, 8, Smoke::mf_static, 0, 598},	//1197 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 455, 2062, 9, Smoke::mf_static, 0, 599},	//1198 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 376, 2072, 2, Smoke::mf_static, 176, 600},	//1199 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {37, 370, 2075, 2, Smoke::mf_static, 27, 601},	//1200 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {37, 343, 2078, 2, Smoke::mf_static, 31, 602},	//1201 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {37, 376, 2081, 2, Smoke::mf_static, 176, 603},	//1202 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {37, 499, 699, 1, Smoke::mf_static, 378, 604},	//1203 QGlobalSpace::qFuzzyIsNull(double)
    {37, 416, 250, 2, Smoke::mf_static, 16, 605},	//1204 QGlobalSpace::qCompress(const QByteArray&, int)
    {37, 416, 224, 1, Smoke::mf_static, 16, 606},	//1205 QGlobalSpace::qCompress(const QByteArray&)
    {37, 343, 2084, 2, Smoke::mf_static, 31, 607},	//1206 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {37, 376, 2087, 2, Smoke::mf_static, 111, 608},	//1207 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {37, 376, 2090, 2, Smoke::mf_static, 176, 609},	//1208 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {37, 376, 2093, 2, Smoke::mf_static, 176, 610},	//1209 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {37, 376, 2096, 2, Smoke::mf_static, 75, 611},	//1210 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {37, 376, 2099, 2, Smoke::mf_static, 176, 612},	//1211 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {37, 376, 2102, 2, Smoke::mf_static, 128, 613},	//1212 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {37, 376, 2105, 2, Smoke::mf_static, 176, 614},	//1213 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {37, 332, 2108, 1, Smoke::mf_static, 480, 615},	//1214 QGlobalSpace::operator-(const QVector2D&)
    {37, 376, 2110, 2, Smoke::mf_static, 47, 616},	//1215 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {37, 343, 2113, 2, Smoke::mf_static, 27, 617},	//1216 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {37, 323, 2116, 2, Smoke::mf_static, 195, 618},	//1217 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {37, 343, 2119, 2, Smoke::mf_static, 27, 619},	//1218 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {37, 437, 2062, 9, Smoke::mf_static, 0, 620},	//1219 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {37, 437, 951, 6, Smoke::mf_static, 0, 621},	//1220 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {37, 437, 958, 7, Smoke::mf_static, 0, 622},	//1221 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 437, 1537, 8, Smoke::mf_static, 0, 623},	//1222 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {37, 376, 2122, 2, Smoke::mf_static, 51, 624},	//1223 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {37, 343, 2125, 2, Smoke::mf_static, 27, 625},	//1224 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {37, 323, 2128, 2, Smoke::mf_static, 184, 626},	//1225 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {37, 343, 2131, 2, Smoke::mf_static, 27, 627},	//1226 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {37, 403, 699, 1, Smoke::mf_static, 498, 628},	//1227 QGlobalSpace::qAsin(double)
    {37, 343, 2134, 2, Smoke::mf_static, 31, 629},	//1228 QGlobalSpace::operator<<(QDebug, const QRect&)
    {37, 343, 2137, 2, Smoke::mf_static, 31, 630},	//1229 QGlobalSpace::operator<<(QDebug, const QFont&)
    {37, 376, 2140, 2, Smoke::mf_static, 57, 631},	//1230 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {37, 376, 2143, 2, Smoke::mf_static, 53, 632},	//1231 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {37, 376, 2146, 2, Smoke::mf_static, 176, 633},	//1232 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {37, 315, 1131, 2, Smoke::mf_static, 378, 634},	//1233 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {37, 563, 699, 1, Smoke::mf_static, 498, 635},	//1234 QGlobalSpace::qSin(double)
    {37, 376, 2149, 2, Smoke::mf_static, 176, 636},	//1235 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {37, 354, 1140, 2, Smoke::mf_static, 378, 637},	//1236 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {37, 370, 2152, 2, Smoke::mf_static, 27, 638},	//1237 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {37, 376, 2155, 2, Smoke::mf_static, 85, 639},	//1238 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {37, 376, 1137, 2, Smoke::mf_static, 12, 640},	//1239 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {37, 343, 2158, 2, Smoke::mf_static, 27, 641},	//1240 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {37, 466, 942, 8, Smoke::mf_static, 0, 642},	//1241 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {37, 466, 951, 6, Smoke::mf_static, 0, 643},	//1242 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {37, 466, 958, 7, Smoke::mf_static, 0, 644},	//1243 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {37, 496, 710, 2, Smoke::mf_static, 378, 645},	//1244 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {37, 343, 2161, 2, Smoke::mf_static, 27, 646},	//1245 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {37, 376, 2164, 2, Smoke::mf_static, 64, 647},	//1246 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {37, 354, 2167, 2, Smoke::mf_static, 378, 648},	//1247 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {37, 376, 2170, 2, Smoke::mf_static, 65, 649},	//1248 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {37, 376, 2173, 2, Smoke::mf_static, 94, 650},	//1249 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {37, 376, 2176, 2, Smoke::mf_static, 176, 651},	//1250 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {37, 370, 2179, 2, Smoke::mf_static, 27, 652},	//1251 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {37, 343, 2182, 2, Smoke::mf_static, 27, 653},	//1252 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {37, 623, 247, 2, Smoke::mf_static, 245, 654},	//1253 QGlobalSpace::qtTrId(const char*, int)
    {37, 623, 204, 1, Smoke::mf_static, 245, 655},	//1254 QGlobalSpace::qtTrId(const char*)
    {37, 376, 2185, 2, Smoke::mf_static, 176, 656},	//1255 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {37, 376, 2188, 2, Smoke::mf_static, 104, 657},	//1256 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {37, 332, 2191, 1, Smoke::mf_static, 483, 658},	//1257 QGlobalSpace::operator-(const QVector3D&)
    {37, 343, 2193, 2, Smoke::mf_static, 31, 659},	//1258 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {37, 347, 825, 2, Smoke::mf_static, 378, 660},	//1259 QGlobalSpace::operator<=(QChar, QChar)
    {37, 376, 2196, 2, Smoke::mf_static, 128, 661},	//1260 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {37, 516, 36, 1, Smoke::mf_static, 378, 662},	//1261 QGlobalSpace::qIsGray(unsigned int)
    {37, 376, 2199, 2, Smoke::mf_static, 73, 663},	//1262 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {37, 315, 1997, 2, Smoke::mf_static, 378, 664},	//1263 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {37, 376, 2202, 2, Smoke::mf_static, 120, 665},	//1264 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {37, 370, 2205, 2, Smoke::mf_static, 27, 666},	//1265 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {37, 370, 2208, 2, Smoke::mf_static, 27, 667},	//1266 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {37, 430, 2211, 5, Smoke::mf_static, 0, 668},	//1267 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {37, 430, 2217, 3, Smoke::mf_static, 0, 669},	//1268 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {37, 430, 2221, 4, Smoke::mf_static, 0, 670},	//1269 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {37, 370, 2226, 2, Smoke::mf_static, 27, 671},	//1270 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {37, 376, 2229, 2, Smoke::mf_static, 74, 672},	//1271 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {37, 376, 2232, 2, Smoke::mf_static, 70, 673},	//1272 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {37, 376, 2235, 2, Smoke::mf_static, 176, 674},	//1273 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {37, 323, 2238, 2, Smoke::mf_static, 441, 675},	//1274 QGlobalSpace::operator*(const QPoint&, int)
    {37, 370, 2241, 2, Smoke::mf_static, 27, 676},	//1275 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {37, 376, 2244, 2, Smoke::mf_static, 176, 677},	//1276 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {37, 645, 2247, 3, Smoke::mf_static, 378, 678},	//1277 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {37, 343, 2251, 2, Smoke::mf_static, 31, 679},	//1278 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {37, 376, 2254, 2, Smoke::mf_static, 176, 680},	//1279 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {37, 323, 2257, 2, Smoke::mf_static, 222, 681},	//1280 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {37, 336, 1947, 2, Smoke::mf_static, 454, 682},	//1281 QGlobalSpace::operator/(const QSize&, double)
    {37, 323, 2260, 2, Smoke::mf_static, 222, 683},	//1282 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {37, 522, 783, 1, Smoke::mf_static, 378, 684},	//1283 QGlobalSpace::qIsNull(float)
    {37, 376, 2263, 2, Smoke::mf_static, 49, 685},	//1284 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {37, 643, 2266, 5, Smoke::mf_static, 0, 686},	//1285 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {37, 354, 2272, 2, Smoke::mf_static, 378, 687},	//1286 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {37, 405, 699, 1, Smoke::mf_static, 498, 688},	//1287 QGlobalSpace::qAtan(double)
    {37, 370, 2275, 2, Smoke::mf_static, 27, 689},	//1288 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {37, 376, 2278, 2, Smoke::mf_static, 176, 690},	//1289 QGlobalSpace::operator|(Qt::Orientation, int)
    {37, 376, 2281, 2, Smoke::mf_static, 102, 691},	//1290 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {37, 496, 774, 2, Smoke::mf_static, 378, 692},	//1291 QGlobalSpace::qFuzzyCompare(double, double)
    {37, 323, 2284, 2, Smoke::mf_static, 291, 693},	//1292 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {37, 315, 720, 2, Smoke::mf_static, 378, 694},	//1293 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {37, 343, 2287, 2, Smoke::mf_static, 27, 695},	//1294 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {37, 343, 2290, 2, Smoke::mf_static, 31, 696},	//1295 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {37, 437, 2293, 7, Smoke::mf_static, 0, 697},	//1296 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {37, 437, 2301, 4, Smoke::mf_static, 0, 698},	//1297 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {37, 437, 2306, 5, Smoke::mf_static, 0, 699},	//1298 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {37, 437, 2312, 6, Smoke::mf_static, 0, 700},	//1299 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {37, 376, 2319, 2, Smoke::mf_static, 117, 701},	//1300 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {37, 323, 939, 2, Smoke::mf_static, 441, 702},	//1301 QGlobalSpace::operator*(const QPoint&, double)
    {37, 376, 2322, 2, Smoke::mf_static, 78, 703},	//1302 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {37, 555, 0, 0, Smoke::mf_static, 498, 704},	//1303 QGlobalSpace::qSNaN()
    {37, 323, 2325, 2, Smoke::mf_static, 224, 705},	//1304 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {37, 376, 2328, 2, Smoke::mf_static, 176, 706},	//1305 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {37, 354, 780, 2, Smoke::mf_static, 378, 707},	//1306 QGlobalSpace::operator==(const QByteArray&, const char*)
    {37, 376, 2331, 2, Smoke::mf_static, 89, 708},	//1307 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {37, 343, 2334, 2, Smoke::mf_static, 27, 709},	//1308 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {37, 323, 1720, 2, Smoke::mf_static, 456, 710},	//1309 QGlobalSpace::operator*(const QSizeF&, double)
    {37, 376, 2337, 2, Smoke::mf_static, 72, 711},	//1310 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {37, 354, 1832, 2, Smoke::mf_static, 378, 712},	//1311 QGlobalSpace::operator==(const QStringRef&, const char*)
    {37, 315, 710, 2, Smoke::mf_static, 378, 713},	//1312 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {37, 354, 713, 2, Smoke::mf_static, 378, 714},	//1313 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {37, 323, 2340, 2, Smoke::mf_static, 226, 715},	//1314 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {37, 376, 2343, 2, Smoke::mf_static, 68, 716},	//1315 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {37, 376, 2346, 2, Smoke::mf_static, 176, 717},	//1316 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {37, 323, 2349, 2, Smoke::mf_static, 441, 718},	//1317 QGlobalSpace::operator*(const QPoint&, float)
    {37, 323, 2352, 2, Smoke::mf_static, 454, 719},	//1318 QGlobalSpace::operator*(double, const QSize&)
    {37, 376, 2355, 2, Smoke::mf_static, 176, 720},	//1319 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {37, 338, 694, 2, Smoke::mf_static, 378, 721},	//1320 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {37, 315, 2358, 2, Smoke::mf_static, 378, 722},	//1321 QGlobalSpace::operator!=(QBool, bool)
    {37, 376, 2361, 2, Smoke::mf_static, 55, 723},	//1322 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {37, 315, 738, 2, Smoke::mf_static, 378, 724},	//1323 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {37, 370, 2364, 2, Smoke::mf_static, 27, 725},	//1324 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {37, 315, 1047, 2, Smoke::mf_static, 378, 726},	//1325 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {37, 343, 2367, 2, Smoke::mf_static, 31, 727},	//1326 QGlobalSpace::operator<<(QDebug, const QSize&)
    {37, 376, 2370, 2, Smoke::mf_static, 176, 728},	//1327 QGlobalSpace::operator|(QStyle::SubControl, int)
    {37, 376, 2373, 2, Smoke::mf_static, 109, 729},	//1328 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {37, 323, 2376, 2, Smoke::mf_static, 186, 730},	//1329 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {37, 332, 886, 2, Smoke::mf_static, 447, 731},	//1330 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {37, 323, 1561, 2, Smoke::mf_static, 443, 732},	//1331 QGlobalSpace::operator*(const QPointF&, double)
    {37, 611, 206, 2, Smoke::mf_static, 500, 733},	//1332 QGlobalSpace::qstricmp(const char*, const char*)
    {37, 376, 2379, 2, Smoke::mf_static, 176, 734},	//1333 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {37, 376, 2382, 2, Smoke::mf_static, 123, 735},	//1334 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {37, 315, 790, 2, Smoke::mf_static, 378, 736},	//1335 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {37, 551, 699, 1, Smoke::mf_static, 500, 737},	//1336 QGlobalSpace::qRound(double)
    {37, 509, 0, 0, Smoke::mf_static, 498, 738},	//1337 QGlobalSpace::qInf()
    {37, 343, 2385, 2, Smoke::mf_static, 27, 739},	//1338 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {37, 376, 2388, 2, Smoke::mf_static, 104, 740},	//1339 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {37, 323, 886, 2, Smoke::mf_static, 447, 741},	//1340 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {37, 376, 2391, 2, Smoke::mf_static, 176, 742},	//1341 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {37, 376, 2394, 2, Smoke::mf_static, 120, 743},	//1342 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {37, 323, 2397, 2, Smoke::mf_static, 224, 744},	//1343 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {37, 343, 2400, 2, Smoke::mf_static, 31, 745},	//1344 QGlobalSpace::operator<<(QDebug, const QColor&)
    {37, 343, 2403, 2, Smoke::mf_static, 31, 746},	//1345 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {37, 343, 2406, 2, Smoke::mf_static, 27, 747},	//1346 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {37, 376, 2409, 2, Smoke::mf_static, 82, 748},	//1347 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {37, 376, 2412, 2, Smoke::mf_static, 176, 749},	//1348 QGlobalSpace::operator|(Qt::WindowType, int)
    {37, 602, 780, 2, Smoke::mf_static, 500, 750},	//1349 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {37, 376, 2415, 2, Smoke::mf_static, 176, 751},	//1350 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {37, 545, 1729, 1, Smoke::mf_static, 0, 752},	//1351 QGlobalSpace::qRemovePostRoutine(void(*)())
    {37, 327, 886, 2, Smoke::mf_static, 447, 753},	//1352 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {37, 370, 2418, 2, Smoke::mf_static, 27, 754},	//1353 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {37, 376, 2421, 2, Smoke::mf_static, 96, 755},	//1354 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {37, 376, 2424, 2, Smoke::mf_static, 76, 756},	//1355 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {37, 370, 2427, 2, Smoke::mf_static, 27, 757},	//1356 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {37, 376, 2430, 2, Smoke::mf_static, 176, 758},	//1357 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {37, 343, 2433, 2, Smoke::mf_static, 27, 759},	//1358 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {37, 376, 2436, 2, Smoke::mf_static, 122, 760},	//1359 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {37, 376, 2439, 2, Smoke::mf_static, 114, 761},	//1360 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {37, 576, 0, 0, Smoke::mf_static, 31, 762},	//1361 QGlobalSpace::qWarning()
    {37, 613, 204, 1, Smoke::mf_static, 511, 763},	//1362 QGlobalSpace::qstrlen(const char*)
    {37, 354, 2358, 2, Smoke::mf_static, 378, 764},	//1363 QGlobalSpace::operator==(QBool, bool)
    {37, 370, 2442, 2, Smoke::mf_static, 27, 765},	//1364 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {37, 370, 2445, 2, Smoke::mf_static, 27, 766},	//1365 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {37, 506, 38, 1, Smoke::mf_static, 511, 767},	//1366 QGlobalSpace::qHash(unsigned long)
    {37, 343, 2448, 2, Smoke::mf_static, 27, 768},	//1367 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {37, 376, 2451, 2, Smoke::mf_static, 176, 769},	//1368 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {37, 343, 2454, 2, Smoke::mf_static, 27, 770},	//1369 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {37, 376, 2457, 2, Smoke::mf_static, 66, 771},	//1370 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {37, 376, 2460, 2, Smoke::mf_static, 176, 772},	//1371 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {37, 376, 2463, 2, Smoke::mf_static, 83, 773},	//1372 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {37, 354, 1013, 2, Smoke::mf_static, 378, 774},	//1373 QGlobalSpace::operator==(const char*, const QString&)
    {37, 343, 2466, 2, Smoke::mf_static, 27, 775},	//1374 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {37, 376, 2469, 2, Smoke::mf_static, 176, 776},	//1375 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {37, 425, 2472, 8, Smoke::mf_static, 0, 777},	//1376 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {37, 425, 2481, 6, Smoke::mf_static, 0, 778},	//1377 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {37, 425, 2488, 7, Smoke::mf_static, 0, 779},	//1378 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {37, 376, 2496, 2, Smoke::mf_static, 93, 780},	//1379 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {37, 327, 2499, 2, Smoke::mf_static, 461, 781},	//1380 QGlobalSpace::operator+(const QString&, const QString&)
    {37, 315, 1180, 2, Smoke::mf_static, 378, 782},	//1381 QGlobalSpace::operator!=(QBool, QBool)
    {37, 376, 2502, 2, Smoke::mf_static, 47, 783},	//1382 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {37, 634, 2505, 2, Smoke::mf_static, 0, 784},	//1383 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {37, 343, 2508, 2, Smoke::mf_static, 31, 785},	//1384 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {37, 323, 2511, 2, Smoke::mf_static, 483, 786},	//1385 QGlobalSpace::operator*(double, const QVector3D&)
    {37, 365, 1013, 2, Smoke::mf_static, 378, 787},	//1386 QGlobalSpace::operator>=(const char*, const QString&)
    {37, 506, 2514, 1, Smoke::mf_static, 511, 788},	//1387 QGlobalSpace::qHash(const QStringRef&)
    {37, 522, 699, 1, Smoke::mf_static, 378, 789},	//1388 QGlobalSpace::qIsNull(double)
    {37, 376, 2516, 2, Smoke::mf_static, 176, 790},	//1389 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {37, 376, 2519, 2, Smoke::mf_static, 50, 791},	//1390 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {37, 365, 720, 2, Smoke::mf_static, 378, 792},	//1391 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {37, 360, 780, 2, Smoke::mf_static, 378, 793},	//1392 QGlobalSpace::operator>(const QByteArray&, const char*)
    {37, 506, 2522, 1, Smoke::mf_static, 511, 794},	//1393 QGlobalSpace::qHash(unsigned char)
    {37, 370, 2524, 2, Smoke::mf_static, 27, 795},	//1394 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {37, 376, 2527, 2, Smoke::mf_static, 64, 796},	//1395 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {37, 323, 2530, 2, Smoke::mf_static, 226, 797},	//1396 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {37, 343, 2533, 2, Smoke::mf_static, 31, 798},	//1397 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {37, 343, 2536, 2, Smoke::mf_static, 31, 799},	//1398 QGlobalSpace::operator<<(QDebug, const QObject*)
    {37, 376, 2539, 2, Smoke::mf_static, 176, 800},	//1399 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {37, 315, 1140, 2, Smoke::mf_static, 378, 801},	//1400 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {37, 343, 2542, 2, Smoke::mf_static, 27, 802},	//1401 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {37, 370, 2545, 2, Smoke::mf_static, 27, 803},	//1402 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {37, 343, 2548, 2, Smoke::mf_static, 27, 804},	//1403 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {37, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 503, 805},	//1404 QGlobalSpace::PM_FrameCornerWidth (enum)
    {37, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 503, 806},	//1405 QGlobalSpace::PM_FrameCornerHeight (enum)
    {37, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 503, 807},	//1406 QGlobalSpace::PM_BoldLineWidth (enum)
    {37, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 503, 808},	//1407 QGlobalSpace::PM_ThinLineWidth (enum)
    {37, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 503, 809},	//1408 QGlobalSpace::PM_MessageBoxHeight (enum)
    {37, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 503, 810},	//1409 QGlobalSpace::PM_CbaIconWidth (enum)
    {37, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 503, 811},	//1410 QGlobalSpace::PM_CbaIconHeight (enum)
    {37, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 812},	//1411 QGlobalSpace::QtDebugMsg (enum)
    {37, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 813},	//1412 QGlobalSpace::QtWarningMsg (enum)
    {37, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 814},	//1413 QGlobalSpace::QtCriticalMsg (enum)
    {37, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 815},	//1414 QGlobalSpace::QtFatalMsg (enum)
    {37, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 375, 816},	//1415 QGlobalSpace::QtSystemMsg (enum)
    {37, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 817},	//1416 QGlobalSpace::__codecvt_ok (enum)
    {37, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 818},	//1417 QGlobalSpace::__codecvt_partial (enum)
    {37, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 819},	//1418 QGlobalSpace::__codecvt_error (enum)
    {37, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 820},	//1419 QGlobalSpace::__codecvt_noconv (enum)
    {61, 236, 641, 1, Smoke::mf_virtual, 378, 0},	//1420 QObject::event(QEvent*)
    {61, 238, 2551, 2, Smoke::mf_virtual, 378, 0},	//1421 QObject::eventFilter(QObject*, QEvent*)
    {61, 828, 2554, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1422 QObject::timerEvent(QTimerEvent*)
    {61, 181, 2556, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1423 QObject::childEvent(QChildEvent*)
    {61, 203, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1424 QObject::customEvent(QEvent*)
    {61, 194, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1425 QObject::connectNotify(const char*)
    {61, 218, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1426 QObject::disconnectNotify(const char*)
    {112, 212, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 500, 0},	//1427 QWidget::devType() const
    {112, 805, 84, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1428 QWidget::setVisible(bool)
    {112, 813, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 238, 0},	//1429 QWidget::sizeHint() const
    {112, 306, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 238, 0},	//1430 QWidget::minimumSizeHint() const
    {112, 276, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 500, 0},	//1431 QWidget::heightForWidth(int) const
    {112, 311, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1432 QWidget::mousePressEvent(QMouseEvent*)
    {112, 312, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1433 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 309, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1434 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 310, 2558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1435 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 851, 2560, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1436 QWidget::wheelEvent(QWheelEvent*)
    {112, 291, 2562, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1437 QWidget::keyPressEvent(QKeyEvent*)
    {112, 292, 2562, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1438 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 243, 2564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1439 QWidget::focusInEvent(QFocusEvent*)
    {112, 245, 2564, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1440 QWidget::focusOutEvent(QFocusEvent*)
    {112, 231, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1441 QWidget::enterEvent(QEvent*)
    {112, 294, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1442 QWidget::leaveEvent(QEvent*)
    {112, 313, 2566, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1443 QWidget::moveEvent(QMoveEvent*)
    {112, 185, 2568, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1444 QWidget::closeEvent(QCloseEvent*)
    {112, 196, 2570, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1445 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 822, 2572, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1446 QWidget::tabletEvent(QTabletEvent*)
    {112, 141, 2574, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1447 QWidget::actionEvent(QActionEvent*)
    {112, 221, 2576, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1448 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 223, 2578, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1449 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 222, 2580, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1450 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 227, 2582, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1451 QWidget::dropEvent(QDropEvent*)
    {112, 811, 2584, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1452 QWidget::showEvent(QShowEvent*)
    {112, 277, 2586, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1453 QWidget::hideEvent(QHideEvent*)
    {112, 856, 2588, 1, Smoke::mf_protected|Smoke::mf_virtual, 378, 0},	//1454 QWidget::x11Event(_XEvent*)
    {112, 180, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1455 QWidget::changeEvent(QEvent*)
    {112, 304, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 500, 0},	//1456 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 281, 2590, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1457 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 282, 2592, 1, Smoke::mf_const|Smoke::mf_virtual, 286, 0},	//1458 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 244, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 378, 0},	//1459 QWidget::focusNextPrevChild(bool)
    {112, 819, 2594, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1460 QWidget::styleChange(QStyle&)
    {112, 230, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1461 QWidget::enabledChange(bool)
    {112, 386, 2596, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1462 QWidget::paletteChange(const QPalette&)
    {112, 246, 689, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1463 QWidget::fontChange(const QFont&)
    {112, 852, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1464 QWidget::windowActivationChange(bool)
    {112, 293, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1465 QWidget::languageChange()
    {112, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 40},	//1466 QWidget::DrawWindowBackground (enum)
    {112, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 41},	//1467 QWidget::DrawChildren (enum)
    {112, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 297, 42},	//1468 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    220,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    247,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    0,
    221,  // QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    249,  // QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    0,
    251,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    252,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    0,
    239,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    240,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    573,  // QGLWidget::QGLWidget(QWidget*)
    575,  // QGLWidget::QGLWidget(QGLContext*)
    578,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    574,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    576,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    579,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    577,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    580,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    521,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    522,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    591,  // QGLWidget::bindTexture(const QImage&)
    593,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    592,  // QGLWidget::bindTexture(const QImage&, unsigned int)
    594,  // QGLWidget::bindTexture(const QPixmap&, unsigned int)
    0,
    548,  // QGLWidget::bindTexture(const QImage&, unsigned int, int)
    549,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    0,
    546,  // QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    547,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    595,  // QGLWidget::drawTexture(const QRectF&, unsigned int)
    596,  // QGLWidget::drawTexture(const QPointF&, unsigned int)
    0,
    552,  // QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    553,  // QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    314,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    329,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    317,  // QGLShader::compileSourceCode(const char*)
    319,  // QGLShader::compileSourceCode(const QString&)
    0,
    119,  // QGLContext::bindTexture(const QImage&)
    121,  // QGLContext::bindTexture(const QPixmap&)
    0,
    120,  // QGLContext::bindTexture(const QImage&, unsigned int)
    122,  // QGLContext::bindTexture(const QPixmap&, unsigned int)
    0,
    94,  // QGLContext::bindTexture(const QImage&, unsigned int, int)
    95,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    0,
    92,  // QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    93,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    123,  // QGLContext::drawTexture(const QRectF&, unsigned int)
    124,  // QGLContext::drawTexture(const QPointF&, unsigned int)
    0,
    98,  // QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    99,  // QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    302,  // QGLPixelBuffer::bindTexture(const QImage&)
    303,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    284,  // QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    285,  // QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    0,
    304,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    305,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    0,
    288,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    289,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    343,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    497,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    348,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    350,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    369,  // QGLShaderProgram::attributeLocation(const char*) const
    371,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    366,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    368,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    404,  // QGLShaderProgram::disableAttributeArray(int)
    405,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    402,  // QGLShaderProgram::enableAttributeArray(int)
    403,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    499,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    500,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    501,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    504,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    505,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    506,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    391,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    392,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    393,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    396,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    397,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    398,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    498,  // QGLShaderProgram::setAttributeArray(int, const float*, int)
    503,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    0,
    390,  // QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    395,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    502,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    507,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    0,
    394,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    399,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    0,
    508,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    509,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    0,
    400,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    401,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    0,
    376,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    377,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    378,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    379,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    385,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    386,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    387,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    388,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    372,  // QGLShaderProgram::setAttributeValue(int, float)
    381,  // QGLShaderProgram::setAttributeValue(const char*, float)
    0,
    373,  // QGLShaderProgram::setAttributeValue(int, float, float)
    382,  // QGLShaderProgram::setAttributeValue(const char*, float, float)
    0,
    374,  // QGLShaderProgram::setAttributeValue(int, float, float, float)
    380,  // QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    383,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    389,  // QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    0,
    375,  // QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    384,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    0,
    415,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    416,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    417,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    418,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    419,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    420,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    421,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    422,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    431,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    435,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    442,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    443,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    444,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    445,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    446,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    447,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    448,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    449,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    458,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    462,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    409,  // QGLShaderProgram::setUniformValue(int, float)
    410,  // QGLShaderProgram::setUniformValue(int, int)
    411,  // QGLShaderProgram::setUniformValue(int, unsigned int)
    432,  // QGLShaderProgram::setUniformValue(int, const float[2][2])
    433,  // QGLShaderProgram::setUniformValue(int, const float[3][3])
    434,  // QGLShaderProgram::setUniformValue(int, const float[4][4])
    436,  // QGLShaderProgram::setUniformValue(const char*, float)
    437,  // QGLShaderProgram::setUniformValue(const char*, int)
    438,  // QGLShaderProgram::setUniformValue(const char*, unsigned int)
    459,  // QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    460,  // QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    461,  // QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    0,
    412,  // QGLShaderProgram::setUniformValue(int, float, float)
    439,  // QGLShaderProgram::setUniformValue(const char*, float, float)
    0,
    413,  // QGLShaderProgram::setUniformValue(int, float, float, float)
    440,  // QGLShaderProgram::setUniformValue(const char*, float, float, float)
    0,
    414,  // QGLShaderProgram::setUniformValue(int, float, float, float, float)
    441,  // QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    0,
    423,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    424,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    425,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    426,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    427,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    428,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    429,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    430,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    450,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    451,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    452,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    453,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    454,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    455,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    456,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    457,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    0,
    466,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    467,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    468,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    477,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    481,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    482,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    483,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    492,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    464,  // QGLShaderProgram::setUniformValueArray(int, const int*, int)
    465,  // QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    479,  // QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    480,  // QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    0,
    463,  // QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    478,  // QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    0,
    469,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    470,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    471,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    472,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    473,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    474,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    475,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    476,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    484,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    485,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    486,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    487,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    488,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    489,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    490,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    491,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    406,  // QGLShaderProgram::uniformLocation(const char*) const
    408,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    609,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    688,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    753,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    768,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    855,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    897,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    926,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    935,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1020,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1029,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    1079,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    1081,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1095,  // QGlobalSpace::operator!=(QChar, QChar)
    1139,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1233,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1263,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1312,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1323,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1325,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1381,  // QGlobalSpace::operator!=(QBool, QBool)
    1400,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    670,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    700,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    723,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1117,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1321,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    845,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    975,  // QGlobalSpace::operator!=(bool, QBool)
    1028,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1106,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1293,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    1335,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    616,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    648,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    653,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    656,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    698,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    716,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    769,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    829,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    856,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    877,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    895,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    919,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    995,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    1007,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1067,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    1116,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1146,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1152,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    1158,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1225,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1280,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1282,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1292,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1304,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1314,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1329,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1340,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    1343,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1396,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    662,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    761,  // QGlobalSpace::operator*(const QTransform&, double)
    871,  // QGlobalSpace::operator*(const QQuaternion&, double)
    1023,  // QGlobalSpace::operator*(const QVector4D&, double)
    1078,  // QGlobalSpace::operator*(const QVector2D&, double)
    1086,  // QGlobalSpace::operator*(const QVector3D&, double)
    1149,  // QGlobalSpace::operator*(const QSize&, double)
    1274,  // QGlobalSpace::operator*(const QPoint&, int)
    1301,  // QGlobalSpace::operator*(const QPoint&, double)
    1309,  // QGlobalSpace::operator*(const QSizeF&, double)
    1317,  // QGlobalSpace::operator*(const QPoint&, float)
    1331,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    683,  // QGlobalSpace::operator*(double, const QSizeF&)
    930,  // QGlobalSpace::operator*(int, const QPoint&)
    982,  // QGlobalSpace::operator*(double, const QVector2D&)
    1011,  // QGlobalSpace::operator*(float, const QPoint&)
    1031,  // QGlobalSpace::operator*(double, const QVector4D&)
    1077,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1144,  // QGlobalSpace::operator*(double, const QPointF&)
    1157,  // QGlobalSpace::operator*(double, const QPoint&)
    1217,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1318,  // QGlobalSpace::operator*(double, const QSize&)
    1385,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    642,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    678,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    711,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    738,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    742,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    800,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    876,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    888,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    953,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1352,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    773,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    784,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    828,  // QGlobalSpace::operator+(const QTransform&, double)
    834,  // QGlobalSpace::operator+(QChar, const QString&)
    1037,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    622,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    714,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    767,  // QGlobalSpace::operator+(const QString&, QChar)
    1125,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    777,  // QGlobalSpace::operator+(const QString&, const char*)
    854,  // QGlobalSpace::operator+(const QString&, char)
    946,  // QGlobalSpace::operator+(char, const QString&)
    1132,  // QGlobalSpace::operator+(const char*, const QString&)
    1380,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    658,  // QGlobalSpace::operator-(const QMatrix4x4&)
    844,  // QGlobalSpace::operator-(const QQuaternion&)
    880,  // QGlobalSpace::operator-(const QPoint&)
    983,  // QGlobalSpace::operator-(const QVector4D&)
    998,  // QGlobalSpace::operator-(const QPointF&)
    1214,  // QGlobalSpace::operator-(const QVector2D&)
    1257,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    606,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    689,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    715,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    719,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    747,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    857,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    940,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1130,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    1330,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    707,  // QGlobalSpace::operator/(const QPoint&, double)
    743,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    904,  // QGlobalSpace::operator/(const QVector4D&, double)
    972,  // QGlobalSpace::operator/(const QVector2D&, double)
    974,  // QGlobalSpace::operator/(const QPointF&, double)
    978,  // QGlobalSpace::operator/(const QVector3D&, double)
    988,  // QGlobalSpace::operator/(const QTransform&, double)
    1042,  // QGlobalSpace::operator/(const QSizeF&, double)
    1058,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1281,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    666,  // QGlobalSpace::operator<(QChar, QChar)
    748,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    864,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1320,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    672,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    1030,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    620,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    631,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    645,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    649,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    650,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    655,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    663,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    664,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    673,  // QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    691,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    703,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    712,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    718,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    724,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    727,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    729,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    735,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    764,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    783,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    802,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    803,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    804,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    814,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    830,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    882,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    894,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    899,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    900,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    905,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    914,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    920,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    921,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    929,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    937,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    957,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    958,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    959,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    961,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    992,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    999,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    1006,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    1017,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    1025,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    1026,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    1036,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    1044,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    1054,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    1062,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1068,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1073,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1074,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1076,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    1080,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1083,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    1088,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    1090,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    1091,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1093,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    1109,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    1122,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    1128,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    1131,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1150,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    1160,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1186,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    1192,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1201,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    1206,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    1216,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1218,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1224,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1226,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1228,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1229,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    1240,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1245,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1252,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1258,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1294,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    1295,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1308,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1326,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    1344,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    1345,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1346,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1358,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1367,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1369,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1374,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1384,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    1398,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1401,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1403,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    614,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    671,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    840,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    915,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    960,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1066,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1141,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    1278,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    1338,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    1397,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    799,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    825,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1053,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1259,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    1051,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    1121,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    608,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    619,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    630,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    652,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    654,  // QGlobalSpace::operator==(QChar, QChar)
    685,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    792,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    815,  // QGlobalSpace::operator==(QBool, QBool)
    858,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    879,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    886,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    950,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    976,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    1034,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1043,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    1046,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1148,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1156,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    1173,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1236,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1286,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1313,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    618,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    755,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    948,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1306,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1311,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1363,  // QGlobalSpace::operator==(QBool, bool)
    0,
    613,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    639,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    817,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    1001,  // QGlobalSpace::operator==(bool, QBool)
    1072,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1127,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    1247,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    681,  // QGlobalSpace::operator>(QChar, QChar)
    778,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    795,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    931,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    640,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    752,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    602,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    669,  // QGlobalSpace::operator>=(QChar, QChar)
    1041,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1187,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    1013,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    1391,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    615,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    623,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    628,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    633,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    665,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    667,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    757,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    765,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    782,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    813,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    826,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    841,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    850,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    863,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    934,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    947,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    949,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    962,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    970,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    985,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    993,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    997,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    1002,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    1008,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    1024,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    1040,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1055,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    1071,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1094,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1103,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    1104,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1107,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    1124,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    1136,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1137,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1143,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    1190,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1200,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1237,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1251,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1265,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1266,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1270,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1288,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1324,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1353,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1356,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1364,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1365,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1394,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1402,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    1057,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1275,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    600,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    605,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    607,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    617,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    621,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    624,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    625,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    626,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    638,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    641,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    646,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    647,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    651,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    657,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    661,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    668,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    674,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    675,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    677,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    680,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    682,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    686,  // QGlobalSpace::operator|(QDir::Filter, int)
    687,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    692,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    693,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    694,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    696,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    699,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    701,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    702,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    704,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    705,  // QGlobalSpace::operator|(QFile::Permission, int)
    706,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    713,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    722,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    725,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    726,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    730,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    733,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    734,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    736,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    737,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    739,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    744,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    745,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    746,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    756,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    759,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    763,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    770,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    771,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    775,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    776,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    779,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    780,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    787,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    789,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    793,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    796,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    801,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    808,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    810,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    812,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    816,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    818,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    819,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    822,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    823,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    824,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    831,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    835,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    836,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    837,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    838,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    839,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    847,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    849,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    851,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    853,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    859,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    860,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    861,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    862,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    866,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    872,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    875,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    878,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    881,  // QGlobalSpace::operator|(Qt::DropAction, int)
    883,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    896,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    901,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    906,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    909,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    912,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    913,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    916,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    918,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    927,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    933,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    936,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    938,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    939,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    951,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    952,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    954,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    963,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    969,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    971,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    973,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    977,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    979,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    980,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    984,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    987,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    989,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    991,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    996,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    1000,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    1003,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    1005,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    1009,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    1014,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    1015,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    1016,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1019,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    1027,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    1032,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    1033,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    1038,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    1039,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    1045,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1050,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    1056,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1061,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1063,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1064,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    1069,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    1082,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1084,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1085,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1089,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1096,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1099,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    1100,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    1102,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    1108,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    1110,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    1111,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1114,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    1115,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    1123,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    1126,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    1129,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    1133,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1134,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    1135,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1138,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1140,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1142,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    1145,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1147,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1153,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    1154,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    1166,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1167,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    1169,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1170,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1174,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    1175,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1179,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    1180,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1181,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1183,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    1184,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1185,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1188,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    1189,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    1193,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1199,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    1202,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    1207,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1208,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    1209,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1210,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1211,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1212,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1213,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    1215,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    1223,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1230,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1231,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    1232,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    1235,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1238,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    1246,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1248,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1249,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    1250,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    1255,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    1256,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    1260,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    1262,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    1264,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    1271,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    1272,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    1273,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    1276,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    1279,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    1284,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    1289,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1290,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1300,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    1302,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    1305,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1307,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    1310,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1315,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    1316,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    1319,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    1322,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1327,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    1328,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1333,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    1334,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    1339,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1341,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    1342,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    1347,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1348,  // QGlobalSpace::operator|(Qt::WindowType, int)
    1350,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    1354,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1355,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1357,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    1359,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    1360,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    1368,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    1370,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    1371,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    1372,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1375,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1379,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1382,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    1389,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1390,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    1395,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    1399,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    717,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    786,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    848,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    990,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    1018,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1151,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    1244,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    1172,  // QGlobalSpace::qFuzzyCompare(float, float)
    1291,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    870,  // QGlobalSpace::qFuzzyIsNull(float)
    1203,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    659,  // QGlobalSpace::qHash(const QUrl&)
    660,  // QGlobalSpace::qHash(const QByteArray&)
    758,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    788,  // QGlobalSpace::qHash(QChar)
    809,  // QGlobalSpace::qHash(const QModelIndex&)
    955,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    1087,  // QGlobalSpace::qHash(const QBitArray&)
    1387,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    603,  // QGlobalSpace::qHash(unsigned long long)
    637,  // QGlobalSpace::qHash(signed char)
    697,  // QGlobalSpace::qHash(char)
    785,  // QGlobalSpace::qHash(unsigned int)
    798,  // QGlobalSpace::qHash(const QString&)
    843,  // QGlobalSpace::qHash(long long)
    874,  // QGlobalSpace::qHash(int)
    928,  // QGlobalSpace::qHash(long)
    932,  // QGlobalSpace::qHash(unsigned short)
    1165,  // QGlobalSpace::qHash(short)
    1366,  // QGlobalSpace::qHash(unsigned long)
    1393,  // QGlobalSpace::qHash(unsigned char)
    0,
    643,  // QGlobalSpace::qIntCast(double)
    791,  // QGlobalSpace::qIntCast(float)
    0,
    720,  // QGlobalSpace::qIsFinite(double)
    766,  // QGlobalSpace::qIsFinite(float)
    0,
    604,  // QGlobalSpace::qIsInf(double)
    635,  // QGlobalSpace::qIsInf(float)
    0,
    821,  // QGlobalSpace::qIsNaN(float)
    832,  // QGlobalSpace::qIsNaN(double)
    0,
    1283,  // QGlobalSpace::qIsNull(float)
    1388,  // QGlobalSpace::qIsNull(double)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 21, 10},	// QGL::HasOverlay
    {26, 24, 20},	// QGL::IndirectRendering
    {26, 30, 17},	// QGL::NoAccumBuffer
    {26, 31, 16},	// QGL::NoAlphaChannel
    {26, 34, 23},	// QGL::NoDeprecatedFunctions
    {26, 35, 14},	// QGL::NoDepthBuffer
    {26, 36, 21},	// QGL::NoOverlay
    {26, 38, 22},	// QGL::NoSampleBuffers
    {26, 39, 18},	// QGL::NoStencilBuffer
    {26, 40, 19},	// QGL::NoStereoBuffers
    {26, 121, 4},	// QGL::Rgba
    {26, 122, 11},	// QGL::SampleBuffers
    {26, 123, 13},	// QGL::SingleBuffer
    {26, 127, 7},	// QGL::StencilBuffer
    {26, 128, 8},	// QGL::StereoBuffers
    {26, 764, 1},	// QGL::setPreferredPaintEngine$
    {27, 16, 57},	// QGLBuffer::DynamicCopy
    {27, 17, 55},	// QGLBuffer::DynamicDraw
    {27, 18, 56},	// QGLBuffer::DynamicRead
    {27, 23, 46},	// QGLBuffer::IndexBuffer
    {27, 66, 47},	// QGLBuffer::PixelPackBuffer
    {27, 67, 48},	// QGLBuffer::PixelUnpackBuffer
    {27, 69, 24},	// QGLBuffer::QGLBuffer
    {27, 70, 26},	// QGLBuffer::QGLBuffer#
    {27, 71, 25},	// QGLBuffer::QGLBuffer$
    {27, 119, 58},	// QGLBuffer::ReadOnly
    {27, 120, 60},	// QGLBuffer::ReadWrite
    {27, 124, 54},	// QGLBuffer::StaticCopy
    {27, 125, 52},	// QGLBuffer::StaticDraw
    {27, 126, 53},	// QGLBuffer::StaticRead
    {27, 129, 51},	// QGLBuffer::StreamCopy
    {27, 130, 49},	// QGLBuffer::StreamDraw
    {27, 131, 50},	// QGLBuffer::StreamRead
    {27, 133, 45},	// QGLBuffer::VertexBuffer
    {27, 134, 59},	// QGLBuffer::WriteOnly
    {27, 150, 42},	// QGLBuffer::allocate$
    {27, 151, 41},	// QGLBuffer::allocate$$
    {27, 161, 34},	// QGLBuffer::bind
    {27, 179, 37},	// QGLBuffer::bufferId
    {27, 199, 31},	// QGLBuffer::create
    {27, 210, 33},	// QGLBuffer::destroy
    {27, 286, 32},	// QGLBuffer::isCreated
    {27, 301, 43},	// QGLBuffer::map$
    {27, 353, 27},	// QGLBuffer::operator=#
    {27, 650, 39},	// QGLBuffer::read$$$
    {27, 652, 35},	// QGLBuffer::release
    {27, 653, 36},	// QGLBuffer::release$
    {27, 800, 30},	// QGLBuffer::setUsagePattern$
    {27, 812, 38},	// QGLBuffer::size
    {27, 841, 28},	// QGLBuffer::type
    {27, 845, 44},	// QGLBuffer::unmap
    {27, 850, 29},	// QGLBuffer::usagePattern
    {27, 855, 40},	// QGLBuffer::write$$$
    {27, 857, 61},	// QGLBuffer::~QGLBuffer
    {28, 72, 62},	// QGLColormap::QGLColormap
    {28, 73, 63},	// QGLColormap::QGLColormap#
    {28, 211, 67},	// QGLColormap::detach
    {28, 233, 72},	// QGLColormap::entryColor$
    {28, 235, 71},	// QGLColormap::entryRgb$
    {28, 240, 73},	// QGLColormap::find$
    {28, 242, 74},	// QGLColormap::findNearest$
    {28, 264, 75},	// QGLColormap::handle
    {28, 287, 65},	// QGLColormap::isEmpty
    {28, 353, 64},	// QGLColormap::operator=#
    {28, 732, 77},	// QGLColormap::setEntries$$
    {28, 733, 68},	// QGLColormap::setEntries$$$
    {28, 735, 70},	// QGLColormap::setEntry$#
    {28, 736, 69},	// QGLColormap::setEntry$$
    {28, 748, 76},	// QGLColormap::setHandle$
    {28, 812, 66},	// QGLColormap::size
    {28, 858, 78},	// QGLColormap::~QGLColormap
    {29, 3, 135},	// QGLContext::CanFlipNativePixmapBindOption
    {29, 8, 136},	// QGLContext::DefaultBindOption
    {29, 25, 137},	// QGLContext::InternalBindOption
    {29, 26, 130},	// QGLContext::InvertedYBindOption
    {29, 27, 133},	// QGLContext::LinearFilteringBindOption
    {29, 28, 134},	// QGLContext::MemoryManagedBindOption
    {29, 29, 131},	// QGLContext::MipmapBindOption
    {29, 33, 129},	// QGLContext::NoBindOption
    {29, 68, 132},	// QGLContext::PremultipliedAlphaBindOption
    {29, 75, 80},	// QGLContext::QGLContext#
    {29, 76, 79},	// QGLContext::QGLContext##
    {29, 155, 85},	// QGLContext::areSharing##
    {29, 167, -51},	// QGLContext::bindTexture#
    {29, 168, -54},	// QGLContext::bindTexture#$
    {29, 169, -57},	// QGLContext::bindTexture#$$
    {29, 170, -60},	// QGLContext::bindTexture#$$$
    {29, 171, 96},	// QGLContext::bindTexture$
    {29, 182, 125},	// QGLContext::chooseContext
    {29, 183, 106},	// QGLContext::chooseContext#
    {29, 184, 108},	// QGLContext::chooseVisual
    {29, 187, 115},	// QGLContext::colorIndex#
    {29, 199, 118},	// QGLContext::create
    {29, 200, 81},	// QGLContext::create#
    {29, 201, 105},	// QGLContext::currentContext
    {29, 202, 127},	// QGLContext::currentCtx
    {29, 207, 97},	// QGLContext::deleteTexture$
    {29, 213, 103},	// QGLContext::device
    {29, 214, 109},	// QGLContext::deviceIsPixmap
    {29, 219, 90},	// QGLContext::doneCurrent
    {29, 225, -63},	// QGLContext::drawTexture#$
    {29, 226, -66},	// QGLContext::drawTexture#$$
    {29, 250, 86},	// QGLContext::format
    {29, 253, 114},	// QGLContext::generateFontDisplayLists#$
    {29, 258, 102},	// QGLContext::getProcAddress$
    {29, 280, 112},	// QGLContext::initialized
    {29, 289, 83},	// QGLContext::isSharing
    {29, 290, 82},	// QGLContext::isValid
    {29, 298, 89},	// QGLContext::makeCurrent
    {29, 380, 104},	// QGLContext::overlayTransparentColor
    {29, 669, 87},	// QGLContext::requestedFormat
    {29, 670, 84},	// QGLContext::reset
    {29, 716, 128},	// QGLContext::setCurrentCtx#
    {29, 726, 117},	// QGLContext::setDevice#
    {29, 738, 88},	// QGLContext::setFormat#
    {29, 750, 113},	// QGLContext::setInitialized$
    {29, 784, 100},	// QGLContext::setTextureCacheLimit$
    {29, 802, 116},	// QGLContext::setValid$
    {29, 807, 111},	// QGLContext::setWindowCreated$
    {29, 820, 91},	// QGLContext::swapBuffers
    {29, 826, 101},	// QGLContext::textureCacheLimit
    {29, 839, 126},	// QGLContext::tryVisual#
    {29, 840, 107},	// QGLContext::tryVisual#$
    {29, 853, 110},	// QGLContext::windowCreated
    {29, 859, 138},	// QGLContext::~QGLContext
    {30, 6, 200},	// QGLFormat::CompatibilityProfile
    {30, 7, 199},	// QGLFormat::CoreProfile
    {30, 37, 198},	// QGLFormat::NoProfile
    {30, 41, 210},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {30, 42, 212},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {30, 43, 209},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {30, 44, 211},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {30, 45, 213},	// QGLFormat::OpenGL_ES_Version_2_0
    {30, 46, 202},	// QGLFormat::OpenGL_Version_1_1
    {30, 47, 203},	// QGLFormat::OpenGL_Version_1_2
    {30, 48, 204},	// QGLFormat::OpenGL_Version_1_3
    {30, 49, 205},	// QGLFormat::OpenGL_Version_1_4
    {30, 50, 206},	// QGLFormat::OpenGL_Version_1_5
    {30, 51, 207},	// QGLFormat::OpenGL_Version_2_0
    {30, 52, 208},	// QGLFormat::OpenGL_Version_2_1
    {30, 53, 214},	// QGLFormat::OpenGL_Version_3_0
    {30, 54, 215},	// QGLFormat::OpenGL_Version_3_1
    {30, 55, 216},	// QGLFormat::OpenGL_Version_3_2
    {30, 56, 217},	// QGLFormat::OpenGL_Version_3_3
    {30, 57, 218},	// QGLFormat::OpenGL_Version_4_0
    {30, 58, 201},	// QGLFormat::OpenGL_Version_None
    {30, 77, 139},	// QGLFormat::QGLFormat
    {30, 78, 141},	// QGLFormat::QGLFormat#
    {30, 79, 197},	// QGLFormat::QGLFormat$
    {30, 80, 140},	// QGLFormat::QGLFormat$$
    {30, 139, 171},	// QGLFormat::accum
    {30, 140, 146},	// QGLFormat::accumBufferSize
    {30, 152, 169},	// QGLFormat::alpha
    {30, 153, 154},	// QGLFormat::alphaBufferSize
    {30, 178, 152},	// QGLFormat::blueBufferSize
    {30, 204, 185},	// QGLFormat::defaultFormat
    {30, 205, 187},	// QGLFormat::defaultOverlayFormat
    {30, 208, 165},	// QGLFormat::depth
    {30, 209, 144},	// QGLFormat::depthBufferSize
    {30, 215, 177},	// QGLFormat::directRendering
    {30, 220, 163},	// QGLFormat::doubleBuffer
    {30, 263, 150},	// QGLFormat::greenBufferSize
    {30, 265, 189},	// QGLFormat::hasOpenGL
    {30, 268, 190},	// QGLFormat::hasOpenGLOverlays
    {30, 275, 179},	// QGLFormat::hasOverlay
    {30, 297, 192},	// QGLFormat::majorVersion
    {30, 307, 193},	// QGLFormat::minorVersion
    {30, 314, 196},	// QGLFormat::openGLVersionFlags
    {30, 353, 142},	// QGLFormat::operator=#
    {30, 387, 181},	// QGLFormat::plane
    {30, 388, 195},	// QGLFormat::profile
    {30, 651, 148},	// QGLFormat::redBufferSize
    {30, 677, 167},	// QGLFormat::rgba
    {30, 678, 158},	// QGLFormat::sampleBuffers
    {30, 679, 160},	// QGLFormat::samples
    {30, 681, 172},	// QGLFormat::setAccum$
    {30, 683, 145},	// QGLFormat::setAccumBufferSize$
    {30, 685, 170},	// QGLFormat::setAlpha$
    {30, 687, 153},	// QGLFormat::setAlphaBufferSize$
    {30, 708, 151},	// QGLFormat::setBlueBufferSize$
    {30, 718, 186},	// QGLFormat::setDefaultFormat#
    {30, 720, 188},	// QGLFormat::setDefaultOverlayFormat#
    {30, 722, 166},	// QGLFormat::setDepth$
    {30, 724, 143},	// QGLFormat::setDepthBufferSize$
    {30, 728, 178},	// QGLFormat::setDirectRendering$
    {30, 730, 164},	// QGLFormat::setDoubleBuffer$
    {30, 746, 149},	// QGLFormat::setGreenBufferSize$
    {30, 758, 183},	// QGLFormat::setOption$
    {30, 760, 180},	// QGLFormat::setOverlay$
    {30, 762, 182},	// QGLFormat::setPlane$
    {30, 766, 194},	// QGLFormat::setProfile$
    {30, 768, 147},	// QGLFormat::setRedBufferSize$
    {30, 770, 168},	// QGLFormat::setRgba$
    {30, 772, 157},	// QGLFormat::setSampleBuffers$
    {30, 774, 159},	// QGLFormat::setSamples$
    {30, 776, 174},	// QGLFormat::setStencil$
    {30, 778, 155},	// QGLFormat::setStencilBufferSize$
    {30, 780, 176},	// QGLFormat::setStereo$
    {30, 782, 161},	// QGLFormat::setSwapInterval$
    {30, 804, 191},	// QGLFormat::setVersion$$
    {30, 816, 173},	// QGLFormat::stencil
    {30, 817, 156},	// QGLFormat::stencilBufferSize
    {30, 818, 175},	// QGLFormat::stereo
    {30, 821, 162},	// QGLFormat::swapInterval
    {30, 824, 184},	// QGLFormat::testOption$
    {30, 860, 219},	// QGLFormat::~QGLFormat
    {31, 5, 256},	// QGLFramebufferObject::CombinedDepthStencil
    {31, 10, 257},	// QGLFramebufferObject::Depth
    {31, 32, 255},	// QGLFramebufferObject::NoAttachment
    {31, 82, 245},	// QGLFramebufferObject::QGLFramebufferObject#
    {31, 83, 224},	// QGLFramebufferObject::QGLFramebufferObject##
    {31, 84, -1},	// QGLFramebufferObject::QGLFramebufferObject#$
    {31, 85, 248},	// QGLFramebufferObject::QGLFramebufferObject#$$
    {31, 86, 222},	// QGLFramebufferObject::QGLFramebufferObject#$$$
    {31, 87, 246},	// QGLFramebufferObject::QGLFramebufferObject$$
    {31, 88, 225},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {31, 89, -4},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {31, 90, 250},	// QGLFramebufferObject::QGLFramebufferObject$$$$
    {31, 91, 223},	// QGLFramebufferObject::QGLFramebufferObject$$$$$
    {31, 156, 234},	// QGLFramebufferObject::attachment
    {31, 161, 229},	// QGLFramebufferObject::bind
    {31, 165, 237},	// QGLFramebufferObject::bindDefault
    {31, 175, 253},	// QGLFramebufferObject::blitFramebuffer####
    {31, 176, 254},	// QGLFramebufferObject::blitFramebuffer####$
    {31, 177, 242},	// QGLFramebufferObject::blitFramebuffer####$$
    {31, 212, 244},	// QGLFramebufferObject::devType
    {31, 225, -7},	// QGLFramebufferObject::drawTexture#$
    {31, 226, -10},	// QGLFramebufferObject::drawTexture#$$
    {31, 250, 226},	// QGLFramebufferObject::format
    {31, 264, 236},	// QGLFramebufferObject::handle
    {31, 266, 241},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {31, 267, 238},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {31, 284, 228},	// QGLFramebufferObject::isBound
    {31, 290, 227},	// QGLFramebufferObject::isValid
    {31, 305, 243},	// QGLFramebufferObject::metric$
    {31, 381, 235},	// QGLFramebufferObject::paintEngine
    {31, 652, 230},	// QGLFramebufferObject::release
    {31, 812, 232},	// QGLFramebufferObject::size
    {31, 825, 231},	// QGLFramebufferObject::texture
    {31, 829, 233},	// QGLFramebufferObject::toImage
    {31, 861, 258},	// QGLFramebufferObject::~QGLFramebufferObject
    {32, 92, 259},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {32, 93, 260},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {32, 156, 267},	// QGLFramebufferObjectFormat::attachment
    {32, 283, 271},	// QGLFramebufferObjectFormat::internalTextureFormat
    {32, 308, 265},	// QGLFramebufferObjectFormat::mipmap
    {32, 316, 273},	// QGLFramebufferObjectFormat::operator!=#
    {32, 353, 261},	// QGLFramebufferObjectFormat::operator=#
    {32, 355, 272},	// QGLFramebufferObjectFormat::operator==#
    {32, 679, 263},	// QGLFramebufferObjectFormat::samples
    {32, 689, 266},	// QGLFramebufferObjectFormat::setAttachment$
    {32, 752, 270},	// QGLFramebufferObjectFormat::setInternalTextureFormat$
    {32, 754, 264},	// QGLFramebufferObjectFormat::setMipmap$
    {32, 774, 262},	// QGLFramebufferObjectFormat::setSamples$
    {32, 786, 268},	// QGLFramebufferObjectFormat::setTextureTarget$
    {32, 827, 269},	// QGLFramebufferObjectFormat::textureTarget
    {32, 862, 274},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {33, 95, 298},	// QGLPixelBuffer::QGLPixelBuffer#
    {33, 96, 299},	// QGLPixelBuffer::QGLPixelBuffer##
    {33, 97, 275},	// QGLPixelBuffer::QGLPixelBuffer###
    {33, 98, 300},	// QGLPixelBuffer::QGLPixelBuffer$$
    {33, 99, 301},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {33, 100, 276},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {33, 167, -69},	// QGLPixelBuffer::bindTexture#
    {33, 168, -72},	// QGLPixelBuffer::bindTexture#$
    {33, 171, 286},	// QGLPixelBuffer::bindTexture$
    {33, 173, 281},	// QGLPixelBuffer::bindToDynamicTexture$
    {33, 207, 287},	// QGLPixelBuffer::deleteTexture$
    {33, 212, 297},	// QGLPixelBuffer::devType
    {33, 219, 279},	// QGLPixelBuffer::doneCurrent
    {33, 225, -75},	// QGLPixelBuffer::drawTexture#$
    {33, 226, -78},	// QGLPixelBuffer::drawTexture#$$
    {33, 250, 294},	// QGLPixelBuffer::format
    {33, 251, 280},	// QGLPixelBuffer::generateDynamicTexture
    {33, 264, 291},	// QGLPixelBuffer::handle
    {33, 269, 295},	// QGLPixelBuffer::hasOpenGLPbuffers
    {33, 290, 277},	// QGLPixelBuffer::isValid
    {33, 298, 278},	// QGLPixelBuffer::makeCurrent
    {33, 305, 296},	// QGLPixelBuffer::metric$
    {33, 381, 293},	// QGLPixelBuffer::paintEngine
    {33, 654, 282},	// QGLPixelBuffer::releaseFromDynamicTexture
    {33, 812, 290},	// QGLPixelBuffer::size
    {33, 829, 292},	// QGLPixelBuffer::toImage
    {33, 847, 283},	// QGLPixelBuffer::updateDynamicTexture$
    {33, 863, 306},	// QGLPixelBuffer::~QGLPixelBuffer
    {34, 19, 333},	// QGLShader::Fragment
    {34, 20, 334},	// QGLShader::Geometry
    {34, 102, 328},	// QGLShader::QGLShader$
    {34, 103, -45},	// QGLShader::QGLShader$#
    {34, 104, 315},	// QGLShader::QGLShader$##
    {34, 132, 332},	// QGLShader::Vertex
    {34, 190, 318},	// QGLShader::compileSourceCode#
    {34, 191, -48},	// QGLShader::compileSourceCode$
    {34, 193, 320},	// QGLShader::compileSourceFile$
    {34, 273, 330},	// QGLShader::hasOpenGLShaders$
    {34, 274, 325},	// QGLShader::hasOpenGLShaders$#
    {34, 285, 322},	// QGLShader::isCompiled
    {34, 296, 323},	// QGLShader::log
    {34, 303, 307},	// QGLShader::metaObject
    {34, 637, 313},	// QGLShader::qt_metacall$$?
    {34, 639, 308},	// QGLShader::qt_metacast$
    {34, 808, 324},	// QGLShader::shaderId
    {34, 809, 316},	// QGLShader::shaderType
    {34, 814, 321},	// QGLShader::sourceCode
    {34, 815, 331},	// QGLShader::staticMetaObject
    {34, 831, 326},	// QGLShader::tr$
    {34, 832, 309},	// QGLShader::tr$$
    {34, 833, 311},	// QGLShader::tr$$$
    {34, 835, 327},	// QGLShader::trUtf8$
    {34, 836, 310},	// QGLShader::trUtf8$$
    {34, 837, 312},	// QGLShader::trUtf8$$$
    {34, 864, 335},	// QGLShader::~QGLShader
    {35, 105, 496},	// QGLShaderProgram::QGLShaderProgram
    {35, 106, -81},	// QGLShaderProgram::QGLShaderProgram#
    {35, 107, 344},	// QGLShaderProgram::QGLShaderProgram##
    {35, 143, 345},	// QGLShaderProgram::addShader#
    {35, 145, 349},	// QGLShaderProgram::addShaderFromSourceCode$#
    {35, 146, -84},	// QGLShaderProgram::addShaderFromSourceCode$$
    {35, 148, 351},	// QGLShaderProgram::addShaderFromSourceFile$$
    {35, 158, 370},	// QGLShaderProgram::attributeLocation#
    {35, 159, -87},	// QGLShaderProgram::attributeLocation$
    {35, 161, 356},	// QGLShaderProgram::bind
    {35, 163, 367},	// QGLShaderProgram::bindAttributeLocation#$
    {35, 164, -90},	// QGLShaderProgram::bindAttributeLocation$$
    {35, 217, -93},	// QGLShaderProgram::disableAttributeArray$
    {35, 229, -96},	// QGLShaderProgram::enableAttributeArray$
    {35, 254, 363},	// QGLShaderProgram::geometryInputType
    {35, 255, 365},	// QGLShaderProgram::geometryOutputType
    {35, 256, 361},	// QGLShaderProgram::geometryOutputVertexCount
    {35, 270, 510},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {35, 271, 493},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {35, 288, 354},	// QGLShaderProgram::isLinked
    {35, 295, 353},	// QGLShaderProgram::link
    {35, 296, 355},	// QGLShaderProgram::log
    {35, 302, 359},	// QGLShaderProgram::maxGeometryOutputVertices
    {35, 303, 336},	// QGLShaderProgram::metaObject
    {35, 389, 358},	// QGLShaderProgram::programId
    {35, 637, 342},	// QGLShaderProgram::qt_metacall$$?
    {35, 639, 337},	// QGLShaderProgram::qt_metacast$
    {35, 652, 357},	// QGLShaderProgram::release
    {35, 655, 352},	// QGLShaderProgram::removeAllShaders
    {35, 657, 346},	// QGLShaderProgram::removeShader#
    {35, 691, -99},	// QGLShaderProgram::setAttributeArray$#
    {35, 692, -106},	// QGLShaderProgram::setAttributeArray$#$
    {35, 693, -113},	// QGLShaderProgram::setAttributeArray$$$
    {35, 694, -116},	// QGLShaderProgram::setAttributeArray$$$$
    {35, 695, -121},	// QGLShaderProgram::setAttributeArray$$$$$
    {35, 697, -124},	// QGLShaderProgram::setAttributeBuffer$$$$
    {35, 698, -127},	// QGLShaderProgram::setAttributeBuffer$$$$$
    {35, 700, -130},	// QGLShaderProgram::setAttributeValue$#
    {35, 701, -139},	// QGLShaderProgram::setAttributeValue$$
    {35, 702, -142},	// QGLShaderProgram::setAttributeValue$$$
    {35, 703, -145},	// QGLShaderProgram::setAttributeValue$$$$
    {35, 704, -150},	// QGLShaderProgram::setAttributeValue$$$$$
    {35, 740, 362},	// QGLShaderProgram::setGeometryInputType$
    {35, 742, 364},	// QGLShaderProgram::setGeometryOutputType$
    {35, 744, 360},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {35, 788, -153},	// QGLShaderProgram::setUniformValue$#
    {35, 789, -174},	// QGLShaderProgram::setUniformValue$$
    {35, 790, -187},	// QGLShaderProgram::setUniformValue$$$
    {35, 791, -190},	// QGLShaderProgram::setUniformValue$$$$
    {35, 792, -193},	// QGLShaderProgram::setUniformValue$$$$$
    {35, 793, -196},	// QGLShaderProgram::setUniformValue$?
    {35, 795, -213},	// QGLShaderProgram::setUniformValueArray$#$
    {35, 796, -222},	// QGLShaderProgram::setUniformValueArray$$$
    {35, 797, -227},	// QGLShaderProgram::setUniformValueArray$$$$
    {35, 798, -230},	// QGLShaderProgram::setUniformValueArray$?$
    {35, 810, 347},	// QGLShaderProgram::shaders
    {35, 815, 511},	// QGLShaderProgram::staticMetaObject
    {35, 831, 494},	// QGLShaderProgram::tr$
    {35, 832, 338},	// QGLShaderProgram::tr$$
    {35, 833, 340},	// QGLShaderProgram::tr$$$
    {35, 835, 495},	// QGLShaderProgram::trUtf8$
    {35, 836, 339},	// QGLShaderProgram::trUtf8$$
    {35, 837, 341},	// QGLShaderProgram::trUtf8$$$
    {35, 843, 407},	// QGLShaderProgram::uniformLocation#
    {35, 844, -247},	// QGLShaderProgram::uniformLocation$
    {35, 865, 512},	// QGLShaderProgram::~QGLShaderProgram
    {36, 108, 572},	// QGLWidget::QGLWidget
    {36, 109, -13},	// QGLWidget::QGLWidget#
    {36, 110, -17},	// QGLWidget::QGLWidget##
    {36, 111, -21},	// QGLWidget::QGLWidget###
    {36, 112, -24},	// QGLWidget::QGLWidget###$
    {36, 113, 520},	// QGLWidget::QGLWidget##$
    {36, 160, 564},	// QGLWidget::autoBufferSwap
    {36, 167, -27},	// QGLWidget::bindTexture#
    {36, 168, -30},	// QGLWidget::bindTexture#$
    {36, 169, -33},	// QGLWidget::bindTexture#$$
    {36, 170, -36},	// QGLWidget::bindTexture#$$$
    {36, 171, 550},	// QGLWidget::bindTexture$
    {36, 188, 541},	// QGLWidget::colormap
    {36, 195, 533},	// QGLWidget::context
    {36, 198, 539},	// QGLWidget::convertToGLFormat#
    {36, 207, 551},	// QGLWidget::deleteTexture$
    {36, 219, 528},	// QGLWidget::doneCurrent
    {36, 220, 529},	// QGLWidget::doubleBuffer
    {36, 225, -39},	// QGLWidget::drawTexture#$
    {36, 226, -42},	// QGLWidget::drawTexture#$$
    {36, 237, 556},	// QGLWidget::event#
    {36, 248, 597},	// QGLWidget::fontDisplayListBase#
    {36, 249, 569},	// QGLWidget::fontDisplayListBase#$
    {36, 250, 531},	// QGLWidget::format
    {36, 259, 568},	// QGLWidget::glDraw
    {36, 260, 567},	// QGLWidget::glInit
    {36, 261, 586},	// QGLWidget::grabFrameBuffer
    {36, 262, 536},	// QGLWidget::grabFrameBuffer$
    {36, 278, 557},	// QGLWidget::initializeGL
    {36, 279, 560},	// QGLWidget::initializeOverlayGL
    {36, 289, 526},	// QGLWidget::isSharing
    {36, 290, 525},	// QGLWidget::isValid
    {36, 298, 527},	// QGLWidget::makeCurrent
    {36, 299, 537},	// QGLWidget::makeOverlayCurrent
    {36, 303, 513},	// QGLWidget::metaObject
    {36, 379, 538},	// QGLWidget::overlayContext
    {36, 381, 545},	// QGLWidget::paintEngine
    {36, 383, 565},	// QGLWidget::paintEvent#
    {36, 384, 559},	// QGLWidget::paintGL
    {36, 385, 562},	// QGLWidget::paintOverlayGL
    {36, 592, 524},	// QGLWidget::qglClearColor#
    {36, 594, 523},	// QGLWidget::qglColor#
    {36, 637, 519},	// QGLWidget::qt_metacall$$?
    {36, 639, 514},	// QGLWidget::qt_metacast$
    {36, 658, 583},	// QGLWidget::renderPixmap
    {36, 659, 584},	// QGLWidget::renderPixmap$
    {36, 660, 585},	// QGLWidget::renderPixmap$$
    {36, 661, 535},	// QGLWidget::renderPixmap$$$
    {36, 663, 587},	// QGLWidget::renderText$$$
    {36, 664, 588},	// QGLWidget::renderText$$$#
    {36, 665, 543},	// QGLWidget::renderText$$$#$
    {36, 666, 589},	// QGLWidget::renderText$$$$
    {36, 667, 590},	// QGLWidget::renderText$$$$#
    {36, 668, 544},	// QGLWidget::renderText$$$$#$
    {36, 672, 566},	// QGLWidget::resizeEvent#
    {36, 674, 558},	// QGLWidget::resizeGL$$
    {36, 676, 561},	// QGLWidget::resizeOverlayGL$$
    {36, 706, 563},	// QGLWidget::setAutoBufferSwap$
    {36, 710, 542},	// QGLWidget::setColormap#
    {36, 712, 581},	// QGLWidget::setContext#
    {36, 713, 582},	// QGLWidget::setContext##
    {36, 714, 534},	// QGLWidget::setContext##$
    {36, 738, 532},	// QGLWidget::setFormat#
    {36, 756, 540},	// QGLWidget::setMouseTracking$
    {36, 815, 598},	// QGLWidget::staticMetaObject
    {36, 820, 530},	// QGLWidget::swapBuffers
    {36, 831, 570},	// QGLWidget::tr$
    {36, 832, 515},	// QGLWidget::tr$$
    {36, 833, 517},	// QGLWidget::tr$$$
    {36, 835, 571},	// QGLWidget::trUtf8$
    {36, 836, 516},	// QGLWidget::trUtf8$$
    {36, 837, 518},	// QGLWidget::trUtf8$$$
    {36, 848, 554},	// QGLWidget::updateGL
    {36, 849, 555},	// QGLWidget::updateOverlayGL
    {36, 866, 599},	// QGLWidget::~QGLWidget
    {37, 59, 1406},	// QGlobalSpace::PM_BoldLineWidth
    {37, 60, 1410},	// QGlobalSpace::PM_CbaIconHeight
    {37, 61, 1409},	// QGlobalSpace::PM_CbaIconWidth
    {37, 62, 1405},	// QGlobalSpace::PM_FrameCornerHeight
    {37, 63, 1404},	// QGlobalSpace::PM_FrameCornerWidth
    {37, 64, 1408},	// QGlobalSpace::PM_MessageBoxHeight
    {37, 65, 1407},	// QGlobalSpace::PM_ThinLineWidth
    {37, 114, 1413},	// QGlobalSpace::QtCriticalMsg
    {37, 115, 1411},	// QGlobalSpace::QtDebugMsg
    {37, 116, 1414},	// QGlobalSpace::QtFatalMsg
    {37, 117, 1415},	// QGlobalSpace::QtSystemMsg
    {37, 118, 1412},	// QGlobalSpace::QtWarningMsg
    {37, 135, 1418},	// QGlobalSpace::__codecvt_error
    {37, 136, 1419},	// QGlobalSpace::__codecvt_noconv
    {37, 137, 1416},	// QGlobalSpace::__codecvt_ok
    {37, 138, 1417},	// QGlobalSpace::__codecvt_partial
    {37, 317, -250},	// QGlobalSpace::operator!=##
    {37, 318, -272},	// QGlobalSpace::operator!=#$
    {37, 319, -278},	// QGlobalSpace::operator!=$#
    {37, 320, 820},	// QGlobalSpace::operator!=$$
    {37, 322, 1012},	// QGlobalSpace::operator&##
    {37, 324, -285},	// QGlobalSpace::operator*##
    {37, 325, -315},	// QGlobalSpace::operator*#$
    {37, 326, -328},	// QGlobalSpace::operator*$#
    {37, 328, -340},	// QGlobalSpace::operator+##
    {37, 329, -351},	// QGlobalSpace::operator+#$
    {37, 330, -357},	// QGlobalSpace::operator+$#
    {37, 331, -362},	// QGlobalSpace::operator+$$
    {37, 333, -368},	// QGlobalSpace::operator-#
    {37, 334, -376},	// QGlobalSpace::operator-##
    {37, 335, 695},	// QGlobalSpace::operator-#$
    {37, 337, -386},	// QGlobalSpace::operator/#$
    {37, 339, -397},	// QGlobalSpace::operator<##
    {37, 340, 1075},	// QGlobalSpace::operator<#$
    {37, 341, -402},	// QGlobalSpace::operator<$#
    {37, 342, 731},	// QGlobalSpace::operator<$$
    {37, 344, -405},	// QGlobalSpace::operator<<##
    {37, 345, -499},	// QGlobalSpace::operator<<#$
    {37, 346, 1035},	// QGlobalSpace::operator<<#?
    {37, 348, -510},	// QGlobalSpace::operator<=##
    {37, 349, 790},	// QGlobalSpace::operator<=#$
    {37, 350, -515},	// QGlobalSpace::operator<=$#
    {37, 351, 1105},	// QGlobalSpace::operator<=$$
    {37, 356, -518},	// QGlobalSpace::operator==##
    {37, 357, -541},	// QGlobalSpace::operator==#$
    {37, 358, -548},	// QGlobalSpace::operator==$#
    {37, 359, 1373},	// QGlobalSpace::operator==$$
    {37, 361, -556},	// QGlobalSpace::operator>##
    {37, 362, 1392},	// QGlobalSpace::operator>#$
    {37, 363, -561},	// QGlobalSpace::operator>$#
    {37, 364, 956},	// QGlobalSpace::operator>$$
    {37, 366, -564},	// QGlobalSpace::operator>=##
    {37, 367, 634},	// QGlobalSpace::operator>=#$
    {37, 368, -569},	// QGlobalSpace::operator>=$#
    {37, 369, 1386},	// QGlobalSpace::operator>=$$
    {37, 371, -572},	// QGlobalSpace::operator>>##
    {37, 372, -624},	// QGlobalSpace::operator>>#$
    {37, 373, 910},	// QGlobalSpace::operator>>#?
    {37, 375, 794},	// QGlobalSpace::operator^##
    {37, 377, 1239},	// QGlobalSpace::operator|##
    {37, 378, -627},	// QGlobalSpace::operator|$$
    {37, 390, 994},	// QGlobalSpace::qAccessibleActionCastHelper
    {37, 391, 690},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {37, 392, 1101},	// QGlobalSpace::qAccessibleImageCastHelper
    {37, 393, 865},	// QGlobalSpace::qAccessibleTableCastHelper
    {37, 394, 774},	// QGlobalSpace::qAccessibleTextCastHelper
    {37, 395, 601},	// QGlobalSpace::qAccessibleValueCastHelper
    {37, 397, 1182},	// QGlobalSpace::qAcos$
    {37, 399, 1047},	// QGlobalSpace::qAddPostRoutine$
    {37, 401, 728},	// QGlobalSpace::qAlpha$
    {37, 402, 1059},	// QGlobalSpace::qAppName
    {37, 404, 1227},	// QGlobalSpace::qAsin$
    {37, 406, 1287},	// QGlobalSpace::qAtan$
    {37, 408, 632},	// QGlobalSpace::qAtan2$$
    {37, 409, 1191},	// QGlobalSpace::qBadAlloc
    {37, 411, 917},	// QGlobalSpace::qBlue$
    {37, 413, 1092},	// QGlobalSpace::qCeil$
    {37, 415, 902},	// QGlobalSpace::qChecksum$$
    {37, 417, 1205},	// QGlobalSpace::qCompress#
    {37, 418, 1204},	// QGlobalSpace::qCompress#$
    {37, 419, 1049},	// QGlobalSpace::qCompress$$
    {37, 420, 1048},	// QGlobalSpace::qCompress$$$
    {37, 422, 679},	// QGlobalSpace::qCos$
    {37, 423, 1022},	// QGlobalSpace::qCritical
    {37, 424, 1112},	// QGlobalSpace::qDebug
    {37, 426, 903},	// QGlobalSpace::qDrawBorderPixmap####
    {37, 427, 1377},	// QGlobalSpace::qDrawBorderPixmap######
    {37, 428, 1378},	// QGlobalSpace::qDrawBorderPixmap#######
    {37, 429, 1376},	// QGlobalSpace::qDrawBorderPixmap#######$
    {37, 431, 1268},	// QGlobalSpace::qDrawPlainRect###
    {37, 432, 1269},	// QGlobalSpace::qDrawPlainRect###$
    {37, 433, 1267},	// QGlobalSpace::qDrawPlainRect###$#
    {37, 434, 868},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {37, 435, 869},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {37, 436, 867},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {37, 438, 1297},	// QGlobalSpace::qDrawShadeLine####
    {37, 439, 1298},	// QGlobalSpace::qDrawShadeLine####$
    {37, 440, 1299},	// QGlobalSpace::qDrawShadeLine####$$
    {37, 441, 1296},	// QGlobalSpace::qDrawShadeLine####$$$
    {37, 442, 1220},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {37, 443, 1221},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {37, 444, 1222},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {37, 445, 1219},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {37, 447, 942},	// QGlobalSpace::qDrawShadePanel###
    {37, 448, 943},	// QGlobalSpace::qDrawShadePanel###$
    {37, 449, 944},	// QGlobalSpace::qDrawShadePanel###$$
    {37, 450, 941},	// QGlobalSpace::qDrawShadePanel###$$#
    {37, 451, 966},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {37, 452, 967},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {37, 453, 968},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {37, 454, 965},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {37, 456, 890},	// QGlobalSpace::qDrawShadeRect###
    {37, 457, 891},	// QGlobalSpace::qDrawShadeRect###$
    {37, 458, 892},	// QGlobalSpace::qDrawShadeRect###$$
    {37, 459, 893},	// QGlobalSpace::qDrawShadeRect###$$$
    {37, 460, 889},	// QGlobalSpace::qDrawShadeRect###$$$#
    {37, 461, 1195},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {37, 462, 1196},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {37, 463, 1197},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {37, 464, 1198},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {37, 465, 1194},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {37, 467, 923},	// QGlobalSpace::qDrawWinButton###
    {37, 468, 924},	// QGlobalSpace::qDrawWinButton###$
    {37, 469, 922},	// QGlobalSpace::qDrawWinButton###$#
    {37, 470, 1242},	// QGlobalSpace::qDrawWinButton#$$$$#
    {37, 471, 1243},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {37, 472, 1241},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {37, 474, 1163},	// QGlobalSpace::qDrawWinPanel###
    {37, 475, 1164},	// QGlobalSpace::qDrawWinPanel###$
    {37, 476, 1162},	// QGlobalSpace::qDrawWinPanel###$#
    {37, 477, 709},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {37, 478, 710},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {37, 479, 708},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {37, 481, 884},	// QGlobalSpace::qExp$
    {37, 483, 1168},	// QGlobalSpace::qFabs$
    {37, 485, 811},	// QGlobalSpace::qFastCos$
    {37, 487, 1052},	// QGlobalSpace::qFastSin$
    {37, 489, 827},	// QGlobalSpace::qFlagLocation$
    {37, 491, 762},	// QGlobalSpace::qFloor$
    {37, 493, 1065},	// QGlobalSpace::qFree$
    {37, 495, 1070},	// QGlobalSpace::qFreeAligned$
    {37, 497, -874},	// QGlobalSpace::qFuzzyCompare##
    {37, 498, -882},	// QGlobalSpace::qFuzzyCompare$$
    {37, 500, -885},	// QGlobalSpace::qFuzzyIsNull$
    {37, 502, 833},	// QGlobalSpace::qGray$
    {37, 503, 732},	// QGlobalSpace::qGray$$$
    {37, 505, 1119},	// QGlobalSpace::qGreen$
    {37, 507, -888},	// QGlobalSpace::qHash#
    {37, 508, -897},	// QGlobalSpace::qHash$
    {37, 509, 1337},	// QGlobalSpace::qInf
    {37, 511, 806},	// QGlobalSpace::qInstallMsgHandler$
    {37, 513, -910},	// QGlobalSpace::qIntCast$
    {37, 515, -913},	// QGlobalSpace::qIsFinite$
    {37, 517, 1261},	// QGlobalSpace::qIsGray$
    {37, 519, -916},	// QGlobalSpace::qIsInf$
    {37, 521, -919},	// QGlobalSpace::qIsNaN$
    {37, 523, -922},	// QGlobalSpace::qIsNull$
    {37, 525, 887},	// QGlobalSpace::qLn$
    {37, 527, 907},	// QGlobalSpace::qMalloc$
    {37, 529, 1113},	// QGlobalSpace::qMallocAligned$$
    {37, 531, 611},	// QGlobalSpace::qMemCopy$$$
    {37, 533, 1159},	// QGlobalSpace::qMemSet$$$
    {37, 535, 1120},	// QGlobalSpace::qPow$$
    {37, 536, 908},	// QGlobalSpace::qQNaN
    {37, 538, 797},	// QGlobalSpace::qRealloc$$
    {37, 540, 781},	// QGlobalSpace::qReallocAligned$$$$
    {37, 542, 760},	// QGlobalSpace::qRed$
    {37, 544, 898},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {37, 546, 1351},	// QGlobalSpace::qRemovePostRoutine$
    {37, 548, 852},	// QGlobalSpace::qRgb$$$
    {37, 550, 1021},	// QGlobalSpace::qRgba$$$$
    {37, 552, 1336},	// QGlobalSpace::qRound$
    {37, 554, 805},	// QGlobalSpace::qRound64$
    {37, 555, 1303},	// QGlobalSpace::qSNaN
    {37, 557, 754},	// QGlobalSpace::qSetFieldWidth$
    {37, 559, 644},	// QGlobalSpace::qSetPadChar#
    {37, 561, 885},	// QGlobalSpace::qSetRealNumberPrecision$
    {37, 562, 684},	// QGlobalSpace::qSharedBuild
    {37, 564, 1234},	// QGlobalSpace::qSin$
    {37, 566, 807},	// QGlobalSpace::qSqrt$
    {37, 568, 1097},	// QGlobalSpace::qStringComparisonHelper#$
    {37, 569, 627},	// QGlobalSpace::qStringComparisonHelper$$
    {37, 571, 751},	// QGlobalSpace::qTan$
    {37, 573, 986},	// QGlobalSpace::qUncompress#
    {37, 574, 749},	// QGlobalSpace::qUncompress$$
    {37, 575, 1060},	// QGlobalSpace::qVersion
    {37, 576, 1361},	// QGlobalSpace::qWarning
    {37, 578, 772},	// QGlobalSpace::qbswap_helper$$$
    {37, 580, 721},	// QGlobalSpace::qecvt$$$$
    {37, 582, 1118},	// QGlobalSpace::qecvt_r$$$$$$
    {37, 584, 846},	// QGlobalSpace::qfcvt$$$$
    {37, 586, 1176},	// QGlobalSpace::qfcvt_r$$$$$$
    {37, 588, 1177},	// QGlobalSpace::qgcvt$$$
    {37, 590, 636},	// QGlobalSpace::qgetenv$
    {37, 596, 911},	// QGlobalSpace::qputenv$#
    {37, 597, 1004},	// QGlobalSpace::qrand
    {37, 599, 1178},	// QGlobalSpace::qsort$$$$
    {37, 601, 925},	// QGlobalSpace::qsrand$
    {37, 603, 1171},	// QGlobalSpace::qstrcmp##
    {37, 604, 1349},	// QGlobalSpace::qstrcmp#$
    {37, 605, 629},	// QGlobalSpace::qstrcmp$#
    {37, 606, 676},	// QGlobalSpace::qstrcmp$$
    {37, 608, 873},	// QGlobalSpace::qstrcpy$$
    {37, 610, 1098},	// QGlobalSpace::qstrdup$
    {37, 612, 1332},	// QGlobalSpace::qstricmp$$
    {37, 614, 1362},	// QGlobalSpace::qstrlen$
    {37, 616, 750},	// QGlobalSpace::qstrncmp$$$
    {37, 618, 981},	// QGlobalSpace::qstrncpy$$$
    {37, 620, 945},	// QGlobalSpace::qstrnicmp$$$
    {37, 622, 610},	// QGlobalSpace::qstrnlen$$
    {37, 624, 1254},	// QGlobalSpace::qtTrId$
    {37, 625, 1253},	// QGlobalSpace::qtTrId$$
    {37, 627, 842},	// QGlobalSpace::qt_assert$$$
    {37, 629, 1010},	// QGlobalSpace::qt_assert_x$$$$
    {37, 631, 1161},	// QGlobalSpace::qt_check_pointer$$
    {37, 632, 741},	// QGlobalSpace::qt_error_string
    {37, 633, 740},	// QGlobalSpace::qt_error_string$
    {37, 635, 1383},	// QGlobalSpace::qt_message_output$$
    {37, 640, 612},	// QGlobalSpace::qt_noop
    {37, 642, 964},	// QGlobalSpace::qt_qFindChild_helper#$#
    {37, 644, 1285},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {37, 646, 1277},	// QGlobalSpace::qvariant_cast_helper#$$
    {37, 648, 1155},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 112,
        __smokeqtopengl::methods, 1469,
        __smokeqtopengl::methodMaps, 684,
        __smokeqtopengl::methodNames, 866,
        __smokeqtopengl::types, 520,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
