#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 43: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 43: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QAccessible2Interface
      switch(to) {
        case 3: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QBrush
      switch(to) {
        case 6: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 7:   //QByteArray
      switch(to) {
        case 7: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 8:   //QChar
      switch(to) {
        case 8: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QCursor
      switch(to) {
        case 11: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 12:   //QDataStream
      switch(to) {
        case 12: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 13:   //QDate
      switch(to) {
        case 13: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 14:   //QDateTime
      switch(to) {
        case 14: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 15:   //QDebug
      switch(to) {
        case 15: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 16:   //QDir
      switch(to) {
        case 16: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 17:   //QEasingCurve
      switch(to) {
        case 17: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 18:   //QEvent
      switch(to) {
        case 18: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 20:   //QFont
      switch(to) {
        case 20: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 22:   //QGraphicsItem
      switch(to) {
        case 22: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 23:   //QGraphicsObject
      switch(to) {
        case 43: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 22: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 23: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 24:   //QHashDummyValue
      switch(to) {
        case 24: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 25:   //QIcon
      switch(to) {
        case 25: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 26:   //QImage
      switch(to) {
        case 26: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QItemDelegate
      switch(to) {
        case 43: return (void*)(QObject*)(QItemDelegate*)xptr;
        case 28: return (void*)(QItemDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QItemDelegate*)xptr;
        default: return xptr;
      }
    case 29:   //QItemSelectionRange
      switch(to) {
        case 29: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 30:   //QKeyEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 30: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QKeySequence
      switch(to) {
        case 31: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 32:   //QLatin1String
      switch(to) {
        case 32: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 33:   //QLine
      switch(to) {
        case 33: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 34:   //QLineF
      switch(to) {
        case 34: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 35:   //QListWidgetItem
      switch(to) {
        case 35: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMatrix
      switch(to) {
        case 38: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 39:   //QMatrix4x4
      switch(to) {
        case 39: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 40:   //QMetaObject
      switch(to) {
        case 40: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 41:   //QMimeData
      switch(to) {
        case 43: return (void*)(QObject*)(QMimeData*)xptr;
        case 41: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 42:   //QModelIndex
      switch(to) {
        case 42: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QObject
      switch(to) {
        case 43: return (void*)(QObject*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)(QObject*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 66: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QObject*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 44:   //QPainter
      switch(to) {
        case 44: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 45:   //QPainterPath
      switch(to) {
        case 45: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 46:   //QPalette
      switch(to) {
        case 46: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 47:   //QPen
      switch(to) {
        case 47: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 48:   //QPersistentModelIndex
      switch(to) {
        case 48: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 49:   //QPicture
      switch(to) {
        case 49: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 50:   //QPixmap
      switch(to) {
        case 50: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 51:   //QPoint
      switch(to) {
        case 51: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 52:   //QPointF
      switch(to) {
        case 52: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 53:   //QPolygon
      switch(to) {
        case 53: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 54:   //QPolygonF
      switch(to) {
        case 54: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 55:   //QQuaternion
      switch(to) {
        case 55: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 56:   //QRect
      switch(to) {
        case 56: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 57:   //QRectF
      switch(to) {
        case 57: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 58:   //QRegExp
      switch(to) {
        case 58: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 59:   //QRegion
      switch(to) {
        case 59: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 60:   //QSize
      switch(to) {
        case 60: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 61:   //QSizeF
      switch(to) {
        case 61: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 62:   //QSizePolicy
      switch(to) {
        case 62: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 63:   //QSplitter
      switch(to) {
        case 104: return (void*)(QWidget*)(QSplitter*)xptr;
        case 43: return (void*)(QObject*)(QSplitter*)xptr;
        case 63: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 65:   //QSqlDatabase
      switch(to) {
        case 65: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 66:   //QSqlDriver
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 66: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 67:   //QSqlDriverCreatorBase
      switch(to) {
        case 67: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 68:   //QSqlDriverFactoryInterface
      switch(to) {
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 69:   //QSqlDriverPlugin
      switch(to) {
        case 43: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 68: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 19: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 69: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 70:   //QSqlError
      switch(to) {
        case 70: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 71:   //QSqlField
      switch(to) {
        case 71: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 72:   //QSqlIndex
      switch(to) {
        case 75: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 72: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 73:   //QSqlQuery
      switch(to) {
        case 73: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 74:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 75:   //QSqlRecord
      switch(to) {
        case 75: return (void*)(QSqlRecord*)xptr;
        case 72: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 76:   //QSqlRelation
      switch(to) {
        case 76: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 77:   //QSqlRelationalDelegate
      switch(to) {
        case 28: return (void*)(QItemDelegate*)(QSqlRelationalDelegate*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalDelegate*)xptr;
        case 77: return (void*)(QSqlRelationalDelegate*)xptr;
        default: return xptr;
      }
    case 78:   //QSqlRelationalTableModel
      switch(to) {
        case 80: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 74: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 79:   //QSqlResult
      switch(to) {
        case 79: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 80:   //QSqlTableModel
      switch(to) {
        case 74: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 43: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 80: return (void*)(QSqlTableModel*)xptr;
        case 78: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 81:   //QStandardItem
      switch(to) {
        case 81: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 82:   //QString::Null
      switch(to) {
        case 82: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 83:   //QStringRef
      switch(to) {
        case 83: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 84:   //QStyleOption
      switch(to) {
        case 84: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 85:   //QStyleOptionViewItem
      switch(to) {
        case 84: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 85: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 86:   //QTableWidgetItem
      switch(to) {
        case 86: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 87:   //QTextCodec
      switch(to) {
        case 87: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 88:   //QTextFormat
      switch(to) {
        case 88: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 89:   //QTextLength
      switch(to) {
        case 89: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 90:   //QTextStream
      switch(to) {
        case 90: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 91:   //QTextStreamManipulator
      switch(to) {
        case 91: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 92:   //QTileRules
      switch(to) {
        case 92: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 93:   //QTime
      switch(to) {
        case 93: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 94:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 94: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QTransform
      switch(to) {
        case 95: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 96:   //QTreeWidgetItem
      switch(to) {
        case 96: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 97:   //QUrl
      switch(to) {
        case 97: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 98:   //QUuid
      switch(to) {
        case 98: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 99:   //QVariant
      switch(to) {
        case 99: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 100:   //QVariantComparisonHelper
      switch(to) {
        case 100: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 101:   //QVector2D
      switch(to) {
        case 101: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 102:   //QVector3D
      switch(to) {
        case 102: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 103:   //QVector4D
      switch(to) {
        case 103: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 104:   //QWidget
      switch(to) {
        case 43: return (void*)(QObject*)(QWidget*)xptr;
        case 104: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    43, 0,	// 1: QObject
    19, 0,	// 3: QFactoryInterface
    43, 68, 0,	// 5: QObject, QSqlDriverFactoryInterface
    75, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    28, 0,	// 12: QItemDelegate
    80, 0,	// 14: QSqlTableModel
    74, 0,	// 16: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QBrush", true, 0, 0, 0, 0, 0 },	//6
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//7
    { "QChar", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QCursor", true, 0, 0, 0, 0, 0 },	//11
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//12
    { "QDate", true, 0, 0, 0, 0, 0 },	//13
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//14
    { "QDebug", true, 0, 0, 0, 0, 0 },	//15
    { "QDir", true, 0, 0, 0, 0, 0 },	//16
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//17
    { "QEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//19
    { "QFont", true, 0, 0, 0, 0, 0 },	//20
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//21
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//22
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//23
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//24
    { "QIcon", true, 0, 0, 0, 0, 0 },	//25
    { "QImage", true, 0, 0, 0, 0, 0 },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QItemDelegate", true, 0, 0, 0, 0, 0 },	//28
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//29
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//31
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//32
    { "QLine", true, 0, 0, 0, 0, 0 },	//33
    { "QLineF", true, 0, 0, 0, 0, 0 },	//34
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//38
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//39
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//40
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//41
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QObject", true, 0, 0, 0, 0, 0 },	//43
    { "QPainter", true, 0, 0, 0, 0, 0 },	//44
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//45
    { "QPalette", true, 0, 0, 0, 0, 0 },	//46
    { "QPen", true, 0, 0, 0, 0, 0 },	//47
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//48
    { "QPicture", true, 0, 0, 0, 0, 0 },	//49
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//50
    { "QPoint", true, 0, 0, 0, 0, 0 },	//51
    { "QPointF", true, 0, 0, 0, 0, 0 },	//52
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//53
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//54
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//55
    { "QRect", true, 0, 0, 0, 0, 0 },	//56
    { "QRectF", true, 0, 0, 0, 0, 0 },	//57
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//58
    { "QRegion", true, 0, 0, 0, 0, 0 },	//59
    { "QSize", true, 0, 0, 0, 0, 0 },	//60
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//61
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//62
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//63
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//64
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//65
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//66
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//67
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//68
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//69
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//70
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//71
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//72
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//73
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//74
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//75
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//76
    { "QSqlRelationalDelegate", false, 12, xcall_QSqlRelationalDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalDelegate) },	//77
    { "QSqlRelationalTableModel", false, 14, xcall_QSqlRelationalTableModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//78
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//79
    { "QSqlTableModel", false, 16, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//80
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//81
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//82
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//83
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//84
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//85
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//86
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//87
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//88
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//89
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//90
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//91
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//92
    { "QTime", true, 0, 0, 0, 0, 0 },	//93
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QTransform", true, 0, 0, 0, 0, 0 },	//95
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//96
    { "QUrl", true, 0, 0, 0, 0, 0 },	//97
    { "QUuid", true, 0, 0, 0, 0, 0 },	//98
    { "QVariant", true, 0, 0, 0, 0, 0 },	//99
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//100
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//101
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//102
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//103
    { "QWidget", true, 0, 0, 0, 0, 0 },	//104
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemModel*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAccessible2Interface*", 3, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 8, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 8, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "QCursor&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDataStream&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDate&", 13, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDateTime&", 14, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QDebug", 15, Smoke::t_class|Smoke::tf_stack },	//28
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QDir::Filter", 16, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDir::SortFlag", 16, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref },	//35
    { "QEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFont&", 20, Smoke::t_class|Smoke::tf_ref },	//119
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QGraphicsItem*", 22, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QGraphicsItem::GraphicsItemChange", 22, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QGraphicsItem::GraphicsItemFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGraphicsObject*", 23, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QIcon&", 25, Smoke::t_class|Smoke::tf_ref },	//133
    { "QImage&", 26, Smoke::t_class|Smoke::tf_ref },	//134
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//136
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QKeyEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref },	//140
    { "QKeySequence::StandardKey", 31, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QLine", 33, Smoke::t_class|Smoke::tf_stack },	//143
    { "QLine&", 33, Smoke::t_class|Smoke::tf_ref },	//144
    { "QLineF", 34, Smoke::t_class|Smoke::tf_stack },	//145
    { "QLineF&", 34, Smoke::t_class|Smoke::tf_ref },	//146
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//147
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//148
    { "QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref },	//149
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//150
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//153
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//154
    { "QMatrix&", 38, Smoke::t_class|Smoke::tf_ref },	//155
    { "QMatrix4x4", 39, Smoke::t_class|Smoke::tf_stack },	//156
    { "QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref },	//157
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QMetaObject::Call", 40, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr },	//162
    { "QModelIndex", 42, Smoke::t_class|Smoke::tf_stack },	//163
    { "QObject*", 43, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QObject*(*)()", 43, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QPaintEngine::DirtyFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QPaintEngine::PaintEngineFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QPainter*", 44, Smoke::t_class|Smoke::tf_ptr },	//168
    { "QPainter::RenderHint", 44, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QPainterPath", 45, Smoke::t_class|Smoke::tf_stack },	//170
    { "QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref },	//171
    { "QPalette&", 46, Smoke::t_class|Smoke::tf_ref },	//172
    { "QPen&", 47, Smoke::t_class|Smoke::tf_ref },	//173
    { "QPicture&", 49, Smoke::t_class|Smoke::tf_ref },	//174
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QPixmap&", 50, Smoke::t_class|Smoke::tf_ref },	//176
    { "QPoint", 51, Smoke::t_class|Smoke::tf_stack },	//177
    { "QPoint&", 51, Smoke::t_class|Smoke::tf_ref },	//178
    { "QPointF", 52, Smoke::t_class|Smoke::tf_stack },	//179
    { "QPointF&", 52, Smoke::t_class|Smoke::tf_ref },	//180
    { "QPolygon", 53, Smoke::t_class|Smoke::tf_stack },	//181
    { "QPolygon&", 53, Smoke::t_class|Smoke::tf_ref },	//182
    { "QPolygonF", 54, Smoke::t_class|Smoke::tf_stack },	//183
    { "QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref },	//184
    { "QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref },	//185
    { "QRect&", 56, Smoke::t_class|Smoke::tf_ref },	//186
    { "QRectF&", 57, Smoke::t_class|Smoke::tf_ref },	//187
    { "QRegExp&", 58, Smoke::t_class|Smoke::tf_ref },	//188
    { "QRegion", 59, Smoke::t_class|Smoke::tf_stack },	//189
    { "QRegion&", 59, Smoke::t_class|Smoke::tf_ref },	//190
    { "QSize", 60, Smoke::t_class|Smoke::tf_stack },	//191
    { "QSize&", 60, Smoke::t_class|Smoke::tf_ref },	//192
    { "QSizeF&", 61, Smoke::t_class|Smoke::tf_ref },	//193
    { "QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref },	//194
    { "QSizePolicy::ControlType", 62, Smoke::t_enum|Smoke::tf_stack },	//195
    { "QSplitter&", 63, Smoke::t_class|Smoke::tf_ref },	//196
    { "QSql::Location", 64, Smoke::t_enum|Smoke::tf_stack },	//197
    { "QSql::NumericalPrecisionPolicy", 64, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QSql::ParamTypeFlag", 64, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QSql::TableType", 64, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QSqlDatabase", 65, Smoke::t_class|Smoke::tf_stack },	//201
    { "QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref },	//202
    { "QSqlDatabase*", 65, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSqlDriver::DriverFeature", 66, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QSqlDriver::IdentifierType", 66, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QSqlDriver::StatementType", 66, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QSqlDriverCreatorBase*", 67, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QSqlDriverFactoryInterface*", 68, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QSqlDriverPlugin*", 69, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QSqlError", 70, Smoke::t_class|Smoke::tf_stack },	//211
    { "QSqlError&", 70, Smoke::t_class|Smoke::tf_ref },	//212
    { "QSqlError*", 70, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QSqlError::ErrorType", 70, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QSqlField", 71, Smoke::t_class|Smoke::tf_stack },	//215
    { "QSqlField&", 71, Smoke::t_class|Smoke::tf_ref },	//216
    { "QSqlField*", 71, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QSqlField::RequiredStatus", 71, Smoke::t_enum|Smoke::tf_stack },	//218
    { "QSqlIndex", 72, Smoke::t_class|Smoke::tf_stack },	//219
    { "QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref },	//220
    { "QSqlIndex*", 72, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QSqlQuery", 73, Smoke::t_class|Smoke::tf_stack },	//222
    { "QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref },	//223
    { "QSqlQuery*", 73, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QSqlQuery::BatchExecutionMode", 73, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QSqlQueryModel*", 74, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QSqlRecord", 75, Smoke::t_class|Smoke::tf_stack },	//227
    { "QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref },	//228
    { "QSqlRecord*", 75, Smoke::t_class|Smoke::tf_ptr },	//229
    { "QSqlRelation", 76, Smoke::t_class|Smoke::tf_stack },	//230
    { "QSqlRelation*", 76, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QSqlRelationalDelegate*", 77, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QSqlRelationalTableModel*", 78, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSqlResult::BindingSyntax", 79, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QSqlResult::VirtualHookOperation", 79, Smoke::t_enum|Smoke::tf_stack },	//236
    { "QSqlTableModel*", 80, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QSqlTableModel::EditStrategy", 80, Smoke::t_enum|Smoke::tf_stack },	//238
    { "QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref },	//239
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//241
    { "QString::Null", 82, Smoke::t_class|Smoke::tf_stack },	//242
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//245
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//246
    { "QStyle::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QStyle::SubControl", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref },	//256
    { "QTextCodec*", 87, Smoke::t_class|Smoke::tf_ptr },	//257
    { "QTextCodec::ConversionFlag", 87, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref },	//261
    { "QTextFormat::PageBreakFlag", 88, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QTextLength&", 89, Smoke::t_class|Smoke::tf_ref },	//264
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QTextStream&", 90, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTextStream&(*)(QTextStream&)", 90, Smoke::t_class|Smoke::tf_ref },	//267
    { "QTextStream::NumberFlag", 90, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QTextStreamManipulator", 91, Smoke::t_class|Smoke::tf_stack },	//269
    { "QTime&", 93, Smoke::t_class|Smoke::tf_ref },	//270
    { "QTimerEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QTransform", 95, Smoke::t_class|Smoke::tf_stack },	//272
    { "QTransform&", 95, Smoke::t_class|Smoke::tf_ref },	//273
    { "QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref },	//274
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QUrl&", 97, Smoke::t_class|Smoke::tf_ref },	//276
    { "QUrl::FormattingOption", 97, Smoke::t_enum|Smoke::tf_stack },	//277
    { "QUuid&", 98, Smoke::t_class|Smoke::tf_ref },	//278
    { "QVariant", 99, Smoke::t_class|Smoke::tf_stack },	//279
    { "QVariant&", 99, Smoke::t_class|Smoke::tf_ref },	//280
    { "QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack },	//281
    { "QVariant::Type&", 99, Smoke::t_enum|Smoke::tf_ref },	//282
    { "QVector2D&", 101, Smoke::t_class|Smoke::tf_ref },	//283
    { "QVector3D", 102, Smoke::t_class|Smoke::tf_stack },	//284
    { "QVector3D&", 102, Smoke::t_class|Smoke::tf_ref },	//285
    { "QVector4D", 103, Smoke::t_class|Smoke::tf_stack },	//286
    { "QVector4D&", 103, Smoke::t_class|Smoke::tf_ref },	//287
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//288
    { "QWidget*", 104, Smoke::t_class|Smoke::tf_ptr },	//289
    { "QWidget::RenderFlag", 104, Smoke::t_enum|Smoke::tf_stack },	//290
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtMsgType", 21, Smoke::t_enum|Smoke::tf_stack },	//368
    { "__codecvt_result", 21, Smoke::t_enum|Smoke::tf_stack },	//369
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//370
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//371
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//372
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QBrush&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QBrush*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//375
    { "const QByteArray", 7, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//376
    { "const QByteArray&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QChar&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QCursor&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QDate&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QDateTime&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QDir&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QEasingCurve&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QEvent*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//385
    { "const QFont&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QHashDummyValue&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QIcon&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QImage&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QItemSelectionRange&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QKeySequence&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QLatin1String&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QLine&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QLineF&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QListWidgetItem&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QMatrix&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QMatrix4x4&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QMetaObject&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QMetaObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//403
    { "const QMimeData*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const QModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QObject*", 43, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QPainterPath&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QPalette&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QPen&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QPersistentModelIndex&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QPicture&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QPixmap&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QPoint", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//413
    { "const QPoint&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QPointF", 52, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//415
    { "const QPointF&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QPolygon&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QPolygonF&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QQuaternion", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//419
    { "const QQuaternion&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QRectF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QRegExp&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QRegExp*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QRegion&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QSize", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//426
    { "const QSize&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QSizeF", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//428
    { "const QSizeF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QSizePolicy&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QSplitter&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QSqlDatabase&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QSqlDriver*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//433
    { "const QSqlDriverCreatorBase&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QSqlDriverFactoryInterface&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QSqlError&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QSqlField&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QSqlIndex&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QSqlQuery&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QSqlRecord&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QSqlRelation&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QSqlResult*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//442
    { "const QStandardItem&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//444
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//447
    { "const QStringRef&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QStyleOption&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QStyleOption::OptionType&", 84, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QStyleOptionViewItem&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//451
    { "const QTableWidgetItem&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QTextFormat&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QTextLength&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QTileRules&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QTime&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QTransform&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QTreeWidgetItem&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QUrl&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QUuid&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QVariant&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QVariant::Type", 99, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//462
    { "const QVariantComparisonHelper&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QVector2D", 101, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//464
    { "const QVector2D&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QVector3D", 102, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//466
    { "const QVector3D&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QVector4D", 103, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//468
    { "const QVector4D&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//470
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//471
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//472
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//473
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//474
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//475
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//476
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//477
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//478
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//479
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//480
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//481
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//482
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//483
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//484
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//485
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//486
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//487
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//488
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//489
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//490
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//491
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//492
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//493
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//494
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//495
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    405, 461, 475, 0,	//1  const QModelIndex&, const QVariant&, int
    405, 0,	//5  const QModelIndex&
    405, 398, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    395, 0,	//10  const QList<QModelIndex>&
    475, 475, 405, 0,	//12  int, int, const QModelIndex&
    475, 347, 0,	//16  int, Qt::SortOrder
    405, 475, 461, 475, 111, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    404, 314, 475, 475, 405, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    27, 475, 0,	//31  QDateTimeEdit::Section, int
    448, 448, 0,	//34  const QStringRef&, const QStringRef&
    488, 0,	//37  unsigned long long
    473, 0,	//39  double
    258, 475, 0,	//41  QTextCodec::ConversionFlag, int
    401, 401, 0,	//44  const QMatrix4x4&, const QMatrix4x4&
    324, 475, 0,	//47  Qt::ImageConversionFlag, int
    467, 467, 0,	//50  const QVector3D&, const QVector3D&
    465, 465, 0,	//53  const QVector2D&, const QVector2D&
    470, 486, 0,	//56  const char*, unsigned int
    493, 472, 483, 0,	//59  void*, const void*, size_t
    470, 392, 0,	//63  const char*, const QLatin1String&
    28, 66, 0,	//66  QDebug, QFlags<QIODevice::OpenModeFlag>
    24, 133, 0,	//69  QDataStream&, QIcon&
    416, 400, 0,	//72  const QPointF&, const QMatrix&
    166, 76, 0,	//75  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    448, 445, 0,	//78  const QStringRef&, const QString&
    427, 427, 0,	//81  const QSize&, const QSize&
    24, 391, 0,	//84  QDataStream&, const QKeySequence&
    260, 260, 0,	//87  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    470, 377, 0,	//90  const char*, const QByteArray&
    24, 239, 0,	//93  QDataStream&, QStandardItem&
    249, 249, 0,	//96  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    158, 73, 0,	//99  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    38, 55, 0,	//102  QFile::Permission, QFlags<QFile::Permission>
    445, 470, 0,	//105  const QString&, const char*
    24, 185, 0,	//108  QDataStream&, QQuaternion&
    416, 416, 0,	//111  const QPointF&, const QPointF&
    24, 418, 0,	//114  QDataStream&, const QPolygonF&
    473, 473, 0,	//117  double, double
    24, 193, 0,	//120  QDataStream&, QSizeF&
    377, 470, 0,	//123  const QByteArray&, const char*
    474, 0,	//126  float
    470, 0,	//128  const char*
    482, 0,	//130  signed char
    124, 475, 0,	//132  QGraphicsEffect::ChangeFlag, int
    445, 448, 0,	//135  const QString&, const QStringRef&
    39, 475, 0,	//138  QFileDialog::Option, int
    18, 0,	//141  QChar
    24, 425, 0,	//143  QDataStream&, const QRegion&
    160, 160, 0,	//146  QMessageBox::StandardButton, QMessageBox::StandardButton
    248, 84, 0,	//149  QStyle::SubControl, QFlags<QStyle::SubControl>
    401, 414, 0,	//152  const QMatrix4x4&, const QPoint&
    24, 454, 0,	//155  QDataStream&, const QTextLength&
    28, 374, 0,	//158  QDebug, const QBrush&
    122, 122, 0,	//161  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    448, 392, 0,	//164  const QStringRef&, const QLatin1String&
    401, 469, 0,	//167  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//170  QChar, QChar
    28, 420, 0,	//173  QDebug, const QQuaternion&
    357, 357, 0,	//176  Qt::TouchPointState, Qt::TouchPointState
    401, 0,	//179  const QMatrix4x4&
    459, 0,	//181  const QUrl&
    377, 0,	//183  const QByteArray&
    290, 475, 0,	//185  QWidget::RenderFlag, int
    401, 473, 0,	//188  const QMatrix4x4&, double
    24, 408, 0,	//191  QDataStream&, const QPalette&
    28, 459, 0,	//194  QDebug, const QUrl&
    24, 21, 0,	//197  QDataStream&, QColor&
    24, 256, 0,	//200  QDataStream&, QTableWidgetItem&
    152, 72, 0,	//203  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    242, 445, 0,	//206  QString::Null, const QString&
    28, 127, 0,	//209  QDebug, QGraphicsItem::GraphicsItemFlag
    290, 101, 0,	//212  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    354, 354, 0,	//215  Qt::ToolBarArea, Qt::ToolBarArea
    470, 470, 0,	//218  const char*, const char*
    131, 475, 0,	//221  QGraphicsView::OptimizationFlag, int
    151, 151, 0,	//224  QLocale::NumberOption, QLocale::NumberOption
    365, 365, 0,	//227  Qt::WindowType, Qt::WindowType
    473, 429, 0,	//230  double, const QSizeF&
    420, 420, 0,	//233  const QQuaternion&, const QQuaternion&
    30, 475, 0,	//236  QDir::Filter, int
    248, 248, 0,	//239  QStyle::SubControl, QStyle::SubControl
    414, 414, 0,	//242  const QPoint&, const QPoint&
    24, 422, 0,	//245  QDataStream&, const QRectF&
    332, 475, 0,	//248  Qt::KeyboardModifier, int
    351, 114, 0,	//251  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    158, 475, 0,	//254  QMdiArea::AreaOption, int
    457, 473, 0,	//257  const QTransform&, double
    3, 41, 0,	//260  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    371, 0,	//263  char
    291, 291, 0,	//265  QWizard::WizardOption, QWizard::WizardOption
    268, 98, 0,	//268  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    265, 475, 0,	//271  QTextOption::Flag, int
    28, 399, 0,	//274  QDebug, const QMargins&
    277, 475, 0,	//277  QUrl::FormattingOption, int
    38, 475, 0,	//280  QFile::Permission, int
    122, 59, 0,	//283  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    414, 473, 0,	//286  const QPoint&, double
    168, 475, 475, 475, 475, 408, 370, 375, 0,	//289  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    168, 475, 475, 475, 475, 408, 0,	//298  QPainter*, int, int, int, int, const QPalette&
    168, 475, 475, 475, 475, 408, 370, 0,	//305  QPainter*, int, int, int, int, const QPalette&, bool
    24, 457, 0,	//313  QDataStream&, const QTransform&
    32, 51, 0,	//316  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    445, 377, 0,	//319  const QString&, const QByteArray&
    429, 429, 0,	//322  const QSizeF&, const QSizeF&
    467, 401, 0,	//325  const QVector3D&, const QMatrix4x4&
    469, 469, 0,	//328  const QVector4D&, const QVector4D&
    28, 416, 0,	//331  QDebug, const QPointF&
    479, 475, 477, 477, 0,	//334  long double, int, int*, int*
    39, 56, 0,	//339  QFileDialog::Option, QFlags<QFileDialog::Option>
    24, 412, 0,	//342  QDataStream&, const QPixmap&
    332, 110, 0,	//345  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    291, 475, 0,	//348  QWizard::WizardOption, int
    28, 394, 0,	//351  QDebug, const QLineF&
    486, 0,	//354  unsigned int
    28, 382, 0,	//356  QDebug, const QDateTime&
    33, 52, 0,	//359  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    470, 445, 0,	//362  const char*, const QString&
    475, 475, 475, 0,	//365  int, int, int
    130, 130, 0,	//369  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    24, 411, 0,	//372  QDataStream&, const QPicture&
    277, 277, 0,	//375  QUrl::FormattingOption, QUrl::FormattingOption
    357, 116, 0,	//378  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    324, 324, 0,	//381  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    475, 0,	//384  int
    167, 475, 0,	//386  QPaintEngine::PaintEngineFeature, int
    3, 3, 0,	//389  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    151, 475, 0,	//392  QLocale::NumberOption, int
    392, 392, 0,	//395  const QLatin1String&, const QLatin1String&
    471, 475, 0,	//398  const unsigned char*, int
    470, 470, 486, 0,	//401  const char*, const char*, unsigned int
    392, 448, 0,	//405  const QLatin1String&, const QStringRef&
    139, 141, 0,	//408  QKeyEvent*, QKeySequence::StandardKey
    251, 251, 0,	//411  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    266, 196, 0,	//414  QTextStream&, QSplitter&
    390, 0,	//417  const QItemSelectionRange&
    314, 314, 0,	//419  Qt::DropAction, Qt::DropAction
    169, 78, 0,	//422  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    28, 414, 0,	//425  QDebug, const QPoint&
    24, 150, 0,	//428  QDataStream&, QLocale&
    445, 18, 0,	//431  const QString&, QChar
    242, 242, 0,	//434  QString::Null, QString::Null
    10, 44, 0,	//437  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    471, 485, 475, 0,	//440  const unsigned char*, unsigned char*, int
    28, 437, 0,	//444  QDebug, const QSqlField&
    250, 86, 0,	//447  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    258, 258, 0,	//450  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    339, 339, 0,	//453  Qt::Orientation, Qt::Orientation
    493, 483, 483, 483, 0,	//456  void*, size_t, size_t, size_t
    24, 172, 0,	//461  QDataStream&, QPalette&
    24, 380, 0,	//464  QDataStream&, const QCursor&
    377, 445, 0,	//467  const QByteArray&, const QString&
    354, 115, 0,	//470  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    260, 94, 0,	//473  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    421, 421, 0,	//476  const QRect&, const QRect&
    37, 54, 0,	//479  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    373, 373, 0,	//482  const QBitArray&, const QBitArray&
    377, 377, 0,	//485  const QByteArray&, const QByteArray&
    160, 75, 0,	//488  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    493, 483, 0,	//491  void*, size_t
    445, 0,	//494  const QString&
    175, 79, 0,	//496  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    24, 400, 0,	//499  QDataStream&, const QMatrix&
    24, 397, 0,	//502  QDataStream&, const QLocale&
    28, 384, 0,	//505  QDebug, const QEasingCurve&
    492, 0,	//508  void(*)(QtMsgType,const char*)
    4, 475, 0,	//510  QAbstractPrintDialog::PrintDialogOption, int
    27, 27, 0,	//513  QDateTimeEdit::Section, QDateTimeEdit::Section
    255, 91, 0,	//516  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    24, 26, 0,	//519  QDataStream&, QDateTime&
    28, 385, 0,	//522  QDebug, const QEvent*
    14, 14, 0,	//525  QBool, QBool
    124, 124, 0,	//528  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    470, 448, 0,	//531  const char*, const QStringRef&
    120, 475, 0,	//534  QFontComboBox::FontFilter, int
    354, 475, 0,	//537  Qt::ToolBarArea, int
    122, 475, 0,	//540  QGestureRecognizer::ResultFlag, int
    135, 135, 0,	//543  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    24, 173, 0,	//546  QDataStream&, QPen&
    393, 457, 0,	//549  const QLine&, const QTransform&
    28, 418, 0,	//552  QDebug, const QPolygonF&
    326, 475, 0,	//555  Qt::InputMethodHint, int
    18, 445, 0,	//558  QChar, const QString&
    252, 88, 0,	//561  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    243, 475, 0,	//564  QString::SectionFlag, int
    123, 60, 0,	//567  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    142, 475, 0,	//570  QLibrary::LoadHint, int
    28, 126, 0,	//573  QDebug, QGraphicsItem::GraphicsItemChange
    24, 276, 0,	//576  QDataStream&, QUrl&
    470, 470, 475, 0,	//579  const char*, const char*, int
    480, 0,	//583  long long
    420, 0,	//585  const QQuaternion&
    445, 242, 0,	//587  const QString&, QString::Null
    121, 121, 0,	//590  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    457, 457, 0,	//593  const QTransform&, const QTransform&
    152, 475, 0,	//596  QMainWindow::DockOption, int
    24, 15, 0,	//599  QDataStream&, QBrush&
    1, 475, 0,	//602  QAbstractFileEngine::FileFlag, int
    258, 92, 0,	//605  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    445, 371, 0,	//608  const QString&, char
    407, 400, 0,	//611  const QPainterPath&, const QMatrix&
    326, 108, 0,	//614  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    152, 152, 0,	//617  QMainWindow::DockOption, QMainWindow::DockOption
    291, 102, 0,	//620  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    24, 194, 0,	//623  QDataStream&, QSizePolicy&
    365, 118, 0,	//626  Qt::WindowType, QFlags<Qt::WindowType>
    168, 475, 475, 475, 475, 379, 475, 375, 0,	//629  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    168, 475, 475, 475, 475, 379, 0,	//638  QPainter*, int, int, int, int, const QColor&
    168, 475, 475, 475, 475, 379, 475, 0,	//645  QPainter*, int, int, int, int, const QColor&, int
    420, 473, 0,	//653  const QQuaternion&, double
    337, 337, 0,	//656  Qt::MouseButton, Qt::MouseButton
    372, 470, 0,	//659  char*, const char*
    175, 175, 0,	//662  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    425, 400, 0,	//665  const QRegion&, const QMatrix&
    292, 292, 0,	//668  Qt::AlignmentFlag, Qt::AlignmentFlag
    414, 0,	//671  const QPoint&
    314, 475, 0,	//673  Qt::DropAction, int
    24, 456, 0,	//676  QDataStream&, const QTime&
    31, 475, 0,	//679  QDir::SortFlag, int
    399, 399, 0,	//682  const QMargins&, const QMargins&
    168, 421, 408, 370, 475, 475, 375, 0,	//685  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    168, 421, 408, 0,	//693  QPainter*, const QRect&, const QPalette&
    168, 421, 408, 370, 0,	//697  QPainter*, const QRect&, const QPalette&, bool
    168, 421, 408, 370, 475, 0,	//702  QPainter*, const QRect&, const QPalette&, bool, int
    168, 421, 408, 370, 475, 475, 0,	//708  QPainter*, const QRect&, const QPalette&, bool, int, int
    24, 407, 0,	//715  QDataStream&, const QPainterPath&
    469, 401, 0,	//718  const QVector4D&, const QMatrix4x4&
    259, 475, 0,	//721  QTextDocument::FindFlag, int
    165, 0,	//724  QObject*(*)()
    28, 390, 0,	//726  QDebug, const QItemSelectionRange&
    28, 391, 0,	//729  QDebug, const QKeySequence&
    33, 33, 0,	//732  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    168, 421, 399, 412, 0,	//735  QPainter*, const QRect&, const QMargins&, const QPixmap&
    469, 473, 0,	//740  const QVector4D&, double
    266, 431, 0,	//743  QTextStream&, const QSplitter&
    335, 335, 0,	//746  Qt::MatchFlag, Qt::MatchFlag
    483, 0,	//749  size_t
    312, 104, 0,	//751  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    24, 245, 0,	//754  QDataStream&, QStringList&
    253, 253, 0,	//757  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    138, 69, 0,	//760  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    24, 467, 0,	//763  QDataStream&, const QVector3D&
    28, 462, 0,	//766  QDebug, const QVariant::Type
    312, 475, 0,	//769  Qt::DockWidgetArea, int
    263, 96, 0,	//772  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    24, 465, 0,	//775  QDataStream&, const QVector2D&
    24, 374, 0,	//778  QDataStream&, const QBrush&
    168, 421, 408, 370, 375, 0,	//781  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    159, 475, 0,	//787  QMdiSubWindow::SubWindowOption, int
    478, 0,	//790  long
    24, 458, 0,	//792  QDataStream&, const QTreeWidgetItem&
    475, 414, 0,	//795  int, const QPoint&
    489, 0,	//798  unsigned short
    262, 262, 0,	//800  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    24, 146, 0,	//803  QDataStream&, QLineF&
    166, 166, 0,	//806  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    24, 389, 0,	//809  QDataStream&, const QImage&
    38, 38, 0,	//812  QFile::Permission, QFile::Permission
    137, 68, 0,	//815  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    168, 421, 408, 370, 475, 375, 0,	//818  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    371, 445, 0,	//825  char, const QString&
    24, 192, 0,	//828  QDataStream&, QSize&
    24, 140, 0,	//831  QDataStream&, QKeySequence&
    252, 252, 0,	//834  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    29, 475, 0,	//837  QDialogButtonBox::StandardButton, int
    262, 95, 0,	//840  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    410, 0,	//843  const QPersistentModelIndex&
    28, 425, 0,	//845  QDebug, const QRegion&
    24, 469, 0,	//848  QDataStream&, const QVector4D&
    24, 388, 0,	//851  QDataStream&, const QIcon&
    24, 445, 0,	//854  QDataStream&, const QString&
    24, 382, 0,	//857  QDataStream&, const QDateTime&
    24, 285, 0,	//860  QDataStream&, QVector3D&
    406, 445, 402, 0,	//863  const QObject*, const QString&, const QMetaObject&
    168, 475, 475, 475, 475, 408, 370, 475, 375, 0,	//867  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    168, 475, 475, 475, 475, 408, 370, 475, 0,	//877  QPainter*, int, int, int, int, const QPalette&, bool, int
    243, 243, 0,	//886  QString::SectionFlag, QString::SectionFlag
    24, 283, 0,	//889  QDataStream&, QVector2D&
    160, 475, 0,	//892  QMessageBox::StandardButton, int
    465, 473, 0,	//895  const QVector2D&, double
    250, 250, 0,	//898  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    416, 473, 0,	//901  const QPointF&, double
    370, 14, 0,	//904  bool, QBool
    131, 131, 0,	//907  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    467, 473, 0,	//910  const QVector3D&, double
    138, 138, 0,	//913  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    137, 137, 0,	//916  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    372, 470, 486, 0,	//919  char*, const char*, unsigned int
    473, 465, 0,	//923  double, const QVector2D&
    469, 0,	//926  const QVector4D&
    275, 99, 0,	//928  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    24, 157, 0,	//931  QDataStream&, QMatrix4x4&
    253, 89, 0,	//934  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    260, 475, 0,	//937  QTextEdit::AutoFormattingFlag, int
    252, 475, 0,	//940  QStyleOptionTab::CornerWidget, int
    24, 414, 0,	//943  QDataStream&, const QPoint&
    24, 280, 0,	//946  QDataStream&, QVariant&
    416, 401, 0,	//949  const QPointF&, const QMatrix4x4&
    337, 475, 0,	//952  Qt::MouseButton, int
    24, 134, 0,	//955  QDataStream&, QImage&
    416, 0,	//958  const QPointF&
    28, 449, 0,	//960  QDebug, const QStyleOption&
    4, 42, 0,	//963  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    24, 174, 0,	//966  QDataStream&, QPicture&
    22, 475, 0,	//969  QColorDialog::ColorDialogOption, int
    28, 410, 0,	//972  QDebug, const QPersistentModelIndex&
    418, 400, 0,	//975  const QPolygonF&, const QMatrix&
    24, 287, 0,	//978  QDataStream&, QVector4D&
    22, 22, 0,	//981  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    470, 470, 470, 475, 0,	//984  const char*, const char*, const char*, int
    474, 414, 0,	//989  float, const QPoint&
    28, 436, 0,	//992  QDebug, const QSqlError&
    39, 39, 0,	//995  QFileDialog::Option, QFileDialog::Option
    265, 265, 0,	//998  QTextOption::Flag, QTextOption::Flag
    339, 113, 0,	//1001  Qt::Orientation, QFlags<Qt::Orientation>
    24, 401, 0,	//1004  QDataStream&, const QMatrix4x4&
    400, 400, 0,	//1007  const QMatrix&, const QMatrix&
    37, 475, 0,	//1010  QEventLoop::ProcessEventsFlag, int
    422, 422, 0,	//1013  const QRectF&, const QRectF&
    475, 475, 475, 475, 0,	//1016  int, int, int, int
    24, 273, 0,	//1021  QDataStream&, QTransform&
    28, 128, 0,	//1024  QDebug, QGraphicsObject*
    24, 443, 0,	//1027  QDataStream&, const QStandardItem&
    324, 107, 0,	//1030  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    473, 469, 0,	//1033  double, const QVector4D&
    10, 475, 0,	//1036  QAccessible::RelationFlag, int
    159, 74, 0,	//1039  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    24, 446, 0,	//1042  QDataStream&, const QStringList&
    28, 401, 0,	//1045  QDebug, const QMatrix4x4&
    377, 371, 0,	//1048  const QByteArray&, char
    32, 32, 0,	//1051  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    30, 49, 0,	//1054  QDir::Filter, QFlags<QDir::Filter>
    24, 178, 0,	//1057  QDataStream&, QPoint&
    429, 473, 0,	//1060  const QSizeF&, double
    24, 381, 0,	//1063  QDataStream&, const QDate&
    255, 475, 0,	//1066  QStyleOptionViewItemV2::ViewItemFeature, int
    491, 0,	//1069  void(*)()
    471, 475, 475, 0,	//1071  const unsigned char*, int, int
    195, 195, 0,	//1075  QSizePolicy::ControlType, QSizePolicy::ControlType
    24, 393, 0,	//1078  QDataStream&, const QLine&
    24, 155, 0,	//1081  QDataStream&, QMatrix&
    29, 29, 0,	//1084  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    24, 241, 0,	//1087  QDataStream&, QString&
    247, 247, 0,	//1090  QStyle::StateFlag, QStyle::StateFlag
    24, 396, 0,	//1093  QDataStream&, const QListWidgetItem&
    250, 475, 0,	//1096  QStyleOptionFrameV2::FrameFeature, int
    493, 0,	//1099  void*
    28, 62, 0,	//1101  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    394, 400, 0,	//1104  const QLineF&, const QMatrix&
    24, 453, 0,	//1107  QDataStream&, const QTextFormat&
    199, 475, 0,	//1110  QSql::ParamTypeFlag, int
    329, 475, 0,	//1113  Qt::ItemFlag, int
    24, 274, 0,	//1116  QDataStream&, QTreeWidgetItem&
    28, 383, 0,	//1119  QDebug, const QDir&
    266, 267, 0,	//1122  QTextStream&, QTextStream&(*)(QTextStream&)
    28, 409, 0,	//1125  QDebug, const QPen&
    473, 420, 0,	//1128  double, const QQuaternion&
    28, 405, 0,	//1131  QDebug, const QModelIndex&
    127, 62, 0,	//1134  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    28, 467, 0,	//1137  QDebug, const QVector3D&
    263, 263, 0,	//1140  QTextItem::RenderFlag, QTextItem::RenderFlag
    37, 37, 0,	//1143  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    373, 0,	//1146  const QBitArray&
    28, 465, 0,	//1148  QDebug, const QVector2D&
    135, 67, 0,	//1151  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    28, 456, 0,	//1154  QDebug, const QTime&
    266, 269, 0,	//1157  QTextStream&, QTextStreamManipulator
    28, 469, 0,	//1160  QDebug, const QVector4D&
    24, 261, 0,	//1163  QDataStream&, QTextFormat&
    319, 106, 0,	//1166  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    448, 470, 0,	//1169  const QStringRef&, const char*
    254, 475, 0,	//1172  QStyleOptionToolButton::ToolButtonFeature, int
    195, 80, 0,	//1175  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    290, 290, 0,	//1178  QWidget::RenderFlag, QWidget::RenderFlag
    24, 13, 0,	//1181  QDataStream&, QBitArray&
    24, 182, 0,	//1184  QDataStream&, QPolygon&
    24, 190, 0,	//1187  QDataStream&, QRegion&
    5, 5, 0,	//1190  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    24, 430, 0,	//1193  QDataStream&, const QSizePolicy&
    254, 254, 0,	//1196  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    33, 475, 0,	//1199  QDockWidget::DockWidgetFeature, int
    483, 483, 0,	//1202  size_t, size_t
    129, 63, 0,	//1205  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    414, 457, 0,	//1208  const QPoint&, const QTransform&
    479, 475, 477, 477, 372, 483, 0,	//1211  long double, int, int*, int*, char*, size_t
    28, 429, 0,	//1218  QDebug, const QSizeF&
    319, 475, 0,	//1221  Qt::GestureFlag, int
    371, 377, 0,	//1224  char, const QByteArray&
    247, 475, 0,	//1227  QStyle::StateFlag, int
    24, 461, 0,	//1230  QDataStream&, const QVariant&
    254, 90, 0,	//1233  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    28, 461, 0,	//1236  QDebug, const QVariant&
    11, 11, 0,	//1239  QAccessible::StateFlag, QAccessible::StateFlag
    169, 169, 0,	//1242  QPainter::RenderHint, QPainter::RenderHint
    364, 475, 0,	//1245  Qt::WindowState, int
    24, 270, 0,	//1248  QDataStream&, QTime&
    24, 176, 0,	//1251  QDataStream&, QPixmap&
    27, 47, 0,	//1254  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    265, 97, 0,	//1257  QTextOption::Flag, QFlags<QTextOption::Flag>
    28, 49, 0,	//1260  QDebug, QFlags<QDir::Filter>
    332, 332, 0,	//1263  Qt::KeyboardModifier, Qt::KeyboardModifier
    24, 35, 0,	//1266  QDataStream&, QEasingCurve&
    473, 416, 0,	//1269  double, const QPointF&
    314, 105, 0,	//1272  Qt::DropAction, QFlags<Qt::DropAction>
    425, 457, 0,	//1275  const QRegion&, const QTransform&
    427, 473, 0,	//1278  const QSize&, double
    28, 381, 0,	//1281  QDebug, const QDate&
    407, 457, 0,	//1284  const QPainterPath&, const QTransform&
    11, 45, 0,	//1287  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    30, 30, 0,	//1290  QDir::Filter, QDir::Filter
    372, 483, 470, 490, 0,	//1293  char*, size_t, const char*, va_list
    473, 414, 0,	//1298  double, const QPoint&
    418, 457, 0,	//1301  const QPolygonF&, const QTransform&
    493, 475, 483, 0,	//1304  void*, int, size_t
    24, 394, 0,	//1308  QDataStream&, const QLineF&
    470, 475, 0,	//1311  const char*, int
    481, 0,	//1314  short
    159, 159, 0,	//1316  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    132, 132, 0,	//1319  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    312, 312, 0,	//1322  Qt::DockWidgetArea, Qt::DockWidgetArea
    31, 50, 0,	//1325  QDir::SortFlag, QFlags<QDir::SortFlag>
    474, 474, 0,	//1328  float, float
    461, 463, 0,	//1331  const QVariant&, const QVariantComparisonHelper&
    137, 475, 0,	//1334  QInputDialog::InputDialogOption, int
    142, 142, 0,	//1337  QLibrary::LoadHint, QLibrary::LoadHint
    479, 475, 372, 0,	//1340  long double, int, char*
    493, 483, 483, 476, 0,	//1344  void*, size_t, size_t, int(*)(const void*,const void*)
    275, 275, 0,	//1349  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    251, 87, 0,	//1352  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    131, 65, 0,	//1355  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    32, 475, 0,	//1358  QDirIterator::IteratorFlag, int
    326, 326, 0,	//1361  Qt::InputMethodHint, Qt::InputMethodHint
    129, 475, 0,	//1364  QGraphicsScene::SceneLayer, int
    24, 409, 0,	//1367  QDataStream&, const QPen&
    199, 81, 0,	//1370  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    167, 167, 0,	//1373  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    24, 171, 0,	//1376  QDataStream&, QPainterPath&
    28, 393, 0,	//1379  QDebug, const QLine&
    351, 351, 0,	//1382  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    168, 475, 475, 475, 475, 408, 370, 475, 475, 375, 0,	//1385  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    168, 475, 475, 475, 475, 408, 370, 475, 475, 0,	//1396  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    357, 475, 0,	//1406  Qt::TouchPointState, int
    24, 264, 0,	//1409  QDataStream&, QTextLength&
    28, 457, 0,	//1412  QDebug, const QTransform&
    275, 475, 0,	//1415  QTreeWidgetItemIterator::IteratorFlag, int
    377, 475, 0,	//1418  const QByteArray&, int
    28, 417, 0,	//1421  QDebug, const QPolygon&
    277, 100, 0,	//1424  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    5, 475, 0,	//1427  QAbstractSpinBox::StepEnabledFlag, int
    195, 475, 0,	//1430  QSizePolicy::ControlType, int
    129, 129, 0,	//1433  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    351, 475, 0,	//1436  Qt::TextInteractionFlag, int
    364, 364, 0,	//1439  Qt::WindowState, Qt::WindowState
    262, 475, 0,	//1442  QTextFormat::PageBreakFlag, int
    465, 0,	//1445  const QVector2D&
    1, 40, 0,	//1447  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    24, 379, 0,	//1450  QDataStream&, const QColor&
    473, 401, 0,	//1453  double, const QMatrix4x4&
    24, 377, 0,	//1456  QDataStream&, const QByteArray&
    10, 10, 0,	//1459  QAccessible::RelationFlag, QAccessible::RelationFlag
    24, 384, 0,	//1462  QDataStream&, const QEasingCurve&
    393, 400, 0,	//1465  const QLine&, const QMatrix&
    24, 459, 0,	//1468  QDataStream&, const QUrl&
    28, 421, 0,	//1471  QDebug, const QRect&
    28, 386, 0,	//1474  QDebug, const QFont&
    31, 31, 0,	//1477  QDir::SortFlag, QDir::SortFlag
    22, 46, 0,	//1480  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    130, 475, 0,	//1483  QGraphicsView::CacheModeFlag, int
    268, 475, 0,	//1486  QTextStream::NumberFlag, int
    24, 186, 0,	//1489  QDataStream&, QRect&
    158, 158, 0,	//1492  QMdiArea::AreaOption, QMdiArea::AreaOption
    24, 427, 0,	//1495  QDataStream&, const QSize&
    24, 378, 0,	//1498  QDataStream&, const QChar&
    120, 57, 0,	//1501  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    141, 139, 0,	//1504  QKeySequence::StandardKey, QKeyEvent*
    121, 58, 0,	//1507  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    247, 83, 0,	//1510  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    292, 475, 0,	//1513  Qt::AlignmentFlag, int
    24, 149, 0,	//1516  QDataStream&, QListWidgetItem&
    24, 423, 0,	//1519  QDataStream&, const QRegExp&
    135, 475, 0,	//1522  QImageIOPlugin::Capability, int
    259, 93, 0,	//1525  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    467, 0,	//1528  const QVector3D&
    28, 422, 0,	//1530  QDebug, const QRectF&
    364, 117, 0,	//1533  Qt::WindowState, QFlags<Qt::WindowState>
    124, 61, 0,	//1536  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    329, 329, 0,	//1539  Qt::ItemFlag, Qt::ItemFlag
    24, 278, 0,	//1542  QDataStream&, QUuid&
    24, 119, 0,	//1545  QDataStream&, QFont&
    168, 421, 379, 475, 375, 0,	//1548  QPainter*, const QRect&, const QColor&, int, const QBrush*
    168, 421, 379, 0,	//1554  QPainter*, const QRect&, const QColor&
    168, 421, 379, 475, 0,	//1558  QPainter*, const QRect&, const QColor&, int
    24, 184, 0,	//1563  QDataStream&, QPolygonF&
    127, 127, 0,	//1566  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    253, 475, 0,	//1569  QStyleOptionToolBar::ToolBarFeature, int
    414, 475, 0,	//1572  const QPoint&, int
    24, 282, 0,	//1575  QDataStream&, QVariant::Type&
    199, 199, 0,	//1578  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    169, 475, 0,	//1581  QPainter::RenderHint, int
    461, 281, 493, 0,	//1584  const QVariant&, QVariant::Type, void*
    28, 83, 0,	//1588  QDebug, QFlags<QStyle::StateFlag>
    3, 475, 0,	//1591  QAbstractItemView::EditTrigger, int
    414, 401, 0,	//1594  const QPoint&, const QMatrix4x4&
    414, 400, 0,	//1597  const QPoint&, const QMatrix&
    4, 4, 0,	//1600  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    406, 445, 424, 402, 148, 0,	//1603  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    387, 387, 0,	//1609  const QHashDummyValue&, const QHashDummyValue&
    24, 180, 0,	//1612  QDataStream&, QPointF&
    339, 475, 0,	//1615  Qt::Orientation, int
    255, 255, 0,	//1618  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    401, 467, 0,	//1621  const QMatrix4x4&, const QVector3D&
    24, 452, 0,	//1624  QDataStream&, const QTableWidgetItem&
    28, 125, 0,	//1627  QDebug, QGraphicsItem*
    168, 414, 414, 408, 370, 475, 475, 0,	//1630  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    168, 414, 414, 408, 0,	//1638  QPainter*, const QPoint&, const QPoint&, const QPalette&
    168, 414, 414, 408, 370, 0,	//1643  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    168, 414, 414, 408, 370, 475, 0,	//1649  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    319, 319, 0,	//1656  Qt::GestureFlag, Qt::GestureFlag
    132, 66, 0,	//1659  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    401, 416, 0,	//1662  const QMatrix4x4&, const QPointF&
    123, 475, 0,	//1665  QGraphicsBlurEffect::BlurHint, int
    167, 77, 0,	//1668  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    24, 386, 0,	//1671  QDataStream&, const QFont&
    123, 123, 0,	//1674  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    417, 457, 0,	//1677  const QPolygon&, const QTransform&
    166, 475, 0,	//1680  QPaintEngine::DirtyFlag, int
    414, 474, 0,	//1683  const QPoint&, float
    473, 427, 0,	//1686  double, const QSize&
    138, 475, 0,	//1689  QItemSelectionModel::SelectionFlag, int
    14, 370, 0,	//1692  QBool, bool
    29, 48, 0,	//1695  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    24, 144, 0,	//1698  QDataStream&, QLine&
    28, 427, 0,	//1701  QDebug, const QSize&
    248, 475, 0,	//1704  QStyle::SubControl, int
    268, 268, 0,	//1707  QTextStream::NumberFlag, QTextStream::NumberFlag
    28, 432, 0,	//1710  QDebug, const QSqlDatabase&
    394, 457, 0,	//1713  const QLineF&, const QTransform&
    121, 475, 0,	//1716  QFontDialog::FontDialogOption, int
    337, 112, 0,	//1719  Qt::MouseButton, QFlags<Qt::MouseButton>
    24, 462, 0,	//1722  QDataStream&, const QVariant::Type
    259, 259, 0,	//1725  QTextDocument::FindFlag, QTextDocument::FindFlag
    251, 475, 0,	//1728  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    329, 109, 0,	//1731  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    416, 457, 0,	//1734  const QPointF&, const QTransform&
    28, 379, 0,	//1737  QDebug, const QColor&
    28, 400, 0,	//1740  QDebug, const QMatrix&
    24, 460, 0,	//1743  QDataStream&, const QUuid&
    142, 70, 0,	//1746  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    365, 475, 0,	//1749  Qt::WindowType, int
    249, 475, 0,	//1752  QStyleOptionButton::ButtonFeature, int
    24, 187, 0,	//1755  QDataStream&, QRectF&
    249, 85, 0,	//1758  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    130, 64, 0,	//1761  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    24, 23, 0,	//1764  QDataStream&, QCursor&
    127, 475, 0,	//1767  QGraphicsItem::GraphicsItemFlag, int
    24, 421, 0,	//1770  QDataStream&, const QRect&
    335, 111, 0,	//1773  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    292, 103, 0,	//1776  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    24, 19, 0,	//1779  QDataStream&, QChar&
    24, 188, 0,	//1782  QDataStream&, QRegExp&
    487, 0,	//1785  unsigned long
    24, 420, 0,	//1787  QDataStream&, const QQuaternion&
    11, 475, 0,	//1790  QAccessible::StateFlag, int
    24, 416, 0,	//1793  QDataStream&, const QPointF&
    175, 475, 0,	//1796  QPinchGesture::ChangeFlag, int
    151, 71, 0,	//1799  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    24, 429, 0,	//1802  QDataStream&, const QSizeF&
    263, 475, 0,	//1805  QTextItem::RenderFlag, int
    168, 421, 399, 412, 421, 399, 455, 53, 0,	//1808  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    168, 421, 399, 412, 421, 399, 0,	//1817  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    168, 421, 399, 412, 421, 399, 455, 0,	//1824  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    243, 82, 0,	//1832  QString::SectionFlag, QFlags<QString::SectionFlag>
    445, 445, 0,	//1835  const QString&, const QString&
    1, 1, 0,	//1838  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    368, 470, 0,	//1841  QtMsgType, const char*
    28, 407, 0,	//1844  QDebug, const QPainterPath&
    473, 467, 0,	//1847  double, const QVector3D&
    28, 440, 0,	//1850  QDebug, const QSqlRecord&
    448, 0,	//1853  const QStringRef&
    132, 475, 0,	//1855  QIODevice::OpenModeFlag, int
    5, 43, 0,	//1858  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    484, 0,	//1861  unsigned char
    24, 17, 0,	//1863  QDataStream&, QByteArray&
    120, 120, 0,	//1866  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    417, 400, 0,	//1869  const QPolygon&, const QMatrix&
    28, 450, 0,	//1872  QDebug, const QStyleOption::OptionType&
    28, 406, 0,	//1875  QDebug, const QObject*
    335, 475, 0,	//1878  Qt::MatchFlag, int
    24, 417, 0,	//1881  QDataStream&, const QPolygon&
    24, 25, 0,	//1884  QDataStream&, QDate&
    24, 373, 0,	//1887  QDataStream&, const QBitArray&
    161, 475, 494, 0,	//1890  QMetaObject::Call, int, void**
    168, 451, 405, 0,	//1894  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    451, 405, 0,	//1898  const QStyleOptionViewItem&, const QModelIndex&
    289, 451, 405, 0,	//1901  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    168, 451, 421, 445, 0,	//1905  QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&
    168, 451, 421, 412, 0,	//1910  QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&
    168, 451, 421, 0,	//1915  QPainter*, const QStyleOptionViewItem&, const QRect&
    168, 451, 421, 302, 0,	//1919  QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState
    164, 36, 0,	//1924  QObject*, QEvent*
    36, 2, 451, 405, 0,	//1927  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    36, 0,	//1932  QEvent*
    271, 0,	//1934  QTimerEvent*
    20, 0,	//1936  QChildEvent*
    432, 0,	//1938  const QSqlDatabase&
    200, 0,	//1940  QSql::TableType
    198, 0,	//1942  QSql::NumericalPrecisionPolicy
    204, 445, 0,	//1944  QSqlDriver*, const QString&
    432, 445, 0,	//1947  const QSqlDatabase&, const QString&
    445, 370, 0,	//1950  const QString&, bool
    445, 208, 0,	//1953  const QString&, QSqlDriverCreatorBase*
    204, 0,	//1956  QSqlDriver*
    164, 0,	//1958  QObject*
    437, 370, 0,	//1960  const QSqlField&, bool
    445, 206, 0,	//1963  const QString&, QSqlDriver::IdentifierType
    207, 445, 440, 370, 0,	//1966  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    205, 0,	//1971  QSqlDriver::DriverFeature
    445, 445, 445, 445, 475, 445, 0,	//1973  const QString&, const QString&, const QString&, const QString&, int, const QString&
    370, 0,	//1980  bool
    436, 0,	//1982  const QSqlError&
    437, 0,	//1984  const QSqlField&
    445, 445, 445, 0,	//1986  const QString&, const QString&, const QString&
    445, 445, 445, 445, 0,	//1990  const QString&, const QString&, const QString&, const QString&
    445, 445, 445, 445, 475, 0,	//1995  const QString&, const QString&, const QString&, const QString&, int
    434, 0,	//2001  const QSqlDriverCreatorBase&
    435, 0,	//2003  const QSqlDriverFactoryInterface&
    445, 445, 214, 475, 0,	//2005  const QString&, const QString&, QSqlError::ErrorType, int
    214, 0,	//2010  QSqlError::ErrorType
    445, 445, 214, 0,	//2012  const QString&, const QString&, QSqlError::ErrorType
    445, 281, 0,	//2016  const QString&, QVariant::Type
    461, 0,	//2019  const QVariant&
    281, 0,	//2021  QVariant::Type
    218, 0,	//2023  QSqlField::RequiredStatus
    438, 0,	//2025  const QSqlIndex&
    475, 370, 0,	//2027  int, bool
    234, 0,	//2030  QSqlResult*
    445, 201, 0,	//2032  const QString&, QSqlDatabase
    201, 0,	//2035  QSqlDatabase
    439, 0,	//2037  const QSqlQuery&
    225, 0,	//2039  QSqlQuery::BatchExecutionMode
    445, 461, 81, 0,	//2041  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    475, 461, 81, 0,	//2045  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    461, 81, 0,	//2049  const QVariant&, QFlags<QSql::ParamTypeFlag>
    445, 461, 0,	//2052  const QString&, const QVariant&
    475, 461, 0,	//2055  int, const QVariant&
    405, 475, 0,	//2058  const QModelIndex&, int
    475, 339, 475, 0,	//2061  int, Qt::Orientation, int
    475, 339, 461, 475, 0,	//2065  int, Qt::Orientation, const QVariant&, int
    445, 432, 0,	//2070  const QString&, const QSqlDatabase&
    475, 339, 0,	//2073  int, Qt::Orientation
    475, 339, 461, 0,	//2076  int, Qt::Orientation, const QVariant&
    475, 475, 0,	//2080  int, int
    440, 0,	//2083  const QSqlRecord&
    475, 437, 0,	//2085  int, const QSqlField&
    441, 0,	//2088  const QSqlRelation&
    289, 405, 0,	//2090  QWidget*, const QModelIndex&
    289, 2, 405, 0,	//2093  QWidget*, QAbstractItemModel*, const QModelIndex&
    164, 201, 0,	//2097  QObject*, QSqlDatabase
    475, 441, 0,	//2100  int, const QSqlRelation&
    475, 440, 0,	//2103  int, const QSqlRecord&
    405, 461, 0,	//2106  const QModelIndex&, const QVariant&
    433, 0,	//2109  const QSqlDriver*
    475, 493, 0,	//2111  int, void*
    238, 0,	//2114  QSqlTableModel::EditStrategy
    475, 228, 0,	//2116  int, QSqlRecord&
    228, 0,	//2119  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InsertStatement",	//17
    "LastInsertId",	//18
    "LowPrecisionDouble",	//19
    "LowPrecisionInt32",	//20
    "LowPrecisionInt64",	//21
    "LowPrecisionNumbers",	//22
    "MultipleResultSets",	//23
    "NamedBinding",	//24
    "NamedPlaceholders",	//25
    "NextResult",	//26
    "NoError",	//27
    "OnFieldChange",	//28
    "OnManualSubmit",	//29
    "OnRowChange",	//30
    "Optional",	//31
    "Out",	//32
    "PM_BoldLineWidth",	//33
    "PM_CbaIconHeight",	//34
    "PM_CbaIconWidth",	//35
    "PM_FrameCornerHeight",	//36
    "PM_FrameCornerWidth",	//37
    "PM_MessageBoxHeight",	//38
    "PM_ThinLineWidth",	//39
    "PositionalBinding",	//40
    "PositionalPlaceholders",	//41
    "PreparedQueries",	//42
    "QSqlDatabase",	//43
    "QSqlDatabase#",	//44
    "QSqlDatabase$",	//45
    "QSqlDriver",	//46
    "QSqlDriver#",	//47
    "QSqlDriverCreatorBase",	//48
    "QSqlDriverCreatorBase#",	//49
    "QSqlDriverFactoryInterface",	//50
    "QSqlDriverFactoryInterface#",	//51
    "QSqlDriverPlugin",	//52
    "QSqlDriverPlugin#",	//53
    "QSqlError",	//54
    "QSqlError#",	//55
    "QSqlError$",	//56
    "QSqlError$$",	//57
    "QSqlError$$$",	//58
    "QSqlError$$$$",	//59
    "QSqlField",	//60
    "QSqlField#",	//61
    "QSqlField$",	//62
    "QSqlField$$",	//63
    "QSqlIndex",	//64
    "QSqlIndex#",	//65
    "QSqlIndex$",	//66
    "QSqlIndex$$",	//67
    "QSqlQuery",	//68
    "QSqlQuery#",	//69
    "QSqlQuery$",	//70
    "QSqlQuery$#",	//71
    "QSqlQueryModel",	//72
    "QSqlQueryModel#",	//73
    "QSqlRecord",	//74
    "QSqlRecord#",	//75
    "QSqlRelation",	//76
    "QSqlRelation#",	//77
    "QSqlRelation$$$",	//78
    "QSqlRelationalDelegate",	//79
    "QSqlRelationalDelegate#",	//80
    "QSqlRelationalTableModel",	//81
    "QSqlRelationalTableModel#",	//82
    "QSqlRelationalTableModel##",	//83
    "QSqlResult",	//84
    "QSqlResult#",	//85
    "QSqlTableModel",	//86
    "QSqlTableModel#",	//87
    "QSqlTableModel##",	//88
    "QtCriticalMsg",	//89
    "QtDebugMsg",	//90
    "QtFatalMsg",	//91
    "QtSystemMsg",	//92
    "QtWarningMsg",	//93
    "QuerySize",	//94
    "Required",	//95
    "SelectStatement",	//96
    "SetNumericalPrecision",	//97
    "SimpleLocking",	//98
    "StatementError",	//99
    "SystemTables",	//100
    "TableName",	//101
    "Tables",	//102
    "TransactionError",	//103
    "Transactions",	//104
    "Unicode",	//105
    "Unknown",	//106
    "UnknownError",	//107
    "UpdateStatement",	//108
    "ValuesAsColumns",	//109
    "ValuesAsRows",	//110
    "Views",	//111
    "WhereStatement",	//112
    "__codecvt_error",	//113
    "__codecvt_noconv",	//114
    "__codecvt_ok",	//115
    "__codecvt_partial",	//116
    "addBindValue",	//117
    "addBindValue#",	//118
    "addBindValue#$",	//119
    "addDatabase",	//120
    "addDatabase#",	//121
    "addDatabase#$",	//122
    "addDatabase$",	//123
    "addDatabase$$",	//124
    "append",	//125
    "append#",	//126
    "append#$",	//127
    "at",	//128
    "beforeDelete",	//129
    "beforeDelete$",	//130
    "beforeInsert",	//131
    "beforeInsert#",	//132
    "beforeUpdate",	//133
    "beforeUpdate$#",	//134
    "beginTransaction",	//135
    "bindValue",	//136
    "bindValue$#",	//137
    "bindValue$#$",	//138
    "bindValueType",	//139
    "bindValueType$",	//140
    "bindingSyntax",	//141
    "boundValue",	//142
    "boundValue$",	//143
    "boundValueCount",	//144
    "boundValueName",	//145
    "boundValueName$",	//146
    "boundValues",	//147
    "buddy",	//148
    "canFetchMore",	//149
    "canFetchMore#",	//150
    "childEvent",	//151
    "clear",	//152
    "clearValues",	//153
    "cloneDatabase",	//154
    "cloneDatabase#$",	//155
    "close",	//156
    "columnCount",	//157
    "columnCount#",	//158
    "commit",	//159
    "commitTransaction",	//160
    "connectNotify",	//161
    "connectOptions",	//162
    "connectionName",	//163
    "connectionNames",	//164
    "contains",	//165
    "contains$",	//166
    "count",	//167
    "create",	//168
    "create$",	//169
    "createEditor",	//170
    "createEditor###",	//171
    "createObject",	//172
    "createResult",	//173
    "cursorName",	//174
    "customEvent",	//175
    "data",	//176
    "data#",	//177
    "data#$",	//178
    "data$",	//179
    "database",	//180
    "database$",	//181
    "database$$",	//182
    "databaseName",	//183
    "databaseText",	//184
    "defaultConnection",	//185
    "defaultValue",	//186
    "deleteRowFromTable",	//187
    "deleteRowFromTable$",	//188
    "detachFromResultSet",	//189
    "disconnectNotify",	//190
    "displayColumn",	//191
    "drawCheck",	//192
    "drawDecoration",	//193
    "drawDisplay",	//194
    "drawFocus",	//195
    "driver",	//196
    "driverName",	//197
    "driverText",	//198
    "drivers",	//199
    "dropMimeData",	//200
    "editStrategy",	//201
    "editorEvent",	//202
    "escapeIdentifier",	//203
    "escapeIdentifier$$",	//204
    "event",	//205
    "eventFilter",	//206
    "exec",	//207
    "exec$",	//208
    "execBatch",	//209
    "execBatch$",	//210
    "executedQuery",	//211
    "fetch",	//212
    "fetch$",	//213
    "fetchFirst",	//214
    "fetchLast",	//215
    "fetchMore",	//216
    "fetchMore#",	//217
    "fetchNext",	//218
    "fetchPrevious",	//219
    "field",	//220
    "field$",	//221
    "fieldIndex",	//222
    "fieldIndex$",	//223
    "fieldName",	//224
    "fieldName$",	//225
    "filter",	//226
    "finish",	//227
    "first",	//228
    "flags",	//229
    "flags#",	//230
    "formatValue",	//231
    "formatValue#",	//232
    "formatValue#$",	//233
    "handle",	//234
    "hasFeature",	//235
    "hasFeature$",	//236
    "hasOutValues",	//237
    "headerData",	//238
    "headerData$$",	//239
    "headerData$$$",	//240
    "hostName",	//241
    "index",	//242
    "indexColumn",	//243
    "indexInQuery",	//244
    "indexInQuery#",	//245
    "indexOf",	//246
    "indexOf$",	//247
    "insert",	//248
    "insert$#",	//249
    "insertColumns",	//250
    "insertColumns$$",	//251
    "insertColumns$$#",	//252
    "insertRecord",	//253
    "insertRecord$#",	//254
    "insertRowIntoTable",	//255
    "insertRowIntoTable#",	//256
    "insertRows",	//257
    "insertRows$$",	//258
    "insertRows$$#",	//259
    "isActive",	//260
    "isAutoValue",	//261
    "isDescending",	//262
    "isDescending$",	//263
    "isDirty",	//264
    "isDirty#",	//265
    "isDriverAvailable",	//266
    "isDriverAvailable$",	//267
    "isEmpty",	//268
    "isForwardOnly",	//269
    "isGenerated",	//270
    "isGenerated$",	//271
    "isIdentifierEscaped",	//272
    "isIdentifierEscaped$$",	//273
    "isIdentifierEscapedImplementation",	//274
    "isIdentifierEscapedImplementation$$",	//275
    "isNull",	//276
    "isNull$",	//277
    "isOpen",	//278
    "isOpenError",	//279
    "isReadOnly",	//280
    "isSelect",	//281
    "isValid",	//282
    "itemData",	//283
    "keys",	//284
    "last",	//285
    "lastError",	//286
    "lastInsertId",	//287
    "lastQuery",	//288
    "length",	//289
    "match",	//290
    "metaObject",	//291
    "mimeData",	//292
    "mimeTypes",	//293
    "name",	//294
    "next",	//295
    "nextResult",	//296
    "notification",	//297
    "notification$",	//298
    "numRowsAffected",	//299
    "number",	//300
    "numericalPrecisionPolicy",	//301
    "open",	//302
    "open$",	//303
    "open$$",	//304
    "open$$$",	//305
    "open$$$$",	//306
    "open$$$$$",	//307
    "open$$$$$$",	//308
    "operator!=",	//309
    "operator!=#",	//310
    "operator!=##",	//311
    "operator!=#$",	//312
    "operator!=$#",	//313
    "operator!=$$",	//314
    "operator&",	//315
    "operator&##",	//316
    "operator*",	//317
    "operator*##",	//318
    "operator*#$",	//319
    "operator*$#",	//320
    "operator+",	//321
    "operator+##",	//322
    "operator+#$",	//323
    "operator+$#",	//324
    "operator+$$",	//325
    "operator-",	//326
    "operator-#",	//327
    "operator-##",	//328
    "operator-#$",	//329
    "operator/",	//330
    "operator/#$",	//331
    "operator<",	//332
    "operator<##",	//333
    "operator<#$",	//334
    "operator<$#",	//335
    "operator<$$",	//336
    "operator<<",	//337
    "operator<<##",	//338
    "operator<<#$",	//339
    "operator<<#?",	//340
    "operator<=",	//341
    "operator<=##",	//342
    "operator<=#$",	//343
    "operator<=$#",	//344
    "operator<=$$",	//345
    "operator=",	//346
    "operator=#",	//347
    "operator==",	//348
    "operator==#",	//349
    "operator==##",	//350
    "operator==#$",	//351
    "operator==$#",	//352
    "operator==$$",	//353
    "operator>",	//354
    "operator>##",	//355
    "operator>#$",	//356
    "operator>$#",	//357
    "operator>$$",	//358
    "operator>=",	//359
    "operator>=##",	//360
    "operator>=#$",	//361
    "operator>=$#",	//362
    "operator>=$$",	//363
    "operator>>",	//364
    "operator>>##",	//365
    "operator>>#$",	//366
    "operator>>#?",	//367
    "operator^",	//368
    "operator^##",	//369
    "operator|",	//370
    "operator|##",	//371
    "operator|$$",	//372
    "orderByClause",	//373
    "paint",	//374
    "password",	//375
    "port",	//376
    "precision",	//377
    "prepare",	//378
    "prepare$",	//379
    "previous",	//380
    "primaryIndex",	//381
    "primaryIndex$",	//382
    "primaryKey",	//383
    "primeInsert",	//384
    "primeInsert$#",	//385
    "qAccessibleActionCastHelper",	//386
    "qAccessibleEditableTextCastHelper",	//387
    "qAccessibleImageCastHelper",	//388
    "qAccessibleTableCastHelper",	//389
    "qAccessibleTextCastHelper",	//390
    "qAccessibleValueCastHelper",	//391
    "qAcos",	//392
    "qAcos$",	//393
    "qAddPostRoutine",	//394
    "qAddPostRoutine$",	//395
    "qAlpha",	//396
    "qAlpha$",	//397
    "qAppName",	//398
    "qAsin",	//399
    "qAsin$",	//400
    "qAtan",	//401
    "qAtan$",	//402
    "qAtan2",	//403
    "qAtan2$$",	//404
    "qBadAlloc",	//405
    "qBlue",	//406
    "qBlue$",	//407
    "qCeil",	//408
    "qCeil$",	//409
    "qChecksum",	//410
    "qChecksum$$",	//411
    "qCompress",	//412
    "qCompress#",	//413
    "qCompress#$",	//414
    "qCompress$$",	//415
    "qCompress$$$",	//416
    "qCos",	//417
    "qCos$",	//418
    "qCritical",	//419
    "qDebug",	//420
    "qDrawBorderPixmap",	//421
    "qDrawBorderPixmap####",	//422
    "qDrawBorderPixmap######",	//423
    "qDrawBorderPixmap#######",	//424
    "qDrawBorderPixmap#######$",	//425
    "qDrawPlainRect",	//426
    "qDrawPlainRect###",	//427
    "qDrawPlainRect###$",	//428
    "qDrawPlainRect###$#",	//429
    "qDrawPlainRect#$$$$#",	//430
    "qDrawPlainRect#$$$$#$",	//431
    "qDrawPlainRect#$$$$#$#",	//432
    "qDrawShadeLine",	//433
    "qDrawShadeLine####",	//434
    "qDrawShadeLine####$",	//435
    "qDrawShadeLine####$$",	//436
    "qDrawShadeLine####$$$",	//437
    "qDrawShadeLine#$$$$#",	//438
    "qDrawShadeLine#$$$$#$",	//439
    "qDrawShadeLine#$$$$#$$",	//440
    "qDrawShadeLine#$$$$#$$$",	//441
    "qDrawShadePanel",	//442
    "qDrawShadePanel###",	//443
    "qDrawShadePanel###$",	//444
    "qDrawShadePanel###$$",	//445
    "qDrawShadePanel###$$#",	//446
    "qDrawShadePanel#$$$$#",	//447
    "qDrawShadePanel#$$$$#$",	//448
    "qDrawShadePanel#$$$$#$$",	//449
    "qDrawShadePanel#$$$$#$$#",	//450
    "qDrawShadeRect",	//451
    "qDrawShadeRect###",	//452
    "qDrawShadeRect###$",	//453
    "qDrawShadeRect###$$",	//454
    "qDrawShadeRect###$$$",	//455
    "qDrawShadeRect###$$$#",	//456
    "qDrawShadeRect#$$$$#",	//457
    "qDrawShadeRect#$$$$#$",	//458
    "qDrawShadeRect#$$$$#$$",	//459
    "qDrawShadeRect#$$$$#$$$",	//460
    "qDrawShadeRect#$$$$#$$$#",	//461
    "qDrawWinButton",	//462
    "qDrawWinButton###",	//463
    "qDrawWinButton###$",	//464
    "qDrawWinButton###$#",	//465
    "qDrawWinButton#$$$$#",	//466
    "qDrawWinButton#$$$$#$",	//467
    "qDrawWinButton#$$$$#$#",	//468
    "qDrawWinPanel",	//469
    "qDrawWinPanel###",	//470
    "qDrawWinPanel###$",	//471
    "qDrawWinPanel###$#",	//472
    "qDrawWinPanel#$$$$#",	//473
    "qDrawWinPanel#$$$$#$",	//474
    "qDrawWinPanel#$$$$#$#",	//475
    "qExp",	//476
    "qExp$",	//477
    "qFabs",	//478
    "qFabs$",	//479
    "qFastCos",	//480
    "qFastCos$",	//481
    "qFastSin",	//482
    "qFastSin$",	//483
    "qFlagLocation",	//484
    "qFlagLocation$",	//485
    "qFloor",	//486
    "qFloor$",	//487
    "qFree",	//488
    "qFree$",	//489
    "qFreeAligned",	//490
    "qFreeAligned$",	//491
    "qFuzzyCompare",	//492
    "qFuzzyCompare##",	//493
    "qFuzzyCompare$$",	//494
    "qFuzzyIsNull",	//495
    "qFuzzyIsNull$",	//496
    "qGray",	//497
    "qGray$",	//498
    "qGray$$$",	//499
    "qGreen",	//500
    "qGreen$",	//501
    "qHash",	//502
    "qHash#",	//503
    "qHash$",	//504
    "qInf",	//505
    "qInstallMsgHandler",	//506
    "qInstallMsgHandler$",	//507
    "qIntCast",	//508
    "qIntCast$",	//509
    "qIsFinite",	//510
    "qIsFinite$",	//511
    "qIsGray",	//512
    "qIsGray$",	//513
    "qIsInf",	//514
    "qIsInf$",	//515
    "qIsNaN",	//516
    "qIsNaN$",	//517
    "qIsNull",	//518
    "qIsNull$",	//519
    "qLn",	//520
    "qLn$",	//521
    "qMalloc",	//522
    "qMalloc$",	//523
    "qMallocAligned",	//524
    "qMallocAligned$$",	//525
    "qMemCopy",	//526
    "qMemCopy$$$",	//527
    "qMemSet",	//528
    "qMemSet$$$",	//529
    "qPow",	//530
    "qPow$$",	//531
    "qQNaN",	//532
    "qRealloc",	//533
    "qRealloc$$",	//534
    "qReallocAligned",	//535
    "qReallocAligned$$$$",	//536
    "qRed",	//537
    "qRed$",	//538
    "qRegisterStaticPluginInstanceFunction",	//539
    "qRegisterStaticPluginInstanceFunction#",	//540
    "qRemovePostRoutine",	//541
    "qRemovePostRoutine$",	//542
    "qRgb",	//543
    "qRgb$$$",	//544
    "qRgba",	//545
    "qRgba$$$$",	//546
    "qRound",	//547
    "qRound$",	//548
    "qRound64",	//549
    "qRound64$",	//550
    "qSNaN",	//551
    "qSetFieldWidth",	//552
    "qSetFieldWidth$",	//553
    "qSetPadChar",	//554
    "qSetPadChar#",	//555
    "qSetRealNumberPrecision",	//556
    "qSetRealNumberPrecision$",	//557
    "qSharedBuild",	//558
    "qSin",	//559
    "qSin$",	//560
    "qSqrt",	//561
    "qSqrt$",	//562
    "qStringComparisonHelper",	//563
    "qStringComparisonHelper#$",	//564
    "qStringComparisonHelper$$",	//565
    "qTan",	//566
    "qTan$",	//567
    "qUncompress",	//568
    "qUncompress#",	//569
    "qUncompress$$",	//570
    "qVersion",	//571
    "qWarning",	//572
    "qbswap_helper",	//573
    "qbswap_helper$$$",	//574
    "qecvt",	//575
    "qecvt$$$$",	//576
    "qecvt_r",	//577
    "qecvt_r$$$$$$",	//578
    "qfcvt",	//579
    "qfcvt$$$$",	//580
    "qfcvt_r",	//581
    "qfcvt_r$$$$$$",	//582
    "qgcvt",	//583
    "qgcvt$$$",	//584
    "qgetenv",	//585
    "qgetenv$",	//586
    "qputenv",	//587
    "qputenv$#",	//588
    "qrand",	//589
    "qsort",	//590
    "qsort$$$$",	//591
    "qsrand",	//592
    "qsrand$",	//593
    "qstrcmp",	//594
    "qstrcmp##",	//595
    "qstrcmp#$",	//596
    "qstrcmp$#",	//597
    "qstrcmp$$",	//598
    "qstrcpy",	//599
    "qstrcpy$$",	//600
    "qstrdup",	//601
    "qstrdup$",	//602
    "qstricmp",	//603
    "qstricmp$$",	//604
    "qstrlen",	//605
    "qstrlen$",	//606
    "qstrncmp",	//607
    "qstrncmp$$$",	//608
    "qstrncpy",	//609
    "qstrncpy$$$",	//610
    "qstrnicmp",	//611
    "qstrnicmp$$$",	//612
    "qstrnlen",	//613
    "qstrnlen$$",	//614
    "qtTrId",	//615
    "qtTrId$",	//616
    "qtTrId$$",	//617
    "qt_assert",	//618
    "qt_assert$$$",	//619
    "qt_assert_x",	//620
    "qt_assert_x$$$$",	//621
    "qt_check_pointer",	//622
    "qt_check_pointer$$",	//623
    "qt_error_string",	//624
    "qt_error_string$",	//625
    "qt_message_output",	//626
    "qt_message_output$$",	//627
    "qt_metacall",	//628
    "qt_metacall$$?",	//629
    "qt_metacast",	//630
    "qt_metacast$",	//631
    "qt_noop",	//632
    "qt_qFindChild_helper",	//633
    "qt_qFindChild_helper#$#",	//634
    "qt_qFindChildren_helper",	//635
    "qt_qFindChildren_helper#$##?",	//636
    "query",	//637
    "queryChange",	//638
    "qvariant_cast_helper",	//639
    "qvariant_cast_helper#$$",	//640
    "qvsnprintf",	//641
    "qvsnprintf$$$?",	//642
    "record",	//643
    "record$",	//644
    "registerSqlDriver",	//645
    "registerSqlDriver$#",	//646
    "relation",	//647
    "relation$",	//648
    "relationModel",	//649
    "relationModel$",	//650
    "remove",	//651
    "remove$",	//652
    "removeColumns",	//653
    "removeColumns$$",	//654
    "removeColumns$$#",	//655
    "removeDatabase",	//656
    "removeDatabase$",	//657
    "removeRows",	//658
    "removeRows$$",	//659
    "removeRows$$#",	//660
    "replace",	//661
    "replace$#",	//662
    "requiredStatus",	//663
    "reset",	//664
    "reset$",	//665
    "result",	//666
    "revert",	//667
    "revertAll",	//668
    "revertRow",	//669
    "revertRow$",	//670
    "rollback",	//671
    "rollbackTransaction",	//672
    "rowCount",	//673
    "rowCount#",	//674
    "savePrepare",	//675
    "savePrepare$",	//676
    "seek",	//677
    "seek$",	//678
    "seek$$",	//679
    "select",	//680
    "selectStatement",	//681
    "setActive",	//682
    "setActive$",	//683
    "setAt",	//684
    "setAt$",	//685
    "setAutoValue",	//686
    "setAutoValue$",	//687
    "setConnectOptions",	//688
    "setConnectOptions$",	//689
    "setCursorName",	//690
    "setCursorName$",	//691
    "setData",	//692
    "setData##",	//693
    "setData##$",	//694
    "setDatabaseName",	//695
    "setDatabaseName$",	//696
    "setDatabaseText",	//697
    "setDatabaseText$",	//698
    "setDefaultConnection",	//699
    "setDefaultConnection$",	//700
    "setDefaultValue",	//701
    "setDefaultValue#",	//702
    "setDescending",	//703
    "setDescending$$",	//704
    "setDriverText",	//705
    "setDriverText$",	//706
    "setEditStrategy",	//707
    "setEditStrategy$",	//708
    "setEditorData",	//709
    "setEditorData##",	//710
    "setFilter",	//711
    "setFilter$",	//712
    "setForwardOnly",	//713
    "setForwardOnly$",	//714
    "setGenerated",	//715
    "setGenerated$",	//716
    "setGenerated$$",	//717
    "setHeaderData",	//718
    "setHeaderData$$#",	//719
    "setHeaderData$$#$",	//720
    "setHostName",	//721
    "setHostName$",	//722
    "setItemData",	//723
    "setLastError",	//724
    "setLastError#",	//725
    "setLength",	//726
    "setLength$",	//727
    "setModelData",	//728
    "setModelData###",	//729
    "setName",	//730
    "setName$",	//731
    "setNull",	//732
    "setNull$",	//733
    "setNumber",	//734
    "setNumber$",	//735
    "setNumericalPrecisionPolicy",	//736
    "setNumericalPrecisionPolicy$",	//737
    "setOpen",	//738
    "setOpen$",	//739
    "setOpenError",	//740
    "setOpenError$",	//741
    "setPassword",	//742
    "setPassword$",	//743
    "setPort",	//744
    "setPort$",	//745
    "setPrecision",	//746
    "setPrecision$",	//747
    "setPrimaryKey",	//748
    "setPrimaryKey#",	//749
    "setQuery",	//750
    "setQuery#",	//751
    "setQuery$",	//752
    "setQuery$#",	//753
    "setReadOnly",	//754
    "setReadOnly$",	//755
    "setRecord",	//756
    "setRecord$#",	//757
    "setRelation",	//758
    "setRelation$#",	//759
    "setRequired",	//760
    "setRequired$",	//761
    "setRequiredStatus",	//762
    "setRequiredStatus$",	//763
    "setSelect",	//764
    "setSelect$",	//765
    "setSort",	//766
    "setSort$$",	//767
    "setSqlType",	//768
    "setSqlType$",	//769
    "setTable",	//770
    "setTable$",	//771
    "setType",	//772
    "setType$",	//773
    "setUserName",	//774
    "setUserName$",	//775
    "setValue",	//776
    "setValue#",	//777
    "setValue$#",	//778
    "size",	//779
    "sizeHint",	//780
    "sort",	//781
    "sort$$",	//782
    "span",	//783
    "sqlStatement",	//784
    "sqlStatement$$#$",	//785
    "staticMetaObject",	//786
    "stripDelimiters",	//787
    "stripDelimiters$$",	//788
    "stripDelimitersImplementation",	//789
    "stripDelimitersImplementation$$",	//790
    "submit",	//791
    "submitAll",	//792
    "subscribeToNotification",	//793
    "subscribeToNotification$",	//794
    "subscribeToNotificationImplementation",	//795
    "subscribeToNotificationImplementation$",	//796
    "subscribedToNotifications",	//797
    "subscribedToNotificationsImplementation",	//798
    "supportedDropActions",	//799
    "tableName",	//800
    "tables",	//801
    "tables$",	//802
    "text",	//803
    "timerEvent",	//804
    "tr",	//805
    "tr$",	//806
    "tr$$",	//807
    "tr$$$",	//808
    "trUtf8",	//809
    "trUtf8$",	//810
    "trUtf8$$",	//811
    "trUtf8$$$",	//812
    "transaction",	//813
    "type",	//814
    "typeID",	//815
    "unsubscribeFromNotification",	//816
    "unsubscribeFromNotification$",	//817
    "unsubscribeFromNotificationImplementation",	//818
    "unsubscribeFromNotificationImplementation$",	//819
    "updateEditorGeometry",	//820
    "updateRowInTable",	//821
    "updateRowInTable$#",	//822
    "userName",	//823
    "value",	//824
    "value$",	//825
    "virtual_hook",	//826
    "virtual_hook$$",	//827
    "~QSqlDatabase",	//828
    "~QSqlDriver",	//829
    "~QSqlDriverCreatorBase",	//830
    "~QSqlDriverFactoryInterface",	//831
    "~QSqlDriverPlugin",	//832
    "~QSqlError",	//833
    "~QSqlField",	//834
    "~QSqlIndex",	//835
    "~QSqlQuery",	//836
    "~QSqlQueryModel",	//837
    "~QSqlRecord",	//838
    "~QSqlRelation",	//839
    "~QSqlRelationalDelegate",	//840
    "~QSqlRelationalTableModel",	//841
    "~QSqlResult",	//842
    "~QSqlTableModel",	//843
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 692, 1, 3, Smoke::mf_virtual, 370, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 283, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 154, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 723, 7, 2, Smoke::mf_virtual, 370, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 292, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 162, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 799, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 105, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 257, 12, 3, Smoke::mf_virtual, 370, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 658, 12, 3, Smoke::mf_virtual, 370, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 229, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 781, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 148, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 290, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 147, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 783, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 191, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 791, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 370, 0},	//14 QAbstractItemModel::submit()
    {1, 667, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 242, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 200, 25, 5, Smoke::mf_virtual, 370, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {19, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {21, 370, 31, 2, Smoke::mf_static, 136, 1},	//19 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {21, 391, 0, 0, Smoke::mf_static, 9, 2},	//20 QGlobalSpace::qAccessibleValueCastHelper()
    {21, 359, 34, 2, Smoke::mf_static, 370, 3},	//21 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {21, 502, 37, 1, Smoke::mf_static, 486, 4},	//22 QGlobalSpace::qHash(unsigned long long)
    {21, 514, 39, 1, Smoke::mf_static, 370, 5},	//23 QGlobalSpace::qIsInf(double)
    {21, 370, 41, 2, Smoke::mf_static, 136, 6},	//24 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {21, 326, 44, 2, Smoke::mf_static, 156, 7},	//25 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {21, 370, 47, 2, Smoke::mf_static, 136, 8},	//26 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {21, 348, 50, 2, Smoke::mf_static, 370, 9},	//27 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {21, 309, 53, 2, Smoke::mf_static, 370, 10},	//28 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {21, 613, 56, 2, Smoke::mf_static, 486, 11},	//29 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {21, 526, 59, 3, Smoke::mf_static, 493, 12},	//30 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {21, 632, 0, 0, Smoke::mf_static, 0, 13},	//31 QGlobalSpace::qt_noop()
    {21, 348, 63, 2, Smoke::mf_static, 370, 14},	//32 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {21, 337, 66, 2, Smoke::mf_static, 28, 15},	//33 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {21, 364, 69, 2, Smoke::mf_static, 24, 16},	//34 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {21, 317, 72, 2, Smoke::mf_static, 179, 17},	//35 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {21, 370, 75, 2, Smoke::mf_static, 76, 18},	//36 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {21, 348, 78, 2, Smoke::mf_static, 370, 19},	//37 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {21, 348, 81, 2, Smoke::mf_static, 370, 20},	//38 QGlobalSpace::operator==(const QSize&, const QSize&)
    {21, 337, 84, 2, Smoke::mf_static, 24, 21},	//39 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {21, 370, 87, 2, Smoke::mf_static, 94, 22},	//40 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {21, 321, 90, 2, Smoke::mf_static, 376, 23},	//41 QGlobalSpace::operator+(const char*, const QByteArray&)
    {21, 364, 93, 2, Smoke::mf_static, 24, 24},	//42 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {21, 370, 96, 2, Smoke::mf_static, 85, 25},	//43 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {21, 370, 99, 2, Smoke::mf_static, 73, 26},	//44 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {21, 370, 102, 2, Smoke::mf_static, 55, 27},	//45 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {21, 563, 105, 2, Smoke::mf_static, 370, 28},	//46 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {21, 364, 108, 2, Smoke::mf_static, 24, 29},	//47 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {21, 594, 90, 2, Smoke::mf_static, 475, 30},	//48 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {21, 348, 111, 2, Smoke::mf_static, 370, 31},	//49 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {21, 337, 114, 2, Smoke::mf_static, 24, 32},	//50 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {21, 403, 117, 2, Smoke::mf_static, 473, 33},	//51 QGlobalSpace::qAtan2(double, double)
    {21, 364, 120, 2, Smoke::mf_static, 24, 34},	//52 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {21, 359, 123, 2, Smoke::mf_static, 370, 35},	//53 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {21, 514, 126, 1, Smoke::mf_static, 370, 36},	//54 QGlobalSpace::qIsInf(float)
    {21, 585, 128, 1, Smoke::mf_static, 16, 37},	//55 QGlobalSpace::qgetenv(const char*)
    {21, 502, 130, 1, Smoke::mf_static, 486, 38},	//56 QGlobalSpace::qHash(signed char)
    {21, 370, 132, 2, Smoke::mf_static, 136, 39},	//57 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {21, 348, 135, 2, Smoke::mf_static, 370, 40},	//58 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {21, 354, 90, 2, Smoke::mf_static, 370, 41},	//59 QGlobalSpace::operator>(const char*, const QByteArray&)
    {21, 370, 138, 2, Smoke::mf_static, 136, 42},	//60 QGlobalSpace::operator|(QFileDialog::Option, int)
    {21, 321, 44, 2, Smoke::mf_static, 156, 43},	//61 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {21, 508, 39, 1, Smoke::mf_static, 475, 44},	//62 QGlobalSpace::qIntCast(double)
    {21, 554, 141, 1, Smoke::mf_static, 269, 45},	//63 QGlobalSpace::qSetPadChar(QChar)
    {21, 337, 143, 2, Smoke::mf_static, 24, 46},	//64 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {21, 370, 146, 2, Smoke::mf_static, 75, 47},	//65 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {21, 370, 149, 2, Smoke::mf_static, 84, 48},	//66 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {21, 317, 152, 2, Smoke::mf_static, 177, 49},	//67 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {21, 337, 155, 2, Smoke::mf_static, 24, 50},	//68 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {21, 337, 158, 2, Smoke::mf_static, 28, 51},	//69 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {21, 370, 161, 2, Smoke::mf_static, 59, 52},	//70 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {21, 348, 164, 2, Smoke::mf_static, 370, 53},	//71 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {21, 317, 167, 2, Smoke::mf_static, 286, 54},	//72 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {21, 348, 170, 2, Smoke::mf_static, 370, 55},	//73 QGlobalSpace::operator==(QChar, QChar)
    {21, 337, 173, 2, Smoke::mf_static, 28, 56},	//74 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {21, 317, 44, 2, Smoke::mf_static, 156, 57},	//75 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {21, 370, 176, 2, Smoke::mf_static, 116, 58},	//76 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {21, 326, 179, 1, Smoke::mf_static, 156, 59},	//77 QGlobalSpace::operator-(const QMatrix4x4&)
    {21, 502, 181, 1, Smoke::mf_static, 486, 60},	//78 QGlobalSpace::qHash(const QUrl&)
    {21, 502, 183, 1, Smoke::mf_static, 486, 61},	//79 QGlobalSpace::qHash(const QByteArray&)
    {21, 370, 185, 2, Smoke::mf_static, 136, 62},	//80 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {21, 317, 188, 2, Smoke::mf_static, 156, 63},	//81 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {21, 337, 191, 2, Smoke::mf_static, 24, 64},	//82 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {21, 337, 194, 2, Smoke::mf_static, 28, 65},	//83 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {21, 364, 197, 2, Smoke::mf_static, 24, 66},	//84 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {21, 332, 170, 2, Smoke::mf_static, 370, 67},	//85 QGlobalSpace::operator<(QChar, QChar)
    {21, 364, 200, 2, Smoke::mf_static, 24, 68},	//86 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {21, 370, 203, 2, Smoke::mf_static, 72, 69},	//87 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {21, 359, 170, 2, Smoke::mf_static, 370, 70},	//88 QGlobalSpace::operator>=(QChar, QChar)
    {21, 309, 206, 2, Smoke::mf_static, 370, 71},	//89 QGlobalSpace::operator!=(QString::Null, const QString&)
    {21, 337, 209, 2, Smoke::mf_static, 28, 72},	//90 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {21, 332, 90, 2, Smoke::mf_static, 370, 73},	//91 QGlobalSpace::operator<(const char*, const QByteArray&)
    {21, 370, 212, 2, Smoke::mf_static, 101, 74},	//92 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {21, 370, 215, 2, Smoke::mf_static, 115, 75},	//93 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {21, 594, 218, 2, Smoke::mf_static, 475, 76},	//94 QGlobalSpace::qstrcmp(const char*, const char*)
    {21, 370, 221, 2, Smoke::mf_static, 136, 77},	//95 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {21, 321, 50, 2, Smoke::mf_static, 466, 78},	//96 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {21, 417, 39, 1, Smoke::mf_static, 473, 79},	//97 QGlobalSpace::qCos(double)
    {21, 370, 224, 2, Smoke::mf_static, 71, 80},	//98 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {21, 354, 170, 2, Smoke::mf_static, 370, 81},	//99 QGlobalSpace::operator>(QChar, QChar)
    {21, 370, 227, 2, Smoke::mf_static, 118, 82},	//100 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {21, 317, 230, 2, Smoke::mf_static, 428, 83},	//101 QGlobalSpace::operator*(double, const QSizeF&)
    {21, 558, 0, 0, Smoke::mf_static, 370, 84},	//102 QGlobalSpace::qSharedBuild()
    {21, 348, 233, 2, Smoke::mf_static, 370, 85},	//103 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {21, 370, 236, 2, Smoke::mf_static, 136, 86},	//104 QGlobalSpace::operator|(QDir::Filter, int)
    {21, 370, 239, 2, Smoke::mf_static, 84, 87},	//105 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {21, 309, 34, 2, Smoke::mf_static, 370, 88},	//106 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {21, 326, 242, 2, Smoke::mf_static, 413, 89},	//107 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {21, 387, 0, 0, Smoke::mf_static, 9, 90},	//108 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {21, 337, 245, 2, Smoke::mf_static, 24, 91},	//109 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {21, 370, 248, 2, Smoke::mf_static, 136, 92},	//110 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {21, 370, 251, 2, Smoke::mf_static, 114, 93},	//111 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {21, 370, 254, 2, Smoke::mf_static, 136, 94},	//112 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {21, 326, 257, 2, Smoke::mf_static, 272, 95},	//113 QGlobalSpace::operator-(const QTransform&, double)
    {21, 370, 260, 2, Smoke::mf_static, 41, 96},	//114 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {21, 502, 263, 1, Smoke::mf_static, 486, 97},	//115 QGlobalSpace::qHash(char)
    {21, 317, 50, 2, Smoke::mf_static, 466, 98},	//116 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {21, 370, 265, 2, Smoke::mf_static, 102, 99},	//117 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {21, 309, 78, 2, Smoke::mf_static, 370, 100},	//118 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {21, 370, 268, 2, Smoke::mf_static, 98, 101},	//119 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {21, 370, 271, 2, Smoke::mf_static, 136, 102},	//120 QGlobalSpace::operator|(QTextOption::Flag, int)
    {21, 337, 274, 2, Smoke::mf_static, 28, 103},	//121 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {21, 370, 277, 2, Smoke::mf_static, 136, 104},	//122 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {21, 370, 280, 2, Smoke::mf_static, 136, 105},	//123 QGlobalSpace::operator|(QFile::Permission, int)
    {21, 370, 283, 2, Smoke::mf_static, 59, 106},	//124 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {21, 330, 286, 2, Smoke::mf_static, 413, 107},	//125 QGlobalSpace::operator/(const QPoint&, double)
    {21, 469, 289, 8, Smoke::mf_static, 0, 108},	//126 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 469, 298, 6, Smoke::mf_static, 0, 109},	//127 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 469, 305, 7, Smoke::mf_static, 0, 110},	//128 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 321, 242, 2, Smoke::mf_static, 413, 111},	//129 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {21, 337, 313, 2, Smoke::mf_static, 24, 112},	//130 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {21, 370, 316, 2, Smoke::mf_static, 51, 113},	//131 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {21, 321, 319, 2, Smoke::mf_static, 444, 114},	//132 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {21, 326, 322, 2, Smoke::mf_static, 428, 115},	//133 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {21, 317, 325, 2, Smoke::mf_static, 284, 116},	//134 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {21, 492, 328, 2, Smoke::mf_static, 370, 117},	//135 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {21, 337, 331, 2, Smoke::mf_static, 28, 118},	//136 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {21, 326, 50, 2, Smoke::mf_static, 466, 119},	//137 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {21, 510, 39, 1, Smoke::mf_static, 370, 120},	//138 QGlobalSpace::qIsFinite(double)
    {21, 575, 334, 4, Smoke::mf_static, 372, 121},	//139 QGlobalSpace::qecvt(long double, int, int*, int*)
    {21, 370, 339, 2, Smoke::mf_static, 56, 122},	//140 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {21, 309, 123, 2, Smoke::mf_static, 370, 123},	//141 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {21, 337, 342, 2, Smoke::mf_static, 24, 124},	//142 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {21, 370, 345, 2, Smoke::mf_static, 110, 125},	//143 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {21, 370, 348, 2, Smoke::mf_static, 136, 126},	//144 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {21, 337, 351, 2, Smoke::mf_static, 28, 127},	//145 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {21, 396, 354, 1, Smoke::mf_static, 475, 128},	//146 QGlobalSpace::qAlpha(unsigned int)
    {21, 337, 356, 2, Smoke::mf_static, 28, 129},	//147 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {21, 370, 359, 2, Smoke::mf_static, 52, 130},	//148 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {21, 332, 362, 2, Smoke::mf_static, 370, 131},	//149 QGlobalSpace::operator<(const char*, const QString&)
    {21, 497, 365, 3, Smoke::mf_static, 475, 132},	//150 QGlobalSpace::qGray(int, int, int)
    {21, 370, 369, 2, Smoke::mf_static, 64, 133},	//151 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {21, 337, 372, 2, Smoke::mf_static, 24, 134},	//152 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {21, 370, 375, 2, Smoke::mf_static, 100, 135},	//153 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {21, 370, 378, 2, Smoke::mf_static, 116, 136},	//154 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {21, 321, 81, 2, Smoke::mf_static, 426, 137},	//155 QGlobalSpace::operator+(const QSize&, const QSize&)
    {21, 370, 381, 2, Smoke::mf_static, 107, 138},	//156 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {21, 624, 384, 1, Smoke::mf_static, 240, 139},	//157 QGlobalSpace::qt_error_string(int)
    {21, 624, 0, 0, Smoke::mf_static, 240, 140},	//158 QGlobalSpace::qt_error_string()
    {21, 321, 322, 2, Smoke::mf_static, 428, 141},	//159 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {21, 330, 188, 2, Smoke::mf_static, 156, 142},	//160 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {21, 370, 386, 2, Smoke::mf_static, 136, 143},	//161 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {21, 370, 389, 2, Smoke::mf_static, 41, 144},	//162 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {21, 370, 392, 2, Smoke::mf_static, 136, 145},	//163 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {21, 326, 328, 2, Smoke::mf_static, 468, 146},	//164 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {21, 332, 395, 2, Smoke::mf_static, 370, 147},	//165 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {21, 568, 398, 2, Smoke::mf_static, 16, 148},	//166 QGlobalSpace::qUncompress(const unsigned char*, int)
    {21, 607, 401, 3, Smoke::mf_static, 475, 149},	//167 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {21, 566, 39, 1, Smoke::mf_static, 473, 150},	//168 QGlobalSpace::qTan(double)
    {21, 354, 63, 2, Smoke::mf_static, 370, 151},	//169 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {21, 309, 405, 2, Smoke::mf_static, 370, 152},	//170 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {21, 552, 384, 1, Smoke::mf_static, 269, 153},	//171 QGlobalSpace::qSetFieldWidth(int)
    {21, 348, 408, 2, Smoke::mf_static, 370, 154},	//172 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {21, 370, 411, 2, Smoke::mf_static, 87, 155},	//173 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {21, 364, 414, 2, Smoke::mf_static, 266, 156},	//174 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {21, 502, 417, 1, Smoke::mf_static, 486, 157},	//175 QGlobalSpace::qHash(const QItemSelectionRange&)
    {21, 370, 419, 2, Smoke::mf_static, 105, 158},	//176 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {21, 537, 354, 1, Smoke::mf_static, 475, 159},	//177 QGlobalSpace::qRed(unsigned int)
    {21, 317, 257, 2, Smoke::mf_static, 272, 160},	//178 QGlobalSpace::operator*(const QTransform&, double)
    {21, 486, 39, 1, Smoke::mf_static, 475, 161},	//179 QGlobalSpace::qFloor(double)
    {21, 370, 422, 2, Smoke::mf_static, 78, 162},	//180 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {21, 337, 425, 2, Smoke::mf_static, 28, 163},	//181 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {21, 364, 428, 2, Smoke::mf_static, 24, 164},	//182 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {21, 510, 126, 1, Smoke::mf_static, 370, 165},	//183 QGlobalSpace::qIsFinite(float)
    {21, 321, 431, 2, Smoke::mf_static, 444, 166},	//184 QGlobalSpace::operator+(const QString&, QChar)
    {21, 309, 434, 2, Smoke::mf_static, 370, 167},	//185 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {21, 317, 328, 2, Smoke::mf_static, 468, 168},	//186 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {21, 370, 437, 2, Smoke::mf_static, 44, 169},	//187 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {21, 573, 440, 3, Smoke::mf_static, 0, 170},	//188 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {21, 321, 123, 2, Smoke::mf_static, 376, 171},	//189 QGlobalSpace::operator+(const QByteArray&, const char*)
    {21, 337, 444, 2, Smoke::mf_static, 28, 172},	//190 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {21, 390, 0, 0, Smoke::mf_static, 9, 173},	//191 QGlobalSpace::qAccessibleTextCastHelper()
    {21, 370, 447, 2, Smoke::mf_static, 86, 174},	//192 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {21, 370, 450, 2, Smoke::mf_static, 92, 175},	//193 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {21, 321, 105, 2, Smoke::mf_static, 444, 176},	//194 QGlobalSpace::operator+(const QString&, const char*)
    {21, 354, 395, 2, Smoke::mf_static, 370, 177},	//195 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {21, 370, 453, 2, Smoke::mf_static, 113, 178},	//196 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {21, 535, 456, 4, Smoke::mf_static, 493, 179},	//197 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {21, 364, 461, 2, Smoke::mf_static, 24, 180},	//198 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {21, 337, 464, 2, Smoke::mf_static, 24, 181},	//199 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {21, 321, 467, 2, Smoke::mf_static, 444, 182},	//200 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {21, 502, 354, 1, Smoke::mf_static, 486, 183},	//201 QGlobalSpace::qHash(unsigned int)
    {21, 492, 233, 2, Smoke::mf_static, 370, 184},	//202 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {21, 370, 470, 2, Smoke::mf_static, 115, 185},	//203 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {21, 502, 141, 1, Smoke::mf_static, 486, 186},	//204 QGlobalSpace::qHash(QChar)
    {21, 370, 473, 2, Smoke::mf_static, 94, 187},	//205 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {21, 341, 123, 2, Smoke::mf_static, 370, 188},	//206 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {21, 508, 126, 1, Smoke::mf_static, 475, 189},	//207 QGlobalSpace::qIntCast(float)
    {21, 348, 476, 2, Smoke::mf_static, 370, 190},	//208 QGlobalSpace::operator==(const QRect&, const QRect&)
    {21, 370, 479, 2, Smoke::mf_static, 54, 191},	//209 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {21, 368, 482, 2, Smoke::mf_static, 12, 192},	//210 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {21, 354, 485, 2, Smoke::mf_static, 370, 193},	//211 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {21, 370, 488, 2, Smoke::mf_static, 75, 194},	//212 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {21, 533, 491, 2, Smoke::mf_static, 493, 195},	//213 QGlobalSpace::qRealloc(void*, size_t)
    {21, 502, 494, 1, Smoke::mf_static, 486, 196},	//214 QGlobalSpace::qHash(const QString&)
    {21, 341, 395, 2, Smoke::mf_static, 370, 197},	//215 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {21, 321, 328, 2, Smoke::mf_static, 468, 198},	//216 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {21, 370, 496, 2, Smoke::mf_static, 79, 199},	//217 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {21, 337, 499, 2, Smoke::mf_static, 24, 200},	//218 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {21, 337, 502, 2, Smoke::mf_static, 24, 201},	//219 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {21, 337, 505, 2, Smoke::mf_static, 28, 202},	//220 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {21, 549, 39, 1, Smoke::mf_static, 480, 203},	//221 QGlobalSpace::qRound64(double)
    {21, 506, 508, 1, Smoke::mf_static, 492, 204},	//222 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {21, 561, 39, 1, Smoke::mf_static, 473, 205},	//223 QGlobalSpace::qSqrt(double)
    {21, 370, 510, 2, Smoke::mf_static, 136, 206},	//224 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {21, 502, 5, 1, Smoke::mf_static, 486, 207},	//225 QGlobalSpace::qHash(const QModelIndex&)
    {21, 370, 513, 2, Smoke::mf_static, 47, 208},	//226 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {21, 480, 39, 1, Smoke::mf_static, 473, 209},	//227 QGlobalSpace::qFastCos(double)
    {21, 370, 516, 2, Smoke::mf_static, 91, 210},	//228 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {21, 364, 519, 2, Smoke::mf_static, 24, 211},	//229 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {21, 337, 522, 2, Smoke::mf_static, 28, 212},	//230 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {21, 348, 525, 2, Smoke::mf_static, 370, 213},	//231 QGlobalSpace::operator==(QBool, QBool)
    {21, 370, 528, 2, Smoke::mf_static, 61, 214},	//232 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {21, 348, 531, 2, Smoke::mf_static, 370, 215},	//233 QGlobalSpace::operator==(const char*, const QStringRef&)
    {21, 370, 534, 2, Smoke::mf_static, 136, 216},	//234 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {21, 370, 537, 2, Smoke::mf_static, 136, 217},	//235 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {21, 309, 362, 2, Smoke::mf_static, 370, 218},	//236 QGlobalSpace::operator!=(const char*, const QString&)
    {21, 516, 126, 1, Smoke::mf_static, 370, 219},	//237 QGlobalSpace::qIsNaN(float)
    {21, 370, 540, 2, Smoke::mf_static, 136, 220},	//238 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {21, 370, 543, 2, Smoke::mf_static, 67, 221},	//239 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {21, 341, 485, 2, Smoke::mf_static, 370, 222},	//240 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {21, 364, 546, 2, Smoke::mf_static, 24, 223},	//241 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {21, 484, 128, 1, Smoke::mf_static, 470, 224},	//242 QGlobalSpace::qFlagLocation(const char*)
    {21, 321, 257, 2, Smoke::mf_static, 272, 225},	//243 QGlobalSpace::operator+(const QTransform&, double)
    {21, 317, 549, 2, Smoke::mf_static, 143, 226},	//244 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {21, 337, 552, 2, Smoke::mf_static, 28, 227},	//245 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {21, 370, 555, 2, Smoke::mf_static, 136, 228},	//246 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {21, 516, 39, 1, Smoke::mf_static, 370, 229},	//247 QGlobalSpace::qIsNaN(double)
    {21, 497, 354, 1, Smoke::mf_static, 475, 230},	//248 QGlobalSpace::qGray(unsigned int)
    {21, 321, 558, 2, Smoke::mf_static, 444, 231},	//249 QGlobalSpace::operator+(QChar, const QString&)
    {21, 370, 561, 2, Smoke::mf_static, 88, 232},	//250 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {21, 370, 564, 2, Smoke::mf_static, 136, 233},	//251 QGlobalSpace::operator|(QString::SectionFlag, int)
    {21, 370, 567, 2, Smoke::mf_static, 60, 234},	//252 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {21, 370, 570, 2, Smoke::mf_static, 136, 235},	//253 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {21, 337, 573, 2, Smoke::mf_static, 28, 236},	//254 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {21, 364, 576, 2, Smoke::mf_static, 24, 237},	//255 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {21, 618, 579, 3, Smoke::mf_static, 0, 238},	//256 QGlobalSpace::qt_assert(const char*, const char*, int)
    {21, 502, 583, 1, Smoke::mf_static, 486, 239},	//257 QGlobalSpace::qHash(long long)
    {21, 326, 585, 1, Smoke::mf_static, 419, 240},	//258 QGlobalSpace::operator-(const QQuaternion&)
    {21, 309, 587, 2, Smoke::mf_static, 370, 241},	//259 QGlobalSpace::operator!=(const QString&, QString::Null)
    {21, 579, 334, 4, Smoke::mf_static, 372, 242},	//260 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {21, 370, 590, 2, Smoke::mf_static, 58, 243},	//261 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {21, 492, 593, 2, Smoke::mf_static, 370, 244},	//262 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {21, 370, 596, 2, Smoke::mf_static, 136, 245},	//263 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {21, 364, 599, 2, Smoke::mf_static, 24, 246},	//264 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {21, 370, 602, 2, Smoke::mf_static, 136, 247},	//265 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {21, 543, 365, 3, Smoke::mf_static, 486, 248},	//266 QGlobalSpace::qRgb(int, int, int)
    {21, 370, 605, 2, Smoke::mf_static, 92, 249},	//267 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {21, 321, 608, 2, Smoke::mf_static, 444, 250},	//268 QGlobalSpace::operator+(const QString&, char)
    {21, 309, 164, 2, Smoke::mf_static, 370, 251},	//269 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {21, 317, 611, 2, Smoke::mf_static, 170, 252},	//270 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {21, 326, 111, 2, Smoke::mf_static, 415, 253},	//271 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {21, 348, 434, 2, Smoke::mf_static, 370, 254},	//272 QGlobalSpace::operator==(QString::Null, QString::Null)
    {21, 370, 614, 2, Smoke::mf_static, 108, 255},	//273 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {21, 370, 617, 2, Smoke::mf_static, 72, 256},	//274 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {21, 370, 620, 2, Smoke::mf_static, 102, 257},	//275 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {21, 364, 623, 2, Smoke::mf_static, 24, 258},	//276 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {21, 332, 485, 2, Smoke::mf_static, 370, 259},	//277 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {21, 389, 0, 0, Smoke::mf_static, 9, 260},	//278 QGlobalSpace::qAccessibleTableCastHelper()
    {21, 370, 626, 2, Smoke::mf_static, 118, 261},	//279 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {21, 426, 629, 8, Smoke::mf_static, 0, 262},	//280 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {21, 426, 638, 6, Smoke::mf_static, 0, 263},	//281 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {21, 426, 645, 7, Smoke::mf_static, 0, 264},	//282 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {21, 495, 126, 1, Smoke::mf_static, 370, 265},	//283 QGlobalSpace::qFuzzyIsNull(float)
    {21, 317, 653, 2, Smoke::mf_static, 419, 266},	//284 QGlobalSpace::operator*(const QQuaternion&, double)
    {21, 370, 656, 2, Smoke::mf_static, 112, 267},	//285 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {21, 599, 659, 2, Smoke::mf_static, 372, 268},	//286 QGlobalSpace::qstrcpy(char*, const char*)
    {21, 502, 384, 1, Smoke::mf_static, 486, 269},	//287 QGlobalSpace::qHash(int)
    {21, 370, 662, 2, Smoke::mf_static, 79, 270},	//288 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {21, 321, 111, 2, Smoke::mf_static, 415, 271},	//289 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {21, 317, 665, 2, Smoke::mf_static, 189, 272},	//290 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {21, 370, 668, 2, Smoke::mf_static, 103, 273},	//291 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {21, 348, 322, 2, Smoke::mf_static, 370, 274},	//292 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {21, 326, 671, 1, Smoke::mf_static, 413, 275},	//293 QGlobalSpace::operator-(const QPoint&)
    {21, 370, 673, 2, Smoke::mf_static, 136, 276},	//294 QGlobalSpace::operator|(Qt::DropAction, int)
    {21, 337, 676, 2, Smoke::mf_static, 24, 277},	//295 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {21, 370, 679, 2, Smoke::mf_static, 136, 278},	//296 QGlobalSpace::operator|(QDir::SortFlag, int)
    {21, 476, 39, 1, Smoke::mf_static, 473, 279},	//297 QGlobalSpace::qExp(double)
    {21, 556, 384, 1, Smoke::mf_static, 269, 280},	//298 QGlobalSpace::qSetRealNumberPrecision(int)
    {21, 348, 682, 2, Smoke::mf_static, 370, 281},	//299 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {21, 520, 39, 1, Smoke::mf_static, 473, 282},	//300 QGlobalSpace::qLn(double)
    {21, 321, 53, 2, Smoke::mf_static, 464, 283},	//301 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {21, 451, 685, 7, Smoke::mf_static, 0, 284},	//302 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {21, 451, 693, 3, Smoke::mf_static, 0, 285},	//303 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {21, 451, 697, 4, Smoke::mf_static, 0, 286},	//304 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {21, 451, 702, 5, Smoke::mf_static, 0, 287},	//305 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 451, 708, 6, Smoke::mf_static, 0, 288},	//306 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {21, 337, 715, 2, Smoke::mf_static, 24, 289},	//307 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {21, 317, 718, 2, Smoke::mf_static, 286, 290},	//308 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {21, 370, 721, 2, Smoke::mf_static, 136, 291},	//309 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {21, 309, 322, 2, Smoke::mf_static, 370, 292},	//310 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {21, 539, 724, 1, Smoke::mf_static, 0, 293},	//311 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {21, 337, 726, 2, Smoke::mf_static, 28, 294},	//312 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {21, 337, 729, 2, Smoke::mf_static, 28, 295},	//313 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {21, 370, 732, 2, Smoke::mf_static, 52, 296},	//314 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {21, 410, 56, 2, Smoke::mf_static, 489, 297},	//315 QGlobalSpace::qChecksum(const char*, unsigned int)
    {21, 421, 735, 4, Smoke::mf_static, 0, 298},	//316 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {21, 330, 740, 2, Smoke::mf_static, 468, 299},	//317 QGlobalSpace::operator/(const QVector4D&, double)
    {21, 337, 743, 2, Smoke::mf_static, 266, 300},	//318 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {21, 370, 746, 2, Smoke::mf_static, 111, 301},	//319 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {21, 522, 749, 1, Smoke::mf_static, 493, 302},	//320 QGlobalSpace::qMalloc(size_t)
    {21, 532, 0, 0, Smoke::mf_static, 473, 303},	//321 QGlobalSpace::qQNaN()
    {21, 370, 751, 2, Smoke::mf_static, 104, 304},	//322 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {21, 364, 754, 2, Smoke::mf_static, 24, 305},	//323 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {21, 587, 90, 2, Smoke::mf_static, 370, 306},	//324 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {21, 370, 757, 2, Smoke::mf_static, 89, 307},	//325 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {21, 370, 760, 2, Smoke::mf_static, 69, 308},	//326 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {21, 337, 763, 2, Smoke::mf_static, 24, 309},	//327 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {21, 337, 766, 2, Smoke::mf_static, 28, 310},	//328 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {21, 370, 769, 2, Smoke::mf_static, 136, 311},	//329 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {21, 406, 354, 1, Smoke::mf_static, 475, 312},	//330 QGlobalSpace::qBlue(unsigned int)
    {21, 370, 772, 2, Smoke::mf_static, 96, 313},	//331 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {21, 317, 53, 2, Smoke::mf_static, 464, 314},	//332 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {21, 337, 775, 2, Smoke::mf_static, 24, 315},	//333 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {21, 337, 778, 2, Smoke::mf_static, 24, 316},	//334 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {21, 462, 781, 5, Smoke::mf_static, 0, 317},	//335 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 462, 693, 3, Smoke::mf_static, 0, 318},	//336 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {21, 462, 697, 4, Smoke::mf_static, 0, 319},	//337 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {21, 592, 354, 1, Smoke::mf_static, 0, 320},	//338 QGlobalSpace::qsrand(unsigned int)
    {21, 309, 233, 2, Smoke::mf_static, 370, 321},	//339 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {21, 370, 787, 2, Smoke::mf_static, 136, 322},	//340 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {21, 502, 790, 1, Smoke::mf_static, 486, 323},	//341 QGlobalSpace::qHash(long)
    {21, 337, 792, 2, Smoke::mf_static, 24, 324},	//342 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {21, 317, 795, 2, Smoke::mf_static, 413, 325},	//343 QGlobalSpace::operator*(int, const QPoint&)
    {21, 354, 34, 2, Smoke::mf_static, 370, 326},	//344 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {21, 502, 798, 1, Smoke::mf_static, 486, 327},	//345 QGlobalSpace::qHash(unsigned short)
    {21, 370, 800, 2, Smoke::mf_static, 95, 328},	//346 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {21, 364, 803, 2, Smoke::mf_static, 24, 329},	//347 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {21, 309, 111, 2, Smoke::mf_static, 370, 330},	//348 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {21, 370, 806, 2, Smoke::mf_static, 76, 331},	//349 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {21, 337, 809, 2, Smoke::mf_static, 24, 332},	//350 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {21, 370, 812, 2, Smoke::mf_static, 55, 333},	//351 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {21, 370, 815, 2, Smoke::mf_static, 68, 334},	//352 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {21, 326, 53, 2, Smoke::mf_static, 464, 335},	//353 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {21, 442, 818, 6, Smoke::mf_static, 0, 336},	//354 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {21, 442, 693, 3, Smoke::mf_static, 0, 337},	//355 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {21, 442, 697, 4, Smoke::mf_static, 0, 338},	//356 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 442, 702, 5, Smoke::mf_static, 0, 339},	//357 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {21, 611, 401, 3, Smoke::mf_static, 475, 340},	//358 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {21, 321, 825, 2, Smoke::mf_static, 444, 341},	//359 QGlobalSpace::operator+(char, const QString&)
    {21, 364, 828, 2, Smoke::mf_static, 24, 342},	//360 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {21, 348, 206, 2, Smoke::mf_static, 370, 343},	//361 QGlobalSpace::operator==(QString::Null, const QString&)
    {21, 364, 831, 2, Smoke::mf_static, 24, 344},	//362 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {21, 348, 405, 2, Smoke::mf_static, 370, 345},	//363 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {21, 370, 834, 2, Smoke::mf_static, 88, 346},	//364 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {21, 370, 837, 2, Smoke::mf_static, 136, 347},	//365 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {21, 321, 485, 2, Smoke::mf_static, 376, 348},	//366 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {21, 370, 840, 2, Smoke::mf_static, 95, 349},	//367 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {21, 502, 843, 1, Smoke::mf_static, 486, 350},	//368 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {21, 354, 362, 2, Smoke::mf_static, 370, 351},	//369 QGlobalSpace::operator>(const char*, const QString&)
    {21, 337, 845, 2, Smoke::mf_static, 28, 352},	//370 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {21, 337, 848, 2, Smoke::mf_static, 24, 353},	//371 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {21, 337, 851, 2, Smoke::mf_static, 24, 354},	//372 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {21, 337, 854, 2, Smoke::mf_static, 24, 355},	//373 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {21, 337, 857, 2, Smoke::mf_static, 24, 356},	//374 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {21, 364, 860, 2, Smoke::mf_static, 24, 357},	//375 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {21, 633, 863, 3, Smoke::mf_static, 164, 358},	//376 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {21, 442, 867, 9, Smoke::mf_static, 0, 359},	//377 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {21, 442, 298, 6, Smoke::mf_static, 0, 360},	//378 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {21, 442, 305, 7, Smoke::mf_static, 0, 361},	//379 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 442, 877, 8, Smoke::mf_static, 0, 362},	//380 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 370, 886, 2, Smoke::mf_static, 82, 363},	//381 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {21, 364, 889, 2, Smoke::mf_static, 24, 364},	//382 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {21, 370, 892, 2, Smoke::mf_static, 136, 365},	//383 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {21, 330, 895, 2, Smoke::mf_static, 464, 366},	//384 QGlobalSpace::operator/(const QVector2D&, double)
    {21, 370, 898, 2, Smoke::mf_static, 86, 367},	//385 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {21, 330, 901, 2, Smoke::mf_static, 415, 368},	//386 QGlobalSpace::operator/(const QPointF&, double)
    {21, 309, 904, 2, Smoke::mf_static, 370, 369},	//387 QGlobalSpace::operator!=(bool, QBool)
    {21, 348, 395, 2, Smoke::mf_static, 370, 370},	//388 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {21, 370, 907, 2, Smoke::mf_static, 65, 371},	//389 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {21, 330, 910, 2, Smoke::mf_static, 466, 372},	//390 QGlobalSpace::operator/(const QVector3D&, double)
    {21, 370, 913, 2, Smoke::mf_static, 69, 373},	//391 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {21, 370, 916, 2, Smoke::mf_static, 68, 374},	//392 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {21, 609, 919, 3, Smoke::mf_static, 372, 375},	//393 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {21, 317, 923, 2, Smoke::mf_static, 464, 376},	//394 QGlobalSpace::operator*(double, const QVector2D&)
    {21, 326, 926, 1, Smoke::mf_static, 468, 377},	//395 QGlobalSpace::operator-(const QVector4D&)
    {21, 370, 928, 2, Smoke::mf_static, 99, 378},	//396 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {21, 364, 931, 2, Smoke::mf_static, 24, 379},	//397 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {21, 568, 183, 1, Smoke::mf_static, 16, 380},	//398 QGlobalSpace::qUncompress(const QByteArray&)
    {21, 370, 934, 2, Smoke::mf_static, 89, 381},	//399 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {21, 330, 257, 2, Smoke::mf_static, 272, 382},	//400 QGlobalSpace::operator/(const QTransform&, double)
    {21, 370, 937, 2, Smoke::mf_static, 136, 383},	//401 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {21, 492, 44, 2, Smoke::mf_static, 370, 384},	//402 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {21, 370, 940, 2, Smoke::mf_static, 136, 385},	//403 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {21, 337, 943, 2, Smoke::mf_static, 24, 386},	//404 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {21, 364, 946, 2, Smoke::mf_static, 24, 387},	//405 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {21, 386, 0, 0, Smoke::mf_static, 9, 388},	//406 QGlobalSpace::qAccessibleActionCastHelper()
    {21, 317, 949, 2, Smoke::mf_static, 179, 389},	//407 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {21, 370, 952, 2, Smoke::mf_static, 136, 390},	//408 QGlobalSpace::operator|(Qt::MouseButton, int)
    {21, 364, 955, 2, Smoke::mf_static, 24, 391},	//409 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {21, 326, 958, 1, Smoke::mf_static, 415, 392},	//410 QGlobalSpace::operator-(const QPointF&)
    {21, 337, 960, 2, Smoke::mf_static, 28, 393},	//411 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {21, 370, 963, 2, Smoke::mf_static, 42, 394},	//412 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {21, 348, 904, 2, Smoke::mf_static, 370, 395},	//413 QGlobalSpace::operator==(bool, QBool)
    {21, 364, 966, 2, Smoke::mf_static, 24, 396},	//414 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {21, 370, 969, 2, Smoke::mf_static, 136, 397},	//415 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {21, 589, 0, 0, Smoke::mf_static, 475, 398},	//416 QGlobalSpace::qrand()
    {21, 337, 972, 2, Smoke::mf_static, 28, 399},	//417 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {21, 317, 975, 2, Smoke::mf_static, 183, 400},	//418 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {21, 364, 978, 2, Smoke::mf_static, 24, 401},	//419 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {21, 370, 981, 2, Smoke::mf_static, 46, 402},	//420 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {21, 620, 984, 4, Smoke::mf_static, 0, 403},	//421 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {21, 317, 989, 2, Smoke::mf_static, 413, 404},	//422 QGlobalSpace::operator*(float, const QPoint&)
    {21, 315, 482, 2, Smoke::mf_static, 12, 405},	//423 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {21, 359, 90, 2, Smoke::mf_static, 370, 406},	//424 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {21, 337, 992, 2, Smoke::mf_static, 28, 407},	//425 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {21, 370, 995, 2, Smoke::mf_static, 56, 408},	//426 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {21, 370, 998, 2, Smoke::mf_static, 97, 409},	//427 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {21, 370, 1001, 2, Smoke::mf_static, 113, 410},	//428 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {21, 337, 1004, 2, Smoke::mf_static, 24, 411},	//429 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {21, 492, 1007, 2, Smoke::mf_static, 370, 412},	//430 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {21, 370, 1010, 2, Smoke::mf_static, 136, 413},	//431 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {21, 309, 1013, 2, Smoke::mf_static, 370, 414},	//432 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {21, 545, 1016, 4, Smoke::mf_static, 486, 415},	//433 QGlobalSpace::qRgba(int, int, int, int)
    {21, 419, 0, 0, Smoke::mf_static, 28, 416},	//434 QGlobalSpace::qCritical()
    {21, 317, 740, 2, Smoke::mf_static, 468, 417},	//435 QGlobalSpace::operator*(const QVector4D&, double)
    {21, 364, 1021, 2, Smoke::mf_static, 24, 418},	//436 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {21, 337, 1024, 2, Smoke::mf_static, 28, 419},	//437 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {21, 337, 1027, 2, Smoke::mf_static, 24, 420},	//438 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {21, 370, 1030, 2, Smoke::mf_static, 107, 421},	//439 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {21, 309, 90, 2, Smoke::mf_static, 370, 422},	//440 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {21, 309, 242, 2, Smoke::mf_static, 370, 423},	//441 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {21, 332, 63, 2, Smoke::mf_static, 370, 424},	//442 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {21, 317, 1033, 2, Smoke::mf_static, 468, 425},	//443 QGlobalSpace::operator*(double, const QVector4D&)
    {21, 370, 1036, 2, Smoke::mf_static, 136, 426},	//444 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {21, 370, 1039, 2, Smoke::mf_static, 74, 427},	//445 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {21, 348, 1013, 2, Smoke::mf_static, 370, 428},	//446 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {21, 337, 1042, 2, Smoke::mf_static, 24, 429},	//447 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {21, 337, 1045, 2, Smoke::mf_static, 28, 430},	//448 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {21, 321, 1048, 2, Smoke::mf_static, 376, 431},	//449 QGlobalSpace::operator+(const QByteArray&, char)
    {21, 370, 1051, 2, Smoke::mf_static, 51, 432},	//450 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {21, 370, 1054, 2, Smoke::mf_static, 49, 433},	//451 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {21, 364, 1057, 2, Smoke::mf_static, 24, 434},	//452 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {21, 359, 395, 2, Smoke::mf_static, 370, 435},	//453 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {21, 330, 1060, 2, Smoke::mf_static, 428, 436},	//454 QGlobalSpace::operator/(const QSizeF&, double)
    {21, 348, 328, 2, Smoke::mf_static, 370, 437},	//455 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {21, 337, 1063, 2, Smoke::mf_static, 24, 438},	//456 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {21, 370, 1066, 2, Smoke::mf_static, 136, 439},	//457 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {21, 348, 242, 2, Smoke::mf_static, 370, 440},	//458 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {21, 394, 1069, 1, Smoke::mf_static, 0, 441},	//459 QGlobalSpace::qAddPostRoutine(void(*)())
    {21, 412, 1071, 3, Smoke::mf_static, 16, 442},	//460 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {21, 412, 398, 2, Smoke::mf_static, 16, 443},	//461 QGlobalSpace::qCompress(const unsigned char*, int)
    {21, 370, 1075, 2, Smoke::mf_static, 80, 444},	//462 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {21, 341, 90, 2, Smoke::mf_static, 370, 445},	//463 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {21, 482, 39, 1, Smoke::mf_static, 473, 446},	//464 QGlobalSpace::qFastSin(double)
    {21, 341, 34, 2, Smoke::mf_static, 370, 447},	//465 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {21, 337, 1078, 2, Smoke::mf_static, 24, 448},	//466 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {21, 364, 1081, 2, Smoke::mf_static, 24, 449},	//467 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {21, 370, 1084, 2, Smoke::mf_static, 48, 450},	//468 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {21, 364, 1087, 2, Smoke::mf_static, 24, 451},	//469 QGlobalSpace::operator>>(QDataStream&, QString&)
    {21, 330, 653, 2, Smoke::mf_static, 419, 452},	//470 QGlobalSpace::operator/(const QQuaternion&, double)
    {21, 398, 0, 0, Smoke::mf_static, 240, 453},	//471 QGlobalSpace::qAppName()
    {21, 571, 0, 0, Smoke::mf_static, 470, 454},	//472 QGlobalSpace::qVersion()
    {21, 370, 1090, 2, Smoke::mf_static, 83, 455},	//473 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {21, 337, 1093, 2, Smoke::mf_static, 24, 456},	//474 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {21, 370, 1096, 2, Smoke::mf_static, 136, 457},	//475 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {21, 488, 1099, 1, Smoke::mf_static, 0, 458},	//476 QGlobalSpace::qFree(void*)
    {21, 337, 1101, 2, Smoke::mf_static, 28, 459},	//477 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 317, 1104, 2, Smoke::mf_static, 145, 460},	//478 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {21, 337, 1107, 2, Smoke::mf_static, 24, 461},	//479 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {21, 370, 1110, 2, Smoke::mf_static, 136, 462},	//480 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {21, 370, 1113, 2, Smoke::mf_static, 136, 463},	//481 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {21, 490, 1099, 1, Smoke::mf_static, 0, 464},	//482 QGlobalSpace::qFreeAligned(void*)
    {21, 364, 1116, 2, Smoke::mf_static, 24, 465},	//483 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {21, 348, 587, 2, Smoke::mf_static, 370, 466},	//484 QGlobalSpace::operator==(const QString&, QString::Null)
    {21, 337, 1119, 2, Smoke::mf_static, 28, 467},	//485 QGlobalSpace::operator<<(QDebug, const QDir&)
    {21, 337, 1122, 2, Smoke::mf_static, 266, 468},	//486 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 332, 123, 2, Smoke::mf_static, 370, 469},	//487 QGlobalSpace::operator<(const QByteArray&, const char*)
    {21, 337, 1125, 2, Smoke::mf_static, 28, 470},	//488 QGlobalSpace::operator<<(QDebug, const QPen&)
    {21, 317, 1128, 2, Smoke::mf_static, 419, 471},	//489 QGlobalSpace::operator*(double, const QQuaternion&)
    {21, 317, 895, 2, Smoke::mf_static, 464, 472},	//490 QGlobalSpace::operator*(const QVector2D&, double)
    {21, 337, 1131, 2, Smoke::mf_static, 28, 473},	//491 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {21, 309, 328, 2, Smoke::mf_static, 370, 474},	//492 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {21, 370, 1134, 2, Smoke::mf_static, 62, 475},	//493 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {21, 337, 1137, 2, Smoke::mf_static, 28, 476},	//494 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {21, 370, 1140, 2, Smoke::mf_static, 96, 477},	//495 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {21, 370, 1143, 2, Smoke::mf_static, 54, 478},	//496 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {21, 317, 910, 2, Smoke::mf_static, 466, 479},	//497 QGlobalSpace::operator*(const QVector3D&, double)
    {21, 502, 1146, 1, Smoke::mf_static, 486, 480},	//498 QGlobalSpace::qHash(const QBitArray&)
    {21, 337, 1148, 2, Smoke::mf_static, 28, 481},	//499 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {21, 370, 1151, 2, Smoke::mf_static, 67, 482},	//500 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {21, 337, 1154, 2, Smoke::mf_static, 28, 483},	//501 QGlobalSpace::operator<<(QDebug, const QTime&)
    {21, 337, 1157, 2, Smoke::mf_static, 266, 484},	//502 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {21, 408, 39, 1, Smoke::mf_static, 475, 485},	//503 QGlobalSpace::qCeil(double)
    {21, 337, 1160, 2, Smoke::mf_static, 28, 486},	//504 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {21, 364, 1163, 2, Smoke::mf_static, 24, 487},	//505 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {21, 309, 170, 2, Smoke::mf_static, 370, 488},	//506 QGlobalSpace::operator!=(QChar, QChar)
    {21, 370, 1166, 2, Smoke::mf_static, 106, 489},	//507 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {21, 563, 1169, 2, Smoke::mf_static, 370, 490},	//508 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {21, 601, 128, 1, Smoke::mf_static, 372, 491},	//509 QGlobalSpace::qstrdup(const char*)
    {21, 370, 1172, 2, Smoke::mf_static, 136, 492},	//510 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {21, 370, 1175, 2, Smoke::mf_static, 80, 493},	//511 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {21, 388, 0, 0, Smoke::mf_static, 9, 494},	//512 QGlobalSpace::qAccessibleImageCastHelper()
    {21, 370, 1178, 2, Smoke::mf_static, 101, 495},	//513 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {21, 364, 1181, 2, Smoke::mf_static, 24, 496},	//514 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {21, 364, 1184, 2, Smoke::mf_static, 24, 497},	//515 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {21, 341, 362, 2, Smoke::mf_static, 370, 498},	//516 QGlobalSpace::operator<=(const char*, const QString&)
    {21, 309, 531, 2, Smoke::mf_static, 370, 499},	//517 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {21, 364, 1187, 2, Smoke::mf_static, 24, 500},	//518 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {21, 370, 1190, 2, Smoke::mf_static, 43, 501},	//519 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {21, 337, 1193, 2, Smoke::mf_static, 24, 502},	//520 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {21, 370, 1196, 2, Smoke::mf_static, 90, 503},	//521 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {21, 370, 1199, 2, Smoke::mf_static, 136, 504},	//522 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {21, 420, 0, 0, Smoke::mf_static, 28, 505},	//523 QGlobalSpace::qDebug()
    {21, 524, 1202, 2, Smoke::mf_static, 493, 506},	//524 QGlobalSpace::qMallocAligned(size_t, size_t)
    {21, 370, 1205, 2, Smoke::mf_static, 63, 507},	//525 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {21, 317, 1208, 2, Smoke::mf_static, 177, 508},	//526 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {21, 309, 1169, 2, Smoke::mf_static, 370, 509},	//527 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {21, 577, 1211, 6, Smoke::mf_static, 475, 510},	//528 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {21, 500, 354, 1, Smoke::mf_static, 475, 511},	//529 QGlobalSpace::qGreen(unsigned int)
    {21, 530, 117, 2, Smoke::mf_static, 473, 512},	//530 QGlobalSpace::qPow(double, double)
    {21, 341, 63, 2, Smoke::mf_static, 370, 513},	//531 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {21, 337, 1218, 2, Smoke::mf_static, 28, 514},	//532 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {21, 370, 1221, 2, Smoke::mf_static, 136, 515},	//533 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {21, 364, 1122, 2, Smoke::mf_static, 266, 516},	//534 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {21, 321, 1224, 2, Smoke::mf_static, 376, 517},	//535 QGlobalSpace::operator+(char, const QByteArray&)
    {21, 370, 1227, 2, Smoke::mf_static, 136, 518},	//536 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {21, 348, 90, 2, Smoke::mf_static, 370, 519},	//537 QGlobalSpace::operator==(const char*, const QByteArray&)
    {21, 337, 1230, 2, Smoke::mf_static, 24, 520},	//538 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {21, 370, 1233, 2, Smoke::mf_static, 90, 521},	//539 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {21, 326, 81, 2, Smoke::mf_static, 426, 522},	//540 QGlobalSpace::operator-(const QSize&, const QSize&)
    {21, 337, 1236, 2, Smoke::mf_static, 28, 523},	//541 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {21, 321, 362, 2, Smoke::mf_static, 444, 524},	//542 QGlobalSpace::operator+(const char*, const QString&)
    {21, 370, 1239, 2, Smoke::mf_static, 45, 525},	//543 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {21, 370, 1242, 2, Smoke::mf_static, 78, 526},	//544 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {21, 370, 1245, 2, Smoke::mf_static, 136, 527},	//545 QGlobalSpace::operator|(Qt::WindowState, int)
    {21, 364, 1248, 2, Smoke::mf_static, 24, 528},	//546 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {21, 364, 1251, 2, Smoke::mf_static, 24, 529},	//547 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {21, 370, 1254, 2, Smoke::mf_static, 47, 530},	//548 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {21, 309, 682, 2, Smoke::mf_static, 370, 531},	//549 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {21, 370, 1257, 2, Smoke::mf_static, 97, 532},	//550 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {21, 337, 1260, 2, Smoke::mf_static, 28, 533},	//551 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {21, 370, 1263, 2, Smoke::mf_static, 110, 534},	//552 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {21, 364, 1266, 2, Smoke::mf_static, 24, 535},	//553 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {21, 317, 1269, 2, Smoke::mf_static, 415, 536},	//554 QGlobalSpace::operator*(double, const QPointF&)
    {21, 370, 1272, 2, Smoke::mf_static, 105, 537},	//555 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {21, 317, 1275, 2, Smoke::mf_static, 189, 538},	//556 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {21, 348, 34, 2, Smoke::mf_static, 370, 539},	//557 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {21, 317, 1278, 2, Smoke::mf_static, 426, 540},	//558 QGlobalSpace::operator*(const QSize&, double)
    {21, 337, 1281, 2, Smoke::mf_static, 28, 541},	//559 QGlobalSpace::operator<<(QDebug, const QDate&)
    {21, 492, 53, 2, Smoke::mf_static, 370, 542},	//560 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {21, 317, 1284, 2, Smoke::mf_static, 170, 543},	//561 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {21, 370, 1287, 2, Smoke::mf_static, 45, 544},	//562 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {21, 370, 1290, 2, Smoke::mf_static, 49, 545},	//563 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {21, 641, 1293, 4, Smoke::mf_static, 475, 546},	//564 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {21, 317, 1298, 2, Smoke::mf_static, 413, 547},	//565 QGlobalSpace::operator*(double, const QPoint&)
    {21, 317, 1301, 2, Smoke::mf_static, 183, 548},	//566 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {21, 528, 1304, 3, Smoke::mf_static, 493, 549},	//567 QGlobalSpace::qMemSet(void*, int, size_t)
    {21, 337, 1308, 2, Smoke::mf_static, 24, 550},	//568 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {21, 622, 1311, 2, Smoke::mf_static, 0, 551},	//569 QGlobalSpace::qt_check_pointer(const char*, int)
    {21, 469, 781, 5, Smoke::mf_static, 0, 552},	//570 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {21, 469, 693, 3, Smoke::mf_static, 0, 553},	//571 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {21, 469, 697, 4, Smoke::mf_static, 0, 554},	//572 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {21, 502, 1314, 1, Smoke::mf_static, 486, 555},	//573 QGlobalSpace::qHash(short)
    {21, 370, 1316, 2, Smoke::mf_static, 74, 556},	//574 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {21, 370, 1319, 2, Smoke::mf_static, 66, 557},	//575 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {21, 478, 39, 1, Smoke::mf_static, 473, 558},	//576 QGlobalSpace::qFabs(double)
    {21, 370, 1322, 2, Smoke::mf_static, 104, 559},	//577 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {21, 370, 1325, 2, Smoke::mf_static, 50, 560},	//578 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {21, 594, 485, 2, Smoke::mf_static, 475, 561},	//579 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {21, 492, 1328, 2, Smoke::mf_static, 370, 562},	//580 QGlobalSpace::qFuzzyCompare(float, float)
    {21, 348, 1331, 2, Smoke::mf_static, 370, 563},	//581 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {21, 370, 1334, 2, Smoke::mf_static, 136, 564},	//582 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {21, 370, 1337, 2, Smoke::mf_static, 70, 565},	//583 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {21, 581, 1211, 6, Smoke::mf_static, 475, 566},	//584 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {21, 583, 1340, 3, Smoke::mf_static, 372, 567},	//585 QGlobalSpace::qgcvt(long double, int, char*)
    {21, 590, 1344, 4, Smoke::mf_static, 0, 568},	//586 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {21, 370, 1349, 2, Smoke::mf_static, 99, 569},	//587 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {21, 370, 1352, 2, Smoke::mf_static, 87, 570},	//588 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {21, 370, 1355, 2, Smoke::mf_static, 65, 571},	//589 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {21, 392, 39, 1, Smoke::mf_static, 473, 572},	//590 QGlobalSpace::qAcos(double)
    {21, 370, 1358, 2, Smoke::mf_static, 136, 573},	//591 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {21, 370, 1361, 2, Smoke::mf_static, 108, 574},	//592 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {21, 370, 1364, 2, Smoke::mf_static, 136, 575},	//593 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {21, 337, 1367, 2, Smoke::mf_static, 24, 576},	//594 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {21, 359, 485, 2, Smoke::mf_static, 370, 577},	//595 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {21, 370, 1370, 2, Smoke::mf_static, 81, 578},	//596 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {21, 370, 1373, 2, Smoke::mf_static, 77, 579},	//597 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {21, 364, 1376, 2, Smoke::mf_static, 24, 580},	//598 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {21, 405, 0, 0, Smoke::mf_static, 0, 581},	//599 QGlobalSpace::qBadAlloc()
    {21, 337, 1379, 2, Smoke::mf_static, 28, 582},	//600 QGlobalSpace::operator<<(QDebug, const QLine&)
    {21, 370, 1382, 2, Smoke::mf_static, 114, 583},	//601 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {21, 451, 1385, 10, Smoke::mf_static, 0, 584},	//602 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {21, 451, 298, 6, Smoke::mf_static, 0, 585},	//603 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {21, 451, 305, 7, Smoke::mf_static, 0, 586},	//604 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 451, 877, 8, Smoke::mf_static, 0, 587},	//605 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 451, 1396, 9, Smoke::mf_static, 0, 588},	//606 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 370, 1406, 2, Smoke::mf_static, 136, 589},	//607 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {21, 364, 1409, 2, Smoke::mf_static, 24, 590},	//608 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {21, 337, 1412, 2, Smoke::mf_static, 28, 591},	//609 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {21, 370, 1415, 2, Smoke::mf_static, 136, 592},	//610 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {21, 495, 39, 1, Smoke::mf_static, 370, 593},	//611 QGlobalSpace::qFuzzyIsNull(double)
    {21, 412, 1418, 2, Smoke::mf_static, 16, 594},	//612 QGlobalSpace::qCompress(const QByteArray&, int)
    {21, 412, 183, 1, Smoke::mf_static, 16, 595},	//613 QGlobalSpace::qCompress(const QByteArray&)
    {21, 337, 1421, 2, Smoke::mf_static, 28, 596},	//614 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {21, 370, 1424, 2, Smoke::mf_static, 100, 597},	//615 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {21, 370, 1427, 2, Smoke::mf_static, 136, 598},	//616 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {21, 370, 1430, 2, Smoke::mf_static, 136, 599},	//617 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {21, 370, 1433, 2, Smoke::mf_static, 63, 600},	//618 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {21, 370, 1436, 2, Smoke::mf_static, 136, 601},	//619 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {21, 370, 1439, 2, Smoke::mf_static, 117, 602},	//620 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {21, 370, 1442, 2, Smoke::mf_static, 136, 603},	//621 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {21, 326, 1445, 1, Smoke::mf_static, 464, 604},	//622 QGlobalSpace::operator-(const QVector2D&)
    {21, 370, 1447, 2, Smoke::mf_static, 40, 605},	//623 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {21, 337, 1450, 2, Smoke::mf_static, 24, 606},	//624 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {21, 317, 1453, 2, Smoke::mf_static, 156, 607},	//625 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {21, 337, 1456, 2, Smoke::mf_static, 24, 608},	//626 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {21, 433, 1396, 9, Smoke::mf_static, 0, 609},	//627 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {21, 433, 298, 6, Smoke::mf_static, 0, 610},	//628 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {21, 433, 305, 7, Smoke::mf_static, 0, 611},	//629 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 433, 877, 8, Smoke::mf_static, 0, 612},	//630 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {21, 370, 1459, 2, Smoke::mf_static, 44, 613},	//631 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {21, 337, 1462, 2, Smoke::mf_static, 24, 614},	//632 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {21, 317, 1465, 2, Smoke::mf_static, 143, 615},	//633 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {21, 337, 1468, 2, Smoke::mf_static, 24, 616},	//634 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {21, 399, 39, 1, Smoke::mf_static, 473, 617},	//635 QGlobalSpace::qAsin(double)
    {21, 337, 1471, 2, Smoke::mf_static, 28, 618},	//636 QGlobalSpace::operator<<(QDebug, const QRect&)
    {21, 337, 1474, 2, Smoke::mf_static, 28, 619},	//637 QGlobalSpace::operator<<(QDebug, const QFont&)
    {21, 370, 1477, 2, Smoke::mf_static, 50, 620},	//638 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {21, 370, 1480, 2, Smoke::mf_static, 46, 621},	//639 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {21, 370, 1483, 2, Smoke::mf_static, 136, 622},	//640 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {21, 309, 476, 2, Smoke::mf_static, 370, 623},	//641 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {21, 559, 39, 1, Smoke::mf_static, 473, 624},	//642 QGlobalSpace::qSin(double)
    {21, 370, 1486, 2, Smoke::mf_static, 136, 625},	//643 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {21, 348, 485, 2, Smoke::mf_static, 370, 626},	//644 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {21, 364, 1489, 2, Smoke::mf_static, 24, 627},	//645 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {21, 370, 1492, 2, Smoke::mf_static, 73, 628},	//646 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {21, 370, 482, 2, Smoke::mf_static, 12, 629},	//647 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {21, 337, 1495, 2, Smoke::mf_static, 24, 630},	//648 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {21, 462, 289, 8, Smoke::mf_static, 0, 631},	//649 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {21, 462, 298, 6, Smoke::mf_static, 0, 632},	//650 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {21, 462, 305, 7, Smoke::mf_static, 0, 633},	//651 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {21, 492, 50, 2, Smoke::mf_static, 370, 634},	//652 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {21, 337, 1498, 2, Smoke::mf_static, 24, 635},	//653 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {21, 370, 1501, 2, Smoke::mf_static, 57, 636},	//654 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {21, 348, 1504, 2, Smoke::mf_static, 370, 637},	//655 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {21, 370, 1507, 2, Smoke::mf_static, 58, 638},	//656 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {21, 370, 1510, 2, Smoke::mf_static, 83, 639},	//657 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {21, 370, 1513, 2, Smoke::mf_static, 136, 640},	//658 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {21, 364, 1516, 2, Smoke::mf_static, 24, 641},	//659 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {21, 337, 1519, 2, Smoke::mf_static, 24, 642},	//660 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {21, 615, 1311, 2, Smoke::mf_static, 240, 643},	//661 QGlobalSpace::qtTrId(const char*, int)
    {21, 615, 128, 1, Smoke::mf_static, 240, 644},	//662 QGlobalSpace::qtTrId(const char*)
    {21, 370, 1522, 2, Smoke::mf_static, 136, 645},	//663 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {21, 370, 1525, 2, Smoke::mf_static, 93, 646},	//664 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {21, 326, 1528, 1, Smoke::mf_static, 466, 647},	//665 QGlobalSpace::operator-(const QVector3D&)
    {21, 337, 1530, 2, Smoke::mf_static, 28, 648},	//666 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {21, 341, 170, 2, Smoke::mf_static, 370, 649},	//667 QGlobalSpace::operator<=(QChar, QChar)
    {21, 370, 1533, 2, Smoke::mf_static, 117, 650},	//668 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {21, 512, 354, 1, Smoke::mf_static, 370, 651},	//669 QGlobalSpace::qIsGray(unsigned int)
    {21, 370, 1536, 2, Smoke::mf_static, 61, 652},	//670 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {21, 309, 1331, 2, Smoke::mf_static, 370, 653},	//671 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {21, 370, 1539, 2, Smoke::mf_static, 109, 654},	//672 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {21, 364, 1542, 2, Smoke::mf_static, 24, 655},	//673 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {21, 364, 1545, 2, Smoke::mf_static, 24, 656},	//674 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {21, 426, 1548, 5, Smoke::mf_static, 0, 657},	//675 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {21, 426, 1554, 3, Smoke::mf_static, 0, 658},	//676 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {21, 426, 1558, 4, Smoke::mf_static, 0, 659},	//677 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {21, 364, 1563, 2, Smoke::mf_static, 24, 660},	//678 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {21, 370, 1566, 2, Smoke::mf_static, 62, 661},	//679 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {21, 370, 1569, 2, Smoke::mf_static, 136, 662},	//680 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {21, 317, 1572, 2, Smoke::mf_static, 413, 663},	//681 QGlobalSpace::operator*(const QPoint&, int)
    {21, 364, 1575, 2, Smoke::mf_static, 24, 664},	//682 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {21, 370, 1578, 2, Smoke::mf_static, 81, 665},	//683 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {21, 370, 1581, 2, Smoke::mf_static, 136, 666},	//684 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {21, 639, 1584, 3, Smoke::mf_static, 370, 667},	//685 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {21, 337, 1588, 2, Smoke::mf_static, 28, 668},	//686 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {21, 370, 1591, 2, Smoke::mf_static, 136, 669},	//687 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {21, 317, 1594, 2, Smoke::mf_static, 177, 670},	//688 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {21, 330, 1278, 2, Smoke::mf_static, 426, 671},	//689 QGlobalSpace::operator/(const QSize&, double)
    {21, 317, 1597, 2, Smoke::mf_static, 177, 672},	//690 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {21, 518, 126, 1, Smoke::mf_static, 370, 673},	//691 QGlobalSpace::qIsNull(float)
    {21, 370, 1600, 2, Smoke::mf_static, 42, 674},	//692 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {21, 635, 1603, 5, Smoke::mf_static, 0, 675},	//693 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {21, 348, 1609, 2, Smoke::mf_static, 370, 676},	//694 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {21, 401, 39, 1, Smoke::mf_static, 473, 677},	//695 QGlobalSpace::qAtan(double)
    {21, 364, 1612, 2, Smoke::mf_static, 24, 678},	//696 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {21, 370, 1615, 2, Smoke::mf_static, 136, 679},	//697 QGlobalSpace::operator|(Qt::Orientation, int)
    {21, 370, 1618, 2, Smoke::mf_static, 91, 680},	//698 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {21, 492, 117, 2, Smoke::mf_static, 370, 681},	//699 QGlobalSpace::qFuzzyCompare(double, double)
    {21, 317, 1621, 2, Smoke::mf_static, 284, 682},	//700 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {21, 309, 63, 2, Smoke::mf_static, 370, 683},	//701 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {21, 337, 1624, 2, Smoke::mf_static, 24, 684},	//702 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {21, 337, 1627, 2, Smoke::mf_static, 28, 685},	//703 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {21, 433, 1630, 7, Smoke::mf_static, 0, 686},	//704 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {21, 433, 1638, 4, Smoke::mf_static, 0, 687},	//705 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {21, 433, 1643, 5, Smoke::mf_static, 0, 688},	//706 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {21, 433, 1649, 6, Smoke::mf_static, 0, 689},	//707 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {21, 370, 1656, 2, Smoke::mf_static, 106, 690},	//708 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {21, 317, 286, 2, Smoke::mf_static, 413, 691},	//709 QGlobalSpace::operator*(const QPoint&, double)
    {21, 370, 1659, 2, Smoke::mf_static, 66, 692},	//710 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {21, 551, 0, 0, Smoke::mf_static, 473, 693},	//711 QGlobalSpace::qSNaN()
    {21, 317, 1662, 2, Smoke::mf_static, 179, 694},	//712 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {21, 370, 1665, 2, Smoke::mf_static, 136, 695},	//713 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {21, 348, 123, 2, Smoke::mf_static, 370, 696},	//714 QGlobalSpace::operator==(const QByteArray&, const char*)
    {21, 370, 1668, 2, Smoke::mf_static, 77, 697},	//715 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {21, 337, 1671, 2, Smoke::mf_static, 24, 698},	//716 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {21, 317, 1060, 2, Smoke::mf_static, 428, 699},	//717 QGlobalSpace::operator*(const QSizeF&, double)
    {21, 370, 1674, 2, Smoke::mf_static, 60, 700},	//718 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {21, 348, 1169, 2, Smoke::mf_static, 370, 701},	//719 QGlobalSpace::operator==(const QStringRef&, const char*)
    {21, 309, 50, 2, Smoke::mf_static, 370, 702},	//720 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {21, 348, 53, 2, Smoke::mf_static, 370, 703},	//721 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {21, 317, 1677, 2, Smoke::mf_static, 181, 704},	//722 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {21, 370, 1680, 2, Smoke::mf_static, 136, 705},	//723 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {21, 317, 1683, 2, Smoke::mf_static, 413, 706},	//724 QGlobalSpace::operator*(const QPoint&, float)
    {21, 317, 1686, 2, Smoke::mf_static, 426, 707},	//725 QGlobalSpace::operator*(double, const QSize&)
    {21, 370, 1689, 2, Smoke::mf_static, 136, 708},	//726 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {21, 332, 34, 2, Smoke::mf_static, 370, 709},	//727 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {21, 309, 1692, 2, Smoke::mf_static, 370, 710},	//728 QGlobalSpace::operator!=(QBool, bool)
    {21, 370, 1695, 2, Smoke::mf_static, 48, 711},	//729 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {21, 309, 81, 2, Smoke::mf_static, 370, 712},	//730 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {21, 364, 1698, 2, Smoke::mf_static, 24, 713},	//731 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {21, 309, 395, 2, Smoke::mf_static, 370, 714},	//732 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {21, 337, 1701, 2, Smoke::mf_static, 28, 715},	//733 QGlobalSpace::operator<<(QDebug, const QSize&)
    {21, 370, 1704, 2, Smoke::mf_static, 136, 716},	//734 QGlobalSpace::operator|(QStyle::SubControl, int)
    {21, 370, 1707, 2, Smoke::mf_static, 98, 717},	//735 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {21, 337, 1710, 2, Smoke::mf_static, 28, 718},	//736 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {21, 317, 1713, 2, Smoke::mf_static, 145, 719},	//737 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {21, 326, 233, 2, Smoke::mf_static, 419, 720},	//738 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {21, 317, 901, 2, Smoke::mf_static, 415, 721},	//739 QGlobalSpace::operator*(const QPointF&, double)
    {21, 603, 218, 2, Smoke::mf_static, 475, 722},	//740 QGlobalSpace::qstricmp(const char*, const char*)
    {21, 370, 1716, 2, Smoke::mf_static, 136, 723},	//741 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {21, 370, 1719, 2, Smoke::mf_static, 112, 724},	//742 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {21, 309, 135, 2, Smoke::mf_static, 370, 725},	//743 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {21, 547, 39, 1, Smoke::mf_static, 475, 726},	//744 QGlobalSpace::qRound(double)
    {21, 505, 0, 0, Smoke::mf_static, 473, 727},	//745 QGlobalSpace::qInf()
    {21, 337, 1722, 2, Smoke::mf_static, 24, 728},	//746 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {21, 370, 1725, 2, Smoke::mf_static, 93, 729},	//747 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {21, 317, 233, 2, Smoke::mf_static, 419, 730},	//748 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {21, 370, 1728, 2, Smoke::mf_static, 136, 731},	//749 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {21, 370, 1731, 2, Smoke::mf_static, 109, 732},	//750 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {21, 317, 1734, 2, Smoke::mf_static, 179, 733},	//751 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {21, 337, 1737, 2, Smoke::mf_static, 28, 734},	//752 QGlobalSpace::operator<<(QDebug, const QColor&)
    {21, 337, 1740, 2, Smoke::mf_static, 28, 735},	//753 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {21, 337, 1743, 2, Smoke::mf_static, 24, 736},	//754 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {21, 370, 1746, 2, Smoke::mf_static, 70, 737},	//755 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {21, 370, 1749, 2, Smoke::mf_static, 136, 738},	//756 QGlobalSpace::operator|(Qt::WindowType, int)
    {21, 594, 123, 2, Smoke::mf_static, 475, 739},	//757 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {21, 370, 1752, 2, Smoke::mf_static, 136, 740},	//758 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {21, 541, 1069, 1, Smoke::mf_static, 0, 741},	//759 QGlobalSpace::qRemovePostRoutine(void(*)())
    {21, 321, 233, 2, Smoke::mf_static, 419, 742},	//760 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {21, 364, 1755, 2, Smoke::mf_static, 24, 743},	//761 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {21, 370, 1758, 2, Smoke::mf_static, 85, 744},	//762 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {21, 370, 1761, 2, Smoke::mf_static, 64, 745},	//763 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {21, 364, 1764, 2, Smoke::mf_static, 24, 746},	//764 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {21, 370, 1767, 2, Smoke::mf_static, 136, 747},	//765 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {21, 337, 1770, 2, Smoke::mf_static, 24, 748},	//766 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {21, 370, 1773, 2, Smoke::mf_static, 111, 749},	//767 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {21, 370, 1776, 2, Smoke::mf_static, 103, 750},	//768 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {21, 572, 0, 0, Smoke::mf_static, 28, 751},	//769 QGlobalSpace::qWarning()
    {21, 605, 128, 1, Smoke::mf_static, 486, 752},	//770 QGlobalSpace::qstrlen(const char*)
    {21, 348, 1692, 2, Smoke::mf_static, 370, 753},	//771 QGlobalSpace::operator==(QBool, bool)
    {21, 364, 1779, 2, Smoke::mf_static, 24, 754},	//772 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {21, 364, 1782, 2, Smoke::mf_static, 24, 755},	//773 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {21, 502, 1785, 1, Smoke::mf_static, 486, 756},	//774 QGlobalSpace::qHash(unsigned long)
    {21, 337, 1787, 2, Smoke::mf_static, 24, 757},	//775 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {21, 370, 1790, 2, Smoke::mf_static, 136, 758},	//776 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {21, 337, 1793, 2, Smoke::mf_static, 24, 759},	//777 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {21, 370, 1796, 2, Smoke::mf_static, 136, 760},	//778 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {21, 370, 1799, 2, Smoke::mf_static, 71, 761},	//779 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {21, 348, 362, 2, Smoke::mf_static, 370, 762},	//780 QGlobalSpace::operator==(const char*, const QString&)
    {21, 337, 1802, 2, Smoke::mf_static, 24, 763},	//781 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {21, 370, 1805, 2, Smoke::mf_static, 136, 764},	//782 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {21, 421, 1808, 8, Smoke::mf_static, 0, 765},	//783 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {21, 421, 1817, 6, Smoke::mf_static, 0, 766},	//784 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {21, 421, 1824, 7, Smoke::mf_static, 0, 767},	//785 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {21, 370, 1832, 2, Smoke::mf_static, 82, 768},	//786 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {21, 321, 1835, 2, Smoke::mf_static, 444, 769},	//787 QGlobalSpace::operator+(const QString&, const QString&)
    {21, 309, 525, 2, Smoke::mf_static, 370, 770},	//788 QGlobalSpace::operator!=(QBool, QBool)
    {21, 370, 1838, 2, Smoke::mf_static, 40, 771},	//789 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {21, 626, 1841, 2, Smoke::mf_static, 0, 772},	//790 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {21, 337, 1844, 2, Smoke::mf_static, 28, 773},	//791 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {21, 317, 1847, 2, Smoke::mf_static, 466, 774},	//792 QGlobalSpace::operator*(double, const QVector3D&)
    {21, 337, 1850, 2, Smoke::mf_static, 28, 775},	//793 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {21, 359, 362, 2, Smoke::mf_static, 370, 776},	//794 QGlobalSpace::operator>=(const char*, const QString&)
    {21, 502, 1853, 1, Smoke::mf_static, 486, 777},	//795 QGlobalSpace::qHash(const QStringRef&)
    {21, 518, 39, 1, Smoke::mf_static, 370, 778},	//796 QGlobalSpace::qIsNull(double)
    {21, 370, 1855, 2, Smoke::mf_static, 136, 779},	//797 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {21, 370, 1858, 2, Smoke::mf_static, 43, 780},	//798 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {21, 359, 63, 2, Smoke::mf_static, 370, 781},	//799 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {21, 354, 123, 2, Smoke::mf_static, 370, 782},	//800 QGlobalSpace::operator>(const QByteArray&, const char*)
    {21, 502, 1861, 1, Smoke::mf_static, 486, 783},	//801 QGlobalSpace::qHash(unsigned char)
    {21, 364, 1863, 2, Smoke::mf_static, 24, 784},	//802 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {21, 370, 1866, 2, Smoke::mf_static, 57, 785},	//803 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {21, 317, 1869, 2, Smoke::mf_static, 181, 786},	//804 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {21, 337, 1872, 2, Smoke::mf_static, 28, 787},	//805 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {21, 337, 1875, 2, Smoke::mf_static, 28, 788},	//806 QGlobalSpace::operator<<(QDebug, const QObject*)
    {21, 370, 1878, 2, Smoke::mf_static, 136, 789},	//807 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {21, 309, 485, 2, Smoke::mf_static, 370, 790},	//808 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {21, 337, 1881, 2, Smoke::mf_static, 24, 791},	//809 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {21, 364, 1884, 2, Smoke::mf_static, 24, 792},	//810 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {21, 337, 1887, 2, Smoke::mf_static, 24, 793},	//811 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {21, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 794},	//812 QGlobalSpace::PM_FrameCornerWidth (enum)
    {21, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 795},	//813 QGlobalSpace::PM_FrameCornerHeight (enum)
    {21, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 796},	//814 QGlobalSpace::PM_BoldLineWidth (enum)
    {21, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 797},	//815 QGlobalSpace::PM_ThinLineWidth (enum)
    {21, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 798},	//816 QGlobalSpace::PM_MessageBoxHeight (enum)
    {21, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 799},	//817 QGlobalSpace::PM_CbaIconWidth (enum)
    {21, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 478, 800},	//818 QGlobalSpace::PM_CbaIconHeight (enum)
    {21, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 801},	//819 QGlobalSpace::QtDebugMsg (enum)
    {21, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 802},	//820 QGlobalSpace::QtWarningMsg (enum)
    {21, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 803},	//821 QGlobalSpace::QtCriticalMsg (enum)
    {21, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 804},	//822 QGlobalSpace::QtFatalMsg (enum)
    {21, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 805},	//823 QGlobalSpace::QtSystemMsg (enum)
    {21, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 806},	//824 QGlobalSpace::__codecvt_ok (enum)
    {21, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 807},	//825 QGlobalSpace::__codecvt_partial (enum)
    {21, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 808},	//826 QGlobalSpace::__codecvt_error (enum)
    {21, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 809},	//827 QGlobalSpace::__codecvt_noconv (enum)
    {28, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 0},	//828 QItemDelegate::metaObject() const
    {28, 630, 128, 1, Smoke::mf_virtual, 493, 0},	//829 QItemDelegate::qt_metacast(const char*)
    {28, 628, 1890, 3, Smoke::mf_virtual, 475, 0},	//830 QItemDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {28, 374, 1894, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//831 QItemDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 780, 1898, 2, Smoke::mf_const|Smoke::mf_virtual, 191, 0},	//832 QItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 820, 1901, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//833 QItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {28, 194, 1905, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QItemDelegate::drawDisplay(QPainter*, const QStyleOptionViewItem&, const QRect&, const QString&) const
    {28, 193, 1910, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//835 QItemDelegate::drawDecoration(QPainter*, const QStyleOptionViewItem&, const QRect&, const QPixmap&) const
    {28, 195, 1915, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QItemDelegate::drawFocus(QPainter*, const QStyleOptionViewItem&, const QRect&) const
    {28, 192, 1919, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//837 QItemDelegate::drawCheck(QPainter*, const QStyleOptionViewItem&, const QRect&, Qt::CheckState) const
    {28, 206, 1924, 2, Smoke::mf_protected|Smoke::mf_virtual, 370, 0},	//838 QItemDelegate::eventFilter(QObject*, QEvent*)
    {28, 202, 1927, 4, Smoke::mf_protected|Smoke::mf_virtual, 370, 0},	//839 QItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {43, 205, 1932, 1, Smoke::mf_virtual, 370, 0},	//840 QObject::event(QEvent*)
    {43, 206, 1924, 2, Smoke::mf_virtual, 370, 0},	//841 QObject::eventFilter(QObject*, QEvent*)
    {43, 804, 1934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//842 QObject::timerEvent(QTimerEvent*)
    {43, 151, 1936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//843 QObject::childEvent(QChildEvent*)
    {43, 175, 1932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//844 QObject::customEvent(QEvent*)
    {43, 161, 128, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//845 QObject::connectNotify(const char*)
    {43, 190, 128, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//846 QObject::disconnectNotify(const char*)
    {64, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 1},	//847 QSql::Tables (enum)
    {64, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 2},	//848 QSql::SystemTables (enum)
    {64, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 3},	//849 QSql::Views (enum)
    {64, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 200, 4},	//850 QSql::AllTables (enum)
    {64, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 5},	//851 QSql::In (enum)
    {64, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 6},	//852 QSql::Out (enum)
    {64, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 7},	//853 QSql::InOut (enum)
    {64, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 199, 8},	//854 QSql::Binary (enum)
    {64, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 9},	//855 QSql::LowPrecisionInt32 (enum)
    {64, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 10},	//856 QSql::LowPrecisionInt64 (enum)
    {64, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 11},	//857 QSql::LowPrecisionDouble (enum)
    {64, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 198, 12},	//858 QSql::HighPrecision (enum)
    {64, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 13},	//859 QSql::BeforeFirstRow (enum)
    {64, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 197, 14},	//860 QSql::AfterLastRow (enum)
    {65, 43, 0, 0, Smoke::mf_ctor, 203, 1},	//861 QSqlDatabase::QSqlDatabase()
    {65, 43, 1938, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 203, 2},	//862 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {65, 346, 1938, 1, 0, 202, 3},	//863 QSqlDatabase::operator=(const QSqlDatabase&)
    {65, 302, 0, 0, 0, 370, 4},	//864 QSqlDatabase::open()
    {65, 302, 1835, 2, 0, 370, 5},	//865 QSqlDatabase::open(const QString&, const QString&)
    {65, 156, 0, 0, 0, 0, 6},	//866 QSqlDatabase::close()
    {65, 278, 0, 0, Smoke::mf_const, 370, 7},	//867 QSqlDatabase::isOpen() const
    {65, 279, 0, 0, Smoke::mf_const, 370, 8},	//868 QSqlDatabase::isOpenError() const
    {65, 801, 1940, 1, Smoke::mf_const, 244, 9},	//869 QSqlDatabase::tables(QSql::TableType) const
    {65, 381, 494, 1, Smoke::mf_const, 219, 10},	//870 QSqlDatabase::primaryIndex(const QString&) const
    {65, 643, 494, 1, Smoke::mf_const, 227, 11},	//871 QSqlDatabase::record(const QString&) const
    {65, 207, 494, 1, Smoke::mf_const, 222, 12},	//872 QSqlDatabase::exec(const QString&) const
    {65, 286, 0, 0, Smoke::mf_const, 211, 13},	//873 QSqlDatabase::lastError() const
    {65, 282, 0, 0, Smoke::mf_const, 370, 14},	//874 QSqlDatabase::isValid() const
    {65, 813, 0, 0, 0, 370, 15},	//875 QSqlDatabase::transaction()
    {65, 159, 0, 0, 0, 370, 16},	//876 QSqlDatabase::commit()
    {65, 671, 0, 0, 0, 370, 17},	//877 QSqlDatabase::rollback()
    {65, 695, 494, 1, 0, 0, 18},	//878 QSqlDatabase::setDatabaseName(const QString&)
    {65, 774, 494, 1, 0, 0, 19},	//879 QSqlDatabase::setUserName(const QString&)
    {65, 742, 494, 1, 0, 0, 20},	//880 QSqlDatabase::setPassword(const QString&)
    {65, 721, 494, 1, 0, 0, 21},	//881 QSqlDatabase::setHostName(const QString&)
    {65, 744, 384, 1, 0, 0, 22},	//882 QSqlDatabase::setPort(int)
    {65, 688, 494, 1, 0, 0, 23},	//883 QSqlDatabase::setConnectOptions(const QString&)
    {65, 183, 0, 0, Smoke::mf_const, 240, 24},	//884 QSqlDatabase::databaseName() const
    {65, 823, 0, 0, Smoke::mf_const, 240, 25},	//885 QSqlDatabase::userName() const
    {65, 375, 0, 0, Smoke::mf_const, 240, 26},	//886 QSqlDatabase::password() const
    {65, 241, 0, 0, Smoke::mf_const, 240, 27},	//887 QSqlDatabase::hostName() const
    {65, 197, 0, 0, Smoke::mf_const, 240, 28},	//888 QSqlDatabase::driverName() const
    {65, 376, 0, 0, Smoke::mf_const, 475, 29},	//889 QSqlDatabase::port() const
    {65, 162, 0, 0, Smoke::mf_const, 240, 30},	//890 QSqlDatabase::connectOptions() const
    {65, 163, 0, 0, Smoke::mf_const, 240, 31},	//891 QSqlDatabase::connectionName() const
    {65, 736, 1942, 1, 0, 0, 32},	//892 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {65, 301, 0, 0, Smoke::mf_const, 198, 33},	//893 QSqlDatabase::numericalPrecisionPolicy() const
    {65, 196, 0, 0, Smoke::mf_const, 204, 34},	//894 QSqlDatabase::driver() const
    {65, 120, 1835, 2, Smoke::mf_static, 201, 35},	//895 QSqlDatabase::addDatabase(const QString&, const QString&)
    {65, 120, 1944, 2, Smoke::mf_static, 201, 36},	//896 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {65, 154, 1947, 2, Smoke::mf_static, 201, 37},	//897 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {65, 180, 1950, 2, Smoke::mf_static, 201, 38},	//898 QSqlDatabase::database(const QString&, bool)
    {65, 656, 494, 1, Smoke::mf_static, 0, 39},	//899 QSqlDatabase::removeDatabase(const QString&)
    {65, 165, 494, 1, Smoke::mf_static, 370, 40},	//900 QSqlDatabase::contains(const QString&)
    {65, 199, 0, 0, Smoke::mf_static, 244, 41},	//901 QSqlDatabase::drivers()
    {65, 164, 0, 0, Smoke::mf_static, 244, 42},	//902 QSqlDatabase::connectionNames()
    {65, 645, 1953, 2, Smoke::mf_static, 0, 43},	//903 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {65, 266, 494, 1, Smoke::mf_static, 370, 44},	//904 QSqlDatabase::isDriverAvailable(const QString&)
    {65, 43, 494, 1, Smoke::mf_ctor|Smoke::mf_protected, 203, 45},	//905 QSqlDatabase::QSqlDatabase(const QString&)
    {65, 43, 1956, 1, Smoke::mf_ctor|Smoke::mf_protected, 203, 46},	//906 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {65, 801, 0, 0, Smoke::mf_const, 244, 47},	//907 QSqlDatabase::tables() const
    {65, 207, 0, 0, Smoke::mf_const, 222, 48},	//908 QSqlDatabase::exec() const
    {65, 688, 0, 0, 0, 0, 49},	//909 QSqlDatabase::setConnectOptions()
    {65, 120, 494, 1, Smoke::mf_static, 201, 50},	//910 QSqlDatabase::addDatabase(const QString&)
    {65, 120, 1956, 1, Smoke::mf_static, 201, 51},	//911 QSqlDatabase::addDatabase(QSqlDriver*)
    {65, 180, 0, 0, Smoke::mf_static, 201, 52},	//912 QSqlDatabase::database()
    {65, 180, 494, 1, Smoke::mf_static, 201, 53},	//913 QSqlDatabase::database(const QString&)
    {65, 165, 0, 0, Smoke::mf_static, 370, 54},	//914 QSqlDatabase::contains()
    {65, 185, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 470, 55},	//915 QSqlDatabase::defaultConnection() const
    {65, 699, 128, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//916 QSqlDatabase::setDefaultConnection(const char*)
    {65, 828, 0, 0, Smoke::mf_dtor, 0, 57 },	//917 QSqlDatabase::~QSqlDatabase()
    {66, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 1},	//918 QSqlDriver::metaObject() const
    {66, 630, 128, 1, Smoke::mf_virtual, 493, 2},	//919 QSqlDriver::qt_metacast(const char*)
    {66, 805, 218, 2, Smoke::mf_static, 240, 3},	//920 QSqlDriver::tr(const char*, const char*)
    {66, 809, 218, 2, Smoke::mf_static, 240, 4},	//921 QSqlDriver::trUtf8(const char*, const char*)
    {66, 805, 579, 3, Smoke::mf_static, 240, 5},	//922 QSqlDriver::tr(const char*, const char*, int)
    {66, 809, 579, 3, Smoke::mf_static, 240, 6},	//923 QSqlDriver::trUtf8(const char*, const char*, int)
    {66, 628, 1890, 3, Smoke::mf_virtual, 475, 7},	//924 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {66, 46, 1958, 1, Smoke::mf_ctor, 204, 8},	//925 QSqlDriver::QSqlDriver(QObject*)
    {66, 278, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 370, 9},	//926 QSqlDriver::isOpen() const
    {66, 279, 0, 0, Smoke::mf_const, 370, 10},	//927 QSqlDriver::isOpenError() const
    {66, 135, 0, 0, Smoke::mf_virtual, 370, 11},	//928 QSqlDriver::beginTransaction()
    {66, 160, 0, 0, Smoke::mf_virtual, 370, 12},	//929 QSqlDriver::commitTransaction()
    {66, 672, 0, 0, Smoke::mf_virtual, 370, 13},	//930 QSqlDriver::rollbackTransaction()
    {66, 801, 1940, 1, Smoke::mf_const|Smoke::mf_virtual, 244, 14},	//931 QSqlDriver::tables(QSql::TableType) const
    {66, 381, 494, 1, Smoke::mf_const|Smoke::mf_virtual, 219, 15},	//932 QSqlDriver::primaryIndex(const QString&) const
    {66, 643, 494, 1, Smoke::mf_const|Smoke::mf_virtual, 227, 16},	//933 QSqlDriver::record(const QString&) const
    {66, 231, 1960, 2, Smoke::mf_const|Smoke::mf_virtual, 240, 17},	//934 QSqlDriver::formatValue(const QSqlField&, bool) const
    {66, 203, 1963, 2, Smoke::mf_const|Smoke::mf_virtual, 240, 18},	//935 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {66, 784, 1966, 4, Smoke::mf_const|Smoke::mf_virtual, 240, 19},	//936 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {66, 286, 0, 0, Smoke::mf_const, 211, 20},	//937 QSqlDriver::lastError() const
    {66, 234, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 21},	//938 QSqlDriver::handle() const
    {66, 235, 1971, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 22},	//939 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {66, 156, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//940 QSqlDriver::close() [pure virtual]
    {66, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 234, 24},	//941 QSqlDriver::createResult() const [pure virtual]
    {66, 302, 1973, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 25},	//942 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {66, 793, 494, 1, 0, 370, 26},	//943 QSqlDriver::subscribeToNotification(const QString&)
    {66, 816, 494, 1, 0, 370, 27},	//944 QSqlDriver::unsubscribeFromNotification(const QString&)
    {66, 797, 0, 0, Smoke::mf_const, 244, 28},	//945 QSqlDriver::subscribedToNotifications() const
    {66, 272, 1963, 2, Smoke::mf_const, 370, 29},	//946 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {66, 787, 1963, 2, Smoke::mf_const, 240, 30},	//947 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {66, 736, 1942, 1, 0, 0, 31},	//948 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {66, 301, 0, 0, Smoke::mf_const, 198, 32},	//949 QSqlDriver::numericalPrecisionPolicy() const
    {66, 297, 494, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//950 QSqlDriver::notification(const QString&)
    {66, 738, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//951 QSqlDriver::setOpen(bool)
    {66, 740, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//952 QSqlDriver::setOpenError(bool)
    {66, 724, 1982, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//953 QSqlDriver::setLastError(const QSqlError&)
    {66, 795, 494, 1, Smoke::mf_protected|Smoke::mf_slot, 370, 37},	//954 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {66, 818, 494, 1, Smoke::mf_protected|Smoke::mf_slot, 370, 38},	//955 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {66, 798, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 244, 39},	//956 QSqlDriver::subscribedToNotificationsImplementation() const
    {66, 274, 1963, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 370, 40},	//957 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 789, 1963, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 240, 41},	//958 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {66, 805, 128, 1, Smoke::mf_static, 240, 42},	//959 QSqlDriver::tr(const char*)
    {66, 809, 128, 1, Smoke::mf_static, 240, 43},	//960 QSqlDriver::trUtf8(const char*)
    {66, 46, 0, 0, Smoke::mf_ctor, 204, 44},	//961 QSqlDriver::QSqlDriver()
    {66, 231, 1984, 1, Smoke::mf_const, 240, 45},	//962 QSqlDriver::formatValue(const QSqlField&) const
    {66, 302, 494, 1, 0, 370, 46},	//963 QSqlDriver::open(const QString&)
    {66, 302, 1835, 2, 0, 370, 47},	//964 QSqlDriver::open(const QString&, const QString&)
    {66, 302, 1986, 3, 0, 370, 48},	//965 QSqlDriver::open(const QString&, const QString&, const QString&)
    {66, 302, 1990, 4, 0, 370, 49},	//966 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {66, 302, 1995, 5, 0, 370, 50},	//967 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {66, 786, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 402, 51},	//968 QSqlDriver::staticMetaObject() const
    {66, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 52},	//969 QSqlDriver::Transactions (enum)
    {66, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 53},	//970 QSqlDriver::QuerySize (enum)
    {66, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 54},	//971 QSqlDriver::BLOB (enum)
    {66, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 55},	//972 QSqlDriver::Unicode (enum)
    {66, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 56},	//973 QSqlDriver::PreparedQueries (enum)
    {66, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 57},	//974 QSqlDriver::NamedPlaceholders (enum)
    {66, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 58},	//975 QSqlDriver::PositionalPlaceholders (enum)
    {66, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 59},	//976 QSqlDriver::LastInsertId (enum)
    {66, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 60},	//977 QSqlDriver::BatchOperations (enum)
    {66, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 61},	//978 QSqlDriver::SimpleLocking (enum)
    {66, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 62},	//979 QSqlDriver::LowPrecisionNumbers (enum)
    {66, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 63},	//980 QSqlDriver::EventNotifications (enum)
    {66, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 64},	//981 QSqlDriver::FinishQuery (enum)
    {66, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 65},	//982 QSqlDriver::MultipleResultSets (enum)
    {66, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 66},	//983 QSqlDriver::WhereStatement (enum)
    {66, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 67},	//984 QSqlDriver::SelectStatement (enum)
    {66, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 68},	//985 QSqlDriver::UpdateStatement (enum)
    {66, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 69},	//986 QSqlDriver::InsertStatement (enum)
    {66, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 70},	//987 QSqlDriver::DeleteStatement (enum)
    {66, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 71},	//988 QSqlDriver::FieldName (enum)
    {66, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 72},	//989 QSqlDriver::TableName (enum)
    {66, 829, 0, 0, Smoke::mf_dtor, 0, 73 },	//990 QSqlDriver::~QSqlDriver()
    {67, 172, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 204, 1},	//991 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {67, 48, 0, 0, Smoke::mf_ctor, 208, 2},	//992 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {67, 48, 2001, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 208, 3},	//993 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {67, 830, 0, 0, Smoke::mf_dtor, 0, 4 },	//994 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {68, 168, 494, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 204, 1},	//995 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {68, 50, 0, 0, Smoke::mf_ctor, 209, 2},	//996 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {68, 50, 2003, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 209, 3},	//997 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {68, 831, 0, 0, Smoke::mf_dtor, 0, 4 },	//998 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {69, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 1},	//999 QSqlDriverPlugin::metaObject() const
    {69, 630, 128, 1, Smoke::mf_virtual, 493, 2},	//1000 QSqlDriverPlugin::qt_metacast(const char*)
    {69, 805, 218, 2, Smoke::mf_static, 240, 3},	//1001 QSqlDriverPlugin::tr(const char*, const char*)
    {69, 809, 218, 2, Smoke::mf_static, 240, 4},	//1002 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {69, 805, 579, 3, Smoke::mf_static, 240, 5},	//1003 QSqlDriverPlugin::tr(const char*, const char*, int)
    {69, 809, 579, 3, Smoke::mf_static, 240, 6},	//1004 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {69, 628, 1890, 3, Smoke::mf_virtual, 475, 7},	//1005 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {69, 52, 1958, 1, Smoke::mf_ctor, 210, 8},	//1006 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {69, 284, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 244, 9},	//1007 QSqlDriverPlugin::keys() const [pure virtual]
    {69, 168, 494, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 204, 10},	//1008 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {69, 805, 128, 1, Smoke::mf_static, 240, 11},	//1009 QSqlDriverPlugin::tr(const char*)
    {69, 809, 128, 1, Smoke::mf_static, 240, 12},	//1010 QSqlDriverPlugin::trUtf8(const char*)
    {69, 52, 0, 0, Smoke::mf_ctor, 210, 13},	//1011 QSqlDriverPlugin::QSqlDriverPlugin()
    {69, 786, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 402, 14},	//1012 QSqlDriverPlugin::staticMetaObject() const
    {69, 832, 0, 0, Smoke::mf_dtor, 0, 15 },	//1013 QSqlDriverPlugin::~QSqlDriverPlugin()
    {70, 54, 2005, 4, Smoke::mf_ctor, 213, 1},	//1014 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {70, 54, 1982, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 213, 2},	//1015 QSqlError::QSqlError(const QSqlError&)
    {70, 346, 1982, 1, 0, 212, 3},	//1016 QSqlError::operator=(const QSqlError&)
    {70, 198, 0, 0, Smoke::mf_const, 240, 4},	//1017 QSqlError::driverText() const
    {70, 705, 494, 1, 0, 0, 5},	//1018 QSqlError::setDriverText(const QString&)
    {70, 184, 0, 0, Smoke::mf_const, 240, 6},	//1019 QSqlError::databaseText() const
    {70, 697, 494, 1, 0, 0, 7},	//1020 QSqlError::setDatabaseText(const QString&)
    {70, 814, 0, 0, Smoke::mf_const, 214, 8},	//1021 QSqlError::type() const
    {70, 772, 2010, 1, 0, 0, 9},	//1022 QSqlError::setType(QSqlError::ErrorType)
    {70, 300, 0, 0, Smoke::mf_const, 475, 10},	//1023 QSqlError::number() const
    {70, 734, 384, 1, 0, 0, 11},	//1024 QSqlError::setNumber(int)
    {70, 803, 0, 0, Smoke::mf_const, 240, 12},	//1025 QSqlError::text() const
    {70, 282, 0, 0, Smoke::mf_const, 370, 13},	//1026 QSqlError::isValid() const
    {70, 54, 0, 0, Smoke::mf_ctor, 213, 14},	//1027 QSqlError::QSqlError()
    {70, 54, 494, 1, Smoke::mf_ctor, 213, 15},	//1028 QSqlError::QSqlError(const QString&)
    {70, 54, 1835, 2, Smoke::mf_ctor, 213, 16},	//1029 QSqlError::QSqlError(const QString&, const QString&)
    {70, 54, 2012, 3, Smoke::mf_ctor, 213, 17},	//1030 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {70, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 18},	//1031 QSqlError::NoError (enum)
    {70, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 19},	//1032 QSqlError::ConnectionError (enum)
    {70, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 20},	//1033 QSqlError::StatementError (enum)
    {70, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 21},	//1034 QSqlError::TransactionError (enum)
    {70, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 22},	//1035 QSqlError::UnknownError (enum)
    {70, 833, 0, 0, Smoke::mf_dtor, 0, 23 },	//1036 QSqlError::~QSqlError()
    {71, 60, 2016, 2, Smoke::mf_ctor, 217, 1},	//1037 QSqlField::QSqlField(const QString&, QVariant::Type)
    {71, 60, 1984, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 217, 2},	//1038 QSqlField::QSqlField(const QSqlField&)
    {71, 346, 1984, 1, 0, 216, 3},	//1039 QSqlField::operator=(const QSqlField&)
    {71, 348, 1984, 1, Smoke::mf_const, 370, 4},	//1040 QSqlField::operator==(const QSqlField&) const
    {71, 309, 1984, 1, Smoke::mf_const, 370, 5},	//1041 QSqlField::operator!=(const QSqlField&) const
    {71, 776, 2019, 1, 0, 0, 6},	//1042 QSqlField::setValue(const QVariant&)
    {71, 824, 0, 0, Smoke::mf_const, 279, 7},	//1043 QSqlField::value() const
    {71, 730, 494, 1, 0, 0, 8},	//1044 QSqlField::setName(const QString&)
    {71, 294, 0, 0, Smoke::mf_const, 240, 9},	//1045 QSqlField::name() const
    {71, 276, 0, 0, Smoke::mf_const, 370, 10},	//1046 QSqlField::isNull() const
    {71, 754, 1980, 1, 0, 0, 11},	//1047 QSqlField::setReadOnly(bool)
    {71, 280, 0, 0, Smoke::mf_const, 370, 12},	//1048 QSqlField::isReadOnly() const
    {71, 152, 0, 0, 0, 0, 13},	//1049 QSqlField::clear()
    {71, 814, 0, 0, Smoke::mf_const, 281, 14},	//1050 QSqlField::type() const
    {71, 261, 0, 0, Smoke::mf_const, 370, 15},	//1051 QSqlField::isAutoValue() const
    {71, 772, 2021, 1, 0, 0, 16},	//1052 QSqlField::setType(QVariant::Type)
    {71, 762, 2023, 1, 0, 0, 17},	//1053 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {71, 760, 1980, 1, 0, 0, 18},	//1054 QSqlField::setRequired(bool)
    {71, 726, 384, 1, 0, 0, 19},	//1055 QSqlField::setLength(int)
    {71, 746, 384, 1, 0, 0, 20},	//1056 QSqlField::setPrecision(int)
    {71, 701, 2019, 1, 0, 0, 21},	//1057 QSqlField::setDefaultValue(const QVariant&)
    {71, 768, 384, 1, 0, 0, 22},	//1058 QSqlField::setSqlType(int)
    {71, 715, 1980, 1, 0, 0, 23},	//1059 QSqlField::setGenerated(bool)
    {71, 686, 1980, 1, 0, 0, 24},	//1060 QSqlField::setAutoValue(bool)
    {71, 663, 0, 0, Smoke::mf_const, 218, 25},	//1061 QSqlField::requiredStatus() const
    {71, 289, 0, 0, Smoke::mf_const, 475, 26},	//1062 QSqlField::length() const
    {71, 377, 0, 0, Smoke::mf_const, 475, 27},	//1063 QSqlField::precision() const
    {71, 186, 0, 0, Smoke::mf_const, 279, 28},	//1064 QSqlField::defaultValue() const
    {71, 815, 0, 0, Smoke::mf_const, 475, 29},	//1065 QSqlField::typeID() const
    {71, 270, 0, 0, Smoke::mf_const, 370, 30},	//1066 QSqlField::isGenerated() const
    {71, 282, 0, 0, Smoke::mf_const, 370, 31},	//1067 QSqlField::isValid() const
    {71, 60, 0, 0, Smoke::mf_ctor, 217, 32},	//1068 QSqlField::QSqlField()
    {71, 60, 494, 1, Smoke::mf_ctor, 217, 33},	//1069 QSqlField::QSqlField(const QString&)
    {71, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 34},	//1070 QSqlField::Unknown (enum)
    {71, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 35},	//1071 QSqlField::Optional (enum)
    {71, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 218, 36},	//1072 QSqlField::Required (enum)
    {71, 834, 0, 0, Smoke::mf_dtor, 0, 37 },	//1073 QSqlField::~QSqlField()
    {72, 64, 1835, 2, Smoke::mf_ctor, 221, 1},	//1074 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {72, 64, 2025, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 221, 2},	//1075 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {72, 346, 2025, 1, 0, 220, 3},	//1076 QSqlIndex::operator=(const QSqlIndex&)
    {72, 690, 494, 1, 0, 0, 4},	//1077 QSqlIndex::setCursorName(const QString&)
    {72, 174, 0, 0, Smoke::mf_const, 240, 5},	//1078 QSqlIndex::cursorName() const
    {72, 730, 494, 1, 0, 0, 6},	//1079 QSqlIndex::setName(const QString&)
    {72, 294, 0, 0, Smoke::mf_const, 240, 7},	//1080 QSqlIndex::name() const
    {72, 125, 1984, 1, 0, 0, 8},	//1081 QSqlIndex::append(const QSqlField&)
    {72, 125, 1960, 2, 0, 0, 9},	//1082 QSqlIndex::append(const QSqlField&, bool)
    {72, 262, 384, 1, Smoke::mf_const, 370, 10},	//1083 QSqlIndex::isDescending(int) const
    {72, 703, 2027, 2, 0, 0, 11},	//1084 QSqlIndex::setDescending(int, bool)
    {72, 64, 0, 0, Smoke::mf_ctor, 221, 12},	//1085 QSqlIndex::QSqlIndex()
    {72, 64, 494, 1, Smoke::mf_ctor, 221, 13},	//1086 QSqlIndex::QSqlIndex(const QString&)
    {72, 835, 0, 0, Smoke::mf_dtor, 0, 14 },	//1087 QSqlIndex::~QSqlIndex()
    {73, 68, 2030, 1, Smoke::mf_ctor, 224, 1},	//1088 QSqlQuery::QSqlQuery(QSqlResult*)
    {73, 68, 2032, 2, Smoke::mf_ctor, 224, 2},	//1089 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {73, 68, 2035, 1, Smoke::mf_ctor, 224, 3},	//1090 QSqlQuery::QSqlQuery(QSqlDatabase)
    {73, 68, 2037, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 224, 4},	//1091 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {73, 346, 2037, 1, 0, 223, 5},	//1092 QSqlQuery::operator=(const QSqlQuery&)
    {73, 282, 0, 0, Smoke::mf_const, 370, 6},	//1093 QSqlQuery::isValid() const
    {73, 260, 0, 0, Smoke::mf_const, 370, 7},	//1094 QSqlQuery::isActive() const
    {73, 276, 384, 1, Smoke::mf_const, 370, 8},	//1095 QSqlQuery::isNull(int) const
    {73, 128, 0, 0, Smoke::mf_const, 475, 9},	//1096 QSqlQuery::at() const
    {73, 288, 0, 0, Smoke::mf_const, 240, 10},	//1097 QSqlQuery::lastQuery() const
    {73, 299, 0, 0, Smoke::mf_const, 475, 11},	//1098 QSqlQuery::numRowsAffected() const
    {73, 286, 0, 0, Smoke::mf_const, 211, 12},	//1099 QSqlQuery::lastError() const
    {73, 281, 0, 0, Smoke::mf_const, 370, 13},	//1100 QSqlQuery::isSelect() const
    {73, 779, 0, 0, Smoke::mf_const, 475, 14},	//1101 QSqlQuery::size() const
    {73, 196, 0, 0, Smoke::mf_const, 433, 15},	//1102 QSqlQuery::driver() const
    {73, 666, 0, 0, Smoke::mf_const, 442, 16},	//1103 QSqlQuery::result() const
    {73, 269, 0, 0, Smoke::mf_const, 370, 17},	//1104 QSqlQuery::isForwardOnly() const
    {73, 643, 0, 0, Smoke::mf_const, 227, 18},	//1105 QSqlQuery::record() const
    {73, 713, 1980, 1, 0, 0, 19},	//1106 QSqlQuery::setForwardOnly(bool)
    {73, 207, 494, 1, 0, 370, 20},	//1107 QSqlQuery::exec(const QString&)
    {73, 824, 384, 1, Smoke::mf_const, 279, 21},	//1108 QSqlQuery::value(int) const
    {73, 736, 1942, 1, 0, 0, 22},	//1109 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {73, 301, 0, 0, Smoke::mf_const, 198, 23},	//1110 QSqlQuery::numericalPrecisionPolicy() const
    {73, 677, 2027, 2, 0, 370, 24},	//1111 QSqlQuery::seek(int, bool)
    {73, 295, 0, 0, 0, 370, 25},	//1112 QSqlQuery::next()
    {73, 380, 0, 0, 0, 370, 26},	//1113 QSqlQuery::previous()
    {73, 228, 0, 0, 0, 370, 27},	//1114 QSqlQuery::first()
    {73, 285, 0, 0, 0, 370, 28},	//1115 QSqlQuery::last()
    {73, 152, 0, 0, 0, 0, 29},	//1116 QSqlQuery::clear()
    {73, 207, 0, 0, 0, 370, 30},	//1117 QSqlQuery::exec()
    {73, 209, 2039, 1, 0, 370, 31},	//1118 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {73, 378, 494, 1, 0, 370, 32},	//1119 QSqlQuery::prepare(const QString&)
    {73, 136, 2041, 3, 0, 0, 33},	//1120 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 136, 2045, 3, 0, 0, 34},	//1121 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 117, 2049, 2, 0, 0, 35},	//1122 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {73, 142, 494, 1, Smoke::mf_const, 279, 36},	//1123 QSqlQuery::boundValue(const QString&) const
    {73, 142, 384, 1, Smoke::mf_const, 279, 37},	//1124 QSqlQuery::boundValue(int) const
    {73, 147, 0, 0, Smoke::mf_const, 153, 38},	//1125 QSqlQuery::boundValues() const
    {73, 211, 0, 0, Smoke::mf_const, 240, 39},	//1126 QSqlQuery::executedQuery() const
    {73, 287, 0, 0, Smoke::mf_const, 279, 40},	//1127 QSqlQuery::lastInsertId() const
    {73, 227, 0, 0, 0, 0, 41},	//1128 QSqlQuery::finish()
    {73, 296, 0, 0, 0, 370, 42},	//1129 QSqlQuery::nextResult()
    {73, 68, 0, 0, Smoke::mf_ctor, 224, 43},	//1130 QSqlQuery::QSqlQuery()
    {73, 68, 494, 1, Smoke::mf_ctor, 224, 44},	//1131 QSqlQuery::QSqlQuery(const QString&)
    {73, 677, 384, 1, 0, 370, 45},	//1132 QSqlQuery::seek(int)
    {73, 209, 0, 0, 0, 370, 46},	//1133 QSqlQuery::execBatch()
    {73, 136, 2052, 2, 0, 0, 47},	//1134 QSqlQuery::bindValue(const QString&, const QVariant&)
    {73, 136, 2055, 2, 0, 0, 48},	//1135 QSqlQuery::bindValue(int, const QVariant&)
    {73, 117, 2019, 1, 0, 0, 49},	//1136 QSqlQuery::addBindValue(const QVariant&)
    {73, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 50},	//1137 QSqlQuery::ValuesAsRows (enum)
    {73, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 51},	//1138 QSqlQuery::ValuesAsColumns (enum)
    {73, 836, 0, 0, Smoke::mf_dtor, 0, 52 },	//1139 QSqlQuery::~QSqlQuery()
    {74, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 1},	//1140 QSqlQueryModel::metaObject() const
    {74, 630, 128, 1, Smoke::mf_virtual, 493, 2},	//1141 QSqlQueryModel::qt_metacast(const char*)
    {74, 805, 218, 2, Smoke::mf_static, 240, 3},	//1142 QSqlQueryModel::tr(const char*, const char*)
    {74, 809, 218, 2, Smoke::mf_static, 240, 4},	//1143 QSqlQueryModel::trUtf8(const char*, const char*)
    {74, 805, 579, 3, Smoke::mf_static, 240, 5},	//1144 QSqlQueryModel::tr(const char*, const char*, int)
    {74, 809, 579, 3, Smoke::mf_static, 240, 6},	//1145 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {74, 628, 1890, 3, Smoke::mf_virtual, 475, 7},	//1146 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {74, 72, 1958, 1, Smoke::mf_ctor, 226, 8},	//1147 QSqlQueryModel::QSqlQueryModel(QObject*)
    {74, 673, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 9},	//1148 QSqlQueryModel::rowCount(const QModelIndex&) const
    {74, 157, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 10},	//1149 QSqlQueryModel::columnCount(const QModelIndex&) const
    {74, 643, 384, 1, Smoke::mf_const, 227, 11},	//1150 QSqlQueryModel::record(int) const
    {74, 643, 0, 0, Smoke::mf_const, 227, 12},	//1151 QSqlQueryModel::record() const
    {74, 176, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 279, 13},	//1152 QSqlQueryModel::data(const QModelIndex&, int) const
    {74, 238, 2061, 3, Smoke::mf_const|Smoke::mf_virtual, 279, 14},	//1153 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {74, 718, 2065, 4, Smoke::mf_virtual, 370, 15},	//1154 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {74, 250, 12, 3, Smoke::mf_virtual, 370, 16},	//1155 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {74, 653, 12, 3, Smoke::mf_virtual, 370, 17},	//1156 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {74, 750, 2037, 1, 0, 0, 18},	//1157 QSqlQueryModel::setQuery(const QSqlQuery&)
    {74, 750, 2070, 2, 0, 0, 19},	//1158 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {74, 637, 0, 0, Smoke::mf_const, 222, 20},	//1159 QSqlQueryModel::query() const
    {74, 152, 0, 0, Smoke::mf_virtual, 0, 21},	//1160 QSqlQueryModel::clear()
    {74, 286, 0, 0, Smoke::mf_const, 211, 22},	//1161 QSqlQueryModel::lastError() const
    {74, 216, 5, 1, Smoke::mf_virtual, 0, 23},	//1162 QSqlQueryModel::fetchMore(const QModelIndex&)
    {74, 149, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 370, 24},	//1163 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {74, 638, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1164 QSqlQueryModel::queryChange()
    {74, 244, 5, 1, Smoke::mf_const|Smoke::mf_protected, 163, 26},	//1165 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {74, 724, 1982, 1, Smoke::mf_protected, 0, 27},	//1166 QSqlQueryModel::setLastError(const QSqlError&)
    {74, 805, 128, 1, Smoke::mf_static, 240, 28},	//1167 QSqlQueryModel::tr(const char*)
    {74, 809, 128, 1, Smoke::mf_static, 240, 29},	//1168 QSqlQueryModel::trUtf8(const char*)
    {74, 72, 0, 0, Smoke::mf_ctor, 226, 30},	//1169 QSqlQueryModel::QSqlQueryModel()
    {74, 673, 0, 0, Smoke::mf_const, 475, 31},	//1170 QSqlQueryModel::rowCount() const
    {74, 157, 0, 0, Smoke::mf_const, 475, 32},	//1171 QSqlQueryModel::columnCount() const
    {74, 176, 5, 1, Smoke::mf_const, 279, 33},	//1172 QSqlQueryModel::data(const QModelIndex&) const
    {74, 238, 2073, 2, Smoke::mf_const, 279, 34},	//1173 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {74, 718, 2076, 3, 0, 370, 35},	//1174 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {74, 250, 2080, 2, 0, 370, 36},	//1175 QSqlQueryModel::insertColumns(int, int)
    {74, 653, 2080, 2, 0, 370, 37},	//1176 QSqlQueryModel::removeColumns(int, int)
    {74, 750, 494, 1, 0, 0, 38},	//1177 QSqlQueryModel::setQuery(const QString&)
    {74, 216, 0, 0, 0, 0, 39},	//1178 QSqlQueryModel::fetchMore()
    {74, 149, 0, 0, Smoke::mf_const, 370, 40},	//1179 QSqlQueryModel::canFetchMore() const
    {74, 786, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 402, 41},	//1180 QSqlQueryModel::staticMetaObject() const
    {74, 837, 0, 0, Smoke::mf_dtor, 0, 42 },	//1181 QSqlQueryModel::~QSqlQueryModel()
    {75, 74, 0, 0, Smoke::mf_ctor, 229, 1},	//1182 QSqlRecord::QSqlRecord()
    {75, 74, 2083, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 229, 2},	//1183 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {75, 346, 2083, 1, 0, 228, 3},	//1184 QSqlRecord::operator=(const QSqlRecord&)
    {75, 348, 2083, 1, Smoke::mf_const, 370, 4},	//1185 QSqlRecord::operator==(const QSqlRecord&) const
    {75, 309, 2083, 1, Smoke::mf_const, 370, 5},	//1186 QSqlRecord::operator!=(const QSqlRecord&) const
    {75, 824, 384, 1, Smoke::mf_const, 279, 6},	//1187 QSqlRecord::value(int) const
    {75, 824, 494, 1, Smoke::mf_const, 279, 7},	//1188 QSqlRecord::value(const QString&) const
    {75, 776, 2055, 2, 0, 0, 8},	//1189 QSqlRecord::setValue(int, const QVariant&)
    {75, 776, 2052, 2, 0, 0, 9},	//1190 QSqlRecord::setValue(const QString&, const QVariant&)
    {75, 732, 384, 1, 0, 0, 10},	//1191 QSqlRecord::setNull(int)
    {75, 732, 494, 1, 0, 0, 11},	//1192 QSqlRecord::setNull(const QString&)
    {75, 276, 384, 1, Smoke::mf_const, 370, 12},	//1193 QSqlRecord::isNull(int) const
    {75, 276, 494, 1, Smoke::mf_const, 370, 13},	//1194 QSqlRecord::isNull(const QString&) const
    {75, 246, 494, 1, Smoke::mf_const, 475, 14},	//1195 QSqlRecord::indexOf(const QString&) const
    {75, 224, 384, 1, Smoke::mf_const, 240, 15},	//1196 QSqlRecord::fieldName(int) const
    {75, 220, 384, 1, Smoke::mf_const, 215, 16},	//1197 QSqlRecord::field(int) const
    {75, 220, 494, 1, Smoke::mf_const, 215, 17},	//1198 QSqlRecord::field(const QString&) const
    {75, 270, 384, 1, Smoke::mf_const, 370, 18},	//1199 QSqlRecord::isGenerated(int) const
    {75, 270, 494, 1, Smoke::mf_const, 370, 19},	//1200 QSqlRecord::isGenerated(const QString&) const
    {75, 715, 1950, 2, 0, 0, 20},	//1201 QSqlRecord::setGenerated(const QString&, bool)
    {75, 715, 2027, 2, 0, 0, 21},	//1202 QSqlRecord::setGenerated(int, bool)
    {75, 125, 1984, 1, 0, 0, 22},	//1203 QSqlRecord::append(const QSqlField&)
    {75, 661, 2085, 2, 0, 0, 23},	//1204 QSqlRecord::replace(int, const QSqlField&)
    {75, 248, 2085, 2, 0, 0, 24},	//1205 QSqlRecord::insert(int, const QSqlField&)
    {75, 651, 384, 1, 0, 0, 25},	//1206 QSqlRecord::remove(int)
    {75, 268, 0, 0, Smoke::mf_const, 370, 26},	//1207 QSqlRecord::isEmpty() const
    {75, 165, 494, 1, Smoke::mf_const, 370, 27},	//1208 QSqlRecord::contains(const QString&) const
    {75, 152, 0, 0, 0, 0, 28},	//1209 QSqlRecord::clear()
    {75, 153, 0, 0, 0, 0, 29},	//1210 QSqlRecord::clearValues()
    {75, 167, 0, 0, Smoke::mf_const, 475, 30},	//1211 QSqlRecord::count() const
    {75, 838, 0, 0, Smoke::mf_dtor, 0, 31 },	//1212 QSqlRecord::~QSqlRecord()
    {76, 76, 0, 0, Smoke::mf_ctor, 231, 1},	//1213 QSqlRelation::QSqlRelation()
    {76, 76, 1986, 3, Smoke::mf_ctor, 231, 2},	//1214 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {76, 800, 0, 0, Smoke::mf_const, 240, 3},	//1215 QSqlRelation::tableName() const
    {76, 243, 0, 0, Smoke::mf_const, 240, 4},	//1216 QSqlRelation::indexColumn() const
    {76, 191, 0, 0, Smoke::mf_const, 240, 5},	//1217 QSqlRelation::displayColumn() const
    {76, 282, 0, 0, Smoke::mf_const, 370, 6},	//1218 QSqlRelation::isValid() const
    {76, 76, 2088, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 231, 7},	//1219 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {76, 839, 0, 0, Smoke::mf_dtor, 0, 8 },	//1220 QSqlRelation::~QSqlRelation()
    {77, 79, 1958, 1, Smoke::mf_ctor|Smoke::mf_explicit, 232, 1},	//1221 QSqlRelationalDelegate::QSqlRelationalDelegate(QObject*)
    {77, 170, 1901, 3, Smoke::mf_const|Smoke::mf_virtual, 289, 2},	//1222 QSqlRelationalDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {77, 709, 2090, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 3},	//1223 QSqlRelationalDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {77, 728, 2093, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 4},	//1224 QSqlRelationalDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {77, 79, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 232, 5},	//1225 QSqlRelationalDelegate::QSqlRelationalDelegate()
    {77, 840, 0, 0, Smoke::mf_dtor, 0, 6 },	//1226 QSqlRelationalDelegate::~QSqlRelationalDelegate()
    {78, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 1},	//1227 QSqlRelationalTableModel::metaObject() const
    {78, 630, 128, 1, Smoke::mf_virtual, 493, 2},	//1228 QSqlRelationalTableModel::qt_metacast(const char*)
    {78, 805, 218, 2, Smoke::mf_static, 240, 3},	//1229 QSqlRelationalTableModel::tr(const char*, const char*)
    {78, 809, 218, 2, Smoke::mf_static, 240, 4},	//1230 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {78, 805, 579, 3, Smoke::mf_static, 240, 5},	//1231 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {78, 809, 579, 3, Smoke::mf_static, 240, 6},	//1232 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {78, 628, 1890, 3, Smoke::mf_virtual, 475, 7},	//1233 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {78, 81, 2097, 2, Smoke::mf_ctor, 233, 8},	//1234 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {78, 176, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 279, 9},	//1235 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {78, 692, 1, 3, Smoke::mf_virtual, 370, 10},	//1236 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {78, 653, 12, 3, Smoke::mf_virtual, 370, 11},	//1237 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {78, 152, 0, 0, Smoke::mf_virtual, 0, 12},	//1238 QSqlRelationalTableModel::clear()
    {78, 680, 0, 0, Smoke::mf_virtual, 370, 13},	//1239 QSqlRelationalTableModel::select()
    {78, 770, 494, 1, Smoke::mf_virtual, 0, 14},	//1240 QSqlRelationalTableModel::setTable(const QString&)
    {78, 758, 2100, 2, Smoke::mf_virtual, 0, 15},	//1241 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {78, 647, 384, 1, Smoke::mf_const, 230, 16},	//1242 QSqlRelationalTableModel::relation(int) const
    {78, 649, 384, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 17},	//1243 QSqlRelationalTableModel::relationModel(int) const
    {78, 669, 384, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//1244 QSqlRelationalTableModel::revertRow(int)
    {78, 681, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 240, 19},	//1245 QSqlRelationalTableModel::selectStatement() const
    {78, 821, 2103, 2, Smoke::mf_protected|Smoke::mf_virtual, 370, 20},	//1246 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {78, 255, 2083, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 21},	//1247 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {78, 373, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 240, 22},	//1248 QSqlRelationalTableModel::orderByClause() const
    {78, 805, 128, 1, Smoke::mf_static, 240, 23},	//1249 QSqlRelationalTableModel::tr(const char*)
    {78, 809, 128, 1, Smoke::mf_static, 240, 24},	//1250 QSqlRelationalTableModel::trUtf8(const char*)
    {78, 81, 0, 0, Smoke::mf_ctor, 233, 25},	//1251 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {78, 81, 1958, 1, Smoke::mf_ctor, 233, 26},	//1252 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {78, 176, 5, 1, Smoke::mf_const, 279, 27},	//1253 QSqlRelationalTableModel::data(const QModelIndex&) const
    {78, 692, 2106, 2, 0, 370, 28},	//1254 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {78, 653, 2080, 2, 0, 370, 29},	//1255 QSqlRelationalTableModel::removeColumns(int, int)
    {78, 786, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 402, 30},	//1256 QSqlRelationalTableModel::staticMetaObject() const
    {78, 841, 0, 0, Smoke::mf_dtor, 0, 31 },	//1257 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {79, 234, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 1},	//1258 QSqlResult::handle() const
    {79, 84, 2109, 1, Smoke::mf_ctor|Smoke::mf_protected, 234, 2},	//1259 QSqlResult::QSqlResult(const QSqlDriver*)
    {79, 128, 0, 0, Smoke::mf_const|Smoke::mf_protected, 475, 3},	//1260 QSqlResult::at() const
    {79, 288, 0, 0, Smoke::mf_const|Smoke::mf_protected, 240, 4},	//1261 QSqlResult::lastQuery() const
    {79, 286, 0, 0, Smoke::mf_const|Smoke::mf_protected, 211, 5},	//1262 QSqlResult::lastError() const
    {79, 282, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 6},	//1263 QSqlResult::isValid() const
    {79, 260, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 7},	//1264 QSqlResult::isActive() const
    {79, 281, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 8},	//1265 QSqlResult::isSelect() const
    {79, 269, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 9},	//1266 QSqlResult::isForwardOnly() const
    {79, 196, 0, 0, Smoke::mf_const|Smoke::mf_protected, 433, 10},	//1267 QSqlResult::driver() const
    {79, 684, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1268 QSqlResult::setAt(int)
    {79, 682, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1269 QSqlResult::setActive(bool)
    {79, 724, 1982, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//1270 QSqlResult::setLastError(const QSqlError&)
    {79, 750, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1271 QSqlResult::setQuery(const QString&)
    {79, 764, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1272 QSqlResult::setSelect(bool)
    {79, 713, 1980, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1273 QSqlResult::setForwardOnly(bool)
    {79, 207, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 370, 17},	//1274 QSqlResult::exec()
    {79, 378, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 18},	//1275 QSqlResult::prepare(const QString&)
    {79, 675, 494, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 19},	//1276 QSqlResult::savePrepare(const QString&)
    {79, 136, 2045, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1277 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 136, 2041, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1278 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 117, 2049, 2, Smoke::mf_protected, 0, 22},	//1279 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {79, 142, 494, 1, Smoke::mf_const|Smoke::mf_protected, 279, 23},	//1280 QSqlResult::boundValue(const QString&) const
    {79, 142, 384, 1, Smoke::mf_const|Smoke::mf_protected, 279, 24},	//1281 QSqlResult::boundValue(int) const
    {79, 139, 494, 1, Smoke::mf_const|Smoke::mf_protected, 81, 25},	//1282 QSqlResult::bindValueType(const QString&) const
    {79, 139, 384, 1, Smoke::mf_const|Smoke::mf_protected, 81, 26},	//1283 QSqlResult::bindValueType(int) const
    {79, 144, 0, 0, Smoke::mf_const|Smoke::mf_protected, 475, 27},	//1284 QSqlResult::boundValueCount() const
    {79, 147, 0, 0, Smoke::mf_const|Smoke::mf_protected, 288, 28},	//1285 QSqlResult::boundValues() const
    {79, 211, 0, 0, Smoke::mf_const|Smoke::mf_protected, 240, 29},	//1286 QSqlResult::executedQuery() const
    {79, 145, 384, 1, Smoke::mf_const|Smoke::mf_protected, 240, 30},	//1287 QSqlResult::boundValueName(int) const
    {79, 152, 0, 0, Smoke::mf_protected, 0, 31},	//1288 QSqlResult::clear()
    {79, 237, 0, 0, Smoke::mf_const|Smoke::mf_protected, 370, 32},	//1289 QSqlResult::hasOutValues() const
    {79, 141, 0, 0, Smoke::mf_const|Smoke::mf_protected, 235, 33},	//1290 QSqlResult::bindingSyntax() const
    {79, 176, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 279, 34},	//1291 QSqlResult::data(int) [pure virtual]
    {79, 276, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 35},	//1292 QSqlResult::isNull(int) [pure virtual]
    {79, 664, 494, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 36},	//1293 QSqlResult::reset(const QString&) [pure virtual]
    {79, 212, 384, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 37},	//1294 QSqlResult::fetch(int) [pure virtual]
    {79, 218, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 370, 38},	//1295 QSqlResult::fetchNext()
    {79, 219, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 370, 39},	//1296 QSqlResult::fetchPrevious()
    {79, 214, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 40},	//1297 QSqlResult::fetchFirst() [pure virtual]
    {79, 215, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 370, 41},	//1298 QSqlResult::fetchLast() [pure virtual]
    {79, 779, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 475, 42},	//1299 QSqlResult::size() [pure virtual]
    {79, 299, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 475, 43},	//1300 QSqlResult::numRowsAffected() [pure virtual]
    {79, 643, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 227, 44},	//1301 QSqlResult::record() const
    {79, 287, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 279, 45},	//1302 QSqlResult::lastInsertId() const
    {79, 826, 2111, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//1303 QSqlResult::virtual_hook(int, void*)
    {79, 209, 1980, 1, Smoke::mf_protected, 370, 47},	//1304 QSqlResult::execBatch(bool)
    {79, 189, 0, 0, Smoke::mf_protected, 0, 48},	//1305 QSqlResult::detachFromResultSet()
    {79, 736, 1942, 1, Smoke::mf_protected, 0, 49},	//1306 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {79, 301, 0, 0, Smoke::mf_const|Smoke::mf_protected, 198, 50},	//1307 QSqlResult::numericalPrecisionPolicy() const
    {79, 296, 0, 0, Smoke::mf_protected, 370, 51},	//1308 QSqlResult::nextResult()
    {79, 209, 0, 0, Smoke::mf_protected, 370, 52},	//1309 QSqlResult::execBatch()
    {79, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 53},	//1310 QSqlResult::PositionalBinding (enum)
    {79, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 235, 54},	//1311 QSqlResult::NamedBinding (enum)
    {79, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 55},	//1312 QSqlResult::BatchOperation (enum)
    {79, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 56},	//1313 QSqlResult::DetachFromResultSet (enum)
    {79, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 57},	//1314 QSqlResult::SetNumericalPrecision (enum)
    {79, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 58},	//1315 QSqlResult::NextResult (enum)
    {79, 842, 0, 0, Smoke::mf_dtor, 0, 59 },	//1316 QSqlResult::~QSqlResult()
    {80, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 403, 1},	//1317 QSqlTableModel::metaObject() const
    {80, 630, 128, 1, Smoke::mf_virtual, 493, 2},	//1318 QSqlTableModel::qt_metacast(const char*)
    {80, 805, 218, 2, Smoke::mf_static, 240, 3},	//1319 QSqlTableModel::tr(const char*, const char*)
    {80, 809, 218, 2, Smoke::mf_static, 240, 4},	//1320 QSqlTableModel::trUtf8(const char*, const char*)
    {80, 805, 579, 3, Smoke::mf_static, 240, 5},	//1321 QSqlTableModel::tr(const char*, const char*, int)
    {80, 809, 579, 3, Smoke::mf_static, 240, 6},	//1322 QSqlTableModel::trUtf8(const char*, const char*, int)
    {80, 628, 1890, 3, Smoke::mf_virtual, 475, 7},	//1323 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {80, 86, 2097, 2, Smoke::mf_ctor, 237, 8},	//1324 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {80, 680, 0, 0, Smoke::mf_virtual, 370, 9},	//1325 QSqlTableModel::select()
    {80, 770, 494, 1, Smoke::mf_virtual, 0, 10},	//1326 QSqlTableModel::setTable(const QString&)
    {80, 800, 0, 0, Smoke::mf_const, 240, 11},	//1327 QSqlTableModel::tableName() const
    {80, 229, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 109, 12},	//1328 QSqlTableModel::flags(const QModelIndex&) const
    {80, 176, 2058, 2, Smoke::mf_const|Smoke::mf_virtual, 279, 13},	//1329 QSqlTableModel::data(const QModelIndex&, int) const
    {80, 692, 1, 3, Smoke::mf_virtual, 370, 14},	//1330 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {80, 238, 2061, 3, Smoke::mf_const|Smoke::mf_virtual, 279, 15},	//1331 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {80, 264, 5, 1, Smoke::mf_const, 370, 16},	//1332 QSqlTableModel::isDirty(const QModelIndex&) const
    {80, 152, 0, 0, Smoke::mf_virtual, 0, 17},	//1333 QSqlTableModel::clear()
    {80, 707, 2114, 1, Smoke::mf_virtual, 0, 18},	//1334 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {80, 201, 0, 0, Smoke::mf_const, 238, 19},	//1335 QSqlTableModel::editStrategy() const
    {80, 383, 0, 0, Smoke::mf_const, 219, 20},	//1336 QSqlTableModel::primaryKey() const
    {80, 180, 0, 0, Smoke::mf_const, 201, 21},	//1337 QSqlTableModel::database() const
    {80, 222, 494, 1, Smoke::mf_const, 475, 22},	//1338 QSqlTableModel::fieldIndex(const QString&) const
    {80, 781, 16, 2, Smoke::mf_virtual, 0, 23},	//1339 QSqlTableModel::sort(int, Qt::SortOrder)
    {80, 766, 16, 2, Smoke::mf_virtual, 0, 24},	//1340 QSqlTableModel::setSort(int, Qt::SortOrder)
    {80, 226, 0, 0, Smoke::mf_const, 240, 25},	//1341 QSqlTableModel::filter() const
    {80, 711, 494, 1, Smoke::mf_virtual, 0, 26},	//1342 QSqlTableModel::setFilter(const QString&)
    {80, 673, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 475, 27},	//1343 QSqlTableModel::rowCount(const QModelIndex&) const
    {80, 653, 12, 3, Smoke::mf_virtual, 370, 28},	//1344 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {80, 658, 12, 3, Smoke::mf_virtual, 370, 29},	//1345 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {80, 257, 12, 3, Smoke::mf_virtual, 370, 30},	//1346 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {80, 253, 2103, 2, 0, 370, 31},	//1347 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {80, 756, 2103, 2, 0, 370, 32},	//1348 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {80, 669, 384, 1, Smoke::mf_virtual, 0, 33},	//1349 QSqlTableModel::revertRow(int)
    {80, 791, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 370, 34},	//1350 QSqlTableModel::submit()
    {80, 667, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//1351 QSqlTableModel::revert()
    {80, 792, 0, 0, Smoke::mf_slot, 370, 36},	//1352 QSqlTableModel::submitAll()
    {80, 668, 0, 0, Smoke::mf_slot, 0, 37},	//1353 QSqlTableModel::revertAll()
    {80, 384, 2116, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1354 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {80, 131, 2119, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1355 QSqlTableModel::beforeInsert(QSqlRecord&)
    {80, 133, 2116, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1356 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {80, 129, 384, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1357 QSqlTableModel::beforeDelete(int)
    {80, 821, 2103, 2, Smoke::mf_protected|Smoke::mf_virtual, 370, 42},	//1358 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {80, 255, 2083, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 43},	//1359 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {80, 187, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 370, 44},	//1360 QSqlTableModel::deleteRowFromTable(int)
    {80, 373, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 240, 45},	//1361 QSqlTableModel::orderByClause() const
    {80, 681, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 240, 46},	//1362 QSqlTableModel::selectStatement() const
    {80, 748, 2025, 1, Smoke::mf_protected, 0, 47},	//1363 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {80, 750, 2037, 1, Smoke::mf_protected, 0, 48},	//1364 QSqlTableModel::setQuery(const QSqlQuery&)
    {80, 244, 5, 1, Smoke::mf_const|Smoke::mf_protected, 163, 49},	//1365 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {80, 805, 128, 1, Smoke::mf_static, 240, 50},	//1366 QSqlTableModel::tr(const char*)
    {80, 809, 128, 1, Smoke::mf_static, 240, 51},	//1367 QSqlTableModel::trUtf8(const char*)
    {80, 86, 0, 0, Smoke::mf_ctor, 237, 52},	//1368 QSqlTableModel::QSqlTableModel()
    {80, 86, 1958, 1, Smoke::mf_ctor, 237, 53},	//1369 QSqlTableModel::QSqlTableModel(QObject*)
    {80, 176, 5, 1, Smoke::mf_const, 279, 54},	//1370 QSqlTableModel::data(const QModelIndex&) const
    {80, 692, 2106, 2, 0, 370, 55},	//1371 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {80, 238, 2073, 2, Smoke::mf_const, 279, 56},	//1372 QSqlTableModel::headerData(int, Qt::Orientation) const
    {80, 673, 0, 0, Smoke::mf_const, 475, 57},	//1373 QSqlTableModel::rowCount() const
    {80, 653, 2080, 2, 0, 370, 58},	//1374 QSqlTableModel::removeColumns(int, int)
    {80, 658, 2080, 2, 0, 370, 59},	//1375 QSqlTableModel::removeRows(int, int)
    {80, 257, 2080, 2, 0, 370, 60},	//1376 QSqlTableModel::insertRows(int, int)
    {80, 786, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 402, 61},	//1377 QSqlTableModel::staticMetaObject() const
    {80, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 62},	//1378 QSqlTableModel::OnFieldChange (enum)
    {80, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 63},	//1379 QSqlTableModel::OnRowChange (enum)
    {80, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 238, 64},	//1380 QSqlTableModel::OnManualSubmit (enum)
    {80, 843, 0, 0, Smoke::mf_dtor, 0, 65 },	//1381 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1088,  // QSqlQuery::QSqlQuery(QSqlResult*)
    1090,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    1091,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    1134,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    1135,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    1120,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1121,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1123,  // QSqlQuery::boundValue(const QString&) const
    1124,  // QSqlQuery::boundValue(int) const
    0,
    28,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    106,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    170,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    185,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    269,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    310,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    339,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    348,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    432,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    441,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    492,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    506,  // QGlobalSpace::operator!=(QChar, QChar)
    549,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    641,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    671,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    720,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    730,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    732,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    788,  // QGlobalSpace::operator!=(QBool, QBool)
    808,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    89,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    118,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    141,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    527,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    728,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    259,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    387,  // QGlobalSpace::operator!=(bool, QBool)
    440,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    517,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    701,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    743,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    35,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    67,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    72,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    75,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    116,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    134,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    186,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    244,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    270,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    290,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    308,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    332,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    407,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    418,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    478,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    526,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    556,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    561,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    566,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    633,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    688,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    690,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    700,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    712,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    722,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    737,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    748,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    751,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    804,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    81,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    178,  // QGlobalSpace::operator*(const QTransform&, double)
    284,  // QGlobalSpace::operator*(const QQuaternion&, double)
    435,  // QGlobalSpace::operator*(const QVector4D&, double)
    490,  // QGlobalSpace::operator*(const QVector2D&, double)
    497,  // QGlobalSpace::operator*(const QVector3D&, double)
    558,  // QGlobalSpace::operator*(const QSize&, double)
    681,  // QGlobalSpace::operator*(const QPoint&, int)
    709,  // QGlobalSpace::operator*(const QPoint&, double)
    717,  // QGlobalSpace::operator*(const QSizeF&, double)
    724,  // QGlobalSpace::operator*(const QPoint&, float)
    739,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    101,  // QGlobalSpace::operator*(double, const QSizeF&)
    343,  // QGlobalSpace::operator*(int, const QPoint&)
    394,  // QGlobalSpace::operator*(double, const QVector2D&)
    422,  // QGlobalSpace::operator*(float, const QPoint&)
    443,  // QGlobalSpace::operator*(double, const QVector4D&)
    489,  // QGlobalSpace::operator*(double, const QQuaternion&)
    554,  // QGlobalSpace::operator*(double, const QPointF&)
    565,  // QGlobalSpace::operator*(double, const QPoint&)
    625,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    725,  // QGlobalSpace::operator*(double, const QSize&)
    792,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    61,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    96,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    129,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    155,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    159,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    216,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    289,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    301,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    366,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    760,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    189,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    200,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    243,  // QGlobalSpace::operator+(const QTransform&, double)
    249,  // QGlobalSpace::operator+(QChar, const QString&)
    449,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    41,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    132,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    184,  // QGlobalSpace::operator+(const QString&, QChar)
    535,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    194,  // QGlobalSpace::operator+(const QString&, const char*)
    268,  // QGlobalSpace::operator+(const QString&, char)
    359,  // QGlobalSpace::operator+(char, const QString&)
    542,  // QGlobalSpace::operator+(const char*, const QString&)
    787,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    77,  // QGlobalSpace::operator-(const QMatrix4x4&)
    258,  // QGlobalSpace::operator-(const QQuaternion&)
    293,  // QGlobalSpace::operator-(const QPoint&)
    395,  // QGlobalSpace::operator-(const QVector4D&)
    410,  // QGlobalSpace::operator-(const QPointF&)
    622,  // QGlobalSpace::operator-(const QVector2D&)
    665,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    25,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    107,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    133,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    137,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    164,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    271,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    353,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    540,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    738,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    125,  // QGlobalSpace::operator/(const QPoint&, double)
    160,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    317,  // QGlobalSpace::operator/(const QVector4D&, double)
    384,  // QGlobalSpace::operator/(const QVector2D&, double)
    386,  // QGlobalSpace::operator/(const QPointF&, double)
    390,  // QGlobalSpace::operator/(const QVector3D&, double)
    400,  // QGlobalSpace::operator/(const QTransform&, double)
    454,  // QGlobalSpace::operator/(const QSizeF&, double)
    470,  // QGlobalSpace::operator/(const QQuaternion&, double)
    689,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    85,  // QGlobalSpace::operator<(QChar, QChar)
    165,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    277,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    727,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    91,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    442,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    39,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    64,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    68,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    69,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    74,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    82,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    83,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    109,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    121,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    130,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    136,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    142,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    145,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    147,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    152,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    181,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    190,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    218,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    220,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    230,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    245,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    295,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    312,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    313,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    318,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    327,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    333,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    334,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    342,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    350,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    370,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    371,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    372,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    374,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    404,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    411,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    417,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    425,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    429,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    437,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    438,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    448,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    456,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    466,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    474,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    479,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    485,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    486,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    488,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    491,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    494,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    499,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    501,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    502,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    504,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    520,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    532,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    538,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    541,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    559,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    568,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    594,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    600,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    609,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    614,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    624,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    626,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    632,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    636,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    637,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    648,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    653,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    660,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    666,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    702,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    703,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    716,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    733,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    736,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    752,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    753,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    754,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    766,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    775,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    777,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    781,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    791,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    793,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    806,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    809,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    811,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    33,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    90,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    254,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    328,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    373,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    477,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    551,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    686,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    746,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    805,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    215,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    240,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    465,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    667,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    463,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    531,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    27,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    38,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    49,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    71,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    73,  // QGlobalSpace::operator==(QChar, QChar)
    103,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    208,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    231,  // QGlobalSpace::operator==(QBool, QBool)
    272,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    292,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    299,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    363,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    388,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    446,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    455,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    458,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    557,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    581,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    644,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    694,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    721,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    37,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    172,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    361,  // QGlobalSpace::operator==(QString::Null, const QString&)
    714,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    719,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    771,  // QGlobalSpace::operator==(QBool, bool)
    0,
    32,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    58,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    233,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    413,  // QGlobalSpace::operator==(bool, QBool)
    484,  // QGlobalSpace::operator==(const QString&, QString::Null)
    537,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    655,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    99,  // QGlobalSpace::operator>(QChar, QChar)
    195,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    211,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    344,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    59,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    169,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    21,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    88,  // QGlobalSpace::operator>=(QChar, QChar)
    453,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    595,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    424,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    799,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    34,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    42,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    47,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    52,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    84,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    86,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    174,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    182,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    198,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    229,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    241,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    255,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    264,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    276,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    347,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    360,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    362,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    375,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    382,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    397,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    405,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    409,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    419,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    436,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    452,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    467,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    483,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    505,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    514,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    515,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    518,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    534,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    546,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    547,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    553,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    598,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    608,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    645,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    659,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    673,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    674,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    678,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    696,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    731,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    761,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    764,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    772,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    773,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    802,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    810,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    469,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    682,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    19,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    24,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    26,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    36,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    40,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    43,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    44,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    45,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    57,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    60,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    65,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    66,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    70,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    76,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    80,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    87,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    92,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    93,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    95,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    98,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    100,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    104,  // QGlobalSpace::operator|(QDir::Filter, int)
    105,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    110,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    111,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    112,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    114,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    117,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    119,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    120,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    122,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    123,  // QGlobalSpace::operator|(QFile::Permission, int)
    124,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    131,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    140,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    143,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    144,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    148,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    151,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    153,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    154,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    156,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    161,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    162,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    163,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    173,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    176,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    180,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    187,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    192,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    193,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    196,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    203,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    205,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    209,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    212,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    217,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    224,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    226,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    228,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    232,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    234,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    235,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    238,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    239,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    246,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    250,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    251,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    252,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    253,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    261,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    263,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    265,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    267,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    273,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    274,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    275,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    279,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    285,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    288,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    291,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    294,  // QGlobalSpace::operator|(Qt::DropAction, int)
    296,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    309,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    314,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    319,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    322,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    325,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    326,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    329,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    331,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    340,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    346,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    349,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    351,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    352,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    364,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    365,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    367,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    381,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    383,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    385,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    389,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    391,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    392,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    396,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    399,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    401,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    403,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    408,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    412,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    415,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    420,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    426,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    427,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    428,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    431,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    439,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    444,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    445,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    450,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    451,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    457,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    462,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    468,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    473,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    475,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    480,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    481,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    493,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    495,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    496,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    500,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    507,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    510,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    511,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    513,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    519,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    521,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    522,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    525,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    533,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    536,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    539,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    543,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    544,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    545,  // QGlobalSpace::operator|(Qt::WindowState, int)
    548,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    550,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    552,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    555,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    562,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    563,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    574,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    575,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    577,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    578,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    582,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    583,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    587,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    588,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    589,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    591,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    592,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    593,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    596,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    597,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    601,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    607,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    610,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    615,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    616,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    617,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    618,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    619,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    620,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    621,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    623,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    631,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    638,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    639,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    640,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    643,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    646,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    654,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    656,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    657,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    658,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    663,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    664,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    668,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    670,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    672,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    679,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    680,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    683,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    684,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    687,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    692,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    697,  // QGlobalSpace::operator|(Qt::Orientation, int)
    698,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    708,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    710,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    713,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    715,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    718,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    723,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    726,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    729,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    734,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    735,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    741,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    742,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    747,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    749,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    750,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    755,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    756,  // QGlobalSpace::operator|(Qt::WindowType, int)
    758,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    762,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    763,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    765,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    767,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    768,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    776,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    778,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    779,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    782,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    786,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    789,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    797,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    798,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    803,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    807,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    135,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    202,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    262,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    402,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    430,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    560,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    652,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    580,  // QGlobalSpace::qFuzzyCompare(float, float)
    699,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    283,  // QGlobalSpace::qFuzzyIsNull(float)
    611,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    78,  // QGlobalSpace::qHash(const QUrl&)
    79,  // QGlobalSpace::qHash(const QByteArray&)
    175,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    204,  // QGlobalSpace::qHash(QChar)
    225,  // QGlobalSpace::qHash(const QModelIndex&)
    368,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    498,  // QGlobalSpace::qHash(const QBitArray&)
    795,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    22,  // QGlobalSpace::qHash(unsigned long long)
    56,  // QGlobalSpace::qHash(signed char)
    115,  // QGlobalSpace::qHash(char)
    201,  // QGlobalSpace::qHash(unsigned int)
    214,  // QGlobalSpace::qHash(const QString&)
    257,  // QGlobalSpace::qHash(long long)
    287,  // QGlobalSpace::qHash(int)
    341,  // QGlobalSpace::qHash(long)
    345,  // QGlobalSpace::qHash(unsigned short)
    573,  // QGlobalSpace::qHash(short)
    774,  // QGlobalSpace::qHash(unsigned long)
    801,  // QGlobalSpace::qHash(unsigned char)
    0,
    62,  // QGlobalSpace::qIntCast(double)
    207,  // QGlobalSpace::qIntCast(float)
    0,
    138,  // QGlobalSpace::qIsFinite(double)
    183,  // QGlobalSpace::qIsFinite(float)
    0,
    23,  // QGlobalSpace::qIsInf(double)
    54,  // QGlobalSpace::qIsInf(float)
    0,
    237,  // QGlobalSpace::qIsNaN(float)
    247,  // QGlobalSpace::qIsNaN(double)
    0,
    691,  // QGlobalSpace::qIsNull(float)
    796,  // QGlobalSpace::qIsNull(double)
    0,
    1197,  // QSqlRecord::field(int) const
    1198,  // QSqlRecord::field(const QString&) const
    0,
    1199,  // QSqlRecord::isGenerated(int) const
    1200,  // QSqlRecord::isGenerated(const QString&) const
    0,
    1193,  // QSqlRecord::isNull(int) const
    1194,  // QSqlRecord::isNull(const QString&) const
    0,
    1201,  // QSqlRecord::setGenerated(const QString&, bool)
    1202,  // QSqlRecord::setGenerated(int, bool)
    0,
    1191,  // QSqlRecord::setNull(int)
    1192,  // QSqlRecord::setNull(const QString&)
    0,
    1189,  // QSqlRecord::setValue(int, const QVariant&)
    1190,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    1187,  // QSqlRecord::value(int) const
    1188,  // QSqlRecord::value(const QString&) const
    0,
    1277,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    1278,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    1282,  // QSqlResult::bindValueType(const QString&) const
    1283,  // QSqlResult::bindValueType(int) const
    0,
    1280,  // QSqlResult::boundValue(const QString&) const
    1281,  // QSqlResult::boundValue(int) const
    0,
    862,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    906,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {21, 33, 814},	// QGlobalSpace::PM_BoldLineWidth
    {21, 34, 818},	// QGlobalSpace::PM_CbaIconHeight
    {21, 35, 817},	// QGlobalSpace::PM_CbaIconWidth
    {21, 36, 813},	// QGlobalSpace::PM_FrameCornerHeight
    {21, 37, 812},	// QGlobalSpace::PM_FrameCornerWidth
    {21, 38, 816},	// QGlobalSpace::PM_MessageBoxHeight
    {21, 39, 815},	// QGlobalSpace::PM_ThinLineWidth
    {21, 89, 821},	// QGlobalSpace::QtCriticalMsg
    {21, 90, 819},	// QGlobalSpace::QtDebugMsg
    {21, 91, 822},	// QGlobalSpace::QtFatalMsg
    {21, 92, 823},	// QGlobalSpace::QtSystemMsg
    {21, 93, 820},	// QGlobalSpace::QtWarningMsg
    {21, 113, 826},	// QGlobalSpace::__codecvt_error
    {21, 114, 827},	// QGlobalSpace::__codecvt_noconv
    {21, 115, 824},	// QGlobalSpace::__codecvt_ok
    {21, 116, 825},	// QGlobalSpace::__codecvt_partial
    {21, 311, -14},	// QGlobalSpace::operator!=##
    {21, 312, -35},	// QGlobalSpace::operator!=#$
    {21, 313, -41},	// QGlobalSpace::operator!=$#
    {21, 314, 236},	// QGlobalSpace::operator!=$$
    {21, 316, 423},	// QGlobalSpace::operator&##
    {21, 318, -48},	// QGlobalSpace::operator*##
    {21, 319, -78},	// QGlobalSpace::operator*#$
    {21, 320, -91},	// QGlobalSpace::operator*$#
    {21, 322, -103},	// QGlobalSpace::operator+##
    {21, 323, -114},	// QGlobalSpace::operator+#$
    {21, 324, -120},	// QGlobalSpace::operator+$#
    {21, 325, -125},	// QGlobalSpace::operator+$$
    {21, 327, -131},	// QGlobalSpace::operator-#
    {21, 328, -139},	// QGlobalSpace::operator-##
    {21, 329, 113},	// QGlobalSpace::operator-#$
    {21, 331, -149},	// QGlobalSpace::operator/#$
    {21, 333, -160},	// QGlobalSpace::operator<##
    {21, 334, 487},	// QGlobalSpace::operator<#$
    {21, 335, -165},	// QGlobalSpace::operator<$#
    {21, 336, 149},	// QGlobalSpace::operator<$$
    {21, 338, -168},	// QGlobalSpace::operator<<##
    {21, 339, -265},	// QGlobalSpace::operator<<#$
    {21, 340, 447},	// QGlobalSpace::operator<<#?
    {21, 342, -276},	// QGlobalSpace::operator<=##
    {21, 343, 206},	// QGlobalSpace::operator<=#$
    {21, 344, -281},	// QGlobalSpace::operator<=$#
    {21, 345, 516},	// QGlobalSpace::operator<=$$
    {21, 350, -284},	// QGlobalSpace::operator==##
    {21, 351, -306},	// QGlobalSpace::operator==#$
    {21, 352, -313},	// QGlobalSpace::operator==$#
    {21, 353, 780},	// QGlobalSpace::operator==$$
    {21, 355, -321},	// QGlobalSpace::operator>##
    {21, 356, 800},	// QGlobalSpace::operator>#$
    {21, 357, -326},	// QGlobalSpace::operator>$#
    {21, 358, 369},	// QGlobalSpace::operator>$$
    {21, 360, -329},	// QGlobalSpace::operator>=##
    {21, 361, 53},	// QGlobalSpace::operator>=#$
    {21, 362, -334},	// QGlobalSpace::operator>=$#
    {21, 363, 794},	// QGlobalSpace::operator>=$$
    {21, 365, -337},	// QGlobalSpace::operator>>##
    {21, 366, -389},	// QGlobalSpace::operator>>#$
    {21, 367, 323},	// QGlobalSpace::operator>>#?
    {21, 369, 210},	// QGlobalSpace::operator^##
    {21, 371, 647},	// QGlobalSpace::operator|##
    {21, 372, -392},	// QGlobalSpace::operator|$$
    {21, 386, 406},	// QGlobalSpace::qAccessibleActionCastHelper
    {21, 387, 108},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {21, 388, 512},	// QGlobalSpace::qAccessibleImageCastHelper
    {21, 389, 278},	// QGlobalSpace::qAccessibleTableCastHelper
    {21, 390, 191},	// QGlobalSpace::qAccessibleTextCastHelper
    {21, 391, 20},	// QGlobalSpace::qAccessibleValueCastHelper
    {21, 393, 590},	// QGlobalSpace::qAcos$
    {21, 395, 459},	// QGlobalSpace::qAddPostRoutine$
    {21, 397, 146},	// QGlobalSpace::qAlpha$
    {21, 398, 471},	// QGlobalSpace::qAppName
    {21, 400, 635},	// QGlobalSpace::qAsin$
    {21, 402, 695},	// QGlobalSpace::qAtan$
    {21, 404, 51},	// QGlobalSpace::qAtan2$$
    {21, 405, 599},	// QGlobalSpace::qBadAlloc
    {21, 407, 330},	// QGlobalSpace::qBlue$
    {21, 409, 503},	// QGlobalSpace::qCeil$
    {21, 411, 315},	// QGlobalSpace::qChecksum$$
    {21, 413, 613},	// QGlobalSpace::qCompress#
    {21, 414, 612},	// QGlobalSpace::qCompress#$
    {21, 415, 461},	// QGlobalSpace::qCompress$$
    {21, 416, 460},	// QGlobalSpace::qCompress$$$
    {21, 418, 97},	// QGlobalSpace::qCos$
    {21, 419, 434},	// QGlobalSpace::qCritical
    {21, 420, 523},	// QGlobalSpace::qDebug
    {21, 422, 316},	// QGlobalSpace::qDrawBorderPixmap####
    {21, 423, 784},	// QGlobalSpace::qDrawBorderPixmap######
    {21, 424, 785},	// QGlobalSpace::qDrawBorderPixmap#######
    {21, 425, 783},	// QGlobalSpace::qDrawBorderPixmap#######$
    {21, 427, 676},	// QGlobalSpace::qDrawPlainRect###
    {21, 428, 677},	// QGlobalSpace::qDrawPlainRect###$
    {21, 429, 675},	// QGlobalSpace::qDrawPlainRect###$#
    {21, 430, 281},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {21, 431, 282},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {21, 432, 280},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {21, 434, 705},	// QGlobalSpace::qDrawShadeLine####
    {21, 435, 706},	// QGlobalSpace::qDrawShadeLine####$
    {21, 436, 707},	// QGlobalSpace::qDrawShadeLine####$$
    {21, 437, 704},	// QGlobalSpace::qDrawShadeLine####$$$
    {21, 438, 628},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {21, 439, 629},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {21, 440, 630},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {21, 441, 627},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {21, 443, 355},	// QGlobalSpace::qDrawShadePanel###
    {21, 444, 356},	// QGlobalSpace::qDrawShadePanel###$
    {21, 445, 357},	// QGlobalSpace::qDrawShadePanel###$$
    {21, 446, 354},	// QGlobalSpace::qDrawShadePanel###$$#
    {21, 447, 378},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {21, 448, 379},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {21, 449, 380},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {21, 450, 377},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {21, 452, 303},	// QGlobalSpace::qDrawShadeRect###
    {21, 453, 304},	// QGlobalSpace::qDrawShadeRect###$
    {21, 454, 305},	// QGlobalSpace::qDrawShadeRect###$$
    {21, 455, 306},	// QGlobalSpace::qDrawShadeRect###$$$
    {21, 456, 302},	// QGlobalSpace::qDrawShadeRect###$$$#
    {21, 457, 603},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {21, 458, 604},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {21, 459, 605},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {21, 460, 606},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {21, 461, 602},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {21, 463, 336},	// QGlobalSpace::qDrawWinButton###
    {21, 464, 337},	// QGlobalSpace::qDrawWinButton###$
    {21, 465, 335},	// QGlobalSpace::qDrawWinButton###$#
    {21, 466, 650},	// QGlobalSpace::qDrawWinButton#$$$$#
    {21, 467, 651},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {21, 468, 649},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {21, 470, 571},	// QGlobalSpace::qDrawWinPanel###
    {21, 471, 572},	// QGlobalSpace::qDrawWinPanel###$
    {21, 472, 570},	// QGlobalSpace::qDrawWinPanel###$#
    {21, 473, 127},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {21, 474, 128},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {21, 475, 126},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {21, 477, 297},	// QGlobalSpace::qExp$
    {21, 479, 576},	// QGlobalSpace::qFabs$
    {21, 481, 227},	// QGlobalSpace::qFastCos$
    {21, 483, 464},	// QGlobalSpace::qFastSin$
    {21, 485, 242},	// QGlobalSpace::qFlagLocation$
    {21, 487, 179},	// QGlobalSpace::qFloor$
    {21, 489, 476},	// QGlobalSpace::qFree$
    {21, 491, 482},	// QGlobalSpace::qFreeAligned$
    {21, 493, -627},	// QGlobalSpace::qFuzzyCompare##
    {21, 494, -635},	// QGlobalSpace::qFuzzyCompare$$
    {21, 496, -638},	// QGlobalSpace::qFuzzyIsNull$
    {21, 498, 248},	// QGlobalSpace::qGray$
    {21, 499, 150},	// QGlobalSpace::qGray$$$
    {21, 501, 529},	// QGlobalSpace::qGreen$
    {21, 503, -641},	// QGlobalSpace::qHash#
    {21, 504, -650},	// QGlobalSpace::qHash$
    {21, 505, 745},	// QGlobalSpace::qInf
    {21, 507, 222},	// QGlobalSpace::qInstallMsgHandler$
    {21, 509, -663},	// QGlobalSpace::qIntCast$
    {21, 511, -666},	// QGlobalSpace::qIsFinite$
    {21, 513, 669},	// QGlobalSpace::qIsGray$
    {21, 515, -669},	// QGlobalSpace::qIsInf$
    {21, 517, -672},	// QGlobalSpace::qIsNaN$
    {21, 519, -675},	// QGlobalSpace::qIsNull$
    {21, 521, 300},	// QGlobalSpace::qLn$
    {21, 523, 320},	// QGlobalSpace::qMalloc$
    {21, 525, 524},	// QGlobalSpace::qMallocAligned$$
    {21, 527, 30},	// QGlobalSpace::qMemCopy$$$
    {21, 529, 567},	// QGlobalSpace::qMemSet$$$
    {21, 531, 530},	// QGlobalSpace::qPow$$
    {21, 532, 321},	// QGlobalSpace::qQNaN
    {21, 534, 213},	// QGlobalSpace::qRealloc$$
    {21, 536, 197},	// QGlobalSpace::qReallocAligned$$$$
    {21, 538, 177},	// QGlobalSpace::qRed$
    {21, 540, 311},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {21, 542, 759},	// QGlobalSpace::qRemovePostRoutine$
    {21, 544, 266},	// QGlobalSpace::qRgb$$$
    {21, 546, 433},	// QGlobalSpace::qRgba$$$$
    {21, 548, 744},	// QGlobalSpace::qRound$
    {21, 550, 221},	// QGlobalSpace::qRound64$
    {21, 551, 711},	// QGlobalSpace::qSNaN
    {21, 553, 171},	// QGlobalSpace::qSetFieldWidth$
    {21, 555, 63},	// QGlobalSpace::qSetPadChar#
    {21, 557, 298},	// QGlobalSpace::qSetRealNumberPrecision$
    {21, 558, 102},	// QGlobalSpace::qSharedBuild
    {21, 560, 642},	// QGlobalSpace::qSin$
    {21, 562, 223},	// QGlobalSpace::qSqrt$
    {21, 564, 508},	// QGlobalSpace::qStringComparisonHelper#$
    {21, 565, 46},	// QGlobalSpace::qStringComparisonHelper$$
    {21, 567, 168},	// QGlobalSpace::qTan$
    {21, 569, 398},	// QGlobalSpace::qUncompress#
    {21, 570, 166},	// QGlobalSpace::qUncompress$$
    {21, 571, 472},	// QGlobalSpace::qVersion
    {21, 572, 769},	// QGlobalSpace::qWarning
    {21, 574, 188},	// QGlobalSpace::qbswap_helper$$$
    {21, 576, 139},	// QGlobalSpace::qecvt$$$$
    {21, 578, 528},	// QGlobalSpace::qecvt_r$$$$$$
    {21, 580, 260},	// QGlobalSpace::qfcvt$$$$
    {21, 582, 584},	// QGlobalSpace::qfcvt_r$$$$$$
    {21, 584, 585},	// QGlobalSpace::qgcvt$$$
    {21, 586, 55},	// QGlobalSpace::qgetenv$
    {21, 588, 324},	// QGlobalSpace::qputenv$#
    {21, 589, 416},	// QGlobalSpace::qrand
    {21, 591, 586},	// QGlobalSpace::qsort$$$$
    {21, 593, 338},	// QGlobalSpace::qsrand$
    {21, 595, 579},	// QGlobalSpace::qstrcmp##
    {21, 596, 757},	// QGlobalSpace::qstrcmp#$
    {21, 597, 48},	// QGlobalSpace::qstrcmp$#
    {21, 598, 94},	// QGlobalSpace::qstrcmp$$
    {21, 600, 286},	// QGlobalSpace::qstrcpy$$
    {21, 602, 509},	// QGlobalSpace::qstrdup$
    {21, 604, 740},	// QGlobalSpace::qstricmp$$
    {21, 606, 770},	// QGlobalSpace::qstrlen$
    {21, 608, 167},	// QGlobalSpace::qstrncmp$$$
    {21, 610, 393},	// QGlobalSpace::qstrncpy$$$
    {21, 612, 358},	// QGlobalSpace::qstrnicmp$$$
    {21, 614, 29},	// QGlobalSpace::qstrnlen$$
    {21, 616, 662},	// QGlobalSpace::qtTrId$
    {21, 617, 661},	// QGlobalSpace::qtTrId$$
    {21, 619, 256},	// QGlobalSpace::qt_assert$$$
    {21, 621, 421},	// QGlobalSpace::qt_assert_x$$$$
    {21, 623, 569},	// QGlobalSpace::qt_check_pointer$$
    {21, 624, 158},	// QGlobalSpace::qt_error_string
    {21, 625, 157},	// QGlobalSpace::qt_error_string$
    {21, 627, 790},	// QGlobalSpace::qt_message_output$$
    {21, 632, 31},	// QGlobalSpace::qt_noop
    {21, 634, 376},	// QGlobalSpace::qt_qFindChild_helper#$#
    {21, 636, 693},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {21, 640, 685},	// QGlobalSpace::qvariant_cast_helper#$$
    {21, 642, 564},	// QGlobalSpace::qvsnprintf$$$?
    {64, 1, 860},	// QSql::AfterLastRow
    {64, 2, 850},	// QSql::AllTables
    {64, 6, 859},	// QSql::BeforeFirstRow
    {64, 7, 854},	// QSql::Binary
    {64, 14, 858},	// QSql::HighPrecision
    {64, 15, 851},	// QSql::In
    {64, 16, 853},	// QSql::InOut
    {64, 19, 857},	// QSql::LowPrecisionDouble
    {64, 20, 855},	// QSql::LowPrecisionInt32
    {64, 21, 856},	// QSql::LowPrecisionInt64
    {64, 32, 852},	// QSql::Out
    {64, 100, 848},	// QSql::SystemTables
    {64, 102, 847},	// QSql::Tables
    {64, 111, 849},	// QSql::Views
    {65, 43, 861},	// QSqlDatabase::QSqlDatabase
    {65, 44, -708},	// QSqlDatabase::QSqlDatabase#
    {65, 45, 905},	// QSqlDatabase::QSqlDatabase$
    {65, 121, 911},	// QSqlDatabase::addDatabase#
    {65, 122, 896},	// QSqlDatabase::addDatabase#$
    {65, 123, 910},	// QSqlDatabase::addDatabase$
    {65, 124, 895},	// QSqlDatabase::addDatabase$$
    {65, 155, 897},	// QSqlDatabase::cloneDatabase#$
    {65, 156, 866},	// QSqlDatabase::close
    {65, 159, 876},	// QSqlDatabase::commit
    {65, 162, 890},	// QSqlDatabase::connectOptions
    {65, 163, 891},	// QSqlDatabase::connectionName
    {65, 164, 902},	// QSqlDatabase::connectionNames
    {65, 165, 914},	// QSqlDatabase::contains
    {65, 166, 900},	// QSqlDatabase::contains$
    {65, 180, 912},	// QSqlDatabase::database
    {65, 181, 913},	// QSqlDatabase::database$
    {65, 182, 898},	// QSqlDatabase::database$$
    {65, 183, 884},	// QSqlDatabase::databaseName
    {65, 185, 915},	// QSqlDatabase::defaultConnection
    {65, 196, 894},	// QSqlDatabase::driver
    {65, 197, 888},	// QSqlDatabase::driverName
    {65, 199, 901},	// QSqlDatabase::drivers
    {65, 207, 908},	// QSqlDatabase::exec
    {65, 208, 872},	// QSqlDatabase::exec$
    {65, 241, 887},	// QSqlDatabase::hostName
    {65, 267, 904},	// QSqlDatabase::isDriverAvailable$
    {65, 278, 867},	// QSqlDatabase::isOpen
    {65, 279, 868},	// QSqlDatabase::isOpenError
    {65, 282, 874},	// QSqlDatabase::isValid
    {65, 286, 873},	// QSqlDatabase::lastError
    {65, 301, 893},	// QSqlDatabase::numericalPrecisionPolicy
    {65, 302, 864},	// QSqlDatabase::open
    {65, 304, 865},	// QSqlDatabase::open$$
    {65, 347, 863},	// QSqlDatabase::operator=#
    {65, 375, 886},	// QSqlDatabase::password
    {65, 376, 889},	// QSqlDatabase::port
    {65, 382, 870},	// QSqlDatabase::primaryIndex$
    {65, 644, 871},	// QSqlDatabase::record$
    {65, 646, 903},	// QSqlDatabase::registerSqlDriver$#
    {65, 657, 899},	// QSqlDatabase::removeDatabase$
    {65, 671, 877},	// QSqlDatabase::rollback
    {65, 688, 909},	// QSqlDatabase::setConnectOptions
    {65, 689, 883},	// QSqlDatabase::setConnectOptions$
    {65, 696, 878},	// QSqlDatabase::setDatabaseName$
    {65, 700, 916},	// QSqlDatabase::setDefaultConnection$
    {65, 722, 881},	// QSqlDatabase::setHostName$
    {65, 737, 892},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {65, 743, 880},	// QSqlDatabase::setPassword$
    {65, 745, 882},	// QSqlDatabase::setPort$
    {65, 775, 879},	// QSqlDatabase::setUserName$
    {65, 801, 907},	// QSqlDatabase::tables
    {65, 802, 869},	// QSqlDatabase::tables$
    {65, 813, 875},	// QSqlDatabase::transaction
    {65, 823, 885},	// QSqlDatabase::userName
    {65, 828, 917},	// QSqlDatabase::~QSqlDatabase
    {66, 3, 971},	// QSqlDriver::BLOB
    {66, 5, 977},	// QSqlDriver::BatchOperations
    {66, 9, 987},	// QSqlDriver::DeleteStatement
    {66, 11, 980},	// QSqlDriver::EventNotifications
    {66, 12, 988},	// QSqlDriver::FieldName
    {66, 13, 981},	// QSqlDriver::FinishQuery
    {66, 17, 986},	// QSqlDriver::InsertStatement
    {66, 18, 976},	// QSqlDriver::LastInsertId
    {66, 22, 979},	// QSqlDriver::LowPrecisionNumbers
    {66, 23, 982},	// QSqlDriver::MultipleResultSets
    {66, 25, 974},	// QSqlDriver::NamedPlaceholders
    {66, 41, 975},	// QSqlDriver::PositionalPlaceholders
    {66, 42, 973},	// QSqlDriver::PreparedQueries
    {66, 46, 961},	// QSqlDriver::QSqlDriver
    {66, 47, 925},	// QSqlDriver::QSqlDriver#
    {66, 94, 970},	// QSqlDriver::QuerySize
    {66, 96, 984},	// QSqlDriver::SelectStatement
    {66, 98, 978},	// QSqlDriver::SimpleLocking
    {66, 101, 989},	// QSqlDriver::TableName
    {66, 104, 969},	// QSqlDriver::Transactions
    {66, 105, 972},	// QSqlDriver::Unicode
    {66, 108, 985},	// QSqlDriver::UpdateStatement
    {66, 112, 983},	// QSqlDriver::WhereStatement
    {66, 135, 928},	// QSqlDriver::beginTransaction
    {66, 156, 940},	// QSqlDriver::close
    {66, 160, 929},	// QSqlDriver::commitTransaction
    {66, 173, 941},	// QSqlDriver::createResult
    {66, 204, 935},	// QSqlDriver::escapeIdentifier$$
    {66, 232, 962},	// QSqlDriver::formatValue#
    {66, 233, 934},	// QSqlDriver::formatValue#$
    {66, 234, 938},	// QSqlDriver::handle
    {66, 236, 939},	// QSqlDriver::hasFeature$
    {66, 273, 946},	// QSqlDriver::isIdentifierEscaped$$
    {66, 275, 957},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {66, 278, 926},	// QSqlDriver::isOpen
    {66, 279, 927},	// QSqlDriver::isOpenError
    {66, 286, 937},	// QSqlDriver::lastError
    {66, 291, 918},	// QSqlDriver::metaObject
    {66, 298, 950},	// QSqlDriver::notification$
    {66, 301, 949},	// QSqlDriver::numericalPrecisionPolicy
    {66, 303, 963},	// QSqlDriver::open$
    {66, 304, 964},	// QSqlDriver::open$$
    {66, 305, 965},	// QSqlDriver::open$$$
    {66, 306, 966},	// QSqlDriver::open$$$$
    {66, 307, 967},	// QSqlDriver::open$$$$$
    {66, 308, 942},	// QSqlDriver::open$$$$$$
    {66, 382, 932},	// QSqlDriver::primaryIndex$
    {66, 629, 924},	// QSqlDriver::qt_metacall$$?
    {66, 631, 919},	// QSqlDriver::qt_metacast$
    {66, 644, 933},	// QSqlDriver::record$
    {66, 672, 930},	// QSqlDriver::rollbackTransaction
    {66, 725, 953},	// QSqlDriver::setLastError#
    {66, 737, 948},	// QSqlDriver::setNumericalPrecisionPolicy$
    {66, 739, 951},	// QSqlDriver::setOpen$
    {66, 741, 952},	// QSqlDriver::setOpenError$
    {66, 785, 936},	// QSqlDriver::sqlStatement$$#$
    {66, 786, 968},	// QSqlDriver::staticMetaObject
    {66, 788, 947},	// QSqlDriver::stripDelimiters$$
    {66, 790, 958},	// QSqlDriver::stripDelimitersImplementation$$
    {66, 794, 943},	// QSqlDriver::subscribeToNotification$
    {66, 796, 954},	// QSqlDriver::subscribeToNotificationImplementation$
    {66, 797, 945},	// QSqlDriver::subscribedToNotifications
    {66, 798, 956},	// QSqlDriver::subscribedToNotificationsImplementation
    {66, 802, 931},	// QSqlDriver::tables$
    {66, 806, 959},	// QSqlDriver::tr$
    {66, 807, 920},	// QSqlDriver::tr$$
    {66, 808, 922},	// QSqlDriver::tr$$$
    {66, 810, 960},	// QSqlDriver::trUtf8$
    {66, 811, 921},	// QSqlDriver::trUtf8$$
    {66, 812, 923},	// QSqlDriver::trUtf8$$$
    {66, 817, 944},	// QSqlDriver::unsubscribeFromNotification$
    {66, 819, 955},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {66, 829, 990},	// QSqlDriver::~QSqlDriver
    {67, 48, 992},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {67, 49, 993},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {67, 172, 991},	// QSqlDriverCreatorBase::createObject
    {67, 830, 994},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {68, 50, 996},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {68, 51, 997},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {68, 169, 995},	// QSqlDriverFactoryInterface::create$
    {68, 831, 998},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {69, 52, 1011},	// QSqlDriverPlugin::QSqlDriverPlugin
    {69, 53, 1006},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {69, 169, 1008},	// QSqlDriverPlugin::create$
    {69, 284, 1007},	// QSqlDriverPlugin::keys
    {69, 291, 999},	// QSqlDriverPlugin::metaObject
    {69, 629, 1005},	// QSqlDriverPlugin::qt_metacall$$?
    {69, 631, 1000},	// QSqlDriverPlugin::qt_metacast$
    {69, 786, 1012},	// QSqlDriverPlugin::staticMetaObject
    {69, 806, 1009},	// QSqlDriverPlugin::tr$
    {69, 807, 1001},	// QSqlDriverPlugin::tr$$
    {69, 808, 1003},	// QSqlDriverPlugin::tr$$$
    {69, 810, 1010},	// QSqlDriverPlugin::trUtf8$
    {69, 811, 1002},	// QSqlDriverPlugin::trUtf8$$
    {69, 812, 1004},	// QSqlDriverPlugin::trUtf8$$$
    {69, 832, 1013},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {70, 8, 1032},	// QSqlError::ConnectionError
    {70, 27, 1031},	// QSqlError::NoError
    {70, 54, 1027},	// QSqlError::QSqlError
    {70, 55, 1015},	// QSqlError::QSqlError#
    {70, 56, 1028},	// QSqlError::QSqlError$
    {70, 57, 1029},	// QSqlError::QSqlError$$
    {70, 58, 1030},	// QSqlError::QSqlError$$$
    {70, 59, 1014},	// QSqlError::QSqlError$$$$
    {70, 99, 1033},	// QSqlError::StatementError
    {70, 103, 1034},	// QSqlError::TransactionError
    {70, 107, 1035},	// QSqlError::UnknownError
    {70, 184, 1019},	// QSqlError::databaseText
    {70, 198, 1017},	// QSqlError::driverText
    {70, 282, 1026},	// QSqlError::isValid
    {70, 300, 1023},	// QSqlError::number
    {70, 347, 1016},	// QSqlError::operator=#
    {70, 698, 1020},	// QSqlError::setDatabaseText$
    {70, 706, 1018},	// QSqlError::setDriverText$
    {70, 735, 1024},	// QSqlError::setNumber$
    {70, 773, 1022},	// QSqlError::setType$
    {70, 803, 1025},	// QSqlError::text
    {70, 814, 1021},	// QSqlError::type
    {70, 833, 1036},	// QSqlError::~QSqlError
    {71, 31, 1071},	// QSqlField::Optional
    {71, 60, 1068},	// QSqlField::QSqlField
    {71, 61, 1038},	// QSqlField::QSqlField#
    {71, 62, 1069},	// QSqlField::QSqlField$
    {71, 63, 1037},	// QSqlField::QSqlField$$
    {71, 95, 1072},	// QSqlField::Required
    {71, 106, 1070},	// QSqlField::Unknown
    {71, 152, 1049},	// QSqlField::clear
    {71, 186, 1064},	// QSqlField::defaultValue
    {71, 261, 1051},	// QSqlField::isAutoValue
    {71, 270, 1066},	// QSqlField::isGenerated
    {71, 276, 1046},	// QSqlField::isNull
    {71, 280, 1048},	// QSqlField::isReadOnly
    {71, 282, 1067},	// QSqlField::isValid
    {71, 289, 1062},	// QSqlField::length
    {71, 294, 1045},	// QSqlField::name
    {71, 310, 1041},	// QSqlField::operator!=#
    {71, 347, 1039},	// QSqlField::operator=#
    {71, 349, 1040},	// QSqlField::operator==#
    {71, 377, 1063},	// QSqlField::precision
    {71, 663, 1061},	// QSqlField::requiredStatus
    {71, 687, 1060},	// QSqlField::setAutoValue$
    {71, 702, 1057},	// QSqlField::setDefaultValue#
    {71, 716, 1059},	// QSqlField::setGenerated$
    {71, 727, 1055},	// QSqlField::setLength$
    {71, 731, 1044},	// QSqlField::setName$
    {71, 747, 1056},	// QSqlField::setPrecision$
    {71, 755, 1047},	// QSqlField::setReadOnly$
    {71, 761, 1054},	// QSqlField::setRequired$
    {71, 763, 1053},	// QSqlField::setRequiredStatus$
    {71, 769, 1058},	// QSqlField::setSqlType$
    {71, 773, 1052},	// QSqlField::setType$
    {71, 777, 1042},	// QSqlField::setValue#
    {71, 814, 1050},	// QSqlField::type
    {71, 815, 1065},	// QSqlField::typeID
    {71, 824, 1043},	// QSqlField::value
    {71, 834, 1073},	// QSqlField::~QSqlField
    {72, 64, 1085},	// QSqlIndex::QSqlIndex
    {72, 65, 1075},	// QSqlIndex::QSqlIndex#
    {72, 66, 1086},	// QSqlIndex::QSqlIndex$
    {72, 67, 1074},	// QSqlIndex::QSqlIndex$$
    {72, 126, 1081},	// QSqlIndex::append#
    {72, 127, 1082},	// QSqlIndex::append#$
    {72, 174, 1078},	// QSqlIndex::cursorName
    {72, 263, 1083},	// QSqlIndex::isDescending$
    {72, 294, 1080},	// QSqlIndex::name
    {72, 347, 1076},	// QSqlIndex::operator=#
    {72, 691, 1077},	// QSqlIndex::setCursorName$
    {72, 704, 1084},	// QSqlIndex::setDescending$$
    {72, 731, 1079},	// QSqlIndex::setName$
    {72, 835, 1087},	// QSqlIndex::~QSqlIndex
    {73, 68, 1130},	// QSqlQuery::QSqlQuery
    {73, 69, -1},	// QSqlQuery::QSqlQuery#
    {73, 70, 1131},	// QSqlQuery::QSqlQuery$
    {73, 71, 1089},	// QSqlQuery::QSqlQuery$#
    {73, 109, 1138},	// QSqlQuery::ValuesAsColumns
    {73, 110, 1137},	// QSqlQuery::ValuesAsRows
    {73, 118, 1136},	// QSqlQuery::addBindValue#
    {73, 119, 1122},	// QSqlQuery::addBindValue#$
    {73, 128, 1096},	// QSqlQuery::at
    {73, 137, -5},	// QSqlQuery::bindValue$#
    {73, 138, -8},	// QSqlQuery::bindValue$#$
    {73, 143, -11},	// QSqlQuery::boundValue$
    {73, 147, 1125},	// QSqlQuery::boundValues
    {73, 152, 1116},	// QSqlQuery::clear
    {73, 196, 1102},	// QSqlQuery::driver
    {73, 207, 1117},	// QSqlQuery::exec
    {73, 208, 1107},	// QSqlQuery::exec$
    {73, 209, 1133},	// QSqlQuery::execBatch
    {73, 210, 1118},	// QSqlQuery::execBatch$
    {73, 211, 1126},	// QSqlQuery::executedQuery
    {73, 227, 1128},	// QSqlQuery::finish
    {73, 228, 1114},	// QSqlQuery::first
    {73, 260, 1094},	// QSqlQuery::isActive
    {73, 269, 1104},	// QSqlQuery::isForwardOnly
    {73, 277, 1095},	// QSqlQuery::isNull$
    {73, 281, 1100},	// QSqlQuery::isSelect
    {73, 282, 1093},	// QSqlQuery::isValid
    {73, 285, 1115},	// QSqlQuery::last
    {73, 286, 1099},	// QSqlQuery::lastError
    {73, 287, 1127},	// QSqlQuery::lastInsertId
    {73, 288, 1097},	// QSqlQuery::lastQuery
    {73, 295, 1112},	// QSqlQuery::next
    {73, 296, 1129},	// QSqlQuery::nextResult
    {73, 299, 1098},	// QSqlQuery::numRowsAffected
    {73, 301, 1110},	// QSqlQuery::numericalPrecisionPolicy
    {73, 347, 1092},	// QSqlQuery::operator=#
    {73, 379, 1119},	// QSqlQuery::prepare$
    {73, 380, 1113},	// QSqlQuery::previous
    {73, 643, 1105},	// QSqlQuery::record
    {73, 666, 1103},	// QSqlQuery::result
    {73, 678, 1132},	// QSqlQuery::seek$
    {73, 679, 1111},	// QSqlQuery::seek$$
    {73, 714, 1106},	// QSqlQuery::setForwardOnly$
    {73, 737, 1109},	// QSqlQuery::setNumericalPrecisionPolicy$
    {73, 779, 1101},	// QSqlQuery::size
    {73, 825, 1108},	// QSqlQuery::value$
    {73, 836, 1139},	// QSqlQuery::~QSqlQuery
    {74, 72, 1169},	// QSqlQueryModel::QSqlQueryModel
    {74, 73, 1147},	// QSqlQueryModel::QSqlQueryModel#
    {74, 149, 1179},	// QSqlQueryModel::canFetchMore
    {74, 150, 1163},	// QSqlQueryModel::canFetchMore#
    {74, 152, 1160},	// QSqlQueryModel::clear
    {74, 157, 1171},	// QSqlQueryModel::columnCount
    {74, 158, 1149},	// QSqlQueryModel::columnCount#
    {74, 177, 1172},	// QSqlQueryModel::data#
    {74, 178, 1152},	// QSqlQueryModel::data#$
    {74, 216, 1178},	// QSqlQueryModel::fetchMore
    {74, 217, 1162},	// QSqlQueryModel::fetchMore#
    {74, 239, 1173},	// QSqlQueryModel::headerData$$
    {74, 240, 1153},	// QSqlQueryModel::headerData$$$
    {74, 245, 1165},	// QSqlQueryModel::indexInQuery#
    {74, 251, 1175},	// QSqlQueryModel::insertColumns$$
    {74, 252, 1155},	// QSqlQueryModel::insertColumns$$#
    {74, 286, 1161},	// QSqlQueryModel::lastError
    {74, 291, 1140},	// QSqlQueryModel::metaObject
    {74, 629, 1146},	// QSqlQueryModel::qt_metacall$$?
    {74, 631, 1141},	// QSqlQueryModel::qt_metacast$
    {74, 637, 1159},	// QSqlQueryModel::query
    {74, 638, 1164},	// QSqlQueryModel::queryChange
    {74, 643, 1151},	// QSqlQueryModel::record
    {74, 644, 1150},	// QSqlQueryModel::record$
    {74, 654, 1176},	// QSqlQueryModel::removeColumns$$
    {74, 655, 1156},	// QSqlQueryModel::removeColumns$$#
    {74, 673, 1170},	// QSqlQueryModel::rowCount
    {74, 674, 1148},	// QSqlQueryModel::rowCount#
    {74, 719, 1174},	// QSqlQueryModel::setHeaderData$$#
    {74, 720, 1154},	// QSqlQueryModel::setHeaderData$$#$
    {74, 725, 1166},	// QSqlQueryModel::setLastError#
    {74, 751, 1157},	// QSqlQueryModel::setQuery#
    {74, 752, 1177},	// QSqlQueryModel::setQuery$
    {74, 753, 1158},	// QSqlQueryModel::setQuery$#
    {74, 786, 1180},	// QSqlQueryModel::staticMetaObject
    {74, 806, 1167},	// QSqlQueryModel::tr$
    {74, 807, 1142},	// QSqlQueryModel::tr$$
    {74, 808, 1144},	// QSqlQueryModel::tr$$$
    {74, 810, 1168},	// QSqlQueryModel::trUtf8$
    {74, 811, 1143},	// QSqlQueryModel::trUtf8$$
    {74, 812, 1145},	// QSqlQueryModel::trUtf8$$$
    {74, 837, 1181},	// QSqlQueryModel::~QSqlQueryModel
    {75, 74, 1182},	// QSqlRecord::QSqlRecord
    {75, 75, 1183},	// QSqlRecord::QSqlRecord#
    {75, 126, 1203},	// QSqlRecord::append#
    {75, 152, 1209},	// QSqlRecord::clear
    {75, 153, 1210},	// QSqlRecord::clearValues
    {75, 166, 1208},	// QSqlRecord::contains$
    {75, 167, 1211},	// QSqlRecord::count
    {75, 221, -678},	// QSqlRecord::field$
    {75, 225, 1196},	// QSqlRecord::fieldName$
    {75, 247, 1195},	// QSqlRecord::indexOf$
    {75, 249, 1205},	// QSqlRecord::insert$#
    {75, 268, 1207},	// QSqlRecord::isEmpty
    {75, 271, -681},	// QSqlRecord::isGenerated$
    {75, 277, -684},	// QSqlRecord::isNull$
    {75, 310, 1186},	// QSqlRecord::operator!=#
    {75, 347, 1184},	// QSqlRecord::operator=#
    {75, 349, 1185},	// QSqlRecord::operator==#
    {75, 652, 1206},	// QSqlRecord::remove$
    {75, 662, 1204},	// QSqlRecord::replace$#
    {75, 717, -687},	// QSqlRecord::setGenerated$$
    {75, 733, -690},	// QSqlRecord::setNull$
    {75, 778, -693},	// QSqlRecord::setValue$#
    {75, 825, -696},	// QSqlRecord::value$
    {75, 838, 1212},	// QSqlRecord::~QSqlRecord
    {76, 76, 1213},	// QSqlRelation::QSqlRelation
    {76, 77, 1219},	// QSqlRelation::QSqlRelation#
    {76, 78, 1214},	// QSqlRelation::QSqlRelation$$$
    {76, 191, 1217},	// QSqlRelation::displayColumn
    {76, 243, 1216},	// QSqlRelation::indexColumn
    {76, 282, 1218},	// QSqlRelation::isValid
    {76, 800, 1215},	// QSqlRelation::tableName
    {76, 839, 1220},	// QSqlRelation::~QSqlRelation
    {77, 79, 1225},	// QSqlRelationalDelegate::QSqlRelationalDelegate
    {77, 80, 1221},	// QSqlRelationalDelegate::QSqlRelationalDelegate#
    {77, 171, 1222},	// QSqlRelationalDelegate::createEditor###
    {77, 710, 1223},	// QSqlRelationalDelegate::setEditorData##
    {77, 729, 1224},	// QSqlRelationalDelegate::setModelData###
    {77, 840, 1226},	// QSqlRelationalDelegate::~QSqlRelationalDelegate
    {78, 81, 1251},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {78, 82, 1252},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {78, 83, 1234},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {78, 152, 1238},	// QSqlRelationalTableModel::clear
    {78, 177, 1253},	// QSqlRelationalTableModel::data#
    {78, 178, 1235},	// QSqlRelationalTableModel::data#$
    {78, 256, 1247},	// QSqlRelationalTableModel::insertRowIntoTable#
    {78, 291, 1227},	// QSqlRelationalTableModel::metaObject
    {78, 373, 1248},	// QSqlRelationalTableModel::orderByClause
    {78, 629, 1233},	// QSqlRelationalTableModel::qt_metacall$$?
    {78, 631, 1228},	// QSqlRelationalTableModel::qt_metacast$
    {78, 648, 1242},	// QSqlRelationalTableModel::relation$
    {78, 650, 1243},	// QSqlRelationalTableModel::relationModel$
    {78, 654, 1255},	// QSqlRelationalTableModel::removeColumns$$
    {78, 655, 1237},	// QSqlRelationalTableModel::removeColumns$$#
    {78, 670, 1244},	// QSqlRelationalTableModel::revertRow$
    {78, 680, 1239},	// QSqlRelationalTableModel::select
    {78, 681, 1245},	// QSqlRelationalTableModel::selectStatement
    {78, 693, 1254},	// QSqlRelationalTableModel::setData##
    {78, 694, 1236},	// QSqlRelationalTableModel::setData##$
    {78, 759, 1241},	// QSqlRelationalTableModel::setRelation$#
    {78, 771, 1240},	// QSqlRelationalTableModel::setTable$
    {78, 786, 1256},	// QSqlRelationalTableModel::staticMetaObject
    {78, 806, 1249},	// QSqlRelationalTableModel::tr$
    {78, 807, 1229},	// QSqlRelationalTableModel::tr$$
    {78, 808, 1231},	// QSqlRelationalTableModel::tr$$$
    {78, 810, 1250},	// QSqlRelationalTableModel::trUtf8$
    {78, 811, 1230},	// QSqlRelationalTableModel::trUtf8$$
    {78, 812, 1232},	// QSqlRelationalTableModel::trUtf8$$$
    {78, 822, 1246},	// QSqlRelationalTableModel::updateRowInTable$#
    {78, 841, 1257},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {79, 4, 1312},	// QSqlResult::BatchOperation
    {79, 10, 1313},	// QSqlResult::DetachFromResultSet
    {79, 24, 1311},	// QSqlResult::NamedBinding
    {79, 26, 1315},	// QSqlResult::NextResult
    {79, 40, 1310},	// QSqlResult::PositionalBinding
    {79, 85, 1259},	// QSqlResult::QSqlResult#
    {79, 97, 1314},	// QSqlResult::SetNumericalPrecision
    {79, 119, 1279},	// QSqlResult::addBindValue#$
    {79, 128, 1260},	// QSqlResult::at
    {79, 138, -699},	// QSqlResult::bindValue$#$
    {79, 140, -702},	// QSqlResult::bindValueType$
    {79, 141, 1290},	// QSqlResult::bindingSyntax
    {79, 143, -705},	// QSqlResult::boundValue$
    {79, 144, 1284},	// QSqlResult::boundValueCount
    {79, 146, 1287},	// QSqlResult::boundValueName$
    {79, 147, 1285},	// QSqlResult::boundValues
    {79, 152, 1288},	// QSqlResult::clear
    {79, 179, 1291},	// QSqlResult::data$
    {79, 189, 1305},	// QSqlResult::detachFromResultSet
    {79, 196, 1267},	// QSqlResult::driver
    {79, 207, 1274},	// QSqlResult::exec
    {79, 209, 1309},	// QSqlResult::execBatch
    {79, 210, 1304},	// QSqlResult::execBatch$
    {79, 211, 1286},	// QSqlResult::executedQuery
    {79, 213, 1294},	// QSqlResult::fetch$
    {79, 214, 1297},	// QSqlResult::fetchFirst
    {79, 215, 1298},	// QSqlResult::fetchLast
    {79, 218, 1295},	// QSqlResult::fetchNext
    {79, 219, 1296},	// QSqlResult::fetchPrevious
    {79, 234, 1258},	// QSqlResult::handle
    {79, 237, 1289},	// QSqlResult::hasOutValues
    {79, 260, 1264},	// QSqlResult::isActive
    {79, 269, 1266},	// QSqlResult::isForwardOnly
    {79, 277, 1292},	// QSqlResult::isNull$
    {79, 281, 1265},	// QSqlResult::isSelect
    {79, 282, 1263},	// QSqlResult::isValid
    {79, 286, 1262},	// QSqlResult::lastError
    {79, 287, 1302},	// QSqlResult::lastInsertId
    {79, 288, 1261},	// QSqlResult::lastQuery
    {79, 296, 1308},	// QSqlResult::nextResult
    {79, 299, 1300},	// QSqlResult::numRowsAffected
    {79, 301, 1307},	// QSqlResult::numericalPrecisionPolicy
    {79, 379, 1275},	// QSqlResult::prepare$
    {79, 643, 1301},	// QSqlResult::record
    {79, 665, 1293},	// QSqlResult::reset$
    {79, 676, 1276},	// QSqlResult::savePrepare$
    {79, 683, 1269},	// QSqlResult::setActive$
    {79, 685, 1268},	// QSqlResult::setAt$
    {79, 714, 1273},	// QSqlResult::setForwardOnly$
    {79, 725, 1270},	// QSqlResult::setLastError#
    {79, 737, 1306},	// QSqlResult::setNumericalPrecisionPolicy$
    {79, 752, 1271},	// QSqlResult::setQuery$
    {79, 765, 1272},	// QSqlResult::setSelect$
    {79, 779, 1299},	// QSqlResult::size
    {79, 827, 1303},	// QSqlResult::virtual_hook$$
    {79, 842, 1316},	// QSqlResult::~QSqlResult
    {80, 28, 1378},	// QSqlTableModel::OnFieldChange
    {80, 29, 1380},	// QSqlTableModel::OnManualSubmit
    {80, 30, 1379},	// QSqlTableModel::OnRowChange
    {80, 86, 1368},	// QSqlTableModel::QSqlTableModel
    {80, 87, 1369},	// QSqlTableModel::QSqlTableModel#
    {80, 88, 1324},	// QSqlTableModel::QSqlTableModel##
    {80, 130, 1357},	// QSqlTableModel::beforeDelete$
    {80, 132, 1355},	// QSqlTableModel::beforeInsert#
    {80, 134, 1356},	// QSqlTableModel::beforeUpdate$#
    {80, 152, 1333},	// QSqlTableModel::clear
    {80, 177, 1370},	// QSqlTableModel::data#
    {80, 178, 1329},	// QSqlTableModel::data#$
    {80, 180, 1337},	// QSqlTableModel::database
    {80, 188, 1360},	// QSqlTableModel::deleteRowFromTable$
    {80, 201, 1335},	// QSqlTableModel::editStrategy
    {80, 223, 1338},	// QSqlTableModel::fieldIndex$
    {80, 226, 1341},	// QSqlTableModel::filter
    {80, 230, 1328},	// QSqlTableModel::flags#
    {80, 239, 1372},	// QSqlTableModel::headerData$$
    {80, 240, 1331},	// QSqlTableModel::headerData$$$
    {80, 245, 1365},	// QSqlTableModel::indexInQuery#
    {80, 254, 1347},	// QSqlTableModel::insertRecord$#
    {80, 256, 1359},	// QSqlTableModel::insertRowIntoTable#
    {80, 258, 1376},	// QSqlTableModel::insertRows$$
    {80, 259, 1346},	// QSqlTableModel::insertRows$$#
    {80, 265, 1332},	// QSqlTableModel::isDirty#
    {80, 291, 1317},	// QSqlTableModel::metaObject
    {80, 373, 1361},	// QSqlTableModel::orderByClause
    {80, 383, 1336},	// QSqlTableModel::primaryKey
    {80, 385, 1354},	// QSqlTableModel::primeInsert$#
    {80, 629, 1323},	// QSqlTableModel::qt_metacall$$?
    {80, 631, 1318},	// QSqlTableModel::qt_metacast$
    {80, 654, 1374},	// QSqlTableModel::removeColumns$$
    {80, 655, 1344},	// QSqlTableModel::removeColumns$$#
    {80, 659, 1375},	// QSqlTableModel::removeRows$$
    {80, 660, 1345},	// QSqlTableModel::removeRows$$#
    {80, 667, 1351},	// QSqlTableModel::revert
    {80, 668, 1353},	// QSqlTableModel::revertAll
    {80, 670, 1349},	// QSqlTableModel::revertRow$
    {80, 673, 1373},	// QSqlTableModel::rowCount
    {80, 674, 1343},	// QSqlTableModel::rowCount#
    {80, 680, 1325},	// QSqlTableModel::select
    {80, 681, 1362},	// QSqlTableModel::selectStatement
    {80, 693, 1371},	// QSqlTableModel::setData##
    {80, 694, 1330},	// QSqlTableModel::setData##$
    {80, 708, 1334},	// QSqlTableModel::setEditStrategy$
    {80, 712, 1342},	// QSqlTableModel::setFilter$
    {80, 749, 1363},	// QSqlTableModel::setPrimaryKey#
    {80, 751, 1364},	// QSqlTableModel::setQuery#
    {80, 757, 1348},	// QSqlTableModel::setRecord$#
    {80, 767, 1340},	// QSqlTableModel::setSort$$
    {80, 771, 1326},	// QSqlTableModel::setTable$
    {80, 782, 1339},	// QSqlTableModel::sort$$
    {80, 786, 1377},	// QSqlTableModel::staticMetaObject
    {80, 791, 1350},	// QSqlTableModel::submit
    {80, 792, 1352},	// QSqlTableModel::submitAll
    {80, 800, 1327},	// QSqlTableModel::tableName
    {80, 806, 1366},	// QSqlTableModel::tr$
    {80, 807, 1319},	// QSqlTableModel::tr$$
    {80, 808, 1321},	// QSqlTableModel::tr$$$
    {80, 810, 1367},	// QSqlTableModel::trUtf8$
    {80, 811, 1320},	// QSqlTableModel::trUtf8$$
    {80, 812, 1322},	// QSqlTableModel::trUtf8$$$
    {80, 822, 1358},	// QSqlTableModel::updateRowInTable$#
    {80, 843, 1381},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 104,
        __smokeqtsql::methods, 1382,
        __smokeqtsql::methodMaps, 743,
        __smokeqtsql::methodNames, 843,
        __smokeqtsql::types, 495,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
