#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGraphicsItem
      switch(to) {
        case 27: return (void*)(QGraphicsItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsObject
      switch(to) {
        case 57: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 29: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSvgItem
      switch(to) {
        case 28: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 57: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 35:   //QHashDummyValue
      switch(to) {
        case 35: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 37: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 38:   //QIcon
      switch(to) {
        case 38: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 39:   //QImage
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 39: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 40:   //QIncompatibleFlag
      switch(to) {
        case 40: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 41:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 41: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QItemSelectionRange
      switch(to) {
        case 42: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QListWidgetItem
      switch(to) {
        case 48: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 49:   //QLocale
      switch(to) {
        case 49: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix4x4
      switch(to) {
        case 52: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 90: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 91: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintDevice
      switch(to) {
        case 58: return (void*)(QPaintDevice*)xptr;
        case 89: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 91: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPainter
      switch(to) {
        case 61: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 62:   //QPainterPath
      switch(to) {
        case 62: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPen
      switch(to) {
        case 64: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 65:   //QPersistentModelIndex
      switch(to) {
        case 65: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 66:   //QPicture
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 66: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QQuaternion
      switch(to) {
        case 72: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 57: return (void*)(QObject*)(QSplitter*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 82: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 83:   //QStandardItem
      switch(to) {
        case 83: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 57: return (void*)(QObject*)(QStyle*)xptr;
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QStyleOption
      switch(to) {
        case 87: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOptionGraphicsItem
      switch(to) {
        case 87: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 88: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 89:   //QSvgGenerator
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 89: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgRenderer
      switch(to) {
        case 57: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 90: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 57: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 113:   //QXmlStreamReader
      switch(to) {
        case 113: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QGraphicsObject
    58, 0,	// 3: QPaintDevice
    57, 0,	// 5: QObject
    112, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//27
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//34
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//37
    { "QIcon", true, 0, 0, 0, 0, 0 },	//38
    { "QImage", true, 0, 0, 0, 0, 0 },	//39
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//40
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//48
    { "QLocale", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPainter", true, 0, 0, 0, 0, 0 },	//61
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPen", true, 0, 0, 0, 0, 0 },	//64
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//65
    { "QPicture", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//82
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//88
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//89
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//90
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//113
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//41
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QPinchGesture::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//125
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QGraphicsItem::Extension", 27, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGraphicsItem::GraphicsItemChange", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsItem::GraphicsItemFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QGraphicsObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QGraphicsSceneContextMenuEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QGraphicsSceneDragDropEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneHoverEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneMouseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSceneWheelEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsSvgItem*", 34, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QIODevice*", 37, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QIODevice::OpenModeFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//147
    { "QIcon&", 38, Smoke::t_class|Smoke::tf_ref },	//148
    { "QImage&", 39, Smoke::t_class|Smoke::tf_ref },	//149
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QIncompatibleFlag", 40, Smoke::t_class|Smoke::tf_stack },	//151
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QInputMethodEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//156
    { "QKeySequence::StandardKey", 44, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//159
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//160
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//161
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//162
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref },	//164
    { "QLocale&", 49, Smoke::t_class|Smoke::tf_ref },	//165
    { "QLocale::NumberOption", 49, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMatrix", 51, Smoke::t_class|Smoke::tf_stack },	//168
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//169
    { "QMatrix4x4", 52, Smoke::t_class|Smoke::tf_stack },	//170
    { "QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref },	//171
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QObject*(*)()", 57, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QPaintDevice::PaintDeviceMetric", 58, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QPaintEngine::DirtyFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QPaintEngine::PaintEngineFeature", 59, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QPainter*", 61, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QPainter::RenderHint", 61, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QPainterPath", 62, Smoke::t_class|Smoke::tf_stack },	//187
    { "QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPalette&", 63, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPen&", 64, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPicture&", 66, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPinchGesture::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//193
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//194
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//195
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//196
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//197
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//198
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//199
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//200
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//201
    { "QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref },	//202
    { "QRect", 73, Smoke::t_class|Smoke::tf_stack },	//203
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//204
    { "QRectF", 74, Smoke::t_class|Smoke::tf_stack },	//205
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//206
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//207
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//208
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//209
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//212
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//214
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//215
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QSplitter&", 82, Smoke::t_class|Smoke::tf_ref },	//217
    { "QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref },	//218
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//219
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//220
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//221
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//223
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//224
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//225
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//226
    { "QStyle::StateFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QStyle::SubControl", 86, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QSvgGenerator*", 89, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QSvgRenderer*", 90, Smoke::t_class|Smoke::tf_ptr },	//237
    { "QSvgWidget*", 91, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//239
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//245
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//248
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//250
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//251
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//253
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//254
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//256
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//257
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//258
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//260
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//262
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//263
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//264
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//266
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//267
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//268
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//269
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//270
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//271
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//273
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QXmlStreamReader*", 113, Smoke::t_class|Smoke::tf_ptr },	//276
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//353
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//354
    { "__codecvt_result", 26, Smoke::t_enum|Smoke::tf_stack },	//355
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//356
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//357
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//358
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//361
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//362
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//371
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//373
    { "const QHashDummyValue&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QIcon&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QImage&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QItemSelectionRange&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QLocale&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//390
    { "const QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QPen&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QPersistentModelIndex&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QPicture&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//397
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//399
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QQuaternion", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//403
    { "const QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QRegExp*", 75, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//408
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//410
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//412
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QSplitter&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QStyleOption&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QStyleOption::OptionType&", 87, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QStyleOptionGraphicsItem*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//435
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//437
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//439
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//441
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//444
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//445
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//446
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//447
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//448
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//449
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//450
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//451
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//452
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//453
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//454
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//455
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//456
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//457
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//458
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//459
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//460
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//461
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//462
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//463
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//464
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//465
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//466
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//467
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//468
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    29, 448, 0,	//1  QDateTimeEdit::Section, int
    421, 421, 0,	//4  const QStringRef&, const QStringRef&
    461, 0,	//7  unsigned long long
    446, 0,	//9  double
    242, 448, 0,	//11  QTextCodec::ConversionFlag, int
    386, 386, 0,	//14  const QMatrix4x4&, const QMatrix4x4&
    309, 448, 0,	//17  Qt::ImageConversionFlag, int
    440, 440, 0,	//20  const QVector3D&, const QVector3D&
    438, 438, 0,	//23  const QVector2D&, const QVector2D&
    443, 459, 0,	//26  const char*, unsigned int
    466, 445, 456, 0,	//29  void*, const void*, size_t
    443, 379, 0,	//33  const char*, const QLatin1String&
    30, 72, 0,	//36  QDebug, QFlags<QIODevice::OpenModeFlag>
    26, 148, 0,	//39  QDataStream&, QIcon&
    400, 385, 0,	//42  const QPointF&, const QMatrix&
    182, 82, 0,	//45  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    421, 418, 0,	//48  const QStringRef&, const QString&
    411, 411, 0,	//51  const QSize&, const QSize&
    26, 378, 0,	//54  QDataStream&, const QKeySequence&
    244, 244, 0,	//57  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    443, 363, 0,	//60  const char*, const QByteArray&
    26, 218, 0,	//63  QDataStream&, QStandardItem&
    229, 229, 0,	//66  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    172, 79, 0,	//69  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    44, 61, 0,	//72  QFile::Permission, QFlags<QFile::Permission>
    418, 443, 0,	//75  const QString&, const char*
    26, 202, 0,	//78  QDataStream&, QQuaternion&
    400, 400, 0,	//81  const QPointF&, const QPointF&
    26, 402, 0,	//84  QDataStream&, const QPolygonF&
    446, 446, 0,	//87  double, double
    26, 214, 0,	//90  QDataStream&, QSizeF&
    363, 443, 0,	//93  const QByteArray&, const char*
    447, 0,	//96  float
    443, 0,	//98  const char*
    455, 0,	//100  signed char
    130, 448, 0,	//102  QGraphicsEffect::ChangeFlag, int
    418, 421, 0,	//105  const QString&, const QStringRef&
    45, 448, 0,	//108  QFileDialog::Option, int
    18, 0,	//111  QChar
    26, 409, 0,	//113  QDataStream&, const QRegion&
    174, 174, 0,	//116  QMessageBox::StandardButton, QMessageBox::StandardButton
    228, 89, 0,	//119  QStyle::SubControl, QFlags<QStyle::SubControl>
    386, 398, 0,	//122  const QMatrix4x4&, const QPoint&
    26, 427, 0,	//125  QDataStream&, const QTextLength&
    30, 360, 0,	//128  QDebug, const QBrush&
    128, 128, 0,	//131  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    421, 379, 0,	//134  const QStringRef&, const QLatin1String&
    386, 442, 0,	//137  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//140  QChar, QChar
    30, 404, 0,	//143  QDebug, const QQuaternion&
    342, 342, 0,	//146  Qt::TouchPointState, Qt::TouchPointState
    386, 0,	//149  const QMatrix4x4&
    432, 0,	//151  const QUrl&
    363, 0,	//153  const QByteArray&
    274, 448, 0,	//155  QWidget::RenderFlag, int
    386, 446, 0,	//158  const QMatrix4x4&, double
    26, 392, 0,	//161  QDataStream&, const QPalette&
    30, 432, 0,	//164  QDebug, const QUrl&
    26, 22, 0,	//167  QDataStream&, QColor&
    26, 239, 0,	//170  QDataStream&, QTableWidgetItem&
    167, 78, 0,	//173  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    221, 418, 0,	//176  QString::Null, const QString&
    30, 134, 0,	//179  QDebug, QGraphicsItem::GraphicsItemFlag
    274, 106, 0,	//182  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    339, 339, 0,	//185  Qt::ToolBarArea, Qt::ToolBarArea
    443, 443, 0,	//188  const char*, const char*
    144, 448, 0,	//191  QGraphicsView::OptimizationFlag, int
    166, 166, 0,	//194  QLocale::NumberOption, QLocale::NumberOption
    350, 350, 0,	//197  Qt::WindowType, Qt::WindowType
    446, 413, 0,	//200  double, const QSizeF&
    404, 404, 0,	//203  const QQuaternion&, const QQuaternion&
    32, 448, 0,	//206  QDir::Filter, int
    228, 228, 0,	//209  QStyle::SubControl, QStyle::SubControl
    398, 398, 0,	//212  const QPoint&, const QPoint&
    26, 406, 0,	//215  QDataStream&, const QRectF&
    317, 448, 0,	//218  Qt::KeyboardModifier, int
    336, 119, 0,	//221  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    172, 448, 0,	//224  QMdiArea::AreaOption, int
    430, 446, 0,	//227  const QTransform&, double
    2, 47, 0,	//230  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    357, 0,	//233  char
    275, 275, 0,	//235  QWizard::WizardOption, QWizard::WizardOption
    252, 103, 0,	//238  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    249, 448, 0,	//241  QTextOption::Flag, int
    30, 384, 0,	//244  QDebug, const QMargins&
    261, 448, 0,	//247  QUrl::FormattingOption, int
    44, 448, 0,	//250  QFile::Permission, int
    128, 65, 0,	//253  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    398, 446, 0,	//256  const QPoint&, double
    185, 448, 448, 448, 448, 392, 356, 361, 0,	//259  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    185, 448, 448, 448, 448, 392, 0,	//268  QPainter*, int, int, int, int, const QPalette&
    185, 448, 448, 448, 448, 392, 356, 0,	//275  QPainter*, int, int, int, int, const QPalette&, bool
    26, 430, 0,	//283  QDataStream&, const QTransform&
    34, 57, 0,	//286  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    418, 363, 0,	//289  const QString&, const QByteArray&
    413, 413, 0,	//292  const QSizeF&, const QSizeF&
    440, 386, 0,	//295  const QVector3D&, const QMatrix4x4&
    442, 442, 0,	//298  const QVector4D&, const QVector4D&
    30, 400, 0,	//301  QDebug, const QPointF&
    452, 448, 450, 450, 0,	//304  long double, int, int*, int*
    45, 62, 0,	//309  QFileDialog::Option, QFlags<QFileDialog::Option>
    26, 396, 0,	//312  QDataStream&, const QPixmap&
    317, 115, 0,	//315  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    275, 448, 0,	//318  QWizard::WizardOption, int
    30, 381, 0,	//321  QDebug, const QLineF&
    459, 0,	//324  unsigned int
    30, 368, 0,	//326  QDebug, const QDateTime&
    35, 58, 0,	//329  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    443, 418, 0,	//332  const char*, const QString&
    448, 448, 448, 0,	//335  int, int, int
    143, 143, 0,	//339  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    26, 395, 0,	//342  QDataStream&, const QPicture&
    261, 261, 0,	//345  QUrl::FormattingOption, QUrl::FormattingOption
    342, 121, 0,	//348  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    309, 309, 0,	//351  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    448, 0,	//354  int
    183, 448, 0,	//356  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//359  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    166, 448, 0,	//362  QLocale::NumberOption, int
    379, 379, 0,	//365  const QLatin1String&, const QLatin1String&
    444, 448, 0,	//368  const unsigned char*, int
    443, 443, 459, 0,	//371  const char*, const char*, unsigned int
    379, 421, 0,	//375  const QLatin1String&, const QStringRef&
    155, 157, 0,	//378  QKeyEvent*, QKeySequence::StandardKey
    231, 231, 0,	//381  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    250, 217, 0,	//384  QTextStream&, QSplitter&
    377, 0,	//387  const QItemSelectionRange&
    299, 299, 0,	//389  Qt::DropAction, Qt::DropAction
    186, 84, 0,	//392  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    30, 398, 0,	//395  QDebug, const QPoint&
    26, 165, 0,	//398  QDataStream&, QLocale&
    418, 18, 0,	//401  const QString&, QChar
    221, 221, 0,	//404  QString::Null, QString::Null
    9, 50, 0,	//407  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    444, 458, 448, 0,	//410  const unsigned char*, unsigned char*, int
    230, 91, 0,	//414  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    242, 242, 0,	//417  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    324, 324, 0,	//420  Qt::Orientation, Qt::Orientation
    466, 456, 456, 456, 0,	//423  void*, size_t, size_t, size_t
    26, 189, 0,	//428  QDataStream&, QPalette&
    26, 366, 0,	//431  QDataStream&, const QCursor&
    363, 418, 0,	//434  const QByteArray&, const QString&
    339, 120, 0,	//437  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    244, 99, 0,	//440  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    405, 405, 0,	//443  const QRect&, const QRect&
    43, 60, 0,	//446  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    359, 359, 0,	//449  const QBitArray&, const QBitArray&
    363, 363, 0,	//452  const QByteArray&, const QByteArray&
    174, 81, 0,	//455  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    466, 456, 0,	//458  void*, size_t
    418, 0,	//461  const QString&
    192, 85, 0,	//463  QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>
    26, 385, 0,	//466  QDataStream&, const QMatrix&
    26, 383, 0,	//469  QDataStream&, const QLocale&
    30, 370, 0,	//472  QDebug, const QEasingCurve&
    465, 0,	//475  void(*)(QtMsgType,const char*)
    3, 448, 0,	//477  QAbstractPrintDialog::PrintDialogOption, int
    389, 0,	//480  const QModelIndex&
    29, 29, 0,	//482  QDateTimeEdit::Section, QDateTimeEdit::Section
    235, 96, 0,	//485  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    26, 28, 0,	//488  QDataStream&, QDateTime&
    30, 371, 0,	//491  QDebug, const QEvent*
    14, 14, 0,	//494  QBool, QBool
    130, 130, 0,	//497  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    443, 421, 0,	//500  const char*, const QStringRef&
    126, 448, 0,	//503  QFontComboBox::FontFilter, int
    339, 448, 0,	//506  Qt::ToolBarArea, int
    128, 448, 0,	//509  QGestureRecognizer::ResultFlag, int
    150, 150, 0,	//512  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    26, 190, 0,	//515  QDataStream&, QPen&
    380, 430, 0,	//518  const QLine&, const QTransform&
    30, 402, 0,	//521  QDebug, const QPolygonF&
    311, 448, 0,	//524  Qt::InputMethodHint, int
    18, 418, 0,	//527  QChar, const QString&
    232, 93, 0,	//530  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    222, 448, 0,	//533  QString::SectionFlag, int
    129, 66, 0,	//536  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    158, 448, 0,	//539  QLibrary::LoadHint, int
    30, 133, 0,	//542  QDebug, QGraphicsItem::GraphicsItemChange
    26, 260, 0,	//545  QDataStream&, QUrl&
    443, 443, 448, 0,	//548  const char*, const char*, int
    453, 0,	//552  long long
    404, 0,	//554  const QQuaternion&
    418, 221, 0,	//556  const QString&, QString::Null
    127, 127, 0,	//559  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    430, 430, 0,	//562  const QTransform&, const QTransform&
    167, 448, 0,	//565  QMainWindow::DockOption, int
    26, 15, 0,	//568  QDataStream&, QBrush&
    1, 448, 0,	//571  QAbstractFileEngine::FileFlag, int
    242, 97, 0,	//574  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    418, 357, 0,	//577  const QString&, char
    391, 385, 0,	//580  const QPainterPath&, const QMatrix&
    311, 113, 0,	//583  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    167, 167, 0,	//586  QMainWindow::DockOption, QMainWindow::DockOption
    275, 107, 0,	//589  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    26, 215, 0,	//592  QDataStream&, QSizePolicy&
    350, 123, 0,	//595  Qt::WindowType, QFlags<Qt::WindowType>
    185, 448, 448, 448, 448, 365, 448, 361, 0,	//598  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    185, 448, 448, 448, 448, 365, 0,	//607  QPainter*, int, int, int, int, const QColor&
    185, 448, 448, 448, 448, 365, 448, 0,	//614  QPainter*, int, int, int, int, const QColor&, int
    404, 446, 0,	//622  const QQuaternion&, double
    322, 322, 0,	//625  Qt::MouseButton, Qt::MouseButton
    358, 443, 0,	//628  char*, const char*
    192, 192, 0,	//631  QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag
    409, 385, 0,	//634  const QRegion&, const QMatrix&
    277, 277, 0,	//637  Qt::AlignmentFlag, Qt::AlignmentFlag
    398, 0,	//640  const QPoint&
    299, 448, 0,	//642  Qt::DropAction, int
    26, 429, 0,	//645  QDataStream&, const QTime&
    33, 448, 0,	//648  QDir::SortFlag, int
    384, 384, 0,	//651  const QMargins&, const QMargins&
    185, 405, 392, 356, 448, 448, 361, 0,	//654  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    185, 405, 392, 0,	//662  QPainter*, const QRect&, const QPalette&
    185, 405, 392, 356, 0,	//666  QPainter*, const QRect&, const QPalette&, bool
    185, 405, 392, 356, 448, 0,	//671  QPainter*, const QRect&, const QPalette&, bool, int
    185, 405, 392, 356, 448, 448, 0,	//677  QPainter*, const QRect&, const QPalette&, bool, int, int
    26, 391, 0,	//684  QDataStream&, const QPainterPath&
    442, 386, 0,	//687  const QVector4D&, const QMatrix4x4&
    243, 448, 0,	//690  QTextDocument::FindFlag, int
    179, 0,	//693  QObject*(*)()
    30, 377, 0,	//695  QDebug, const QItemSelectionRange&
    30, 378, 0,	//698  QDebug, const QKeySequence&
    35, 35, 0,	//701  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    185, 405, 384, 396, 0,	//704  QPainter*, const QRect&, const QMargins&, const QPixmap&
    442, 446, 0,	//709  const QVector4D&, double
    250, 415, 0,	//712  QTextStream&, const QSplitter&
    320, 320, 0,	//715  Qt::MatchFlag, Qt::MatchFlag
    456, 0,	//718  size_t
    297, 109, 0,	//720  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    26, 224, 0,	//723  QDataStream&, QStringList&
    233, 233, 0,	//726  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    154, 75, 0,	//729  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    26, 440, 0,	//732  QDataStream&, const QVector3D&
    30, 435, 0,	//735  QDebug, const QVariant::Type
    297, 448, 0,	//738  Qt::DockWidgetArea, int
    247, 101, 0,	//741  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    26, 438, 0,	//744  QDataStream&, const QVector2D&
    26, 360, 0,	//747  QDataStream&, const QBrush&
    185, 405, 392, 356, 361, 0,	//750  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    173, 448, 0,	//756  QMdiSubWindow::SubWindowOption, int
    451, 0,	//759  long
    26, 431, 0,	//761  QDataStream&, const QTreeWidgetItem&
    448, 398, 0,	//764  int, const QPoint&
    462, 0,	//767  unsigned short
    246, 246, 0,	//769  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    26, 162, 0,	//772  QDataStream&, QLineF&
    182, 182, 0,	//775  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    26, 376, 0,	//778  QDataStream&, const QImage&
    44, 44, 0,	//781  QFile::Permission, QFile::Permission
    152, 74, 0,	//784  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    185, 405, 392, 356, 448, 361, 0,	//787  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    357, 418, 0,	//794  char, const QString&
    26, 213, 0,	//797  QDataStream&, QSize&
    26, 156, 0,	//800  QDataStream&, QKeySequence&
    232, 232, 0,	//803  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    31, 448, 0,	//806  QDialogButtonBox::StandardButton, int
    246, 100, 0,	//809  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    394, 0,	//812  const QPersistentModelIndex&
    30, 409, 0,	//814  QDebug, const QRegion&
    26, 442, 0,	//817  QDataStream&, const QVector4D&
    26, 375, 0,	//820  QDataStream&, const QIcon&
    26, 418, 0,	//823  QDataStream&, const QString&
    26, 368, 0,	//826  QDataStream&, const QDateTime&
    26, 269, 0,	//829  QDataStream&, QVector3D&
    390, 418, 387, 0,	//832  const QObject*, const QString&, const QMetaObject&
    185, 448, 448, 448, 448, 392, 356, 448, 361, 0,	//836  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    185, 448, 448, 448, 448, 392, 356, 448, 0,	//846  QPainter*, int, int, int, int, const QPalette&, bool, int
    222, 222, 0,	//855  QString::SectionFlag, QString::SectionFlag
    26, 267, 0,	//858  QDataStream&, QVector2D&
    174, 448, 0,	//861  QMessageBox::StandardButton, int
    438, 446, 0,	//864  const QVector2D&, double
    230, 230, 0,	//867  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    400, 446, 0,	//870  const QPointF&, double
    356, 14, 0,	//873  bool, QBool
    144, 144, 0,	//876  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    440, 446, 0,	//879  const QVector3D&, double
    154, 154, 0,	//882  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    152, 152, 0,	//885  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    358, 443, 459, 0,	//888  char*, const char*, unsigned int
    446, 438, 0,	//892  double, const QVector2D&
    442, 0,	//895  const QVector4D&
    259, 104, 0,	//897  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    26, 171, 0,	//900  QDataStream&, QMatrix4x4&
    233, 94, 0,	//903  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    244, 448, 0,	//906  QTextEdit::AutoFormattingFlag, int
    232, 448, 0,	//909  QStyleOptionTab::CornerWidget, int
    26, 398, 0,	//912  QDataStream&, const QPoint&
    26, 264, 0,	//915  QDataStream&, QVariant&
    400, 386, 0,	//918  const QPointF&, const QMatrix4x4&
    322, 448, 0,	//921  Qt::MouseButton, int
    26, 149, 0,	//924  QDataStream&, QImage&
    400, 0,	//927  const QPointF&
    30, 422, 0,	//929  QDebug, const QStyleOption&
    3, 48, 0,	//932  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    26, 191, 0,	//935  QDataStream&, QPicture&
    23, 448, 0,	//938  QColorDialog::ColorDialogOption, int
    30, 394, 0,	//941  QDebug, const QPersistentModelIndex&
    402, 385, 0,	//944  const QPolygonF&, const QMatrix&
    26, 271, 0,	//947  QDataStream&, QVector4D&
    23, 23, 0,	//950  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    443, 443, 443, 448, 0,	//953  const char*, const char*, const char*, int
    447, 398, 0,	//958  float, const QPoint&
    45, 45, 0,	//961  QFileDialog::Option, QFileDialog::Option
    249, 249, 0,	//964  QTextOption::Flag, QTextOption::Flag
    324, 118, 0,	//967  Qt::Orientation, QFlags<Qt::Orientation>
    26, 386, 0,	//970  QDataStream&, const QMatrix4x4&
    385, 385, 0,	//973  const QMatrix&, const QMatrix&
    43, 448, 0,	//976  QEventLoop::ProcessEventsFlag, int
    406, 406, 0,	//979  const QRectF&, const QRectF&
    448, 448, 448, 448, 0,	//982  int, int, int, int
    26, 257, 0,	//987  QDataStream&, QTransform&
    30, 135, 0,	//990  QDebug, QGraphicsObject*
    26, 416, 0,	//993  QDataStream&, const QStandardItem&
    309, 112, 0,	//996  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    446, 442, 0,	//999  double, const QVector4D&
    9, 448, 0,	//1002  QAccessible::RelationFlag, int
    173, 80, 0,	//1005  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    26, 419, 0,	//1008  QDataStream&, const QStringList&
    30, 386, 0,	//1011  QDebug, const QMatrix4x4&
    363, 357, 0,	//1014  const QByteArray&, char
    34, 34, 0,	//1017  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    32, 55, 0,	//1020  QDir::Filter, QFlags<QDir::Filter>
    26, 195, 0,	//1023  QDataStream&, QPoint&
    413, 446, 0,	//1026  const QSizeF&, double
    26, 367, 0,	//1029  QDataStream&, const QDate&
    235, 448, 0,	//1032  QStyleOptionViewItemV2::ViewItemFeature, int
    464, 0,	//1035  void(*)()
    444, 448, 448, 0,	//1037  const unsigned char*, int, int
    216, 216, 0,	//1041  QSizePolicy::ControlType, QSizePolicy::ControlType
    26, 380, 0,	//1044  QDataStream&, const QLine&
    26, 169, 0,	//1047  QDataStream&, QMatrix&
    31, 31, 0,	//1050  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    26, 220, 0,	//1053  QDataStream&, QString&
    227, 227, 0,	//1056  QStyle::StateFlag, QStyle::StateFlag
    26, 382, 0,	//1059  QDataStream&, const QListWidgetItem&
    230, 448, 0,	//1062  QStyleOptionFrameV2::FrameFeature, int
    466, 0,	//1065  void*
    30, 68, 0,	//1067  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    381, 385, 0,	//1070  const QLineF&, const QMatrix&
    26, 426, 0,	//1073  QDataStream&, const QTextFormat&
    314, 448, 0,	//1076  Qt::ItemFlag, int
    26, 258, 0,	//1079  QDataStream&, QTreeWidgetItem&
    30, 369, 0,	//1082  QDebug, const QDir&
    250, 251, 0,	//1085  QTextStream&, QTextStream&(*)(QTextStream&)
    30, 393, 0,	//1088  QDebug, const QPen&
    446, 404, 0,	//1091  double, const QQuaternion&
    30, 389, 0,	//1094  QDebug, const QModelIndex&
    134, 68, 0,	//1097  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    30, 440, 0,	//1100  QDebug, const QVector3D&
    247, 247, 0,	//1103  QTextItem::RenderFlag, QTextItem::RenderFlag
    43, 43, 0,	//1106  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    359, 0,	//1109  const QBitArray&
    30, 438, 0,	//1111  QDebug, const QVector2D&
    150, 73, 0,	//1114  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    30, 429, 0,	//1117  QDebug, const QTime&
    250, 253, 0,	//1120  QTextStream&, QTextStreamManipulator
    30, 442, 0,	//1123  QDebug, const QVector4D&
    26, 245, 0,	//1126  QDataStream&, QTextFormat&
    304, 111, 0,	//1129  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    421, 443, 0,	//1132  const QStringRef&, const char*
    234, 448, 0,	//1135  QStyleOptionToolButton::ToolButtonFeature, int
    216, 86, 0,	//1138  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    274, 274, 0,	//1141  QWidget::RenderFlag, QWidget::RenderFlag
    26, 13, 0,	//1144  QDataStream&, QBitArray&
    26, 199, 0,	//1147  QDataStream&, QPolygon&
    26, 209, 0,	//1150  QDataStream&, QRegion&
    4, 4, 0,	//1153  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    26, 414, 0,	//1156  QDataStream&, const QSizePolicy&
    234, 234, 0,	//1159  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    35, 448, 0,	//1162  QDockWidget::DockWidgetFeature, int
    456, 456, 0,	//1165  size_t, size_t
    136, 69, 0,	//1168  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    398, 430, 0,	//1171  const QPoint&, const QTransform&
    452, 448, 450, 450, 358, 456, 0,	//1174  long double, int, int*, int*, char*, size_t
    30, 413, 0,	//1181  QDebug, const QSizeF&
    304, 448, 0,	//1184  Qt::GestureFlag, int
    357, 363, 0,	//1187  char, const QByteArray&
    227, 448, 0,	//1190  QStyle::StateFlag, int
    26, 434, 0,	//1193  QDataStream&, const QVariant&
    234, 95, 0,	//1196  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    30, 434, 0,	//1199  QDebug, const QVariant&
    10, 10, 0,	//1202  QAccessible::StateFlag, QAccessible::StateFlag
    186, 186, 0,	//1205  QPainter::RenderHint, QPainter::RenderHint
    349, 448, 0,	//1208  Qt::WindowState, int
    26, 254, 0,	//1211  QDataStream&, QTime&
    26, 193, 0,	//1214  QDataStream&, QPixmap&
    29, 53, 0,	//1217  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    249, 102, 0,	//1220  QTextOption::Flag, QFlags<QTextOption::Flag>
    30, 55, 0,	//1223  QDebug, QFlags<QDir::Filter>
    317, 317, 0,	//1226  Qt::KeyboardModifier, Qt::KeyboardModifier
    26, 41, 0,	//1229  QDataStream&, QEasingCurve&
    446, 400, 0,	//1232  double, const QPointF&
    299, 110, 0,	//1235  Qt::DropAction, QFlags<Qt::DropAction>
    409, 430, 0,	//1238  const QRegion&, const QTransform&
    411, 446, 0,	//1241  const QSize&, double
    30, 367, 0,	//1244  QDebug, const QDate&
    391, 430, 0,	//1247  const QPainterPath&, const QTransform&
    10, 51, 0,	//1250  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    32, 32, 0,	//1253  QDir::Filter, QDir::Filter
    358, 456, 443, 463, 0,	//1256  char*, size_t, const char*, va_list
    446, 398, 0,	//1261  double, const QPoint&
    402, 430, 0,	//1264  const QPolygonF&, const QTransform&
    466, 448, 456, 0,	//1267  void*, int, size_t
    26, 381, 0,	//1271  QDataStream&, const QLineF&
    443, 448, 0,	//1274  const char*, int
    454, 0,	//1277  short
    173, 173, 0,	//1279  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    147, 147, 0,	//1282  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    297, 297, 0,	//1285  Qt::DockWidgetArea, Qt::DockWidgetArea
    33, 56, 0,	//1288  QDir::SortFlag, QFlags<QDir::SortFlag>
    447, 447, 0,	//1291  float, float
    434, 436, 0,	//1294  const QVariant&, const QVariantComparisonHelper&
    152, 448, 0,	//1297  QInputDialog::InputDialogOption, int
    158, 158, 0,	//1300  QLibrary::LoadHint, QLibrary::LoadHint
    452, 448, 358, 0,	//1303  long double, int, char*
    466, 456, 456, 449, 0,	//1307  void*, size_t, size_t, int(*)(const void*,const void*)
    259, 259, 0,	//1312  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    231, 92, 0,	//1315  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    144, 71, 0,	//1318  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    34, 448, 0,	//1321  QDirIterator::IteratorFlag, int
    311, 311, 0,	//1324  Qt::InputMethodHint, Qt::InputMethodHint
    136, 448, 0,	//1327  QGraphicsScene::SceneLayer, int
    26, 393, 0,	//1330  QDataStream&, const QPen&
    183, 183, 0,	//1333  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    26, 188, 0,	//1336  QDataStream&, QPainterPath&
    30, 380, 0,	//1339  QDebug, const QLine&
    336, 336, 0,	//1342  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    185, 448, 448, 448, 448, 392, 356, 448, 448, 361, 0,	//1345  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    185, 448, 448, 448, 448, 392, 356, 448, 448, 0,	//1356  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    342, 448, 0,	//1366  Qt::TouchPointState, int
    26, 248, 0,	//1369  QDataStream&, QTextLength&
    30, 430, 0,	//1372  QDebug, const QTransform&
    259, 448, 0,	//1375  QTreeWidgetItemIterator::IteratorFlag, int
    363, 448, 0,	//1378  const QByteArray&, int
    30, 401, 0,	//1381  QDebug, const QPolygon&
    261, 105, 0,	//1384  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 448, 0,	//1387  QAbstractSpinBox::StepEnabledFlag, int
    216, 448, 0,	//1390  QSizePolicy::ControlType, int
    136, 136, 0,	//1393  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    336, 448, 0,	//1396  Qt::TextInteractionFlag, int
    349, 349, 0,	//1399  Qt::WindowState, Qt::WindowState
    246, 448, 0,	//1402  QTextFormat::PageBreakFlag, int
    438, 0,	//1405  const QVector2D&
    1, 46, 0,	//1407  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    26, 365, 0,	//1410  QDataStream&, const QColor&
    446, 386, 0,	//1413  double, const QMatrix4x4&
    26, 363, 0,	//1416  QDataStream&, const QByteArray&
    9, 9, 0,	//1419  QAccessible::RelationFlag, QAccessible::RelationFlag
    26, 370, 0,	//1422  QDataStream&, const QEasingCurve&
    380, 385, 0,	//1425  const QLine&, const QMatrix&
    26, 432, 0,	//1428  QDataStream&, const QUrl&
    30, 405, 0,	//1431  QDebug, const QRect&
    30, 372, 0,	//1434  QDebug, const QFont&
    33, 33, 0,	//1437  QDir::SortFlag, QDir::SortFlag
    23, 52, 0,	//1440  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    143, 448, 0,	//1443  QGraphicsView::CacheModeFlag, int
    252, 448, 0,	//1446  QTextStream::NumberFlag, int
    26, 204, 0,	//1449  QDataStream&, QRect&
    172, 172, 0,	//1452  QMdiArea::AreaOption, QMdiArea::AreaOption
    26, 411, 0,	//1455  QDataStream&, const QSize&
    26, 364, 0,	//1458  QDataStream&, const QChar&
    126, 63, 0,	//1461  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    157, 155, 0,	//1464  QKeySequence::StandardKey, QKeyEvent*
    127, 64, 0,	//1467  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    227, 88, 0,	//1470  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    277, 448, 0,	//1473  Qt::AlignmentFlag, int
    26, 164, 0,	//1476  QDataStream&, QListWidgetItem&
    26, 407, 0,	//1479  QDataStream&, const QRegExp&
    150, 448, 0,	//1482  QImageIOPlugin::Capability, int
    243, 98, 0,	//1485  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    440, 0,	//1488  const QVector3D&
    30, 406, 0,	//1490  QDebug, const QRectF&
    349, 122, 0,	//1493  Qt::WindowState, QFlags<Qt::WindowState>
    130, 67, 0,	//1496  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    314, 314, 0,	//1499  Qt::ItemFlag, Qt::ItemFlag
    26, 262, 0,	//1502  QDataStream&, QUuid&
    26, 125, 0,	//1505  QDataStream&, QFont&
    185, 405, 365, 448, 361, 0,	//1508  QPainter*, const QRect&, const QColor&, int, const QBrush*
    185, 405, 365, 0,	//1514  QPainter*, const QRect&, const QColor&
    185, 405, 365, 448, 0,	//1518  QPainter*, const QRect&, const QColor&, int
    26, 201, 0,	//1523  QDataStream&, QPolygonF&
    134, 134, 0,	//1526  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    233, 448, 0,	//1529  QStyleOptionToolBar::ToolBarFeature, int
    398, 448, 0,	//1532  const QPoint&, int
    26, 266, 0,	//1535  QDataStream&, QVariant::Type&
    186, 448, 0,	//1538  QPainter::RenderHint, int
    434, 265, 466, 0,	//1541  const QVariant&, QVariant::Type, void*
    30, 88, 0,	//1545  QDebug, QFlags<QStyle::StateFlag>
    2, 448, 0,	//1548  QAbstractItemView::EditTrigger, int
    398, 386, 0,	//1551  const QPoint&, const QMatrix4x4&
    398, 385, 0,	//1554  const QPoint&, const QMatrix&
    3, 3, 0,	//1557  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    390, 418, 408, 387, 163, 0,	//1560  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    374, 374, 0,	//1566  const QHashDummyValue&, const QHashDummyValue&
    26, 197, 0,	//1569  QDataStream&, QPointF&
    324, 448, 0,	//1572  Qt::Orientation, int
    235, 235, 0,	//1575  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    386, 440, 0,	//1578  const QMatrix4x4&, const QVector3D&
    26, 425, 0,	//1581  QDataStream&, const QTableWidgetItem&
    30, 131, 0,	//1584  QDebug, QGraphicsItem*
    185, 398, 398, 392, 356, 448, 448, 0,	//1587  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    185, 398, 398, 392, 0,	//1595  QPainter*, const QPoint&, const QPoint&, const QPalette&
    185, 398, 398, 392, 356, 0,	//1600  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    185, 398, 398, 392, 356, 448, 0,	//1606  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    304, 304, 0,	//1613  Qt::GestureFlag, Qt::GestureFlag
    147, 72, 0,	//1616  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    386, 400, 0,	//1619  const QMatrix4x4&, const QPointF&
    129, 448, 0,	//1622  QGraphicsBlurEffect::BlurHint, int
    183, 83, 0,	//1625  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    26, 372, 0,	//1628  QDataStream&, const QFont&
    129, 129, 0,	//1631  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    401, 430, 0,	//1634  const QPolygon&, const QTransform&
    182, 448, 0,	//1637  QPaintEngine::DirtyFlag, int
    398, 447, 0,	//1640  const QPoint&, float
    446, 411, 0,	//1643  double, const QSize&
    154, 448, 0,	//1646  QItemSelectionModel::SelectionFlag, int
    14, 356, 0,	//1649  QBool, bool
    31, 54, 0,	//1652  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    26, 160, 0,	//1655  QDataStream&, QLine&
    30, 411, 0,	//1658  QDebug, const QSize&
    228, 448, 0,	//1661  QStyle::SubControl, int
    252, 252, 0,	//1664  QTextStream::NumberFlag, QTextStream::NumberFlag
    381, 430, 0,	//1667  const QLineF&, const QTransform&
    127, 448, 0,	//1670  QFontDialog::FontDialogOption, int
    322, 117, 0,	//1673  Qt::MouseButton, QFlags<Qt::MouseButton>
    26, 435, 0,	//1676  QDataStream&, const QVariant::Type
    243, 243, 0,	//1679  QTextDocument::FindFlag, QTextDocument::FindFlag
    231, 448, 0,	//1682  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    314, 114, 0,	//1685  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    400, 430, 0,	//1688  const QPointF&, const QTransform&
    30, 365, 0,	//1691  QDebug, const QColor&
    30, 385, 0,	//1694  QDebug, const QMatrix&
    26, 433, 0,	//1697  QDataStream&, const QUuid&
    158, 76, 0,	//1700  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    350, 448, 0,	//1703  Qt::WindowType, int
    229, 448, 0,	//1706  QStyleOptionButton::ButtonFeature, int
    26, 206, 0,	//1709  QDataStream&, QRectF&
    229, 90, 0,	//1712  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    143, 70, 0,	//1715  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    26, 25, 0,	//1718  QDataStream&, QCursor&
    134, 448, 0,	//1721  QGraphicsItem::GraphicsItemFlag, int
    26, 405, 0,	//1724  QDataStream&, const QRect&
    320, 116, 0,	//1727  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    277, 108, 0,	//1730  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    26, 19, 0,	//1733  QDataStream&, QChar&
    26, 207, 0,	//1736  QDataStream&, QRegExp&
    460, 0,	//1739  unsigned long
    26, 404, 0,	//1741  QDataStream&, const QQuaternion&
    10, 448, 0,	//1744  QAccessible::StateFlag, int
    26, 400, 0,	//1747  QDataStream&, const QPointF&
    192, 448, 0,	//1750  QPinchGesture::ChangeFlag, int
    166, 77, 0,	//1753  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    26, 413, 0,	//1756  QDataStream&, const QSizeF&
    247, 448, 0,	//1759  QTextItem::RenderFlag, int
    185, 405, 384, 396, 405, 384, 428, 59, 0,	//1762  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    185, 405, 384, 396, 405, 384, 0,	//1771  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    185, 405, 384, 396, 405, 384, 428, 0,	//1778  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    222, 87, 0,	//1786  QString::SectionFlag, QFlags<QString::SectionFlag>
    418, 418, 0,	//1789  const QString&, const QString&
    1, 1, 0,	//1792  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    353, 443, 0,	//1795  QtMsgType, const char*
    30, 391, 0,	//1798  QDebug, const QPainterPath&
    446, 440, 0,	//1801  double, const QVector3D&
    421, 0,	//1804  const QStringRef&
    147, 448, 0,	//1806  QIODevice::OpenModeFlag, int
    4, 49, 0,	//1809  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    457, 0,	//1812  unsigned char
    26, 17, 0,	//1814  QDataStream&, QByteArray&
    126, 126, 0,	//1817  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    401, 385, 0,	//1820  const QPolygon&, const QMatrix&
    30, 423, 0,	//1823  QDebug, const QStyleOption::OptionType&
    30, 390, 0,	//1826  QDebug, const QObject*
    320, 448, 0,	//1829  Qt::MatchFlag, int
    26, 401, 0,	//1832  QDataStream&, const QPolygon&
    26, 27, 0,	//1835  QDataStream&, QDate&
    26, 359, 0,	//1838  QDataStream&, const QBitArray&
    373, 315, 0,	//1841  const QGraphicsItem*, Qt::ItemSelectionMode
    391, 315, 0,	//1844  const QPainterPath&, Qt::ItemSelectionMode
    373, 0,	//1847  const QGraphicsItem*
    131, 42, 0,	//1849  QGraphicsItem*, QEvent*
    42, 0,	//1852  QEvent*
    137, 0,	//1854  QGraphicsSceneContextMenuEvent*
    138, 0,	//1856  QGraphicsSceneDragDropEvent*
    124, 0,	//1858  QFocusEvent*
    139, 0,	//1860  QGraphicsSceneHoverEvent*
    155, 0,	//1862  QKeyEvent*
    140, 0,	//1864  QGraphicsSceneMouseEvent*
    141, 0,	//1866  QGraphicsSceneWheelEvent*
    153, 0,	//1868  QInputMethodEvent*
    312, 0,	//1870  Qt::InputMethodQuery
    133, 434, 0,	//1872  QGraphicsItem::GraphicsItemChange, const QVariant&
    132, 0,	//1875  QGraphicsItem::Extension
    132, 434, 0,	//1877  QGraphicsItem::Extension, const QVariant&
    434, 0,	//1880  const QVariant&
    175, 448, 467, 0,	//1882  QMetaObject::Call, int, void**
    131, 0,	//1886  QGraphicsItem*
    418, 131, 0,	//1888  const QString&, QGraphicsItem*
    237, 0,	//1891  QSvgRenderer*
    356, 0,	//1893  bool
    411, 0,	//1895  const QSize&
    185, 424, 273, 0,	//1897  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    185, 424, 0,	//1901  QPainter*, const QStyleOptionGraphicsItem*
    178, 42, 0,	//1904  QObject*, QEvent*
    255, 0,	//1907  QTimerEvent*
    20, 0,	//1909  QChildEvent*
    405, 0,	//1911  const QRect&
    406, 0,	//1913  const QRectF&
    146, 0,	//1915  QIODevice*
    180, 0,	//1917  QPaintDevice::PaintDeviceMetric
    178, 0,	//1919  QObject*
    418, 178, 0,	//1921  const QString&, QObject*
    363, 178, 0,	//1924  const QByteArray&, QObject*
    276, 178, 0,	//1927  QXmlStreamReader*, QObject*
    276, 0,	//1930  QXmlStreamReader*
    185, 0,	//1932  QPainter*
    185, 406, 0,	//1934  QPainter*, const QRectF&
    185, 418, 406, 0,	//1937  QPainter*, const QString&, const QRectF&
    185, 418, 0,	//1941  QPainter*, const QString&
    273, 0,	//1944  QWidget*
    418, 273, 0,	//1946  const QString&, QWidget*
    184, 0,	//1949  QPaintEvent*
    176, 0,	//1951  QMouseEvent*
    272, 0,	//1953  QWheelEvent*
    177, 0,	//1955  QMoveEvent*
    210, 0,	//1957  QResizeEvent*
    21, 0,	//1959  QCloseEvent*
    24, 0,	//1961  QContextMenuEvent*
    240, 0,	//1963  QTabletEvent*
    11, 0,	//1965  QActionEvent*
    36, 0,	//1967  QDragEnterEvent*
    38, 0,	//1969  QDragMoveEvent*
    37, 0,	//1971  QDragLeaveEvent*
    40, 0,	//1973  QDropEvent*
    211, 0,	//1975  QShowEvent*
    145, 0,	//1977  QHideEvent*
    354, 0,	//1979  _XEvent*
    226, 0,	//1981  QStyle&
    392, 0,	//1983  const QPalette&
    372, 0,	//1985  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemRotationChange",	//34
    "ItemRotationHasChanged",	//35
    "ItemScaleChange",	//36
    "ItemScaleHasChanged",	//37
    "ItemSceneChange",	//38
    "ItemSceneHasChanged",	//39
    "ItemScenePositionHasChanged",	//40
    "ItemSelectedChange",	//41
    "ItemSelectedHasChanged",	//42
    "ItemSendsGeometryChanges",	//43
    "ItemSendsScenePositionChanges",	//44
    "ItemStacksBehindParent",	//45
    "ItemStopsClickFocusPropagation",	//46
    "ItemStopsFocusHandling",	//47
    "ItemToolTipChange",	//48
    "ItemToolTipHasChanged",	//49
    "ItemTransformChange",	//50
    "ItemTransformHasChanged",	//51
    "ItemTransformOriginPointChange",	//52
    "ItemTransformOriginPointHasChanged",	//53
    "ItemUsesExtendedStyleOption",	//54
    "ItemVisibleChange",	//55
    "ItemVisibleHasChanged",	//56
    "ItemZValueChange",	//57
    "ItemZValueHasChanged",	//58
    "NoCache",	//59
    "NonModal",	//60
    "PM_BoldLineWidth",	//61
    "PM_CbaIconHeight",	//62
    "PM_CbaIconWidth",	//63
    "PM_FrameCornerHeight",	//64
    "PM_FrameCornerWidth",	//65
    "PM_MessageBoxHeight",	//66
    "PM_ThinLineWidth",	//67
    "PanelModal",	//68
    "PdmDepth",	//69
    "PdmDpiX",	//70
    "PdmDpiY",	//71
    "PdmHeight",	//72
    "PdmHeightMM",	//73
    "PdmNumColors",	//74
    "PdmPhysicalDpiX",	//75
    "PdmPhysicalDpiY",	//76
    "PdmWidth",	//77
    "PdmWidthMM",	//78
    "QGraphicsSvgItem",	//79
    "QGraphicsSvgItem#",	//80
    "QGraphicsSvgItem$",	//81
    "QGraphicsSvgItem$#",	//82
    "QSvgGenerator",	//83
    "QSvgRenderer",	//84
    "QSvgRenderer#",	//85
    "QSvgRenderer##",	//86
    "QSvgRenderer$",	//87
    "QSvgRenderer$#",	//88
    "QSvgWidget",	//89
    "QSvgWidget#",	//90
    "QSvgWidget$",	//91
    "QSvgWidget$#",	//92
    "QtCriticalMsg",	//93
    "QtDebugMsg",	//94
    "QtFatalMsg",	//95
    "QtSystemMsg",	//96
    "QtWarningMsg",	//97
    "SceneModal",	//98
    "Type",	//99
    "UserExtension",	//100
    "UserType",	//101
    "__codecvt_error",	//102
    "__codecvt_noconv",	//103
    "__codecvt_ok",	//104
    "__codecvt_partial",	//105
    "actionEvent",	//106
    "advance",	//107
    "animated",	//108
    "animationDuration",	//109
    "boundingRect",	//110
    "boundsOnElement",	//111
    "boundsOnElement$",	//112
    "changeEvent",	//113
    "childEvent",	//114
    "closeEvent",	//115
    "collidesWithItem",	//116
    "collidesWithPath",	//117
    "connectNotify",	//118
    "contains",	//119
    "contextMenuEvent",	//120
    "currentFrame",	//121
    "customEvent",	//122
    "defaultSize",	//123
    "description",	//124
    "devType",	//125
    "disconnectNotify",	//126
    "dragEnterEvent",	//127
    "dragLeaveEvent",	//128
    "dragMoveEvent",	//129
    "dropEvent",	//130
    "elementExists",	//131
    "elementExists$",	//132
    "elementId",	//133
    "enabledChange",	//134
    "enterEvent",	//135
    "event",	//136
    "eventFilter",	//137
    "extension",	//138
    "fileName",	//139
    "focusInEvent",	//140
    "focusNextPrevChild",	//141
    "focusOutEvent",	//142
    "fontChange",	//143
    "framesPerSecond",	//144
    "heightForWidth",	//145
    "hideEvent",	//146
    "hoverEnterEvent",	//147
    "hoverLeaveEvent",	//148
    "hoverMoveEvent",	//149
    "inputMethodEvent",	//150
    "inputMethodQuery",	//151
    "isCachingEnabled",	//152
    "isObscuredBy",	//153
    "isValid",	//154
    "itemChange",	//155
    "keyPressEvent",	//156
    "keyReleaseEvent",	//157
    "languageChange",	//158
    "leaveEvent",	//159
    "load",	//160
    "load#",	//161
    "load$",	//162
    "matrixForElement",	//163
    "matrixForElement$",	//164
    "maximumCacheSize",	//165
    "metaObject",	//166
    "metric",	//167
    "metric$",	//168
    "minimumSizeHint",	//169
    "mouseDoubleClickEvent",	//170
    "mouseMoveEvent",	//171
    "mousePressEvent",	//172
    "mouseReleaseEvent",	//173
    "moveEvent",	//174
    "opaqueArea",	//175
    "operator!=",	//176
    "operator!=##",	//177
    "operator!=#$",	//178
    "operator!=$#",	//179
    "operator!=$$",	//180
    "operator&",	//181
    "operator&##",	//182
    "operator*",	//183
    "operator*##",	//184
    "operator*#$",	//185
    "operator*$#",	//186
    "operator+",	//187
    "operator+##",	//188
    "operator+#$",	//189
    "operator+$#",	//190
    "operator+$$",	//191
    "operator-",	//192
    "operator-#",	//193
    "operator-##",	//194
    "operator-#$",	//195
    "operator/",	//196
    "operator/#$",	//197
    "operator<",	//198
    "operator<##",	//199
    "operator<#$",	//200
    "operator<$#",	//201
    "operator<$$",	//202
    "operator<<",	//203
    "operator<<##",	//204
    "operator<<#$",	//205
    "operator<<#?",	//206
    "operator<=",	//207
    "operator<=##",	//208
    "operator<=#$",	//209
    "operator<=$#",	//210
    "operator<=$$",	//211
    "operator==",	//212
    "operator==##",	//213
    "operator==#$",	//214
    "operator==$#",	//215
    "operator==$$",	//216
    "operator>",	//217
    "operator>##",	//218
    "operator>#$",	//219
    "operator>$#",	//220
    "operator>$$",	//221
    "operator>=",	//222
    "operator>=##",	//223
    "operator>=#$",	//224
    "operator>=$#",	//225
    "operator>=$$",	//226
    "operator>>",	//227
    "operator>>##",	//228
    "operator>>#$",	//229
    "operator>>#?",	//230
    "operator^",	//231
    "operator^##",	//232
    "operator|",	//233
    "operator|##",	//234
    "operator|$$",	//235
    "outputDevice",	//236
    "paint",	//237
    "paint##",	//238
    "paint###",	//239
    "paintEngine",	//240
    "paintEvent",	//241
    "paintEvent#",	//242
    "paletteChange",	//243
    "qAccessibleActionCastHelper",	//244
    "qAccessibleEditableTextCastHelper",	//245
    "qAccessibleImageCastHelper",	//246
    "qAccessibleTableCastHelper",	//247
    "qAccessibleTextCastHelper",	//248
    "qAccessibleValueCastHelper",	//249
    "qAcos",	//250
    "qAcos$",	//251
    "qAddPostRoutine",	//252
    "qAddPostRoutine$",	//253
    "qAlpha",	//254
    "qAlpha$",	//255
    "qAppName",	//256
    "qAsin",	//257
    "qAsin$",	//258
    "qAtan",	//259
    "qAtan$",	//260
    "qAtan2",	//261
    "qAtan2$$",	//262
    "qBadAlloc",	//263
    "qBlue",	//264
    "qBlue$",	//265
    "qCeil",	//266
    "qCeil$",	//267
    "qChecksum",	//268
    "qChecksum$$",	//269
    "qCompress",	//270
    "qCompress#",	//271
    "qCompress#$",	//272
    "qCompress$$",	//273
    "qCompress$$$",	//274
    "qCos",	//275
    "qCos$",	//276
    "qCritical",	//277
    "qDebug",	//278
    "qDrawBorderPixmap",	//279
    "qDrawBorderPixmap####",	//280
    "qDrawBorderPixmap######",	//281
    "qDrawBorderPixmap#######",	//282
    "qDrawBorderPixmap#######$",	//283
    "qDrawPlainRect",	//284
    "qDrawPlainRect###",	//285
    "qDrawPlainRect###$",	//286
    "qDrawPlainRect###$#",	//287
    "qDrawPlainRect#$$$$#",	//288
    "qDrawPlainRect#$$$$#$",	//289
    "qDrawPlainRect#$$$$#$#",	//290
    "qDrawShadeLine",	//291
    "qDrawShadeLine####",	//292
    "qDrawShadeLine####$",	//293
    "qDrawShadeLine####$$",	//294
    "qDrawShadeLine####$$$",	//295
    "qDrawShadeLine#$$$$#",	//296
    "qDrawShadeLine#$$$$#$",	//297
    "qDrawShadeLine#$$$$#$$",	//298
    "qDrawShadeLine#$$$$#$$$",	//299
    "qDrawShadePanel",	//300
    "qDrawShadePanel###",	//301
    "qDrawShadePanel###$",	//302
    "qDrawShadePanel###$$",	//303
    "qDrawShadePanel###$$#",	//304
    "qDrawShadePanel#$$$$#",	//305
    "qDrawShadePanel#$$$$#$",	//306
    "qDrawShadePanel#$$$$#$$",	//307
    "qDrawShadePanel#$$$$#$$#",	//308
    "qDrawShadeRect",	//309
    "qDrawShadeRect###",	//310
    "qDrawShadeRect###$",	//311
    "qDrawShadeRect###$$",	//312
    "qDrawShadeRect###$$$",	//313
    "qDrawShadeRect###$$$#",	//314
    "qDrawShadeRect#$$$$#",	//315
    "qDrawShadeRect#$$$$#$",	//316
    "qDrawShadeRect#$$$$#$$",	//317
    "qDrawShadeRect#$$$$#$$$",	//318
    "qDrawShadeRect#$$$$#$$$#",	//319
    "qDrawWinButton",	//320
    "qDrawWinButton###",	//321
    "qDrawWinButton###$",	//322
    "qDrawWinButton###$#",	//323
    "qDrawWinButton#$$$$#",	//324
    "qDrawWinButton#$$$$#$",	//325
    "qDrawWinButton#$$$$#$#",	//326
    "qDrawWinPanel",	//327
    "qDrawWinPanel###",	//328
    "qDrawWinPanel###$",	//329
    "qDrawWinPanel###$#",	//330
    "qDrawWinPanel#$$$$#",	//331
    "qDrawWinPanel#$$$$#$",	//332
    "qDrawWinPanel#$$$$#$#",	//333
    "qExp",	//334
    "qExp$",	//335
    "qFabs",	//336
    "qFabs$",	//337
    "qFastCos",	//338
    "qFastCos$",	//339
    "qFastSin",	//340
    "qFastSin$",	//341
    "qFlagLocation",	//342
    "qFlagLocation$",	//343
    "qFloor",	//344
    "qFloor$",	//345
    "qFree",	//346
    "qFree$",	//347
    "qFreeAligned",	//348
    "qFreeAligned$",	//349
    "qFuzzyCompare",	//350
    "qFuzzyCompare##",	//351
    "qFuzzyCompare$$",	//352
    "qFuzzyIsNull",	//353
    "qFuzzyIsNull$",	//354
    "qGray",	//355
    "qGray$",	//356
    "qGray$$$",	//357
    "qGreen",	//358
    "qGreen$",	//359
    "qHash",	//360
    "qHash#",	//361
    "qHash$",	//362
    "qInf",	//363
    "qInstallMsgHandler",	//364
    "qInstallMsgHandler$",	//365
    "qIntCast",	//366
    "qIntCast$",	//367
    "qIsFinite",	//368
    "qIsFinite$",	//369
    "qIsGray",	//370
    "qIsGray$",	//371
    "qIsInf",	//372
    "qIsInf$",	//373
    "qIsNaN",	//374
    "qIsNaN$",	//375
    "qIsNull",	//376
    "qIsNull$",	//377
    "qLn",	//378
    "qLn$",	//379
    "qMalloc",	//380
    "qMalloc$",	//381
    "qMallocAligned",	//382
    "qMallocAligned$$",	//383
    "qMemCopy",	//384
    "qMemCopy$$$",	//385
    "qMemSet",	//386
    "qMemSet$$$",	//387
    "qPow",	//388
    "qPow$$",	//389
    "qQNaN",	//390
    "qRealloc",	//391
    "qRealloc$$",	//392
    "qReallocAligned",	//393
    "qReallocAligned$$$$",	//394
    "qRed",	//395
    "qRed$",	//396
    "qRegisterStaticPluginInstanceFunction",	//397
    "qRegisterStaticPluginInstanceFunction#",	//398
    "qRemovePostRoutine",	//399
    "qRemovePostRoutine$",	//400
    "qRgb",	//401
    "qRgb$$$",	//402
    "qRgba",	//403
    "qRgba$$$$",	//404
    "qRound",	//405
    "qRound$",	//406
    "qRound64",	//407
    "qRound64$",	//408
    "qSNaN",	//409
    "qSetFieldWidth",	//410
    "qSetFieldWidth$",	//411
    "qSetPadChar",	//412
    "qSetPadChar#",	//413
    "qSetRealNumberPrecision",	//414
    "qSetRealNumberPrecision$",	//415
    "qSharedBuild",	//416
    "qSin",	//417
    "qSin$",	//418
    "qSqrt",	//419
    "qSqrt$",	//420
    "qStringComparisonHelper",	//421
    "qStringComparisonHelper#$",	//422
    "qStringComparisonHelper$$",	//423
    "qTan",	//424
    "qTan$",	//425
    "qUncompress",	//426
    "qUncompress#",	//427
    "qUncompress$$",	//428
    "qVersion",	//429
    "qWarning",	//430
    "qbswap_helper",	//431
    "qbswap_helper$$$",	//432
    "qecvt",	//433
    "qecvt$$$$",	//434
    "qecvt_r",	//435
    "qecvt_r$$$$$$",	//436
    "qfcvt",	//437
    "qfcvt$$$$",	//438
    "qfcvt_r",	//439
    "qfcvt_r$$$$$$",	//440
    "qgcvt",	//441
    "qgcvt$$$",	//442
    "qgetenv",	//443
    "qgetenv$",	//444
    "qputenv",	//445
    "qputenv$#",	//446
    "qrand",	//447
    "qsort",	//448
    "qsort$$$$",	//449
    "qsrand",	//450
    "qsrand$",	//451
    "qstrcmp",	//452
    "qstrcmp##",	//453
    "qstrcmp#$",	//454
    "qstrcmp$#",	//455
    "qstrcmp$$",	//456
    "qstrcpy",	//457
    "qstrcpy$$",	//458
    "qstrdup",	//459
    "qstrdup$",	//460
    "qstricmp",	//461
    "qstricmp$$",	//462
    "qstrlen",	//463
    "qstrlen$",	//464
    "qstrncmp",	//465
    "qstrncmp$$$",	//466
    "qstrncpy",	//467
    "qstrncpy$$$",	//468
    "qstrnicmp",	//469
    "qstrnicmp$$$",	//470
    "qstrnlen",	//471
    "qstrnlen$$",	//472
    "qtTrId",	//473
    "qtTrId$",	//474
    "qtTrId$$",	//475
    "qt_assert",	//476
    "qt_assert$$$",	//477
    "qt_assert_x",	//478
    "qt_assert_x$$$$",	//479
    "qt_check_pointer",	//480
    "qt_check_pointer$$",	//481
    "qt_error_string",	//482
    "qt_error_string$",	//483
    "qt_message_output",	//484
    "qt_message_output$$",	//485
    "qt_metacall",	//486
    "qt_metacall$$?",	//487
    "qt_metacast",	//488
    "qt_metacast$",	//489
    "qt_noop",	//490
    "qt_qFindChild_helper",	//491
    "qt_qFindChild_helper#$#",	//492
    "qt_qFindChildren_helper",	//493
    "qt_qFindChildren_helper#$##?",	//494
    "qvariant_cast_helper",	//495
    "qvariant_cast_helper#$$",	//496
    "qvsnprintf",	//497
    "qvsnprintf$$$?",	//498
    "render",	//499
    "render#",	//500
    "render##",	//501
    "render#$",	//502
    "render#$#",	//503
    "renderer",	//504
    "repaintNeeded",	//505
    "resizeEvent",	//506
    "resolution",	//507
    "sceneEvent",	//508
    "sceneEventFilter",	//509
    "setCachingEnabled",	//510
    "setCachingEnabled$",	//511
    "setCurrentFrame",	//512
    "setCurrentFrame$",	//513
    "setDescription",	//514
    "setDescription$",	//515
    "setElementId",	//516
    "setElementId$",	//517
    "setExtension",	//518
    "setFileName",	//519
    "setFileName$",	//520
    "setFramesPerSecond",	//521
    "setFramesPerSecond$",	//522
    "setMaximumCacheSize",	//523
    "setMaximumCacheSize#",	//524
    "setOutputDevice",	//525
    "setOutputDevice#",	//526
    "setResolution",	//527
    "setResolution$",	//528
    "setSharedRenderer",	//529
    "setSharedRenderer#",	//530
    "setSize",	//531
    "setSize#",	//532
    "setTitle",	//533
    "setTitle$",	//534
    "setViewBox",	//535
    "setViewBox#",	//536
    "setVisible",	//537
    "shape",	//538
    "showEvent",	//539
    "size",	//540
    "sizeHint",	//541
    "staticMetaObject",	//542
    "styleChange",	//543
    "supportsExtension",	//544
    "tabletEvent",	//545
    "timerEvent",	//546
    "title",	//547
    "tr",	//548
    "tr$",	//549
    "tr$$",	//550
    "tr$$$",	//551
    "trUtf8",	//552
    "trUtf8$",	//553
    "trUtf8$$",	//554
    "trUtf8$$$",	//555
    "type",	//556
    "viewBox",	//557
    "viewBoxF",	//558
    "wheelEvent",	//559
    "windowActivationChange",	//560
    "x11Event",	//561
    "~QGraphicsSvgItem",	//562
    "~QSvgGenerator",	//563
    "~QSvgRenderer",	//564
    "~QSvgWidget",	//565
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 233, 1, 2, Smoke::mf_static, 151, 1},	//1 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {26, 249, 0, 0, Smoke::mf_static, 8, 2},	//2 QGlobalSpace::qAccessibleValueCastHelper()
    {26, 222, 4, 2, Smoke::mf_static, 356, 3},	//3 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {26, 360, 7, 1, Smoke::mf_static, 459, 4},	//4 QGlobalSpace::qHash(unsigned long long)
    {26, 372, 9, 1, Smoke::mf_static, 356, 5},	//5 QGlobalSpace::qIsInf(double)
    {26, 233, 11, 2, Smoke::mf_static, 151, 6},	//6 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {26, 192, 14, 2, Smoke::mf_static, 170, 7},	//7 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {26, 233, 17, 2, Smoke::mf_static, 151, 8},	//8 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {26, 212, 20, 2, Smoke::mf_static, 356, 9},	//9 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {26, 176, 23, 2, Smoke::mf_static, 356, 10},	//10 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {26, 471, 26, 2, Smoke::mf_static, 459, 11},	//11 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {26, 384, 29, 3, Smoke::mf_static, 466, 12},	//12 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {26, 490, 0, 0, Smoke::mf_static, 0, 13},	//13 QGlobalSpace::qt_noop()
    {26, 212, 33, 2, Smoke::mf_static, 356, 14},	//14 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {26, 203, 36, 2, Smoke::mf_static, 30, 15},	//15 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {26, 227, 39, 2, Smoke::mf_static, 26, 16},	//16 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {26, 183, 42, 2, Smoke::mf_static, 196, 17},	//17 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {26, 233, 45, 2, Smoke::mf_static, 82, 18},	//18 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {26, 212, 48, 2, Smoke::mf_static, 356, 19},	//19 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {26, 212, 51, 2, Smoke::mf_static, 356, 20},	//20 QGlobalSpace::operator==(const QSize&, const QSize&)
    {26, 203, 54, 2, Smoke::mf_static, 26, 21},	//21 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {26, 233, 57, 2, Smoke::mf_static, 99, 22},	//22 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {26, 187, 60, 2, Smoke::mf_static, 362, 23},	//23 QGlobalSpace::operator+(const char*, const QByteArray&)
    {26, 227, 63, 2, Smoke::mf_static, 26, 24},	//24 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {26, 233, 66, 2, Smoke::mf_static, 90, 25},	//25 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {26, 233, 69, 2, Smoke::mf_static, 79, 26},	//26 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {26, 233, 72, 2, Smoke::mf_static, 61, 27},	//27 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {26, 421, 75, 2, Smoke::mf_static, 356, 28},	//28 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {26, 227, 78, 2, Smoke::mf_static, 26, 29},	//29 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {26, 452, 60, 2, Smoke::mf_static, 448, 30},	//30 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {26, 212, 81, 2, Smoke::mf_static, 356, 31},	//31 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {26, 203, 84, 2, Smoke::mf_static, 26, 32},	//32 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {26, 261, 87, 2, Smoke::mf_static, 446, 33},	//33 QGlobalSpace::qAtan2(double, double)
    {26, 227, 90, 2, Smoke::mf_static, 26, 34},	//34 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {26, 222, 93, 2, Smoke::mf_static, 356, 35},	//35 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {26, 372, 96, 1, Smoke::mf_static, 356, 36},	//36 QGlobalSpace::qIsInf(float)
    {26, 443, 98, 1, Smoke::mf_static, 16, 37},	//37 QGlobalSpace::qgetenv(const char*)
    {26, 360, 100, 1, Smoke::mf_static, 459, 38},	//38 QGlobalSpace::qHash(signed char)
    {26, 233, 102, 2, Smoke::mf_static, 151, 39},	//39 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {26, 212, 105, 2, Smoke::mf_static, 356, 40},	//40 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {26, 217, 60, 2, Smoke::mf_static, 356, 41},	//41 QGlobalSpace::operator>(const char*, const QByteArray&)
    {26, 233, 108, 2, Smoke::mf_static, 151, 42},	//42 QGlobalSpace::operator|(QFileDialog::Option, int)
    {26, 187, 14, 2, Smoke::mf_static, 170, 43},	//43 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {26, 366, 9, 1, Smoke::mf_static, 448, 44},	//44 QGlobalSpace::qIntCast(double)
    {26, 412, 111, 1, Smoke::mf_static, 253, 45},	//45 QGlobalSpace::qSetPadChar(QChar)
    {26, 203, 113, 2, Smoke::mf_static, 26, 46},	//46 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {26, 233, 116, 2, Smoke::mf_static, 81, 47},	//47 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {26, 233, 119, 2, Smoke::mf_static, 89, 48},	//48 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {26, 183, 122, 2, Smoke::mf_static, 194, 49},	//49 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {26, 203, 125, 2, Smoke::mf_static, 26, 50},	//50 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {26, 203, 128, 2, Smoke::mf_static, 30, 51},	//51 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {26, 233, 131, 2, Smoke::mf_static, 65, 52},	//52 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {26, 212, 134, 2, Smoke::mf_static, 356, 53},	//53 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {26, 183, 137, 2, Smoke::mf_static, 270, 54},	//54 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {26, 212, 140, 2, Smoke::mf_static, 356, 55},	//55 QGlobalSpace::operator==(QChar, QChar)
    {26, 203, 143, 2, Smoke::mf_static, 30, 56},	//56 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {26, 183, 14, 2, Smoke::mf_static, 170, 57},	//57 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {26, 233, 146, 2, Smoke::mf_static, 121, 58},	//58 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {26, 192, 149, 1, Smoke::mf_static, 170, 59},	//59 QGlobalSpace::operator-(const QMatrix4x4&)
    {26, 360, 151, 1, Smoke::mf_static, 459, 60},	//60 QGlobalSpace::qHash(const QUrl&)
    {26, 360, 153, 1, Smoke::mf_static, 459, 61},	//61 QGlobalSpace::qHash(const QByteArray&)
    {26, 233, 155, 2, Smoke::mf_static, 151, 62},	//62 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {26, 183, 158, 2, Smoke::mf_static, 170, 63},	//63 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {26, 203, 161, 2, Smoke::mf_static, 26, 64},	//64 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {26, 203, 164, 2, Smoke::mf_static, 30, 65},	//65 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {26, 227, 167, 2, Smoke::mf_static, 26, 66},	//66 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {26, 198, 140, 2, Smoke::mf_static, 356, 67},	//67 QGlobalSpace::operator<(QChar, QChar)
    {26, 227, 170, 2, Smoke::mf_static, 26, 68},	//68 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {26, 233, 173, 2, Smoke::mf_static, 78, 69},	//69 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {26, 222, 140, 2, Smoke::mf_static, 356, 70},	//70 QGlobalSpace::operator>=(QChar, QChar)
    {26, 176, 176, 2, Smoke::mf_static, 356, 71},	//71 QGlobalSpace::operator!=(QString::Null, const QString&)
    {26, 203, 179, 2, Smoke::mf_static, 30, 72},	//72 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {26, 198, 60, 2, Smoke::mf_static, 356, 73},	//73 QGlobalSpace::operator<(const char*, const QByteArray&)
    {26, 233, 182, 2, Smoke::mf_static, 106, 74},	//74 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {26, 233, 185, 2, Smoke::mf_static, 120, 75},	//75 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {26, 452, 188, 2, Smoke::mf_static, 448, 76},	//76 QGlobalSpace::qstrcmp(const char*, const char*)
    {26, 233, 191, 2, Smoke::mf_static, 151, 77},	//77 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {26, 187, 20, 2, Smoke::mf_static, 439, 78},	//78 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {26, 275, 9, 1, Smoke::mf_static, 446, 79},	//79 QGlobalSpace::qCos(double)
    {26, 233, 194, 2, Smoke::mf_static, 77, 80},	//80 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {26, 217, 140, 2, Smoke::mf_static, 356, 81},	//81 QGlobalSpace::operator>(QChar, QChar)
    {26, 233, 197, 2, Smoke::mf_static, 123, 82},	//82 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {26, 183, 200, 2, Smoke::mf_static, 412, 83},	//83 QGlobalSpace::operator*(double, const QSizeF&)
    {26, 416, 0, 0, Smoke::mf_static, 356, 84},	//84 QGlobalSpace::qSharedBuild()
    {26, 212, 203, 2, Smoke::mf_static, 356, 85},	//85 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {26, 233, 206, 2, Smoke::mf_static, 151, 86},	//86 QGlobalSpace::operator|(QDir::Filter, int)
    {26, 233, 209, 2, Smoke::mf_static, 89, 87},	//87 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {26, 176, 4, 2, Smoke::mf_static, 356, 88},	//88 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {26, 192, 212, 2, Smoke::mf_static, 397, 89},	//89 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {26, 245, 0, 0, Smoke::mf_static, 8, 90},	//90 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {26, 203, 215, 2, Smoke::mf_static, 26, 91},	//91 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {26, 233, 218, 2, Smoke::mf_static, 151, 92},	//92 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {26, 233, 221, 2, Smoke::mf_static, 119, 93},	//93 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {26, 233, 224, 2, Smoke::mf_static, 151, 94},	//94 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {26, 192, 227, 2, Smoke::mf_static, 256, 95},	//95 QGlobalSpace::operator-(const QTransform&, double)
    {26, 233, 230, 2, Smoke::mf_static, 47, 96},	//96 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {26, 360, 233, 1, Smoke::mf_static, 459, 97},	//97 QGlobalSpace::qHash(char)
    {26, 183, 20, 2, Smoke::mf_static, 439, 98},	//98 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {26, 233, 235, 2, Smoke::mf_static, 107, 99},	//99 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {26, 176, 48, 2, Smoke::mf_static, 356, 100},	//100 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {26, 233, 238, 2, Smoke::mf_static, 103, 101},	//101 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {26, 233, 241, 2, Smoke::mf_static, 151, 102},	//102 QGlobalSpace::operator|(QTextOption::Flag, int)
    {26, 203, 244, 2, Smoke::mf_static, 30, 103},	//103 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {26, 233, 247, 2, Smoke::mf_static, 151, 104},	//104 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {26, 233, 250, 2, Smoke::mf_static, 151, 105},	//105 QGlobalSpace::operator|(QFile::Permission, int)
    {26, 233, 253, 2, Smoke::mf_static, 65, 106},	//106 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {26, 196, 256, 2, Smoke::mf_static, 397, 107},	//107 QGlobalSpace::operator/(const QPoint&, double)
    {26, 327, 259, 8, Smoke::mf_static, 0, 108},	//108 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 327, 268, 6, Smoke::mf_static, 0, 109},	//109 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 327, 275, 7, Smoke::mf_static, 0, 110},	//110 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 187, 212, 2, Smoke::mf_static, 397, 111},	//111 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {26, 203, 283, 2, Smoke::mf_static, 26, 112},	//112 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {26, 233, 286, 2, Smoke::mf_static, 57, 113},	//113 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {26, 187, 289, 2, Smoke::mf_static, 417, 114},	//114 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {26, 192, 292, 2, Smoke::mf_static, 412, 115},	//115 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {26, 183, 295, 2, Smoke::mf_static, 268, 116},	//116 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {26, 350, 298, 2, Smoke::mf_static, 356, 117},	//117 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {26, 203, 301, 2, Smoke::mf_static, 30, 118},	//118 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {26, 192, 20, 2, Smoke::mf_static, 439, 119},	//119 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {26, 368, 9, 1, Smoke::mf_static, 356, 120},	//120 QGlobalSpace::qIsFinite(double)
    {26, 433, 304, 4, Smoke::mf_static, 358, 121},	//121 QGlobalSpace::qecvt(long double, int, int*, int*)
    {26, 233, 309, 2, Smoke::mf_static, 62, 122},	//122 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {26, 176, 93, 2, Smoke::mf_static, 356, 123},	//123 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {26, 203, 312, 2, Smoke::mf_static, 26, 124},	//124 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {26, 233, 315, 2, Smoke::mf_static, 115, 125},	//125 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {26, 233, 318, 2, Smoke::mf_static, 151, 126},	//126 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {26, 203, 321, 2, Smoke::mf_static, 30, 127},	//127 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {26, 254, 324, 1, Smoke::mf_static, 448, 128},	//128 QGlobalSpace::qAlpha(unsigned int)
    {26, 203, 326, 2, Smoke::mf_static, 30, 129},	//129 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {26, 233, 329, 2, Smoke::mf_static, 58, 130},	//130 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {26, 198, 332, 2, Smoke::mf_static, 356, 131},	//131 QGlobalSpace::operator<(const char*, const QString&)
    {26, 355, 335, 3, Smoke::mf_static, 448, 132},	//132 QGlobalSpace::qGray(int, int, int)
    {26, 233, 339, 2, Smoke::mf_static, 70, 133},	//133 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {26, 203, 342, 2, Smoke::mf_static, 26, 134},	//134 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {26, 233, 345, 2, Smoke::mf_static, 105, 135},	//135 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {26, 233, 348, 2, Smoke::mf_static, 121, 136},	//136 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {26, 187, 51, 2, Smoke::mf_static, 410, 137},	//137 QGlobalSpace::operator+(const QSize&, const QSize&)
    {26, 233, 351, 2, Smoke::mf_static, 112, 138},	//138 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {26, 482, 354, 1, Smoke::mf_static, 219, 139},	//139 QGlobalSpace::qt_error_string(int)
    {26, 482, 0, 0, Smoke::mf_static, 219, 140},	//140 QGlobalSpace::qt_error_string()
    {26, 187, 292, 2, Smoke::mf_static, 412, 141},	//141 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {26, 196, 158, 2, Smoke::mf_static, 170, 142},	//142 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {26, 233, 356, 2, Smoke::mf_static, 151, 143},	//143 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {26, 233, 359, 2, Smoke::mf_static, 47, 144},	//144 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {26, 233, 362, 2, Smoke::mf_static, 151, 145},	//145 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {26, 192, 298, 2, Smoke::mf_static, 441, 146},	//146 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {26, 198, 365, 2, Smoke::mf_static, 356, 147},	//147 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {26, 426, 368, 2, Smoke::mf_static, 16, 148},	//148 QGlobalSpace::qUncompress(const unsigned char*, int)
    {26, 465, 371, 3, Smoke::mf_static, 448, 149},	//149 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {26, 424, 9, 1, Smoke::mf_static, 446, 150},	//150 QGlobalSpace::qTan(double)
    {26, 217, 33, 2, Smoke::mf_static, 356, 151},	//151 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {26, 176, 375, 2, Smoke::mf_static, 356, 152},	//152 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {26, 410, 354, 1, Smoke::mf_static, 253, 153},	//153 QGlobalSpace::qSetFieldWidth(int)
    {26, 212, 378, 2, Smoke::mf_static, 356, 154},	//154 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {26, 233, 381, 2, Smoke::mf_static, 92, 155},	//155 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {26, 227, 384, 2, Smoke::mf_static, 250, 156},	//156 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {26, 360, 387, 1, Smoke::mf_static, 459, 157},	//157 QGlobalSpace::qHash(const QItemSelectionRange&)
    {26, 233, 389, 2, Smoke::mf_static, 110, 158},	//158 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {26, 395, 324, 1, Smoke::mf_static, 448, 159},	//159 QGlobalSpace::qRed(unsigned int)
    {26, 183, 227, 2, Smoke::mf_static, 256, 160},	//160 QGlobalSpace::operator*(const QTransform&, double)
    {26, 344, 9, 1, Smoke::mf_static, 448, 161},	//161 QGlobalSpace::qFloor(double)
    {26, 233, 392, 2, Smoke::mf_static, 84, 162},	//162 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {26, 203, 395, 2, Smoke::mf_static, 30, 163},	//163 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {26, 227, 398, 2, Smoke::mf_static, 26, 164},	//164 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {26, 368, 96, 1, Smoke::mf_static, 356, 165},	//165 QGlobalSpace::qIsFinite(float)
    {26, 187, 401, 2, Smoke::mf_static, 417, 166},	//166 QGlobalSpace::operator+(const QString&, QChar)
    {26, 176, 404, 2, Smoke::mf_static, 356, 167},	//167 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {26, 183, 298, 2, Smoke::mf_static, 441, 168},	//168 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {26, 233, 407, 2, Smoke::mf_static, 50, 169},	//169 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {26, 431, 410, 3, Smoke::mf_static, 0, 170},	//170 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {26, 187, 93, 2, Smoke::mf_static, 362, 171},	//171 QGlobalSpace::operator+(const QByteArray&, const char*)
    {26, 248, 0, 0, Smoke::mf_static, 8, 172},	//172 QGlobalSpace::qAccessibleTextCastHelper()
    {26, 233, 414, 2, Smoke::mf_static, 91, 173},	//173 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {26, 233, 417, 2, Smoke::mf_static, 97, 174},	//174 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {26, 187, 75, 2, Smoke::mf_static, 417, 175},	//175 QGlobalSpace::operator+(const QString&, const char*)
    {26, 217, 365, 2, Smoke::mf_static, 356, 176},	//176 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {26, 233, 420, 2, Smoke::mf_static, 118, 177},	//177 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {26, 393, 423, 4, Smoke::mf_static, 466, 178},	//178 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {26, 227, 428, 2, Smoke::mf_static, 26, 179},	//179 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {26, 203, 431, 2, Smoke::mf_static, 26, 180},	//180 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {26, 187, 434, 2, Smoke::mf_static, 417, 181},	//181 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {26, 360, 324, 1, Smoke::mf_static, 459, 182},	//182 QGlobalSpace::qHash(unsigned int)
    {26, 350, 203, 2, Smoke::mf_static, 356, 183},	//183 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {26, 233, 437, 2, Smoke::mf_static, 120, 184},	//184 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {26, 360, 111, 1, Smoke::mf_static, 459, 185},	//185 QGlobalSpace::qHash(QChar)
    {26, 233, 440, 2, Smoke::mf_static, 99, 186},	//186 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {26, 207, 93, 2, Smoke::mf_static, 356, 187},	//187 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {26, 366, 96, 1, Smoke::mf_static, 448, 188},	//188 QGlobalSpace::qIntCast(float)
    {26, 212, 443, 2, Smoke::mf_static, 356, 189},	//189 QGlobalSpace::operator==(const QRect&, const QRect&)
    {26, 233, 446, 2, Smoke::mf_static, 60, 190},	//190 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {26, 231, 449, 2, Smoke::mf_static, 12, 191},	//191 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {26, 217, 452, 2, Smoke::mf_static, 356, 192},	//192 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {26, 233, 455, 2, Smoke::mf_static, 81, 193},	//193 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {26, 391, 458, 2, Smoke::mf_static, 466, 194},	//194 QGlobalSpace::qRealloc(void*, size_t)
    {26, 360, 461, 1, Smoke::mf_static, 459, 195},	//195 QGlobalSpace::qHash(const QString&)
    {26, 207, 365, 2, Smoke::mf_static, 356, 196},	//196 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {26, 187, 298, 2, Smoke::mf_static, 441, 197},	//197 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {26, 233, 463, 2, Smoke::mf_static, 85, 198},	//198 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    {26, 203, 466, 2, Smoke::mf_static, 26, 199},	//199 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {26, 203, 469, 2, Smoke::mf_static, 26, 200},	//200 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {26, 203, 472, 2, Smoke::mf_static, 30, 201},	//201 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {26, 407, 9, 1, Smoke::mf_static, 453, 202},	//202 QGlobalSpace::qRound64(double)
    {26, 364, 475, 1, Smoke::mf_static, 465, 203},	//203 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {26, 419, 9, 1, Smoke::mf_static, 446, 204},	//204 QGlobalSpace::qSqrt(double)
    {26, 233, 477, 2, Smoke::mf_static, 151, 205},	//205 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {26, 360, 480, 1, Smoke::mf_static, 459, 206},	//206 QGlobalSpace::qHash(const QModelIndex&)
    {26, 233, 482, 2, Smoke::mf_static, 53, 207},	//207 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {26, 338, 9, 1, Smoke::mf_static, 446, 208},	//208 QGlobalSpace::qFastCos(double)
    {26, 233, 485, 2, Smoke::mf_static, 96, 209},	//209 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {26, 227, 488, 2, Smoke::mf_static, 26, 210},	//210 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {26, 203, 491, 2, Smoke::mf_static, 30, 211},	//211 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {26, 212, 494, 2, Smoke::mf_static, 356, 212},	//212 QGlobalSpace::operator==(QBool, QBool)
    {26, 233, 497, 2, Smoke::mf_static, 67, 213},	//213 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {26, 212, 500, 2, Smoke::mf_static, 356, 214},	//214 QGlobalSpace::operator==(const char*, const QStringRef&)
    {26, 233, 503, 2, Smoke::mf_static, 151, 215},	//215 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {26, 233, 506, 2, Smoke::mf_static, 151, 216},	//216 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {26, 176, 332, 2, Smoke::mf_static, 356, 217},	//217 QGlobalSpace::operator!=(const char*, const QString&)
    {26, 374, 96, 1, Smoke::mf_static, 356, 218},	//218 QGlobalSpace::qIsNaN(float)
    {26, 233, 509, 2, Smoke::mf_static, 151, 219},	//219 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {26, 233, 512, 2, Smoke::mf_static, 73, 220},	//220 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {26, 207, 452, 2, Smoke::mf_static, 356, 221},	//221 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {26, 227, 515, 2, Smoke::mf_static, 26, 222},	//222 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {26, 342, 98, 1, Smoke::mf_static, 443, 223},	//223 QGlobalSpace::qFlagLocation(const char*)
    {26, 187, 227, 2, Smoke::mf_static, 256, 224},	//224 QGlobalSpace::operator+(const QTransform&, double)
    {26, 183, 518, 2, Smoke::mf_static, 159, 225},	//225 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {26, 203, 521, 2, Smoke::mf_static, 30, 226},	//226 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {26, 233, 524, 2, Smoke::mf_static, 151, 227},	//227 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {26, 374, 9, 1, Smoke::mf_static, 356, 228},	//228 QGlobalSpace::qIsNaN(double)
    {26, 355, 324, 1, Smoke::mf_static, 448, 229},	//229 QGlobalSpace::qGray(unsigned int)
    {26, 187, 527, 2, Smoke::mf_static, 417, 230},	//230 QGlobalSpace::operator+(QChar, const QString&)
    {26, 233, 530, 2, Smoke::mf_static, 93, 231},	//231 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {26, 233, 533, 2, Smoke::mf_static, 151, 232},	//232 QGlobalSpace::operator|(QString::SectionFlag, int)
    {26, 233, 536, 2, Smoke::mf_static, 66, 233},	//233 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {26, 233, 539, 2, Smoke::mf_static, 151, 234},	//234 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {26, 203, 542, 2, Smoke::mf_static, 30, 235},	//235 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {26, 227, 545, 2, Smoke::mf_static, 26, 236},	//236 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {26, 476, 548, 3, Smoke::mf_static, 0, 237},	//237 QGlobalSpace::qt_assert(const char*, const char*, int)
    {26, 360, 552, 1, Smoke::mf_static, 459, 238},	//238 QGlobalSpace::qHash(long long)
    {26, 192, 554, 1, Smoke::mf_static, 403, 239},	//239 QGlobalSpace::operator-(const QQuaternion&)
    {26, 176, 556, 2, Smoke::mf_static, 356, 240},	//240 QGlobalSpace::operator!=(const QString&, QString::Null)
    {26, 437, 304, 4, Smoke::mf_static, 358, 241},	//241 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {26, 233, 559, 2, Smoke::mf_static, 64, 242},	//242 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {26, 350, 562, 2, Smoke::mf_static, 356, 243},	//243 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {26, 233, 565, 2, Smoke::mf_static, 151, 244},	//244 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {26, 227, 568, 2, Smoke::mf_static, 26, 245},	//245 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {26, 233, 571, 2, Smoke::mf_static, 151, 246},	//246 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {26, 401, 335, 3, Smoke::mf_static, 459, 247},	//247 QGlobalSpace::qRgb(int, int, int)
    {26, 233, 574, 2, Smoke::mf_static, 97, 248},	//248 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {26, 187, 577, 2, Smoke::mf_static, 417, 249},	//249 QGlobalSpace::operator+(const QString&, char)
    {26, 176, 134, 2, Smoke::mf_static, 356, 250},	//250 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {26, 183, 580, 2, Smoke::mf_static, 187, 251},	//251 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {26, 192, 81, 2, Smoke::mf_static, 399, 252},	//252 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {26, 212, 404, 2, Smoke::mf_static, 356, 253},	//253 QGlobalSpace::operator==(QString::Null, QString::Null)
    {26, 233, 583, 2, Smoke::mf_static, 113, 254},	//254 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {26, 233, 586, 2, Smoke::mf_static, 78, 255},	//255 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {26, 233, 589, 2, Smoke::mf_static, 107, 256},	//256 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {26, 227, 592, 2, Smoke::mf_static, 26, 257},	//257 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {26, 198, 452, 2, Smoke::mf_static, 356, 258},	//258 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {26, 247, 0, 0, Smoke::mf_static, 8, 259},	//259 QGlobalSpace::qAccessibleTableCastHelper()
    {26, 233, 595, 2, Smoke::mf_static, 123, 260},	//260 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {26, 284, 598, 8, Smoke::mf_static, 0, 261},	//261 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {26, 284, 607, 6, Smoke::mf_static, 0, 262},	//262 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {26, 284, 614, 7, Smoke::mf_static, 0, 263},	//263 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {26, 353, 96, 1, Smoke::mf_static, 356, 264},	//264 QGlobalSpace::qFuzzyIsNull(float)
    {26, 183, 622, 2, Smoke::mf_static, 403, 265},	//265 QGlobalSpace::operator*(const QQuaternion&, double)
    {26, 233, 625, 2, Smoke::mf_static, 117, 266},	//266 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {26, 457, 628, 2, Smoke::mf_static, 358, 267},	//267 QGlobalSpace::qstrcpy(char*, const char*)
    {26, 360, 354, 1, Smoke::mf_static, 459, 268},	//268 QGlobalSpace::qHash(int)
    {26, 233, 631, 2, Smoke::mf_static, 85, 269},	//269 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    {26, 187, 81, 2, Smoke::mf_static, 399, 270},	//270 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {26, 183, 634, 2, Smoke::mf_static, 208, 271},	//271 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {26, 233, 637, 2, Smoke::mf_static, 108, 272},	//272 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {26, 212, 292, 2, Smoke::mf_static, 356, 273},	//273 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {26, 192, 640, 1, Smoke::mf_static, 397, 274},	//274 QGlobalSpace::operator-(const QPoint&)
    {26, 233, 642, 2, Smoke::mf_static, 151, 275},	//275 QGlobalSpace::operator|(Qt::DropAction, int)
    {26, 203, 645, 2, Smoke::mf_static, 26, 276},	//276 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {26, 233, 648, 2, Smoke::mf_static, 151, 277},	//277 QGlobalSpace::operator|(QDir::SortFlag, int)
    {26, 334, 9, 1, Smoke::mf_static, 446, 278},	//278 QGlobalSpace::qExp(double)
    {26, 414, 354, 1, Smoke::mf_static, 253, 279},	//279 QGlobalSpace::qSetRealNumberPrecision(int)
    {26, 212, 651, 2, Smoke::mf_static, 356, 280},	//280 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {26, 378, 9, 1, Smoke::mf_static, 446, 281},	//281 QGlobalSpace::qLn(double)
    {26, 187, 23, 2, Smoke::mf_static, 437, 282},	//282 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {26, 309, 654, 7, Smoke::mf_static, 0, 283},	//283 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {26, 309, 662, 3, Smoke::mf_static, 0, 284},	//284 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {26, 309, 666, 4, Smoke::mf_static, 0, 285},	//285 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {26, 309, 671, 5, Smoke::mf_static, 0, 286},	//286 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 309, 677, 6, Smoke::mf_static, 0, 287},	//287 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {26, 203, 684, 2, Smoke::mf_static, 26, 288},	//288 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {26, 183, 687, 2, Smoke::mf_static, 270, 289},	//289 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {26, 233, 690, 2, Smoke::mf_static, 151, 290},	//290 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {26, 176, 292, 2, Smoke::mf_static, 356, 291},	//291 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {26, 397, 693, 1, Smoke::mf_static, 0, 292},	//292 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {26, 203, 695, 2, Smoke::mf_static, 30, 293},	//293 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {26, 203, 698, 2, Smoke::mf_static, 30, 294},	//294 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {26, 233, 701, 2, Smoke::mf_static, 58, 295},	//295 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {26, 268, 26, 2, Smoke::mf_static, 462, 296},	//296 QGlobalSpace::qChecksum(const char*, unsigned int)
    {26, 279, 704, 4, Smoke::mf_static, 0, 297},	//297 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {26, 196, 709, 2, Smoke::mf_static, 441, 298},	//298 QGlobalSpace::operator/(const QVector4D&, double)
    {26, 203, 712, 2, Smoke::mf_static, 250, 299},	//299 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {26, 233, 715, 2, Smoke::mf_static, 116, 300},	//300 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {26, 380, 718, 1, Smoke::mf_static, 466, 301},	//301 QGlobalSpace::qMalloc(size_t)
    {26, 390, 0, 0, Smoke::mf_static, 446, 302},	//302 QGlobalSpace::qQNaN()
    {26, 233, 720, 2, Smoke::mf_static, 109, 303},	//303 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {26, 227, 723, 2, Smoke::mf_static, 26, 304},	//304 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {26, 445, 60, 2, Smoke::mf_static, 356, 305},	//305 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {26, 233, 726, 2, Smoke::mf_static, 94, 306},	//306 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {26, 233, 729, 2, Smoke::mf_static, 75, 307},	//307 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {26, 203, 732, 2, Smoke::mf_static, 26, 308},	//308 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {26, 203, 735, 2, Smoke::mf_static, 30, 309},	//309 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {26, 233, 738, 2, Smoke::mf_static, 151, 310},	//310 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {26, 264, 324, 1, Smoke::mf_static, 448, 311},	//311 QGlobalSpace::qBlue(unsigned int)
    {26, 233, 741, 2, Smoke::mf_static, 101, 312},	//312 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {26, 183, 23, 2, Smoke::mf_static, 437, 313},	//313 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {26, 203, 744, 2, Smoke::mf_static, 26, 314},	//314 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {26, 203, 747, 2, Smoke::mf_static, 26, 315},	//315 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {26, 320, 750, 5, Smoke::mf_static, 0, 316},	//316 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 320, 662, 3, Smoke::mf_static, 0, 317},	//317 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {26, 320, 666, 4, Smoke::mf_static, 0, 318},	//318 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {26, 450, 324, 1, Smoke::mf_static, 0, 319},	//319 QGlobalSpace::qsrand(unsigned int)
    {26, 176, 203, 2, Smoke::mf_static, 356, 320},	//320 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {26, 233, 756, 2, Smoke::mf_static, 151, 321},	//321 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {26, 360, 759, 1, Smoke::mf_static, 459, 322},	//322 QGlobalSpace::qHash(long)
    {26, 203, 761, 2, Smoke::mf_static, 26, 323},	//323 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {26, 183, 764, 2, Smoke::mf_static, 397, 324},	//324 QGlobalSpace::operator*(int, const QPoint&)
    {26, 217, 4, 2, Smoke::mf_static, 356, 325},	//325 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {26, 360, 767, 1, Smoke::mf_static, 459, 326},	//326 QGlobalSpace::qHash(unsigned short)
    {26, 233, 769, 2, Smoke::mf_static, 100, 327},	//327 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {26, 227, 772, 2, Smoke::mf_static, 26, 328},	//328 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {26, 176, 81, 2, Smoke::mf_static, 356, 329},	//329 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {26, 233, 775, 2, Smoke::mf_static, 82, 330},	//330 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {26, 203, 778, 2, Smoke::mf_static, 26, 331},	//331 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {26, 233, 781, 2, Smoke::mf_static, 61, 332},	//332 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {26, 233, 784, 2, Smoke::mf_static, 74, 333},	//333 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {26, 192, 23, 2, Smoke::mf_static, 437, 334},	//334 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {26, 300, 787, 6, Smoke::mf_static, 0, 335},	//335 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {26, 300, 662, 3, Smoke::mf_static, 0, 336},	//336 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {26, 300, 666, 4, Smoke::mf_static, 0, 337},	//337 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 300, 671, 5, Smoke::mf_static, 0, 338},	//338 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 469, 371, 3, Smoke::mf_static, 448, 339},	//339 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {26, 187, 794, 2, Smoke::mf_static, 417, 340},	//340 QGlobalSpace::operator+(char, const QString&)
    {26, 227, 797, 2, Smoke::mf_static, 26, 341},	//341 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {26, 212, 176, 2, Smoke::mf_static, 356, 342},	//342 QGlobalSpace::operator==(QString::Null, const QString&)
    {26, 227, 800, 2, Smoke::mf_static, 26, 343},	//343 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {26, 212, 375, 2, Smoke::mf_static, 356, 344},	//344 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {26, 233, 803, 2, Smoke::mf_static, 93, 345},	//345 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {26, 233, 806, 2, Smoke::mf_static, 151, 346},	//346 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {26, 187, 452, 2, Smoke::mf_static, 362, 347},	//347 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {26, 233, 809, 2, Smoke::mf_static, 100, 348},	//348 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {26, 360, 812, 1, Smoke::mf_static, 459, 349},	//349 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {26, 217, 332, 2, Smoke::mf_static, 356, 350},	//350 QGlobalSpace::operator>(const char*, const QString&)
    {26, 203, 814, 2, Smoke::mf_static, 30, 351},	//351 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {26, 203, 817, 2, Smoke::mf_static, 26, 352},	//352 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {26, 203, 820, 2, Smoke::mf_static, 26, 353},	//353 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {26, 203, 823, 2, Smoke::mf_static, 26, 354},	//354 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {26, 203, 826, 2, Smoke::mf_static, 26, 355},	//355 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {26, 227, 829, 2, Smoke::mf_static, 26, 356},	//356 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {26, 491, 832, 3, Smoke::mf_static, 178, 357},	//357 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {26, 300, 836, 9, Smoke::mf_static, 0, 358},	//358 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {26, 300, 268, 6, Smoke::mf_static, 0, 359},	//359 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 300, 275, 7, Smoke::mf_static, 0, 360},	//360 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 300, 846, 8, Smoke::mf_static, 0, 361},	//361 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 233, 855, 2, Smoke::mf_static, 87, 362},	//362 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {26, 227, 858, 2, Smoke::mf_static, 26, 363},	//363 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {26, 233, 861, 2, Smoke::mf_static, 151, 364},	//364 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {26, 196, 864, 2, Smoke::mf_static, 437, 365},	//365 QGlobalSpace::operator/(const QVector2D&, double)
    {26, 233, 867, 2, Smoke::mf_static, 91, 366},	//366 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {26, 196, 870, 2, Smoke::mf_static, 399, 367},	//367 QGlobalSpace::operator/(const QPointF&, double)
    {26, 176, 873, 2, Smoke::mf_static, 356, 368},	//368 QGlobalSpace::operator!=(bool, QBool)
    {26, 212, 365, 2, Smoke::mf_static, 356, 369},	//369 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {26, 233, 876, 2, Smoke::mf_static, 71, 370},	//370 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {26, 196, 879, 2, Smoke::mf_static, 439, 371},	//371 QGlobalSpace::operator/(const QVector3D&, double)
    {26, 233, 882, 2, Smoke::mf_static, 75, 372},	//372 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {26, 233, 885, 2, Smoke::mf_static, 74, 373},	//373 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {26, 467, 888, 3, Smoke::mf_static, 358, 374},	//374 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {26, 183, 892, 2, Smoke::mf_static, 437, 375},	//375 QGlobalSpace::operator*(double, const QVector2D&)
    {26, 192, 895, 1, Smoke::mf_static, 441, 376},	//376 QGlobalSpace::operator-(const QVector4D&)
    {26, 233, 897, 2, Smoke::mf_static, 104, 377},	//377 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {26, 227, 900, 2, Smoke::mf_static, 26, 378},	//378 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {26, 426, 153, 1, Smoke::mf_static, 16, 379},	//379 QGlobalSpace::qUncompress(const QByteArray&)
    {26, 233, 903, 2, Smoke::mf_static, 94, 380},	//380 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {26, 196, 227, 2, Smoke::mf_static, 256, 381},	//381 QGlobalSpace::operator/(const QTransform&, double)
    {26, 233, 906, 2, Smoke::mf_static, 151, 382},	//382 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {26, 350, 14, 2, Smoke::mf_static, 356, 383},	//383 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {26, 233, 909, 2, Smoke::mf_static, 151, 384},	//384 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {26, 203, 912, 2, Smoke::mf_static, 26, 385},	//385 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {26, 227, 915, 2, Smoke::mf_static, 26, 386},	//386 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {26, 244, 0, 0, Smoke::mf_static, 8, 387},	//387 QGlobalSpace::qAccessibleActionCastHelper()
    {26, 183, 918, 2, Smoke::mf_static, 196, 388},	//388 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {26, 233, 921, 2, Smoke::mf_static, 151, 389},	//389 QGlobalSpace::operator|(Qt::MouseButton, int)
    {26, 227, 924, 2, Smoke::mf_static, 26, 390},	//390 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {26, 192, 927, 1, Smoke::mf_static, 399, 391},	//391 QGlobalSpace::operator-(const QPointF&)
    {26, 203, 929, 2, Smoke::mf_static, 30, 392},	//392 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {26, 233, 932, 2, Smoke::mf_static, 48, 393},	//393 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {26, 212, 873, 2, Smoke::mf_static, 356, 394},	//394 QGlobalSpace::operator==(bool, QBool)
    {26, 227, 935, 2, Smoke::mf_static, 26, 395},	//395 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {26, 233, 938, 2, Smoke::mf_static, 151, 396},	//396 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {26, 447, 0, 0, Smoke::mf_static, 448, 397},	//397 QGlobalSpace::qrand()
    {26, 203, 941, 2, Smoke::mf_static, 30, 398},	//398 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {26, 183, 944, 2, Smoke::mf_static, 200, 399},	//399 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {26, 227, 947, 2, Smoke::mf_static, 26, 400},	//400 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {26, 233, 950, 2, Smoke::mf_static, 52, 401},	//401 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {26, 478, 953, 4, Smoke::mf_static, 0, 402},	//402 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {26, 183, 958, 2, Smoke::mf_static, 397, 403},	//403 QGlobalSpace::operator*(float, const QPoint&)
    {26, 181, 449, 2, Smoke::mf_static, 12, 404},	//404 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {26, 222, 60, 2, Smoke::mf_static, 356, 405},	//405 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {26, 233, 961, 2, Smoke::mf_static, 62, 406},	//406 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {26, 233, 964, 2, Smoke::mf_static, 102, 407},	//407 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {26, 233, 967, 2, Smoke::mf_static, 118, 408},	//408 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {26, 203, 970, 2, Smoke::mf_static, 26, 409},	//409 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {26, 350, 973, 2, Smoke::mf_static, 356, 410},	//410 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {26, 233, 976, 2, Smoke::mf_static, 151, 411},	//411 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {26, 176, 979, 2, Smoke::mf_static, 356, 412},	//412 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {26, 403, 982, 4, Smoke::mf_static, 459, 413},	//413 QGlobalSpace::qRgba(int, int, int, int)
    {26, 277, 0, 0, Smoke::mf_static, 30, 414},	//414 QGlobalSpace::qCritical()
    {26, 183, 709, 2, Smoke::mf_static, 441, 415},	//415 QGlobalSpace::operator*(const QVector4D&, double)
    {26, 227, 987, 2, Smoke::mf_static, 26, 416},	//416 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {26, 203, 990, 2, Smoke::mf_static, 30, 417},	//417 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {26, 203, 993, 2, Smoke::mf_static, 26, 418},	//418 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {26, 233, 996, 2, Smoke::mf_static, 112, 419},	//419 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {26, 176, 60, 2, Smoke::mf_static, 356, 420},	//420 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {26, 176, 212, 2, Smoke::mf_static, 356, 421},	//421 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {26, 198, 33, 2, Smoke::mf_static, 356, 422},	//422 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {26, 183, 999, 2, Smoke::mf_static, 441, 423},	//423 QGlobalSpace::operator*(double, const QVector4D&)
    {26, 233, 1002, 2, Smoke::mf_static, 151, 424},	//424 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {26, 233, 1005, 2, Smoke::mf_static, 80, 425},	//425 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {26, 212, 979, 2, Smoke::mf_static, 356, 426},	//426 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {26, 203, 1008, 2, Smoke::mf_static, 26, 427},	//427 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {26, 203, 1011, 2, Smoke::mf_static, 30, 428},	//428 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {26, 187, 1014, 2, Smoke::mf_static, 362, 429},	//429 QGlobalSpace::operator+(const QByteArray&, char)
    {26, 233, 1017, 2, Smoke::mf_static, 57, 430},	//430 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {26, 233, 1020, 2, Smoke::mf_static, 55, 431},	//431 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {26, 227, 1023, 2, Smoke::mf_static, 26, 432},	//432 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {26, 222, 365, 2, Smoke::mf_static, 356, 433},	//433 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {26, 196, 1026, 2, Smoke::mf_static, 412, 434},	//434 QGlobalSpace::operator/(const QSizeF&, double)
    {26, 212, 298, 2, Smoke::mf_static, 356, 435},	//435 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {26, 203, 1029, 2, Smoke::mf_static, 26, 436},	//436 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {26, 233, 1032, 2, Smoke::mf_static, 151, 437},	//437 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {26, 212, 212, 2, Smoke::mf_static, 356, 438},	//438 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {26, 252, 1035, 1, Smoke::mf_static, 0, 439},	//439 QGlobalSpace::qAddPostRoutine(void(*)())
    {26, 270, 1037, 3, Smoke::mf_static, 16, 440},	//440 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {26, 270, 368, 2, Smoke::mf_static, 16, 441},	//441 QGlobalSpace::qCompress(const unsigned char*, int)
    {26, 233, 1041, 2, Smoke::mf_static, 86, 442},	//442 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {26, 207, 60, 2, Smoke::mf_static, 356, 443},	//443 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {26, 340, 9, 1, Smoke::mf_static, 446, 444},	//444 QGlobalSpace::qFastSin(double)
    {26, 207, 4, 2, Smoke::mf_static, 356, 445},	//445 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {26, 203, 1044, 2, Smoke::mf_static, 26, 446},	//446 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {26, 227, 1047, 2, Smoke::mf_static, 26, 447},	//447 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {26, 233, 1050, 2, Smoke::mf_static, 54, 448},	//448 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {26, 227, 1053, 2, Smoke::mf_static, 26, 449},	//449 QGlobalSpace::operator>>(QDataStream&, QString&)
    {26, 196, 622, 2, Smoke::mf_static, 403, 450},	//450 QGlobalSpace::operator/(const QQuaternion&, double)
    {26, 256, 0, 0, Smoke::mf_static, 219, 451},	//451 QGlobalSpace::qAppName()
    {26, 429, 0, 0, Smoke::mf_static, 443, 452},	//452 QGlobalSpace::qVersion()
    {26, 233, 1056, 2, Smoke::mf_static, 88, 453},	//453 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {26, 203, 1059, 2, Smoke::mf_static, 26, 454},	//454 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {26, 233, 1062, 2, Smoke::mf_static, 151, 455},	//455 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {26, 346, 1065, 1, Smoke::mf_static, 0, 456},	//456 QGlobalSpace::qFree(void*)
    {26, 203, 1067, 2, Smoke::mf_static, 30, 457},	//457 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 183, 1070, 2, Smoke::mf_static, 161, 458},	//458 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {26, 203, 1073, 2, Smoke::mf_static, 26, 459},	//459 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {26, 233, 1076, 2, Smoke::mf_static, 151, 460},	//460 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {26, 348, 1065, 1, Smoke::mf_static, 0, 461},	//461 QGlobalSpace::qFreeAligned(void*)
    {26, 227, 1079, 2, Smoke::mf_static, 26, 462},	//462 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {26, 212, 556, 2, Smoke::mf_static, 356, 463},	//463 QGlobalSpace::operator==(const QString&, QString::Null)
    {26, 203, 1082, 2, Smoke::mf_static, 30, 464},	//464 QGlobalSpace::operator<<(QDebug, const QDir&)
    {26, 203, 1085, 2, Smoke::mf_static, 250, 465},	//465 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 198, 93, 2, Smoke::mf_static, 356, 466},	//466 QGlobalSpace::operator<(const QByteArray&, const char*)
    {26, 203, 1088, 2, Smoke::mf_static, 30, 467},	//467 QGlobalSpace::operator<<(QDebug, const QPen&)
    {26, 183, 1091, 2, Smoke::mf_static, 403, 468},	//468 QGlobalSpace::operator*(double, const QQuaternion&)
    {26, 183, 864, 2, Smoke::mf_static, 437, 469},	//469 QGlobalSpace::operator*(const QVector2D&, double)
    {26, 203, 1094, 2, Smoke::mf_static, 30, 470},	//470 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {26, 176, 298, 2, Smoke::mf_static, 356, 471},	//471 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {26, 233, 1097, 2, Smoke::mf_static, 68, 472},	//472 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 203, 1100, 2, Smoke::mf_static, 30, 473},	//473 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {26, 233, 1103, 2, Smoke::mf_static, 101, 474},	//474 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {26, 233, 1106, 2, Smoke::mf_static, 60, 475},	//475 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {26, 183, 879, 2, Smoke::mf_static, 439, 476},	//476 QGlobalSpace::operator*(const QVector3D&, double)
    {26, 360, 1109, 1, Smoke::mf_static, 459, 477},	//477 QGlobalSpace::qHash(const QBitArray&)
    {26, 203, 1111, 2, Smoke::mf_static, 30, 478},	//478 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {26, 233, 1114, 2, Smoke::mf_static, 73, 479},	//479 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {26, 203, 1117, 2, Smoke::mf_static, 30, 480},	//480 QGlobalSpace::operator<<(QDebug, const QTime&)
    {26, 203, 1120, 2, Smoke::mf_static, 250, 481},	//481 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {26, 266, 9, 1, Smoke::mf_static, 448, 482},	//482 QGlobalSpace::qCeil(double)
    {26, 203, 1123, 2, Smoke::mf_static, 30, 483},	//483 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {26, 227, 1126, 2, Smoke::mf_static, 26, 484},	//484 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {26, 176, 140, 2, Smoke::mf_static, 356, 485},	//485 QGlobalSpace::operator!=(QChar, QChar)
    {26, 233, 1129, 2, Smoke::mf_static, 111, 486},	//486 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {26, 421, 1132, 2, Smoke::mf_static, 356, 487},	//487 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {26, 459, 98, 1, Smoke::mf_static, 358, 488},	//488 QGlobalSpace::qstrdup(const char*)
    {26, 233, 1135, 2, Smoke::mf_static, 151, 489},	//489 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {26, 233, 1138, 2, Smoke::mf_static, 86, 490},	//490 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {26, 246, 0, 0, Smoke::mf_static, 8, 491},	//491 QGlobalSpace::qAccessibleImageCastHelper()
    {26, 233, 1141, 2, Smoke::mf_static, 106, 492},	//492 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {26, 227, 1144, 2, Smoke::mf_static, 26, 493},	//493 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {26, 227, 1147, 2, Smoke::mf_static, 26, 494},	//494 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {26, 207, 332, 2, Smoke::mf_static, 356, 495},	//495 QGlobalSpace::operator<=(const char*, const QString&)
    {26, 176, 500, 2, Smoke::mf_static, 356, 496},	//496 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {26, 227, 1150, 2, Smoke::mf_static, 26, 497},	//497 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {26, 233, 1153, 2, Smoke::mf_static, 49, 498},	//498 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {26, 203, 1156, 2, Smoke::mf_static, 26, 499},	//499 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {26, 233, 1159, 2, Smoke::mf_static, 95, 500},	//500 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {26, 233, 1162, 2, Smoke::mf_static, 151, 501},	//501 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {26, 278, 0, 0, Smoke::mf_static, 30, 502},	//502 QGlobalSpace::qDebug()
    {26, 382, 1165, 2, Smoke::mf_static, 466, 503},	//503 QGlobalSpace::qMallocAligned(size_t, size_t)
    {26, 233, 1168, 2, Smoke::mf_static, 69, 504},	//504 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {26, 183, 1171, 2, Smoke::mf_static, 194, 505},	//505 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {26, 176, 1132, 2, Smoke::mf_static, 356, 506},	//506 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {26, 435, 1174, 6, Smoke::mf_static, 448, 507},	//507 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {26, 358, 324, 1, Smoke::mf_static, 448, 508},	//508 QGlobalSpace::qGreen(unsigned int)
    {26, 388, 87, 2, Smoke::mf_static, 446, 509},	//509 QGlobalSpace::qPow(double, double)
    {26, 207, 33, 2, Smoke::mf_static, 356, 510},	//510 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {26, 203, 1181, 2, Smoke::mf_static, 30, 511},	//511 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {26, 233, 1184, 2, Smoke::mf_static, 151, 512},	//512 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {26, 227, 1085, 2, Smoke::mf_static, 250, 513},	//513 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 187, 1187, 2, Smoke::mf_static, 362, 514},	//514 QGlobalSpace::operator+(char, const QByteArray&)
    {26, 233, 1190, 2, Smoke::mf_static, 151, 515},	//515 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {26, 212, 60, 2, Smoke::mf_static, 356, 516},	//516 QGlobalSpace::operator==(const char*, const QByteArray&)
    {26, 203, 1193, 2, Smoke::mf_static, 26, 517},	//517 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {26, 233, 1196, 2, Smoke::mf_static, 95, 518},	//518 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {26, 192, 51, 2, Smoke::mf_static, 410, 519},	//519 QGlobalSpace::operator-(const QSize&, const QSize&)
    {26, 203, 1199, 2, Smoke::mf_static, 30, 520},	//520 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {26, 187, 332, 2, Smoke::mf_static, 417, 521},	//521 QGlobalSpace::operator+(const char*, const QString&)
    {26, 233, 1202, 2, Smoke::mf_static, 51, 522},	//522 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {26, 233, 1205, 2, Smoke::mf_static, 84, 523},	//523 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {26, 233, 1208, 2, Smoke::mf_static, 151, 524},	//524 QGlobalSpace::operator|(Qt::WindowState, int)
    {26, 227, 1211, 2, Smoke::mf_static, 26, 525},	//525 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {26, 227, 1214, 2, Smoke::mf_static, 26, 526},	//526 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {26, 233, 1217, 2, Smoke::mf_static, 53, 527},	//527 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {26, 176, 651, 2, Smoke::mf_static, 356, 528},	//528 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {26, 233, 1220, 2, Smoke::mf_static, 102, 529},	//529 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {26, 203, 1223, 2, Smoke::mf_static, 30, 530},	//530 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {26, 233, 1226, 2, Smoke::mf_static, 115, 531},	//531 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {26, 227, 1229, 2, Smoke::mf_static, 26, 532},	//532 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {26, 183, 1232, 2, Smoke::mf_static, 399, 533},	//533 QGlobalSpace::operator*(double, const QPointF&)
    {26, 233, 1235, 2, Smoke::mf_static, 110, 534},	//534 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {26, 183, 1238, 2, Smoke::mf_static, 208, 535},	//535 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {26, 212, 4, 2, Smoke::mf_static, 356, 536},	//536 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {26, 183, 1241, 2, Smoke::mf_static, 410, 537},	//537 QGlobalSpace::operator*(const QSize&, double)
    {26, 203, 1244, 2, Smoke::mf_static, 30, 538},	//538 QGlobalSpace::operator<<(QDebug, const QDate&)
    {26, 350, 23, 2, Smoke::mf_static, 356, 539},	//539 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {26, 183, 1247, 2, Smoke::mf_static, 187, 540},	//540 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {26, 233, 1250, 2, Smoke::mf_static, 51, 541},	//541 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {26, 233, 1253, 2, Smoke::mf_static, 55, 542},	//542 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {26, 497, 1256, 4, Smoke::mf_static, 448, 543},	//543 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {26, 183, 1261, 2, Smoke::mf_static, 397, 544},	//544 QGlobalSpace::operator*(double, const QPoint&)
    {26, 183, 1264, 2, Smoke::mf_static, 200, 545},	//545 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {26, 386, 1267, 3, Smoke::mf_static, 466, 546},	//546 QGlobalSpace::qMemSet(void*, int, size_t)
    {26, 203, 1271, 2, Smoke::mf_static, 26, 547},	//547 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {26, 480, 1274, 2, Smoke::mf_static, 0, 548},	//548 QGlobalSpace::qt_check_pointer(const char*, int)
    {26, 327, 750, 5, Smoke::mf_static, 0, 549},	//549 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 327, 662, 3, Smoke::mf_static, 0, 550},	//550 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {26, 327, 666, 4, Smoke::mf_static, 0, 551},	//551 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 360, 1277, 1, Smoke::mf_static, 459, 552},	//552 QGlobalSpace::qHash(short)
    {26, 233, 1279, 2, Smoke::mf_static, 80, 553},	//553 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {26, 233, 1282, 2, Smoke::mf_static, 72, 554},	//554 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {26, 336, 9, 1, Smoke::mf_static, 446, 555},	//555 QGlobalSpace::qFabs(double)
    {26, 233, 1285, 2, Smoke::mf_static, 109, 556},	//556 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {26, 233, 1288, 2, Smoke::mf_static, 56, 557},	//557 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {26, 452, 452, 2, Smoke::mf_static, 448, 558},	//558 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {26, 350, 1291, 2, Smoke::mf_static, 356, 559},	//559 QGlobalSpace::qFuzzyCompare(float, float)
    {26, 212, 1294, 2, Smoke::mf_static, 356, 560},	//560 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {26, 233, 1297, 2, Smoke::mf_static, 151, 561},	//561 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {26, 233, 1300, 2, Smoke::mf_static, 76, 562},	//562 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {26, 439, 1174, 6, Smoke::mf_static, 448, 563},	//563 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {26, 441, 1303, 3, Smoke::mf_static, 358, 564},	//564 QGlobalSpace::qgcvt(long double, int, char*)
    {26, 448, 1307, 4, Smoke::mf_static, 0, 565},	//565 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {26, 233, 1312, 2, Smoke::mf_static, 104, 566},	//566 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {26, 233, 1315, 2, Smoke::mf_static, 92, 567},	//567 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {26, 233, 1318, 2, Smoke::mf_static, 71, 568},	//568 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {26, 250, 9, 1, Smoke::mf_static, 446, 569},	//569 QGlobalSpace::qAcos(double)
    {26, 233, 1321, 2, Smoke::mf_static, 151, 570},	//570 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {26, 233, 1324, 2, Smoke::mf_static, 113, 571},	//571 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {26, 233, 1327, 2, Smoke::mf_static, 151, 572},	//572 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {26, 203, 1330, 2, Smoke::mf_static, 26, 573},	//573 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {26, 222, 452, 2, Smoke::mf_static, 356, 574},	//574 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {26, 233, 1333, 2, Smoke::mf_static, 83, 575},	//575 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {26, 227, 1336, 2, Smoke::mf_static, 26, 576},	//576 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {26, 263, 0, 0, Smoke::mf_static, 0, 577},	//577 QGlobalSpace::qBadAlloc()
    {26, 203, 1339, 2, Smoke::mf_static, 30, 578},	//578 QGlobalSpace::operator<<(QDebug, const QLine&)
    {26, 233, 1342, 2, Smoke::mf_static, 119, 579},	//579 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {26, 309, 1345, 10, Smoke::mf_static, 0, 580},	//580 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {26, 309, 268, 6, Smoke::mf_static, 0, 581},	//581 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {26, 309, 275, 7, Smoke::mf_static, 0, 582},	//582 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 309, 846, 8, Smoke::mf_static, 0, 583},	//583 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 309, 1356, 9, Smoke::mf_static, 0, 584},	//584 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 233, 1366, 2, Smoke::mf_static, 151, 585},	//585 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {26, 227, 1369, 2, Smoke::mf_static, 26, 586},	//586 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {26, 203, 1372, 2, Smoke::mf_static, 30, 587},	//587 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {26, 233, 1375, 2, Smoke::mf_static, 151, 588},	//588 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {26, 353, 9, 1, Smoke::mf_static, 356, 589},	//589 QGlobalSpace::qFuzzyIsNull(double)
    {26, 270, 1378, 2, Smoke::mf_static, 16, 590},	//590 QGlobalSpace::qCompress(const QByteArray&, int)
    {26, 270, 153, 1, Smoke::mf_static, 16, 591},	//591 QGlobalSpace::qCompress(const QByteArray&)
    {26, 203, 1381, 2, Smoke::mf_static, 30, 592},	//592 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {26, 233, 1384, 2, Smoke::mf_static, 105, 593},	//593 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {26, 233, 1387, 2, Smoke::mf_static, 151, 594},	//594 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {26, 233, 1390, 2, Smoke::mf_static, 151, 595},	//595 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {26, 233, 1393, 2, Smoke::mf_static, 69, 596},	//596 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {26, 233, 1396, 2, Smoke::mf_static, 151, 597},	//597 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {26, 233, 1399, 2, Smoke::mf_static, 122, 598},	//598 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {26, 233, 1402, 2, Smoke::mf_static, 151, 599},	//599 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {26, 192, 1405, 1, Smoke::mf_static, 437, 600},	//600 QGlobalSpace::operator-(const QVector2D&)
    {26, 233, 1407, 2, Smoke::mf_static, 46, 601},	//601 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {26, 203, 1410, 2, Smoke::mf_static, 26, 602},	//602 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {26, 183, 1413, 2, Smoke::mf_static, 170, 603},	//603 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {26, 203, 1416, 2, Smoke::mf_static, 26, 604},	//604 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {26, 291, 1356, 9, Smoke::mf_static, 0, 605},	//605 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 291, 268, 6, Smoke::mf_static, 0, 606},	//606 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {26, 291, 275, 7, Smoke::mf_static, 0, 607},	//607 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 291, 846, 8, Smoke::mf_static, 0, 608},	//608 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 233, 1419, 2, Smoke::mf_static, 50, 609},	//609 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {26, 203, 1422, 2, Smoke::mf_static, 26, 610},	//610 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {26, 183, 1425, 2, Smoke::mf_static, 159, 611},	//611 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {26, 203, 1428, 2, Smoke::mf_static, 26, 612},	//612 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {26, 257, 9, 1, Smoke::mf_static, 446, 613},	//613 QGlobalSpace::qAsin(double)
    {26, 203, 1431, 2, Smoke::mf_static, 30, 614},	//614 QGlobalSpace::operator<<(QDebug, const QRect&)
    {26, 203, 1434, 2, Smoke::mf_static, 30, 615},	//615 QGlobalSpace::operator<<(QDebug, const QFont&)
    {26, 233, 1437, 2, Smoke::mf_static, 56, 616},	//616 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {26, 233, 1440, 2, Smoke::mf_static, 52, 617},	//617 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {26, 233, 1443, 2, Smoke::mf_static, 151, 618},	//618 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {26, 176, 443, 2, Smoke::mf_static, 356, 619},	//619 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {26, 417, 9, 1, Smoke::mf_static, 446, 620},	//620 QGlobalSpace::qSin(double)
    {26, 233, 1446, 2, Smoke::mf_static, 151, 621},	//621 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {26, 212, 452, 2, Smoke::mf_static, 356, 622},	//622 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {26, 227, 1449, 2, Smoke::mf_static, 26, 623},	//623 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {26, 233, 1452, 2, Smoke::mf_static, 79, 624},	//624 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {26, 233, 449, 2, Smoke::mf_static, 12, 625},	//625 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {26, 203, 1455, 2, Smoke::mf_static, 26, 626},	//626 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {26, 320, 259, 8, Smoke::mf_static, 0, 627},	//627 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 320, 268, 6, Smoke::mf_static, 0, 628},	//628 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {26, 320, 275, 7, Smoke::mf_static, 0, 629},	//629 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 350, 20, 2, Smoke::mf_static, 356, 630},	//630 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {26, 203, 1458, 2, Smoke::mf_static, 26, 631},	//631 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {26, 233, 1461, 2, Smoke::mf_static, 63, 632},	//632 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {26, 212, 1464, 2, Smoke::mf_static, 356, 633},	//633 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {26, 233, 1467, 2, Smoke::mf_static, 64, 634},	//634 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {26, 233, 1470, 2, Smoke::mf_static, 88, 635},	//635 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {26, 233, 1473, 2, Smoke::mf_static, 151, 636},	//636 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {26, 227, 1476, 2, Smoke::mf_static, 26, 637},	//637 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {26, 203, 1479, 2, Smoke::mf_static, 26, 638},	//638 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {26, 473, 1274, 2, Smoke::mf_static, 219, 639},	//639 QGlobalSpace::qtTrId(const char*, int)
    {26, 473, 98, 1, Smoke::mf_static, 219, 640},	//640 QGlobalSpace::qtTrId(const char*)
    {26, 233, 1482, 2, Smoke::mf_static, 151, 641},	//641 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {26, 233, 1485, 2, Smoke::mf_static, 98, 642},	//642 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {26, 192, 1488, 1, Smoke::mf_static, 439, 643},	//643 QGlobalSpace::operator-(const QVector3D&)
    {26, 203, 1490, 2, Smoke::mf_static, 30, 644},	//644 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {26, 207, 140, 2, Smoke::mf_static, 356, 645},	//645 QGlobalSpace::operator<=(QChar, QChar)
    {26, 233, 1493, 2, Smoke::mf_static, 122, 646},	//646 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {26, 370, 324, 1, Smoke::mf_static, 356, 647},	//647 QGlobalSpace::qIsGray(unsigned int)
    {26, 233, 1496, 2, Smoke::mf_static, 67, 648},	//648 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {26, 176, 1294, 2, Smoke::mf_static, 356, 649},	//649 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {26, 233, 1499, 2, Smoke::mf_static, 114, 650},	//650 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {26, 227, 1502, 2, Smoke::mf_static, 26, 651},	//651 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {26, 227, 1505, 2, Smoke::mf_static, 26, 652},	//652 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {26, 284, 1508, 5, Smoke::mf_static, 0, 653},	//653 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {26, 284, 1514, 3, Smoke::mf_static, 0, 654},	//654 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {26, 284, 1518, 4, Smoke::mf_static, 0, 655},	//655 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {26, 227, 1523, 2, Smoke::mf_static, 26, 656},	//656 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {26, 233, 1526, 2, Smoke::mf_static, 68, 657},	//657 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {26, 233, 1529, 2, Smoke::mf_static, 151, 658},	//658 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {26, 183, 1532, 2, Smoke::mf_static, 397, 659},	//659 QGlobalSpace::operator*(const QPoint&, int)
    {26, 227, 1535, 2, Smoke::mf_static, 26, 660},	//660 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {26, 233, 1538, 2, Smoke::mf_static, 151, 661},	//661 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {26, 495, 1541, 3, Smoke::mf_static, 356, 662},	//662 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {26, 203, 1545, 2, Smoke::mf_static, 30, 663},	//663 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {26, 233, 1548, 2, Smoke::mf_static, 151, 664},	//664 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {26, 183, 1551, 2, Smoke::mf_static, 194, 665},	//665 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {26, 196, 1241, 2, Smoke::mf_static, 410, 666},	//666 QGlobalSpace::operator/(const QSize&, double)
    {26, 183, 1554, 2, Smoke::mf_static, 194, 667},	//667 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {26, 376, 96, 1, Smoke::mf_static, 356, 668},	//668 QGlobalSpace::qIsNull(float)
    {26, 233, 1557, 2, Smoke::mf_static, 48, 669},	//669 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {26, 493, 1560, 5, Smoke::mf_static, 0, 670},	//670 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {26, 212, 1566, 2, Smoke::mf_static, 356, 671},	//671 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {26, 259, 9, 1, Smoke::mf_static, 446, 672},	//672 QGlobalSpace::qAtan(double)
    {26, 227, 1569, 2, Smoke::mf_static, 26, 673},	//673 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {26, 233, 1572, 2, Smoke::mf_static, 151, 674},	//674 QGlobalSpace::operator|(Qt::Orientation, int)
    {26, 233, 1575, 2, Smoke::mf_static, 96, 675},	//675 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {26, 350, 87, 2, Smoke::mf_static, 356, 676},	//676 QGlobalSpace::qFuzzyCompare(double, double)
    {26, 183, 1578, 2, Smoke::mf_static, 268, 677},	//677 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {26, 176, 33, 2, Smoke::mf_static, 356, 678},	//678 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {26, 203, 1581, 2, Smoke::mf_static, 26, 679},	//679 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {26, 203, 1584, 2, Smoke::mf_static, 30, 680},	//680 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {26, 291, 1587, 7, Smoke::mf_static, 0, 681},	//681 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {26, 291, 1595, 4, Smoke::mf_static, 0, 682},	//682 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {26, 291, 1600, 5, Smoke::mf_static, 0, 683},	//683 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {26, 291, 1606, 6, Smoke::mf_static, 0, 684},	//684 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {26, 233, 1613, 2, Smoke::mf_static, 111, 685},	//685 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {26, 183, 256, 2, Smoke::mf_static, 397, 686},	//686 QGlobalSpace::operator*(const QPoint&, double)
    {26, 233, 1616, 2, Smoke::mf_static, 72, 687},	//687 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {26, 409, 0, 0, Smoke::mf_static, 446, 688},	//688 QGlobalSpace::qSNaN()
    {26, 183, 1619, 2, Smoke::mf_static, 196, 689},	//689 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {26, 233, 1622, 2, Smoke::mf_static, 151, 690},	//690 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {26, 212, 93, 2, Smoke::mf_static, 356, 691},	//691 QGlobalSpace::operator==(const QByteArray&, const char*)
    {26, 233, 1625, 2, Smoke::mf_static, 83, 692},	//692 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {26, 203, 1628, 2, Smoke::mf_static, 26, 693},	//693 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {26, 183, 1026, 2, Smoke::mf_static, 412, 694},	//694 QGlobalSpace::operator*(const QSizeF&, double)
    {26, 233, 1631, 2, Smoke::mf_static, 66, 695},	//695 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {26, 212, 1132, 2, Smoke::mf_static, 356, 696},	//696 QGlobalSpace::operator==(const QStringRef&, const char*)
    {26, 176, 20, 2, Smoke::mf_static, 356, 697},	//697 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {26, 212, 23, 2, Smoke::mf_static, 356, 698},	//698 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {26, 183, 1634, 2, Smoke::mf_static, 198, 699},	//699 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {26, 233, 1637, 2, Smoke::mf_static, 151, 700},	//700 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {26, 183, 1640, 2, Smoke::mf_static, 397, 701},	//701 QGlobalSpace::operator*(const QPoint&, float)
    {26, 183, 1643, 2, Smoke::mf_static, 410, 702},	//702 QGlobalSpace::operator*(double, const QSize&)
    {26, 233, 1646, 2, Smoke::mf_static, 151, 703},	//703 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {26, 198, 4, 2, Smoke::mf_static, 356, 704},	//704 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {26, 176, 1649, 2, Smoke::mf_static, 356, 705},	//705 QGlobalSpace::operator!=(QBool, bool)
    {26, 233, 1652, 2, Smoke::mf_static, 54, 706},	//706 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {26, 176, 51, 2, Smoke::mf_static, 356, 707},	//707 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {26, 227, 1655, 2, Smoke::mf_static, 26, 708},	//708 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {26, 176, 365, 2, Smoke::mf_static, 356, 709},	//709 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {26, 203, 1658, 2, Smoke::mf_static, 30, 710},	//710 QGlobalSpace::operator<<(QDebug, const QSize&)
    {26, 233, 1661, 2, Smoke::mf_static, 151, 711},	//711 QGlobalSpace::operator|(QStyle::SubControl, int)
    {26, 233, 1664, 2, Smoke::mf_static, 103, 712},	//712 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {26, 183, 1667, 2, Smoke::mf_static, 161, 713},	//713 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {26, 192, 203, 2, Smoke::mf_static, 403, 714},	//714 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {26, 183, 870, 2, Smoke::mf_static, 399, 715},	//715 QGlobalSpace::operator*(const QPointF&, double)
    {26, 461, 188, 2, Smoke::mf_static, 448, 716},	//716 QGlobalSpace::qstricmp(const char*, const char*)
    {26, 233, 1670, 2, Smoke::mf_static, 151, 717},	//717 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {26, 233, 1673, 2, Smoke::mf_static, 117, 718},	//718 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {26, 176, 105, 2, Smoke::mf_static, 356, 719},	//719 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {26, 405, 9, 1, Smoke::mf_static, 448, 720},	//720 QGlobalSpace::qRound(double)
    {26, 363, 0, 0, Smoke::mf_static, 446, 721},	//721 QGlobalSpace::qInf()
    {26, 203, 1676, 2, Smoke::mf_static, 26, 722},	//722 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {26, 233, 1679, 2, Smoke::mf_static, 98, 723},	//723 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {26, 183, 203, 2, Smoke::mf_static, 403, 724},	//724 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {26, 233, 1682, 2, Smoke::mf_static, 151, 725},	//725 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {26, 233, 1685, 2, Smoke::mf_static, 114, 726},	//726 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {26, 183, 1688, 2, Smoke::mf_static, 196, 727},	//727 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {26, 203, 1691, 2, Smoke::mf_static, 30, 728},	//728 QGlobalSpace::operator<<(QDebug, const QColor&)
    {26, 203, 1694, 2, Smoke::mf_static, 30, 729},	//729 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {26, 203, 1697, 2, Smoke::mf_static, 26, 730},	//730 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {26, 233, 1700, 2, Smoke::mf_static, 76, 731},	//731 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {26, 233, 1703, 2, Smoke::mf_static, 151, 732},	//732 QGlobalSpace::operator|(Qt::WindowType, int)
    {26, 452, 93, 2, Smoke::mf_static, 448, 733},	//733 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {26, 233, 1706, 2, Smoke::mf_static, 151, 734},	//734 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {26, 399, 1035, 1, Smoke::mf_static, 0, 735},	//735 QGlobalSpace::qRemovePostRoutine(void(*)())
    {26, 187, 203, 2, Smoke::mf_static, 403, 736},	//736 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {26, 227, 1709, 2, Smoke::mf_static, 26, 737},	//737 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {26, 233, 1712, 2, Smoke::mf_static, 90, 738},	//738 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {26, 233, 1715, 2, Smoke::mf_static, 70, 739},	//739 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {26, 227, 1718, 2, Smoke::mf_static, 26, 740},	//740 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {26, 233, 1721, 2, Smoke::mf_static, 151, 741},	//741 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {26, 203, 1724, 2, Smoke::mf_static, 26, 742},	//742 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {26, 233, 1727, 2, Smoke::mf_static, 116, 743},	//743 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {26, 233, 1730, 2, Smoke::mf_static, 108, 744},	//744 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {26, 430, 0, 0, Smoke::mf_static, 30, 745},	//745 QGlobalSpace::qWarning()
    {26, 463, 98, 1, Smoke::mf_static, 459, 746},	//746 QGlobalSpace::qstrlen(const char*)
    {26, 212, 1649, 2, Smoke::mf_static, 356, 747},	//747 QGlobalSpace::operator==(QBool, bool)
    {26, 227, 1733, 2, Smoke::mf_static, 26, 748},	//748 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {26, 227, 1736, 2, Smoke::mf_static, 26, 749},	//749 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {26, 360, 1739, 1, Smoke::mf_static, 459, 750},	//750 QGlobalSpace::qHash(unsigned long)
    {26, 203, 1741, 2, Smoke::mf_static, 26, 751},	//751 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {26, 233, 1744, 2, Smoke::mf_static, 151, 752},	//752 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {26, 203, 1747, 2, Smoke::mf_static, 26, 753},	//753 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {26, 233, 1750, 2, Smoke::mf_static, 151, 754},	//754 QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    {26, 233, 1753, 2, Smoke::mf_static, 77, 755},	//755 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {26, 212, 332, 2, Smoke::mf_static, 356, 756},	//756 QGlobalSpace::operator==(const char*, const QString&)
    {26, 203, 1756, 2, Smoke::mf_static, 26, 757},	//757 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {26, 233, 1759, 2, Smoke::mf_static, 151, 758},	//758 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {26, 279, 1762, 8, Smoke::mf_static, 0, 759},	//759 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {26, 279, 1771, 6, Smoke::mf_static, 0, 760},	//760 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {26, 279, 1778, 7, Smoke::mf_static, 0, 761},	//761 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {26, 233, 1786, 2, Smoke::mf_static, 87, 762},	//762 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {26, 187, 1789, 2, Smoke::mf_static, 417, 763},	//763 QGlobalSpace::operator+(const QString&, const QString&)
    {26, 176, 494, 2, Smoke::mf_static, 356, 764},	//764 QGlobalSpace::operator!=(QBool, QBool)
    {26, 233, 1792, 2, Smoke::mf_static, 46, 765},	//765 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {26, 484, 1795, 2, Smoke::mf_static, 0, 766},	//766 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {26, 203, 1798, 2, Smoke::mf_static, 30, 767},	//767 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {26, 183, 1801, 2, Smoke::mf_static, 439, 768},	//768 QGlobalSpace::operator*(double, const QVector3D&)
    {26, 222, 332, 2, Smoke::mf_static, 356, 769},	//769 QGlobalSpace::operator>=(const char*, const QString&)
    {26, 360, 1804, 1, Smoke::mf_static, 459, 770},	//770 QGlobalSpace::qHash(const QStringRef&)
    {26, 376, 9, 1, Smoke::mf_static, 356, 771},	//771 QGlobalSpace::qIsNull(double)
    {26, 233, 1806, 2, Smoke::mf_static, 151, 772},	//772 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {26, 233, 1809, 2, Smoke::mf_static, 49, 773},	//773 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {26, 222, 33, 2, Smoke::mf_static, 356, 774},	//774 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {26, 217, 93, 2, Smoke::mf_static, 356, 775},	//775 QGlobalSpace::operator>(const QByteArray&, const char*)
    {26, 360, 1812, 1, Smoke::mf_static, 459, 776},	//776 QGlobalSpace::qHash(unsigned char)
    {26, 227, 1814, 2, Smoke::mf_static, 26, 777},	//777 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {26, 233, 1817, 2, Smoke::mf_static, 63, 778},	//778 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {26, 183, 1820, 2, Smoke::mf_static, 198, 779},	//779 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {26, 203, 1823, 2, Smoke::mf_static, 30, 780},	//780 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {26, 203, 1826, 2, Smoke::mf_static, 30, 781},	//781 QGlobalSpace::operator<<(QDebug, const QObject*)
    {26, 233, 1829, 2, Smoke::mf_static, 151, 782},	//782 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {26, 176, 452, 2, Smoke::mf_static, 356, 783},	//783 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {26, 203, 1832, 2, Smoke::mf_static, 26, 784},	//784 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {26, 227, 1835, 2, Smoke::mf_static, 26, 785},	//785 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {26, 203, 1838, 2, Smoke::mf_static, 26, 786},	//786 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {26, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 787},	//787 QGlobalSpace::PM_FrameCornerWidth (enum)
    {26, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 788},	//788 QGlobalSpace::PM_FrameCornerHeight (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 789},	//789 QGlobalSpace::PM_BoldLineWidth (enum)
    {26, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 790},	//790 QGlobalSpace::PM_ThinLineWidth (enum)
    {26, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 791},	//791 QGlobalSpace::PM_MessageBoxHeight (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 792},	//792 QGlobalSpace::PM_CbaIconWidth (enum)
    {26, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 793},	//793 QGlobalSpace::PM_CbaIconHeight (enum)
    {26, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 794},	//794 QGlobalSpace::QtDebugMsg (enum)
    {26, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 795},	//795 QGlobalSpace::QtWarningMsg (enum)
    {26, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 796},	//796 QGlobalSpace::QtCriticalMsg (enum)
    {26, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 797},	//797 QGlobalSpace::QtFatalMsg (enum)
    {26, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 353, 798},	//798 QGlobalSpace::QtSystemMsg (enum)
    {26, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 799},	//799 QGlobalSpace::__codecvt_ok (enum)
    {26, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 800},	//800 QGlobalSpace::__codecvt_partial (enum)
    {26, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 801},	//801 QGlobalSpace::__codecvt_error (enum)
    {26, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 802},	//802 QGlobalSpace::__codecvt_noconv (enum)
    {27, 107, 354, 1, Smoke::mf_virtual, 0, 0},	//803 QGraphicsItem::advance(int)
    {27, 538, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//804 QGraphicsItem::shape() const
    {27, 119, 927, 1, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//805 QGraphicsItem::contains(const QPointF&) const
    {27, 116, 1841, 2, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//806 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {27, 117, 1844, 2, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//807 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {27, 153, 1847, 1, Smoke::mf_const|Smoke::mf_virtual, 356, 0},	//808 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {27, 175, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 187, 0},	//809 QGraphicsItem::opaqueArea() const
    {27, 509, 1849, 2, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//810 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {27, 508, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//811 QGraphicsItem::sceneEvent(QEvent*)
    {27, 120, 1854, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {27, 127, 1856, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {27, 128, 1856, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {27, 129, 1856, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {27, 130, 1856, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {27, 140, 1858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QGraphicsItem::focusInEvent(QFocusEvent*)
    {27, 142, 1858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {27, 147, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {27, 149, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {27, 148, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {27, 156, 1862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {27, 157, 1862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {27, 172, 1864, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {27, 171, 1864, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {27, 173, 1864, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {27, 170, 1864, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {27, 559, 1866, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {27, 150, 1868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {27, 151, 1870, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//830 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {27, 155, 1872, 2, Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//831 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {27, 544, 1875, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//832 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {27, 518, 1877, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//833 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {27, 138, 1880, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//834 QGraphicsItem::extension(const QVariant&) const
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 33},	//835 QGraphicsItem::ItemIsMovable (enum)
    {27, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 34},	//836 QGraphicsItem::ItemIsSelectable (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 35},	//837 QGraphicsItem::ItemIsFocusable (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 36},	//838 QGraphicsItem::ItemClipsToShape (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 37},	//839 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 38},	//840 QGraphicsItem::ItemIgnoresTransformations (enum)
    {27, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 39},	//841 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 40},	//842 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 41},	//843 QGraphicsItem::ItemStacksBehindParent (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 42},	//844 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 43},	//845 QGraphicsItem::ItemHasNoContents (enum)
    {27, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 44},	//846 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {27, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 45},	//847 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 46},	//848 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 47},	//849 QGraphicsItem::ItemIsPanel (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 48},	//850 QGraphicsItem::ItemIsFocusScope (enum)
    {27, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 49},	//851 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 50},	//852 QGraphicsItem::ItemStopsClickFocusPropagation (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 51},	//853 QGraphicsItem::ItemStopsFocusHandling (enum)
    {27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 52},	//854 QGraphicsItem::ItemPositionChange (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 53},	//855 QGraphicsItem::ItemMatrixChange (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 54},	//856 QGraphicsItem::ItemVisibleChange (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 55},	//857 QGraphicsItem::ItemEnabledChange (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 56},	//858 QGraphicsItem::ItemSelectedChange (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 57},	//859 QGraphicsItem::ItemParentChange (enum)
    {27, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 58},	//860 QGraphicsItem::ItemChildAddedChange (enum)
    {27, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 59},	//861 QGraphicsItem::ItemChildRemovedChange (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 60},	//862 QGraphicsItem::ItemTransformChange (enum)
    {27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 61},	//863 QGraphicsItem::ItemPositionHasChanged (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 62},	//864 QGraphicsItem::ItemTransformHasChanged (enum)
    {27, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 63},	//865 QGraphicsItem::ItemSceneChange (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 64},	//866 QGraphicsItem::ItemVisibleHasChanged (enum)
    {27, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 65},	//867 QGraphicsItem::ItemEnabledHasChanged (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 66},	//868 QGraphicsItem::ItemSelectedHasChanged (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 67},	//869 QGraphicsItem::ItemParentHasChanged (enum)
    {27, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 68},	//870 QGraphicsItem::ItemSceneHasChanged (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 69},	//871 QGraphicsItem::ItemCursorChange (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 70},	//872 QGraphicsItem::ItemCursorHasChanged (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 71},	//873 QGraphicsItem::ItemToolTipChange (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 72},	//874 QGraphicsItem::ItemToolTipHasChanged (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 73},	//875 QGraphicsItem::ItemFlagsChange (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 74},	//876 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {27, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 75},	//877 QGraphicsItem::ItemZValueChange (enum)
    {27, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 76},	//878 QGraphicsItem::ItemZValueHasChanged (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 77},	//879 QGraphicsItem::ItemOpacityChange (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 78},	//880 QGraphicsItem::ItemOpacityHasChanged (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 79},	//881 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 80},	//882 QGraphicsItem::ItemRotationChange (enum)
    {27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 81},	//883 QGraphicsItem::ItemRotationHasChanged (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 82},	//884 QGraphicsItem::ItemScaleChange (enum)
    {27, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 83},	//885 QGraphicsItem::ItemScaleHasChanged (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 84},	//886 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 85},	//887 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {27, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 86},	//888 QGraphicsItem::Type (enum)
    {27, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 87},	//889 QGraphicsItem::UserType (enum)
    {27, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 88},	//890 QGraphicsItem::UserExtension (enum)
    {34, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 388, 1},	//891 QGraphicsSvgItem::metaObject() const
    {34, 488, 98, 1, Smoke::mf_virtual, 466, 2},	//892 QGraphicsSvgItem::qt_metacast(const char*)
    {34, 548, 188, 2, Smoke::mf_static, 219, 3},	//893 QGraphicsSvgItem::tr(const char*, const char*)
    {34, 552, 188, 2, Smoke::mf_static, 219, 4},	//894 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {34, 548, 548, 3, Smoke::mf_static, 219, 5},	//895 QGraphicsSvgItem::tr(const char*, const char*, int)
    {34, 552, 548, 3, Smoke::mf_static, 219, 6},	//896 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {34, 486, 1882, 3, Smoke::mf_virtual, 448, 7},	//897 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {34, 79, 1886, 1, Smoke::mf_ctor, 142, 8},	//898 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {34, 79, 1888, 2, Smoke::mf_ctor, 142, 9},	//899 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {34, 529, 1891, 1, 0, 0, 10},	//900 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {34, 504, 0, 0, Smoke::mf_const, 237, 11},	//901 QGraphicsSvgItem::renderer() const
    {34, 516, 461, 1, Smoke::mf_property, 0, 12},	//902 QGraphicsSvgItem::setElementId(const QString&)
    {34, 133, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 13},	//903 QGraphicsSvgItem::elementId() const
    {34, 510, 1893, 1, 0, 0, 14},	//904 QGraphicsSvgItem::setCachingEnabled(bool)
    {34, 152, 0, 0, Smoke::mf_const, 356, 15},	//905 QGraphicsSvgItem::isCachingEnabled() const
    {34, 523, 1895, 1, Smoke::mf_property, 0, 16},	//906 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {34, 165, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 17},	//907 QGraphicsSvgItem::maximumCacheSize() const
    {34, 110, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 18},	//908 QGraphicsSvgItem::boundingRect() const
    {34, 237, 1897, 3, Smoke::mf_virtual, 0, 19},	//909 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {34, 556, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 448, 20},	//910 QGraphicsSvgItem::type() const
    {34, 548, 98, 1, Smoke::mf_static, 219, 21},	//911 QGraphicsSvgItem::tr(const char*)
    {34, 552, 98, 1, Smoke::mf_static, 219, 22},	//912 QGraphicsSvgItem::trUtf8(const char*)
    {34, 79, 0, 0, Smoke::mf_ctor, 142, 23},	//913 QGraphicsSvgItem::QGraphicsSvgItem()
    {34, 79, 461, 1, Smoke::mf_ctor, 142, 24},	//914 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {34, 237, 1901, 2, 0, 0, 25},	//915 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {34, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 387, 26},	//916 QGraphicsSvgItem::staticMetaObject() const
    {34, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 451, 27},	//917 QGraphicsSvgItem::Type (enum)
    {34, 562, 0, 0, Smoke::mf_dtor, 0, 28 },	//918 QGraphicsSvgItem::~QGraphicsSvgItem()
    {57, 136, 1852, 1, Smoke::mf_virtual, 356, 0},	//919 QObject::event(QEvent*)
    {57, 137, 1904, 2, Smoke::mf_virtual, 356, 0},	//920 QObject::eventFilter(QObject*, QEvent*)
    {57, 546, 1907, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//921 QObject::timerEvent(QTimerEvent*)
    {57, 114, 1909, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//922 QObject::childEvent(QChildEvent*)
    {57, 122, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//923 QObject::customEvent(QEvent*)
    {57, 118, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//924 QObject::connectNotify(const char*)
    {57, 126, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//925 QObject::disconnectNotify(const char*)
    {58, 125, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 448, 0},	//926 QPaintDevice::devType() const
    {58, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 2},	//927 QPaintDevice::PdmWidth (enum)
    {58, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 3},	//928 QPaintDevice::PdmHeight (enum)
    {58, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 4},	//929 QPaintDevice::PdmWidthMM (enum)
    {58, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 5},	//930 QPaintDevice::PdmHeightMM (enum)
    {58, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 6},	//931 QPaintDevice::PdmNumColors (enum)
    {58, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 7},	//932 QPaintDevice::PdmDepth (enum)
    {58, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 8},	//933 QPaintDevice::PdmDpiX (enum)
    {58, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 9},	//934 QPaintDevice::PdmDpiY (enum)
    {58, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 10},	//935 QPaintDevice::PdmPhysicalDpiX (enum)
    {58, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 11},	//936 QPaintDevice::PdmPhysicalDpiY (enum)
    {89, 83, 0, 0, Smoke::mf_ctor, 236, 1},	//937 QSvgGenerator::QSvgGenerator()
    {89, 547, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 2},	//938 QSvgGenerator::title() const
    {89, 533, 461, 1, Smoke::mf_property, 0, 3},	//939 QSvgGenerator::setTitle(const QString&)
    {89, 124, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 4},	//940 QSvgGenerator::description() const
    {89, 514, 461, 1, Smoke::mf_property, 0, 5},	//941 QSvgGenerator::setDescription(const QString&)
    {89, 540, 0, 0, Smoke::mf_const|Smoke::mf_property, 212, 6},	//942 QSvgGenerator::size() const
    {89, 531, 1895, 1, Smoke::mf_property, 0, 7},	//943 QSvgGenerator::setSize(const QSize&)
    {89, 557, 0, 0, Smoke::mf_const, 203, 8},	//944 QSvgGenerator::viewBox() const
    {89, 558, 0, 0, Smoke::mf_const|Smoke::mf_property, 205, 9},	//945 QSvgGenerator::viewBoxF() const
    {89, 535, 1911, 1, 0, 0, 10},	//946 QSvgGenerator::setViewBox(const QRect&)
    {89, 535, 1913, 1, Smoke::mf_property, 0, 11},	//947 QSvgGenerator::setViewBox(const QRectF&)
    {89, 139, 0, 0, Smoke::mf_const|Smoke::mf_property, 219, 12},	//948 QSvgGenerator::fileName() const
    {89, 519, 461, 1, Smoke::mf_property, 0, 13},	//949 QSvgGenerator::setFileName(const QString&)
    {89, 236, 0, 0, Smoke::mf_const|Smoke::mf_property, 146, 14},	//950 QSvgGenerator::outputDevice() const
    {89, 525, 1915, 1, Smoke::mf_property, 0, 15},	//951 QSvgGenerator::setOutputDevice(QIODevice*)
    {89, 527, 354, 1, Smoke::mf_property, 0, 16},	//952 QSvgGenerator::setResolution(int)
    {89, 507, 0, 0, Smoke::mf_const|Smoke::mf_property, 448, 17},	//953 QSvgGenerator::resolution() const
    {89, 240, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 181, 18},	//954 QSvgGenerator::paintEngine() const
    {89, 167, 1917, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 448, 19},	//955 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {89, 563, 0, 0, Smoke::mf_dtor, 0, 20 },	//956 QSvgGenerator::~QSvgGenerator()
    {90, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 388, 1},	//957 QSvgRenderer::metaObject() const
    {90, 488, 98, 1, Smoke::mf_virtual, 466, 2},	//958 QSvgRenderer::qt_metacast(const char*)
    {90, 548, 188, 2, Smoke::mf_static, 219, 3},	//959 QSvgRenderer::tr(const char*, const char*)
    {90, 552, 188, 2, Smoke::mf_static, 219, 4},	//960 QSvgRenderer::trUtf8(const char*, const char*)
    {90, 548, 548, 3, Smoke::mf_static, 219, 5},	//961 QSvgRenderer::tr(const char*, const char*, int)
    {90, 552, 548, 3, Smoke::mf_static, 219, 6},	//962 QSvgRenderer::trUtf8(const char*, const char*, int)
    {90, 486, 1882, 3, Smoke::mf_virtual, 448, 7},	//963 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {90, 84, 1919, 1, Smoke::mf_ctor, 237, 8},	//964 QSvgRenderer::QSvgRenderer(QObject*)
    {90, 84, 1921, 2, Smoke::mf_ctor, 237, 9},	//965 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {90, 84, 1924, 2, Smoke::mf_ctor, 237, 10},	//966 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {90, 84, 1927, 2, Smoke::mf_ctor, 237, 11},	//967 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {90, 154, 0, 0, Smoke::mf_const, 356, 12},	//968 QSvgRenderer::isValid() const
    {90, 123, 0, 0, Smoke::mf_const, 212, 13},	//969 QSvgRenderer::defaultSize() const
    {90, 557, 0, 0, Smoke::mf_const, 203, 14},	//970 QSvgRenderer::viewBox() const
    {90, 558, 0, 0, Smoke::mf_const|Smoke::mf_property, 205, 15},	//971 QSvgRenderer::viewBoxF() const
    {90, 535, 1911, 1, 0, 0, 16},	//972 QSvgRenderer::setViewBox(const QRect&)
    {90, 535, 1913, 1, Smoke::mf_property, 0, 17},	//973 QSvgRenderer::setViewBox(const QRectF&)
    {90, 108, 0, 0, Smoke::mf_const, 356, 18},	//974 QSvgRenderer::animated() const
    {90, 144, 0, 0, Smoke::mf_const|Smoke::mf_property, 448, 19},	//975 QSvgRenderer::framesPerSecond() const
    {90, 521, 354, 1, Smoke::mf_property, 0, 20},	//976 QSvgRenderer::setFramesPerSecond(int)
    {90, 121, 0, 0, Smoke::mf_const|Smoke::mf_property, 448, 21},	//977 QSvgRenderer::currentFrame() const
    {90, 512, 354, 1, Smoke::mf_property, 0, 22},	//978 QSvgRenderer::setCurrentFrame(int)
    {90, 109, 0, 0, Smoke::mf_const, 448, 23},	//979 QSvgRenderer::animationDuration() const
    {90, 111, 461, 1, Smoke::mf_const, 205, 24},	//980 QSvgRenderer::boundsOnElement(const QString&) const
    {90, 131, 461, 1, Smoke::mf_const, 356, 25},	//981 QSvgRenderer::elementExists(const QString&) const
    {90, 163, 461, 1, Smoke::mf_const, 168, 26},	//982 QSvgRenderer::matrixForElement(const QString&) const
    {90, 160, 461, 1, Smoke::mf_slot, 356, 27},	//983 QSvgRenderer::load(const QString&)
    {90, 160, 153, 1, Smoke::mf_slot, 356, 28},	//984 QSvgRenderer::load(const QByteArray&)
    {90, 160, 1930, 1, Smoke::mf_slot, 356, 29},	//985 QSvgRenderer::load(QXmlStreamReader*)
    {90, 499, 1932, 1, Smoke::mf_slot, 0, 30},	//986 QSvgRenderer::render(QPainter*)
    {90, 499, 1934, 2, Smoke::mf_slot, 0, 31},	//987 QSvgRenderer::render(QPainter*, const QRectF&)
    {90, 499, 1937, 3, Smoke::mf_slot, 0, 32},	//988 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {90, 505, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//989 QSvgRenderer::repaintNeeded()
    {90, 548, 98, 1, Smoke::mf_static, 219, 34},	//990 QSvgRenderer::tr(const char*)
    {90, 552, 98, 1, Smoke::mf_static, 219, 35},	//991 QSvgRenderer::trUtf8(const char*)
    {90, 84, 0, 0, Smoke::mf_ctor, 237, 36},	//992 QSvgRenderer::QSvgRenderer()
    {90, 84, 461, 1, Smoke::mf_ctor, 237, 37},	//993 QSvgRenderer::QSvgRenderer(const QString&)
    {90, 84, 153, 1, Smoke::mf_ctor, 237, 38},	//994 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {90, 84, 1930, 1, Smoke::mf_ctor, 237, 39},	//995 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {90, 499, 1941, 2, Smoke::mf_slot, 0, 40},	//996 QSvgRenderer::render(QPainter*, const QString&)
    {90, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 387, 41},	//997 QSvgRenderer::staticMetaObject() const
    {90, 564, 0, 0, Smoke::mf_dtor, 0, 42 },	//998 QSvgRenderer::~QSvgRenderer()
    {91, 166, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 388, 1},	//999 QSvgWidget::metaObject() const
    {91, 488, 98, 1, Smoke::mf_virtual, 466, 2},	//1000 QSvgWidget::qt_metacast(const char*)
    {91, 548, 188, 2, Smoke::mf_static, 219, 3},	//1001 QSvgWidget::tr(const char*, const char*)
    {91, 552, 188, 2, Smoke::mf_static, 219, 4},	//1002 QSvgWidget::trUtf8(const char*, const char*)
    {91, 548, 548, 3, Smoke::mf_static, 219, 5},	//1003 QSvgWidget::tr(const char*, const char*, int)
    {91, 552, 548, 3, Smoke::mf_static, 219, 6},	//1004 QSvgWidget::trUtf8(const char*, const char*, int)
    {91, 486, 1882, 3, Smoke::mf_virtual, 448, 7},	//1005 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {91, 89, 1944, 1, Smoke::mf_ctor, 238, 8},	//1006 QSvgWidget::QSvgWidget(QWidget*)
    {91, 89, 1946, 2, Smoke::mf_ctor, 238, 9},	//1007 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {91, 504, 0, 0, Smoke::mf_const, 237, 10},	//1008 QSvgWidget::renderer() const
    {91, 541, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 212, 11},	//1009 QSvgWidget::sizeHint() const
    {91, 160, 461, 1, Smoke::mf_slot, 0, 12},	//1010 QSvgWidget::load(const QString&)
    {91, 160, 153, 1, Smoke::mf_slot, 0, 13},	//1011 QSvgWidget::load(const QByteArray&)
    {91, 241, 1949, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1012 QSvgWidget::paintEvent(QPaintEvent*)
    {91, 548, 98, 1, Smoke::mf_static, 219, 15},	//1013 QSvgWidget::tr(const char*)
    {91, 552, 98, 1, Smoke::mf_static, 219, 16},	//1014 QSvgWidget::trUtf8(const char*)
    {91, 89, 0, 0, Smoke::mf_ctor, 238, 17},	//1015 QSvgWidget::QSvgWidget()
    {91, 89, 461, 1, Smoke::mf_ctor, 238, 18},	//1016 QSvgWidget::QSvgWidget(const QString&)
    {91, 542, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 387, 19},	//1017 QSvgWidget::staticMetaObject() const
    {91, 565, 0, 0, Smoke::mf_dtor, 0, 20 },	//1018 QSvgWidget::~QSvgWidget()
    {112, 125, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 448, 0},	//1019 QWidget::devType() const
    {112, 537, 1893, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1020 QWidget::setVisible(bool)
    {112, 169, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 212, 0},	//1021 QWidget::minimumSizeHint() const
    {112, 145, 354, 1, Smoke::mf_const|Smoke::mf_virtual, 448, 0},	//1022 QWidget::heightForWidth(int) const
    {112, 240, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 181, 0},	//1023 QWidget::paintEngine() const
    {112, 136, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1024 QWidget::event(QEvent*)
    {112, 172, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1025 QWidget::mousePressEvent(QMouseEvent*)
    {112, 173, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1026 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 170, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1027 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 171, 1951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1028 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 559, 1953, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1029 QWidget::wheelEvent(QWheelEvent*)
    {112, 156, 1862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1030 QWidget::keyPressEvent(QKeyEvent*)
    {112, 157, 1862, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1031 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 140, 1858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1032 QWidget::focusInEvent(QFocusEvent*)
    {112, 142, 1858, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1033 QWidget::focusOutEvent(QFocusEvent*)
    {112, 135, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1034 QWidget::enterEvent(QEvent*)
    {112, 159, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1035 QWidget::leaveEvent(QEvent*)
    {112, 174, 1955, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1036 QWidget::moveEvent(QMoveEvent*)
    {112, 506, 1957, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1037 QWidget::resizeEvent(QResizeEvent*)
    {112, 115, 1959, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1038 QWidget::closeEvent(QCloseEvent*)
    {112, 120, 1961, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1039 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 545, 1963, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1040 QWidget::tabletEvent(QTabletEvent*)
    {112, 106, 1965, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1041 QWidget::actionEvent(QActionEvent*)
    {112, 127, 1967, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1042 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 129, 1969, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1043 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 128, 1971, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1044 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 130, 1973, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1045 QWidget::dropEvent(QDropEvent*)
    {112, 539, 1975, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1046 QWidget::showEvent(QShowEvent*)
    {112, 146, 1977, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1047 QWidget::hideEvent(QHideEvent*)
    {112, 561, 1979, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1048 QWidget::x11Event(_XEvent*)
    {112, 113, 1852, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1049 QWidget::changeEvent(QEvent*)
    {112, 167, 1917, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 448, 0},	//1050 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 150, 1868, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1051 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 151, 1870, 1, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//1052 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 141, 1893, 1, Smoke::mf_protected|Smoke::mf_virtual, 356, 0},	//1053 QWidget::focusNextPrevChild(bool)
    {112, 543, 1981, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1054 QWidget::styleChange(QStyle&)
    {112, 134, 1893, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1055 QWidget::enabledChange(bool)
    {112, 243, 1983, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1056 QWidget::paletteChange(const QPalette&)
    {112, 143, 1985, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1057 QWidget::fontChange(const QFont&)
    {112, 560, 1893, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1058 QWidget::windowActivationChange(bool)
    {112, 158, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1059 QWidget::languageChange()
    {112, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 42},	//1060 QWidget::DrawWindowBackground (enum)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 43},	//1061 QWidget::DrawChildren (enum)
    {112, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 44},	//1062 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    946,  // QSvgGenerator::setViewBox(const QRect&)
    947,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
    10,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    88,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    152,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    167,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    250,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    291,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    320,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    329,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    412,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    421,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    471,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    485,  // QGlobalSpace::operator!=(QChar, QChar)
    528,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    619,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    649,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    697,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    707,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    709,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    764,  // QGlobalSpace::operator!=(QBool, QBool)
    783,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    71,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    100,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    123,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    506,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    705,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    240,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    368,  // QGlobalSpace::operator!=(bool, QBool)
    420,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    496,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    678,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    719,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    17,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    49,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    54,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    57,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    98,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    116,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    168,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    225,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    251,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    271,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    289,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    313,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    388,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    399,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    458,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    505,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    535,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    540,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    545,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    611,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    665,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    667,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    677,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    689,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    699,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    713,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    724,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    727,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    779,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    63,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    160,  // QGlobalSpace::operator*(const QTransform&, double)
    265,  // QGlobalSpace::operator*(const QQuaternion&, double)
    415,  // QGlobalSpace::operator*(const QVector4D&, double)
    469,  // QGlobalSpace::operator*(const QVector2D&, double)
    476,  // QGlobalSpace::operator*(const QVector3D&, double)
    537,  // QGlobalSpace::operator*(const QSize&, double)
    659,  // QGlobalSpace::operator*(const QPoint&, int)
    686,  // QGlobalSpace::operator*(const QPoint&, double)
    694,  // QGlobalSpace::operator*(const QSizeF&, double)
    701,  // QGlobalSpace::operator*(const QPoint&, float)
    715,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    83,  // QGlobalSpace::operator*(double, const QSizeF&)
    324,  // QGlobalSpace::operator*(int, const QPoint&)
    375,  // QGlobalSpace::operator*(double, const QVector2D&)
    403,  // QGlobalSpace::operator*(float, const QPoint&)
    423,  // QGlobalSpace::operator*(double, const QVector4D&)
    468,  // QGlobalSpace::operator*(double, const QQuaternion&)
    533,  // QGlobalSpace::operator*(double, const QPointF&)
    544,  // QGlobalSpace::operator*(double, const QPoint&)
    603,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    702,  // QGlobalSpace::operator*(double, const QSize&)
    768,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    43,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    78,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    111,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    137,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    141,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    197,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    270,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    282,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    347,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    736,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    171,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    181,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    224,  // QGlobalSpace::operator+(const QTransform&, double)
    230,  // QGlobalSpace::operator+(QChar, const QString&)
    429,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    23,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    114,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    166,  // QGlobalSpace::operator+(const QString&, QChar)
    514,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    175,  // QGlobalSpace::operator+(const QString&, const char*)
    249,  // QGlobalSpace::operator+(const QString&, char)
    340,  // QGlobalSpace::operator+(char, const QString&)
    521,  // QGlobalSpace::operator+(const char*, const QString&)
    763,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    59,  // QGlobalSpace::operator-(const QMatrix4x4&)
    239,  // QGlobalSpace::operator-(const QQuaternion&)
    274,  // QGlobalSpace::operator-(const QPoint&)
    376,  // QGlobalSpace::operator-(const QVector4D&)
    391,  // QGlobalSpace::operator-(const QPointF&)
    600,  // QGlobalSpace::operator-(const QVector2D&)
    643,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    7,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    89,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    115,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    119,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    146,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    252,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    334,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    519,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    714,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    107,  // QGlobalSpace::operator/(const QPoint&, double)
    142,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    298,  // QGlobalSpace::operator/(const QVector4D&, double)
    365,  // QGlobalSpace::operator/(const QVector2D&, double)
    367,  // QGlobalSpace::operator/(const QPointF&, double)
    371,  // QGlobalSpace::operator/(const QVector3D&, double)
    381,  // QGlobalSpace::operator/(const QTransform&, double)
    434,  // QGlobalSpace::operator/(const QSizeF&, double)
    450,  // QGlobalSpace::operator/(const QQuaternion&, double)
    666,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    67,  // QGlobalSpace::operator<(QChar, QChar)
    147,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    258,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    704,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    73,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    422,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    21,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    32,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    46,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    51,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    56,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    64,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    65,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    103,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    112,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    118,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    124,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    127,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    129,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    134,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    163,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    180,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    199,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    200,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    201,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    211,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    226,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    276,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    288,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    293,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    294,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    299,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    308,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    314,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    315,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    323,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    331,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    351,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    352,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    353,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    355,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    385,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    392,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    398,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    409,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    417,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    418,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    428,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    436,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    446,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    454,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    459,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    464,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    465,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    467,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    470,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    473,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    478,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    480,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    481,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    483,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    499,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    511,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    517,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    520,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    538,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    547,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    573,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    578,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    587,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    592,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    602,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    604,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    610,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    612,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    614,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    615,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    626,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    631,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    638,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    644,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    679,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    680,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    693,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    710,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    728,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    729,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    742,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    751,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    753,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    757,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    767,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    781,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    784,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    786,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    15,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    72,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    235,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    309,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    354,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    457,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    530,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    663,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    722,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    780,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    196,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    221,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    445,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    645,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    443,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    510,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    20,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    31,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    53,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    55,  // QGlobalSpace::operator==(QChar, QChar)
    85,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    189,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    212,  // QGlobalSpace::operator==(QBool, QBool)
    253,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    273,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    280,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    344,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    369,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    426,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    435,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    438,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    536,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    560,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    622,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    671,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    698,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    19,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    154,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    342,  // QGlobalSpace::operator==(QString::Null, const QString&)
    691,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    696,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    747,  // QGlobalSpace::operator==(QBool, bool)
    0,
    14,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    40,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    214,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    394,  // QGlobalSpace::operator==(bool, QBool)
    463,  // QGlobalSpace::operator==(const QString&, QString::Null)
    516,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    633,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    81,  // QGlobalSpace::operator>(QChar, QChar)
    176,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    192,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    325,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    41,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    151,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    3,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    70,  // QGlobalSpace::operator>=(QChar, QChar)
    433,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    574,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    405,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    774,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    16,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    24,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    29,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    34,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    66,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    68,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    156,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    164,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    179,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    210,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    222,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    236,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    245,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    257,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    328,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    341,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    343,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    356,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    363,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    378,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    386,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    400,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    416,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    432,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    447,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    462,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    484,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    493,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    494,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    497,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    513,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    525,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    526,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    532,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    576,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    586,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    623,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    637,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    651,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    652,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    656,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    673,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    708,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    737,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    740,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    748,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    749,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    777,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    785,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    449,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    660,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    6,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    8,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    18,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    22,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    25,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    26,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    27,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    39,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    42,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    47,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    48,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    52,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    58,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    62,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    69,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    74,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    75,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    77,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    80,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    82,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    86,  // QGlobalSpace::operator|(QDir::Filter, int)
    87,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    92,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    93,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    94,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    96,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    99,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    101,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    102,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    104,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    105,  // QGlobalSpace::operator|(QFile::Permission, int)
    106,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    113,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    122,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    125,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    126,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    130,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    133,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    135,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    136,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    138,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    143,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    144,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    145,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    155,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    158,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    162,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    169,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    173,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    174,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    177,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    184,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    186,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    190,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    193,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    198,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QFlags<QPinchGesture::ChangeFlag>)
    205,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    207,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    209,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    213,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    215,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    216,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    219,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    220,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    227,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    231,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    232,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    233,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    234,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    242,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    244,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    246,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    248,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    254,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    255,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    256,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    260,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    266,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    269,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, QPinchGesture::ChangeFlag)
    272,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    275,  // QGlobalSpace::operator|(Qt::DropAction, int)
    277,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    290,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    295,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    300,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    303,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    306,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    307,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    310,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    312,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    321,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    327,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    330,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    332,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    333,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    345,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    346,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    348,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    362,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    364,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    366,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    370,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    372,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    373,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    377,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    380,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    382,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    384,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    389,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    393,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    396,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    401,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    406,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    407,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    408,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    411,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    419,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    424,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    425,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    430,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    431,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    437,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    442,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    448,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    453,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    455,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    460,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    472,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    474,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    475,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    479,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    486,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    489,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    490,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    492,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    498,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    500,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    501,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    504,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    512,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    515,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    518,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    522,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    523,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    524,  // QGlobalSpace::operator|(Qt::WindowState, int)
    527,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    529,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    531,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    534,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    541,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    542,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    553,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    554,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    556,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    557,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    561,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    562,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    566,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    567,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    568,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    570,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    571,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    572,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    575,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    579,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    585,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    588,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    593,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    594,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    595,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    596,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    597,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    598,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    599,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    601,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    609,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    616,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    617,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    618,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    621,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    624,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    632,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    634,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    635,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    636,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    641,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    642,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    646,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    648,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    650,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    657,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    658,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    661,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    664,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    669,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    674,  // QGlobalSpace::operator|(Qt::Orientation, int)
    675,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    685,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    687,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    690,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    692,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    695,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    700,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    703,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    706,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    711,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    712,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    717,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    718,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    723,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    725,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    726,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    731,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    732,  // QGlobalSpace::operator|(Qt::WindowType, int)
    734,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    738,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    739,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    741,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    743,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    744,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    752,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    754,  // QGlobalSpace::operator|(QPinchGesture::ChangeFlag, int)
    755,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    758,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    762,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    765,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    772,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    773,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    778,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    782,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    117,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    183,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    243,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    383,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    410,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    539,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    630,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    559,  // QGlobalSpace::qFuzzyCompare(float, float)
    676,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    264,  // QGlobalSpace::qFuzzyIsNull(float)
    589,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    60,  // QGlobalSpace::qHash(const QUrl&)
    61,  // QGlobalSpace::qHash(const QByteArray&)
    157,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    185,  // QGlobalSpace::qHash(QChar)
    206,  // QGlobalSpace::qHash(const QModelIndex&)
    349,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    477,  // QGlobalSpace::qHash(const QBitArray&)
    770,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    4,  // QGlobalSpace::qHash(unsigned long long)
    38,  // QGlobalSpace::qHash(signed char)
    97,  // QGlobalSpace::qHash(char)
    182,  // QGlobalSpace::qHash(unsigned int)
    195,  // QGlobalSpace::qHash(const QString&)
    238,  // QGlobalSpace::qHash(long long)
    268,  // QGlobalSpace::qHash(int)
    322,  // QGlobalSpace::qHash(long)
    326,  // QGlobalSpace::qHash(unsigned short)
    552,  // QGlobalSpace::qHash(short)
    750,  // QGlobalSpace::qHash(unsigned long)
    776,  // QGlobalSpace::qHash(unsigned char)
    0,
    44,  // QGlobalSpace::qIntCast(double)
    188,  // QGlobalSpace::qIntCast(float)
    0,
    120,  // QGlobalSpace::qIsFinite(double)
    165,  // QGlobalSpace::qIsFinite(float)
    0,
    5,  // QGlobalSpace::qIsInf(double)
    36,  // QGlobalSpace::qIsInf(float)
    0,
    218,  // QGlobalSpace::qIsNaN(float)
    228,  // QGlobalSpace::qIsNaN(double)
    0,
    668,  // QGlobalSpace::qIsNull(float)
    771,  // QGlobalSpace::qIsNull(double)
    0,
    964,  // QSvgRenderer::QSvgRenderer(QObject*)
    994,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    995,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    966,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    967,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    984,  // QSvgRenderer::load(const QByteArray&)
    985,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    972,  // QSvgRenderer::setViewBox(const QRect&)
    973,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 61, 789},	// QGlobalSpace::PM_BoldLineWidth
    {26, 62, 793},	// QGlobalSpace::PM_CbaIconHeight
    {26, 63, 792},	// QGlobalSpace::PM_CbaIconWidth
    {26, 64, 788},	// QGlobalSpace::PM_FrameCornerHeight
    {26, 65, 787},	// QGlobalSpace::PM_FrameCornerWidth
    {26, 66, 791},	// QGlobalSpace::PM_MessageBoxHeight
    {26, 67, 790},	// QGlobalSpace::PM_ThinLineWidth
    {26, 93, 796},	// QGlobalSpace::QtCriticalMsg
    {26, 94, 794},	// QGlobalSpace::QtDebugMsg
    {26, 95, 797},	// QGlobalSpace::QtFatalMsg
    {26, 96, 798},	// QGlobalSpace::QtSystemMsg
    {26, 97, 795},	// QGlobalSpace::QtWarningMsg
    {26, 102, 801},	// QGlobalSpace::__codecvt_error
    {26, 103, 802},	// QGlobalSpace::__codecvt_noconv
    {26, 104, 799},	// QGlobalSpace::__codecvt_ok
    {26, 105, 800},	// QGlobalSpace::__codecvt_partial
    {26, 177, -4},	// QGlobalSpace::operator!=##
    {26, 178, -25},	// QGlobalSpace::operator!=#$
    {26, 179, -31},	// QGlobalSpace::operator!=$#
    {26, 180, 217},	// QGlobalSpace::operator!=$$
    {26, 182, 404},	// QGlobalSpace::operator&##
    {26, 184, -38},	// QGlobalSpace::operator*##
    {26, 185, -68},	// QGlobalSpace::operator*#$
    {26, 186, -81},	// QGlobalSpace::operator*$#
    {26, 188, -93},	// QGlobalSpace::operator+##
    {26, 189, -104},	// QGlobalSpace::operator+#$
    {26, 190, -110},	// QGlobalSpace::operator+$#
    {26, 191, -115},	// QGlobalSpace::operator+$$
    {26, 193, -121},	// QGlobalSpace::operator-#
    {26, 194, -129},	// QGlobalSpace::operator-##
    {26, 195, 95},	// QGlobalSpace::operator-#$
    {26, 197, -139},	// QGlobalSpace::operator/#$
    {26, 199, -150},	// QGlobalSpace::operator<##
    {26, 200, 466},	// QGlobalSpace::operator<#$
    {26, 201, -155},	// QGlobalSpace::operator<$#
    {26, 202, 131},	// QGlobalSpace::operator<$$
    {26, 204, -158},	// QGlobalSpace::operator<<##
    {26, 205, -251},	// QGlobalSpace::operator<<#$
    {26, 206, 427},	// QGlobalSpace::operator<<#?
    {26, 208, -262},	// QGlobalSpace::operator<=##
    {26, 209, 187},	// QGlobalSpace::operator<=#$
    {26, 210, -267},	// QGlobalSpace::operator<=$#
    {26, 211, 495},	// QGlobalSpace::operator<=$$
    {26, 213, -270},	// QGlobalSpace::operator==##
    {26, 214, -292},	// QGlobalSpace::operator==#$
    {26, 215, -299},	// QGlobalSpace::operator==$#
    {26, 216, 756},	// QGlobalSpace::operator==$$
    {26, 218, -307},	// QGlobalSpace::operator>##
    {26, 219, 775},	// QGlobalSpace::operator>#$
    {26, 220, -312},	// QGlobalSpace::operator>$#
    {26, 221, 350},	// QGlobalSpace::operator>$$
    {26, 223, -315},	// QGlobalSpace::operator>=##
    {26, 224, 35},	// QGlobalSpace::operator>=#$
    {26, 225, -320},	// QGlobalSpace::operator>=$#
    {26, 226, 769},	// QGlobalSpace::operator>=$$
    {26, 228, -323},	// QGlobalSpace::operator>>##
    {26, 229, -375},	// QGlobalSpace::operator>>#$
    {26, 230, 304},	// QGlobalSpace::operator>>#?
    {26, 232, 191},	// QGlobalSpace::operator^##
    {26, 234, 625},	// QGlobalSpace::operator|##
    {26, 235, -378},	// QGlobalSpace::operator|$$
    {26, 244, 387},	// QGlobalSpace::qAccessibleActionCastHelper
    {26, 245, 90},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {26, 246, 491},	// QGlobalSpace::qAccessibleImageCastHelper
    {26, 247, 259},	// QGlobalSpace::qAccessibleTableCastHelper
    {26, 248, 172},	// QGlobalSpace::qAccessibleTextCastHelper
    {26, 249, 2},	// QGlobalSpace::qAccessibleValueCastHelper
    {26, 251, 569},	// QGlobalSpace::qAcos$
    {26, 253, 439},	// QGlobalSpace::qAddPostRoutine$
    {26, 255, 128},	// QGlobalSpace::qAlpha$
    {26, 256, 451},	// QGlobalSpace::qAppName
    {26, 258, 613},	// QGlobalSpace::qAsin$
    {26, 260, 672},	// QGlobalSpace::qAtan$
    {26, 262, 33},	// QGlobalSpace::qAtan2$$
    {26, 263, 577},	// QGlobalSpace::qBadAlloc
    {26, 265, 311},	// QGlobalSpace::qBlue$
    {26, 267, 482},	// QGlobalSpace::qCeil$
    {26, 269, 296},	// QGlobalSpace::qChecksum$$
    {26, 271, 591},	// QGlobalSpace::qCompress#
    {26, 272, 590},	// QGlobalSpace::qCompress#$
    {26, 273, 441},	// QGlobalSpace::qCompress$$
    {26, 274, 440},	// QGlobalSpace::qCompress$$$
    {26, 276, 79},	// QGlobalSpace::qCos$
    {26, 277, 414},	// QGlobalSpace::qCritical
    {26, 278, 502},	// QGlobalSpace::qDebug
    {26, 280, 297},	// QGlobalSpace::qDrawBorderPixmap####
    {26, 281, 760},	// QGlobalSpace::qDrawBorderPixmap######
    {26, 282, 761},	// QGlobalSpace::qDrawBorderPixmap#######
    {26, 283, 759},	// QGlobalSpace::qDrawBorderPixmap#######$
    {26, 285, 654},	// QGlobalSpace::qDrawPlainRect###
    {26, 286, 655},	// QGlobalSpace::qDrawPlainRect###$
    {26, 287, 653},	// QGlobalSpace::qDrawPlainRect###$#
    {26, 288, 262},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {26, 289, 263},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {26, 290, 261},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {26, 292, 682},	// QGlobalSpace::qDrawShadeLine####
    {26, 293, 683},	// QGlobalSpace::qDrawShadeLine####$
    {26, 294, 684},	// QGlobalSpace::qDrawShadeLine####$$
    {26, 295, 681},	// QGlobalSpace::qDrawShadeLine####$$$
    {26, 296, 606},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {26, 297, 607},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {26, 298, 608},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {26, 299, 605},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {26, 301, 336},	// QGlobalSpace::qDrawShadePanel###
    {26, 302, 337},	// QGlobalSpace::qDrawShadePanel###$
    {26, 303, 338},	// QGlobalSpace::qDrawShadePanel###$$
    {26, 304, 335},	// QGlobalSpace::qDrawShadePanel###$$#
    {26, 305, 359},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {26, 306, 360},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {26, 307, 361},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {26, 308, 358},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {26, 310, 284},	// QGlobalSpace::qDrawShadeRect###
    {26, 311, 285},	// QGlobalSpace::qDrawShadeRect###$
    {26, 312, 286},	// QGlobalSpace::qDrawShadeRect###$$
    {26, 313, 287},	// QGlobalSpace::qDrawShadeRect###$$$
    {26, 314, 283},	// QGlobalSpace::qDrawShadeRect###$$$#
    {26, 315, 581},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {26, 316, 582},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {26, 317, 583},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {26, 318, 584},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {26, 319, 580},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {26, 321, 317},	// QGlobalSpace::qDrawWinButton###
    {26, 322, 318},	// QGlobalSpace::qDrawWinButton###$
    {26, 323, 316},	// QGlobalSpace::qDrawWinButton###$#
    {26, 324, 628},	// QGlobalSpace::qDrawWinButton#$$$$#
    {26, 325, 629},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {26, 326, 627},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {26, 328, 550},	// QGlobalSpace::qDrawWinPanel###
    {26, 329, 551},	// QGlobalSpace::qDrawWinPanel###$
    {26, 330, 549},	// QGlobalSpace::qDrawWinPanel###$#
    {26, 331, 109},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {26, 332, 110},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {26, 333, 108},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {26, 335, 278},	// QGlobalSpace::qExp$
    {26, 337, 555},	// QGlobalSpace::qFabs$
    {26, 339, 208},	// QGlobalSpace::qFastCos$
    {26, 341, 444},	// QGlobalSpace::qFastSin$
    {26, 343, 223},	// QGlobalSpace::qFlagLocation$
    {26, 345, 161},	// QGlobalSpace::qFloor$
    {26, 347, 456},	// QGlobalSpace::qFree$
    {26, 349, 461},	// QGlobalSpace::qFreeAligned$
    {26, 351, -610},	// QGlobalSpace::qFuzzyCompare##
    {26, 352, -618},	// QGlobalSpace::qFuzzyCompare$$
    {26, 354, -621},	// QGlobalSpace::qFuzzyIsNull$
    {26, 356, 229},	// QGlobalSpace::qGray$
    {26, 357, 132},	// QGlobalSpace::qGray$$$
    {26, 359, 508},	// QGlobalSpace::qGreen$
    {26, 361, -624},	// QGlobalSpace::qHash#
    {26, 362, -633},	// QGlobalSpace::qHash$
    {26, 363, 721},	// QGlobalSpace::qInf
    {26, 365, 203},	// QGlobalSpace::qInstallMsgHandler$
    {26, 367, -646},	// QGlobalSpace::qIntCast$
    {26, 369, -649},	// QGlobalSpace::qIsFinite$
    {26, 371, 647},	// QGlobalSpace::qIsGray$
    {26, 373, -652},	// QGlobalSpace::qIsInf$
    {26, 375, -655},	// QGlobalSpace::qIsNaN$
    {26, 377, -658},	// QGlobalSpace::qIsNull$
    {26, 379, 281},	// QGlobalSpace::qLn$
    {26, 381, 301},	// QGlobalSpace::qMalloc$
    {26, 383, 503},	// QGlobalSpace::qMallocAligned$$
    {26, 385, 12},	// QGlobalSpace::qMemCopy$$$
    {26, 387, 546},	// QGlobalSpace::qMemSet$$$
    {26, 389, 509},	// QGlobalSpace::qPow$$
    {26, 390, 302},	// QGlobalSpace::qQNaN
    {26, 392, 194},	// QGlobalSpace::qRealloc$$
    {26, 394, 178},	// QGlobalSpace::qReallocAligned$$$$
    {26, 396, 159},	// QGlobalSpace::qRed$
    {26, 398, 292},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {26, 400, 735},	// QGlobalSpace::qRemovePostRoutine$
    {26, 402, 247},	// QGlobalSpace::qRgb$$$
    {26, 404, 413},	// QGlobalSpace::qRgba$$$$
    {26, 406, 720},	// QGlobalSpace::qRound$
    {26, 408, 202},	// QGlobalSpace::qRound64$
    {26, 409, 688},	// QGlobalSpace::qSNaN
    {26, 411, 153},	// QGlobalSpace::qSetFieldWidth$
    {26, 413, 45},	// QGlobalSpace::qSetPadChar#
    {26, 415, 279},	// QGlobalSpace::qSetRealNumberPrecision$
    {26, 416, 84},	// QGlobalSpace::qSharedBuild
    {26, 418, 620},	// QGlobalSpace::qSin$
    {26, 420, 204},	// QGlobalSpace::qSqrt$
    {26, 422, 487},	// QGlobalSpace::qStringComparisonHelper#$
    {26, 423, 28},	// QGlobalSpace::qStringComparisonHelper$$
    {26, 425, 150},	// QGlobalSpace::qTan$
    {26, 427, 379},	// QGlobalSpace::qUncompress#
    {26, 428, 148},	// QGlobalSpace::qUncompress$$
    {26, 429, 452},	// QGlobalSpace::qVersion
    {26, 430, 745},	// QGlobalSpace::qWarning
    {26, 432, 170},	// QGlobalSpace::qbswap_helper$$$
    {26, 434, 121},	// QGlobalSpace::qecvt$$$$
    {26, 436, 507},	// QGlobalSpace::qecvt_r$$$$$$
    {26, 438, 241},	// QGlobalSpace::qfcvt$$$$
    {26, 440, 563},	// QGlobalSpace::qfcvt_r$$$$$$
    {26, 442, 564},	// QGlobalSpace::qgcvt$$$
    {26, 444, 37},	// QGlobalSpace::qgetenv$
    {26, 446, 305},	// QGlobalSpace::qputenv$#
    {26, 447, 397},	// QGlobalSpace::qrand
    {26, 449, 565},	// QGlobalSpace::qsort$$$$
    {26, 451, 319},	// QGlobalSpace::qsrand$
    {26, 453, 558},	// QGlobalSpace::qstrcmp##
    {26, 454, 733},	// QGlobalSpace::qstrcmp#$
    {26, 455, 30},	// QGlobalSpace::qstrcmp$#
    {26, 456, 76},	// QGlobalSpace::qstrcmp$$
    {26, 458, 267},	// QGlobalSpace::qstrcpy$$
    {26, 460, 488},	// QGlobalSpace::qstrdup$
    {26, 462, 716},	// QGlobalSpace::qstricmp$$
    {26, 464, 746},	// QGlobalSpace::qstrlen$
    {26, 466, 149},	// QGlobalSpace::qstrncmp$$$
    {26, 468, 374},	// QGlobalSpace::qstrncpy$$$
    {26, 470, 339},	// QGlobalSpace::qstrnicmp$$$
    {26, 472, 11},	// QGlobalSpace::qstrnlen$$
    {26, 474, 640},	// QGlobalSpace::qtTrId$
    {26, 475, 639},	// QGlobalSpace::qtTrId$$
    {26, 477, 237},	// QGlobalSpace::qt_assert$$$
    {26, 479, 402},	// QGlobalSpace::qt_assert_x$$$$
    {26, 481, 548},	// QGlobalSpace::qt_check_pointer$$
    {26, 482, 140},	// QGlobalSpace::qt_error_string
    {26, 483, 139},	// QGlobalSpace::qt_error_string$
    {26, 485, 766},	// QGlobalSpace::qt_message_output$$
    {26, 490, 13},	// QGlobalSpace::qt_noop
    {26, 492, 357},	// QGlobalSpace::qt_qFindChild_helper#$#
    {26, 494, 670},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {26, 496, 662},	// QGlobalSpace::qvariant_cast_helper#$$
    {26, 498, 543},	// QGlobalSpace::qvsnprintf$$$?
    {34, 79, 913},	// QGraphicsSvgItem::QGraphicsSvgItem
    {34, 80, 898},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {34, 81, 914},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {34, 82, 899},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {34, 99, 917},	// QGraphicsSvgItem::Type
    {34, 110, 908},	// QGraphicsSvgItem::boundingRect
    {34, 133, 903},	// QGraphicsSvgItem::elementId
    {34, 152, 905},	// QGraphicsSvgItem::isCachingEnabled
    {34, 165, 907},	// QGraphicsSvgItem::maximumCacheSize
    {34, 166, 891},	// QGraphicsSvgItem::metaObject
    {34, 238, 915},	// QGraphicsSvgItem::paint##
    {34, 239, 909},	// QGraphicsSvgItem::paint###
    {34, 487, 897},	// QGraphicsSvgItem::qt_metacall$$?
    {34, 489, 892},	// QGraphicsSvgItem::qt_metacast$
    {34, 504, 901},	// QGraphicsSvgItem::renderer
    {34, 511, 904},	// QGraphicsSvgItem::setCachingEnabled$
    {34, 517, 902},	// QGraphicsSvgItem::setElementId$
    {34, 524, 906},	// QGraphicsSvgItem::setMaximumCacheSize#
    {34, 530, 900},	// QGraphicsSvgItem::setSharedRenderer#
    {34, 542, 916},	// QGraphicsSvgItem::staticMetaObject
    {34, 549, 911},	// QGraphicsSvgItem::tr$
    {34, 550, 893},	// QGraphicsSvgItem::tr$$
    {34, 551, 895},	// QGraphicsSvgItem::tr$$$
    {34, 553, 912},	// QGraphicsSvgItem::trUtf8$
    {34, 554, 894},	// QGraphicsSvgItem::trUtf8$$
    {34, 555, 896},	// QGraphicsSvgItem::trUtf8$$$
    {34, 556, 910},	// QGraphicsSvgItem::type
    {34, 562, 918},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {89, 83, 937},	// QSvgGenerator::QSvgGenerator
    {89, 124, 940},	// QSvgGenerator::description
    {89, 139, 948},	// QSvgGenerator::fileName
    {89, 168, 955},	// QSvgGenerator::metric$
    {89, 236, 950},	// QSvgGenerator::outputDevice
    {89, 240, 954},	// QSvgGenerator::paintEngine
    {89, 507, 953},	// QSvgGenerator::resolution
    {89, 515, 941},	// QSvgGenerator::setDescription$
    {89, 520, 949},	// QSvgGenerator::setFileName$
    {89, 526, 951},	// QSvgGenerator::setOutputDevice#
    {89, 528, 952},	// QSvgGenerator::setResolution$
    {89, 532, 943},	// QSvgGenerator::setSize#
    {89, 534, 939},	// QSvgGenerator::setTitle$
    {89, 536, -1},	// QSvgGenerator::setViewBox#
    {89, 540, 942},	// QSvgGenerator::size
    {89, 547, 938},	// QSvgGenerator::title
    {89, 557, 944},	// QSvgGenerator::viewBox
    {89, 558, 945},	// QSvgGenerator::viewBoxF
    {89, 563, 956},	// QSvgGenerator::~QSvgGenerator
    {90, 84, 992},	// QSvgRenderer::QSvgRenderer
    {90, 85, -661},	// QSvgRenderer::QSvgRenderer#
    {90, 86, -665},	// QSvgRenderer::QSvgRenderer##
    {90, 87, 993},	// QSvgRenderer::QSvgRenderer$
    {90, 88, 965},	// QSvgRenderer::QSvgRenderer$#
    {90, 108, 974},	// QSvgRenderer::animated
    {90, 109, 979},	// QSvgRenderer::animationDuration
    {90, 112, 980},	// QSvgRenderer::boundsOnElement$
    {90, 121, 977},	// QSvgRenderer::currentFrame
    {90, 123, 969},	// QSvgRenderer::defaultSize
    {90, 132, 981},	// QSvgRenderer::elementExists$
    {90, 144, 975},	// QSvgRenderer::framesPerSecond
    {90, 154, 968},	// QSvgRenderer::isValid
    {90, 161, -668},	// QSvgRenderer::load#
    {90, 162, 983},	// QSvgRenderer::load$
    {90, 164, 982},	// QSvgRenderer::matrixForElement$
    {90, 166, 957},	// QSvgRenderer::metaObject
    {90, 487, 963},	// QSvgRenderer::qt_metacall$$?
    {90, 489, 958},	// QSvgRenderer::qt_metacast$
    {90, 500, 986},	// QSvgRenderer::render#
    {90, 501, 987},	// QSvgRenderer::render##
    {90, 502, 996},	// QSvgRenderer::render#$
    {90, 503, 988},	// QSvgRenderer::render#$#
    {90, 505, 989},	// QSvgRenderer::repaintNeeded
    {90, 513, 978},	// QSvgRenderer::setCurrentFrame$
    {90, 522, 976},	// QSvgRenderer::setFramesPerSecond$
    {90, 536, -671},	// QSvgRenderer::setViewBox#
    {90, 542, 997},	// QSvgRenderer::staticMetaObject
    {90, 549, 990},	// QSvgRenderer::tr$
    {90, 550, 959},	// QSvgRenderer::tr$$
    {90, 551, 961},	// QSvgRenderer::tr$$$
    {90, 553, 991},	// QSvgRenderer::trUtf8$
    {90, 554, 960},	// QSvgRenderer::trUtf8$$
    {90, 555, 962},	// QSvgRenderer::trUtf8$$$
    {90, 557, 970},	// QSvgRenderer::viewBox
    {90, 558, 971},	// QSvgRenderer::viewBoxF
    {90, 564, 998},	// QSvgRenderer::~QSvgRenderer
    {91, 89, 1015},	// QSvgWidget::QSvgWidget
    {91, 90, 1006},	// QSvgWidget::QSvgWidget#
    {91, 91, 1016},	// QSvgWidget::QSvgWidget$
    {91, 92, 1007},	// QSvgWidget::QSvgWidget$#
    {91, 161, 1011},	// QSvgWidget::load#
    {91, 162, 1010},	// QSvgWidget::load$
    {91, 166, 999},	// QSvgWidget::metaObject
    {91, 242, 1012},	// QSvgWidget::paintEvent#
    {91, 487, 1005},	// QSvgWidget::qt_metacall$$?
    {91, 489, 1000},	// QSvgWidget::qt_metacast$
    {91, 504, 1008},	// QSvgWidget::renderer
    {91, 541, 1009},	// QSvgWidget::sizeHint
    {91, 542, 1017},	// QSvgWidget::staticMetaObject
    {91, 549, 1013},	// QSvgWidget::tr$
    {91, 550, 1001},	// QSvgWidget::tr$$
    {91, 551, 1003},	// QSvgWidget::tr$$$
    {91, 553, 1014},	// QSvgWidget::trUtf8$
    {91, 554, 1002},	// QSvgWidget::trUtf8$$
    {91, 555, 1004},	// QSvgWidget::trUtf8$$$
    {91, 565, 1018},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 113,
        __smokeqtsvg::methods, 1063,
        __smokeqtsvg::methodMaps, 328,
        __smokeqtsvg::methodNames, 565,
        __smokeqtsvg::types, 468,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
