#include <qtwebkit_includes.h>

#include <smoke.h>
#include <qtwebkit_smoke.h>

namespace __smokeqtwebkit {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAction
      switch(to) {
        case 1: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 5: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 6: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIcon
      switch(to) {
        case 18: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 19:   //QIncompatibleFlag
      switch(to) {
        case 19: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 20:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 20: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 21: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QMenu
      switch(to) {
        case 22: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 23:   //QMetaObject
      switch(to) {
        case 23: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 24:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 24: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 25: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QNetworkAccessManager
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 26: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 27:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 27: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkRequest
      switch(to) {
        case 28: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 29:   //QObject
      switch(to) {
        case 29: return (void*)(QObject*)xptr;
        case 77: return (void*)(QWebView*)(QObject*)xptr;
        case 54: return (void*)(QWebFrame*)(QObject*)xptr;
        case 60: return (void*)(QWebPage*)(QObject*)xptr;
        case 69: return (void*)(QWebPluginFactory*)(QObject*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)(QObject*)xptr;
        case 59: return (void*)(QWebInspector*)(QObject*)xptr;
        default: return xptr;
      }
    case 30:   //QPaintEngine
      switch(to) {
        case 30: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 31:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 31: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QPainter
      switch(to) {
        case 32: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 33:   //QPalette
      switch(to) {
        case 33: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 34:   //QPixmap
      switch(to) {
        case 34: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 35:   //QPoint
      switch(to) {
        case 35: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 36:   //QPrinter
      switch(to) {
        case 36: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 37:   //QRect
      switch(to) {
        case 37: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 38:   //QRegExp
      switch(to) {
        case 38: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 39:   //QRegion
      switch(to) {
        case 39: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 40:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 40: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 41: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QSize
      switch(to) {
        case 42: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 43:   //QStyle
      switch(to) {
        case 43: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 44:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 44: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 45: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QUndoStack
      switch(to) {
        case 46: return (void*)(QUndoStack*)xptr;
        default: return xptr;
      }
    case 47:   //QUrl
      switch(to) {
        case 47: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 48:   //QVariant
      switch(to) {
        case 48: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 49:   //QWebDatabase
      switch(to) {
        case 49: return (void*)(QWebDatabase*)xptr;
        default: return xptr;
      }
    case 50:   //QWebElement
      switch(to) {
        case 50: return (void*)(QWebElement*)xptr;
        default: return xptr;
      }
    case 51:   //QWebElementCollection
      switch(to) {
        case 51: return (void*)(QWebElementCollection*)xptr;
        default: return xptr;
      }
    case 52:   //QWebElementCollection::const_iterator
      switch(to) {
        case 52: return (void*)(QWebElementCollection::const_iterator*)xptr;
        default: return xptr;
      }
    case 53:   //QWebElementCollection::iterator
      switch(to) {
        case 53: return (void*)(QWebElementCollection::iterator*)xptr;
        default: return xptr;
      }
    case 54:   //QWebFrame
      switch(to) {
        case 29: return (void*)(QObject*)(QWebFrame*)xptr;
        case 54: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 55:   //QWebHistory
      switch(to) {
        case 55: return (void*)(QWebHistory*)xptr;
        default: return xptr;
      }
    case 56:   //QWebHistoryInterface
      switch(to) {
        case 29: return (void*)(QObject*)(QWebHistoryInterface*)xptr;
        case 56: return (void*)(QWebHistoryInterface*)xptr;
        default: return xptr;
      }
    case 57:   //QWebHistoryItem
      switch(to) {
        case 57: return (void*)(QWebHistoryItem*)xptr;
        default: return xptr;
      }
    case 58:   //QWebHitTestResult
      switch(to) {
        case 58: return (void*)(QWebHitTestResult*)xptr;
        default: return xptr;
      }
    case 59:   //QWebInspector
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebInspector*)xptr;
        case 29: return (void*)(QObject*)(QWebInspector*)xptr;
        case 59: return (void*)(QWebInspector*)xptr;
        default: return xptr;
      }
    case 60:   //QWebPage
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPage*)xptr;
        case 60: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 61:   //QWebPage::ChooseMultipleFilesExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)xptr;
        default: return xptr;
      }
    case 62:   //QWebPage::ChooseMultipleFilesExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)xptr;
        default: return xptr;
      }
    case 63:   //QWebPage::ErrorPageExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)(QWebPage::ErrorPageExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)xptr;
        default: return xptr;
      }
    case 64:   //QWebPage::ErrorPageExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)xptr;
        default: return xptr;
      }
    case 65:   //QWebPage::ExtensionOption
      switch(to) {
        case 65: return (void*)(QWebPage::ExtensionOption*)xptr;
        case 61: return (void*)(QWebPage::ChooseMultipleFilesExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        case 63: return (void*)(QWebPage::ErrorPageExtensionOption*)(QWebPage::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 66:   //QWebPage::ExtensionReturn
      switch(to) {
        case 66: return (void*)(QWebPage::ExtensionReturn*)xptr;
        case 64: return (void*)(QWebPage::ErrorPageExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        case 62: return (void*)(QWebPage::ChooseMultipleFilesExtensionReturn*)(QWebPage::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 67:   //QWebPage::ViewportAttributes
      switch(to) {
        case 67: return (void*)(QWebPage::ViewportAttributes*)xptr;
        default: return xptr;
      }
    case 68:   //QWebPagePrivate
      switch(to) {
        case 68: return (void*)(QWebPagePrivate*)xptr;
        default: return xptr;
      }
    case 69:   //QWebPluginFactory
      switch(to) {
        case 29: return (void*)(QObject*)(QWebPluginFactory*)xptr;
        case 69: return (void*)(QWebPluginFactory*)xptr;
        default: return xptr;
      }
    case 70:   //QWebPluginFactory::ExtensionOption
      switch(to) {
        case 70: return (void*)(QWebPluginFactory::ExtensionOption*)xptr;
        default: return xptr;
      }
    case 71:   //QWebPluginFactory::ExtensionReturn
      switch(to) {
        case 71: return (void*)(QWebPluginFactory::ExtensionReturn*)xptr;
        default: return xptr;
      }
    case 72:   //QWebPluginFactory::MimeType
      switch(to) {
        case 72: return (void*)(QWebPluginFactory::MimeType*)xptr;
        default: return xptr;
      }
    case 73:   //QWebPluginFactory::Plugin
      switch(to) {
        case 73: return (void*)(QWebPluginFactory::Plugin*)xptr;
        default: return xptr;
      }
    case 74:   //QWebSecurityOrigin
      switch(to) {
        case 74: return (void*)(QWebSecurityOrigin*)xptr;
        default: return xptr;
      }
    case 75:   //QWebSettings
      switch(to) {
        case 75: return (void*)(QWebSettings*)xptr;
        default: return xptr;
      }
    case 76:   //QWebSettingsPrivate
      switch(to) {
        case 76: return (void*)(QWebSettingsPrivate*)xptr;
        default: return xptr;
      }
    case 77:   //QWebView
      switch(to) {
        case 79: return (void*)(QWidget*)(QWebView*)xptr;
        case 29: return (void*)(QObject*)(QWebView*)xptr;
        case 77: return (void*)(QWebView*)xptr;
        default: return xptr;
      }
    case 78:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 78: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QWidget
      switch(to) {
        case 29: return (void*)(QObject*)(QWidget*)xptr;
        case 79: return (void*)(QWidget*)xptr;
        case 77: return (void*)(QWebView*)(QWidget*)xptr;
        case 59: return (void*)(QWebInspector*)(QWidget*)xptr;
        default: return xptr;
      }
    case 80:   //std::bidirectional_iterator_tag
      switch(to) {
        case 80: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 81:   //std::random_access_iterator_tag
      switch(to) {
        case 81: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    29, 0,	// 1: QObject
    79, 0,	// 3: QWidget
    65, 0,	// 5: QWebPage::ExtensionOption
    66, 0,	// 7: QWebPage::ExtensionReturn
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebElement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebFrame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QWebPluginFactory(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__const_iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebElementCollection__iterator(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebFrame(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHistoryItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebHitTestResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebInspector(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ChooseMultipleFilesExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ErrorPageExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPage__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionOption(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__ExtensionReturn(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__MimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebPluginFactory__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSecurityOrigin(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_QWebView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAction", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIcon", true, 0, 0, 0, 0, 0 },	//18
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//19
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QMenu", true, 0, 0, 0, 0, 0 },	//22
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//23
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//26
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//28
    { "QObject", true, 0, 0, 0, 0, 0 },	//29
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//30
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QPainter", true, 0, 0, 0, 0, 0 },	//32
    { "QPalette", true, 0, 0, 0, 0, 0 },	//33
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//34
    { "QPoint", true, 0, 0, 0, 0, 0 },	//35
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//36
    { "QRect", true, 0, 0, 0, 0, 0 },	//37
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//38
    { "QRegion", true, 0, 0, 0, 0, 0 },	//39
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QSize", true, 0, 0, 0, 0, 0 },	//42
    { "QStyle", true, 0, 0, 0, 0, 0 },	//43
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QUndoStack", true, 0, 0, 0, 0, 0 },	//46
    { "QUrl", true, 0, 0, 0, 0, 0 },	//47
    { "QVariant", true, 0, 0, 0, 0, 0 },	//48
    { "QWebDatabase", false, 0, xcall_QWebDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebDatabase) },	//49
    { "QWebElement", false, 0, xcall_QWebElement, xenum_QWebElement, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElement) },	//50
    { "QWebElementCollection", false, 0, xcall_QWebElementCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection) },	//51
    { "QWebElementCollection::const_iterator", false, 0, xcall_QWebElementCollection__const_iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::const_iterator) },	//52
    { "QWebElementCollection::iterator", false, 0, xcall_QWebElementCollection__iterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebElementCollection::iterator) },	//53
    { "QWebFrame", false, 1, xcall_QWebFrame, xenum_QWebFrame, Smoke::cf_virtual, sizeof(QWebFrame) },	//54
    { "QWebHistory", false, 0, xcall_QWebHistory, 0, 0, sizeof(QWebHistory) },	//55
    { "QWebHistoryInterface", false, 1, xcall_QWebHistoryInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebHistoryInterface) },	//56
    { "QWebHistoryItem", false, 0, xcall_QWebHistoryItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHistoryItem) },	//57
    { "QWebHitTestResult", false, 0, xcall_QWebHitTestResult, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebHitTestResult) },	//58
    { "QWebInspector", false, 3, xcall_QWebInspector, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebInspector) },	//59
    { "QWebPage", false, 1, xcall_QWebPage, xenum_QWebPage, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPage) },	//60
    { "QWebPage::ChooseMultipleFilesExtensionOption", false, 5, xcall_QWebPage__ChooseMultipleFilesExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionOption) },	//61
    { "QWebPage::ChooseMultipleFilesExtensionReturn", false, 7, xcall_QWebPage__ChooseMultipleFilesExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ChooseMultipleFilesExtensionReturn) },	//62
    { "QWebPage::ErrorPageExtensionOption", false, 5, xcall_QWebPage__ErrorPageExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionOption) },	//63
    { "QWebPage::ErrorPageExtensionReturn", false, 7, xcall_QWebPage__ErrorPageExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ErrorPageExtensionReturn) },	//64
    { "QWebPage::ExtensionOption", false, 0, xcall_QWebPage__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionOption) },	//65
    { "QWebPage::ExtensionReturn", false, 0, xcall_QWebPage__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPage::ExtensionReturn) },	//66
    { "QWebPage::ViewportAttributes", true, 0, 0, 0, 0, 0 },	//67
    { "QWebPagePrivate", true, 0, 0, 0, 0, 0 },	//68
    { "QWebPluginFactory", false, 1, xcall_QWebPluginFactory, xenum_QWebPluginFactory, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebPluginFactory) },	//69
    { "QWebPluginFactory::ExtensionOption", false, 0, xcall_QWebPluginFactory__ExtensionOption, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionOption) },	//70
    { "QWebPluginFactory::ExtensionReturn", false, 0, xcall_QWebPluginFactory__ExtensionReturn, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::ExtensionReturn) },	//71
    { "QWebPluginFactory::MimeType", false, 0, xcall_QWebPluginFactory__MimeType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::MimeType) },	//72
    { "QWebPluginFactory::Plugin", false, 0, xcall_QWebPluginFactory__Plugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebPluginFactory::Plugin) },	//73
    { "QWebSecurityOrigin", false, 0, xcall_QWebSecurityOrigin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QWebSecurityOrigin) },	//74
    { "QWebSettings", false, 0, xcall_QWebSettings, xenum_QWebSettings, 0, sizeof(QWebSettings) },	//75
    { "QWebSettingsPrivate", true, 0, 0, 0, 0, 0 },	//76
    { "QWebView", false, 3, xcall_QWebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QWebView) },	//77
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QWidget", true, 0, 0, 0, 0, 0 },	//79
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//80
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//81
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//4
    { "QChildEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QCloseEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDateTime", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<QWebPage::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QIcon", 18, Smoke::t_class|Smoke::tf_stack },	//20
    { "QIncompatibleFlag", 19, Smoke::t_class|Smoke::tf_stack },	//21
    { "QInputMethodEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QKeyEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QList<QWebDatabase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//24
    { "QList<QWebElement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//25
    { "QList<QWebFrame*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//26
    { "QList<QWebHistoryItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//27
    { "QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//28
    { "QList<QWebPluginFactory::Plugin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "QList<QWebSecurityOrigin>", 0, Smoke::t_voidp|Smoke::tf_stack },	//30
    { "QMenu*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QMetaObject::Call", 23, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QMouseEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QMoveEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QMultiMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//35
    { "QNetworkAccessManager*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QNetworkAccessManager::Operation", 26, Smoke::t_enum|Smoke::tf_stack },	//37
    { "QNetworkReply*", 27, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QObject*", 29, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QPaintEngine*", 30, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QPaintEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QPainter*", 32, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QPainter::RenderHint", 32, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QPalette", 33, Smoke::t_class|Smoke::tf_stack },	//45
    { "QPixmap", 34, Smoke::t_class|Smoke::tf_stack },	//46
    { "QPoint", 35, Smoke::t_class|Smoke::tf_stack },	//47
    { "QPrinter*", 36, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QRect", 37, Smoke::t_class|Smoke::tf_stack },	//49
    { "QRegExp&", 38, Smoke::t_class|Smoke::tf_ref },	//50
    { "QResizeEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QScriptEngine::ValueOwnership", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QShowEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QSize", 42, Smoke::t_class|Smoke::tf_stack },	//54
    { "QSsl::AlternateNameEntryType", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "QSsl::EncodingFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QSsl::KeyAlgorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QSsl::KeyType", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QSsl::SslProtocol", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//61
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//62
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//64
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//65
    { "QStyle&", 43, Smoke::t_class|Smoke::tf_ref },	//66
    { "QTabletEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QTimerEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QUndoStack*", 46, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QUrl", 47, Smoke::t_class|Smoke::tf_stack },	//70
    { "QUrl&", 47, Smoke::t_class|Smoke::tf_ref },	//71
    { "QVariant", 48, Smoke::t_class|Smoke::tf_stack },	//72
    { "QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref },	//73
    { "QWebDatabase*", 49, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QWebElement", 50, Smoke::t_class|Smoke::tf_stack },	//75
    { "QWebElement&", 50, Smoke::t_class|Smoke::tf_ref },	//76
    { "QWebElement*", 50, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QWebElement::StyleResolveStrategy", 50, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QWebElementCollection", 51, Smoke::t_class|Smoke::tf_stack },	//79
    { "QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref },	//80
    { "QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QWebElementCollection::const_iterator", 52, Smoke::t_class|Smoke::tf_stack },	//82
    { "QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref },	//83
    { "QWebElementCollection::const_iterator*", 52, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QWebElementCollection::iterator", 53, Smoke::t_class|Smoke::tf_stack },	//85
    { "QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref },	//86
    { "QWebElementCollection::iterator*", 53, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QWebFrame*", 54, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QWebFrame::RenderLayer", 54, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QWebHistory*", 55, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QWebHistoryInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWebHistoryItem", 57, Smoke::t_class|Smoke::tf_stack },	//92
    { "QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref },	//93
    { "QWebHistoryItem*", 57, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QWebHitTestResult", 58, Smoke::t_class|Smoke::tf_stack },	//95
    { "QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref },	//96
    { "QWebHitTestResult*", 58, Smoke::t_class|Smoke::tf_ptr },	//97
    { "QWebInspector*", 59, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWebPage*", 60, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QWebPage::ChooseMultipleFilesExtensionOption*", 61, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QWebPage::ChooseMultipleFilesExtensionReturn*", 62, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QWebPage::ErrorDomain", 60, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QWebPage::ErrorPageExtensionOption*", 63, Smoke::t_class|Smoke::tf_ptr },	//103
    { "QWebPage::ErrorPageExtensionReturn*", 64, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QWebPage::Extension", 60, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QWebPage::ExtensionReturn*", 66, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QWebPage::Feature", 60, Smoke::t_enum|Smoke::tf_stack },	//108
    { "QWebPage::FindFlag", 60, Smoke::t_enum|Smoke::tf_stack },	//109
    { "QWebPage::LinkDelegationPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QWebPage::NavigationType", 60, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QWebPage::PermissionPolicy", 60, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QWebPage::ViewportAttributes", 67, Smoke::t_class|Smoke::tf_stack },	//113
    { "QWebPage::WebAction", 60, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QWebPage::WebWindowType", 60, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QWebPagePrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QWebPluginFactory*", 69, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QWebPluginFactory::Extension", 69, Smoke::t_enum|Smoke::tf_stack },	//118
    { "QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QWebPluginFactory::ExtensionReturn*", 71, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWebPluginFactory::MimeType*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QWebPluginFactory::Plugin*", 73, Smoke::t_class|Smoke::tf_ptr },	//122
    { "QWebSecurityOrigin", 74, Smoke::t_class|Smoke::tf_stack },	//123
    { "QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref },	//124
    { "QWebSecurityOrigin*", 74, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QWebSettings*", 75, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QWebSettings::FontFamily", 75, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QWebSettings::FontSize", 75, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QWebSettings::WebAttribute", 75, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QWebSettings::WebGraphic", 75, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QWebSettingsPrivate*", 76, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWebView*", 77, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWheelEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QWidget*", 79, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//208
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//210
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//211
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//213
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QList<QWebPluginFactory::MimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QMetaObject&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QMetaObject*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//218
    { "const QNetworkRequest&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QPalette&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QPixmap&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QPoint&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QRect&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QRegExp&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QRegion&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QSize&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//229
    { "const QUrl&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QVariant&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QWebDatabase&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QWebElement", 50, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//233
    { "const QWebElement&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QWebElementCollection&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QWebElementCollection*", 51, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//236
    { "const QWebElementCollection::const_iterator&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QWebElementCollection::iterator&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QWebHistoryItem&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QWebHitTestResult&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QWebPage::ChooseMultipleFilesExtensionOption&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QWebPage::ChooseMultipleFilesExtensionReturn&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QWebPage::ErrorPageExtensionOption&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QWebPage::ErrorPageExtensionReturn&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QWebPage::ExtensionOption&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QWebPage::ExtensionOption*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//246
    { "const QWebPage::ExtensionReturn&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QWebPluginFactory::ExtensionOption&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QWebPluginFactory::ExtensionOption*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//249
    { "const QWebPluginFactory::ExtensionReturn&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QWebPluginFactory::MimeType&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QWebPluginFactory::Plugin&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QWebSecurityOrigin&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//254
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//255
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//256
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//257
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//258
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//259
    { "quint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//260
    { "std::bidirectional_iterator_tag", 80, Smoke::t_class|Smoke::tf_stack },	//261
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//262
    { "std::random_access_iterator_tag", 81, Smoke::t_class|Smoke::tf_stack },	//263
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//264
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//265
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//266
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//267
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    14, 0,	//1  QEvent*
    39, 14, 0,	//3  QObject*, QEvent*
    68, 0,	//6  QTimerEvent*
    5, 0,	//8  QChildEvent*
    254, 0,	//10  const char*
    232, 0,	//12  const QWebDatabase&
    234, 0,	//14  const QWebElement&
    227, 0,	//16  const QString&
    227, 227, 0,	//18  const QString&, const QString&
    227, 227, 227, 0,	//21  const QString&, const QString&, const QString&
    227, 78, 0,	//25  const QString&, QWebElement::StyleResolveStrategy
    43, 0,	//28  QPainter*
    43, 223, 0,	//30  QPainter*, const QRect&
    234, 227, 0,	//33  const QWebElement&, const QString&
    235, 0,	//36  const QWebElementCollection&
    257, 0,	//38  int
    236, 257, 0,	//40  const QWebElementCollection*, int
    237, 0,	//43  const QWebElementCollection::const_iterator&
    82, 0,	//45  QWebElementCollection::const_iterator
    238, 0,	//47  const QWebElementCollection::iterator&
    85, 0,	//49  QWebElementCollection::iterator
    254, 254, 0,	//51  const char*, const char*
    254, 254, 257, 0,	//54  const char*, const char*, int
    32, 257, 266, 0,	//58  QMetaObject::Call, int, void**
    230, 0,	//62  const QUrl&
    219, 37, 214, 0,	//64  const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&
    227, 230, 0,	//68  const QString&, const QUrl&
    214, 227, 230, 0,	//71  const QByteArray&, const QString&, const QUrl&
    227, 39, 0,	//75  const QString&, QObject*
    227, 39, 52, 0,	//78  const QString&, QObject*, QScriptEngine::ValueOwnership
    181, 0,	//82  Qt::Orientation
    181, 185, 0,	//84  Qt::Orientation, Qt::ScrollBarPolicy
    181, 257, 0,	//87  Qt::Orientation, int
    257, 257, 0,	//90  int, int
    222, 0,	//93  const QPoint&
    43, 225, 0,	//95  QPainter*, const QRegion&
    43, 89, 225, 0,	//98  QPainter*, QWebFrame::RenderLayer, const QRegion&
    256, 0,	//102  double
    48, 0,	//104  QPrinter*
    226, 0,	//106  const QSize&
    213, 0,	//108  bool
    219, 0,	//110  const QNetworkRequest&
    219, 37, 0,	//112  const QNetworkRequest&, QNetworkAccessManager::Operation
    214, 0,	//115  const QByteArray&
    214, 227, 0,	//117  const QByteArray&, const QString&
    43, 89, 0,	//120  QPainter*, QWebFrame::RenderLayer
    239, 0,	//123  const QWebHistoryItem&
    39, 0,	//125  QObject*
    91, 0,	//127  QWebHistoryInterface*
    231, 0,	//129  const QVariant&
    240, 0,	//131  const QWebHitTestResult&
    134, 0,	//133  QWidget*
    99, 0,	//135  QWebPage*
    51, 0,	//137  QResizeEvent*
    53, 0,	//139  QShowEvent*
    19, 0,	//141  QHideEvent*
    6, 0,	//143  QCloseEvent*
    36, 0,	//145  QNetworkAccessManager*
    117, 0,	//147  QWebPluginFactory*
    114, 0,	//149  QWebPage::WebAction
    114, 213, 0,	//151  QWebPage::WebAction, bool
    223, 0,	//154  const QRect&
    169, 0,	//156  Qt::InputMethodQuery
    227, 16, 0,	//158  const QString&, QFlags<QWebPage::FindFlag>
    110, 0,	//161  QWebPage::LinkDelegationPolicy
    220, 0,	//163  const QPalette&
    7, 0,	//165  QContextMenuEvent*
    88, 108, 112, 0,	//167  QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy
    105, 246, 107, 0,	//171  QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*
    105, 0,	//175  QWebPage::Extension
    88, 0,	//177  QWebFrame*
    257, 257, 223, 0,	//179  int, int, const QRect&
    38, 0,	//183  QNetworkReply*
    88, 60, 0,	//185  QWebFrame*, QString
    125, 260, 0,	//188  QWebSecurityOrigin*, quint64
    88, 94, 0,	//191  QWebFrame*, QWebHistoryItem*
    88, 108, 0,	//194  QWebFrame*, QWebPage::Feature
    115, 0,	//197  QWebPage::WebWindowType
    227, 230, 228, 228, 0,	//199  const QString&, const QUrl&, const QStringList&, const QStringList&
    88, 219, 111, 0,	//204  QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType
    88, 227, 0,	//208  QWebFrame*, const QString&
    88, 227, 227, 62, 0,	//211  QWebFrame*, const QString&, const QString&, QString*
    227, 257, 227, 0,	//216  const QString&, int, const QString&
    105, 246, 0,	//220  QWebPage::Extension, const QWebPage::ExtensionOption*
    241, 0,	//223  const QWebPage::ChooseMultipleFilesExtensionOption&
    228, 0,	//225  const QStringList&
    242, 0,	//227  const QWebPage::ChooseMultipleFilesExtensionReturn&
    243, 0,	//229  const QWebPage::ErrorPageExtensionOption&
    102, 0,	//231  QWebPage::ErrorDomain
    244, 0,	//233  const QWebPage::ErrorPageExtensionReturn&
    245, 0,	//235  const QWebPage::ExtensionOption&
    247, 0,	//237  const QWebPage::ExtensionReturn&
    118, 249, 120, 0,	//239  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*
    118, 0,	//243  QWebPluginFactory::Extension
    118, 249, 0,	//245  QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*
    248, 0,	//248  const QWebPluginFactory::ExtensionOption&
    250, 0,	//250  const QWebPluginFactory::ExtensionReturn&
    251, 0,	//252  const QWebPluginFactory::MimeType&
    252, 0,	//254  const QWebPluginFactory::Plugin&
    216, 0,	//256  const QList<QWebPluginFactory::MimeType>&
    259, 0,	//258  long long
    253, 0,	//260  const QWebSecurityOrigin&
    127, 227, 0,	//262  QWebSettings::FontFamily, const QString&
    127, 0,	//265  QWebSettings::FontFamily
    128, 257, 0,	//267  QWebSettings::FontSize, int
    128, 0,	//270  QWebSettings::FontSize
    129, 213, 0,	//272  QWebSettings::WebAttribute, bool
    129, 0,	//275  QWebSettings::WebAttribute
    130, 221, 0,	//277  QWebSettings::WebGraphic, const QPixmap&
    130, 0,	//280  QWebSettings::WebGraphic
    257, 257, 257, 0,	//282  int, int, int
    15, 0,	//286  QFlags<QPainter::RenderHint>
    44, 213, 0,	//288  QPainter::RenderHint, bool
    42, 0,	//291  QPaintEvent*
    33, 0,	//293  QMouseEvent*
    133, 0,	//295  QWheelEvent*
    23, 0,	//297  QKeyEvent*
    9, 0,	//299  QDragEnterEvent*
    10, 0,	//301  QDragLeaveEvent*
    11, 0,	//303  QDragMoveEvent*
    13, 0,	//305  QDropEvent*
    18, 0,	//307  QFocusEvent*
    22, 0,	//309  QInputMethodEvent*
    44, 0,	//311  QPainter::RenderHint
    34, 0,	//313  QMoveEvent*
    67, 0,	//315  QTabletEvent*
    2, 0,	//317  QActionEvent*
    211, 0,	//319  _XEvent*
    40, 0,	//321  QPaintDevice::PaintDeviceMetric
    66, 0,	//323  QStyle&
    215, 0,	//325  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceleratedCompositingEnabled",	//1
    "AlignCenter",	//2
    "AlignJustified",	//3
    "AlignLeft",	//4
    "AlignRight",	//5
    "AllLayers",	//6
    "AutoLoadImages",	//7
    "Back",	//8
    "CascadedStyle",	//9
    "ChooseMultipleFilesExtension",	//10
    "ChooseMultipleFilesExtensionOption",	//11
    "ChooseMultipleFilesExtensionOption#",	//12
    "ChooseMultipleFilesExtensionReturn",	//13
    "ChooseMultipleFilesExtensionReturn#",	//14
    "ComputedStyle",	//15
    "ContentsLayer",	//16
    "Copy",	//17
    "CopyImageToClipboard",	//18
    "CopyImageUrlToClipboard",	//19
    "CopyLinkToClipboard",	//20
    "CursiveFont",	//21
    "Cut",	//22
    "DefaultFixedFontSize",	//23
    "DefaultFontSize",	//24
    "DefaultFrameIconGraphic",	//25
    "DelegateAllLinks",	//26
    "DelegateExternalLinks",	//27
    "DeleteButtonGraphic",	//28
    "DeleteEndOfWord",	//29
    "DeleteStartOfWord",	//30
    "DeveloperExtrasEnabled",	//31
    "DnsPrefetchEnabled",	//32
    "DontDelegateLinks",	//33
    "DownloadImageToDisk",	//34
    "DownloadLinkToDisk",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "ErrorPageExtension",	//38
    "ErrorPageExtensionOption",	//39
    "ErrorPageExtensionOption#",	//40
    "ErrorPageExtensionReturn",	//41
    "ErrorPageExtensionReturn#",	//42
    "ExtensionOption",	//43
    "ExtensionOption#",	//44
    "ExtensionReturn",	//45
    "ExtensionReturn#",	//46
    "FantasyFont",	//47
    "FindBackward",	//48
    "FindCaseSensitively",	//49
    "FindWrapsAroundDocument",	//50
    "FixedFont",	//51
    "Forward",	//52
    "FrameFlatteningEnabled",	//53
    "Geolocation",	//54
    "HighlightAllOccurrences",	//55
    "Http",	//56
    "HyperlinkAuditingEnabled",	//57
    "IgnoreMask",	//58
    "Indent",	//59
    "InlineStyle",	//60
    "InputSpeechButtonGraphic",	//61
    "InsertLineSeparator",	//62
    "InsertOrderedList",	//63
    "InsertParagraphSeparator",	//64
    "InsertUnorderedList",	//65
    "InspectElement",	//66
    "JavaEnabled",	//67
    "JavascriptCanAccessClipboard",	//68
    "JavascriptCanCloseWindows",	//69
    "JavascriptCanOpenWindows",	//70
    "JavascriptEnabled",	//71
    "LinksIncludedInFocusChain",	//72
    "LocalContentCanAccessFileUrls",	//73
    "LocalContentCanAccessRemoteUrls",	//74
    "LocalStorageDatabaseEnabled",	//75
    "LocalStorageEnabled",	//76
    "MimeType",	//77
    "MimeType#",	//78
    "MinimumFontSize",	//79
    "MinimumLogicalFontSize",	//80
    "MissingImageGraphic",	//81
    "MissingPluginGraphic",	//82
    "MoveToEndOfBlock",	//83
    "MoveToEndOfDocument",	//84
    "MoveToEndOfLine",	//85
    "MoveToNextChar",	//86
    "MoveToNextLine",	//87
    "MoveToNextWord",	//88
    "MoveToPreviousChar",	//89
    "MoveToPreviousLine",	//90
    "MoveToPreviousWord",	//91
    "MoveToStartOfBlock",	//92
    "MoveToStartOfDocument",	//93
    "MoveToStartOfLine",	//94
    "NavigationTypeBackOrForward",	//95
    "NavigationTypeFormResubmitted",	//96
    "NavigationTypeFormSubmitted",	//97
    "NavigationTypeLinkClicked",	//98
    "NavigationTypeOther",	//99
    "NavigationTypeReload",	//100
    "NoWebAction",	//101
    "Notifications",	//102
    "OfflineStorageDatabaseEnabled",	//103
    "OfflineWebApplicationCacheEnabled",	//104
    "OpenFrameInNewWindow",	//105
    "OpenImageInNewWindow",	//106
    "OpenLink",	//107
    "OpenLinkInNewWindow",	//108
    "Outdent",	//109
    "PanIconLayer",	//110
    "Paste",	//111
    "PasteAndMatchStyle",	//112
    "PermissionDeniedByUser",	//113
    "PermissionGrantedByUser",	//114
    "PermissionUnknown",	//115
    "Plugin",	//116
    "Plugin#",	//117
    "PluginsEnabled",	//118
    "PrintElementBackgrounds",	//119
    "PrivateBrowsingEnabled",	//120
    "QWebDatabase",	//121
    "QWebDatabase#",	//122
    "QWebElement",	//123
    "QWebElement#",	//124
    "QWebElementCollection",	//125
    "QWebElementCollection#",	//126
    "QWebElementCollection#$",	//127
    "QWebHistoryInterface",	//128
    "QWebHistoryInterface#",	//129
    "QWebHistoryItem",	//130
    "QWebHistoryItem#",	//131
    "QWebHitTestResult",	//132
    "QWebHitTestResult#",	//133
    "QWebInspector",	//134
    "QWebInspector#",	//135
    "QWebPage",	//136
    "QWebPage#",	//137
    "QWebPluginFactory",	//138
    "QWebPluginFactory#",	//139
    "QWebSecurityOrigin",	//140
    "QWebSecurityOrigin#",	//141
    "QWebView",	//142
    "QWebView#",	//143
    "QtCriticalMsg",	//144
    "QtDebugMsg",	//145
    "QtFatalMsg",	//146
    "QtNetwork",	//147
    "QtSystemMsg",	//148
    "QtWarningMsg",	//149
    "Redo",	//150
    "Reload",	//151
    "ReloadAndBypassCache",	//152
    "RemoveFormat",	//153
    "SansSerifFont",	//154
    "ScrollBarLayer",	//155
    "SearchCancelButtonGraphic",	//156
    "SearchCancelButtonPressedGraphic",	//157
    "SelectAll",	//158
    "SelectEndOfBlock",	//159
    "SelectEndOfDocument",	//160
    "SelectEndOfLine",	//161
    "SelectNextChar",	//162
    "SelectNextLine",	//163
    "SelectNextWord",	//164
    "SelectPreviousChar",	//165
    "SelectPreviousLine",	//166
    "SelectPreviousWord",	//167
    "SelectStartOfBlock",	//168
    "SelectStartOfDocument",	//169
    "SelectStartOfLine",	//170
    "SerifFont",	//171
    "SetTextDirectionDefault",	//172
    "SetTextDirectionLeftToRight",	//173
    "SetTextDirectionRightToLeft",	//174
    "SiteSpecificQuirksEnabled",	//175
    "SpatialNavigationEnabled",	//176
    "StandardFont",	//177
    "Stop",	//178
    "StopScheduledPageRefresh",	//179
    "TextAreaSizeGripCornerGraphic",	//180
    "TiledBackingStoreEnabled",	//181
    "ToggleBold",	//182
    "ToggleItalic",	//183
    "ToggleStrikethrough",	//184
    "ToggleSubscript",	//185
    "ToggleSuperscript",	//186
    "ToggleUnderline",	//187
    "Undo",	//188
    "WebActionCount",	//189
    "WebBrowserWindow",	//190
    "WebGLEnabled",	//191
    "WebKit",	//192
    "WebModalDialog",	//193
    "XSSAuditingEnabled",	//194
    "ZoomTextOnly",	//195
    "_ISalnum",	//196
    "_ISalpha",	//197
    "_ISblank",	//198
    "_IScntrl",	//199
    "_ISdigit",	//200
    "_ISgraph",	//201
    "_ISlower",	//202
    "_ISprint",	//203
    "_ISpunct",	//204
    "_ISspace",	//205
    "_ISupper",	//206
    "_ISxdigit",	//207
    "__codecvt_error",	//208
    "__codecvt_noconv",	//209
    "__codecvt_ok",	//210
    "__codecvt_partial",	//211
    "acceptNavigationRequest",	//212
    "acceptNavigationRequest##$",	//213
    "action",	//214
    "action$",	//215
    "actionEvent",	//216
    "addClass",	//217
    "addClass$",	//218
    "addHistoryEntry",	//219
    "addHistoryEntry$",	//220
    "addLocalScheme",	//221
    "addLocalScheme$",	//222
    "addToJavaScriptWindowObject",	//223
    "addToJavaScriptWindowObject$#",	//224
    "addToJavaScriptWindowObject$#$",	//225
    "allOrigins",	//226
    "alternateText",	//227
    "append",	//228
    "append#",	//229
    "appendInside",	//230
    "appendInside#",	//231
    "appendInside$",	//232
    "appendOutside",	//233
    "appendOutside#",	//234
    "appendOutside$",	//235
    "applicationCacheQuotaExceeded",	//236
    "applicationCacheQuotaExceeded#$",	//237
    "at",	//238
    "at$",	//239
    "attribute",	//240
    "attribute$",	//241
    "attribute$$",	//242
    "attributeNS",	//243
    "attributeNS$$",	//244
    "attributeNS$$$",	//245
    "attributeNames",	//246
    "attributeNames$",	//247
    "back",	//248
    "backItem",	//249
    "backItems",	//250
    "backItems$",	//251
    "baseUrl",	//252
    "begin",	//253
    "boundingRect",	//254
    "bytesReceived",	//255
    "canGoBack",	//256
    "canGoForward",	//257
    "changeEvent",	//258
    "changeEvent#",	//259
    "childEvent",	//260
    "childFrames",	//261
    "chooseFile",	//262
    "chooseFile#$",	//263
    "classes",	//264
    "clear",	//265
    "clearIconDatabase",	//266
    "clearMemoryCaches",	//267
    "clone",	//268
    "closeEvent",	//269
    "closeEvent#",	//270
    "connectNotify",	//271
    "constBegin",	//272
    "constEnd",	//273
    "const_iterator",	//274
    "const_iterator#",	//275
    "const_iterator#$",	//276
    "content",	//277
    "contentType",	//278
    "contentsChanged",	//279
    "contentsSize",	//280
    "contentsSizeChanged",	//281
    "contentsSizeChanged#",	//282
    "contextMenuEvent",	//283
    "contextMenuEvent#",	//284
    "count",	//285
    "create",	//286
    "create$#??",	//287
    "createPlugin",	//288
    "createPlugin$#??",	//289
    "createStandardContextMenu",	//290
    "createWindow",	//291
    "createWindow$",	//292
    "currentFrame",	//293
    "currentItem",	//294
    "currentItemIndex",	//295
    "customEvent",	//296
    "databaseQuota",	//297
    "databaseQuotaExceeded",	//298
    "databaseQuotaExceeded#$",	//299
    "databaseUsage",	//300
    "databases",	//301
    "defaultInterface",	//302
    "defaultTextEncoding",	//303
    "description",	//304
    "devType",	//305
    "disconnectNotify",	//306
    "displayName",	//307
    "document",	//308
    "documentElement",	//309
    "domain",	//310
    "downloadRequested",	//311
    "downloadRequested#",	//312
    "dragEnterEvent",	//313
    "dragEnterEvent#",	//314
    "dragLeaveEvent",	//315
    "dragLeaveEvent#",	//316
    "dragMoveEvent",	//317
    "dragMoveEvent#",	//318
    "dropEvent",	//319
    "dropEvent#",	//320
    "element",	//321
    "enablePersistentStorage",	//322
    "enablePersistentStorage$",	//323
    "enabledChange",	//324
    "encloseContentsWith",	//325
    "encloseContentsWith#",	//326
    "encloseContentsWith$",	//327
    "encloseWith",	//328
    "encloseWith#",	//329
    "encloseWith$",	//330
    "enclosingBlockElement",	//331
    "encoding",	//332
    "end",	//333
    "enterEvent",	//334
    "error",	//335
    "errorString",	//336
    "evaluateJavaScript",	//337
    "evaluateJavaScript$",	//338
    "event",	//339
    "event#",	//340
    "eventFilter",	//341
    "expectedSize",	//342
    "extension",	//343
    "extension$",	//344
    "extension$#",	//345
    "extension$##",	//346
    "featurePermissionRequestCanceled",	//347
    "featurePermissionRequestCanceled#$",	//348
    "featurePermissionRequested",	//349
    "featurePermissionRequested#$",	//350
    "fileExtensions",	//351
    "fileName",	//352
    "fileNames",	//353
    "findAll",	//354
    "findAll$",	//355
    "findAllElements",	//356
    "findAllElements$",	//357
    "findFirst",	//358
    "findFirst$",	//359
    "findFirstElement",	//360
    "findFirstElement$",	//361
    "findText",	//362
    "findText$",	//363
    "findText$$",	//364
    "first",	//365
    "firstChild",	//366
    "focusInEvent",	//367
    "focusInEvent#",	//368
    "focusNextPrevChild",	//369
    "focusNextPrevChild$",	//370
    "focusOutEvent",	//371
    "focusOutEvent#",	//372
    "fontChange",	//373
    "fontFamily",	//374
    "fontFamily$",	//375
    "fontSize",	//376
    "fontSize$",	//377
    "forward",	//378
    "forwardItem",	//379
    "forwardItems",	//380
    "forwardItems$",	//381
    "forwardUnsupportedContent",	//382
    "frame",	//383
    "frameAt",	//384
    "frameAt#",	//385
    "frameCreated",	//386
    "frameCreated#",	//387
    "frameName",	//388
    "geometry",	//389
    "geometryChangeRequested",	//390
    "geometryChangeRequested#",	//391
    "globalSettings",	//392
    "goToItem",	//393
    "goToItem#",	//394
    "handle",	//395
    "hasAttribute",	//396
    "hasAttribute$",	//397
    "hasAttributeNS",	//398
    "hasAttributeNS$$",	//399
    "hasAttributes",	//400
    "hasClass",	//401
    "hasClass$",	//402
    "hasFocus",	//403
    "hasSelection",	//404
    "heightForWidth",	//405
    "hideEvent",	//406
    "hideEvent#",	//407
    "history",	//408
    "historyContains",	//409
    "historyContains$",	//410
    "hitTestContent",	//411
    "hitTestContent#",	//412
    "host",	//413
    "icon",	//414
    "iconChanged",	//415
    "iconDatabasePath",	//416
    "iconForUrl",	//417
    "iconForUrl#",	//418
    "imageUrl",	//419
    "initialLayoutCompleted",	//420
    "inputMethodEvent",	//421
    "inputMethodEvent#",	//422
    "inputMethodQuery",	//423
    "inputMethodQuery$",	//424
    "isContentEditable",	//425
    "isContentSelected",	//426
    "isModified",	//427
    "isNull",	//428
    "isValid",	//429
    "itemAt",	//430
    "itemAt$",	//431
    "items",	//432
    "iterator",	//433
    "iterator#",	//434
    "iterator#$",	//435
    "javaScriptAlert",	//436
    "javaScriptAlert#$",	//437
    "javaScriptConfirm",	//438
    "javaScriptConfirm#$",	//439
    "javaScriptConsoleMessage",	//440
    "javaScriptConsoleMessage$$$",	//441
    "javaScriptPrompt",	//442
    "javaScriptPrompt#$$$",	//443
    "javaScriptWindowObjectCleared",	//444
    "keyPressEvent",	//445
    "keyPressEvent#",	//446
    "keyReleaseEvent",	//447
    "keyReleaseEvent#",	//448
    "languageChange",	//449
    "last",	//450
    "lastChild",	//451
    "lastVisited",	//452
    "leaveEvent",	//453
    "linkClicked",	//454
    "linkClicked#",	//455
    "linkDelegationPolicy",	//456
    "linkElement",	//457
    "linkHovered",	//458
    "linkHovered$$$",	//459
    "linkTargetFrame",	//460
    "linkText",	//461
    "linkTitle",	//462
    "linkUrl",	//463
    "load",	//464
    "load#",	//465
    "load#$",	//466
    "load#$#",	//467
    "loadFinished",	//468
    "loadFinished$",	//469
    "loadProgress",	//470
    "loadProgress$",	//471
    "loadStarted",	//472
    "localName",	//473
    "localSchemes",	//474
    "localStoragePath",	//475
    "mainFrame",	//476
    "maximumItemCount",	//477
    "maximumPagesInCache",	//478
    "menuBarVisibilityChangeRequested",	//479
    "menuBarVisibilityChangeRequested$",	//480
    "metaData",	//481
    "metaObject",	//482
    "metric",	//483
    "microFocusChanged",	//484
    "mimeTypes",	//485
    "minimumSizeHint",	//486
    "mouseDoubleClickEvent",	//487
    "mouseDoubleClickEvent#",	//488
    "mouseMoveEvent",	//489
    "mouseMoveEvent#",	//490
    "mousePressEvent",	//491
    "mousePressEvent#",	//492
    "mouseReleaseEvent",	//493
    "mouseReleaseEvent#",	//494
    "moveEvent",	//495
    "name",	//496
    "namespaceUri",	//497
    "networkAccessManager",	//498
    "nextSibling",	//499
    "offlineStorageDefaultQuota",	//500
    "offlineStoragePath",	//501
    "offlineWebApplicationCachePath",	//502
    "offlineWebApplicationCacheQuota",	//503
    "operator!=",	//504
    "operator!=#",	//505
    "operator*",	//506
    "operator+",	//507
    "operator+#",	//508
    "operator+$",	//509
    "operator++",	//510
    "operator++$",	//511
    "operator+=",	//512
    "operator+=#",	//513
    "operator+=$",	//514
    "operator-",	//515
    "operator-#",	//516
    "operator-$",	//517
    "operator--",	//518
    "operator--$",	//519
    "operator-=",	//520
    "operator-=$",	//521
    "operator<",	//522
    "operator<#",	//523
    "operator<=",	//524
    "operator<=#",	//525
    "operator=",	//526
    "operator=#",	//527
    "operator==",	//528
    "operator==#",	//529
    "operator>",	//530
    "operator>#",	//531
    "operator>=",	//532
    "operator>=#",	//533
    "operator[]",	//534
    "operator[]$",	//535
    "origin",	//536
    "originalUrl",	//537
    "page",	//538
    "pageAction",	//539
    "pageAction$",	//540
    "pageChanged",	//541
    "paintEngine",	//542
    "paintEvent",	//543
    "paintEvent#",	//544
    "palette",	//545
    "paletteChange",	//546
    "parent",	//547
    "parentFrame",	//548
    "pixmap",	//549
    "pluginFactory",	//550
    "plugins",	//551
    "port",	//552
    "pos",	//553
    "preferredContentsSize",	//554
    "prefix",	//555
    "prependInside",	//556
    "prependInside#",	//557
    "prependInside$",	//558
    "prependOutside",	//559
    "prependOutside#",	//560
    "prependOutside$",	//561
    "previousSibling",	//562
    "print",	//563
    "print#",	//564
    "printRequested",	//565
    "printRequested#",	//566
    "provisionalLoad",	//567
    "qt_metacall",	//568
    "qt_metacall$$?",	//569
    "qt_metacast",	//570
    "qt_metacast$",	//571
    "refreshPlugins",	//572
    "reload",	//573
    "removeAllChildren",	//574
    "removeAllDatabases",	//575
    "removeAttribute",	//576
    "removeAttribute$",	//577
    "removeAttributeNS",	//578
    "removeAttributeNS$$",	//579
    "removeClass",	//580
    "removeClass$",	//581
    "removeDatabase",	//582
    "removeDatabase#",	//583
    "removeFromDocument",	//584
    "removeLocalScheme",	//585
    "removeLocalScheme$",	//586
    "render",	//587
    "render#",	//588
    "render##",	//589
    "render#$",	//590
    "render#$#",	//591
    "renderHints",	//592
    "renderTreeDump",	//593
    "repaintRequested",	//594
    "repaintRequested#",	//595
    "replace",	//596
    "replace#",	//597
    "replace$",	//598
    "requestedUrl",	//599
    "resetAttribute",	//600
    "resetAttribute$",	//601
    "resetFontFamily",	//602
    "resetFontFamily$",	//603
    "resetFontSize",	//604
    "resetFontSize$",	//605
    "resizeEvent",	//606
    "resizeEvent#",	//607
    "restoreFrameStateRequested",	//608
    "restoreFrameStateRequested#",	//609
    "saveFrameStateRequested",	//610
    "saveFrameStateRequested##",	//611
    "scheme",	//612
    "scroll",	//613
    "scroll$$",	//614
    "scrollBarGeometry",	//615
    "scrollBarGeometry$",	//616
    "scrollBarMaximum",	//617
    "scrollBarMaximum$",	//618
    "scrollBarMinimum",	//619
    "scrollBarMinimum$",	//620
    "scrollBarPolicy",	//621
    "scrollBarPolicy$",	//622
    "scrollBarValue",	//623
    "scrollBarValue$",	//624
    "scrollPosition",	//625
    "scrollRequested",	//626
    "scrollRequested$$#",	//627
    "scrollToAnchor",	//628
    "scrollToAnchor$",	//629
    "securityOrigin",	//630
    "selectedHtml",	//631
    "selectedText",	//632
    "selectionChanged",	//633
    "setActualVisibleContentRect",	//634
    "setActualVisibleContentRect#",	//635
    "setApplicationCacheQuota",	//636
    "setApplicationCacheQuota$",	//637
    "setAttribute",	//638
    "setAttribute$$",	//639
    "setAttributeNS",	//640
    "setAttributeNS$$$",	//641
    "setBaseUrl",	//642
    "setBaseUrl#",	//643
    "setContent",	//644
    "setContent#",	//645
    "setContent#$",	//646
    "setContent#$#",	//647
    "setContentEditable",	//648
    "setContentEditable$",	//649
    "setContentType",	//650
    "setContentType$",	//651
    "setDatabaseQuota",	//652
    "setDatabaseQuota$",	//653
    "setDefaultInterface",	//654
    "setDefaultInterface#",	//655
    "setDefaultTextEncoding",	//656
    "setDefaultTextEncoding$",	//657
    "setDescription",	//658
    "setDescription$",	//659
    "setDomain",	//660
    "setDomain$",	//661
    "setEncoding",	//662
    "setEncoding$",	//663
    "setError",	//664
    "setError$",	//665
    "setErrorString",	//666
    "setErrorString$",	//667
    "setFeaturePermission",	//668
    "setFeaturePermission#$$",	//669
    "setFileExtensions",	//670
    "setFileExtensions?",	//671
    "setFileNames",	//672
    "setFileNames?",	//673
    "setFocus",	//674
    "setFontFamily",	//675
    "setFontFamily$$",	//676
    "setFontSize",	//677
    "setFontSize$$",	//678
    "setForwardUnsupportedContent",	//679
    "setForwardUnsupportedContent$",	//680
    "setFrame",	//681
    "setFrame#",	//682
    "setHtml",	//683
    "setHtml$",	//684
    "setHtml$#",	//685
    "setIconDatabasePath",	//686
    "setIconDatabasePath$",	//687
    "setInnerXml",	//688
    "setInnerXml$",	//689
    "setLinkDelegationPolicy",	//690
    "setLinkDelegationPolicy$",	//691
    "setLocalStoragePath",	//692
    "setLocalStoragePath$",	//693
    "setMaximumItemCount",	//694
    "setMaximumItemCount$",	//695
    "setMaximumPagesInCache",	//696
    "setMaximumPagesInCache$",	//697
    "setMimeTypes",	//698
    "setMimeTypes?",	//699
    "setName",	//700
    "setName$",	//701
    "setNetworkAccessManager",	//702
    "setNetworkAccessManager#",	//703
    "setObjectCacheCapacities",	//704
    "setObjectCacheCapacities$$$",	//705
    "setOfflineStorageDefaultQuota",	//706
    "setOfflineStorageDefaultQuota$",	//707
    "setOfflineStoragePath",	//708
    "setOfflineStoragePath$",	//709
    "setOfflineWebApplicationCachePath",	//710
    "setOfflineWebApplicationCachePath$",	//711
    "setOfflineWebApplicationCacheQuota",	//712
    "setOfflineWebApplicationCacheQuota$",	//713
    "setOuterXml",	//714
    "setOuterXml$",	//715
    "setPage",	//716
    "setPage#",	//717
    "setPalette",	//718
    "setPalette#",	//719
    "setParentFrame",	//720
    "setParentFrame#",	//721
    "setPlainText",	//722
    "setPlainText$",	//723
    "setPluginFactory",	//724
    "setPluginFactory#",	//725
    "setPreferredContentsSize",	//726
    "setPreferredContentsSize#",	//727
    "setRenderHint",	//728
    "setRenderHint$",	//729
    "setRenderHint$$",	//730
    "setRenderHints",	//731
    "setRenderHints$",	//732
    "setScrollBarPolicy",	//733
    "setScrollBarPolicy$$",	//734
    "setScrollBarValue",	//735
    "setScrollBarValue$$",	//736
    "setScrollPosition",	//737
    "setScrollPosition#",	//738
    "setStyleProperty",	//739
    "setStyleProperty$$",	//740
    "setSuggestedFileNames",	//741
    "setSuggestedFileNames?",	//742
    "setTextSizeMultiplier",	//743
    "setTextSizeMultiplier$",	//744
    "setUrl",	//745
    "setUrl#",	//746
    "setUserData",	//747
    "setUserData#",	//748
    "setUserStyleSheetUrl",	//749
    "setUserStyleSheetUrl#",	//750
    "setView",	//751
    "setView#",	//752
    "setViewportSize",	//753
    "setViewportSize#",	//754
    "setVisible",	//755
    "setWebGraphic",	//756
    "setWebGraphic$#",	//757
    "setZoomFactor",	//758
    "setZoomFactor$",	//759
    "settings",	//760
    "shouldInterruptJavaScript",	//761
    "showEvent",	//762
    "showEvent#",	//763
    "size",	//764
    "sizeHint",	//765
    "staticMetaObject",	//766
    "statusBarMessage",	//767
    "statusBarMessage$",	//768
    "statusBarVisibilityChangeRequested",	//769
    "statusBarVisibilityChangeRequested$",	//770
    "stop",	//771
    "styleChange",	//772
    "styleProperty",	//773
    "styleProperty$$",	//774
    "suggestedFileNames",	//775
    "supportedContentTypes",	//776
    "supportsContentType",	//777
    "supportsContentType$",	//778
    "supportsExtension",	//779
    "supportsExtension$",	//780
    "swallowContextMenuEvent",	//781
    "swallowContextMenuEvent#",	//782
    "tabletEvent",	//783
    "tagName",	//784
    "takeFromDocument",	//785
    "testAttribute",	//786
    "testAttribute$",	//787
    "textSizeMultiplier",	//788
    "timerEvent",	//789
    "title",	//790
    "titleChanged",	//791
    "titleChanged$",	//792
    "toHtml",	//793
    "toInnerXml",	//794
    "toList",	//795
    "toOuterXml",	//796
    "toPlainText",	//797
    "toggleClass",	//798
    "toggleClass$",	//799
    "toolBarVisibilityChangeRequested",	//800
    "toolBarVisibilityChangeRequested$",	//801
    "totalBytes",	//802
    "tr",	//803
    "tr$",	//804
    "tr$$",	//805
    "tr$$$",	//806
    "trUtf8",	//807
    "trUtf8$",	//808
    "trUtf8$$",	//809
    "trUtf8$$$",	//810
    "triggerAction",	//811
    "triggerAction$",	//812
    "triggerAction$$",	//813
    "triggerPageAction",	//814
    "triggerPageAction$",	//815
    "triggerPageAction$$",	//816
    "undoStack",	//817
    "unsupportedContent",	//818
    "unsupportedContent#",	//819
    "updatePositionDependentActions",	//820
    "updatePositionDependentActions#",	//821
    "url",	//822
    "urlChanged",	//823
    "urlChanged#",	//824
    "userAgentForUrl",	//825
    "userAgentForUrl#",	//826
    "userData",	//827
    "userStyleSheetUrl",	//828
    "view",	//829
    "viewportAttributesForSize",	//830
    "viewportAttributesForSize#",	//831
    "viewportChangeRequested",	//832
    "viewportSize",	//833
    "webFrame",	//834
    "webGraphic",	//835
    "webGraphic$",	//836
    "wheelEvent",	//837
    "wheelEvent#",	//838
    "windowActivationChange",	//839
    "windowCloseRequested",	//840
    "x11Event",	//841
    "zoomFactor",	//842
    "~ChooseMultipleFilesExtensionOption",	//843
    "~ChooseMultipleFilesExtensionReturn",	//844
    "~ErrorPageExtensionOption",	//845
    "~ErrorPageExtensionReturn",	//846
    "~ExtensionOption",	//847
    "~ExtensionReturn",	//848
    "~MimeType",	//849
    "~Plugin",	//850
    "~QWebDatabase",	//851
    "~QWebElement",	//852
    "~QWebElementCollection",	//853
    "~QWebHistoryInterface",	//854
    "~QWebHistoryItem",	//855
    "~QWebHitTestResult",	//856
    "~QWebInspector",	//857
    "~QWebPage",	//858
    "~QWebPluginFactory",	//859
    "~QWebSecurityOrigin",	//860
    "~QWebView",	//861
    "~const_iterator",	//862
    "~iterator",	//863
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 1},	//1 QGlobalSpace::_ISupper (enum)
    {16, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 2},	//2 QGlobalSpace::_ISlower (enum)
    {16, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 3},	//3 QGlobalSpace::_ISalpha (enum)
    {16, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 4},	//4 QGlobalSpace::_ISdigit (enum)
    {16, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 5},	//5 QGlobalSpace::_ISxdigit (enum)
    {16, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 6},	//6 QGlobalSpace::_ISspace (enum)
    {16, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 7},	//7 QGlobalSpace::_ISprint (enum)
    {16, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 8},	//8 QGlobalSpace::_ISgraph (enum)
    {16, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 9},	//9 QGlobalSpace::_ISblank (enum)
    {16, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 10},	//10 QGlobalSpace::_IScntrl (enum)
    {16, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 11},	//11 QGlobalSpace::_ISpunct (enum)
    {16, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 12},	//12 QGlobalSpace::_ISalnum (enum)
    {16, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 13},	//13 QGlobalSpace::QtDebugMsg (enum)
    {16, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 14},	//14 QGlobalSpace::QtWarningMsg (enum)
    {16, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 15},	//15 QGlobalSpace::QtCriticalMsg (enum)
    {16, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 16},	//16 QGlobalSpace::QtFatalMsg (enum)
    {16, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 210, 17},	//17 QGlobalSpace::QtSystemMsg (enum)
    {16, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 18},	//18 QGlobalSpace::__codecvt_ok (enum)
    {16, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 19},	//19 QGlobalSpace::__codecvt_partial (enum)
    {16, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 20},	//20 QGlobalSpace::__codecvt_error (enum)
    {16, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 21},	//21 QGlobalSpace::__codecvt_noconv (enum)
    {29, 339, 1, 1, Smoke::mf_virtual, 213, 0},	//22 QObject::event(QEvent*)
    {29, 341, 3, 2, Smoke::mf_virtual, 213, 0},	//23 QObject::eventFilter(QObject*, QEvent*)
    {29, 789, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 QObject::timerEvent(QTimerEvent*)
    {29, 260, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 QObject::childEvent(QChildEvent*)
    {29, 296, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//26 QObject::customEvent(QEvent*)
    {29, 271, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QObject::connectNotify(const char*)
    {29, 306, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QObject::disconnectNotify(const char*)
    {49, 121, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 1},	//29 QWebDatabase::QWebDatabase(const QWebDatabase&)
    {49, 526, 12, 1, 0, 73, 2},	//30 QWebDatabase::operator=(const QWebDatabase&)
    {49, 496, 0, 0, Smoke::mf_const, 60, 3},	//31 QWebDatabase::name() const
    {49, 307, 0, 0, Smoke::mf_const, 60, 4},	//32 QWebDatabase::displayName() const
    {49, 342, 0, 0, Smoke::mf_const, 259, 5},	//33 QWebDatabase::expectedSize() const
    {49, 764, 0, 0, Smoke::mf_const, 259, 6},	//34 QWebDatabase::size() const
    {49, 352, 0, 0, Smoke::mf_const, 60, 7},	//35 QWebDatabase::fileName() const
    {49, 536, 0, 0, Smoke::mf_const, 123, 8},	//36 QWebDatabase::origin() const
    {49, 582, 12, 1, Smoke::mf_static, 0, 9},	//37 QWebDatabase::removeDatabase(const QWebDatabase&)
    {49, 575, 0, 0, Smoke::mf_static, 0, 10},	//38 QWebDatabase::removeAllDatabases()
    {49, 851, 0, 0, Smoke::mf_dtor, 0, 11 },	//39 QWebDatabase::~QWebDatabase()
    {50, 123, 0, 0, Smoke::mf_ctor, 77, 1},	//40 QWebElement::QWebElement()
    {50, 123, 14, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 2},	//41 QWebElement::QWebElement(const QWebElement&)
    {50, 526, 14, 1, 0, 76, 3},	//42 QWebElement::operator=(const QWebElement&)
    {50, 528, 14, 1, Smoke::mf_const, 213, 4},	//43 QWebElement::operator==(const QWebElement&) const
    {50, 504, 14, 1, Smoke::mf_const, 213, 5},	//44 QWebElement::operator!=(const QWebElement&) const
    {50, 428, 0, 0, Smoke::mf_const, 213, 6},	//45 QWebElement::isNull() const
    {50, 354, 16, 1, Smoke::mf_const, 79, 7},	//46 QWebElement::findAll(const QString&) const
    {50, 358, 16, 1, Smoke::mf_const, 75, 8},	//47 QWebElement::findFirst(const QString&) const
    {50, 722, 16, 1, 0, 0, 9},	//48 QWebElement::setPlainText(const QString&)
    {50, 797, 0, 0, Smoke::mf_const, 60, 10},	//49 QWebElement::toPlainText() const
    {50, 714, 16, 1, 0, 0, 11},	//50 QWebElement::setOuterXml(const QString&)
    {50, 796, 0, 0, Smoke::mf_const, 60, 12},	//51 QWebElement::toOuterXml() const
    {50, 688, 16, 1, 0, 0, 13},	//52 QWebElement::setInnerXml(const QString&)
    {50, 794, 0, 0, Smoke::mf_const, 60, 14},	//53 QWebElement::toInnerXml() const
    {50, 638, 18, 2, 0, 0, 15},	//54 QWebElement::setAttribute(const QString&, const QString&)
    {50, 640, 21, 3, 0, 0, 16},	//55 QWebElement::setAttributeNS(const QString&, const QString&, const QString&)
    {50, 240, 18, 2, Smoke::mf_const, 60, 17},	//56 QWebElement::attribute(const QString&, const QString&) const
    {50, 243, 21, 3, Smoke::mf_const, 60, 18},	//57 QWebElement::attributeNS(const QString&, const QString&, const QString&) const
    {50, 396, 16, 1, Smoke::mf_const, 213, 19},	//58 QWebElement::hasAttribute(const QString&) const
    {50, 398, 18, 2, Smoke::mf_const, 213, 20},	//59 QWebElement::hasAttributeNS(const QString&, const QString&) const
    {50, 576, 16, 1, 0, 0, 21},	//60 QWebElement::removeAttribute(const QString&)
    {50, 578, 18, 2, 0, 0, 22},	//61 QWebElement::removeAttributeNS(const QString&, const QString&)
    {50, 400, 0, 0, Smoke::mf_const, 213, 23},	//62 QWebElement::hasAttributes() const
    {50, 246, 16, 1, Smoke::mf_const, 63, 24},	//63 QWebElement::attributeNames(const QString&) const
    {50, 264, 0, 0, Smoke::mf_const, 63, 25},	//64 QWebElement::classes() const
    {50, 401, 16, 1, Smoke::mf_const, 213, 26},	//65 QWebElement::hasClass(const QString&) const
    {50, 217, 16, 1, 0, 0, 27},	//66 QWebElement::addClass(const QString&)
    {50, 580, 16, 1, 0, 0, 28},	//67 QWebElement::removeClass(const QString&)
    {50, 798, 16, 1, 0, 0, 29},	//68 QWebElement::toggleClass(const QString&)
    {50, 403, 0, 0, Smoke::mf_const, 213, 30},	//69 QWebElement::hasFocus() const
    {50, 674, 0, 0, 0, 0, 31},	//70 QWebElement::setFocus()
    {50, 389, 0, 0, Smoke::mf_const, 49, 32},	//71 QWebElement::geometry() const
    {50, 784, 0, 0, Smoke::mf_const, 60, 33},	//72 QWebElement::tagName() const
    {50, 555, 0, 0, Smoke::mf_const, 60, 34},	//73 QWebElement::prefix() const
    {50, 473, 0, 0, Smoke::mf_const, 60, 35},	//74 QWebElement::localName() const
    {50, 497, 0, 0, Smoke::mf_const, 60, 36},	//75 QWebElement::namespaceUri() const
    {50, 547, 0, 0, Smoke::mf_const, 75, 37},	//76 QWebElement::parent() const
    {50, 366, 0, 0, Smoke::mf_const, 75, 38},	//77 QWebElement::firstChild() const
    {50, 451, 0, 0, Smoke::mf_const, 75, 39},	//78 QWebElement::lastChild() const
    {50, 499, 0, 0, Smoke::mf_const, 75, 40},	//79 QWebElement::nextSibling() const
    {50, 562, 0, 0, Smoke::mf_const, 75, 41},	//80 QWebElement::previousSibling() const
    {50, 308, 0, 0, Smoke::mf_const, 75, 42},	//81 QWebElement::document() const
    {50, 834, 0, 0, Smoke::mf_const, 88, 43},	//82 QWebElement::webFrame() const
    {50, 230, 16, 1, 0, 0, 44},	//83 QWebElement::appendInside(const QString&)
    {50, 230, 14, 1, 0, 0, 45},	//84 QWebElement::appendInside(const QWebElement&)
    {50, 556, 16, 1, 0, 0, 46},	//85 QWebElement::prependInside(const QString&)
    {50, 556, 14, 1, 0, 0, 47},	//86 QWebElement::prependInside(const QWebElement&)
    {50, 233, 16, 1, 0, 0, 48},	//87 QWebElement::appendOutside(const QString&)
    {50, 233, 14, 1, 0, 0, 49},	//88 QWebElement::appendOutside(const QWebElement&)
    {50, 559, 16, 1, 0, 0, 50},	//89 QWebElement::prependOutside(const QString&)
    {50, 559, 14, 1, 0, 0, 51},	//90 QWebElement::prependOutside(const QWebElement&)
    {50, 325, 14, 1, 0, 0, 52},	//91 QWebElement::encloseContentsWith(const QWebElement&)
    {50, 325, 16, 1, 0, 0, 53},	//92 QWebElement::encloseContentsWith(const QString&)
    {50, 328, 16, 1, 0, 0, 54},	//93 QWebElement::encloseWith(const QString&)
    {50, 328, 14, 1, 0, 0, 55},	//94 QWebElement::encloseWith(const QWebElement&)
    {50, 596, 16, 1, 0, 0, 56},	//95 QWebElement::replace(const QString&)
    {50, 596, 14, 1, 0, 0, 57},	//96 QWebElement::replace(const QWebElement&)
    {50, 268, 0, 0, Smoke::mf_const, 75, 58},	//97 QWebElement::clone() const
    {50, 785, 0, 0, 0, 76, 59},	//98 QWebElement::takeFromDocument()
    {50, 584, 0, 0, 0, 0, 60},	//99 QWebElement::removeFromDocument()
    {50, 574, 0, 0, 0, 0, 61},	//100 QWebElement::removeAllChildren()
    {50, 337, 16, 1, 0, 72, 62},	//101 QWebElement::evaluateJavaScript(const QString&)
    {50, 773, 25, 2, Smoke::mf_const, 60, 63},	//102 QWebElement::styleProperty(const QString&, QWebElement::StyleResolveStrategy) const
    {50, 739, 18, 2, 0, 0, 64},	//103 QWebElement::setStyleProperty(const QString&, const QString&)
    {50, 587, 28, 1, 0, 0, 65},	//104 QWebElement::render(QPainter*)
    {50, 587, 30, 2, 0, 0, 66},	//105 QWebElement::render(QPainter*, const QRect&)
    {50, 240, 16, 1, Smoke::mf_const, 60, 67},	//106 QWebElement::attribute(const QString&) const
    {50, 243, 18, 2, Smoke::mf_const, 60, 68},	//107 QWebElement::attributeNS(const QString&, const QString&) const
    {50, 246, 0, 0, Smoke::mf_const, 63, 69},	//108 QWebElement::attributeNames() const
    {50, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 70},	//109 QWebElement::InlineStyle (enum)
    {50, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 71},	//110 QWebElement::CascadedStyle (enum)
    {50, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 72},	//111 QWebElement::ComputedStyle (enum)
    {50, 852, 0, 0, Smoke::mf_dtor, 0, 73 },	//112 QWebElement::~QWebElement()
    {51, 125, 0, 0, Smoke::mf_ctor, 81, 1},	//113 QWebElementCollection::QWebElementCollection()
    {51, 125, 33, 2, Smoke::mf_ctor, 81, 2},	//114 QWebElementCollection::QWebElementCollection(const QWebElement&, const QString&)
    {51, 125, 36, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 3},	//115 QWebElementCollection::QWebElementCollection(const QWebElementCollection&)
    {51, 526, 36, 1, 0, 80, 4},	//116 QWebElementCollection::operator=(const QWebElementCollection&)
    {51, 507, 36, 1, Smoke::mf_const, 79, 5},	//117 QWebElementCollection::operator+(const QWebElementCollection&) const
    {51, 512, 36, 1, 0, 80, 6},	//118 QWebElementCollection::operator+=(const QWebElementCollection&)
    {51, 228, 36, 1, 0, 0, 7},	//119 QWebElementCollection::append(const QWebElementCollection&)
    {51, 285, 0, 0, Smoke::mf_const, 257, 8},	//120 QWebElementCollection::count() const
    {51, 238, 38, 1, Smoke::mf_const, 75, 9},	//121 QWebElementCollection::at(int) const
    {51, 534, 38, 1, Smoke::mf_const, 75, 10},	//122 QWebElementCollection::operator[](int) const
    {51, 365, 0, 0, Smoke::mf_const, 75, 11},	//123 QWebElementCollection::first() const
    {51, 450, 0, 0, Smoke::mf_const, 75, 12},	//124 QWebElementCollection::last() const
    {51, 795, 0, 0, Smoke::mf_const, 25, 13},	//125 QWebElementCollection::toList() const
    {51, 253, 0, 0, Smoke::mf_const, 82, 14},	//126 QWebElementCollection::begin() const
    {51, 333, 0, 0, Smoke::mf_const, 82, 15},	//127 QWebElementCollection::end() const
    {51, 272, 0, 0, Smoke::mf_const, 82, 16},	//128 QWebElementCollection::constBegin() const
    {51, 273, 0, 0, Smoke::mf_const, 82, 17},	//129 QWebElementCollection::constEnd() const
    {51, 253, 0, 0, 0, 85, 18},	//130 QWebElementCollection::begin()
    {51, 333, 0, 0, 0, 85, 19},	//131 QWebElementCollection::end()
    {51, 853, 0, 0, Smoke::mf_dtor, 0, 20 },	//132 QWebElementCollection::~QWebElementCollection()
    {52, 274, 40, 2, Smoke::mf_ctor, 84, 1},	//133 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection*, int)
    {52, 274, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 84, 2},	//134 QWebElementCollection::const_iterator::const_iterator(const QWebElementCollection::const_iterator&)
    {52, 506, 0, 0, Smoke::mf_const, 233, 3},	//135 QWebElementCollection::const_iterator::operator*() const
    {52, 528, 43, 1, Smoke::mf_const, 213, 4},	//136 QWebElementCollection::const_iterator::operator==(const QWebElementCollection::const_iterator&) const
    {52, 504, 43, 1, Smoke::mf_const, 213, 5},	//137 QWebElementCollection::const_iterator::operator!=(const QWebElementCollection::const_iterator&) const
    {52, 522, 43, 1, Smoke::mf_const, 213, 6},	//138 QWebElementCollection::const_iterator::operator<(const QWebElementCollection::const_iterator&) const
    {52, 524, 43, 1, Smoke::mf_const, 213, 7},	//139 QWebElementCollection::const_iterator::operator<=(const QWebElementCollection::const_iterator&) const
    {52, 530, 43, 1, Smoke::mf_const, 213, 8},	//140 QWebElementCollection::const_iterator::operator>(const QWebElementCollection::const_iterator&) const
    {52, 532, 43, 1, Smoke::mf_const, 213, 9},	//141 QWebElementCollection::const_iterator::operator>=(const QWebElementCollection::const_iterator&) const
    {52, 510, 0, 0, 0, 83, 10},	//142 QWebElementCollection::const_iterator::operator++()
    {52, 510, 38, 1, 0, 82, 11},	//143 QWebElementCollection::const_iterator::operator++(int)
    {52, 518, 0, 0, 0, 83, 12},	//144 QWebElementCollection::const_iterator::operator--()
    {52, 518, 38, 1, 0, 82, 13},	//145 QWebElementCollection::const_iterator::operator--(int)
    {52, 512, 38, 1, 0, 83, 14},	//146 QWebElementCollection::const_iterator::operator+=(int)
    {52, 520, 38, 1, 0, 83, 15},	//147 QWebElementCollection::const_iterator::operator-=(int)
    {52, 507, 38, 1, Smoke::mf_const, 82, 16},	//148 QWebElementCollection::const_iterator::operator+(int) const
    {52, 515, 38, 1, Smoke::mf_const, 82, 17},	//149 QWebElementCollection::const_iterator::operator-(int) const
    {52, 515, 45, 1, Smoke::mf_const, 257, 18},	//150 QWebElementCollection::const_iterator::operator-(QWebElementCollection::const_iterator) const
    {52, 862, 0, 0, Smoke::mf_dtor, 0, 19 },	//151 QWebElementCollection::const_iterator::~const_iterator()
    {53, 433, 40, 2, Smoke::mf_ctor, 87, 1},	//152 QWebElementCollection::iterator::iterator(const QWebElementCollection*, int)
    {53, 433, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//153 QWebElementCollection::iterator::iterator(const QWebElementCollection::iterator&)
    {53, 506, 0, 0, Smoke::mf_const, 75, 3},	//154 QWebElementCollection::iterator::operator*() const
    {53, 528, 47, 1, Smoke::mf_const, 213, 4},	//155 QWebElementCollection::iterator::operator==(const QWebElementCollection::iterator&) const
    {53, 504, 47, 1, Smoke::mf_const, 213, 5},	//156 QWebElementCollection::iterator::operator!=(const QWebElementCollection::iterator&) const
    {53, 522, 47, 1, Smoke::mf_const, 213, 6},	//157 QWebElementCollection::iterator::operator<(const QWebElementCollection::iterator&) const
    {53, 524, 47, 1, Smoke::mf_const, 213, 7},	//158 QWebElementCollection::iterator::operator<=(const QWebElementCollection::iterator&) const
    {53, 530, 47, 1, Smoke::mf_const, 213, 8},	//159 QWebElementCollection::iterator::operator>(const QWebElementCollection::iterator&) const
    {53, 532, 47, 1, Smoke::mf_const, 213, 9},	//160 QWebElementCollection::iterator::operator>=(const QWebElementCollection::iterator&) const
    {53, 510, 0, 0, 0, 86, 10},	//161 QWebElementCollection::iterator::operator++()
    {53, 510, 38, 1, 0, 85, 11},	//162 QWebElementCollection::iterator::operator++(int)
    {53, 518, 0, 0, 0, 86, 12},	//163 QWebElementCollection::iterator::operator--()
    {53, 518, 38, 1, 0, 85, 13},	//164 QWebElementCollection::iterator::operator--(int)
    {53, 512, 38, 1, 0, 86, 14},	//165 QWebElementCollection::iterator::operator+=(int)
    {53, 520, 38, 1, 0, 86, 15},	//166 QWebElementCollection::iterator::operator-=(int)
    {53, 507, 38, 1, Smoke::mf_const, 85, 16},	//167 QWebElementCollection::iterator::operator+(int) const
    {53, 515, 38, 1, Smoke::mf_const, 85, 17},	//168 QWebElementCollection::iterator::operator-(int) const
    {53, 515, 49, 1, Smoke::mf_const, 257, 18},	//169 QWebElementCollection::iterator::operator-(QWebElementCollection::iterator) const
    {53, 863, 0, 0, Smoke::mf_dtor, 0, 19 },	//170 QWebElementCollection::iterator::~iterator()
    {54, 482, 0, 0, Smoke::mf_const, 218, 1},	//171 QWebFrame::metaObject() const
    {54, 570, 10, 1, 0, 265, 2},	//172 QWebFrame::qt_metacast(const char*)
    {54, 803, 51, 2, Smoke::mf_static, 60, 3},	//173 QWebFrame::tr(const char*, const char*)
    {54, 807, 51, 2, Smoke::mf_static, 60, 4},	//174 QWebFrame::trUtf8(const char*, const char*)
    {54, 803, 54, 3, Smoke::mf_static, 60, 5},	//175 QWebFrame::tr(const char*, const char*, int)
    {54, 807, 54, 3, Smoke::mf_static, 60, 6},	//176 QWebFrame::trUtf8(const char*, const char*, int)
    {54, 568, 58, 3, 0, 257, 7},	//177 QWebFrame::qt_metacall(QMetaObject::Call, int, void**)
    {54, 538, 0, 0, Smoke::mf_const, 99, 8},	//178 QWebFrame::page() const
    {54, 464, 62, 1, 0, 0, 9},	//179 QWebFrame::load(const QUrl&)
    {54, 464, 64, 3, 0, 0, 10},	//180 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {54, 683, 68, 2, 0, 0, 11},	//181 QWebFrame::setHtml(const QString&, const QUrl&)
    {54, 644, 71, 3, 0, 0, 12},	//182 QWebFrame::setContent(const QByteArray&, const QString&, const QUrl&)
    {54, 223, 75, 2, 0, 0, 13},	//183 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*)
    {54, 223, 78, 3, 0, 0, 14},	//184 QWebFrame::addToJavaScriptWindowObject(const QString&, QObject*, QScriptEngine::ValueOwnership)
    {54, 793, 0, 0, Smoke::mf_const, 60, 15},	//185 QWebFrame::toHtml() const
    {54, 797, 0, 0, Smoke::mf_const, 60, 16},	//186 QWebFrame::toPlainText() const
    {54, 593, 0, 0, Smoke::mf_const, 60, 17},	//187 QWebFrame::renderTreeDump() const
    {54, 790, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 18},	//188 QWebFrame::title() const
    {54, 745, 62, 1, Smoke::mf_property, 0, 19},	//189 QWebFrame::setUrl(const QUrl&)
    {54, 822, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 20},	//190 QWebFrame::url() const
    {54, 599, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 21},	//191 QWebFrame::requestedUrl() const
    {54, 252, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 22},	//192 QWebFrame::baseUrl() const
    {54, 414, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 23},	//193 QWebFrame::icon() const
    {54, 481, 0, 0, Smoke::mf_const, 35, 24},	//194 QWebFrame::metaData() const
    {54, 388, 0, 0, Smoke::mf_const, 60, 25},	//195 QWebFrame::frameName() const
    {54, 548, 0, 0, Smoke::mf_const, 88, 26},	//196 QWebFrame::parentFrame() const
    {54, 261, 0, 0, Smoke::mf_const, 26, 27},	//197 QWebFrame::childFrames() const
    {54, 621, 82, 1, Smoke::mf_const, 185, 28},	//198 QWebFrame::scrollBarPolicy(Qt::Orientation) const
    {54, 733, 84, 2, 0, 0, 29},	//199 QWebFrame::setScrollBarPolicy(Qt::Orientation, Qt::ScrollBarPolicy)
    {54, 735, 87, 2, 0, 0, 30},	//200 QWebFrame::setScrollBarValue(Qt::Orientation, int)
    {54, 623, 82, 1, Smoke::mf_const, 257, 31},	//201 QWebFrame::scrollBarValue(Qt::Orientation) const
    {54, 619, 82, 1, Smoke::mf_const, 257, 32},	//202 QWebFrame::scrollBarMinimum(Qt::Orientation) const
    {54, 617, 82, 1, Smoke::mf_const, 257, 33},	//203 QWebFrame::scrollBarMaximum(Qt::Orientation) const
    {54, 615, 82, 1, Smoke::mf_const, 49, 34},	//204 QWebFrame::scrollBarGeometry(Qt::Orientation) const
    {54, 613, 90, 2, 0, 0, 35},	//205 QWebFrame::scroll(int, int)
    {54, 625, 0, 0, Smoke::mf_const|Smoke::mf_property, 47, 36},	//206 QWebFrame::scrollPosition() const
    {54, 737, 93, 1, Smoke::mf_property, 0, 37},	//207 QWebFrame::setScrollPosition(const QPoint&)
    {54, 628, 16, 1, 0, 0, 38},	//208 QWebFrame::scrollToAnchor(const QString&)
    {54, 587, 28, 1, 0, 0, 39},	//209 QWebFrame::render(QPainter*)
    {54, 587, 95, 2, 0, 0, 40},	//210 QWebFrame::render(QPainter*, const QRegion&)
    {54, 587, 98, 3, 0, 0, 41},	//211 QWebFrame::render(QPainter*, QWebFrame::RenderLayer, const QRegion&)
    {54, 743, 102, 1, 0, 0, 42},	//212 QWebFrame::setTextSizeMultiplier(double)
    {54, 788, 0, 0, Smoke::mf_const, 256, 43},	//213 QWebFrame::textSizeMultiplier() const
    {54, 842, 0, 0, Smoke::mf_const, 256, 44},	//214 QWebFrame::zoomFactor() const
    {54, 758, 102, 1, 0, 0, 45},	//215 QWebFrame::setZoomFactor(double)
    {54, 403, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 46},	//216 QWebFrame::hasFocus() const
    {54, 674, 0, 0, 0, 0, 47},	//217 QWebFrame::setFocus()
    {54, 553, 0, 0, Smoke::mf_const, 47, 48},	//218 QWebFrame::pos() const
    {54, 389, 0, 0, Smoke::mf_const, 49, 49},	//219 QWebFrame::geometry() const
    {54, 280, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 50},	//220 QWebFrame::contentsSize() const
    {54, 309, 0, 0, Smoke::mf_const, 75, 51},	//221 QWebFrame::documentElement() const
    {54, 356, 16, 1, Smoke::mf_const, 79, 52},	//222 QWebFrame::findAllElements(const QString&) const
    {54, 360, 16, 1, Smoke::mf_const, 75, 53},	//223 QWebFrame::findFirstElement(const QString&) const
    {54, 411, 93, 1, Smoke::mf_const, 95, 54},	//224 QWebFrame::hitTestContent(const QPoint&) const
    {54, 339, 1, 1, 0, 213, 55},	//225 QWebFrame::event(QEvent*)
    {54, 630, 0, 0, Smoke::mf_const, 123, 56},	//226 QWebFrame::securityOrigin() const
    {54, 337, 16, 1, Smoke::mf_slot, 72, 57},	//227 QWebFrame::evaluateJavaScript(const QString&)
    {54, 563, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 58},	//228 QWebFrame::print(QPrinter*) const
    {54, 444, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//229 QWebFrame::javaScriptWindowObjectCleared()
    {54, 567, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//230 QWebFrame::provisionalLoad()
    {54, 791, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//231 QWebFrame::titleChanged(const QString&)
    {54, 823, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//232 QWebFrame::urlChanged(const QUrl&)
    {54, 420, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//233 QWebFrame::initialLayoutCompleted()
    {54, 415, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//234 QWebFrame::iconChanged()
    {54, 281, 106, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//235 QWebFrame::contentsSizeChanged(const QSize&)
    {54, 472, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//236 QWebFrame::loadStarted()
    {54, 468, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//237 QWebFrame::loadFinished(bool)
    {54, 541, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//238 QWebFrame::pageChanged()
    {54, 803, 10, 1, Smoke::mf_static, 60, 69},	//239 QWebFrame::tr(const char*)
    {54, 807, 10, 1, Smoke::mf_static, 60, 70},	//240 QWebFrame::trUtf8(const char*)
    {54, 464, 110, 1, 0, 0, 71},	//241 QWebFrame::load(const QNetworkRequest&)
    {54, 464, 112, 2, 0, 0, 72},	//242 QWebFrame::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {54, 683, 16, 1, 0, 0, 73},	//243 QWebFrame::setHtml(const QString&)
    {54, 644, 115, 1, 0, 0, 74},	//244 QWebFrame::setContent(const QByteArray&)
    {54, 644, 117, 2, 0, 0, 75},	//245 QWebFrame::setContent(const QByteArray&, const QString&)
    {54, 587, 120, 2, 0, 0, 76},	//246 QWebFrame::render(QPainter*, QWebFrame::RenderLayer)
    {54, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 217, 77},	//247 QWebFrame::staticMetaObject() const
    {54, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 78},	//248 QWebFrame::ContentsLayer (enum)
    {54, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 79},	//249 QWebFrame::ScrollBarLayer (enum)
    {54, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 80},	//250 QWebFrame::PanIconLayer (enum)
    {54, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 81},	//251 QWebFrame::AllLayers (enum)
    {55, 265, 0, 0, 0, 0, 1},	//252 QWebHistory::clear()
    {55, 432, 0, 0, Smoke::mf_const, 27, 2},	//253 QWebHistory::items() const
    {55, 250, 38, 1, Smoke::mf_const, 27, 3},	//254 QWebHistory::backItems(int) const
    {55, 380, 38, 1, Smoke::mf_const, 27, 4},	//255 QWebHistory::forwardItems(int) const
    {55, 256, 0, 0, Smoke::mf_const, 213, 5},	//256 QWebHistory::canGoBack() const
    {55, 257, 0, 0, Smoke::mf_const, 213, 6},	//257 QWebHistory::canGoForward() const
    {55, 248, 0, 0, 0, 0, 7},	//258 QWebHistory::back()
    {55, 378, 0, 0, 0, 0, 8},	//259 QWebHistory::forward()
    {55, 393, 123, 1, 0, 0, 9},	//260 QWebHistory::goToItem(const QWebHistoryItem&)
    {55, 249, 0, 0, Smoke::mf_const, 92, 10},	//261 QWebHistory::backItem() const
    {55, 294, 0, 0, Smoke::mf_const, 92, 11},	//262 QWebHistory::currentItem() const
    {55, 379, 0, 0, Smoke::mf_const, 92, 12},	//263 QWebHistory::forwardItem() const
    {55, 430, 38, 1, Smoke::mf_const, 92, 13},	//264 QWebHistory::itemAt(int) const
    {55, 295, 0, 0, Smoke::mf_const, 257, 14},	//265 QWebHistory::currentItemIndex() const
    {55, 285, 0, 0, Smoke::mf_const, 257, 15},	//266 QWebHistory::count() const
    {55, 477, 0, 0, Smoke::mf_const, 257, 16},	//267 QWebHistory::maximumItemCount() const
    {55, 694, 38, 1, 0, 0, 17},	//268 QWebHistory::setMaximumItemCount(int)
    {56, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 1},	//269 QWebHistoryInterface::metaObject() const
    {56, 570, 10, 1, Smoke::mf_virtual, 265, 2},	//270 QWebHistoryInterface::qt_metacast(const char*)
    {56, 803, 51, 2, Smoke::mf_static, 60, 3},	//271 QWebHistoryInterface::tr(const char*, const char*)
    {56, 807, 51, 2, Smoke::mf_static, 60, 4},	//272 QWebHistoryInterface::trUtf8(const char*, const char*)
    {56, 803, 54, 3, Smoke::mf_static, 60, 5},	//273 QWebHistoryInterface::tr(const char*, const char*, int)
    {56, 807, 54, 3, Smoke::mf_static, 60, 6},	//274 QWebHistoryInterface::trUtf8(const char*, const char*, int)
    {56, 568, 58, 3, Smoke::mf_virtual, 257, 7},	//275 QWebHistoryInterface::qt_metacall(QMetaObject::Call, int, void**)
    {56, 128, 125, 1, Smoke::mf_ctor, 91, 8},	//276 QWebHistoryInterface::QWebHistoryInterface(QObject*)
    {56, 654, 127, 1, Smoke::mf_static, 0, 9},	//277 QWebHistoryInterface::setDefaultInterface(QWebHistoryInterface*)
    {56, 302, 0, 0, Smoke::mf_static, 91, 10},	//278 QWebHistoryInterface::defaultInterface()
    {56, 409, 16, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 213, 11},	//279 QWebHistoryInterface::historyContains(const QString&) const [pure virtual]
    {56, 219, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//280 QWebHistoryInterface::addHistoryEntry(const QString&) [pure virtual]
    {56, 803, 10, 1, Smoke::mf_static, 60, 13},	//281 QWebHistoryInterface::tr(const char*)
    {56, 807, 10, 1, Smoke::mf_static, 60, 14},	//282 QWebHistoryInterface::trUtf8(const char*)
    {56, 128, 0, 0, Smoke::mf_ctor, 91, 15},	//283 QWebHistoryInterface::QWebHistoryInterface()
    {56, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 217, 16},	//284 QWebHistoryInterface::staticMetaObject() const
    {56, 854, 0, 0, Smoke::mf_dtor, 0, 17 },	//285 QWebHistoryInterface::~QWebHistoryInterface()
    {57, 130, 123, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 1},	//286 QWebHistoryItem::QWebHistoryItem(const QWebHistoryItem&)
    {57, 526, 123, 1, 0, 93, 2},	//287 QWebHistoryItem::operator=(const QWebHistoryItem&)
    {57, 537, 0, 0, Smoke::mf_const, 70, 3},	//288 QWebHistoryItem::originalUrl() const
    {57, 822, 0, 0, Smoke::mf_const, 70, 4},	//289 QWebHistoryItem::url() const
    {57, 790, 0, 0, Smoke::mf_const, 60, 5},	//290 QWebHistoryItem::title() const
    {57, 452, 0, 0, Smoke::mf_const, 8, 6},	//291 QWebHistoryItem::lastVisited() const
    {57, 414, 0, 0, Smoke::mf_const, 20, 7},	//292 QWebHistoryItem::icon() const
    {57, 827, 0, 0, Smoke::mf_const, 72, 8},	//293 QWebHistoryItem::userData() const
    {57, 747, 129, 1, 0, 0, 9},	//294 QWebHistoryItem::setUserData(const QVariant&)
    {57, 429, 0, 0, Smoke::mf_const, 213, 10},	//295 QWebHistoryItem::isValid() const
    {57, 855, 0, 0, Smoke::mf_dtor, 0, 11 },	//296 QWebHistoryItem::~QWebHistoryItem()
    {58, 132, 0, 0, Smoke::mf_ctor, 97, 1},	//297 QWebHitTestResult::QWebHitTestResult()
    {58, 132, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 2},	//298 QWebHitTestResult::QWebHitTestResult(const QWebHitTestResult&)
    {58, 526, 131, 1, 0, 96, 3},	//299 QWebHitTestResult::operator=(const QWebHitTestResult&)
    {58, 428, 0, 0, Smoke::mf_const, 213, 4},	//300 QWebHitTestResult::isNull() const
    {58, 553, 0, 0, Smoke::mf_const, 47, 5},	//301 QWebHitTestResult::pos() const
    {58, 254, 0, 0, Smoke::mf_const, 49, 6},	//302 QWebHitTestResult::boundingRect() const
    {58, 331, 0, 0, Smoke::mf_const, 75, 7},	//303 QWebHitTestResult::enclosingBlockElement() const
    {58, 790, 0, 0, Smoke::mf_const, 60, 8},	//304 QWebHitTestResult::title() const
    {58, 461, 0, 0, Smoke::mf_const, 60, 9},	//305 QWebHitTestResult::linkText() const
    {58, 463, 0, 0, Smoke::mf_const, 70, 10},	//306 QWebHitTestResult::linkUrl() const
    {58, 462, 0, 0, Smoke::mf_const, 70, 11},	//307 QWebHitTestResult::linkTitle() const
    {58, 460, 0, 0, Smoke::mf_const, 88, 12},	//308 QWebHitTestResult::linkTargetFrame() const
    {58, 457, 0, 0, Smoke::mf_const, 75, 13},	//309 QWebHitTestResult::linkElement() const
    {58, 227, 0, 0, Smoke::mf_const, 60, 14},	//310 QWebHitTestResult::alternateText() const
    {58, 419, 0, 0, Smoke::mf_const, 70, 15},	//311 QWebHitTestResult::imageUrl() const
    {58, 549, 0, 0, Smoke::mf_const, 46, 16},	//312 QWebHitTestResult::pixmap() const
    {58, 425, 0, 0, Smoke::mf_const, 213, 17},	//313 QWebHitTestResult::isContentEditable() const
    {58, 426, 0, 0, Smoke::mf_const, 213, 18},	//314 QWebHitTestResult::isContentSelected() const
    {58, 321, 0, 0, Smoke::mf_const, 75, 19},	//315 QWebHitTestResult::element() const
    {58, 383, 0, 0, Smoke::mf_const, 88, 20},	//316 QWebHitTestResult::frame() const
    {58, 856, 0, 0, Smoke::mf_dtor, 0, 21 },	//317 QWebHitTestResult::~QWebHitTestResult()
    {59, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 1},	//318 QWebInspector::metaObject() const
    {59, 570, 10, 1, Smoke::mf_virtual, 265, 2},	//319 QWebInspector::qt_metacast(const char*)
    {59, 803, 51, 2, Smoke::mf_static, 60, 3},	//320 QWebInspector::tr(const char*, const char*)
    {59, 807, 51, 2, Smoke::mf_static, 60, 4},	//321 QWebInspector::trUtf8(const char*, const char*)
    {59, 803, 54, 3, Smoke::mf_static, 60, 5},	//322 QWebInspector::tr(const char*, const char*, int)
    {59, 807, 54, 3, Smoke::mf_static, 60, 6},	//323 QWebInspector::trUtf8(const char*, const char*, int)
    {59, 568, 58, 3, Smoke::mf_virtual, 257, 7},	//324 QWebInspector::qt_metacall(QMetaObject::Call, int, void**)
    {59, 134, 133, 1, Smoke::mf_ctor, 98, 8},	//325 QWebInspector::QWebInspector(QWidget*)
    {59, 716, 135, 1, 0, 0, 9},	//326 QWebInspector::setPage(QWebPage*)
    {59, 538, 0, 0, Smoke::mf_const, 99, 10},	//327 QWebInspector::page() const
    {59, 765, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 11},	//328 QWebInspector::sizeHint() const
    {59, 339, 1, 1, Smoke::mf_virtual, 213, 12},	//329 QWebInspector::event(QEvent*)
    {59, 606, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//330 QWebInspector::resizeEvent(QResizeEvent*)
    {59, 762, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//331 QWebInspector::showEvent(QShowEvent*)
    {59, 406, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//332 QWebInspector::hideEvent(QHideEvent*)
    {59, 269, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//333 QWebInspector::closeEvent(QCloseEvent*)
    {59, 803, 10, 1, Smoke::mf_static, 60, 17},	//334 QWebInspector::tr(const char*)
    {59, 807, 10, 1, Smoke::mf_static, 60, 18},	//335 QWebInspector::trUtf8(const char*)
    {59, 134, 0, 0, Smoke::mf_ctor, 98, 19},	//336 QWebInspector::QWebInspector()
    {59, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 217, 20},	//337 QWebInspector::staticMetaObject() const
    {59, 857, 0, 0, Smoke::mf_dtor, 0, 21 },	//338 QWebInspector::~QWebInspector()
    {60, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 1},	//339 QWebPage::metaObject() const
    {60, 570, 10, 1, Smoke::mf_virtual, 265, 2},	//340 QWebPage::qt_metacast(const char*)
    {60, 803, 51, 2, Smoke::mf_static, 60, 3},	//341 QWebPage::tr(const char*, const char*)
    {60, 807, 51, 2, Smoke::mf_static, 60, 4},	//342 QWebPage::trUtf8(const char*, const char*)
    {60, 803, 54, 3, Smoke::mf_static, 60, 5},	//343 QWebPage::tr(const char*, const char*, int)
    {60, 807, 54, 3, Smoke::mf_static, 60, 6},	//344 QWebPage::trUtf8(const char*, const char*, int)
    {60, 568, 58, 3, Smoke::mf_virtual, 257, 7},	//345 QWebPage::qt_metacall(QMetaObject::Call, int, void**)
    {60, 136, 125, 1, Smoke::mf_ctor, 99, 8},	//346 QWebPage::QWebPage(QObject*)
    {60, 476, 0, 0, Smoke::mf_const, 88, 9},	//347 QWebPage::mainFrame() const
    {60, 293, 0, 0, Smoke::mf_const, 88, 10},	//348 QWebPage::currentFrame() const
    {60, 384, 93, 1, Smoke::mf_const, 88, 11},	//349 QWebPage::frameAt(const QPoint&) const
    {60, 408, 0, 0, Smoke::mf_const, 90, 12},	//350 QWebPage::history() const
    {60, 760, 0, 0, Smoke::mf_const, 126, 13},	//351 QWebPage::settings() const
    {60, 751, 133, 1, 0, 0, 14},	//352 QWebPage::setView(QWidget*)
    {60, 829, 0, 0, Smoke::mf_const, 134, 15},	//353 QWebPage::view() const
    {60, 427, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 16},	//354 QWebPage::isModified() const
    {60, 817, 0, 0, Smoke::mf_const, 69, 17},	//355 QWebPage::undoStack() const
    {60, 702, 145, 1, 0, 0, 18},	//356 QWebPage::setNetworkAccessManager(QNetworkAccessManager*)
    {60, 498, 0, 0, Smoke::mf_const, 36, 19},	//357 QWebPage::networkAccessManager() const
    {60, 724, 147, 1, 0, 0, 20},	//358 QWebPage::setPluginFactory(QWebPluginFactory*)
    {60, 550, 0, 0, Smoke::mf_const, 117, 21},	//359 QWebPage::pluginFactory() const
    {60, 802, 0, 0, Smoke::mf_const, 264, 22},	//360 QWebPage::totalBytes() const
    {60, 255, 0, 0, Smoke::mf_const, 264, 23},	//361 QWebPage::bytesReceived() const
    {60, 404, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 24},	//362 QWebPage::hasSelection() const
    {60, 632, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 25},	//363 QWebPage::selectedText() const
    {60, 631, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 26},	//364 QWebPage::selectedHtml() const
    {60, 214, 149, 1, Smoke::mf_const, 1, 27},	//365 QWebPage::action(QWebPage::WebAction) const
    {60, 811, 151, 2, Smoke::mf_virtual, 0, 28},	//366 QWebPage::triggerAction(QWebPage::WebAction, bool)
    {60, 833, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 29},	//367 QWebPage::viewportSize() const
    {60, 753, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 30},	//368 QWebPage::setViewportSize(const QSize&) const
    {60, 830, 106, 1, Smoke::mf_const, 113, 31},	//369 QWebPage::viewportAttributesForSize(const QSize&) const
    {60, 554, 0, 0, Smoke::mf_const|Smoke::mf_property, 54, 32},	//370 QWebPage::preferredContentsSize() const
    {60, 726, 106, 1, Smoke::mf_const|Smoke::mf_property, 0, 33},	//371 QWebPage::setPreferredContentsSize(const QSize&) const
    {60, 634, 154, 1, Smoke::mf_const, 0, 34},	//372 QWebPage::setActualVisibleContentRect(const QRect&) const
    {60, 339, 1, 1, Smoke::mf_virtual, 213, 35},	//373 QWebPage::event(QEvent*)
    {60, 369, 108, 1, 0, 213, 36},	//374 QWebPage::focusNextPrevChild(bool)
    {60, 423, 156, 1, Smoke::mf_const, 72, 37},	//375 QWebPage::inputMethodQuery(Qt::InputMethodQuery) const
    {60, 362, 158, 2, 0, 213, 38},	//376 QWebPage::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {60, 679, 108, 1, Smoke::mf_property, 0, 39},	//377 QWebPage::setForwardUnsupportedContent(bool)
    {60, 382, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 40},	//378 QWebPage::forwardUnsupportedContent() const
    {60, 690, 161, 1, Smoke::mf_property, 0, 41},	//379 QWebPage::setLinkDelegationPolicy(QWebPage::LinkDelegationPolicy)
    {60, 456, 0, 0, Smoke::mf_const|Smoke::mf_property, 110, 42},	//380 QWebPage::linkDelegationPolicy() const
    {60, 718, 163, 1, Smoke::mf_property, 0, 43},	//381 QWebPage::setPalette(const QPalette&)
    {60, 545, 0, 0, Smoke::mf_const|Smoke::mf_property, 45, 44},	//382 QWebPage::palette() const
    {60, 648, 108, 1, Smoke::mf_property, 0, 45},	//383 QWebPage::setContentEditable(bool)
    {60, 425, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 46},	//384 QWebPage::isContentEditable() const
    {60, 781, 165, 1, 0, 213, 47},	//385 QWebPage::swallowContextMenuEvent(QContextMenuEvent*)
    {60, 820, 93, 1, 0, 0, 48},	//386 QWebPage::updatePositionDependentActions(const QPoint&)
    {60, 290, 0, 0, 0, 31, 49},	//387 QWebPage::createStandardContextMenu()
    {60, 668, 167, 3, 0, 0, 50},	//388 QWebPage::setFeaturePermission(QWebFrame*, QWebPage::Feature, QWebPage::PermissionPolicy)
    {60, 776, 0, 0, Smoke::mf_const, 63, 51},	//389 QWebPage::supportedContentTypes() const
    {60, 777, 16, 1, Smoke::mf_const, 213, 52},	//390 QWebPage::supportsContentType(const QString&) const
    {60, 343, 171, 3, Smoke::mf_virtual, 213, 53},	//391 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*, QWebPage::ExtensionReturn*)
    {60, 779, 175, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 54},	//392 QWebPage::supportsExtension(QWebPage::Extension) const
    {60, 395, 0, 0, Smoke::mf_const, 116, 55},	//393 QWebPage::handle() const
    {60, 761, 0, 0, Smoke::mf_slot, 213, 56},	//394 QWebPage::shouldInterruptJavaScript()
    {60, 472, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//395 QWebPage::loadStarted()
    {60, 470, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//396 QWebPage::loadProgress(int)
    {60, 468, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//397 QWebPage::loadFinished(bool)
    {60, 458, 21, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//398 QWebPage::linkHovered(const QString&, const QString&, const QString&)
    {60, 767, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 61},	//399 QWebPage::statusBarMessage(const QString&)
    {60, 633, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 62},	//400 QWebPage::selectionChanged()
    {60, 386, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 63},	//401 QWebPage::frameCreated(QWebFrame*)
    {60, 390, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 64},	//402 QWebPage::geometryChangeRequested(const QRect&)
    {60, 594, 154, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 65},	//403 QWebPage::repaintRequested(const QRect&)
    {60, 626, 179, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 66},	//404 QWebPage::scrollRequested(int, int, const QRect&)
    {60, 840, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 67},	//405 QWebPage::windowCloseRequested()
    {60, 565, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 68},	//406 QWebPage::printRequested(QWebFrame*)
    {60, 454, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//407 QWebPage::linkClicked(const QUrl&)
    {60, 800, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//408 QWebPage::toolBarVisibilityChangeRequested(bool)
    {60, 769, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//409 QWebPage::statusBarVisibilityChangeRequested(bool)
    {60, 479, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//410 QWebPage::menuBarVisibilityChangeRequested(bool)
    {60, 818, 183, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//411 QWebPage::unsupportedContent(QNetworkReply*)
    {60, 311, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//412 QWebPage::downloadRequested(const QNetworkRequest&)
    {60, 484, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//413 QWebPage::microFocusChanged()
    {60, 279, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 76},	//414 QWebPage::contentsChanged()
    {60, 298, 185, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 77},	//415 QWebPage::databaseQuotaExceeded(QWebFrame*, QString)
    {60, 236, 188, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//416 QWebPage::applicationCacheQuotaExceeded(QWebSecurityOrigin*, quint64)
    {60, 610, 191, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//417 QWebPage::saveFrameStateRequested(QWebFrame*, QWebHistoryItem*)
    {60, 608, 177, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//418 QWebPage::restoreFrameStateRequested(QWebFrame*)
    {60, 832, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//419 QWebPage::viewportChangeRequested()
    {60, 349, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//420 QWebPage::featurePermissionRequested(QWebFrame*, QWebPage::Feature)
    {60, 347, 194, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//421 QWebPage::featurePermissionRequestCanceled(QWebFrame*, QWebPage::Feature)
    {60, 291, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 99, 84},	//422 QWebPage::createWindow(QWebPage::WebWindowType)
    {60, 288, 199, 4, Smoke::mf_protected|Smoke::mf_virtual, 39, 85},	//423 QWebPage::createPlugin(const QString&, const QUrl&, const QStringList&, const QStringList&)
    {60, 212, 204, 3, Smoke::mf_protected|Smoke::mf_virtual, 213, 86},	//424 QWebPage::acceptNavigationRequest(QWebFrame*, const QNetworkRequest&, QWebPage::NavigationType)
    {60, 262, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 60, 87},	//425 QWebPage::chooseFile(QWebFrame*, const QString&)
    {60, 436, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 88},	//426 QWebPage::javaScriptAlert(QWebFrame*, const QString&)
    {60, 438, 208, 2, Smoke::mf_protected|Smoke::mf_virtual, 213, 89},	//427 QWebPage::javaScriptConfirm(QWebFrame*, const QString&)
    {60, 442, 211, 4, Smoke::mf_protected|Smoke::mf_virtual, 213, 90},	//428 QWebPage::javaScriptPrompt(QWebFrame*, const QString&, const QString&, QString*)
    {60, 440, 216, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 91},	//429 QWebPage::javaScriptConsoleMessage(const QString&, int, const QString&)
    {60, 825, 62, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 60, 92},	//430 QWebPage::userAgentForUrl(const QUrl&) const
    {60, 803, 10, 1, Smoke::mf_static, 60, 93},	//431 QWebPage::tr(const char*)
    {60, 807, 10, 1, Smoke::mf_static, 60, 94},	//432 QWebPage::trUtf8(const char*)
    {60, 136, 0, 0, Smoke::mf_ctor, 99, 95},	//433 QWebPage::QWebPage()
    {60, 811, 149, 1, 0, 0, 96},	//434 QWebPage::triggerAction(QWebPage::WebAction)
    {60, 362, 16, 1, 0, 213, 97},	//435 QWebPage::findText(const QString&)
    {60, 343, 175, 1, 0, 213, 98},	//436 QWebPage::extension(QWebPage::Extension)
    {60, 343, 220, 2, 0, 213, 99},	//437 QWebPage::extension(QWebPage::Extension, const QWebPage::ExtensionOption*)
    {60, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 217, 100},	//438 QWebPage::staticMetaObject() const
    {60, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 101},	//439 QWebPage::NavigationTypeLinkClicked (enum)
    {60, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 102},	//440 QWebPage::NavigationTypeFormSubmitted (enum)
    {60, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 103},	//441 QWebPage::NavigationTypeBackOrForward (enum)
    {60, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 104},	//442 QWebPage::NavigationTypeReload (enum)
    {60, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 105},	//443 QWebPage::NavigationTypeFormResubmitted (enum)
    {60, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 106},	//444 QWebPage::NavigationTypeOther (enum)
    {60, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 107},	//445 QWebPage::NoWebAction (enum)
    {60, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 108},	//446 QWebPage::OpenLink (enum)
    {60, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 109},	//447 QWebPage::OpenLinkInNewWindow (enum)
    {60, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 110},	//448 QWebPage::OpenFrameInNewWindow (enum)
    {60, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 111},	//449 QWebPage::DownloadLinkToDisk (enum)
    {60, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 112},	//450 QWebPage::CopyLinkToClipboard (enum)
    {60, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 113},	//451 QWebPage::OpenImageInNewWindow (enum)
    {60, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 114},	//452 QWebPage::DownloadImageToDisk (enum)
    {60, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 115},	//453 QWebPage::CopyImageToClipboard (enum)
    {60, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 116},	//454 QWebPage::Back (enum)
    {60, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 117},	//455 QWebPage::Forward (enum)
    {60, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 118},	//456 QWebPage::Stop (enum)
    {60, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 119},	//457 QWebPage::Reload (enum)
    {60, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 120},	//458 QWebPage::Cut (enum)
    {60, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 121},	//459 QWebPage::Copy (enum)
    {60, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 122},	//460 QWebPage::Paste (enum)
    {60, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 123},	//461 QWebPage::Undo (enum)
    {60, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 124},	//462 QWebPage::Redo (enum)
    {60, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 125},	//463 QWebPage::MoveToNextChar (enum)
    {60, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 126},	//464 QWebPage::MoveToPreviousChar (enum)
    {60, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 127},	//465 QWebPage::MoveToNextWord (enum)
    {60, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 128},	//466 QWebPage::MoveToPreviousWord (enum)
    {60, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 129},	//467 QWebPage::MoveToNextLine (enum)
    {60, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 130},	//468 QWebPage::MoveToPreviousLine (enum)
    {60, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 131},	//469 QWebPage::MoveToStartOfLine (enum)
    {60, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 132},	//470 QWebPage::MoveToEndOfLine (enum)
    {60, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 133},	//471 QWebPage::MoveToStartOfBlock (enum)
    {60, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 134},	//472 QWebPage::MoveToEndOfBlock (enum)
    {60, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 135},	//473 QWebPage::MoveToStartOfDocument (enum)
    {60, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 136},	//474 QWebPage::MoveToEndOfDocument (enum)
    {60, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 137},	//475 QWebPage::SelectNextChar (enum)
    {60, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 138},	//476 QWebPage::SelectPreviousChar (enum)
    {60, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 139},	//477 QWebPage::SelectNextWord (enum)
    {60, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 140},	//478 QWebPage::SelectPreviousWord (enum)
    {60, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 141},	//479 QWebPage::SelectNextLine (enum)
    {60, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 142},	//480 QWebPage::SelectPreviousLine (enum)
    {60, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 143},	//481 QWebPage::SelectStartOfLine (enum)
    {60, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 144},	//482 QWebPage::SelectEndOfLine (enum)
    {60, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 145},	//483 QWebPage::SelectStartOfBlock (enum)
    {60, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 146},	//484 QWebPage::SelectEndOfBlock (enum)
    {60, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 147},	//485 QWebPage::SelectStartOfDocument (enum)
    {60, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 148},	//486 QWebPage::SelectEndOfDocument (enum)
    {60, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 149},	//487 QWebPage::DeleteStartOfWord (enum)
    {60, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 150},	//488 QWebPage::DeleteEndOfWord (enum)
    {60, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 151},	//489 QWebPage::SetTextDirectionDefault (enum)
    {60, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 152},	//490 QWebPage::SetTextDirectionLeftToRight (enum)
    {60, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 153},	//491 QWebPage::SetTextDirectionRightToLeft (enum)
    {60, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 154},	//492 QWebPage::ToggleBold (enum)
    {60, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 155},	//493 QWebPage::ToggleItalic (enum)
    {60, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 156},	//494 QWebPage::ToggleUnderline (enum)
    {60, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 157},	//495 QWebPage::InspectElement (enum)
    {60, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 158},	//496 QWebPage::InsertParagraphSeparator (enum)
    {60, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 159},	//497 QWebPage::InsertLineSeparator (enum)
    {60, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 160},	//498 QWebPage::SelectAll (enum)
    {60, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 161},	//499 QWebPage::ReloadAndBypassCache (enum)
    {60, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 162},	//500 QWebPage::PasteAndMatchStyle (enum)
    {60, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 163},	//501 QWebPage::RemoveFormat (enum)
    {60, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 164},	//502 QWebPage::ToggleStrikethrough (enum)
    {60, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 165},	//503 QWebPage::ToggleSubscript (enum)
    {60, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 166},	//504 QWebPage::ToggleSuperscript (enum)
    {60, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 167},	//505 QWebPage::InsertUnorderedList (enum)
    {60, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 168},	//506 QWebPage::InsertOrderedList (enum)
    {60, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 169},	//507 QWebPage::Indent (enum)
    {60, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 170},	//508 QWebPage::Outdent (enum)
    {60, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 171},	//509 QWebPage::AlignCenter (enum)
    {60, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 172},	//510 QWebPage::AlignJustified (enum)
    {60, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 173},	//511 QWebPage::AlignLeft (enum)
    {60, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 174},	//512 QWebPage::AlignRight (enum)
    {60, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 175},	//513 QWebPage::StopScheduledPageRefresh (enum)
    {60, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 176},	//514 QWebPage::CopyImageUrlToClipboard (enum)
    {60, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 177},	//515 QWebPage::WebActionCount (enum)
    {60, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 178},	//516 QWebPage::FindBackward (enum)
    {60, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 179},	//517 QWebPage::FindCaseSensitively (enum)
    {60, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 180},	//518 QWebPage::FindWrapsAroundDocument (enum)
    {60, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 181},	//519 QWebPage::HighlightAllOccurrences (enum)
    {60, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 182},	//520 QWebPage::DontDelegateLinks (enum)
    {60, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 183},	//521 QWebPage::DelegateExternalLinks (enum)
    {60, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 184},	//522 QWebPage::DelegateAllLinks (enum)
    {60, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 185},	//523 QWebPage::WebBrowserWindow (enum)
    {60, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 186},	//524 QWebPage::WebModalDialog (enum)
    {60, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 187},	//525 QWebPage::PermissionUnknown (enum)
    {60, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 188},	//526 QWebPage::PermissionGrantedByUser (enum)
    {60, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 189},	//527 QWebPage::PermissionDeniedByUser (enum)
    {60, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 190},	//528 QWebPage::Notifications (enum)
    {60, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 191},	//529 QWebPage::Geolocation (enum)
    {60, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 192},	//530 QWebPage::ChooseMultipleFilesExtension (enum)
    {60, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 193},	//531 QWebPage::ErrorPageExtension (enum)
    {60, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 194},	//532 QWebPage::QtNetwork (enum)
    {60, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 195},	//533 QWebPage::Http (enum)
    {60, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 196},	//534 QWebPage::WebKit (enum)
    {60, 858, 0, 0, Smoke::mf_dtor, 0, 197 },	//535 QWebPage::~QWebPage()
    {61, 11, 0, 0, Smoke::mf_ctor, 100, 1},	//536 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption()
    {61, 11, 223, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 2},	//537 QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption(const QWebPage::ChooseMultipleFilesExtensionOption&)
    {61, 548, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 88, 3},	//538 QWebPage::ChooseMultipleFilesExtensionOption::parentFrame() const
    {61, 720, 177, 1, Smoke::mf_attribute, 0, 4},	//539 QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame(QWebFrame*)
    {61, 775, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 5},	//540 QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames() const
    {61, 741, 225, 1, Smoke::mf_attribute, 0, 6},	//541 QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames(const QStringList&)
    {61, 843, 0, 0, Smoke::mf_dtor, 0, 7 },	//542 QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption()
    {62, 13, 0, 0, Smoke::mf_ctor, 101, 1},	//543 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn()
    {62, 13, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 2},	//544 QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn(const QWebPage::ChooseMultipleFilesExtensionReturn&)
    {62, 353, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 3},	//545 QWebPage::ChooseMultipleFilesExtensionReturn::fileNames() const
    {62, 672, 225, 1, Smoke::mf_attribute, 0, 4},	//546 QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames(const QStringList&)
    {62, 844, 0, 0, Smoke::mf_dtor, 0, 5 },	//547 QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn()
    {63, 39, 0, 0, Smoke::mf_ctor, 103, 1},	//548 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption()
    {63, 39, 229, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 103, 2},	//549 QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption(const QWebPage::ErrorPageExtensionOption&)
    {63, 822, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 71, 3},	//550 QWebPage::ErrorPageExtensionOption::url() const
    {63, 745, 62, 1, Smoke::mf_attribute, 0, 4},	//551 QWebPage::ErrorPageExtensionOption::setUrl(const QUrl&)
    {63, 383, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 88, 5},	//552 QWebPage::ErrorPageExtensionOption::frame() const
    {63, 681, 177, 1, Smoke::mf_attribute, 0, 6},	//553 QWebPage::ErrorPageExtensionOption::setFrame(QWebFrame*)
    {63, 310, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 102, 7},	//554 QWebPage::ErrorPageExtensionOption::domain() const
    {63, 660, 231, 1, Smoke::mf_attribute, 0, 8},	//555 QWebPage::ErrorPageExtensionOption::setDomain(QWebPage::ErrorDomain)
    {63, 335, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 257, 9},	//556 QWebPage::ErrorPageExtensionOption::error() const
    {63, 664, 38, 1, Smoke::mf_attribute, 0, 10},	//557 QWebPage::ErrorPageExtensionOption::setError(int)
    {63, 336, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 11},	//558 QWebPage::ErrorPageExtensionOption::errorString() const
    {63, 666, 16, 1, Smoke::mf_attribute, 0, 12},	//559 QWebPage::ErrorPageExtensionOption::setErrorString(const QString&)
    {63, 845, 0, 0, Smoke::mf_dtor, 0, 13 },	//560 QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption()
    {64, 41, 0, 0, Smoke::mf_ctor, 104, 1},	//561 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn()
    {64, 41, 233, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 2},	//562 QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn(const QWebPage::ErrorPageExtensionReturn&)
    {64, 278, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 3},	//563 QWebPage::ErrorPageExtensionReturn::contentType() const
    {64, 650, 16, 1, Smoke::mf_attribute, 0, 4},	//564 QWebPage::ErrorPageExtensionReturn::setContentType(const QString&)
    {64, 332, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//565 QWebPage::ErrorPageExtensionReturn::encoding() const
    {64, 662, 16, 1, Smoke::mf_attribute, 0, 6},	//566 QWebPage::ErrorPageExtensionReturn::setEncoding(const QString&)
    {64, 252, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 71, 7},	//567 QWebPage::ErrorPageExtensionReturn::baseUrl() const
    {64, 642, 62, 1, Smoke::mf_attribute, 0, 8},	//568 QWebPage::ErrorPageExtensionReturn::setBaseUrl(const QUrl&)
    {64, 277, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 4, 9},	//569 QWebPage::ErrorPageExtensionReturn::content() const
    {64, 644, 115, 1, Smoke::mf_attribute, 0, 10},	//570 QWebPage::ErrorPageExtensionReturn::setContent(const QByteArray&)
    {64, 846, 0, 0, Smoke::mf_dtor, 0, 11 },	//571 QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn()
    {65, 43, 0, 0, Smoke::mf_ctor, 106, 1},	//572 QWebPage::ExtensionOption::ExtensionOption()
    {65, 43, 235, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 106, 2},	//573 QWebPage::ExtensionOption::ExtensionOption(const QWebPage::ExtensionOption&)
    {65, 847, 0, 0, Smoke::mf_dtor, 0, 3 },	//574 QWebPage::ExtensionOption::~ExtensionOption()
    {66, 45, 0, 0, Smoke::mf_ctor, 107, 1},	//575 QWebPage::ExtensionReturn::ExtensionReturn()
    {66, 45, 237, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//576 QWebPage::ExtensionReturn::ExtensionReturn(const QWebPage::ExtensionReturn&)
    {66, 848, 0, 0, Smoke::mf_dtor, 0, 3 },	//577 QWebPage::ExtensionReturn::~ExtensionReturn()
    {69, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 1},	//578 QWebPluginFactory::metaObject() const
    {69, 570, 10, 1, Smoke::mf_virtual, 265, 2},	//579 QWebPluginFactory::qt_metacast(const char*)
    {69, 803, 51, 2, Smoke::mf_static, 60, 3},	//580 QWebPluginFactory::tr(const char*, const char*)
    {69, 807, 51, 2, Smoke::mf_static, 60, 4},	//581 QWebPluginFactory::trUtf8(const char*, const char*)
    {69, 803, 54, 3, Smoke::mf_static, 60, 5},	//582 QWebPluginFactory::tr(const char*, const char*, int)
    {69, 807, 54, 3, Smoke::mf_static, 60, 6},	//583 QWebPluginFactory::trUtf8(const char*, const char*, int)
    {69, 568, 58, 3, Smoke::mf_virtual, 257, 7},	//584 QWebPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {69, 138, 125, 1, Smoke::mf_ctor, 117, 8},	//585 QWebPluginFactory::QWebPluginFactory(QObject*)
    {69, 551, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 29, 9},	//586 QWebPluginFactory::plugins() const [pure virtual]
    {69, 572, 0, 0, Smoke::mf_virtual, 0, 10},	//587 QWebPluginFactory::refreshPlugins()
    {69, 286, 199, 4, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 39, 11},	//588 QWebPluginFactory::create(const QString&, const QUrl&, const QStringList&, const QStringList&) const [pure virtual]
    {69, 343, 239, 3, Smoke::mf_virtual, 213, 12},	//589 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*, QWebPluginFactory::ExtensionReturn*)
    {69, 779, 243, 1, Smoke::mf_const|Smoke::mf_virtual, 213, 13},	//590 QWebPluginFactory::supportsExtension(QWebPluginFactory::Extension) const
    {69, 803, 10, 1, Smoke::mf_static, 60, 14},	//591 QWebPluginFactory::tr(const char*)
    {69, 807, 10, 1, Smoke::mf_static, 60, 15},	//592 QWebPluginFactory::trUtf8(const char*)
    {69, 138, 0, 0, Smoke::mf_ctor, 117, 16},	//593 QWebPluginFactory::QWebPluginFactory()
    {69, 343, 243, 1, 0, 213, 17},	//594 QWebPluginFactory::extension(QWebPluginFactory::Extension)
    {69, 343, 245, 2, 0, 213, 18},	//595 QWebPluginFactory::extension(QWebPluginFactory::Extension, const QWebPluginFactory::ExtensionOption*)
    {69, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 217, 19},	//596 QWebPluginFactory::staticMetaObject() const
    {69, 859, 0, 0, Smoke::mf_dtor, 0, 20 },	//597 QWebPluginFactory::~QWebPluginFactory()
    {70, 43, 0, 0, Smoke::mf_ctor, 119, 1},	//598 QWebPluginFactory::ExtensionOption::ExtensionOption()
    {70, 43, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//599 QWebPluginFactory::ExtensionOption::ExtensionOption(const QWebPluginFactory::ExtensionOption&)
    {70, 847, 0, 0, Smoke::mf_dtor, 0, 3 },	//600 QWebPluginFactory::ExtensionOption::~ExtensionOption()
    {71, 45, 0, 0, Smoke::mf_ctor, 120, 1},	//601 QWebPluginFactory::ExtensionReturn::ExtensionReturn()
    {71, 45, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 120, 2},	//602 QWebPluginFactory::ExtensionReturn::ExtensionReturn(const QWebPluginFactory::ExtensionReturn&)
    {71, 848, 0, 0, Smoke::mf_dtor, 0, 3 },	//603 QWebPluginFactory::ExtensionReturn::~ExtensionReturn()
    {72, 528, 252, 1, Smoke::mf_const, 213, 1},	//604 QWebPluginFactory::MimeType::operator==(const QWebPluginFactory::MimeType&) const
    {72, 504, 252, 1, Smoke::mf_const, 213, 2},	//605 QWebPluginFactory::MimeType::operator!=(const QWebPluginFactory::MimeType&) const
    {72, 77, 0, 0, Smoke::mf_ctor, 121, 3},	//606 QWebPluginFactory::MimeType::MimeType()
    {72, 77, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 4},	//607 QWebPluginFactory::MimeType::MimeType(const QWebPluginFactory::MimeType&)
    {72, 496, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//608 QWebPluginFactory::MimeType::name() const
    {72, 700, 16, 1, Smoke::mf_attribute, 0, 6},	//609 QWebPluginFactory::MimeType::setName(const QString&)
    {72, 304, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 7},	//610 QWebPluginFactory::MimeType::description() const
    {72, 658, 16, 1, Smoke::mf_attribute, 0, 8},	//611 QWebPluginFactory::MimeType::setDescription(const QString&)
    {72, 351, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 64, 9},	//612 QWebPluginFactory::MimeType::fileExtensions() const
    {72, 670, 225, 1, Smoke::mf_attribute, 0, 10},	//613 QWebPluginFactory::MimeType::setFileExtensions(const QStringList&)
    {72, 849, 0, 0, Smoke::mf_dtor, 0, 11 },	//614 QWebPluginFactory::MimeType::~MimeType()
    {73, 116, 0, 0, Smoke::mf_ctor, 122, 1},	//615 QWebPluginFactory::Plugin::Plugin()
    {73, 116, 254, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 122, 2},	//616 QWebPluginFactory::Plugin::Plugin(const QWebPluginFactory::Plugin&)
    {73, 496, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 3},	//617 QWebPluginFactory::Plugin::name() const
    {73, 700, 16, 1, Smoke::mf_attribute, 0, 4},	//618 QWebPluginFactory::Plugin::setName(const QString&)
    {73, 304, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 61, 5},	//619 QWebPluginFactory::Plugin::description() const
    {73, 658, 16, 1, Smoke::mf_attribute, 0, 6},	//620 QWebPluginFactory::Plugin::setDescription(const QString&)
    {73, 485, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 28, 7},	//621 QWebPluginFactory::Plugin::mimeTypes() const
    {73, 698, 256, 1, Smoke::mf_attribute, 0, 8},	//622 QWebPluginFactory::Plugin::setMimeTypes(const QList<QWebPluginFactory::MimeType>&)
    {73, 850, 0, 0, Smoke::mf_dtor, 0, 9 },	//623 QWebPluginFactory::Plugin::~Plugin()
    {74, 226, 0, 0, Smoke::mf_static, 30, 1},	//624 QWebSecurityOrigin::allOrigins()
    {74, 221, 16, 1, Smoke::mf_static, 0, 2},	//625 QWebSecurityOrigin::addLocalScheme(const QString&)
    {74, 585, 16, 1, Smoke::mf_static, 0, 3},	//626 QWebSecurityOrigin::removeLocalScheme(const QString&)
    {74, 474, 0, 0, Smoke::mf_static, 63, 4},	//627 QWebSecurityOrigin::localSchemes()
    {74, 612, 0, 0, Smoke::mf_const, 60, 5},	//628 QWebSecurityOrigin::scheme() const
    {74, 413, 0, 0, Smoke::mf_const, 60, 6},	//629 QWebSecurityOrigin::host() const
    {74, 552, 0, 0, Smoke::mf_const, 257, 7},	//630 QWebSecurityOrigin::port() const
    {74, 300, 0, 0, Smoke::mf_const, 259, 8},	//631 QWebSecurityOrigin::databaseUsage() const
    {74, 297, 0, 0, Smoke::mf_const, 259, 9},	//632 QWebSecurityOrigin::databaseQuota() const
    {74, 652, 258, 1, 0, 0, 10},	//633 QWebSecurityOrigin::setDatabaseQuota(long long)
    {74, 636, 258, 1, 0, 0, 11},	//634 QWebSecurityOrigin::setApplicationCacheQuota(long long)
    {74, 301, 0, 0, Smoke::mf_const, 24, 12},	//635 QWebSecurityOrigin::databases() const
    {74, 140, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 13},	//636 QWebSecurityOrigin::QWebSecurityOrigin(const QWebSecurityOrigin&)
    {74, 526, 260, 1, 0, 124, 14},	//637 QWebSecurityOrigin::operator=(const QWebSecurityOrigin&)
    {74, 860, 0, 0, Smoke::mf_dtor, 0, 15 },	//638 QWebSecurityOrigin::~QWebSecurityOrigin()
    {75, 392, 0, 0, Smoke::mf_static, 126, 1},	//639 QWebSettings::globalSettings()
    {75, 675, 262, 2, 0, 0, 2},	//640 QWebSettings::setFontFamily(QWebSettings::FontFamily, const QString&)
    {75, 374, 265, 1, Smoke::mf_const, 60, 3},	//641 QWebSettings::fontFamily(QWebSettings::FontFamily) const
    {75, 602, 265, 1, 0, 0, 4},	//642 QWebSettings::resetFontFamily(QWebSettings::FontFamily)
    {75, 677, 267, 2, 0, 0, 5},	//643 QWebSettings::setFontSize(QWebSettings::FontSize, int)
    {75, 376, 270, 1, Smoke::mf_const, 257, 6},	//644 QWebSettings::fontSize(QWebSettings::FontSize) const
    {75, 604, 270, 1, 0, 0, 7},	//645 QWebSettings::resetFontSize(QWebSettings::FontSize)
    {75, 638, 272, 2, 0, 0, 8},	//646 QWebSettings::setAttribute(QWebSettings::WebAttribute, bool)
    {75, 786, 275, 1, Smoke::mf_const, 213, 9},	//647 QWebSettings::testAttribute(QWebSettings::WebAttribute) const
    {75, 600, 275, 1, 0, 0, 10},	//648 QWebSettings::resetAttribute(QWebSettings::WebAttribute)
    {75, 749, 62, 1, 0, 0, 11},	//649 QWebSettings::setUserStyleSheetUrl(const QUrl&)
    {75, 828, 0, 0, Smoke::mf_const, 70, 12},	//650 QWebSettings::userStyleSheetUrl() const
    {75, 656, 16, 1, 0, 0, 13},	//651 QWebSettings::setDefaultTextEncoding(const QString&)
    {75, 303, 0, 0, Smoke::mf_const, 60, 14},	//652 QWebSettings::defaultTextEncoding() const
    {75, 686, 16, 1, Smoke::mf_static, 0, 15},	//653 QWebSettings::setIconDatabasePath(const QString&)
    {75, 416, 0, 0, Smoke::mf_static, 60, 16},	//654 QWebSettings::iconDatabasePath()
    {75, 266, 0, 0, Smoke::mf_static, 0, 17},	//655 QWebSettings::clearIconDatabase()
    {75, 417, 62, 1, Smoke::mf_static, 20, 18},	//656 QWebSettings::iconForUrl(const QUrl&)
    {75, 756, 277, 2, Smoke::mf_static, 0, 19},	//657 QWebSettings::setWebGraphic(QWebSettings::WebGraphic, const QPixmap&)
    {75, 835, 280, 1, Smoke::mf_static, 46, 20},	//658 QWebSettings::webGraphic(QWebSettings::WebGraphic)
    {75, 696, 38, 1, Smoke::mf_static, 0, 21},	//659 QWebSettings::setMaximumPagesInCache(int)
    {75, 478, 0, 0, Smoke::mf_static, 257, 22},	//660 QWebSettings::maximumPagesInCache()
    {75, 704, 282, 3, Smoke::mf_static, 0, 23},	//661 QWebSettings::setObjectCacheCapacities(int, int, int)
    {75, 708, 16, 1, Smoke::mf_static, 0, 24},	//662 QWebSettings::setOfflineStoragePath(const QString&)
    {75, 501, 0, 0, Smoke::mf_static, 60, 25},	//663 QWebSettings::offlineStoragePath()
    {75, 706, 258, 1, Smoke::mf_static, 0, 26},	//664 QWebSettings::setOfflineStorageDefaultQuota(long long)
    {75, 500, 0, 0, Smoke::mf_static, 259, 27},	//665 QWebSettings::offlineStorageDefaultQuota()
    {75, 710, 16, 1, Smoke::mf_static, 0, 28},	//666 QWebSettings::setOfflineWebApplicationCachePath(const QString&)
    {75, 502, 0, 0, Smoke::mf_static, 60, 29},	//667 QWebSettings::offlineWebApplicationCachePath()
    {75, 712, 258, 1, Smoke::mf_static, 0, 30},	//668 QWebSettings::setOfflineWebApplicationCacheQuota(long long)
    {75, 503, 0, 0, Smoke::mf_static, 259, 31},	//669 QWebSettings::offlineWebApplicationCacheQuota()
    {75, 692, 16, 1, 0, 0, 32},	//670 QWebSettings::setLocalStoragePath(const QString&)
    {75, 475, 0, 0, Smoke::mf_const, 60, 33},	//671 QWebSettings::localStoragePath() const
    {75, 267, 0, 0, Smoke::mf_static, 0, 34},	//672 QWebSettings::clearMemoryCaches()
    {75, 322, 16, 1, Smoke::mf_static, 0, 35},	//673 QWebSettings::enablePersistentStorage(const QString&)
    {75, 395, 0, 0, Smoke::mf_const, 131, 36},	//674 QWebSettings::handle() const
    {75, 322, 0, 0, Smoke::mf_static, 0, 37},	//675 QWebSettings::enablePersistentStorage()
    {75, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 38},	//676 QWebSettings::StandardFont (enum)
    {75, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 39},	//677 QWebSettings::FixedFont (enum)
    {75, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 40},	//678 QWebSettings::SerifFont (enum)
    {75, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 41},	//679 QWebSettings::SansSerifFont (enum)
    {75, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 42},	//680 QWebSettings::CursiveFont (enum)
    {75, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 43},	//681 QWebSettings::FantasyFont (enum)
    {75, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 44},	//682 QWebSettings::AutoLoadImages (enum)
    {75, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 45},	//683 QWebSettings::JavascriptEnabled (enum)
    {75, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 46},	//684 QWebSettings::JavaEnabled (enum)
    {75, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 47},	//685 QWebSettings::PluginsEnabled (enum)
    {75, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 48},	//686 QWebSettings::PrivateBrowsingEnabled (enum)
    {75, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 49},	//687 QWebSettings::JavascriptCanOpenWindows (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 50},	//688 QWebSettings::JavascriptCanAccessClipboard (enum)
    {75, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 51},	//689 QWebSettings::DeveloperExtrasEnabled (enum)
    {75, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 52},	//690 QWebSettings::LinksIncludedInFocusChain (enum)
    {75, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 53},	//691 QWebSettings::ZoomTextOnly (enum)
    {75, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 54},	//692 QWebSettings::PrintElementBackgrounds (enum)
    {75, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 55},	//693 QWebSettings::OfflineStorageDatabaseEnabled (enum)
    {75, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 56},	//694 QWebSettings::OfflineWebApplicationCacheEnabled (enum)
    {75, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 57},	//695 QWebSettings::LocalStorageEnabled (enum)
    {75, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 58},	//696 QWebSettings::LocalStorageDatabaseEnabled (enum)
    {75, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 59},	//697 QWebSettings::LocalContentCanAccessRemoteUrls (enum)
    {75, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 60},	//698 QWebSettings::DnsPrefetchEnabled (enum)
    {75, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 61},	//699 QWebSettings::XSSAuditingEnabled (enum)
    {75, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 62},	//700 QWebSettings::AcceleratedCompositingEnabled (enum)
    {75, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 63},	//701 QWebSettings::SpatialNavigationEnabled (enum)
    {75, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 64},	//702 QWebSettings::LocalContentCanAccessFileUrls (enum)
    {75, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 65},	//703 QWebSettings::TiledBackingStoreEnabled (enum)
    {75, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 66},	//704 QWebSettings::FrameFlatteningEnabled (enum)
    {75, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 67},	//705 QWebSettings::SiteSpecificQuirksEnabled (enum)
    {75, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 68},	//706 QWebSettings::JavascriptCanCloseWindows (enum)
    {75, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 69},	//707 QWebSettings::WebGLEnabled (enum)
    {75, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 70},	//708 QWebSettings::HyperlinkAuditingEnabled (enum)
    {75, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 71},	//709 QWebSettings::MissingImageGraphic (enum)
    {75, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 72},	//710 QWebSettings::MissingPluginGraphic (enum)
    {75, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 73},	//711 QWebSettings::DefaultFrameIconGraphic (enum)
    {75, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 74},	//712 QWebSettings::TextAreaSizeGripCornerGraphic (enum)
    {75, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 75},	//713 QWebSettings::DeleteButtonGraphic (enum)
    {75, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 76},	//714 QWebSettings::InputSpeechButtonGraphic (enum)
    {75, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 77},	//715 QWebSettings::SearchCancelButtonGraphic (enum)
    {75, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 78},	//716 QWebSettings::SearchCancelButtonPressedGraphic (enum)
    {75, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 79},	//717 QWebSettings::MinimumFontSize (enum)
    {75, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 80},	//718 QWebSettings::MinimumLogicalFontSize (enum)
    {75, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 81},	//719 QWebSettings::DefaultFontSize (enum)
    {75, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 82},	//720 QWebSettings::DefaultFixedFontSize (enum)
    {77, 482, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 218, 1},	//721 QWebView::metaObject() const
    {77, 570, 10, 1, Smoke::mf_virtual, 265, 2},	//722 QWebView::qt_metacast(const char*)
    {77, 803, 51, 2, Smoke::mf_static, 60, 3},	//723 QWebView::tr(const char*, const char*)
    {77, 807, 51, 2, Smoke::mf_static, 60, 4},	//724 QWebView::trUtf8(const char*, const char*)
    {77, 803, 54, 3, Smoke::mf_static, 60, 5},	//725 QWebView::tr(const char*, const char*, int)
    {77, 807, 54, 3, Smoke::mf_static, 60, 6},	//726 QWebView::trUtf8(const char*, const char*, int)
    {77, 568, 58, 3, Smoke::mf_virtual, 257, 7},	//727 QWebView::qt_metacall(QMetaObject::Call, int, void**)
    {77, 142, 133, 1, Smoke::mf_ctor, 132, 8},	//728 QWebView::QWebView(QWidget*)
    {77, 538, 0, 0, Smoke::mf_const, 99, 9},	//729 QWebView::page() const
    {77, 716, 135, 1, 0, 0, 10},	//730 QWebView::setPage(QWebPage*)
    {77, 464, 62, 1, 0, 0, 11},	//731 QWebView::load(const QUrl&)
    {77, 464, 64, 3, 0, 0, 12},	//732 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation, const QByteArray&)
    {77, 683, 68, 2, 0, 0, 13},	//733 QWebView::setHtml(const QString&, const QUrl&)
    {77, 644, 71, 3, 0, 0, 14},	//734 QWebView::setContent(const QByteArray&, const QString&, const QUrl&)
    {77, 408, 0, 0, Smoke::mf_const, 90, 15},	//735 QWebView::history() const
    {77, 760, 0, 0, Smoke::mf_const, 126, 16},	//736 QWebView::settings() const
    {77, 790, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 17},	//737 QWebView::title() const
    {77, 745, 62, 1, Smoke::mf_property, 0, 18},	//738 QWebView::setUrl(const QUrl&)
    {77, 822, 0, 0, Smoke::mf_const|Smoke::mf_property, 70, 19},	//739 QWebView::url() const
    {77, 414, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 20},	//740 QWebView::icon() const
    {77, 404, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 21},	//741 QWebView::hasSelection() const
    {77, 632, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 22},	//742 QWebView::selectedText() const
    {77, 631, 0, 0, Smoke::mf_const|Smoke::mf_property, 60, 23},	//743 QWebView::selectedHtml() const
    {77, 539, 149, 1, Smoke::mf_const, 1, 24},	//744 QWebView::pageAction(QWebPage::WebAction) const
    {77, 814, 151, 2, 0, 0, 25},	//745 QWebView::triggerPageAction(QWebPage::WebAction, bool)
    {77, 427, 0, 0, Smoke::mf_const|Smoke::mf_property, 213, 26},	//746 QWebView::isModified() const
    {77, 423, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 27},	//747 QWebView::inputMethodQuery(Qt::InputMethodQuery) const
    {77, 765, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 28},	//748 QWebView::sizeHint() const
    {77, 842, 0, 0, Smoke::mf_const, 256, 29},	//749 QWebView::zoomFactor() const
    {77, 758, 102, 1, 0, 0, 30},	//750 QWebView::setZoomFactor(double)
    {77, 743, 102, 1, 0, 0, 31},	//751 QWebView::setTextSizeMultiplier(double)
    {77, 788, 0, 0, Smoke::mf_const, 256, 32},	//752 QWebView::textSizeMultiplier() const
    {77, 592, 0, 0, Smoke::mf_const, 15, 33},	//753 QWebView::renderHints() const
    {77, 731, 286, 1, 0, 0, 34},	//754 QWebView::setRenderHints(QFlags<QPainter::RenderHint>)
    {77, 728, 288, 2, 0, 0, 35},	//755 QWebView::setRenderHint(QPainter::RenderHint, bool)
    {77, 362, 158, 2, 0, 213, 36},	//756 QWebView::findText(const QString&, QFlags<QWebPage::FindFlag>)
    {77, 339, 1, 1, Smoke::mf_virtual, 213, 37},	//757 QWebView::event(QEvent*)
    {77, 771, 0, 0, Smoke::mf_slot, 0, 38},	//758 QWebView::stop()
    {77, 248, 0, 0, Smoke::mf_slot, 0, 39},	//759 QWebView::back()
    {77, 378, 0, 0, Smoke::mf_slot, 0, 40},	//760 QWebView::forward()
    {77, 573, 0, 0, Smoke::mf_slot, 0, 41},	//761 QWebView::reload()
    {77, 563, 104, 1, Smoke::mf_const|Smoke::mf_slot, 0, 42},	//762 QWebView::print(QPrinter*) const
    {77, 472, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//763 QWebView::loadStarted()
    {77, 470, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//764 QWebView::loadProgress(int)
    {77, 468, 108, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//765 QWebView::loadFinished(bool)
    {77, 791, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//766 QWebView::titleChanged(const QString&)
    {77, 767, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//767 QWebView::statusBarMessage(const QString&)
    {77, 454, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//768 QWebView::linkClicked(const QUrl&)
    {77, 633, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//769 QWebView::selectionChanged()
    {77, 415, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//770 QWebView::iconChanged()
    {77, 823, 62, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//771 QWebView::urlChanged(const QUrl&)
    {77, 606, 137, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//772 QWebView::resizeEvent(QResizeEvent*)
    {77, 543, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//773 QWebView::paintEvent(QPaintEvent*)
    {77, 291, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 132, 54},	//774 QWebView::createWindow(QWebPage::WebWindowType)
    {77, 258, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//775 QWebView::changeEvent(QEvent*)
    {77, 489, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//776 QWebView::mouseMoveEvent(QMouseEvent*)
    {77, 491, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//777 QWebView::mousePressEvent(QMouseEvent*)
    {77, 487, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//778 QWebView::mouseDoubleClickEvent(QMouseEvent*)
    {77, 493, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 59},	//779 QWebView::mouseReleaseEvent(QMouseEvent*)
    {77, 283, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//780 QWebView::contextMenuEvent(QContextMenuEvent*)
    {77, 837, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//781 QWebView::wheelEvent(QWheelEvent*)
    {77, 445, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//782 QWebView::keyPressEvent(QKeyEvent*)
    {77, 447, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//783 QWebView::keyReleaseEvent(QKeyEvent*)
    {77, 313, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//784 QWebView::dragEnterEvent(QDragEnterEvent*)
    {77, 315, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//785 QWebView::dragLeaveEvent(QDragLeaveEvent*)
    {77, 317, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//786 QWebView::dragMoveEvent(QDragMoveEvent*)
    {77, 319, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//787 QWebView::dropEvent(QDropEvent*)
    {77, 367, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//788 QWebView::focusInEvent(QFocusEvent*)
    {77, 371, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//789 QWebView::focusOutEvent(QFocusEvent*)
    {77, 421, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//790 QWebView::inputMethodEvent(QInputMethodEvent*)
    {77, 369, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 213, 71},	//791 QWebView::focusNextPrevChild(bool)
    {77, 803, 10, 1, Smoke::mf_static, 60, 72},	//792 QWebView::tr(const char*)
    {77, 807, 10, 1, Smoke::mf_static, 60, 73},	//793 QWebView::trUtf8(const char*)
    {77, 142, 0, 0, Smoke::mf_ctor, 132, 74},	//794 QWebView::QWebView()
    {77, 464, 110, 1, 0, 0, 75},	//795 QWebView::load(const QNetworkRequest&)
    {77, 464, 112, 2, 0, 0, 76},	//796 QWebView::load(const QNetworkRequest&, QNetworkAccessManager::Operation)
    {77, 683, 16, 1, 0, 0, 77},	//797 QWebView::setHtml(const QString&)
    {77, 644, 115, 1, 0, 0, 78},	//798 QWebView::setContent(const QByteArray&)
    {77, 644, 117, 2, 0, 0, 79},	//799 QWebView::setContent(const QByteArray&, const QString&)
    {77, 814, 149, 1, 0, 0, 80},	//800 QWebView::triggerPageAction(QWebPage::WebAction)
    {77, 728, 311, 1, 0, 0, 81},	//801 QWebView::setRenderHint(QPainter::RenderHint)
    {77, 362, 16, 1, 0, 213, 82},	//802 QWebView::findText(const QString&)
    {77, 766, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 217, 83},	//803 QWebView::staticMetaObject() const
    {77, 861, 0, 0, Smoke::mf_dtor, 0, 84 },	//804 QWebView::~QWebView()
    {79, 305, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 257, 0},	//805 QWidget::devType() const
    {79, 755, 108, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//806 QWidget::setVisible(bool)
    {79, 486, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 54, 0},	//807 QWidget::minimumSizeHint() const
    {79, 405, 38, 1, Smoke::mf_const|Smoke::mf_virtual, 257, 0},	//808 QWidget::heightForWidth(int) const
    {79, 542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 41, 0},	//809 QWidget::paintEngine() const
    {79, 491, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//810 QWidget::mousePressEvent(QMouseEvent*)
    {79, 493, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//811 QWidget::mouseReleaseEvent(QMouseEvent*)
    {79, 487, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {79, 489, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QWidget::mouseMoveEvent(QMouseEvent*)
    {79, 837, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QWidget::wheelEvent(QWheelEvent*)
    {79, 445, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QWidget::keyPressEvent(QKeyEvent*)
    {79, 447, 297, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QWidget::keyReleaseEvent(QKeyEvent*)
    {79, 367, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//817 QWidget::focusInEvent(QFocusEvent*)
    {79, 371, 307, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//818 QWidget::focusOutEvent(QFocusEvent*)
    {79, 334, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//819 QWidget::enterEvent(QEvent*)
    {79, 453, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QWidget::leaveEvent(QEvent*)
    {79, 543, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//821 QWidget::paintEvent(QPaintEvent*)
    {79, 495, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//822 QWidget::moveEvent(QMoveEvent*)
    {79, 269, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//823 QWidget::closeEvent(QCloseEvent*)
    {79, 283, 165, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//824 QWidget::contextMenuEvent(QContextMenuEvent*)
    {79, 783, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//825 QWidget::tabletEvent(QTabletEvent*)
    {79, 216, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//826 QWidget::actionEvent(QActionEvent*)
    {79, 313, 299, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//827 QWidget::dragEnterEvent(QDragEnterEvent*)
    {79, 317, 303, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//828 QWidget::dragMoveEvent(QDragMoveEvent*)
    {79, 315, 301, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//829 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {79, 319, 305, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//830 QWidget::dropEvent(QDropEvent*)
    {79, 762, 139, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//831 QWidget::showEvent(QShowEvent*)
    {79, 406, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//832 QWidget::hideEvent(QHideEvent*)
    {79, 841, 319, 1, Smoke::mf_protected|Smoke::mf_virtual, 213, 0},	//833 QWidget::x11Event(_XEvent*)
    {79, 258, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//834 QWidget::changeEvent(QEvent*)
    {79, 483, 321, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 257, 0},	//835 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {79, 421, 309, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//836 QWidget::inputMethodEvent(QInputMethodEvent*)
    {79, 423, 156, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//837 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {79, 369, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 213, 0},	//838 QWidget::focusNextPrevChild(bool)
    {79, 772, 323, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//839 QWidget::styleChange(QStyle&)
    {79, 324, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//840 QWidget::enabledChange(bool)
    {79, 546, 163, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//841 QWidget::paletteChange(const QPalette&)
    {79, 373, 325, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//842 QWidget::fontChange(const QFont&)
    {79, 839, 108, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//843 QWidget::windowActivationChange(bool)
    {79, 449, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//844 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    126,  // QWebElementCollection::begin() const
    130,  // QWebElementCollection::begin()
    0,
    127,  // QWebElementCollection::end() const
    131,  // QWebElementCollection::end()
    0,
    179,  // QWebFrame::load(const QUrl&)
    241,  // QWebFrame::load(const QNetworkRequest&)
    0,
    731,  // QWebView::load(const QUrl&)
    795,  // QWebView::load(const QNetworkRequest&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 144, 15},	// QGlobalSpace::QtCriticalMsg
    {16, 145, 13},	// QGlobalSpace::QtDebugMsg
    {16, 146, 16},	// QGlobalSpace::QtFatalMsg
    {16, 148, 17},	// QGlobalSpace::QtSystemMsg
    {16, 149, 14},	// QGlobalSpace::QtWarningMsg
    {16, 196, 12},	// QGlobalSpace::_ISalnum
    {16, 197, 3},	// QGlobalSpace::_ISalpha
    {16, 198, 9},	// QGlobalSpace::_ISblank
    {16, 199, 10},	// QGlobalSpace::_IScntrl
    {16, 200, 4},	// QGlobalSpace::_ISdigit
    {16, 201, 8},	// QGlobalSpace::_ISgraph
    {16, 202, 2},	// QGlobalSpace::_ISlower
    {16, 203, 7},	// QGlobalSpace::_ISprint
    {16, 204, 11},	// QGlobalSpace::_ISpunct
    {16, 205, 6},	// QGlobalSpace::_ISspace
    {16, 206, 1},	// QGlobalSpace::_ISupper
    {16, 207, 5},	// QGlobalSpace::_ISxdigit
    {16, 208, 20},	// QGlobalSpace::__codecvt_error
    {16, 209, 21},	// QGlobalSpace::__codecvt_noconv
    {16, 210, 18},	// QGlobalSpace::__codecvt_ok
    {16, 211, 19},	// QGlobalSpace::__codecvt_partial
    {49, 122, 29},	// QWebDatabase::QWebDatabase#
    {49, 307, 32},	// QWebDatabase::displayName
    {49, 342, 33},	// QWebDatabase::expectedSize
    {49, 352, 35},	// QWebDatabase::fileName
    {49, 496, 31},	// QWebDatabase::name
    {49, 527, 30},	// QWebDatabase::operator=#
    {49, 536, 36},	// QWebDatabase::origin
    {49, 575, 38},	// QWebDatabase::removeAllDatabases
    {49, 583, 37},	// QWebDatabase::removeDatabase#
    {49, 764, 34},	// QWebDatabase::size
    {49, 851, 39},	// QWebDatabase::~QWebDatabase
    {50, 9, 110},	// QWebElement::CascadedStyle
    {50, 15, 111},	// QWebElement::ComputedStyle
    {50, 60, 109},	// QWebElement::InlineStyle
    {50, 123, 40},	// QWebElement::QWebElement
    {50, 124, 41},	// QWebElement::QWebElement#
    {50, 218, 66},	// QWebElement::addClass$
    {50, 231, 84},	// QWebElement::appendInside#
    {50, 232, 83},	// QWebElement::appendInside$
    {50, 234, 88},	// QWebElement::appendOutside#
    {50, 235, 87},	// QWebElement::appendOutside$
    {50, 241, 106},	// QWebElement::attribute$
    {50, 242, 56},	// QWebElement::attribute$$
    {50, 244, 107},	// QWebElement::attributeNS$$
    {50, 245, 57},	// QWebElement::attributeNS$$$
    {50, 246, 108},	// QWebElement::attributeNames
    {50, 247, 63},	// QWebElement::attributeNames$
    {50, 264, 64},	// QWebElement::classes
    {50, 268, 97},	// QWebElement::clone
    {50, 308, 81},	// QWebElement::document
    {50, 326, 91},	// QWebElement::encloseContentsWith#
    {50, 327, 92},	// QWebElement::encloseContentsWith$
    {50, 329, 94},	// QWebElement::encloseWith#
    {50, 330, 93},	// QWebElement::encloseWith$
    {50, 338, 101},	// QWebElement::evaluateJavaScript$
    {50, 355, 46},	// QWebElement::findAll$
    {50, 359, 47},	// QWebElement::findFirst$
    {50, 366, 77},	// QWebElement::firstChild
    {50, 389, 71},	// QWebElement::geometry
    {50, 397, 58},	// QWebElement::hasAttribute$
    {50, 399, 59},	// QWebElement::hasAttributeNS$$
    {50, 400, 62},	// QWebElement::hasAttributes
    {50, 402, 65},	// QWebElement::hasClass$
    {50, 403, 69},	// QWebElement::hasFocus
    {50, 428, 45},	// QWebElement::isNull
    {50, 451, 78},	// QWebElement::lastChild
    {50, 473, 74},	// QWebElement::localName
    {50, 497, 75},	// QWebElement::namespaceUri
    {50, 499, 79},	// QWebElement::nextSibling
    {50, 505, 44},	// QWebElement::operator!=#
    {50, 527, 42},	// QWebElement::operator=#
    {50, 529, 43},	// QWebElement::operator==#
    {50, 547, 76},	// QWebElement::parent
    {50, 555, 73},	// QWebElement::prefix
    {50, 557, 86},	// QWebElement::prependInside#
    {50, 558, 85},	// QWebElement::prependInside$
    {50, 560, 90},	// QWebElement::prependOutside#
    {50, 561, 89},	// QWebElement::prependOutside$
    {50, 562, 80},	// QWebElement::previousSibling
    {50, 574, 100},	// QWebElement::removeAllChildren
    {50, 577, 60},	// QWebElement::removeAttribute$
    {50, 579, 61},	// QWebElement::removeAttributeNS$$
    {50, 581, 67},	// QWebElement::removeClass$
    {50, 584, 99},	// QWebElement::removeFromDocument
    {50, 588, 104},	// QWebElement::render#
    {50, 589, 105},	// QWebElement::render##
    {50, 597, 96},	// QWebElement::replace#
    {50, 598, 95},	// QWebElement::replace$
    {50, 639, 54},	// QWebElement::setAttribute$$
    {50, 641, 55},	// QWebElement::setAttributeNS$$$
    {50, 674, 70},	// QWebElement::setFocus
    {50, 689, 52},	// QWebElement::setInnerXml$
    {50, 715, 50},	// QWebElement::setOuterXml$
    {50, 723, 48},	// QWebElement::setPlainText$
    {50, 740, 103},	// QWebElement::setStyleProperty$$
    {50, 774, 102},	// QWebElement::styleProperty$$
    {50, 784, 72},	// QWebElement::tagName
    {50, 785, 98},	// QWebElement::takeFromDocument
    {50, 794, 53},	// QWebElement::toInnerXml
    {50, 796, 51},	// QWebElement::toOuterXml
    {50, 797, 49},	// QWebElement::toPlainText
    {50, 799, 68},	// QWebElement::toggleClass$
    {50, 834, 82},	// QWebElement::webFrame
    {50, 852, 112},	// QWebElement::~QWebElement
    {51, 125, 113},	// QWebElementCollection::QWebElementCollection
    {51, 126, 115},	// QWebElementCollection::QWebElementCollection#
    {51, 127, 114},	// QWebElementCollection::QWebElementCollection#$
    {51, 229, 119},	// QWebElementCollection::append#
    {51, 239, 121},	// QWebElementCollection::at$
    {51, 253, -1},	// QWebElementCollection::begin
    {51, 272, 128},	// QWebElementCollection::constBegin
    {51, 273, 129},	// QWebElementCollection::constEnd
    {51, 285, 120},	// QWebElementCollection::count
    {51, 333, -4},	// QWebElementCollection::end
    {51, 365, 123},	// QWebElementCollection::first
    {51, 450, 124},	// QWebElementCollection::last
    {51, 508, 117},	// QWebElementCollection::operator+#
    {51, 513, 118},	// QWebElementCollection::operator+=#
    {51, 527, 116},	// QWebElementCollection::operator=#
    {51, 535, 122},	// QWebElementCollection::operator[]$
    {51, 795, 125},	// QWebElementCollection::toList
    {51, 853, 132},	// QWebElementCollection::~QWebElementCollection
    {52, 275, 134},	// QWebElementCollection::const_iterator::const_iterator#
    {52, 276, 133},	// QWebElementCollection::const_iterator::const_iterator#$
    {52, 505, 137},	// QWebElementCollection::const_iterator::operator!=#
    {52, 506, 135},	// QWebElementCollection::const_iterator::operator*
    {52, 509, 148},	// QWebElementCollection::const_iterator::operator+$
    {52, 510, 142},	// QWebElementCollection::const_iterator::operator++
    {52, 511, 143},	// QWebElementCollection::const_iterator::operator++$
    {52, 514, 146},	// QWebElementCollection::const_iterator::operator+=$
    {52, 516, 150},	// QWebElementCollection::const_iterator::operator-#
    {52, 517, 149},	// QWebElementCollection::const_iterator::operator-$
    {52, 518, 144},	// QWebElementCollection::const_iterator::operator--
    {52, 519, 145},	// QWebElementCollection::const_iterator::operator--$
    {52, 521, 147},	// QWebElementCollection::const_iterator::operator-=$
    {52, 523, 138},	// QWebElementCollection::const_iterator::operator<#
    {52, 525, 139},	// QWebElementCollection::const_iterator::operator<=#
    {52, 529, 136},	// QWebElementCollection::const_iterator::operator==#
    {52, 531, 140},	// QWebElementCollection::const_iterator::operator>#
    {52, 533, 141},	// QWebElementCollection::const_iterator::operator>=#
    {52, 862, 151},	// QWebElementCollection::const_iterator::~const_iterator
    {53, 434, 153},	// QWebElementCollection::iterator::iterator#
    {53, 435, 152},	// QWebElementCollection::iterator::iterator#$
    {53, 505, 156},	// QWebElementCollection::iterator::operator!=#
    {53, 506, 154},	// QWebElementCollection::iterator::operator*
    {53, 509, 167},	// QWebElementCollection::iterator::operator+$
    {53, 510, 161},	// QWebElementCollection::iterator::operator++
    {53, 511, 162},	// QWebElementCollection::iterator::operator++$
    {53, 514, 165},	// QWebElementCollection::iterator::operator+=$
    {53, 516, 169},	// QWebElementCollection::iterator::operator-#
    {53, 517, 168},	// QWebElementCollection::iterator::operator-$
    {53, 518, 163},	// QWebElementCollection::iterator::operator--
    {53, 519, 164},	// QWebElementCollection::iterator::operator--$
    {53, 521, 166},	// QWebElementCollection::iterator::operator-=$
    {53, 523, 157},	// QWebElementCollection::iterator::operator<#
    {53, 525, 158},	// QWebElementCollection::iterator::operator<=#
    {53, 529, 155},	// QWebElementCollection::iterator::operator==#
    {53, 531, 159},	// QWebElementCollection::iterator::operator>#
    {53, 533, 160},	// QWebElementCollection::iterator::operator>=#
    {53, 863, 170},	// QWebElementCollection::iterator::~iterator
    {54, 6, 251},	// QWebFrame::AllLayers
    {54, 16, 248},	// QWebFrame::ContentsLayer
    {54, 110, 250},	// QWebFrame::PanIconLayer
    {54, 155, 249},	// QWebFrame::ScrollBarLayer
    {54, 224, 183},	// QWebFrame::addToJavaScriptWindowObject$#
    {54, 225, 184},	// QWebFrame::addToJavaScriptWindowObject$#$
    {54, 252, 192},	// QWebFrame::baseUrl
    {54, 261, 197},	// QWebFrame::childFrames
    {54, 280, 220},	// QWebFrame::contentsSize
    {54, 282, 235},	// QWebFrame::contentsSizeChanged#
    {54, 309, 221},	// QWebFrame::documentElement
    {54, 338, 227},	// QWebFrame::evaluateJavaScript$
    {54, 340, 225},	// QWebFrame::event#
    {54, 357, 222},	// QWebFrame::findAllElements$
    {54, 361, 223},	// QWebFrame::findFirstElement$
    {54, 388, 195},	// QWebFrame::frameName
    {54, 389, 219},	// QWebFrame::geometry
    {54, 403, 216},	// QWebFrame::hasFocus
    {54, 412, 224},	// QWebFrame::hitTestContent#
    {54, 414, 193},	// QWebFrame::icon
    {54, 415, 234},	// QWebFrame::iconChanged
    {54, 420, 233},	// QWebFrame::initialLayoutCompleted
    {54, 444, 229},	// QWebFrame::javaScriptWindowObjectCleared
    {54, 465, -7},	// QWebFrame::load#
    {54, 466, 242},	// QWebFrame::load#$
    {54, 467, 180},	// QWebFrame::load#$#
    {54, 469, 237},	// QWebFrame::loadFinished$
    {54, 472, 236},	// QWebFrame::loadStarted
    {54, 481, 194},	// QWebFrame::metaData
    {54, 482, 171},	// QWebFrame::metaObject
    {54, 538, 178},	// QWebFrame::page
    {54, 541, 238},	// QWebFrame::pageChanged
    {54, 548, 196},	// QWebFrame::parentFrame
    {54, 553, 218},	// QWebFrame::pos
    {54, 564, 228},	// QWebFrame::print#
    {54, 567, 230},	// QWebFrame::provisionalLoad
    {54, 569, 177},	// QWebFrame::qt_metacall$$?
    {54, 571, 172},	// QWebFrame::qt_metacast$
    {54, 588, 209},	// QWebFrame::render#
    {54, 589, 210},	// QWebFrame::render##
    {54, 590, 246},	// QWebFrame::render#$
    {54, 591, 211},	// QWebFrame::render#$#
    {54, 593, 187},	// QWebFrame::renderTreeDump
    {54, 599, 191},	// QWebFrame::requestedUrl
    {54, 614, 205},	// QWebFrame::scroll$$
    {54, 616, 204},	// QWebFrame::scrollBarGeometry$
    {54, 618, 203},	// QWebFrame::scrollBarMaximum$
    {54, 620, 202},	// QWebFrame::scrollBarMinimum$
    {54, 622, 198},	// QWebFrame::scrollBarPolicy$
    {54, 624, 201},	// QWebFrame::scrollBarValue$
    {54, 625, 206},	// QWebFrame::scrollPosition
    {54, 629, 208},	// QWebFrame::scrollToAnchor$
    {54, 630, 226},	// QWebFrame::securityOrigin
    {54, 645, 244},	// QWebFrame::setContent#
    {54, 646, 245},	// QWebFrame::setContent#$
    {54, 647, 182},	// QWebFrame::setContent#$#
    {54, 674, 217},	// QWebFrame::setFocus
    {54, 684, 243},	// QWebFrame::setHtml$
    {54, 685, 181},	// QWebFrame::setHtml$#
    {54, 734, 199},	// QWebFrame::setScrollBarPolicy$$
    {54, 736, 200},	// QWebFrame::setScrollBarValue$$
    {54, 738, 207},	// QWebFrame::setScrollPosition#
    {54, 744, 212},	// QWebFrame::setTextSizeMultiplier$
    {54, 746, 189},	// QWebFrame::setUrl#
    {54, 759, 215},	// QWebFrame::setZoomFactor$
    {54, 766, 247},	// QWebFrame::staticMetaObject
    {54, 788, 213},	// QWebFrame::textSizeMultiplier
    {54, 790, 188},	// QWebFrame::title
    {54, 792, 231},	// QWebFrame::titleChanged$
    {54, 793, 185},	// QWebFrame::toHtml
    {54, 797, 186},	// QWebFrame::toPlainText
    {54, 804, 239},	// QWebFrame::tr$
    {54, 805, 173},	// QWebFrame::tr$$
    {54, 806, 175},	// QWebFrame::tr$$$
    {54, 808, 240},	// QWebFrame::trUtf8$
    {54, 809, 174},	// QWebFrame::trUtf8$$
    {54, 810, 176},	// QWebFrame::trUtf8$$$
    {54, 822, 190},	// QWebFrame::url
    {54, 824, 232},	// QWebFrame::urlChanged#
    {54, 842, 214},	// QWebFrame::zoomFactor
    {55, 248, 258},	// QWebHistory::back
    {55, 249, 261},	// QWebHistory::backItem
    {55, 251, 254},	// QWebHistory::backItems$
    {55, 256, 256},	// QWebHistory::canGoBack
    {55, 257, 257},	// QWebHistory::canGoForward
    {55, 265, 252},	// QWebHistory::clear
    {55, 285, 266},	// QWebHistory::count
    {55, 294, 262},	// QWebHistory::currentItem
    {55, 295, 265},	// QWebHistory::currentItemIndex
    {55, 378, 259},	// QWebHistory::forward
    {55, 379, 263},	// QWebHistory::forwardItem
    {55, 381, 255},	// QWebHistory::forwardItems$
    {55, 394, 260},	// QWebHistory::goToItem#
    {55, 431, 264},	// QWebHistory::itemAt$
    {55, 432, 253},	// QWebHistory::items
    {55, 477, 267},	// QWebHistory::maximumItemCount
    {55, 695, 268},	// QWebHistory::setMaximumItemCount$
    {56, 128, 283},	// QWebHistoryInterface::QWebHistoryInterface
    {56, 129, 276},	// QWebHistoryInterface::QWebHistoryInterface#
    {56, 220, 280},	// QWebHistoryInterface::addHistoryEntry$
    {56, 302, 278},	// QWebHistoryInterface::defaultInterface
    {56, 410, 279},	// QWebHistoryInterface::historyContains$
    {56, 482, 269},	// QWebHistoryInterface::metaObject
    {56, 569, 275},	// QWebHistoryInterface::qt_metacall$$?
    {56, 571, 270},	// QWebHistoryInterface::qt_metacast$
    {56, 655, 277},	// QWebHistoryInterface::setDefaultInterface#
    {56, 766, 284},	// QWebHistoryInterface::staticMetaObject
    {56, 804, 281},	// QWebHistoryInterface::tr$
    {56, 805, 271},	// QWebHistoryInterface::tr$$
    {56, 806, 273},	// QWebHistoryInterface::tr$$$
    {56, 808, 282},	// QWebHistoryInterface::trUtf8$
    {56, 809, 272},	// QWebHistoryInterface::trUtf8$$
    {56, 810, 274},	// QWebHistoryInterface::trUtf8$$$
    {56, 854, 285},	// QWebHistoryInterface::~QWebHistoryInterface
    {57, 131, 286},	// QWebHistoryItem::QWebHistoryItem#
    {57, 414, 292},	// QWebHistoryItem::icon
    {57, 429, 295},	// QWebHistoryItem::isValid
    {57, 452, 291},	// QWebHistoryItem::lastVisited
    {57, 527, 287},	// QWebHistoryItem::operator=#
    {57, 537, 288},	// QWebHistoryItem::originalUrl
    {57, 748, 294},	// QWebHistoryItem::setUserData#
    {57, 790, 290},	// QWebHistoryItem::title
    {57, 822, 289},	// QWebHistoryItem::url
    {57, 827, 293},	// QWebHistoryItem::userData
    {57, 855, 296},	// QWebHistoryItem::~QWebHistoryItem
    {58, 132, 297},	// QWebHitTestResult::QWebHitTestResult
    {58, 133, 298},	// QWebHitTestResult::QWebHitTestResult#
    {58, 227, 310},	// QWebHitTestResult::alternateText
    {58, 254, 302},	// QWebHitTestResult::boundingRect
    {58, 321, 315},	// QWebHitTestResult::element
    {58, 331, 303},	// QWebHitTestResult::enclosingBlockElement
    {58, 383, 316},	// QWebHitTestResult::frame
    {58, 419, 311},	// QWebHitTestResult::imageUrl
    {58, 425, 313},	// QWebHitTestResult::isContentEditable
    {58, 426, 314},	// QWebHitTestResult::isContentSelected
    {58, 428, 300},	// QWebHitTestResult::isNull
    {58, 457, 309},	// QWebHitTestResult::linkElement
    {58, 460, 308},	// QWebHitTestResult::linkTargetFrame
    {58, 461, 305},	// QWebHitTestResult::linkText
    {58, 462, 307},	// QWebHitTestResult::linkTitle
    {58, 463, 306},	// QWebHitTestResult::linkUrl
    {58, 527, 299},	// QWebHitTestResult::operator=#
    {58, 549, 312},	// QWebHitTestResult::pixmap
    {58, 553, 301},	// QWebHitTestResult::pos
    {58, 790, 304},	// QWebHitTestResult::title
    {58, 856, 317},	// QWebHitTestResult::~QWebHitTestResult
    {59, 134, 336},	// QWebInspector::QWebInspector
    {59, 135, 325},	// QWebInspector::QWebInspector#
    {59, 270, 333},	// QWebInspector::closeEvent#
    {59, 340, 329},	// QWebInspector::event#
    {59, 407, 332},	// QWebInspector::hideEvent#
    {59, 482, 318},	// QWebInspector::metaObject
    {59, 538, 327},	// QWebInspector::page
    {59, 569, 324},	// QWebInspector::qt_metacall$$?
    {59, 571, 319},	// QWebInspector::qt_metacast$
    {59, 607, 330},	// QWebInspector::resizeEvent#
    {59, 717, 326},	// QWebInspector::setPage#
    {59, 763, 331},	// QWebInspector::showEvent#
    {59, 765, 328},	// QWebInspector::sizeHint
    {59, 766, 337},	// QWebInspector::staticMetaObject
    {59, 804, 334},	// QWebInspector::tr$
    {59, 805, 320},	// QWebInspector::tr$$
    {59, 806, 322},	// QWebInspector::tr$$$
    {59, 808, 335},	// QWebInspector::trUtf8$
    {59, 809, 321},	// QWebInspector::trUtf8$$
    {59, 810, 323},	// QWebInspector::trUtf8$$$
    {59, 857, 338},	// QWebInspector::~QWebInspector
    {60, 2, 509},	// QWebPage::AlignCenter
    {60, 3, 510},	// QWebPage::AlignJustified
    {60, 4, 511},	// QWebPage::AlignLeft
    {60, 5, 512},	// QWebPage::AlignRight
    {60, 8, 454},	// QWebPage::Back
    {60, 10, 530},	// QWebPage::ChooseMultipleFilesExtension
    {60, 17, 459},	// QWebPage::Copy
    {60, 18, 453},	// QWebPage::CopyImageToClipboard
    {60, 19, 514},	// QWebPage::CopyImageUrlToClipboard
    {60, 20, 450},	// QWebPage::CopyLinkToClipboard
    {60, 22, 458},	// QWebPage::Cut
    {60, 26, 522},	// QWebPage::DelegateAllLinks
    {60, 27, 521},	// QWebPage::DelegateExternalLinks
    {60, 29, 488},	// QWebPage::DeleteEndOfWord
    {60, 30, 487},	// QWebPage::DeleteStartOfWord
    {60, 33, 520},	// QWebPage::DontDelegateLinks
    {60, 34, 452},	// QWebPage::DownloadImageToDisk
    {60, 35, 449},	// QWebPage::DownloadLinkToDisk
    {60, 38, 531},	// QWebPage::ErrorPageExtension
    {60, 48, 516},	// QWebPage::FindBackward
    {60, 49, 517},	// QWebPage::FindCaseSensitively
    {60, 50, 518},	// QWebPage::FindWrapsAroundDocument
    {60, 52, 455},	// QWebPage::Forward
    {60, 54, 529},	// QWebPage::Geolocation
    {60, 55, 519},	// QWebPage::HighlightAllOccurrences
    {60, 56, 533},	// QWebPage::Http
    {60, 59, 507},	// QWebPage::Indent
    {60, 62, 497},	// QWebPage::InsertLineSeparator
    {60, 63, 506},	// QWebPage::InsertOrderedList
    {60, 64, 496},	// QWebPage::InsertParagraphSeparator
    {60, 65, 505},	// QWebPage::InsertUnorderedList
    {60, 66, 495},	// QWebPage::InspectElement
    {60, 83, 472},	// QWebPage::MoveToEndOfBlock
    {60, 84, 474},	// QWebPage::MoveToEndOfDocument
    {60, 85, 470},	// QWebPage::MoveToEndOfLine
    {60, 86, 463},	// QWebPage::MoveToNextChar
    {60, 87, 467},	// QWebPage::MoveToNextLine
    {60, 88, 465},	// QWebPage::MoveToNextWord
    {60, 89, 464},	// QWebPage::MoveToPreviousChar
    {60, 90, 468},	// QWebPage::MoveToPreviousLine
    {60, 91, 466},	// QWebPage::MoveToPreviousWord
    {60, 92, 471},	// QWebPage::MoveToStartOfBlock
    {60, 93, 473},	// QWebPage::MoveToStartOfDocument
    {60, 94, 469},	// QWebPage::MoveToStartOfLine
    {60, 95, 441},	// QWebPage::NavigationTypeBackOrForward
    {60, 96, 443},	// QWebPage::NavigationTypeFormResubmitted
    {60, 97, 440},	// QWebPage::NavigationTypeFormSubmitted
    {60, 98, 439},	// QWebPage::NavigationTypeLinkClicked
    {60, 99, 444},	// QWebPage::NavigationTypeOther
    {60, 100, 442},	// QWebPage::NavigationTypeReload
    {60, 101, 445},	// QWebPage::NoWebAction
    {60, 102, 528},	// QWebPage::Notifications
    {60, 105, 448},	// QWebPage::OpenFrameInNewWindow
    {60, 106, 451},	// QWebPage::OpenImageInNewWindow
    {60, 107, 446},	// QWebPage::OpenLink
    {60, 108, 447},	// QWebPage::OpenLinkInNewWindow
    {60, 109, 508},	// QWebPage::Outdent
    {60, 111, 460},	// QWebPage::Paste
    {60, 112, 500},	// QWebPage::PasteAndMatchStyle
    {60, 113, 527},	// QWebPage::PermissionDeniedByUser
    {60, 114, 526},	// QWebPage::PermissionGrantedByUser
    {60, 115, 525},	// QWebPage::PermissionUnknown
    {60, 136, 433},	// QWebPage::QWebPage
    {60, 137, 346},	// QWebPage::QWebPage#
    {60, 147, 532},	// QWebPage::QtNetwork
    {60, 150, 462},	// QWebPage::Redo
    {60, 151, 457},	// QWebPage::Reload
    {60, 152, 499},	// QWebPage::ReloadAndBypassCache
    {60, 153, 501},	// QWebPage::RemoveFormat
    {60, 158, 498},	// QWebPage::SelectAll
    {60, 159, 484},	// QWebPage::SelectEndOfBlock
    {60, 160, 486},	// QWebPage::SelectEndOfDocument
    {60, 161, 482},	// QWebPage::SelectEndOfLine
    {60, 162, 475},	// QWebPage::SelectNextChar
    {60, 163, 479},	// QWebPage::SelectNextLine
    {60, 164, 477},	// QWebPage::SelectNextWord
    {60, 165, 476},	// QWebPage::SelectPreviousChar
    {60, 166, 480},	// QWebPage::SelectPreviousLine
    {60, 167, 478},	// QWebPage::SelectPreviousWord
    {60, 168, 483},	// QWebPage::SelectStartOfBlock
    {60, 169, 485},	// QWebPage::SelectStartOfDocument
    {60, 170, 481},	// QWebPage::SelectStartOfLine
    {60, 172, 489},	// QWebPage::SetTextDirectionDefault
    {60, 173, 490},	// QWebPage::SetTextDirectionLeftToRight
    {60, 174, 491},	// QWebPage::SetTextDirectionRightToLeft
    {60, 178, 456},	// QWebPage::Stop
    {60, 179, 513},	// QWebPage::StopScheduledPageRefresh
    {60, 182, 492},	// QWebPage::ToggleBold
    {60, 183, 493},	// QWebPage::ToggleItalic
    {60, 184, 502},	// QWebPage::ToggleStrikethrough
    {60, 185, 503},	// QWebPage::ToggleSubscript
    {60, 186, 504},	// QWebPage::ToggleSuperscript
    {60, 187, 494},	// QWebPage::ToggleUnderline
    {60, 188, 461},	// QWebPage::Undo
    {60, 189, 515},	// QWebPage::WebActionCount
    {60, 190, 523},	// QWebPage::WebBrowserWindow
    {60, 192, 534},	// QWebPage::WebKit
    {60, 193, 524},	// QWebPage::WebModalDialog
    {60, 213, 424},	// QWebPage::acceptNavigationRequest##$
    {60, 215, 365},	// QWebPage::action$
    {60, 237, 416},	// QWebPage::applicationCacheQuotaExceeded#$
    {60, 255, 361},	// QWebPage::bytesReceived
    {60, 263, 425},	// QWebPage::chooseFile#$
    {60, 279, 414},	// QWebPage::contentsChanged
    {60, 289, 423},	// QWebPage::createPlugin$#??
    {60, 290, 387},	// QWebPage::createStandardContextMenu
    {60, 292, 422},	// QWebPage::createWindow$
    {60, 293, 348},	// QWebPage::currentFrame
    {60, 299, 415},	// QWebPage::databaseQuotaExceeded#$
    {60, 312, 412},	// QWebPage::downloadRequested#
    {60, 340, 373},	// QWebPage::event#
    {60, 344, 436},	// QWebPage::extension$
    {60, 345, 437},	// QWebPage::extension$#
    {60, 346, 391},	// QWebPage::extension$##
    {60, 348, 421},	// QWebPage::featurePermissionRequestCanceled#$
    {60, 350, 420},	// QWebPage::featurePermissionRequested#$
    {60, 363, 435},	// QWebPage::findText$
    {60, 364, 376},	// QWebPage::findText$$
    {60, 370, 374},	// QWebPage::focusNextPrevChild$
    {60, 382, 378},	// QWebPage::forwardUnsupportedContent
    {60, 385, 349},	// QWebPage::frameAt#
    {60, 387, 401},	// QWebPage::frameCreated#
    {60, 391, 402},	// QWebPage::geometryChangeRequested#
    {60, 395, 393},	// QWebPage::handle
    {60, 404, 362},	// QWebPage::hasSelection
    {60, 408, 350},	// QWebPage::history
    {60, 424, 375},	// QWebPage::inputMethodQuery$
    {60, 425, 384},	// QWebPage::isContentEditable
    {60, 427, 354},	// QWebPage::isModified
    {60, 437, 426},	// QWebPage::javaScriptAlert#$
    {60, 439, 427},	// QWebPage::javaScriptConfirm#$
    {60, 441, 429},	// QWebPage::javaScriptConsoleMessage$$$
    {60, 443, 428},	// QWebPage::javaScriptPrompt#$$$
    {60, 455, 407},	// QWebPage::linkClicked#
    {60, 456, 380},	// QWebPage::linkDelegationPolicy
    {60, 459, 398},	// QWebPage::linkHovered$$$
    {60, 469, 397},	// QWebPage::loadFinished$
    {60, 471, 396},	// QWebPage::loadProgress$
    {60, 472, 395},	// QWebPage::loadStarted
    {60, 476, 347},	// QWebPage::mainFrame
    {60, 480, 410},	// QWebPage::menuBarVisibilityChangeRequested$
    {60, 482, 339},	// QWebPage::metaObject
    {60, 484, 413},	// QWebPage::microFocusChanged
    {60, 498, 357},	// QWebPage::networkAccessManager
    {60, 545, 382},	// QWebPage::palette
    {60, 550, 359},	// QWebPage::pluginFactory
    {60, 554, 370},	// QWebPage::preferredContentsSize
    {60, 566, 406},	// QWebPage::printRequested#
    {60, 569, 345},	// QWebPage::qt_metacall$$?
    {60, 571, 340},	// QWebPage::qt_metacast$
    {60, 595, 403},	// QWebPage::repaintRequested#
    {60, 609, 418},	// QWebPage::restoreFrameStateRequested#
    {60, 611, 417},	// QWebPage::saveFrameStateRequested##
    {60, 627, 404},	// QWebPage::scrollRequested$$#
    {60, 631, 364},	// QWebPage::selectedHtml
    {60, 632, 363},	// QWebPage::selectedText
    {60, 633, 400},	// QWebPage::selectionChanged
    {60, 635, 372},	// QWebPage::setActualVisibleContentRect#
    {60, 649, 383},	// QWebPage::setContentEditable$
    {60, 669, 388},	// QWebPage::setFeaturePermission#$$
    {60, 680, 377},	// QWebPage::setForwardUnsupportedContent$
    {60, 691, 379},	// QWebPage::setLinkDelegationPolicy$
    {60, 703, 356},	// QWebPage::setNetworkAccessManager#
    {60, 719, 381},	// QWebPage::setPalette#
    {60, 725, 358},	// QWebPage::setPluginFactory#
    {60, 727, 371},	// QWebPage::setPreferredContentsSize#
    {60, 752, 352},	// QWebPage::setView#
    {60, 754, 368},	// QWebPage::setViewportSize#
    {60, 760, 351},	// QWebPage::settings
    {60, 761, 394},	// QWebPage::shouldInterruptJavaScript
    {60, 766, 438},	// QWebPage::staticMetaObject
    {60, 768, 399},	// QWebPage::statusBarMessage$
    {60, 770, 409},	// QWebPage::statusBarVisibilityChangeRequested$
    {60, 776, 389},	// QWebPage::supportedContentTypes
    {60, 778, 390},	// QWebPage::supportsContentType$
    {60, 780, 392},	// QWebPage::supportsExtension$
    {60, 782, 385},	// QWebPage::swallowContextMenuEvent#
    {60, 801, 408},	// QWebPage::toolBarVisibilityChangeRequested$
    {60, 802, 360},	// QWebPage::totalBytes
    {60, 804, 431},	// QWebPage::tr$
    {60, 805, 341},	// QWebPage::tr$$
    {60, 806, 343},	// QWebPage::tr$$$
    {60, 808, 432},	// QWebPage::trUtf8$
    {60, 809, 342},	// QWebPage::trUtf8$$
    {60, 810, 344},	// QWebPage::trUtf8$$$
    {60, 812, 434},	// QWebPage::triggerAction$
    {60, 813, 366},	// QWebPage::triggerAction$$
    {60, 817, 355},	// QWebPage::undoStack
    {60, 819, 411},	// QWebPage::unsupportedContent#
    {60, 821, 386},	// QWebPage::updatePositionDependentActions#
    {60, 826, 430},	// QWebPage::userAgentForUrl#
    {60, 829, 353},	// QWebPage::view
    {60, 831, 369},	// QWebPage::viewportAttributesForSize#
    {60, 832, 419},	// QWebPage::viewportChangeRequested
    {60, 833, 367},	// QWebPage::viewportSize
    {60, 840, 405},	// QWebPage::windowCloseRequested
    {60, 858, 535},	// QWebPage::~QWebPage
    {61, 11, 536},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption
    {61, 12, 537},	// QWebPage::ChooseMultipleFilesExtensionOption::ChooseMultipleFilesExtensionOption#
    {61, 548, 538},	// QWebPage::ChooseMultipleFilesExtensionOption::parentFrame
    {61, 721, 539},	// QWebPage::ChooseMultipleFilesExtensionOption::setParentFrame#
    {61, 742, 541},	// QWebPage::ChooseMultipleFilesExtensionOption::setSuggestedFileNames?
    {61, 775, 540},	// QWebPage::ChooseMultipleFilesExtensionOption::suggestedFileNames
    {61, 843, 542},	// QWebPage::ChooseMultipleFilesExtensionOption::~ChooseMultipleFilesExtensionOption
    {62, 13, 543},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn
    {62, 14, 544},	// QWebPage::ChooseMultipleFilesExtensionReturn::ChooseMultipleFilesExtensionReturn#
    {62, 353, 545},	// QWebPage::ChooseMultipleFilesExtensionReturn::fileNames
    {62, 673, 546},	// QWebPage::ChooseMultipleFilesExtensionReturn::setFileNames?
    {62, 844, 547},	// QWebPage::ChooseMultipleFilesExtensionReturn::~ChooseMultipleFilesExtensionReturn
    {63, 39, 548},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption
    {63, 40, 549},	// QWebPage::ErrorPageExtensionOption::ErrorPageExtensionOption#
    {63, 310, 554},	// QWebPage::ErrorPageExtensionOption::domain
    {63, 335, 556},	// QWebPage::ErrorPageExtensionOption::error
    {63, 336, 558},	// QWebPage::ErrorPageExtensionOption::errorString
    {63, 383, 552},	// QWebPage::ErrorPageExtensionOption::frame
    {63, 661, 555},	// QWebPage::ErrorPageExtensionOption::setDomain$
    {63, 665, 557},	// QWebPage::ErrorPageExtensionOption::setError$
    {63, 667, 559},	// QWebPage::ErrorPageExtensionOption::setErrorString$
    {63, 682, 553},	// QWebPage::ErrorPageExtensionOption::setFrame#
    {63, 746, 551},	// QWebPage::ErrorPageExtensionOption::setUrl#
    {63, 822, 550},	// QWebPage::ErrorPageExtensionOption::url
    {63, 845, 560},	// QWebPage::ErrorPageExtensionOption::~ErrorPageExtensionOption
    {64, 41, 561},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn
    {64, 42, 562},	// QWebPage::ErrorPageExtensionReturn::ErrorPageExtensionReturn#
    {64, 252, 567},	// QWebPage::ErrorPageExtensionReturn::baseUrl
    {64, 277, 569},	// QWebPage::ErrorPageExtensionReturn::content
    {64, 278, 563},	// QWebPage::ErrorPageExtensionReturn::contentType
    {64, 332, 565},	// QWebPage::ErrorPageExtensionReturn::encoding
    {64, 643, 568},	// QWebPage::ErrorPageExtensionReturn::setBaseUrl#
    {64, 645, 570},	// QWebPage::ErrorPageExtensionReturn::setContent#
    {64, 651, 564},	// QWebPage::ErrorPageExtensionReturn::setContentType$
    {64, 663, 566},	// QWebPage::ErrorPageExtensionReturn::setEncoding$
    {64, 846, 571},	// QWebPage::ErrorPageExtensionReturn::~ErrorPageExtensionReturn
    {65, 43, 572},	// QWebPage::ExtensionOption::ExtensionOption
    {65, 44, 573},	// QWebPage::ExtensionOption::ExtensionOption#
    {65, 847, 574},	// QWebPage::ExtensionOption::~ExtensionOption
    {66, 45, 575},	// QWebPage::ExtensionReturn::ExtensionReturn
    {66, 46, 576},	// QWebPage::ExtensionReturn::ExtensionReturn#
    {66, 848, 577},	// QWebPage::ExtensionReturn::~ExtensionReturn
    {69, 138, 593},	// QWebPluginFactory::QWebPluginFactory
    {69, 139, 585},	// QWebPluginFactory::QWebPluginFactory#
    {69, 287, 588},	// QWebPluginFactory::create$#??
    {69, 344, 594},	// QWebPluginFactory::extension$
    {69, 345, 595},	// QWebPluginFactory::extension$#
    {69, 346, 589},	// QWebPluginFactory::extension$##
    {69, 482, 578},	// QWebPluginFactory::metaObject
    {69, 551, 586},	// QWebPluginFactory::plugins
    {69, 569, 584},	// QWebPluginFactory::qt_metacall$$?
    {69, 571, 579},	// QWebPluginFactory::qt_metacast$
    {69, 572, 587},	// QWebPluginFactory::refreshPlugins
    {69, 766, 596},	// QWebPluginFactory::staticMetaObject
    {69, 780, 590},	// QWebPluginFactory::supportsExtension$
    {69, 804, 591},	// QWebPluginFactory::tr$
    {69, 805, 580},	// QWebPluginFactory::tr$$
    {69, 806, 582},	// QWebPluginFactory::tr$$$
    {69, 808, 592},	// QWebPluginFactory::trUtf8$
    {69, 809, 581},	// QWebPluginFactory::trUtf8$$
    {69, 810, 583},	// QWebPluginFactory::trUtf8$$$
    {69, 859, 597},	// QWebPluginFactory::~QWebPluginFactory
    {70, 43, 598},	// QWebPluginFactory::ExtensionOption::ExtensionOption
    {70, 44, 599},	// QWebPluginFactory::ExtensionOption::ExtensionOption#
    {70, 847, 600},	// QWebPluginFactory::ExtensionOption::~ExtensionOption
    {71, 45, 601},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn
    {71, 46, 602},	// QWebPluginFactory::ExtensionReturn::ExtensionReturn#
    {71, 848, 603},	// QWebPluginFactory::ExtensionReturn::~ExtensionReturn
    {72, 77, 606},	// QWebPluginFactory::MimeType::MimeType
    {72, 78, 607},	// QWebPluginFactory::MimeType::MimeType#
    {72, 304, 610},	// QWebPluginFactory::MimeType::description
    {72, 351, 612},	// QWebPluginFactory::MimeType::fileExtensions
    {72, 496, 608},	// QWebPluginFactory::MimeType::name
    {72, 505, 605},	// QWebPluginFactory::MimeType::operator!=#
    {72, 529, 604},	// QWebPluginFactory::MimeType::operator==#
    {72, 659, 611},	// QWebPluginFactory::MimeType::setDescription$
    {72, 671, 613},	// QWebPluginFactory::MimeType::setFileExtensions?
    {72, 701, 609},	// QWebPluginFactory::MimeType::setName$
    {72, 849, 614},	// QWebPluginFactory::MimeType::~MimeType
    {73, 116, 615},	// QWebPluginFactory::Plugin::Plugin
    {73, 117, 616},	// QWebPluginFactory::Plugin::Plugin#
    {73, 304, 619},	// QWebPluginFactory::Plugin::description
    {73, 485, 621},	// QWebPluginFactory::Plugin::mimeTypes
    {73, 496, 617},	// QWebPluginFactory::Plugin::name
    {73, 659, 620},	// QWebPluginFactory::Plugin::setDescription$
    {73, 699, 622},	// QWebPluginFactory::Plugin::setMimeTypes?
    {73, 701, 618},	// QWebPluginFactory::Plugin::setName$
    {73, 850, 623},	// QWebPluginFactory::Plugin::~Plugin
    {74, 141, 636},	// QWebSecurityOrigin::QWebSecurityOrigin#
    {74, 222, 625},	// QWebSecurityOrigin::addLocalScheme$
    {74, 226, 624},	// QWebSecurityOrigin::allOrigins
    {74, 297, 632},	// QWebSecurityOrigin::databaseQuota
    {74, 300, 631},	// QWebSecurityOrigin::databaseUsage
    {74, 301, 635},	// QWebSecurityOrigin::databases
    {74, 413, 629},	// QWebSecurityOrigin::host
    {74, 474, 627},	// QWebSecurityOrigin::localSchemes
    {74, 527, 637},	// QWebSecurityOrigin::operator=#
    {74, 552, 630},	// QWebSecurityOrigin::port
    {74, 586, 626},	// QWebSecurityOrigin::removeLocalScheme$
    {74, 612, 628},	// QWebSecurityOrigin::scheme
    {74, 637, 634},	// QWebSecurityOrigin::setApplicationCacheQuota$
    {74, 653, 633},	// QWebSecurityOrigin::setDatabaseQuota$
    {74, 860, 638},	// QWebSecurityOrigin::~QWebSecurityOrigin
    {75, 1, 700},	// QWebSettings::AcceleratedCompositingEnabled
    {75, 7, 682},	// QWebSettings::AutoLoadImages
    {75, 21, 680},	// QWebSettings::CursiveFont
    {75, 23, 720},	// QWebSettings::DefaultFixedFontSize
    {75, 24, 719},	// QWebSettings::DefaultFontSize
    {75, 25, 711},	// QWebSettings::DefaultFrameIconGraphic
    {75, 28, 713},	// QWebSettings::DeleteButtonGraphic
    {75, 31, 689},	// QWebSettings::DeveloperExtrasEnabled
    {75, 32, 698},	// QWebSettings::DnsPrefetchEnabled
    {75, 47, 681},	// QWebSettings::FantasyFont
    {75, 51, 677},	// QWebSettings::FixedFont
    {75, 53, 704},	// QWebSettings::FrameFlatteningEnabled
    {75, 57, 708},	// QWebSettings::HyperlinkAuditingEnabled
    {75, 61, 714},	// QWebSettings::InputSpeechButtonGraphic
    {75, 67, 684},	// QWebSettings::JavaEnabled
    {75, 68, 688},	// QWebSettings::JavascriptCanAccessClipboard
    {75, 69, 706},	// QWebSettings::JavascriptCanCloseWindows
    {75, 70, 687},	// QWebSettings::JavascriptCanOpenWindows
    {75, 71, 683},	// QWebSettings::JavascriptEnabled
    {75, 72, 690},	// QWebSettings::LinksIncludedInFocusChain
    {75, 73, 702},	// QWebSettings::LocalContentCanAccessFileUrls
    {75, 74, 697},	// QWebSettings::LocalContentCanAccessRemoteUrls
    {75, 75, 696},	// QWebSettings::LocalStorageDatabaseEnabled
    {75, 76, 695},	// QWebSettings::LocalStorageEnabled
    {75, 79, 717},	// QWebSettings::MinimumFontSize
    {75, 80, 718},	// QWebSettings::MinimumLogicalFontSize
    {75, 81, 709},	// QWebSettings::MissingImageGraphic
    {75, 82, 710},	// QWebSettings::MissingPluginGraphic
    {75, 103, 693},	// QWebSettings::OfflineStorageDatabaseEnabled
    {75, 104, 694},	// QWebSettings::OfflineWebApplicationCacheEnabled
    {75, 118, 685},	// QWebSettings::PluginsEnabled
    {75, 119, 692},	// QWebSettings::PrintElementBackgrounds
    {75, 120, 686},	// QWebSettings::PrivateBrowsingEnabled
    {75, 154, 679},	// QWebSettings::SansSerifFont
    {75, 156, 715},	// QWebSettings::SearchCancelButtonGraphic
    {75, 157, 716},	// QWebSettings::SearchCancelButtonPressedGraphic
    {75, 171, 678},	// QWebSettings::SerifFont
    {75, 175, 705},	// QWebSettings::SiteSpecificQuirksEnabled
    {75, 176, 701},	// QWebSettings::SpatialNavigationEnabled
    {75, 177, 676},	// QWebSettings::StandardFont
    {75, 180, 712},	// QWebSettings::TextAreaSizeGripCornerGraphic
    {75, 181, 703},	// QWebSettings::TiledBackingStoreEnabled
    {75, 191, 707},	// QWebSettings::WebGLEnabled
    {75, 194, 699},	// QWebSettings::XSSAuditingEnabled
    {75, 195, 691},	// QWebSettings::ZoomTextOnly
    {75, 266, 655},	// QWebSettings::clearIconDatabase
    {75, 267, 672},	// QWebSettings::clearMemoryCaches
    {75, 303, 652},	// QWebSettings::defaultTextEncoding
    {75, 322, 675},	// QWebSettings::enablePersistentStorage
    {75, 323, 673},	// QWebSettings::enablePersistentStorage$
    {75, 375, 641},	// QWebSettings::fontFamily$
    {75, 377, 644},	// QWebSettings::fontSize$
    {75, 392, 639},	// QWebSettings::globalSettings
    {75, 395, 674},	// QWebSettings::handle
    {75, 416, 654},	// QWebSettings::iconDatabasePath
    {75, 418, 656},	// QWebSettings::iconForUrl#
    {75, 475, 671},	// QWebSettings::localStoragePath
    {75, 478, 660},	// QWebSettings::maximumPagesInCache
    {75, 500, 665},	// QWebSettings::offlineStorageDefaultQuota
    {75, 501, 663},	// QWebSettings::offlineStoragePath
    {75, 502, 667},	// QWebSettings::offlineWebApplicationCachePath
    {75, 503, 669},	// QWebSettings::offlineWebApplicationCacheQuota
    {75, 601, 648},	// QWebSettings::resetAttribute$
    {75, 603, 642},	// QWebSettings::resetFontFamily$
    {75, 605, 645},	// QWebSettings::resetFontSize$
    {75, 639, 646},	// QWebSettings::setAttribute$$
    {75, 657, 651},	// QWebSettings::setDefaultTextEncoding$
    {75, 676, 640},	// QWebSettings::setFontFamily$$
    {75, 678, 643},	// QWebSettings::setFontSize$$
    {75, 687, 653},	// QWebSettings::setIconDatabasePath$
    {75, 693, 670},	// QWebSettings::setLocalStoragePath$
    {75, 697, 659},	// QWebSettings::setMaximumPagesInCache$
    {75, 705, 661},	// QWebSettings::setObjectCacheCapacities$$$
    {75, 707, 664},	// QWebSettings::setOfflineStorageDefaultQuota$
    {75, 709, 662},	// QWebSettings::setOfflineStoragePath$
    {75, 711, 666},	// QWebSettings::setOfflineWebApplicationCachePath$
    {75, 713, 668},	// QWebSettings::setOfflineWebApplicationCacheQuota$
    {75, 750, 649},	// QWebSettings::setUserStyleSheetUrl#
    {75, 757, 657},	// QWebSettings::setWebGraphic$#
    {75, 787, 647},	// QWebSettings::testAttribute$
    {75, 828, 650},	// QWebSettings::userStyleSheetUrl
    {75, 836, 658},	// QWebSettings::webGraphic$
    {77, 142, 794},	// QWebView::QWebView
    {77, 143, 728},	// QWebView::QWebView#
    {77, 248, 759},	// QWebView::back
    {77, 259, 775},	// QWebView::changeEvent#
    {77, 284, 780},	// QWebView::contextMenuEvent#
    {77, 292, 774},	// QWebView::createWindow$
    {77, 314, 784},	// QWebView::dragEnterEvent#
    {77, 316, 785},	// QWebView::dragLeaveEvent#
    {77, 318, 786},	// QWebView::dragMoveEvent#
    {77, 320, 787},	// QWebView::dropEvent#
    {77, 340, 757},	// QWebView::event#
    {77, 363, 802},	// QWebView::findText$
    {77, 364, 756},	// QWebView::findText$$
    {77, 368, 788},	// QWebView::focusInEvent#
    {77, 370, 791},	// QWebView::focusNextPrevChild$
    {77, 372, 789},	// QWebView::focusOutEvent#
    {77, 378, 760},	// QWebView::forward
    {77, 404, 741},	// QWebView::hasSelection
    {77, 408, 735},	// QWebView::history
    {77, 414, 740},	// QWebView::icon
    {77, 415, 770},	// QWebView::iconChanged
    {77, 422, 790},	// QWebView::inputMethodEvent#
    {77, 424, 747},	// QWebView::inputMethodQuery$
    {77, 427, 746},	// QWebView::isModified
    {77, 446, 782},	// QWebView::keyPressEvent#
    {77, 448, 783},	// QWebView::keyReleaseEvent#
    {77, 455, 768},	// QWebView::linkClicked#
    {77, 465, -10},	// QWebView::load#
    {77, 466, 796},	// QWebView::load#$
    {77, 467, 732},	// QWebView::load#$#
    {77, 469, 765},	// QWebView::loadFinished$
    {77, 471, 764},	// QWebView::loadProgress$
    {77, 472, 763},	// QWebView::loadStarted
    {77, 482, 721},	// QWebView::metaObject
    {77, 488, 778},	// QWebView::mouseDoubleClickEvent#
    {77, 490, 776},	// QWebView::mouseMoveEvent#
    {77, 492, 777},	// QWebView::mousePressEvent#
    {77, 494, 779},	// QWebView::mouseReleaseEvent#
    {77, 538, 729},	// QWebView::page
    {77, 540, 744},	// QWebView::pageAction$
    {77, 544, 773},	// QWebView::paintEvent#
    {77, 564, 762},	// QWebView::print#
    {77, 569, 727},	// QWebView::qt_metacall$$?
    {77, 571, 722},	// QWebView::qt_metacast$
    {77, 573, 761},	// QWebView::reload
    {77, 592, 753},	// QWebView::renderHints
    {77, 607, 772},	// QWebView::resizeEvent#
    {77, 631, 743},	// QWebView::selectedHtml
    {77, 632, 742},	// QWebView::selectedText
    {77, 633, 769},	// QWebView::selectionChanged
    {77, 645, 798},	// QWebView::setContent#
    {77, 646, 799},	// QWebView::setContent#$
    {77, 647, 734},	// QWebView::setContent#$#
    {77, 684, 797},	// QWebView::setHtml$
    {77, 685, 733},	// QWebView::setHtml$#
    {77, 717, 730},	// QWebView::setPage#
    {77, 729, 801},	// QWebView::setRenderHint$
    {77, 730, 755},	// QWebView::setRenderHint$$
    {77, 732, 754},	// QWebView::setRenderHints$
    {77, 744, 751},	// QWebView::setTextSizeMultiplier$
    {77, 746, 738},	// QWebView::setUrl#
    {77, 759, 750},	// QWebView::setZoomFactor$
    {77, 760, 736},	// QWebView::settings
    {77, 765, 748},	// QWebView::sizeHint
    {77, 766, 803},	// QWebView::staticMetaObject
    {77, 768, 767},	// QWebView::statusBarMessage$
    {77, 771, 758},	// QWebView::stop
    {77, 788, 752},	// QWebView::textSizeMultiplier
    {77, 790, 737},	// QWebView::title
    {77, 792, 766},	// QWebView::titleChanged$
    {77, 804, 792},	// QWebView::tr$
    {77, 805, 723},	// QWebView::tr$$
    {77, 806, 725},	// QWebView::tr$$$
    {77, 808, 793},	// QWebView::trUtf8$
    {77, 809, 724},	// QWebView::trUtf8$$
    {77, 810, 726},	// QWebView::trUtf8$$$
    {77, 815, 800},	// QWebView::triggerPageAction$
    {77, 816, 745},	// QWebView::triggerPageAction$$
    {77, 822, 739},	// QWebView::url
    {77, 824, 771},	// QWebView::urlChanged#
    {77, 838, 781},	// QWebView::wheelEvent#
    {77, 842, 749},	// QWebView::zoomFactor
    {77, 861, 804},	// QWebView::~QWebView
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtwebkit_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtwebkit_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtwebkit_Smoke = new Smoke(
        "qtwebkit",
        __smokeqtwebkit::classes, 81,
        __smokeqtwebkit::methods, 845,
        __smokeqtwebkit::methodMaps, 794,
        __smokeqtwebkit::methodNames, 863,
        __smokeqtwebkit::types, 267,
        __smokeqtwebkit::inheritanceList,
        __smokeqtwebkit::argumentList,
        __smokeqtwebkit::ambiguousMethodList,
        __smokeqtwebkit::cast );
    initialized = true;
}

void delete_qtwebkit_Smoke() { delete qtwebkit_Smoke; }

}
