#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "__codecvt_result", 29, Smoke::t_enum|Smoke::tf_stack },	//234
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//235
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//236
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//237
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//238
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//240
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//274
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//282
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//286
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//295
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//312
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//314
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//315
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//316
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//317
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//318
    { "int(*)(const void*,const void*)", 0, Smoke::t_int|Smoke::tf_stack },	//319
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//320
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//321
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//322
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//323
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//324
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//325
    { "size_t", 0, Smoke::t_uint|Smoke::tf_stack },	//326
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//327
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//328
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//329
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//330
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//331
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//332
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//333
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//334
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//335
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//336
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//337
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    246, 0,	//1  const QDomAttr&
    287, 0,	//3  const QString&
    247, 0,	//5  const QDomCDATASection&
    248, 0,	//7  const QDomCharacterData&
    330, 330, 0,	//9  unsigned long, unsigned long
    330, 287, 0,	//12  unsigned long, const QString&
    330, 330, 287, 0,	//15  unsigned long, unsigned long, const QString&
    249, 0,	//19  const QDomComment&
    252, 0,	//21  const QDomDocumentType&
    250, 0,	//23  const QDomDocument&
    287, 287, 0,	//25  const QString&, const QString&
    258, 235, 0,	//28  const QDomNode&, bool
    241, 235, 124, 320, 320, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    287, 235, 124, 320, 320, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 235, 124, 320, 320, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 235, 124, 320, 320, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    241, 124, 320, 320, 0,	//55  const QByteArray&, QString*, int*, int*
    287, 124, 320, 320, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 320, 320, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 320, 320, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    318, 0,	//76  int
    241, 235, 0,	//78  const QByteArray&, bool
    241, 235, 124, 0,	//81  const QByteArray&, bool, QString*
    241, 235, 124, 320, 0,	//85  const QByteArray&, bool, QString*, int*
    287, 235, 0,	//90  const QString&, bool
    287, 235, 124, 0,	//93  const QString&, bool, QString*
    287, 235, 124, 320, 0,	//97  const QString&, bool, QString*, int*
    104, 235, 0,	//102  QIODevice*, bool
    104, 235, 124, 0,	//105  QIODevice*, bool, QString*
    104, 235, 124, 320, 0,	//109  QIODevice*, bool, QString*, int*
    150, 235, 0,	//114  QXmlInputSource*, bool
    150, 235, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 235, 124, 320, 0,	//121  QXmlInputSource*, bool, QString*, int*
    241, 0,	//126  const QByteArray&
    241, 124, 0,	//128  const QByteArray&, QString*
    241, 124, 320, 0,	//131  const QByteArray&, QString*, int*
    287, 124, 0,	//135  const QString&, QString*
    287, 124, 320, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 320, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 320, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    251, 0,	//163  const QDomDocumentFragment&
    253, 0,	//165  const QDomElement&
    287, 323, 0,	//167  const QString&, long long
    287, 331, 0,	//170  const QString&, unsigned long long
    287, 318, 0,	//173  const QString&, int
    287, 329, 0,	//176  const QString&, unsigned int
    287, 317, 0,	//179  const QString&, float
    287, 316, 0,	//182  const QString&, double
    286, 287, 287, 0,	//185  const QString, const QString&, const QString&
    286, 287, 318, 0,	//189  const QString, const QString&, int
    286, 287, 329, 0,	//193  const QString, const QString&, unsigned int
    286, 287, 323, 0,	//197  const QString, const QString&, long long
    286, 287, 331, 0,	//201  const QString, const QString&, unsigned long long
    286, 287, 316, 0,	//205  const QString, const QString&, double
    286, 287, 0,	//209  const QString, const QString&
    254, 0,	//212  const QDomEntity&
    255, 0,	//214  const QDomEntityReference&
    256, 0,	//216  const QDomImplementation&
    287, 287, 287, 0,	//218  const QString&, const QString&, const QString&
    287, 287, 252, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    257, 0,	//228  const QDomNamedNodeMap&
    258, 0,	//230  const QDomNode&
    258, 258, 0,	//232  const QDomNode&, const QDomNode&
    235, 0,	//235  bool
    132, 318, 0,	//237  QTextStream&, int
    132, 318, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    259, 0,	//246  const QDomNodeList&
    260, 0,	//248  const QDomNotation&
    261, 0,	//250  const QDomProcessingInstruction&
    262, 0,	//252  const QDomText&
    290, 290, 0,	//254  const QStringRef&, const QStringRef&
    331, 0,	//257  unsigned long long
    316, 0,	//259  double
    131, 318, 0,	//261  QTextCodec::ConversionFlag, int
    190, 318, 0,	//264  Qt::ImageConversionFlag, int
    312, 329, 0,	//267  const char*, unsigned int
    336, 315, 326, 0,	//270  void*, const void*, size_t
    312, 265, 0,	//274  const char*, const QLatin1String&
    13, 81, 0,	//277  QDebug, QFlags<QIODevice::OpenModeFlag>
    290, 287, 0,	//280  const QStringRef&, const QString&
    283, 283, 0,	//283  const QSize&, const QSize&
    312, 241, 0,	//286  const char*, const QByteArray&
    74, 80, 0,	//289  QFile::Permission, QFlags<QFile::Permission>
    287, 312, 0,	//292  const QString&, const char*
    277, 277, 0,	//295  const QPointF&, const QPointF&
    316, 316, 0,	//298  double, double
    10, 121, 0,	//301  QDataStream&, QSizeF&
    241, 312, 0,	//304  const QByteArray&, const char*
    317, 0,	//307  float
    312, 0,	//309  const char*
    325, 0,	//311  signed char
    287, 290, 0,	//313  const QString&, const QStringRef&
    8, 0,	//316  QChar
    290, 265, 0,	//318  const QStringRef&, const QLatin1String&
    8, 8, 0,	//321  QChar, QChar
    223, 223, 0,	//324  Qt::TouchPointState, Qt::TouchPointState
    292, 0,	//327  const QUrl&
    13, 292, 0,	//329  QDebug, const QUrl&
    125, 287, 0,	//332  QString::Null, const QString&
    220, 220, 0,	//335  Qt::ToolBarArea, Qt::ToolBarArea
    312, 312, 0,	//338  const char*, const char*
    112, 112, 0,	//341  QLocale::NumberOption, QLocale::NumberOption
    230, 230, 0,	//344  Qt::WindowType, Qt::WindowType
    316, 285, 0,	//347  double, const QSizeF&
    14, 318, 0,	//350  QDir::Filter, int
    132, 258, 0,	//353  QTextStream&, const QDomNode&
    275, 275, 0,	//356  const QPoint&, const QPoint&
    10, 279, 0,	//359  QDataStream&, const QRectF&
    198, 318, 0,	//362  Qt::KeyboardModifier, int
    217, 99, 0,	//365  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    237, 0,	//368  char
    134, 86, 0,	//370  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    13, 269, 0,	//373  QDebug, const QMargins&
    138, 318, 0,	//376  QUrl::FormattingOption, int
    74, 318, 0,	//379  QFile::Permission, int
    275, 316, 0,	//382  const QPoint&, double
    16, 78, 0,	//385  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    287, 241, 0,	//388  const QString&, const QByteArray&
    285, 285, 0,	//391  const QSizeF&, const QSizeF&
    13, 277, 0,	//394  QDebug, const QPointF&
    322, 318, 320, 320, 0,	//397  long double, int, int*, int*
    198, 95, 0,	//402  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    13, 267, 0,	//405  QDebug, const QLineF&
    13, 244, 0,	//408  QDebug, const QDateTime&
    312, 287, 0,	//411  const char*, const QString&
    138, 138, 0,	//414  QUrl::FormattingOption, QUrl::FormattingOption
    223, 101, 0,	//417  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    190, 190, 0,	//420  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    112, 318, 0,	//423  QLocale::NumberOption, int
    265, 265, 0,	//426  const QLatin1String&, const QLatin1String&
    313, 318, 0,	//429  const unsigned char*, int
    312, 312, 329, 0,	//432  const char*, const char*, unsigned int
    265, 290, 0,	//436  const QLatin1String&, const QStringRef&
    181, 181, 0,	//439  Qt::DropAction, Qt::DropAction
    13, 275, 0,	//442  QDebug, const QPoint&
    10, 111, 0,	//445  QDataStream&, QLocale&
    287, 8, 0,	//448  const QString&, QChar
    125, 125, 0,	//451  QString::Null, QString::Null
    313, 328, 318, 0,	//454  const unsigned char*, unsigned char*, int
    131, 131, 0,	//458  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    205, 205, 0,	//461  Qt::Orientation, Qt::Orientation
    336, 326, 326, 326, 0,	//464  void*, size_t, size_t, size_t
    241, 287, 0,	//469  const QByteArray&, const QString&
    329, 0,	//472  unsigned int
    220, 100, 0,	//474  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    278, 278, 0,	//477  const QRect&, const QRect&
    73, 79, 0,	//480  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    239, 239, 0,	//483  const QBitArray&, const QBitArray&
    241, 241, 0,	//486  const QByteArray&, const QByteArray&
    336, 326, 0,	//489  void*, size_t
    10, 268, 0,	//492  QDataStream&, const QLocale&
    13, 263, 0,	//495  QDebug, const QEasingCurve&
    335, 0,	//498  void(*)(QtMsgType,const char*)
    271, 0,	//500  const QModelIndex&
    10, 12, 0,	//502  QDataStream&, QDateTime&
    4, 4, 0,	//505  QBool, QBool
    312, 290, 0,	//508  const char*, const QStringRef&
    220, 318, 0,	//511  Qt::ToolBarArea, int
    192, 318, 0,	//514  Qt::InputMethodHint, int
    8, 287, 0,	//517  QChar, const QString&
    126, 318, 0,	//520  QString::SectionFlag, int
    107, 318, 0,	//523  QLibrary::LoadHint, int
    10, 137, 0,	//526  QDataStream&, QUrl&
    312, 312, 318, 0,	//529  const char*, const char*, int
    323, 0,	//533  long long
    287, 125, 0,	//535  const QString&, QString::Null
    1, 318, 0,	//538  QAbstractFileEngine::FileFlag, int
    131, 85, 0,	//541  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    287, 237, 0,	//544  const QString&, char
    192, 93, 0,	//547  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    230, 103, 0,	//550  Qt::WindowType, QFlags<Qt::WindowType>
    203, 203, 0,	//553  Qt::MouseButton, Qt::MouseButton
    238, 312, 0,	//556  char*, const char*
    159, 159, 0,	//559  Qt::AlignmentFlag, Qt::AlignmentFlag
    275, 0,	//562  const QPoint&
    181, 318, 0,	//564  Qt::DropAction, int
    10, 291, 0,	//567  QDataStream&, const QTime&
    15, 318, 0,	//570  QDir::SortFlag, int
    269, 269, 0,	//573  const QMargins&, const QMargins&
    114, 0,	//576  QObject*(*)()
    201, 201, 0,	//578  Qt::MatchFlag, Qt::MatchFlag
    326, 0,	//581  size_t
    179, 89, 0,	//583  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    10, 128, 0,	//586  QDataStream&, QStringList&
    13, 295, 0,	//589  QDebug, const QVariant::Type
    179, 318, 0,	//592  Qt::DockWidgetArea, int
    321, 0,	//595  long
    318, 275, 0,	//597  int, const QPoint&
    332, 0,	//600  unsigned short
    10, 109, 0,	//602  QDataStream&, QLineF&
    74, 74, 0,	//605  QFile::Permission, QFile::Permission
    237, 287, 0,	//608  char, const QString&
    10, 120, 0,	//611  QDataStream&, QSize&
    273, 0,	//614  const QPersistentModelIndex&
    10, 287, 0,	//616  QDataStream&, const QString&
    10, 244, 0,	//619  QDataStream&, const QDateTime&
    272, 287, 270, 0,	//622  const QObject*, const QString&, const QMetaObject&
    126, 126, 0,	//626  QString::SectionFlag, QString::SectionFlag
    277, 316, 0,	//629  const QPointF&, double
    235, 4, 0,	//632  bool, QBool
    238, 312, 329, 0,	//635  char*, const char*, unsigned int
    10, 275, 0,	//639  QDataStream&, const QPoint&
    10, 140, 0,	//642  QDataStream&, QVariant&
    203, 318, 0,	//645  Qt::MouseButton, int
    277, 0,	//648  const QPointF&
    13, 273, 0,	//650  QDebug, const QPersistentModelIndex&
    312, 312, 312, 318, 0,	//653  const char*, const char*, const char*, int
    317, 275, 0,	//658  float, const QPoint&
    205, 98, 0,	//661  Qt::Orientation, QFlags<Qt::Orientation>
    73, 318, 0,	//664  QEventLoop::ProcessEventsFlag, int
    279, 279, 0,	//667  const QRectF&, const QRectF&
    190, 92, 0,	//670  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    10, 288, 0,	//673  QDataStream&, const QStringList&
    241, 237, 0,	//676  const QByteArray&, char
    16, 16, 0,	//679  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    14, 76, 0,	//682  QDir::Filter, QFlags<QDir::Filter>
    10, 115, 0,	//685  QDataStream&, QPoint&
    285, 316, 0,	//688  const QSizeF&, double
    10, 243, 0,	//691  QDataStream&, const QDate&
    334, 0,	//694  void(*)()
    313, 318, 318, 0,	//696  const unsigned char*, int, int
    10, 266, 0,	//700  QDataStream&, const QLine&
    10, 123, 0,	//703  QDataStream&, QString&
    336, 0,	//706  void*
    195, 318, 0,	//708  Qt::ItemFlag, int
    13, 245, 0,	//711  QDebug, const QDir&
    132, 133, 0,	//714  QTextStream&, QTextStream&(*)(QTextStream&)
    13, 271, 0,	//717  QDebug, const QModelIndex&
    73, 73, 0,	//720  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    239, 0,	//723  const QBitArray&
    13, 291, 0,	//725  QDebug, const QTime&
    132, 135, 0,	//728  QTextStream&, QTextStreamManipulator
    186, 91, 0,	//731  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    290, 312, 0,	//734  const QStringRef&, const char*
    10, 3, 0,	//737  QDataStream&, QBitArray&
    326, 326, 0,	//740  size_t, size_t
    322, 318, 320, 320, 238, 326, 0,	//743  long double, int, int*, int*, char*, size_t
    13, 285, 0,	//750  QDebug, const QSizeF&
    186, 318, 0,	//753  Qt::GestureFlag, int
    237, 241, 0,	//756  char, const QByteArray&
    10, 294, 0,	//759  QDataStream&, const QVariant&
    13, 294, 0,	//762  QDebug, const QVariant&
    229, 318, 0,	//765  Qt::WindowState, int
    10, 136, 0,	//768  QDataStream&, QTime&
    13, 76, 0,	//771  QDebug, QFlags<QDir::Filter>
    198, 198, 0,	//774  Qt::KeyboardModifier, Qt::KeyboardModifier
    10, 72, 0,	//777  QDataStream&, QEasingCurve&
    316, 277, 0,	//780  double, const QPointF&
    181, 90, 0,	//783  Qt::DropAction, QFlags<Qt::DropAction>
    283, 316, 0,	//786  const QSize&, double
    13, 243, 0,	//789  QDebug, const QDate&
    14, 14, 0,	//792  QDir::Filter, QDir::Filter
    238, 326, 312, 333, 0,	//795  char*, size_t, const char*, va_list
    316, 275, 0,	//800  double, const QPoint&
    336, 318, 326, 0,	//803  void*, int, size_t
    10, 267, 0,	//807  QDataStream&, const QLineF&
    312, 318, 0,	//810  const char*, int
    324, 0,	//813  short
    105, 105, 0,	//815  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    179, 179, 0,	//818  Qt::DockWidgetArea, Qt::DockWidgetArea
    15, 77, 0,	//821  QDir::SortFlag, QFlags<QDir::SortFlag>
    317, 317, 0,	//824  float, float
    294, 296, 0,	//827  const QVariant&, const QVariantComparisonHelper&
    107, 107, 0,	//830  QLibrary::LoadHint, QLibrary::LoadHint
    322, 318, 238, 0,	//833  long double, int, char*
    336, 326, 326, 319, 0,	//837  void*, size_t, size_t, int(*)(const void*,const void*)
    16, 318, 0,	//842  QDirIterator::IteratorFlag, int
    192, 192, 0,	//845  Qt::InputMethodHint, Qt::InputMethodHint
    13, 266, 0,	//848  QDebug, const QLine&
    217, 217, 0,	//851  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    223, 318, 0,	//854  Qt::TouchPointState, int
    241, 318, 0,	//857  const QByteArray&, int
    138, 87, 0,	//860  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    217, 318, 0,	//863  Qt::TextInteractionFlag, int
    229, 229, 0,	//866  Qt::WindowState, Qt::WindowState
    1, 75, 0,	//869  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    10, 241, 0,	//872  QDataStream&, const QByteArray&
    10, 263, 0,	//875  QDataStream&, const QEasingCurve&
    10, 292, 0,	//878  QDataStream&, const QUrl&
    13, 278, 0,	//881  QDebug, const QRect&
    15, 15, 0,	//884  QDir::SortFlag, QDir::SortFlag
    134, 318, 0,	//887  QTextStream::NumberFlag, int
    10, 117, 0,	//890  QDataStream&, QRect&
    10, 283, 0,	//893  QDataStream&, const QSize&
    10, 242, 0,	//896  QDataStream&, const QChar&
    159, 318, 0,	//899  Qt::AlignmentFlag, int
    10, 280, 0,	//902  QDataStream&, const QRegExp&
    13, 279, 0,	//905  QDebug, const QRectF&
    229, 102, 0,	//908  Qt::WindowState, QFlags<Qt::WindowState>
    195, 195, 0,	//911  Qt::ItemFlag, Qt::ItemFlag
    10, 139, 0,	//914  QDataStream&, QUuid&
    275, 318, 0,	//917  const QPoint&, int
    10, 142, 0,	//920  QDataStream&, QVariant::Type&
    294, 141, 336, 0,	//923  const QVariant&, QVariant::Type, void*
    272, 287, 281, 270, 110, 0,	//927  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    264, 264, 0,	//933  const QHashDummyValue&, const QHashDummyValue&
    10, 116, 0,	//936  QDataStream&, QPointF&
    205, 318, 0,	//939  Qt::Orientation, int
    186, 186, 0,	//942  Qt::GestureFlag, Qt::GestureFlag
    105, 81, 0,	//945  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    275, 317, 0,	//948  const QPoint&, float
    316, 283, 0,	//951  double, const QSize&
    4, 235, 0,	//954  QBool, bool
    10, 108, 0,	//957  QDataStream&, QLine&
    13, 283, 0,	//960  QDebug, const QSize&
    134, 134, 0,	//963  QTextStream::NumberFlag, QTextStream::NumberFlag
    203, 97, 0,	//966  Qt::MouseButton, QFlags<Qt::MouseButton>
    10, 295, 0,	//969  QDataStream&, const QVariant::Type
    195, 94, 0,	//972  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    10, 293, 0,	//975  QDataStream&, const QUuid&
    107, 82, 0,	//978  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    230, 318, 0,	//981  Qt::WindowType, int
    10, 118, 0,	//984  QDataStream&, QRectF&
    10, 278, 0,	//987  QDataStream&, const QRect&
    201, 96, 0,	//990  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    159, 88, 0,	//993  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 9, 0,	//996  QDataStream&, QChar&
    10, 119, 0,	//999  QDataStream&, QRegExp&
    330, 0,	//1002  unsigned long
    10, 277, 0,	//1004  QDataStream&, const QPointF&
    112, 83, 0,	//1007  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    10, 285, 0,	//1010  QDataStream&, const QSizeF&
    126, 84, 0,	//1013  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//1016  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    233, 312, 0,	//1019  QtMsgType, const char*
    290, 0,	//1022  const QStringRef&
    105, 318, 0,	//1024  QIODevice::OpenModeFlag, int
    327, 0,	//1027  unsigned char
    10, 6, 0,	//1029  QDataStream&, QByteArray&
    13, 272, 0,	//1032  QDebug, const QObject*
    201, 318, 0,	//1035  Qt::MatchFlag, int
    10, 11, 0,	//1038  QDataStream&, QDate&
    10, 239, 0,	//1041  QDataStream&, const QBitArray&
    265, 0,	//1044  const QLatin1String&
    287, 287, 287, 287, 0,	//1046  const QString&, const QString&, const QString&, const QString&
    297, 0,	//1051  const QXmlAttributes&
    153, 0,	//1053  QXmlLocator*
    287, 287, 287, 297, 0,	//1055  const QString&, const QString&, const QString&, const QXmlAttributes&
    298, 0,	//1060  const QXmlContentHandler&
    299, 0,	//1062  const QXmlDTDHandler&
    287, 287, 287, 287, 287, 0,	//1064  const QString&, const QString&, const QString&, const QString&, const QString&
    300, 0,	//1070  const QXmlDeclHandler&
    307, 0,	//1072  const QXmlParseException&
    287, 287, 151, 0,	//1074  const QString&, const QString&, QXmlInputSource*&
    301, 0,	//1078  const QXmlEntityResolver&
    302, 0,	//1080  const QXmlErrorHandler&
    303, 0,	//1082  const QXmlInputSource&
    305, 0,	//1084  const QXmlLexicalHandler&
    306, 0,	//1086  const QXmlLocator&
    287, 123, 123, 0,	//1088  const QString&, QString&, QString&
    287, 235, 123, 123, 0,	//1092  const QString&, bool, QString&, QString&
    287, 318, 318, 287, 287, 0,	//1097  const QString&, int, int, const QString&, const QString&
    287, 318, 318, 0,	//1103  const QString&, int, int
    287, 318, 318, 287, 0,	//1107  const QString&, int, int, const QString&
    287, 236, 0,	//1112  const QString&, bool*
    287, 336, 0,	//1115  const QString&, void*
    148, 0,	//1118  QXmlEntityResolver*
    145, 0,	//1120  QXmlDTDHandler*
    144, 0,	//1122  QXmlContentHandler*
    149, 0,	//1124  QXmlErrorHandler*
    152, 0,	//1126  QXmlLexicalHandler*
    146, 0,	//1128  QXmlDeclHandler*
    304, 0,	//1130  const QXmlInputSource*
    308, 0,	//1132  const QXmlReader&
    304, 235, 0,	//1134  const QXmlInputSource*, bool
    7, 0,	//1137  QByteArray*
    124, 0,	//1139  QString*
    130, 0,	//1141  QTextCodec*
    309, 0,	//1143  const QXmlStreamAttribute&
    310, 0,	//1145  const QXmlStreamAttributes&
    311, 0,	//1147  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "NotationNode",	//19
    "ProcessingInstructionNode",	//20
    "QDomAttr",	//21
    "QDomAttr#",	//22
    "QDomCDATASection",	//23
    "QDomCDATASection#",	//24
    "QDomCharacterData",	//25
    "QDomCharacterData#",	//26
    "QDomComment",	//27
    "QDomComment#",	//28
    "QDomDocument",	//29
    "QDomDocument#",	//30
    "QDomDocument$",	//31
    "QDomDocumentFragment",	//32
    "QDomDocumentFragment#",	//33
    "QDomDocumentType",	//34
    "QDomDocumentType#",	//35
    "QDomElement",	//36
    "QDomElement#",	//37
    "QDomEntity",	//38
    "QDomEntity#",	//39
    "QDomEntityReference",	//40
    "QDomEntityReference#",	//41
    "QDomImplementation",	//42
    "QDomImplementation#",	//43
    "QDomNamedNodeMap",	//44
    "QDomNamedNodeMap#",	//45
    "QDomNode",	//46
    "QDomNode#",	//47
    "QDomNodeList",	//48
    "QDomNodeList#",	//49
    "QDomNotation",	//50
    "QDomNotation#",	//51
    "QDomProcessingInstruction",	//52
    "QDomProcessingInstruction#",	//53
    "QDomText",	//54
    "QDomText#",	//55
    "QXmlAttributes",	//56
    "QXmlAttributes#",	//57
    "QXmlContentHandler",	//58
    "QXmlContentHandler#",	//59
    "QXmlDTDHandler",	//60
    "QXmlDTDHandler#",	//61
    "QXmlDeclHandler",	//62
    "QXmlDeclHandler#",	//63
    "QXmlDefaultHandler",	//64
    "QXmlEntityResolver",	//65
    "QXmlEntityResolver#",	//66
    "QXmlErrorHandler",	//67
    "QXmlErrorHandler#",	//68
    "QXmlInputSource",	//69
    "QXmlInputSource#",	//70
    "QXmlLexicalHandler",	//71
    "QXmlLexicalHandler#",	//72
    "QXmlLocator",	//73
    "QXmlLocator#",	//74
    "QXmlNamespaceSupport",	//75
    "QXmlParseException",	//76
    "QXmlParseException#",	//77
    "QXmlParseException$",	//78
    "QXmlParseException$$",	//79
    "QXmlParseException$$$",	//80
    "QXmlParseException$$$$",	//81
    "QXmlParseException$$$$$",	//82
    "QXmlReader",	//83
    "QXmlReader#",	//84
    "QXmlSimpleReader",	//85
    "QXmlStreamWriter",	//86
    "QXmlStreamWriter#",	//87
    "QXmlStreamWriter$",	//88
    "QtCriticalMsg",	//89
    "QtDebugMsg",	//90
    "QtFatalMsg",	//91
    "QtSystemMsg",	//92
    "QtWarningMsg",	//93
    "ReturnNullNode",	//94
    "TextNode",	//95
    "_ISalnum",	//96
    "_ISalpha",	//97
    "_ISblank",	//98
    "_IScntrl",	//99
    "_ISdigit",	//100
    "_ISgraph",	//101
    "_ISlower",	//102
    "_ISprint",	//103
    "_ISpunct",	//104
    "_ISspace",	//105
    "_ISupper",	//106
    "_ISxdigit",	//107
    "__codecvt_error",	//108
    "__codecvt_noconv",	//109
    "__codecvt_ok",	//110
    "__codecvt_partial",	//111
    "append",	//112
    "append$$$$",	//113
    "appendChild",	//114
    "appendChild#",	//115
    "appendData",	//116
    "appendData$",	//117
    "at",	//118
    "at$",	//119
    "attribute",	//120
    "attribute$",	//121
    "attribute$$",	//122
    "attributeDecl",	//123
    "attributeDecl$$$$$",	//124
    "attributeNS",	//125
    "attributeNS$$",	//126
    "attributeNS$$$",	//127
    "attributeNode",	//128
    "attributeNode$",	//129
    "attributeNodeNS",	//130
    "attributeNodeNS$$",	//131
    "attributes",	//132
    "autoFormatting",	//133
    "autoFormattingIndent",	//134
    "characters",	//135
    "characters$",	//136
    "childNodes",	//137
    "clear",	//138
    "cloneNode",	//139
    "cloneNode$",	//140
    "codec",	//141
    "columnNumber",	//142
    "comment",	//143
    "comment$",	//144
    "contains",	//145
    "contains$",	//146
    "contentHandler",	//147
    "count",	//148
    "createAttribute",	//149
    "createAttribute$",	//150
    "createAttributeNS",	//151
    "createAttributeNS$$",	//152
    "createCDATASection",	//153
    "createCDATASection$",	//154
    "createComment",	//155
    "createComment$",	//156
    "createDocument",	//157
    "createDocument$$#",	//158
    "createDocumentFragment",	//159
    "createDocumentType",	//160
    "createDocumentType$$$",	//161
    "createElement",	//162
    "createElement$",	//163
    "createElementNS",	//164
    "createElementNS$$",	//165
    "createEntityReference",	//166
    "createEntityReference$",	//167
    "createProcessingInstruction",	//168
    "createProcessingInstruction$$",	//169
    "createTextNode",	//170
    "createTextNode$",	//171
    "data",	//172
    "declHandler",	//173
    "deleteData",	//174
    "deleteData$$",	//175
    "device",	//176
    "doctype",	//177
    "documentElement",	//178
    "elementById",	//179
    "elementById$",	//180
    "elementsByTagName",	//181
    "elementsByTagName$",	//182
    "elementsByTagNameNS",	//183
    "elementsByTagNameNS$$",	//184
    "endCDATA",	//185
    "endDTD",	//186
    "endDocument",	//187
    "endElement",	//188
    "endElement$$$",	//189
    "endEntity",	//190
    "endEntity$",	//191
    "endPrefixMapping",	//192
    "endPrefixMapping$",	//193
    "entities",	//194
    "entityResolver",	//195
    "error",	//196
    "error#",	//197
    "errorHandler",	//198
    "errorString",	//199
    "externalEntityDecl",	//200
    "externalEntityDecl$$$",	//201
    "fatalError",	//202
    "fatalError#",	//203
    "feature",	//204
    "feature$",	//205
    "feature$$",	//206
    "fetchData",	//207
    "firstChild",	//208
    "firstChildElement",	//209
    "firstChildElement$",	//210
    "fromRawData",	//211
    "fromRawData#",	//212
    "fromRawData#$",	//213
    "hasAttribute",	//214
    "hasAttribute$",	//215
    "hasAttributeNS",	//216
    "hasAttributeNS$$",	//217
    "hasAttributes",	//218
    "hasChildNodes",	//219
    "hasError",	//220
    "hasFeature",	//221
    "hasFeature$",	//222
    "hasFeature$$",	//223
    "hasProperty",	//224
    "hasProperty$",	//225
    "ignorableWhitespace",	//226
    "ignorableWhitespace$",	//227
    "impl",	//228
    "implementation",	//229
    "importNode",	//230
    "importNode#$",	//231
    "index",	//232
    "index#",	//233
    "index$",	//234
    "index$$",	//235
    "insertAfter",	//236
    "insertAfter##",	//237
    "insertBefore",	//238
    "insertBefore##",	//239
    "insertData",	//240
    "insertData$$",	//241
    "internalEntityDecl",	//242
    "internalEntityDecl$$",	//243
    "internalSubset",	//244
    "invalidDataPolicy",	//245
    "isAttr",	//246
    "isCDATASection",	//247
    "isCharacterData",	//248
    "isComment",	//249
    "isDocument",	//250
    "isDocumentFragment",	//251
    "isDocumentType",	//252
    "isElement",	//253
    "isEmpty",	//254
    "isEntity",	//255
    "isEntityReference",	//256
    "isNotation",	//257
    "isNull",	//258
    "isProcessingInstruction",	//259
    "isSupported",	//260
    "isSupported$$",	//261
    "isText",	//262
    "item",	//263
    "item$",	//264
    "lastChild",	//265
    "lastChildElement",	//266
    "lastChildElement$",	//267
    "length",	//268
    "lexicalHandler",	//269
    "lineNumber",	//270
    "localName",	//271
    "localName$",	//272
    "message",	//273
    "name",	//274
    "namedItem",	//275
    "namedItem$",	//276
    "namedItemNS",	//277
    "namedItemNS$$",	//278
    "namespaceURI",	//279
    "next",	//280
    "nextSibling",	//281
    "nextSiblingElement",	//282
    "nextSiblingElement$",	//283
    "nodeName",	//284
    "nodeType",	//285
    "nodeValue",	//286
    "normalize",	//287
    "notationDecl",	//288
    "notationDecl$$$",	//289
    "notationName",	//290
    "notations",	//291
    "operator!=",	//292
    "operator!=#",	//293
    "operator!=##",	//294
    "operator!=#$",	//295
    "operator!=$#",	//296
    "operator!=$$",	//297
    "operator&",	//298
    "operator&##",	//299
    "operator*",	//300
    "operator*#$",	//301
    "operator*$#",	//302
    "operator+",	//303
    "operator+##",	//304
    "operator+#$",	//305
    "operator+$#",	//306
    "operator+$$",	//307
    "operator-",	//308
    "operator-#",	//309
    "operator-##",	//310
    "operator/",	//311
    "operator/#$",	//312
    "operator<",	//313
    "operator<##",	//314
    "operator<#$",	//315
    "operator<$#",	//316
    "operator<$$",	//317
    "operator<<",	//318
    "operator<<##",	//319
    "operator<<#$",	//320
    "operator<<#?",	//321
    "operator<=",	//322
    "operator<=##",	//323
    "operator<=#$",	//324
    "operator<=$#",	//325
    "operator<=$$",	//326
    "operator=",	//327
    "operator=#",	//328
    "operator==",	//329
    "operator==#",	//330
    "operator==##",	//331
    "operator==#$",	//332
    "operator==$#",	//333
    "operator==$$",	//334
    "operator>",	//335
    "operator>##",	//336
    "operator>#$",	//337
    "operator>$#",	//338
    "operator>$$",	//339
    "operator>=",	//340
    "operator>=##",	//341
    "operator>=#$",	//342
    "operator>=$#",	//343
    "operator>=$$",	//344
    "operator>>",	//345
    "operator>>##",	//346
    "operator>>#$",	//347
    "operator>>#?",	//348
    "operator^",	//349
    "operator^##",	//350
    "operator|",	//351
    "operator|##",	//352
    "operator|$$",	//353
    "ownerDocument",	//354
    "ownerElement",	//355
    "parentNode",	//356
    "parse",	//357
    "parse#",	//358
    "parse#$",	//359
    "parseContinue",	//360
    "popContext",	//361
    "prefix",	//362
    "prefix$",	//363
    "prefixes",	//364
    "prefixes$",	//365
    "previousSibling",	//366
    "previousSiblingElement",	//367
    "previousSiblingElement$",	//368
    "processName",	//369
    "processName$$$$",	//370
    "processingInstruction",	//371
    "processingInstruction$$",	//372
    "property",	//373
    "property$",	//374
    "property$$",	//375
    "publicId",	//376
    "pushContext",	//377
    "qAcos",	//378
    "qAcos$",	//379
    "qAddPostRoutine",	//380
    "qAddPostRoutine$",	//381
    "qAppName",	//382
    "qAsin",	//383
    "qAsin$",	//384
    "qAtan",	//385
    "qAtan$",	//386
    "qAtan2",	//387
    "qAtan2$$",	//388
    "qBadAlloc",	//389
    "qCeil",	//390
    "qCeil$",	//391
    "qChecksum",	//392
    "qChecksum$$",	//393
    "qCompress",	//394
    "qCompress#",	//395
    "qCompress#$",	//396
    "qCompress$$",	//397
    "qCompress$$$",	//398
    "qCos",	//399
    "qCos$",	//400
    "qCritical",	//401
    "qDebug",	//402
    "qExp",	//403
    "qExp$",	//404
    "qFabs",	//405
    "qFabs$",	//406
    "qFastCos",	//407
    "qFastCos$",	//408
    "qFastSin",	//409
    "qFastSin$",	//410
    "qFlagLocation",	//411
    "qFlagLocation$",	//412
    "qFloor",	//413
    "qFloor$",	//414
    "qFree",	//415
    "qFree$",	//416
    "qFreeAligned",	//417
    "qFreeAligned$",	//418
    "qFuzzyCompare",	//419
    "qFuzzyCompare$$",	//420
    "qFuzzyIsNull",	//421
    "qFuzzyIsNull$",	//422
    "qHash",	//423
    "qHash#",	//424
    "qHash$",	//425
    "qInf",	//426
    "qInstallMsgHandler",	//427
    "qInstallMsgHandler$",	//428
    "qIntCast",	//429
    "qIntCast$",	//430
    "qIsFinite",	//431
    "qIsFinite$",	//432
    "qIsInf",	//433
    "qIsInf$",	//434
    "qIsNaN",	//435
    "qIsNaN$",	//436
    "qIsNull",	//437
    "qIsNull$",	//438
    "qLn",	//439
    "qLn$",	//440
    "qMalloc",	//441
    "qMalloc$",	//442
    "qMallocAligned",	//443
    "qMallocAligned$$",	//444
    "qMemCopy",	//445
    "qMemCopy$$$",	//446
    "qMemSet",	//447
    "qMemSet$$$",	//448
    "qName",	//449
    "qName$",	//450
    "qPow",	//451
    "qPow$$",	//452
    "qQNaN",	//453
    "qRealloc",	//454
    "qRealloc$$",	//455
    "qReallocAligned",	//456
    "qReallocAligned$$$$",	//457
    "qRegisterStaticPluginInstanceFunction",	//458
    "qRegisterStaticPluginInstanceFunction#",	//459
    "qRemovePostRoutine",	//460
    "qRemovePostRoutine$",	//461
    "qRound",	//462
    "qRound$",	//463
    "qRound64",	//464
    "qRound64$",	//465
    "qSNaN",	//466
    "qSetFieldWidth",	//467
    "qSetFieldWidth$",	//468
    "qSetPadChar",	//469
    "qSetPadChar#",	//470
    "qSetRealNumberPrecision",	//471
    "qSetRealNumberPrecision$",	//472
    "qSharedBuild",	//473
    "qSin",	//474
    "qSin$",	//475
    "qSqrt",	//476
    "qSqrt$",	//477
    "qStringComparisonHelper",	//478
    "qStringComparisonHelper#$",	//479
    "qStringComparisonHelper$$",	//480
    "qTan",	//481
    "qTan$",	//482
    "qUncompress",	//483
    "qUncompress#",	//484
    "qUncompress$$",	//485
    "qVersion",	//486
    "qWarning",	//487
    "qbswap_helper",	//488
    "qbswap_helper$$$",	//489
    "qecvt",	//490
    "qecvt$$$$",	//491
    "qecvt_r",	//492
    "qecvt_r$$$$$$",	//493
    "qfcvt",	//494
    "qfcvt$$$$",	//495
    "qfcvt_r",	//496
    "qfcvt_r$$$$$$",	//497
    "qgcvt",	//498
    "qgcvt$$$",	//499
    "qgetenv",	//500
    "qgetenv$",	//501
    "qputenv",	//502
    "qputenv$#",	//503
    "qrand",	//504
    "qsort",	//505
    "qsort$$$$",	//506
    "qsrand",	//507
    "qsrand$",	//508
    "qstrcmp",	//509
    "qstrcmp##",	//510
    "qstrcmp#$",	//511
    "qstrcmp$#",	//512
    "qstrcmp$$",	//513
    "qstrcpy",	//514
    "qstrcpy$$",	//515
    "qstrdup",	//516
    "qstrdup$",	//517
    "qstricmp",	//518
    "qstricmp$$",	//519
    "qstrlen",	//520
    "qstrlen$",	//521
    "qstrncmp",	//522
    "qstrncmp$$$",	//523
    "qstrncpy",	//524
    "qstrncpy$$$",	//525
    "qstrnicmp",	//526
    "qstrnicmp$$$",	//527
    "qstrnlen",	//528
    "qstrnlen$$",	//529
    "qtTrId",	//530
    "qtTrId$",	//531
    "qtTrId$$",	//532
    "qt_assert",	//533
    "qt_assert$$$",	//534
    "qt_assert_x",	//535
    "qt_assert_x$$$$",	//536
    "qt_check_pointer",	//537
    "qt_check_pointer$$",	//538
    "qt_error_string",	//539
    "qt_error_string$",	//540
    "qt_message_output",	//541
    "qt_message_output$$",	//542
    "qt_noop",	//543
    "qt_qFindChild_helper",	//544
    "qt_qFindChild_helper#$#",	//545
    "qt_qFindChildren_helper",	//546
    "qt_qFindChildren_helper#$##?",	//547
    "qvariant_cast_helper",	//548
    "qvariant_cast_helper#$$",	//549
    "qvsnprintf",	//550
    "qvsnprintf$$$?",	//551
    "removeAttribute",	//552
    "removeAttribute$",	//553
    "removeAttributeNS",	//554
    "removeAttributeNS$$",	//555
    "removeAttributeNode",	//556
    "removeAttributeNode#",	//557
    "removeChild",	//558
    "removeChild#",	//559
    "removeNamedItem",	//560
    "removeNamedItem$",	//561
    "removeNamedItemNS",	//562
    "removeNamedItemNS$$",	//563
    "replaceChild",	//564
    "replaceChild##",	//565
    "replaceData",	//566
    "replaceData$$$",	//567
    "reset",	//568
    "resolveEntity",	//569
    "resolveEntity$$#",	//570
    "save",	//571
    "save#$",	//572
    "save#$$",	//573
    "setAttribute",	//574
    "setAttribute$$",	//575
    "setAttributeNS",	//576
    "setAttributeNS$$$",	//577
    "setAttributeNode",	//578
    "setAttributeNode#",	//579
    "setAttributeNodeNS",	//580
    "setAttributeNodeNS#",	//581
    "setAutoFormatting",	//582
    "setAutoFormatting$",	//583
    "setAutoFormattingIndent",	//584
    "setAutoFormattingIndent$",	//585
    "setCodec",	//586
    "setCodec#",	//587
    "setCodec$",	//588
    "setContent",	//589
    "setContent#",	//590
    "setContent##",	//591
    "setContent##$",	//592
    "setContent##$$",	//593
    "setContent##$$$",	//594
    "setContent#$",	//595
    "setContent#$$",	//596
    "setContent#$$$",	//597
    "setContent#$$$$",	//598
    "setContent$",	//599
    "setContent$$",	//600
    "setContent$$$",	//601
    "setContent$$$$",	//602
    "setContent$$$$$",	//603
    "setContentHandler",	//604
    "setContentHandler#",	//605
    "setDTDHandler",	//606
    "setDTDHandler#",	//607
    "setData",	//608
    "setData#",	//609
    "setData$",	//610
    "setDeclHandler",	//611
    "setDeclHandler#",	//612
    "setDevice",	//613
    "setDevice#",	//614
    "setDocumentLocator",	//615
    "setDocumentLocator#",	//616
    "setEntityResolver",	//617
    "setEntityResolver#",	//618
    "setErrorHandler",	//619
    "setErrorHandler#",	//620
    "setFeature",	//621
    "setFeature$$",	//622
    "setImpl",	//623
    "setImpl#",	//624
    "setInvalidDataPolicy",	//625
    "setInvalidDataPolicy$",	//626
    "setLexicalHandler",	//627
    "setLexicalHandler#",	//628
    "setNamedItem",	//629
    "setNamedItem#",	//630
    "setNamedItemNS",	//631
    "setNamedItemNS#",	//632
    "setNodeValue",	//633
    "setNodeValue$",	//634
    "setPrefix",	//635
    "setPrefix$",	//636
    "setPrefix$$",	//637
    "setProperty",	//638
    "setProperty$$",	//639
    "setTagName",	//640
    "setTagName$",	//641
    "setValue",	//642
    "setValue$",	//643
    "size",	//644
    "skippedEntity",	//645
    "skippedEntity$",	//646
    "specified",	//647
    "splitName",	//648
    "splitName$$$",	//649
    "splitText",	//650
    "splitText$",	//651
    "startCDATA",	//652
    "startDTD",	//653
    "startDTD$$$",	//654
    "startDocument",	//655
    "startElement",	//656
    "startElement$$$#",	//657
    "startEntity",	//658
    "startEntity$",	//659
    "startPrefixMapping",	//660
    "startPrefixMapping$$",	//661
    "substringData",	//662
    "substringData$$",	//663
    "systemId",	//664
    "tagName",	//665
    "target",	//666
    "text",	//667
    "toAttr",	//668
    "toByteArray",	//669
    "toByteArray$",	//670
    "toCDATASection",	//671
    "toCharacterData",	//672
    "toComment",	//673
    "toDocument",	//674
    "toDocumentFragment",	//675
    "toDocumentType",	//676
    "toElement",	//677
    "toEntity",	//678
    "toEntityReference",	//679
    "toNotation",	//680
    "toProcessingInstruction",	//681
    "toString",	//682
    "toString$",	//683
    "toText",	//684
    "type",	//685
    "type$",	//686
    "type$$",	//687
    "unparsedEntityDecl",	//688
    "unparsedEntityDecl$$$$",	//689
    "uri",	//690
    "uri$",	//691
    "value",	//692
    "value#",	//693
    "value$",	//694
    "value$$",	//695
    "warning",	//696
    "warning#",	//697
    "writeAttribute",	//698
    "writeAttribute#",	//699
    "writeAttribute$$",	//700
    "writeAttribute$$$",	//701
    "writeAttributes",	//702
    "writeAttributes#",	//703
    "writeCDATA",	//704
    "writeCDATA$",	//705
    "writeCharacters",	//706
    "writeCharacters$",	//707
    "writeComment",	//708
    "writeComment$",	//709
    "writeCurrentToken",	//710
    "writeCurrentToken#",	//711
    "writeDTD",	//712
    "writeDTD$",	//713
    "writeDefaultNamespace",	//714
    "writeDefaultNamespace$",	//715
    "writeEmptyElement",	//716
    "writeEmptyElement$",	//717
    "writeEmptyElement$$",	//718
    "writeEndDocument",	//719
    "writeEndElement",	//720
    "writeEntityReference",	//721
    "writeEntityReference$",	//722
    "writeNamespace",	//723
    "writeNamespace$",	//724
    "writeNamespace$$",	//725
    "writeProcessingInstruction",	//726
    "writeProcessingInstruction$",	//727
    "writeProcessingInstruction$$",	//728
    "writeStartDocument",	//729
    "writeStartDocument$",	//730
    "writeStartDocument$$",	//731
    "writeStartElement",	//732
    "writeStartElement$",	//733
    "writeStartElement$$",	//734
    "writeTextElement",	//735
    "writeTextElement$$",	//736
    "writeTextElement$$$",	//737
    "~QDomAttr",	//738
    "~QDomCDATASection",	//739
    "~QDomCharacterData",	//740
    "~QDomComment",	//741
    "~QDomDocument",	//742
    "~QDomDocumentFragment",	//743
    "~QDomDocumentType",	//744
    "~QDomElement",	//745
    "~QDomEntity",	//746
    "~QDomEntityReference",	//747
    "~QDomImplementation",	//748
    "~QDomNamedNodeMap",	//749
    "~QDomNode",	//750
    "~QDomNodeList",	//751
    "~QDomNotation",	//752
    "~QDomProcessingInstruction",	//753
    "~QDomText",	//754
    "~QXmlAttributes",	//755
    "~QXmlContentHandler",	//756
    "~QXmlDTDHandler",	//757
    "~QXmlDeclHandler",	//758
    "~QXmlDefaultHandler",	//759
    "~QXmlEntityResolver",	//760
    "~QXmlErrorHandler",	//761
    "~QXmlInputSource",	//762
    "~QXmlLexicalHandler",	//763
    "~QXmlLocator",	//764
    "~QXmlNamespaceSupport",	//765
    "~QXmlParseException",	//766
    "~QXmlReader",	//767
    "~QXmlSimpleReader",	//768
    "~QXmlStreamWriter",	//769
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 21, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 21, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 327, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 274, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 647, 0, 0, Smoke::mf_const, 235, 5},	//5 QDomAttr::specified() const
    {10, 355, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 692, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 642, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 285, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 738, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 23, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 23, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 327, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 285, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 739, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 25, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 25, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 327, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 662, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 116, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 240, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 174, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 566, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 268, 0, 0, Smoke::mf_const, 329, 9},	//24 QDomCharacterData::length() const
    {12, 172, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 608, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 285, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 740, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 27, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 27, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 327, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 285, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 741, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 29, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 29, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 29, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 29, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 327, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 162, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 159, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 170, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 155, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 153, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 168, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 149, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 166, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 181, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 230, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 164, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 151, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 183, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 179, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 177, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 229, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 178, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 285, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 589, 31, 5, 0, 235, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 589, 37, 5, 0, 235, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 589, 43, 5, 0, 235, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 589, 49, 5, 0, 235, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 589, 55, 4, 0, 235, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 589, 60, 4, 0, 235, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 589, 65, 4, 0, 235, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 589, 70, 5, 0, 235, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 682, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 669, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 589, 78, 2, 0, 235, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 589, 81, 3, 0, 235, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 589, 85, 4, 0, 235, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 589, 90, 2, 0, 235, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 589, 93, 3, 0, 235, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 589, 97, 4, 0, 235, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 589, 102, 2, 0, 235, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 589, 105, 3, 0, 235, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 589, 109, 4, 0, 235, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 589, 114, 2, 0, 235, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 589, 117, 3, 0, 235, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 589, 121, 4, 0, 235, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 589, 126, 1, 0, 235, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 589, 128, 2, 0, 235, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 589, 131, 3, 0, 235, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 589, 3, 1, 0, 235, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 589, 135, 2, 0, 235, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 589, 138, 3, 0, 235, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 589, 142, 1, 0, 235, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 589, 144, 2, 0, 235, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 589, 147, 3, 0, 235, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 589, 151, 2, 0, 235, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 589, 154, 3, 0, 235, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 589, 158, 4, 0, 235, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 682, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 669, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 742, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 32, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 32, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 327, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 285, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 743, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 34, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 34, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 327, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 274, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 194, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 291, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 376, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 664, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 244, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 285, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 744, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 36, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 36, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 327, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 120, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 574, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 574, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 574, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 574, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 574, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 574, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 574, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 552, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 128, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 578, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 556, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 181, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 214, 3, 1, Smoke::mf_const, 235, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 125, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 576, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 576, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 576, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 576, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 576, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 576, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 554, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 130, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 580, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 183, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 216, 25, 2, Smoke::mf_const, 235, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 665, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 640, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 132, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 285, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 667, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 120, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 125, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 745, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 38, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 38, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 327, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 376, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 664, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 290, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 285, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 746, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 40, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 40, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 327, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 285, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 747, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 42, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 42, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 327, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 329, 216, 1, Smoke::mf_const, 235, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 292, 216, 1, Smoke::mf_const, 235, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 221, 25, 2, Smoke::mf_const, 235, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 160, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 157, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 245, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 625, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 258, 0, 0, 0, 235, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 748, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 44, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 44, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 327, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 329, 228, 1, Smoke::mf_const, 235, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 292, 228, 1, Smoke::mf_const, 235, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 275, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 629, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 560, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 263, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 277, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 631, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 562, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 268, 0, 0, Smoke::mf_const, 329, 13},	//187 QDomNamedNodeMap::length() const
    {21, 148, 0, 0, Smoke::mf_const, 318, 14},	//188 QDomNamedNodeMap::count() const
    {21, 644, 0, 0, Smoke::mf_const, 318, 15},	//189 QDomNamedNodeMap::size() const
    {21, 254, 0, 0, Smoke::mf_const, 235, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 145, 3, 1, Smoke::mf_const, 235, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 749, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 46, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 46, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 327, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 329, 230, 1, Smoke::mf_const, 235, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 292, 230, 1, Smoke::mf_const, 235, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 238, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 236, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 564, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 558, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 114, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 219, 0, 0, Smoke::mf_const, 235, 11},	//203 QDomNode::hasChildNodes() const
    {22, 139, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 287, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 260, 25, 2, Smoke::mf_const, 235, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 284, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 285, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 356, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 137, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 208, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 265, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 366, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 281, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 132, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 354, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 279, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 271, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 218, 0, 0, Smoke::mf_const, 235, 27},	//219 QDomNode::hasAttributes() const
    {22, 286, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 633, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 362, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 635, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 246, 0, 0, Smoke::mf_const, 235, 32},	//224 QDomNode::isAttr() const
    {22, 247, 0, 0, Smoke::mf_const, 235, 33},	//225 QDomNode::isCDATASection() const
    {22, 251, 0, 0, Smoke::mf_const, 235, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 250, 0, 0, Smoke::mf_const, 235, 35},	//227 QDomNode::isDocument() const
    {22, 252, 0, 0, Smoke::mf_const, 235, 36},	//228 QDomNode::isDocumentType() const
    {22, 253, 0, 0, Smoke::mf_const, 235, 37},	//229 QDomNode::isElement() const
    {22, 256, 0, 0, Smoke::mf_const, 235, 38},	//230 QDomNode::isEntityReference() const
    {22, 262, 0, 0, Smoke::mf_const, 235, 39},	//231 QDomNode::isText() const
    {22, 255, 0, 0, Smoke::mf_const, 235, 40},	//232 QDomNode::isEntity() const
    {22, 257, 0, 0, Smoke::mf_const, 235, 41},	//233 QDomNode::isNotation() const
    {22, 259, 0, 0, Smoke::mf_const, 235, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 248, 0, 0, Smoke::mf_const, 235, 43},	//235 QDomNode::isCharacterData() const
    {22, 249, 0, 0, Smoke::mf_const, 235, 44},	//236 QDomNode::isComment() const
    {22, 275, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 258, 0, 0, Smoke::mf_const, 235, 46},	//238 QDomNode::isNull() const
    {22, 138, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 668, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 671, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 675, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 674, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 676, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 677, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 679, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 684, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 678, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 680, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 681, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 672, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 673, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 571, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 571, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 209, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 266, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 367, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 282, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 270, 0, 0, Smoke::mf_const, 318, 67},	//259 QDomNode::lineNumber() const
    {22, 142, 0, 0, Smoke::mf_const, 318, 68},	//260 QDomNode::columnNumber() const
    {22, 139, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 209, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 266, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 367, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 282, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 228, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 623, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 750, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 48, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 48, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 327, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 329, 246, 1, Smoke::mf_const, 235, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 292, 246, 1, Smoke::mf_const, 235, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 263, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 118, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 268, 0, 0, Smoke::mf_const, 329, 8},	//292 QDomNodeList::length() const
    {23, 148, 0, 0, Smoke::mf_const, 318, 9},	//293 QDomNodeList::count() const
    {23, 644, 0, 0, Smoke::mf_const, 318, 10},	//294 QDomNodeList::size() const
    {23, 254, 0, 0, Smoke::mf_const, 235, 11},	//295 QDomNodeList::isEmpty() const
    {23, 751, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 50, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 50, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 327, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 376, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 664, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 285, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 752, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 52, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 52, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 327, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 666, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 172, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 608, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 285, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 753, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 54, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 54, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 327, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 650, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 285, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 754, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 340, 254, 2, Smoke::mf_static, 235, 1},	//318 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 423, 257, 1, Smoke::mf_static, 329, 2},	//319 QGlobalSpace::qHash(unsigned long long)
    {29, 433, 259, 1, Smoke::mf_static, 235, 3},	//320 QGlobalSpace::qIsInf(double)
    {29, 351, 261, 2, Smoke::mf_static, 106, 4},	//321 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 351, 264, 2, Smoke::mf_static, 106, 5},	//322 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 528, 267, 2, Smoke::mf_static, 329, 6},	//323 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 445, 270, 3, Smoke::mf_static, 336, 7},	//324 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 543, 0, 0, Smoke::mf_static, 0, 8},	//325 QGlobalSpace::qt_noop()
    {29, 329, 274, 2, Smoke::mf_static, 235, 9},	//326 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {29, 318, 277, 2, Smoke::mf_static, 13, 10},	//327 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 329, 280, 2, Smoke::mf_static, 235, 11},	//328 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 329, 283, 2, Smoke::mf_static, 235, 12},	//329 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 303, 286, 2, Smoke::mf_static, 240, 13},	//330 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 351, 289, 2, Smoke::mf_static, 80, 14},	//331 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 478, 292, 2, Smoke::mf_static, 235, 15},	//332 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {29, 509, 286, 2, Smoke::mf_static, 318, 16},	//333 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 329, 295, 2, Smoke::mf_static, 235, 17},	//334 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 387, 298, 2, Smoke::mf_static, 316, 18},	//335 QGlobalSpace::qAtan2(double, double)
    {29, 345, 301, 2, Smoke::mf_static, 10, 19},	//336 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 340, 304, 2, Smoke::mf_static, 235, 20},	//337 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 433, 307, 1, Smoke::mf_static, 235, 21},	//338 QGlobalSpace::qIsInf(float)
    {29, 500, 309, 1, Smoke::mf_static, 5, 22},	//339 QGlobalSpace::qgetenv(const char*)
    {29, 423, 311, 1, Smoke::mf_static, 329, 23},	//340 QGlobalSpace::qHash(signed char)
    {29, 329, 313, 2, Smoke::mf_static, 235, 24},	//341 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 335, 286, 2, Smoke::mf_static, 235, 25},	//342 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 429, 259, 1, Smoke::mf_static, 318, 26},	//343 QGlobalSpace::qIntCast(double)
    {29, 469, 316, 1, Smoke::mf_static, 135, 27},	//344 QGlobalSpace::qSetPadChar(QChar)
    {29, 329, 318, 2, Smoke::mf_static, 235, 28},	//345 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 329, 321, 2, Smoke::mf_static, 235, 29},	//346 QGlobalSpace::operator==(QChar, QChar)
    {29, 351, 324, 2, Smoke::mf_static, 101, 30},	//347 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 423, 327, 1, Smoke::mf_static, 329, 31},	//348 QGlobalSpace::qHash(const QUrl&)
    {29, 423, 126, 1, Smoke::mf_static, 329, 32},	//349 QGlobalSpace::qHash(const QByteArray&)
    {29, 318, 329, 2, Smoke::mf_static, 13, 33},	//350 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 313, 321, 2, Smoke::mf_static, 235, 34},	//351 QGlobalSpace::operator<(QChar, QChar)
    {29, 340, 321, 2, Smoke::mf_static, 235, 35},	//352 QGlobalSpace::operator>=(QChar, QChar)
    {29, 292, 332, 2, Smoke::mf_static, 235, 36},	//353 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 313, 286, 2, Smoke::mf_static, 235, 37},	//354 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 351, 335, 2, Smoke::mf_static, 100, 38},	//355 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 509, 338, 2, Smoke::mf_static, 318, 39},	//356 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 399, 259, 1, Smoke::mf_static, 316, 40},	//357 QGlobalSpace::qCos(double)
    {29, 351, 341, 2, Smoke::mf_static, 83, 41},	//358 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 335, 321, 2, Smoke::mf_static, 235, 42},	//359 QGlobalSpace::operator>(QChar, QChar)
    {29, 351, 344, 2, Smoke::mf_static, 103, 43},	//360 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 300, 347, 2, Smoke::mf_static, 284, 44},	//361 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 473, 0, 0, Smoke::mf_static, 235, 45},	//362 QGlobalSpace::qSharedBuild()
    {29, 351, 350, 2, Smoke::mf_static, 106, 46},	//363 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 292, 254, 2, Smoke::mf_static, 235, 47},	//364 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 318, 353, 2, Smoke::mf_static, 132, 48},	//365 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 308, 356, 2, Smoke::mf_static, 274, 49},	//366 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 318, 359, 2, Smoke::mf_static, 10, 50},	//367 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 351, 362, 2, Smoke::mf_static, 106, 51},	//368 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 351, 365, 2, Smoke::mf_static, 99, 52},	//369 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 423, 368, 1, Smoke::mf_static, 329, 53},	//370 QGlobalSpace::qHash(char)
    {29, 292, 280, 2, Smoke::mf_static, 235, 54},	//371 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 351, 370, 2, Smoke::mf_static, 86, 55},	//372 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 318, 373, 2, Smoke::mf_static, 13, 56},	//373 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 351, 376, 2, Smoke::mf_static, 106, 57},	//374 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 351, 379, 2, Smoke::mf_static, 106, 58},	//375 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 311, 382, 2, Smoke::mf_static, 274, 59},	//376 QGlobalSpace::operator/(const QPoint&, double)
    {29, 303, 356, 2, Smoke::mf_static, 274, 60},	//377 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 351, 385, 2, Smoke::mf_static, 78, 61},	//378 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 303, 388, 2, Smoke::mf_static, 286, 62},	//379 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {29, 308, 391, 2, Smoke::mf_static, 284, 63},	//380 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 318, 394, 2, Smoke::mf_static, 13, 64},	//381 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 431, 259, 1, Smoke::mf_static, 235, 65},	//382 QGlobalSpace::qIsFinite(double)
    {29, 490, 397, 4, Smoke::mf_static, 238, 66},	//383 QGlobalSpace::qecvt(long double, int, int*, int*)
    {29, 292, 304, 2, Smoke::mf_static, 235, 67},	//384 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 351, 402, 2, Smoke::mf_static, 95, 68},	//385 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 318, 405, 2, Smoke::mf_static, 13, 69},	//386 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 318, 408, 2, Smoke::mf_static, 13, 70},	//387 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 313, 411, 2, Smoke::mf_static, 235, 71},	//388 QGlobalSpace::operator<(const char*, const QString&)
    {29, 351, 414, 2, Smoke::mf_static, 87, 72},	//389 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 351, 417, 2, Smoke::mf_static, 101, 73},	//390 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 303, 283, 2, Smoke::mf_static, 282, 74},	//391 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 351, 420, 2, Smoke::mf_static, 92, 75},	//392 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 539, 76, 1, Smoke::mf_static, 122, 76},	//393 QGlobalSpace::qt_error_string(int)
    {29, 539, 0, 0, Smoke::mf_static, 122, 77},	//394 QGlobalSpace::qt_error_string()
    {29, 303, 391, 2, Smoke::mf_static, 284, 78},	//395 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 351, 423, 2, Smoke::mf_static, 106, 79},	//396 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 313, 426, 2, Smoke::mf_static, 235, 80},	//397 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {29, 483, 429, 2, Smoke::mf_static, 5, 81},	//398 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 522, 432, 3, Smoke::mf_static, 318, 82},	//399 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 481, 259, 1, Smoke::mf_static, 316, 83},	//400 QGlobalSpace::qTan(double)
    {29, 335, 274, 2, Smoke::mf_static, 235, 84},	//401 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {29, 292, 436, 2, Smoke::mf_static, 235, 85},	//402 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 467, 76, 1, Smoke::mf_static, 135, 86},	//403 QGlobalSpace::qSetFieldWidth(int)
    {29, 351, 439, 2, Smoke::mf_static, 90, 87},	//404 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 413, 259, 1, Smoke::mf_static, 318, 88},	//405 QGlobalSpace::qFloor(double)
    {29, 318, 442, 2, Smoke::mf_static, 13, 89},	//406 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 345, 445, 2, Smoke::mf_static, 10, 90},	//407 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 431, 307, 1, Smoke::mf_static, 235, 91},	//408 QGlobalSpace::qIsFinite(float)
    {29, 303, 448, 2, Smoke::mf_static, 286, 92},	//409 QGlobalSpace::operator+(const QString&, QChar)
    {29, 292, 451, 2, Smoke::mf_static, 235, 93},	//410 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 488, 454, 3, Smoke::mf_static, 0, 94},	//411 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 303, 304, 2, Smoke::mf_static, 240, 95},	//412 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 351, 458, 2, Smoke::mf_static, 85, 96},	//413 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 303, 292, 2, Smoke::mf_static, 286, 97},	//414 QGlobalSpace::operator+(const QString&, const char*)
    {29, 335, 426, 2, Smoke::mf_static, 235, 98},	//415 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {29, 351, 461, 2, Smoke::mf_static, 98, 99},	//416 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 456, 464, 4, Smoke::mf_static, 336, 100},	//417 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 303, 469, 2, Smoke::mf_static, 286, 101},	//418 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {29, 423, 472, 1, Smoke::mf_static, 329, 102},	//419 QGlobalSpace::qHash(unsigned int)
    {29, 351, 474, 2, Smoke::mf_static, 100, 103},	//420 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 423, 316, 1, Smoke::mf_static, 329, 104},	//421 QGlobalSpace::qHash(QChar)
    {29, 322, 304, 2, Smoke::mf_static, 235, 105},	//422 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 429, 307, 1, Smoke::mf_static, 318, 106},	//423 QGlobalSpace::qIntCast(float)
    {29, 329, 477, 2, Smoke::mf_static, 235, 107},	//424 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 351, 480, 2, Smoke::mf_static, 79, 108},	//425 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 349, 483, 2, Smoke::mf_static, 2, 109},	//426 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 335, 486, 2, Smoke::mf_static, 235, 110},	//427 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 454, 489, 2, Smoke::mf_static, 336, 111},	//428 QGlobalSpace::qRealloc(void*, size_t)
    {29, 423, 3, 1, Smoke::mf_static, 329, 112},	//429 QGlobalSpace::qHash(const QString&)
    {29, 322, 426, 2, Smoke::mf_static, 235, 113},	//430 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {29, 318, 492, 2, Smoke::mf_static, 10, 114},	//431 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 318, 495, 2, Smoke::mf_static, 13, 115},	//432 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 464, 259, 1, Smoke::mf_static, 323, 116},	//433 QGlobalSpace::qRound64(double)
    {29, 427, 498, 1, Smoke::mf_static, 335, 117},	//434 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 476, 259, 1, Smoke::mf_static, 316, 118},	//435 QGlobalSpace::qSqrt(double)
    {29, 423, 500, 1, Smoke::mf_static, 329, 119},	//436 QGlobalSpace::qHash(const QModelIndex&)
    {29, 407, 259, 1, Smoke::mf_static, 316, 120},	//437 QGlobalSpace::qFastCos(double)
    {29, 345, 502, 2, Smoke::mf_static, 10, 121},	//438 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 329, 505, 2, Smoke::mf_static, 235, 122},	//439 QGlobalSpace::operator==(QBool, QBool)
    {29, 329, 508, 2, Smoke::mf_static, 235, 123},	//440 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 351, 511, 2, Smoke::mf_static, 106, 124},	//441 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 292, 411, 2, Smoke::mf_static, 235, 125},	//442 QGlobalSpace::operator!=(const char*, const QString&)
    {29, 435, 307, 1, Smoke::mf_static, 235, 126},	//443 QGlobalSpace::qIsNaN(float)
    {29, 322, 486, 2, Smoke::mf_static, 235, 127},	//444 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 411, 309, 1, Smoke::mf_static, 312, 128},	//445 QGlobalSpace::qFlagLocation(const char*)
    {29, 351, 514, 2, Smoke::mf_static, 106, 129},	//446 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 435, 259, 1, Smoke::mf_static, 235, 130},	//447 QGlobalSpace::qIsNaN(double)
    {29, 303, 517, 2, Smoke::mf_static, 286, 131},	//448 QGlobalSpace::operator+(QChar, const QString&)
    {29, 351, 520, 2, Smoke::mf_static, 106, 132},	//449 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 351, 523, 2, Smoke::mf_static, 106, 133},	//450 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 345, 526, 2, Smoke::mf_static, 10, 134},	//451 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 533, 529, 3, Smoke::mf_static, 0, 135},	//452 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 423, 533, 1, Smoke::mf_static, 329, 136},	//453 QGlobalSpace::qHash(long long)
    {29, 292, 535, 2, Smoke::mf_static, 235, 137},	//454 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 494, 397, 4, Smoke::mf_static, 238, 138},	//455 QGlobalSpace::qfcvt(long double, int, int*, int*)
    {29, 351, 538, 2, Smoke::mf_static, 106, 139},	//456 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 351, 541, 2, Smoke::mf_static, 85, 140},	//457 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 303, 544, 2, Smoke::mf_static, 286, 141},	//458 QGlobalSpace::operator+(const QString&, char)
    {29, 292, 318, 2, Smoke::mf_static, 235, 142},	//459 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 308, 295, 2, Smoke::mf_static, 276, 143},	//460 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 329, 451, 2, Smoke::mf_static, 235, 144},	//461 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 351, 547, 2, Smoke::mf_static, 93, 145},	//462 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 313, 486, 2, Smoke::mf_static, 235, 146},	//463 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 351, 550, 2, Smoke::mf_static, 103, 147},	//464 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 421, 307, 1, Smoke::mf_static, 235, 148},	//465 QGlobalSpace::qFuzzyIsNull(float)
    {29, 351, 553, 2, Smoke::mf_static, 97, 149},	//466 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 514, 556, 2, Smoke::mf_static, 238, 150},	//467 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 423, 76, 1, Smoke::mf_static, 329, 151},	//468 QGlobalSpace::qHash(int)
    {29, 303, 295, 2, Smoke::mf_static, 276, 152},	//469 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 351, 559, 2, Smoke::mf_static, 88, 153},	//470 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 329, 391, 2, Smoke::mf_static, 235, 154},	//471 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 308, 562, 1, Smoke::mf_static, 274, 155},	//472 QGlobalSpace::operator-(const QPoint&)
    {29, 351, 564, 2, Smoke::mf_static, 106, 156},	//473 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 318, 567, 2, Smoke::mf_static, 10, 157},	//474 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 351, 570, 2, Smoke::mf_static, 106, 158},	//475 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 403, 259, 1, Smoke::mf_static, 316, 159},	//476 QGlobalSpace::qExp(double)
    {29, 471, 76, 1, Smoke::mf_static, 135, 160},	//477 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 329, 573, 2, Smoke::mf_static, 235, 161},	//478 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 439, 259, 1, Smoke::mf_static, 316, 162},	//479 QGlobalSpace::qLn(double)
    {29, 292, 391, 2, Smoke::mf_static, 235, 163},	//480 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 458, 576, 1, Smoke::mf_static, 0, 164},	//481 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 392, 267, 2, Smoke::mf_static, 332, 165},	//482 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 351, 578, 2, Smoke::mf_static, 96, 166},	//483 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 441, 581, 1, Smoke::mf_static, 336, 167},	//484 QGlobalSpace::qMalloc(size_t)
    {29, 453, 0, 0, Smoke::mf_static, 316, 168},	//485 QGlobalSpace::qQNaN()
    {29, 351, 583, 2, Smoke::mf_static, 89, 169},	//486 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 345, 586, 2, Smoke::mf_static, 10, 170},	//487 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 502, 286, 2, Smoke::mf_static, 235, 171},	//488 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 318, 589, 2, Smoke::mf_static, 13, 172},	//489 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 351, 592, 2, Smoke::mf_static, 106, 173},	//490 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 507, 472, 1, Smoke::mf_static, 0, 174},	//491 QGlobalSpace::qsrand(unsigned int)
    {29, 423, 595, 1, Smoke::mf_static, 329, 175},	//492 QGlobalSpace::qHash(long)
    {29, 300, 597, 2, Smoke::mf_static, 274, 176},	//493 QGlobalSpace::operator*(int, const QPoint&)
    {29, 335, 254, 2, Smoke::mf_static, 235, 177},	//494 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 423, 600, 1, Smoke::mf_static, 329, 178},	//495 QGlobalSpace::qHash(unsigned short)
    {29, 345, 602, 2, Smoke::mf_static, 10, 179},	//496 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 292, 295, 2, Smoke::mf_static, 235, 180},	//497 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 351, 605, 2, Smoke::mf_static, 80, 181},	//498 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 526, 432, 3, Smoke::mf_static, 318, 182},	//499 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 303, 608, 2, Smoke::mf_static, 286, 183},	//500 QGlobalSpace::operator+(char, const QString&)
    {29, 345, 611, 2, Smoke::mf_static, 10, 184},	//501 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 329, 332, 2, Smoke::mf_static, 235, 185},	//502 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 329, 436, 2, Smoke::mf_static, 235, 186},	//503 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 303, 486, 2, Smoke::mf_static, 240, 187},	//504 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 423, 614, 1, Smoke::mf_static, 329, 188},	//505 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 335, 411, 2, Smoke::mf_static, 235, 189},	//506 QGlobalSpace::operator>(const char*, const QString&)
    {29, 318, 616, 2, Smoke::mf_static, 10, 190},	//507 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 318, 619, 2, Smoke::mf_static, 10, 191},	//508 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 544, 622, 3, Smoke::mf_static, 113, 192},	//509 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 351, 626, 2, Smoke::mf_static, 84, 193},	//510 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 311, 629, 2, Smoke::mf_static, 276, 194},	//511 QGlobalSpace::operator/(const QPointF&, double)
    {29, 292, 632, 2, Smoke::mf_static, 235, 195},	//512 QGlobalSpace::operator!=(bool, QBool)
    {29, 329, 426, 2, Smoke::mf_static, 235, 196},	//513 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {29, 524, 635, 3, Smoke::mf_static, 238, 197},	//514 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 483, 126, 1, Smoke::mf_static, 5, 198},	//515 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 318, 639, 2, Smoke::mf_static, 10, 199},	//516 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 345, 642, 2, Smoke::mf_static, 10, 200},	//517 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 351, 645, 2, Smoke::mf_static, 106, 201},	//518 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 308, 648, 1, Smoke::mf_static, 276, 202},	//519 QGlobalSpace::operator-(const QPointF&)
    {29, 329, 632, 2, Smoke::mf_static, 235, 203},	//520 QGlobalSpace::operator==(bool, QBool)
    {29, 504, 0, 0, Smoke::mf_static, 318, 204},	//521 QGlobalSpace::qrand()
    {29, 318, 650, 2, Smoke::mf_static, 13, 205},	//522 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 535, 653, 4, Smoke::mf_static, 0, 206},	//523 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 300, 658, 2, Smoke::mf_static, 274, 207},	//524 QGlobalSpace::operator*(float, const QPoint&)
    {29, 298, 483, 2, Smoke::mf_static, 2, 208},	//525 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 340, 286, 2, Smoke::mf_static, 235, 209},	//526 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 351, 661, 2, Smoke::mf_static, 98, 210},	//527 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 351, 664, 2, Smoke::mf_static, 106, 211},	//528 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 292, 667, 2, Smoke::mf_static, 235, 212},	//529 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 401, 0, 0, Smoke::mf_static, 13, 213},	//530 QGlobalSpace::qCritical()
    {29, 351, 670, 2, Smoke::mf_static, 92, 214},	//531 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 292, 286, 2, Smoke::mf_static, 235, 215},	//532 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 292, 356, 2, Smoke::mf_static, 235, 216},	//533 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 313, 274, 2, Smoke::mf_static, 235, 217},	//534 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {29, 329, 667, 2, Smoke::mf_static, 235, 218},	//535 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 318, 673, 2, Smoke::mf_static, 10, 219},	//536 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 303, 676, 2, Smoke::mf_static, 240, 220},	//537 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 351, 679, 2, Smoke::mf_static, 78, 221},	//538 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 351, 682, 2, Smoke::mf_static, 76, 222},	//539 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 345, 685, 2, Smoke::mf_static, 10, 223},	//540 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 340, 426, 2, Smoke::mf_static, 235, 224},	//541 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {29, 311, 688, 2, Smoke::mf_static, 284, 225},	//542 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 318, 691, 2, Smoke::mf_static, 10, 226},	//543 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 329, 356, 2, Smoke::mf_static, 235, 227},	//544 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 380, 694, 1, Smoke::mf_static, 0, 228},	//545 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 394, 696, 3, Smoke::mf_static, 5, 229},	//546 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 394, 429, 2, Smoke::mf_static, 5, 230},	//547 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 322, 286, 2, Smoke::mf_static, 235, 231},	//548 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 409, 259, 1, Smoke::mf_static, 316, 232},	//549 QGlobalSpace::qFastSin(double)
    {29, 322, 254, 2, Smoke::mf_static, 235, 233},	//550 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 318, 700, 2, Smoke::mf_static, 10, 234},	//551 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 345, 703, 2, Smoke::mf_static, 10, 235},	//552 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 382, 0, 0, Smoke::mf_static, 122, 236},	//553 QGlobalSpace::qAppName()
    {29, 486, 0, 0, Smoke::mf_static, 312, 237},	//554 QGlobalSpace::qVersion()
    {29, 415, 706, 1, Smoke::mf_static, 0, 238},	//555 QGlobalSpace::qFree(void*)
    {29, 351, 708, 2, Smoke::mf_static, 106, 239},	//556 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 417, 706, 1, Smoke::mf_static, 0, 240},	//557 QGlobalSpace::qFreeAligned(void*)
    {29, 329, 535, 2, Smoke::mf_static, 235, 241},	//558 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 318, 711, 2, Smoke::mf_static, 13, 242},	//559 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 318, 714, 2, Smoke::mf_static, 132, 243},	//560 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 313, 304, 2, Smoke::mf_static, 235, 244},	//561 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 318, 717, 2, Smoke::mf_static, 13, 245},	//562 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 351, 720, 2, Smoke::mf_static, 79, 246},	//563 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 423, 723, 1, Smoke::mf_static, 329, 247},	//564 QGlobalSpace::qHash(const QBitArray&)
    {29, 318, 725, 2, Smoke::mf_static, 13, 248},	//565 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 318, 728, 2, Smoke::mf_static, 132, 249},	//566 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 390, 259, 1, Smoke::mf_static, 318, 250},	//567 QGlobalSpace::qCeil(double)
    {29, 292, 321, 2, Smoke::mf_static, 235, 251},	//568 QGlobalSpace::operator!=(QChar, QChar)
    {29, 351, 731, 2, Smoke::mf_static, 91, 252},	//569 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 478, 734, 2, Smoke::mf_static, 235, 253},	//570 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 516, 309, 1, Smoke::mf_static, 238, 254},	//571 QGlobalSpace::qstrdup(const char*)
    {29, 345, 737, 2, Smoke::mf_static, 10, 255},	//572 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 322, 411, 2, Smoke::mf_static, 235, 256},	//573 QGlobalSpace::operator<=(const char*, const QString&)
    {29, 292, 508, 2, Smoke::mf_static, 235, 257},	//574 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 402, 0, 0, Smoke::mf_static, 13, 258},	//575 QGlobalSpace::qDebug()
    {29, 443, 740, 2, Smoke::mf_static, 336, 259},	//576 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 292, 734, 2, Smoke::mf_static, 235, 260},	//577 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 492, 743, 6, Smoke::mf_static, 318, 261},	//578 QGlobalSpace::qecvt_r(long double, int, int*, int*, char*, size_t)
    {29, 451, 298, 2, Smoke::mf_static, 316, 262},	//579 QGlobalSpace::qPow(double, double)
    {29, 322, 274, 2, Smoke::mf_static, 235, 263},	//580 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {29, 318, 750, 2, Smoke::mf_static, 13, 264},	//581 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 351, 753, 2, Smoke::mf_static, 106, 265},	//582 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 345, 714, 2, Smoke::mf_static, 132, 266},	//583 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 303, 756, 2, Smoke::mf_static, 240, 267},	//584 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 329, 286, 2, Smoke::mf_static, 235, 268},	//585 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 318, 759, 2, Smoke::mf_static, 10, 269},	//586 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 308, 283, 2, Smoke::mf_static, 282, 270},	//587 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 318, 762, 2, Smoke::mf_static, 13, 271},	//588 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 303, 411, 2, Smoke::mf_static, 286, 272},	//589 QGlobalSpace::operator+(const char*, const QString&)
    {29, 351, 765, 2, Smoke::mf_static, 106, 273},	//590 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 345, 768, 2, Smoke::mf_static, 10, 274},	//591 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 292, 573, 2, Smoke::mf_static, 235, 275},	//592 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 318, 771, 2, Smoke::mf_static, 13, 276},	//593 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 351, 774, 2, Smoke::mf_static, 95, 277},	//594 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 345, 777, 2, Smoke::mf_static, 10, 278},	//595 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 300, 780, 2, Smoke::mf_static, 276, 279},	//596 QGlobalSpace::operator*(double, const QPointF&)
    {29, 351, 783, 2, Smoke::mf_static, 90, 280},	//597 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 329, 254, 2, Smoke::mf_static, 235, 281},	//598 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 300, 786, 2, Smoke::mf_static, 282, 282},	//599 QGlobalSpace::operator*(const QSize&, double)
    {29, 318, 789, 2, Smoke::mf_static, 13, 283},	//600 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 351, 792, 2, Smoke::mf_static, 76, 284},	//601 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 550, 795, 4, Smoke::mf_static, 318, 285},	//602 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 300, 800, 2, Smoke::mf_static, 274, 286},	//603 QGlobalSpace::operator*(double, const QPoint&)
    {29, 447, 803, 3, Smoke::mf_static, 336, 287},	//604 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 318, 807, 2, Smoke::mf_static, 10, 288},	//605 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 537, 810, 2, Smoke::mf_static, 0, 289},	//606 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 423, 813, 1, Smoke::mf_static, 329, 290},	//607 QGlobalSpace::qHash(short)
    {29, 351, 815, 2, Smoke::mf_static, 81, 291},	//608 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 405, 259, 1, Smoke::mf_static, 316, 292},	//609 QGlobalSpace::qFabs(double)
    {29, 351, 818, 2, Smoke::mf_static, 89, 293},	//610 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 351, 821, 2, Smoke::mf_static, 77, 294},	//611 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 509, 486, 2, Smoke::mf_static, 318, 295},	//612 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 419, 824, 2, Smoke::mf_static, 235, 296},	//613 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 329, 827, 2, Smoke::mf_static, 235, 297},	//614 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 351, 830, 2, Smoke::mf_static, 82, 298},	//615 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 496, 743, 6, Smoke::mf_static, 318, 299},	//616 QGlobalSpace::qfcvt_r(long double, int, int*, int*, char*, size_t)
    {29, 498, 833, 3, Smoke::mf_static, 238, 300},	//617 QGlobalSpace::qgcvt(long double, int, char*)
    {29, 505, 837, 4, Smoke::mf_static, 0, 301},	//618 QGlobalSpace::qsort(void*, size_t, size_t, int(*)(const void*,const void*))
    {29, 378, 259, 1, Smoke::mf_static, 316, 302},	//619 QGlobalSpace::qAcos(double)
    {29, 351, 842, 2, Smoke::mf_static, 106, 303},	//620 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 351, 845, 2, Smoke::mf_static, 93, 304},	//621 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 340, 486, 2, Smoke::mf_static, 235, 305},	//622 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 389, 0, 0, Smoke::mf_static, 0, 306},	//623 QGlobalSpace::qBadAlloc()
    {29, 318, 848, 2, Smoke::mf_static, 13, 307},	//624 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 351, 851, 2, Smoke::mf_static, 99, 308},	//625 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 351, 854, 2, Smoke::mf_static, 106, 309},	//626 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 421, 259, 1, Smoke::mf_static, 235, 310},	//627 QGlobalSpace::qFuzzyIsNull(double)
    {29, 394, 857, 2, Smoke::mf_static, 5, 311},	//628 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 394, 126, 1, Smoke::mf_static, 5, 312},	//629 QGlobalSpace::qCompress(const QByteArray&)
    {29, 351, 860, 2, Smoke::mf_static, 87, 313},	//630 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 351, 863, 2, Smoke::mf_static, 106, 314},	//631 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 351, 866, 2, Smoke::mf_static, 102, 315},	//632 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 351, 869, 2, Smoke::mf_static, 75, 316},	//633 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 318, 872, 2, Smoke::mf_static, 10, 317},	//634 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 318, 875, 2, Smoke::mf_static, 10, 318},	//635 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 318, 878, 2, Smoke::mf_static, 10, 319},	//636 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 383, 259, 1, Smoke::mf_static, 316, 320},	//637 QGlobalSpace::qAsin(double)
    {29, 318, 881, 2, Smoke::mf_static, 13, 321},	//638 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 351, 884, 2, Smoke::mf_static, 77, 322},	//639 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 292, 477, 2, Smoke::mf_static, 235, 323},	//640 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 474, 259, 1, Smoke::mf_static, 316, 324},	//641 QGlobalSpace::qSin(double)
    {29, 351, 887, 2, Smoke::mf_static, 106, 325},	//642 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 329, 486, 2, Smoke::mf_static, 235, 326},	//643 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 345, 890, 2, Smoke::mf_static, 10, 327},	//644 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 351, 483, 2, Smoke::mf_static, 2, 328},	//645 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 318, 893, 2, Smoke::mf_static, 10, 329},	//646 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 318, 896, 2, Smoke::mf_static, 10, 330},	//647 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 351, 899, 2, Smoke::mf_static, 106, 331},	//648 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 318, 902, 2, Smoke::mf_static, 10, 332},	//649 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 530, 810, 2, Smoke::mf_static, 122, 333},	//650 QGlobalSpace::qtTrId(const char*, int)
    {29, 530, 309, 1, Smoke::mf_static, 122, 334},	//651 QGlobalSpace::qtTrId(const char*)
    {29, 318, 905, 2, Smoke::mf_static, 13, 335},	//652 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 322, 321, 2, Smoke::mf_static, 235, 336},	//653 QGlobalSpace::operator<=(QChar, QChar)
    {29, 351, 908, 2, Smoke::mf_static, 102, 337},	//654 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 292, 827, 2, Smoke::mf_static, 235, 338},	//655 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 351, 911, 2, Smoke::mf_static, 94, 339},	//656 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 345, 914, 2, Smoke::mf_static, 10, 340},	//657 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 300, 917, 2, Smoke::mf_static, 274, 341},	//658 QGlobalSpace::operator*(const QPoint&, int)
    {29, 345, 920, 2, Smoke::mf_static, 10, 342},	//659 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 548, 923, 3, Smoke::mf_static, 235, 343},	//660 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 311, 786, 2, Smoke::mf_static, 282, 344},	//661 QGlobalSpace::operator/(const QSize&, double)
    {29, 437, 307, 1, Smoke::mf_static, 235, 345},	//662 QGlobalSpace::qIsNull(float)
    {29, 546, 927, 5, Smoke::mf_static, 0, 346},	//663 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 329, 933, 2, Smoke::mf_static, 235, 347},	//664 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 385, 259, 1, Smoke::mf_static, 316, 348},	//665 QGlobalSpace::qAtan(double)
    {29, 345, 936, 2, Smoke::mf_static, 10, 349},	//666 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 351, 939, 2, Smoke::mf_static, 106, 350},	//667 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 419, 298, 2, Smoke::mf_static, 235, 351},	//668 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 292, 274, 2, Smoke::mf_static, 235, 352},	//669 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {29, 351, 942, 2, Smoke::mf_static, 91, 353},	//670 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 300, 382, 2, Smoke::mf_static, 274, 354},	//671 QGlobalSpace::operator*(const QPoint&, double)
    {29, 351, 945, 2, Smoke::mf_static, 81, 355},	//672 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 466, 0, 0, Smoke::mf_static, 316, 356},	//673 QGlobalSpace::qSNaN()
    {29, 329, 304, 2, Smoke::mf_static, 235, 357},	//674 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 300, 688, 2, Smoke::mf_static, 284, 358},	//675 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 329, 734, 2, Smoke::mf_static, 235, 359},	//676 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 300, 948, 2, Smoke::mf_static, 274, 360},	//677 QGlobalSpace::operator*(const QPoint&, float)
    {29, 300, 951, 2, Smoke::mf_static, 282, 361},	//678 QGlobalSpace::operator*(double, const QSize&)
    {29, 313, 254, 2, Smoke::mf_static, 235, 362},	//679 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 292, 954, 2, Smoke::mf_static, 235, 363},	//680 QGlobalSpace::operator!=(QBool, bool)
    {29, 292, 283, 2, Smoke::mf_static, 235, 364},	//681 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 345, 957, 2, Smoke::mf_static, 10, 365},	//682 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 292, 426, 2, Smoke::mf_static, 235, 366},	//683 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {29, 318, 960, 2, Smoke::mf_static, 13, 367},	//684 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 351, 963, 2, Smoke::mf_static, 86, 368},	//685 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 300, 629, 2, Smoke::mf_static, 276, 369},	//686 QGlobalSpace::operator*(const QPointF&, double)
    {29, 518, 338, 2, Smoke::mf_static, 318, 370},	//687 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 351, 966, 2, Smoke::mf_static, 97, 371},	//688 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 292, 313, 2, Smoke::mf_static, 235, 372},	//689 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 462, 259, 1, Smoke::mf_static, 318, 373},	//690 QGlobalSpace::qRound(double)
    {29, 426, 0, 0, Smoke::mf_static, 316, 374},	//691 QGlobalSpace::qInf()
    {29, 318, 969, 2, Smoke::mf_static, 10, 375},	//692 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 351, 972, 2, Smoke::mf_static, 94, 376},	//693 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 318, 975, 2, Smoke::mf_static, 10, 377},	//694 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 351, 978, 2, Smoke::mf_static, 82, 378},	//695 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 351, 981, 2, Smoke::mf_static, 106, 379},	//696 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 509, 304, 2, Smoke::mf_static, 318, 380},	//697 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 460, 694, 1, Smoke::mf_static, 0, 381},	//698 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 345, 984, 2, Smoke::mf_static, 10, 382},	//699 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 318, 987, 2, Smoke::mf_static, 10, 383},	//700 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 351, 990, 2, Smoke::mf_static, 96, 384},	//701 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 351, 993, 2, Smoke::mf_static, 88, 385},	//702 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 487, 0, 0, Smoke::mf_static, 13, 386},	//703 QGlobalSpace::qWarning()
    {29, 520, 309, 1, Smoke::mf_static, 329, 387},	//704 QGlobalSpace::qstrlen(const char*)
    {29, 329, 954, 2, Smoke::mf_static, 235, 388},	//705 QGlobalSpace::operator==(QBool, bool)
    {29, 345, 996, 2, Smoke::mf_static, 10, 389},	//706 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 345, 999, 2, Smoke::mf_static, 10, 390},	//707 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 423, 1002, 1, Smoke::mf_static, 329, 391},	//708 QGlobalSpace::qHash(unsigned long)
    {29, 318, 1004, 2, Smoke::mf_static, 10, 392},	//709 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 351, 1007, 2, Smoke::mf_static, 83, 393},	//710 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 329, 411, 2, Smoke::mf_static, 235, 394},	//711 QGlobalSpace::operator==(const char*, const QString&)
    {29, 318, 1010, 2, Smoke::mf_static, 10, 395},	//712 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 351, 1013, 2, Smoke::mf_static, 84, 396},	//713 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 303, 25, 2, Smoke::mf_static, 286, 397},	//714 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 292, 505, 2, Smoke::mf_static, 235, 398},	//715 QGlobalSpace::operator!=(QBool, QBool)
    {29, 351, 1016, 2, Smoke::mf_static, 75, 399},	//716 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 541, 1019, 2, Smoke::mf_static, 0, 400},	//717 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 340, 411, 2, Smoke::mf_static, 235, 401},	//718 QGlobalSpace::operator>=(const char*, const QString&)
    {29, 423, 1022, 1, Smoke::mf_static, 329, 402},	//719 QGlobalSpace::qHash(const QStringRef&)
    {29, 437, 259, 1, Smoke::mf_static, 235, 403},	//720 QGlobalSpace::qIsNull(double)
    {29, 351, 1024, 2, Smoke::mf_static, 106, 404},	//721 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 340, 274, 2, Smoke::mf_static, 235, 405},	//722 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {29, 335, 304, 2, Smoke::mf_static, 235, 406},	//723 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 423, 1027, 1, Smoke::mf_static, 329, 407},	//724 QGlobalSpace::qHash(unsigned char)
    {29, 345, 1029, 2, Smoke::mf_static, 10, 408},	//725 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 318, 1032, 2, Smoke::mf_static, 13, 409},	//726 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 351, 1035, 2, Smoke::mf_static, 106, 410},	//727 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 292, 486, 2, Smoke::mf_static, 235, 411},	//728 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 345, 1038, 2, Smoke::mf_static, 10, 412},	//729 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 318, 1041, 2, Smoke::mf_static, 10, 413},	//730 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 414},	//731 QGlobalSpace::_ISupper (enum)
    {29, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 415},	//732 QGlobalSpace::_ISlower (enum)
    {29, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 416},	//733 QGlobalSpace::_ISalpha (enum)
    {29, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 417},	//734 QGlobalSpace::_ISdigit (enum)
    {29, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 418},	//735 QGlobalSpace::_ISxdigit (enum)
    {29, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 419},	//736 QGlobalSpace::_ISspace (enum)
    {29, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 420},	//737 QGlobalSpace::_ISprint (enum)
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 421},	//738 QGlobalSpace::_ISgraph (enum)
    {29, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 422},	//739 QGlobalSpace::_ISblank (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 423},	//740 QGlobalSpace::_IScntrl (enum)
    {29, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 424},	//741 QGlobalSpace::_ISpunct (enum)
    {29, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 321, 425},	//742 QGlobalSpace::_ISalnum (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 426},	//743 QGlobalSpace::QtDebugMsg (enum)
    {29, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 427},	//744 QGlobalSpace::QtWarningMsg (enum)
    {29, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 428},	//745 QGlobalSpace::QtCriticalMsg (enum)
    {29, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 429},	//746 QGlobalSpace::QtFatalMsg (enum)
    {29, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 430},	//747 QGlobalSpace::QtSystemMsg (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 431},	//748 QGlobalSpace::__codecvt_ok (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 432},	//749 QGlobalSpace::__codecvt_partial (enum)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 433},	//750 QGlobalSpace::__codecvt_error (enum)
    {29, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 234, 434},	//751 QGlobalSpace::__codecvt_noconv (enum)
    {59, 56, 0, 0, Smoke::mf_ctor, 143, 1},	//752 QXmlAttributes::QXmlAttributes()
    {59, 232, 3, 1, Smoke::mf_const, 318, 2},	//753 QXmlAttributes::index(const QString&) const
    {59, 232, 1044, 1, Smoke::mf_const, 318, 3},	//754 QXmlAttributes::index(const QLatin1String&) const
    {59, 232, 25, 2, Smoke::mf_const, 318, 4},	//755 QXmlAttributes::index(const QString&, const QString&) const
    {59, 268, 0, 0, Smoke::mf_const, 318, 5},	//756 QXmlAttributes::length() const
    {59, 148, 0, 0, Smoke::mf_const, 318, 6},	//757 QXmlAttributes::count() const
    {59, 271, 76, 1, Smoke::mf_const, 122, 7},	//758 QXmlAttributes::localName(int) const
    {59, 449, 76, 1, Smoke::mf_const, 122, 8},	//759 QXmlAttributes::qName(int) const
    {59, 690, 76, 1, Smoke::mf_const, 122, 9},	//760 QXmlAttributes::uri(int) const
    {59, 685, 76, 1, Smoke::mf_const, 122, 10},	//761 QXmlAttributes::type(int) const
    {59, 685, 3, 1, Smoke::mf_const, 122, 11},	//762 QXmlAttributes::type(const QString&) const
    {59, 685, 25, 2, Smoke::mf_const, 122, 12},	//763 QXmlAttributes::type(const QString&, const QString&) const
    {59, 692, 76, 1, Smoke::mf_const, 122, 13},	//764 QXmlAttributes::value(int) const
    {59, 692, 3, 1, Smoke::mf_const, 122, 14},	//765 QXmlAttributes::value(const QString&) const
    {59, 692, 1044, 1, Smoke::mf_const, 122, 15},	//766 QXmlAttributes::value(const QLatin1String&) const
    {59, 692, 25, 2, Smoke::mf_const, 122, 16},	//767 QXmlAttributes::value(const QString&, const QString&) const
    {59, 138, 0, 0, 0, 0, 17},	//768 QXmlAttributes::clear()
    {59, 112, 1046, 4, 0, 0, 18},	//769 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 56, 1051, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//770 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 755, 0, 0, Smoke::mf_dtor, 0, 20 },	//771 QXmlAttributes::~QXmlAttributes()
    {60, 615, 1053, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//772 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 655, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//773 QXmlContentHandler::startDocument() [pure virtual]
    {60, 187, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//774 QXmlContentHandler::endDocument() [pure virtual]
    {60, 660, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 4},	//775 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 192, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 5},	//776 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 656, 1055, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//777 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 188, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 7},	//778 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 135, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 8},	//779 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 226, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 9},	//780 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 371, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 10},	//781 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 645, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 11},	//782 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//783 QXmlContentHandler::errorString() const [pure virtual]
    {60, 58, 0, 0, Smoke::mf_ctor, 144, 13},	//784 QXmlContentHandler::QXmlContentHandler()
    {60, 58, 1060, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//785 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 756, 0, 0, Smoke::mf_dtor, 0, 15 },	//786 QXmlContentHandler::~QXmlContentHandler()
    {61, 288, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//787 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 688, 1046, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//788 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//789 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 60, 0, 0, Smoke::mf_ctor, 145, 4},	//790 QXmlDTDHandler::QXmlDTDHandler()
    {61, 60, 1062, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//791 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 757, 0, 0, Smoke::mf_dtor, 0, 6 },	//792 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 123, 1064, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//793 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 242, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//794 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 200, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//795 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//796 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 62, 0, 0, Smoke::mf_ctor, 146, 5},	//797 QXmlDeclHandler::QXmlDeclHandler()
    {62, 62, 1070, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//798 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 758, 0, 0, Smoke::mf_dtor, 0, 7 },	//799 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 64, 0, 0, Smoke::mf_ctor, 147, 1},	//800 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 615, 1053, 1, Smoke::mf_virtual, 0, 2},	//801 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 655, 0, 0, Smoke::mf_virtual, 235, 3},	//802 QXmlDefaultHandler::startDocument()
    {63, 187, 0, 0, Smoke::mf_virtual, 235, 4},	//803 QXmlDefaultHandler::endDocument()
    {63, 660, 25, 2, Smoke::mf_virtual, 235, 5},	//804 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 192, 3, 1, Smoke::mf_virtual, 235, 6},	//805 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 656, 1055, 4, Smoke::mf_virtual, 235, 7},	//806 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 188, 218, 3, Smoke::mf_virtual, 235, 8},	//807 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 135, 3, 1, Smoke::mf_virtual, 235, 9},	//808 QXmlDefaultHandler::characters(const QString&)
    {63, 226, 3, 1, Smoke::mf_virtual, 235, 10},	//809 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 371, 25, 2, Smoke::mf_virtual, 235, 11},	//810 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 645, 3, 1, Smoke::mf_virtual, 235, 12},	//811 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 696, 1072, 1, Smoke::mf_virtual, 235, 13},	//812 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 196, 1072, 1, Smoke::mf_virtual, 235, 14},	//813 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 202, 1072, 1, Smoke::mf_virtual, 235, 15},	//814 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 288, 218, 3, Smoke::mf_virtual, 235, 16},	//815 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 688, 1046, 4, Smoke::mf_virtual, 235, 17},	//816 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 569, 1074, 3, Smoke::mf_virtual, 235, 18},	//817 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 653, 218, 3, Smoke::mf_virtual, 235, 19},	//818 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 186, 0, 0, Smoke::mf_virtual, 235, 20},	//819 QXmlDefaultHandler::endDTD()
    {63, 658, 3, 1, Smoke::mf_virtual, 235, 21},	//820 QXmlDefaultHandler::startEntity(const QString&)
    {63, 190, 3, 1, Smoke::mf_virtual, 235, 22},	//821 QXmlDefaultHandler::endEntity(const QString&)
    {63, 652, 0, 0, Smoke::mf_virtual, 235, 23},	//822 QXmlDefaultHandler::startCDATA()
    {63, 185, 0, 0, Smoke::mf_virtual, 235, 24},	//823 QXmlDefaultHandler::endCDATA()
    {63, 143, 3, 1, Smoke::mf_virtual, 235, 25},	//824 QXmlDefaultHandler::comment(const QString&)
    {63, 123, 1064, 5, Smoke::mf_virtual, 235, 26},	//825 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 242, 25, 2, Smoke::mf_virtual, 235, 27},	//826 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 200, 218, 3, Smoke::mf_virtual, 235, 28},	//827 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//828 QXmlDefaultHandler::errorString() const
    {63, 759, 0, 0, Smoke::mf_dtor, 0, 30 },	//829 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 569, 1074, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//830 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//831 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 65, 0, 0, Smoke::mf_ctor, 148, 3},	//832 QXmlEntityResolver::QXmlEntityResolver()
    {64, 65, 1078, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//833 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 760, 0, 0, Smoke::mf_dtor, 0, 5 },	//834 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 696, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//835 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 196, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//836 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 202, 1072, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//837 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//838 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 67, 0, 0, Smoke::mf_ctor, 149, 5},	//839 QXmlErrorHandler::QXmlErrorHandler()
    {65, 67, 1080, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//840 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 761, 0, 0, Smoke::mf_dtor, 0, 7 },	//841 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 69, 0, 0, Smoke::mf_ctor, 150, 1},	//842 QXmlInputSource::QXmlInputSource()
    {66, 69, 142, 1, Smoke::mf_ctor, 150, 2},	//843 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 608, 3, 1, Smoke::mf_virtual, 0, 3},	//844 QXmlInputSource::setData(const QString&)
    {66, 608, 126, 1, Smoke::mf_virtual, 0, 4},	//845 QXmlInputSource::setData(const QByteArray&)
    {66, 207, 0, 0, Smoke::mf_virtual, 0, 5},	//846 QXmlInputSource::fetchData()
    {66, 172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//847 QXmlInputSource::data() const
    {66, 280, 0, 0, Smoke::mf_virtual, 8, 7},	//848 QXmlInputSource::next()
    {66, 568, 0, 0, Smoke::mf_virtual, 0, 8},	//849 QXmlInputSource::reset()
    {66, 211, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//850 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 69, 1082, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//851 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 211, 126, 1, Smoke::mf_protected, 122, 11},	//852 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 314, 12},	//853 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 314, 13},	//854 QXmlInputSource::EndOfDocument() const
    {66, 762, 0, 0, Smoke::mf_dtor, 0, 14 },	//855 QXmlInputSource::~QXmlInputSource()
    {67, 653, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//856 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 186, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//857 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 658, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//858 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 190, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 4},	//859 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 652, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 5},	//860 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 185, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//861 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 143, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 7},	//862 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//863 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 71, 0, 0, Smoke::mf_ctor, 152, 9},	//864 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 71, 1084, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//865 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 763, 0, 0, Smoke::mf_dtor, 0, 11 },	//866 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 73, 0, 0, Smoke::mf_ctor, 153, 1},	//867 QXmlLocator::QXmlLocator()
    {68, 142, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 2},	//868 QXmlLocator::columnNumber() const [pure virtual]
    {68, 270, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 3},	//869 QXmlLocator::lineNumber() const [pure virtual]
    {68, 73, 1086, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//870 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 764, 0, 0, Smoke::mf_dtor, 0, 5 },	//871 QXmlLocator::~QXmlLocator()
    {69, 75, 0, 0, Smoke::mf_ctor, 154, 1},	//872 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 635, 25, 2, 0, 0, 2},	//873 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 362, 3, 1, Smoke::mf_const, 122, 3},	//874 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 690, 3, 1, Smoke::mf_const, 122, 4},	//875 QXmlNamespaceSupport::uri(const QString&) const
    {69, 648, 1088, 3, Smoke::mf_const, 0, 5},	//876 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 369, 1092, 4, Smoke::mf_const, 0, 6},	//877 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 364, 0, 0, Smoke::mf_const, 127, 7},	//878 QXmlNamespaceSupport::prefixes() const
    {69, 364, 3, 1, Smoke::mf_const, 127, 8},	//879 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 377, 0, 0, 0, 0, 9},	//880 QXmlNamespaceSupport::pushContext()
    {69, 361, 0, 0, 0, 0, 10},	//881 QXmlNamespaceSupport::popContext()
    {69, 568, 0, 0, 0, 0, 11},	//882 QXmlNamespaceSupport::reset()
    {69, 765, 0, 0, Smoke::mf_dtor, 0, 12 },	//883 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 76, 1097, 5, Smoke::mf_ctor, 155, 1},	//884 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 76, 1072, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//885 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 142, 0, 0, Smoke::mf_const, 318, 3},	//886 QXmlParseException::columnNumber() const
    {70, 270, 0, 0, Smoke::mf_const, 318, 4},	//887 QXmlParseException::lineNumber() const
    {70, 376, 0, 0, Smoke::mf_const, 122, 5},	//888 QXmlParseException::publicId() const
    {70, 664, 0, 0, Smoke::mf_const, 122, 6},	//889 QXmlParseException::systemId() const
    {70, 273, 0, 0, Smoke::mf_const, 122, 7},	//890 QXmlParseException::message() const
    {70, 76, 0, 0, Smoke::mf_ctor, 155, 8},	//891 QXmlParseException::QXmlParseException()
    {70, 76, 3, 1, Smoke::mf_ctor, 155, 9},	//892 QXmlParseException::QXmlParseException(const QString&)
    {70, 76, 173, 2, Smoke::mf_ctor, 155, 10},	//893 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 76, 1103, 3, Smoke::mf_ctor, 155, 11},	//894 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 76, 1107, 4, Smoke::mf_ctor, 155, 12},	//895 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 766, 0, 0, Smoke::mf_dtor, 0, 13 },	//896 QXmlParseException::~QXmlParseException()
    {71, 204, 1112, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//897 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 621, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//898 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 221, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//899 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 373, 1112, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 336, 4},	//900 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 638, 1115, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//901 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 224, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//902 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 617, 1118, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//903 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 195, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//904 QXmlReader::entityResolver() const [pure virtual]
    {71, 606, 1120, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//905 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//906 QXmlReader::DTDHandler() const [pure virtual]
    {71, 604, 1122, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//907 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 147, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//908 QXmlReader::contentHandler() const [pure virtual]
    {71, 619, 1124, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//909 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 198, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//910 QXmlReader::errorHandler() const [pure virtual]
    {71, 627, 1126, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//911 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 269, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//912 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 611, 1128, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//913 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//914 QXmlReader::declHandler() const [pure virtual]
    {71, 357, 1082, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 19},	//915 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 357, 1130, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 20},	//916 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 83, 0, 0, Smoke::mf_ctor, 156, 21},	//917 QXmlReader::QXmlReader()
    {71, 83, 1132, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//918 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 204, 3, 1, Smoke::mf_const, 235, 23},	//919 QXmlReader::feature(const QString&) const
    {71, 373, 3, 1, Smoke::mf_const, 336, 24},	//920 QXmlReader::property(const QString&) const
    {71, 767, 0, 0, Smoke::mf_dtor, 0, 25 },	//921 QXmlReader::~QXmlReader()
    {72, 85, 0, 0, Smoke::mf_ctor, 157, 1},	//922 QXmlSimpleReader::QXmlSimpleReader()
    {72, 204, 1112, 2, Smoke::mf_const|Smoke::mf_virtual, 235, 2},	//923 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 621, 90, 2, Smoke::mf_virtual, 0, 3},	//924 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 221, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 4},	//925 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 373, 1112, 2, Smoke::mf_const|Smoke::mf_virtual, 336, 5},	//926 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 638, 1115, 2, Smoke::mf_virtual, 0, 6},	//927 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 224, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 7},	//928 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 617, 1118, 1, Smoke::mf_virtual, 0, 8},	//929 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//930 QXmlSimpleReader::entityResolver() const
    {72, 606, 1120, 1, Smoke::mf_virtual, 0, 10},	//931 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//932 QXmlSimpleReader::DTDHandler() const
    {72, 604, 1122, 1, Smoke::mf_virtual, 0, 12},	//933 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//934 QXmlSimpleReader::contentHandler() const
    {72, 619, 1124, 1, Smoke::mf_virtual, 0, 14},	//935 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 198, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//936 QXmlSimpleReader::errorHandler() const
    {72, 627, 1126, 1, Smoke::mf_virtual, 0, 16},	//937 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 269, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//938 QXmlSimpleReader::lexicalHandler() const
    {72, 611, 1128, 1, Smoke::mf_virtual, 0, 18},	//939 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//940 QXmlSimpleReader::declHandler() const
    {72, 357, 1082, 1, Smoke::mf_virtual, 235, 20},	//941 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 357, 1130, 1, Smoke::mf_virtual, 235, 21},	//942 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 357, 1134, 2, Smoke::mf_virtual, 235, 22},	//943 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 360, 0, 0, Smoke::mf_virtual, 235, 23},	//944 QXmlSimpleReader::parseContinue()
    {72, 204, 3, 1, Smoke::mf_const, 235, 24},	//945 QXmlSimpleReader::feature(const QString&) const
    {72, 373, 3, 1, Smoke::mf_const, 336, 25},	//946 QXmlSimpleReader::property(const QString&) const
    {72, 768, 0, 0, Smoke::mf_dtor, 0, 26 },	//947 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 86, 0, 0, Smoke::mf_ctor, 158, 1},	//948 QXmlStreamWriter::QXmlStreamWriter()
    {76, 86, 142, 1, Smoke::mf_ctor, 158, 2},	//949 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 86, 1137, 1, Smoke::mf_ctor, 158, 3},	//950 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 86, 1139, 1, Smoke::mf_ctor, 158, 4},	//951 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 613, 142, 1, 0, 0, 5},	//952 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 176, 0, 0, Smoke::mf_const, 104, 6},	//953 QXmlStreamWriter::device() const
    {76, 586, 1141, 1, 0, 0, 7},	//954 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 586, 309, 1, 0, 0, 8},	//955 QXmlStreamWriter::setCodec(const char*)
    {76, 141, 0, 0, Smoke::mf_const, 130, 9},	//956 QXmlStreamWriter::codec() const
    {76, 582, 235, 1, 0, 0, 10},	//957 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 133, 0, 0, Smoke::mf_const, 235, 11},	//958 QXmlStreamWriter::autoFormatting() const
    {76, 584, 76, 1, 0, 0, 12},	//959 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 134, 0, 0, Smoke::mf_const, 318, 13},	//960 QXmlStreamWriter::autoFormattingIndent() const
    {76, 698, 25, 2, 0, 0, 14},	//961 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 698, 218, 3, 0, 0, 15},	//962 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 698, 1143, 1, 0, 0, 16},	//963 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 702, 1145, 1, 0, 0, 17},	//964 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 704, 3, 1, 0, 0, 18},	//965 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 706, 3, 1, 0, 0, 19},	//966 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 708, 3, 1, 0, 0, 20},	//967 QXmlStreamWriter::writeComment(const QString&)
    {76, 712, 3, 1, 0, 0, 21},	//968 QXmlStreamWriter::writeDTD(const QString&)
    {76, 716, 3, 1, 0, 0, 22},	//969 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 716, 25, 2, 0, 0, 23},	//970 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 735, 25, 2, 0, 0, 24},	//971 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 735, 218, 3, 0, 0, 25},	//972 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 719, 0, 0, 0, 0, 26},	//973 QXmlStreamWriter::writeEndDocument()
    {76, 720, 0, 0, 0, 0, 27},	//974 QXmlStreamWriter::writeEndElement()
    {76, 721, 3, 1, 0, 0, 28},	//975 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 723, 25, 2, 0, 0, 29},	//976 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 714, 3, 1, 0, 0, 30},	//977 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 726, 25, 2, 0, 0, 31},	//978 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 729, 0, 0, 0, 0, 32},	//979 QXmlStreamWriter::writeStartDocument()
    {76, 729, 3, 1, 0, 0, 33},	//980 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 729, 90, 2, 0, 0, 34},	//981 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 732, 3, 1, 0, 0, 35},	//982 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 732, 25, 2, 0, 0, 36},	//983 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 710, 1147, 1, 0, 0, 37},	//984 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 220, 0, 0, Smoke::mf_const, 235, 38},	//985 QXmlStreamWriter::hasError() const
    {76, 723, 3, 1, 0, 0, 39},	//986 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 726, 3, 1, 0, 0, 40},	//987 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 769, 0, 0, Smoke::mf_dtor, 0, 41 },	//988 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    364,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    402,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    410,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    459,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    480,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    497,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    529,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    533,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    568,  // QGlobalSpace::operator!=(QChar, QChar)
    592,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    640,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    655,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    681,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    683,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    715,  // QGlobalSpace::operator!=(QBool, QBool)
    728,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    353,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    371,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    384,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    577,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    680,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    454,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    512,  // QGlobalSpace::operator!=(bool, QBool)
    532,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    574,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    669,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    689,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    599,  // QGlobalSpace::operator*(const QSize&, double)
    658,  // QGlobalSpace::operator*(const QPoint&, int)
    671,  // QGlobalSpace::operator*(const QPoint&, double)
    675,  // QGlobalSpace::operator*(const QSizeF&, double)
    677,  // QGlobalSpace::operator*(const QPoint&, float)
    686,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    361,  // QGlobalSpace::operator*(double, const QSizeF&)
    493,  // QGlobalSpace::operator*(int, const QPoint&)
    524,  // QGlobalSpace::operator*(float, const QPoint&)
    596,  // QGlobalSpace::operator*(double, const QPointF&)
    603,  // QGlobalSpace::operator*(double, const QPoint&)
    678,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    377,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    391,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    395,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    469,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    504,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    412,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    418,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    448,  // QGlobalSpace::operator+(QChar, const QString&)
    537,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    330,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    379,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    409,  // QGlobalSpace::operator+(const QString&, QChar)
    584,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    414,  // QGlobalSpace::operator+(const QString&, const char*)
    458,  // QGlobalSpace::operator+(const QString&, char)
    500,  // QGlobalSpace::operator+(char, const QString&)
    589,  // QGlobalSpace::operator+(const char*, const QString&)
    714,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    472,  // QGlobalSpace::operator-(const QPoint&)
    519,  // QGlobalSpace::operator-(const QPointF&)
    0,
    366,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    380,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    460,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    587,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    376,  // QGlobalSpace::operator/(const QPoint&, double)
    511,  // QGlobalSpace::operator/(const QPointF&, double)
    542,  // QGlobalSpace::operator/(const QSizeF&, double)
    661,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    351,  // QGlobalSpace::operator<(QChar, QChar)
    397,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    463,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    679,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    354,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    534,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    350,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    365,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    367,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    373,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    381,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    386,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    387,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    406,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    431,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    432,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    474,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    508,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    516,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    522,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    543,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    551,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    559,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    560,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    562,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    565,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    566,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    581,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    586,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    588,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    600,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    605,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    624,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    634,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    635,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    636,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    638,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    646,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    647,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    649,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    652,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    684,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    694,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    700,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    709,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    712,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    726,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    730,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    327,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    489,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    507,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    593,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    692,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    430,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    444,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    550,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    653,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    548,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    580,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    329,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    334,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    345,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    346,  // QGlobalSpace::operator==(QChar, QChar)
    424,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    439,  // QGlobalSpace::operator==(QBool, QBool)
    461,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    471,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    478,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    503,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    513,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    535,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    544,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    598,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    614,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    643,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    664,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    328,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    502,  // QGlobalSpace::operator==(QString::Null, const QString&)
    674,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    676,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    705,  // QGlobalSpace::operator==(QBool, bool)
    0,
    326,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    341,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    440,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    520,  // QGlobalSpace::operator==(bool, QBool)
    558,  // QGlobalSpace::operator==(const QString&, QString::Null)
    585,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    359,  // QGlobalSpace::operator>(QChar, QChar)
    415,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    427,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    494,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    342,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    401,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    318,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    352,  // QGlobalSpace::operator>=(QChar, QChar)
    541,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    622,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    526,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    722,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    336,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    407,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    438,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    451,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    496,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    501,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    517,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    540,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    572,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    583,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    591,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    595,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    644,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    657,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    666,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    682,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    699,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    706,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    707,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    725,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    729,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    552,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    659,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    321,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    322,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    331,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    347,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    355,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    358,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    360,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    363,  // QGlobalSpace::operator|(QDir::Filter, int)
    368,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    369,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    372,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    374,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    375,  // QGlobalSpace::operator|(QFile::Permission, int)
    378,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    385,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    389,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    390,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    392,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    396,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    404,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    413,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    416,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    420,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    425,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    441,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    446,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    449,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    450,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    456,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    457,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    462,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    464,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    466,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    470,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    473,  // QGlobalSpace::operator|(Qt::DropAction, int)
    475,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    483,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    486,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    490,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    498,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    510,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    518,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    527,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    528,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    531,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    538,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    539,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    556,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    563,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    569,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    582,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    590,  // QGlobalSpace::operator|(Qt::WindowState, int)
    594,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    597,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    601,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    608,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    610,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    611,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    615,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    620,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    621,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    625,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    626,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    630,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    631,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    632,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    633,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    639,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    642,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    648,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    654,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    656,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    667,  // QGlobalSpace::operator|(Qt::Orientation, int)
    670,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    672,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    685,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    688,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    693,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    695,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    696,  // QGlobalSpace::operator|(Qt::WindowType, int)
    701,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    702,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    710,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    713,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    716,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    721,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    727,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    613,  // QGlobalSpace::qFuzzyCompare(float, float)
    668,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    465,  // QGlobalSpace::qFuzzyIsNull(float)
    627,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    348,  // QGlobalSpace::qHash(const QUrl&)
    349,  // QGlobalSpace::qHash(const QByteArray&)
    421,  // QGlobalSpace::qHash(QChar)
    436,  // QGlobalSpace::qHash(const QModelIndex&)
    505,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    564,  // QGlobalSpace::qHash(const QBitArray&)
    719,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    319,  // QGlobalSpace::qHash(unsigned long long)
    340,  // QGlobalSpace::qHash(signed char)
    370,  // QGlobalSpace::qHash(char)
    419,  // QGlobalSpace::qHash(unsigned int)
    429,  // QGlobalSpace::qHash(const QString&)
    453,  // QGlobalSpace::qHash(long long)
    468,  // QGlobalSpace::qHash(int)
    492,  // QGlobalSpace::qHash(long)
    495,  // QGlobalSpace::qHash(unsigned short)
    607,  // QGlobalSpace::qHash(short)
    708,  // QGlobalSpace::qHash(unsigned long)
    724,  // QGlobalSpace::qHash(unsigned char)
    0,
    343,  // QGlobalSpace::qIntCast(double)
    423,  // QGlobalSpace::qIntCast(float)
    0,
    382,  // QGlobalSpace::qIsFinite(double)
    408,  // QGlobalSpace::qIsFinite(float)
    0,
    320,  // QGlobalSpace::qIsInf(double)
    338,  // QGlobalSpace::qIsInf(float)
    0,
    443,  // QGlobalSpace::qIsNaN(float)
    447,  // QGlobalSpace::qIsNaN(double)
    0,
    662,  // QGlobalSpace::qIsNull(float)
    720,  // QGlobalSpace::qIsNull(double)
    0,
    761,  // QXmlAttributes::type(int) const
    762,  // QXmlAttributes::type(const QString&) const
    0,
    764,  // QXmlAttributes::value(int) const
    765,  // QXmlAttributes::value(const QString&) const
    0,
    949,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    950,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    941,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    942,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    843,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    851,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
    915,  // QXmlReader::parse(const QXmlInputSource&)
    916,  // QXmlReader::parse(const QXmlInputSource*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 21, 1},	// QDomAttr::QDomAttr
    {10, 22, 2},	// QDomAttr::QDomAttr#
    {10, 274, 4},	// QDomAttr::name
    {10, 285, 9},	// QDomAttr::nodeType
    {10, 328, 3},	// QDomAttr::operator=#
    {10, 355, 6},	// QDomAttr::ownerElement
    {10, 643, 8},	// QDomAttr::setValue$
    {10, 647, 5},	// QDomAttr::specified
    {10, 692, 7},	// QDomAttr::value
    {10, 738, 10},	// QDomAttr::~QDomAttr
    {11, 23, 11},	// QDomCDATASection::QDomCDATASection
    {11, 24, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 285, 14},	// QDomCDATASection::nodeType
    {11, 328, 13},	// QDomCDATASection::operator=#
    {11, 739, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 25, 16},	// QDomCharacterData::QDomCharacterData
    {12, 26, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 117, 20},	// QDomCharacterData::appendData$
    {12, 172, 25},	// QDomCharacterData::data
    {12, 175, 22},	// QDomCharacterData::deleteData$$
    {12, 241, 21},	// QDomCharacterData::insertData$$
    {12, 268, 24},	// QDomCharacterData::length
    {12, 285, 27},	// QDomCharacterData::nodeType
    {12, 328, 18},	// QDomCharacterData::operator=#
    {12, 567, 23},	// QDomCharacterData::replaceData$$$
    {12, 610, 26},	// QDomCharacterData::setData$
    {12, 663, 19},	// QDomCharacterData::substringData$$
    {12, 740, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 27, 29},	// QDomComment::QDomComment
    {13, 28, 30},	// QDomComment::QDomComment#
    {13, 285, 32},	// QDomComment::nodeType
    {13, 328, 31},	// QDomComment::operator=#
    {13, 741, 33},	// QDomComment::~QDomComment
    {14, 29, 34},	// QDomDocument::QDomDocument
    {14, 30, -374},	// QDomDocument::QDomDocument#
    {14, 31, 35},	// QDomDocument::QDomDocument$
    {14, 150, 45},	// QDomDocument::createAttribute$
    {14, 152, 50},	// QDomDocument::createAttributeNS$$
    {14, 154, 43},	// QDomDocument::createCDATASection$
    {14, 156, 42},	// QDomDocument::createComment$
    {14, 159, 40},	// QDomDocument::createDocumentFragment
    {14, 163, 39},	// QDomDocument::createElement$
    {14, 165, 49},	// QDomDocument::createElementNS$$
    {14, 167, 46},	// QDomDocument::createEntityReference$
    {14, 169, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 171, 41},	// QDomDocument::createTextNode$
    {14, 177, 53},	// QDomDocument::doctype
    {14, 178, 55},	// QDomDocument::documentElement
    {14, 180, 52},	// QDomDocument::elementById$
    {14, 182, 47},	// QDomDocument::elementsByTagName$
    {14, 184, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 229, 54},	// QDomDocument::implementation
    {14, 231, 48},	// QDomDocument::importNode#$
    {14, 285, 56},	// QDomDocument::nodeType
    {14, 328, 38},	// QDomDocument::operator=#
    {14, 590, -377},	// QDomDocument::setContent#
    {14, 591, 88},	// QDomDocument::setContent##
    {14, 592, 89},	// QDomDocument::setContent##$
    {14, 593, 90},	// QDomDocument::setContent##$$
    {14, 594, 64},	// QDomDocument::setContent##$$$
    {14, 595, -380},	// QDomDocument::setContent#$
    {14, 596, -386},	// QDomDocument::setContent#$$
    {14, 597, -392},	// QDomDocument::setContent#$$$
    {14, 598, -398},	// QDomDocument::setContent#$$$$
    {14, 599, 82},	// QDomDocument::setContent$
    {14, 600, -402},	// QDomDocument::setContent$$
    {14, 601, -405},	// QDomDocument::setContent$$$
    {14, 602, -408},	// QDomDocument::setContent$$$$
    {14, 603, 58},	// QDomDocument::setContent$$$$$
    {14, 669, 92},	// QDomDocument::toByteArray
    {14, 670, 66},	// QDomDocument::toByteArray$
    {14, 682, 91},	// QDomDocument::toString
    {14, 683, 65},	// QDomDocument::toString$
    {14, 742, 93},	// QDomDocument::~QDomDocument
    {15, 32, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 33, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 285, 97},	// QDomDocumentFragment::nodeType
    {15, 328, 96},	// QDomDocumentFragment::operator=#
    {15, 743, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 34, 99},	// QDomDocumentType::QDomDocumentType
    {16, 35, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 194, 103},	// QDomDocumentType::entities
    {16, 244, 107},	// QDomDocumentType::internalSubset
    {16, 274, 102},	// QDomDocumentType::name
    {16, 285, 108},	// QDomDocumentType::nodeType
    {16, 291, 104},	// QDomDocumentType::notations
    {16, 328, 101},	// QDomDocumentType::operator=#
    {16, 376, 105},	// QDomDocumentType::publicId
    {16, 664, 106},	// QDomDocumentType::systemId
    {16, 744, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 36, 110},	// QDomElement::QDomElement
    {17, 37, 111},	// QDomElement::QDomElement#
    {17, 121, 144},	// QDomElement::attribute$
    {17, 122, 113},	// QDomElement::attribute$$
    {17, 126, 145},	// QDomElement::attributeNS$$
    {17, 127, 127},	// QDomElement::attributeNS$$$
    {17, 129, 122},	// QDomElement::attributeNode$
    {17, 131, 135},	// QDomElement::attributeNodeNS$$
    {17, 132, 141},	// QDomElement::attributes
    {17, 182, 125},	// QDomElement::elementsByTagName$
    {17, 184, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 215, 126},	// QDomElement::hasAttribute$
    {17, 217, 138},	// QDomElement::hasAttributeNS$$
    {17, 285, 142},	// QDomElement::nodeType
    {17, 328, 112},	// QDomElement::operator=#
    {17, 553, 121},	// QDomElement::removeAttribute$
    {17, 555, 134},	// QDomElement::removeAttributeNS$$
    {17, 557, 124},	// QDomElement::removeAttributeNode#
    {17, 575, -356},	// QDomElement::setAttribute$$
    {17, 577, -364},	// QDomElement::setAttributeNS$$$
    {17, 579, 123},	// QDomElement::setAttributeNode#
    {17, 581, 136},	// QDomElement::setAttributeNodeNS#
    {17, 641, 140},	// QDomElement::setTagName$
    {17, 665, 139},	// QDomElement::tagName
    {17, 667, 143},	// QDomElement::text
    {17, 745, 146},	// QDomElement::~QDomElement
    {18, 38, 147},	// QDomEntity::QDomEntity
    {18, 39, 148},	// QDomEntity::QDomEntity#
    {18, 285, 153},	// QDomEntity::nodeType
    {18, 290, 152},	// QDomEntity::notationName
    {18, 328, 149},	// QDomEntity::operator=#
    {18, 376, 150},	// QDomEntity::publicId
    {18, 664, 151},	// QDomEntity::systemId
    {18, 746, 154},	// QDomEntity::~QDomEntity
    {19, 40, 155},	// QDomEntityReference::QDomEntityReference
    {19, 41, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 285, 158},	// QDomEntityReference::nodeType
    {19, 328, 157},	// QDomEntityReference::operator=#
    {19, 747, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 42, 160},	// QDomImplementation::QDomImplementation
    {20, 43, 161},	// QDomImplementation::QDomImplementation#
    {20, 94, 173},	// QDomImplementation::ReturnNullNode
    {20, 158, 167},	// QDomImplementation::createDocument$$#
    {20, 161, 166},	// QDomImplementation::createDocumentType$$$
    {20, 223, 165},	// QDomImplementation::hasFeature$$
    {20, 245, 168},	// QDomImplementation::invalidDataPolicy
    {20, 258, 170},	// QDomImplementation::isNull
    {20, 293, 164},	// QDomImplementation::operator!=#
    {20, 328, 162},	// QDomImplementation::operator=#
    {20, 330, 163},	// QDomImplementation::operator==#
    {20, 626, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 748, 174},	// QDomImplementation::~QDomImplementation
    {21, 44, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 45, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 146, 191},	// QDomNamedNodeMap::contains$
    {21, 148, 188},	// QDomNamedNodeMap::count
    {21, 254, 190},	// QDomNamedNodeMap::isEmpty
    {21, 264, 183},	// QDomNamedNodeMap::item$
    {21, 268, 187},	// QDomNamedNodeMap::length
    {21, 276, 180},	// QDomNamedNodeMap::namedItem$
    {21, 278, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 293, 179},	// QDomNamedNodeMap::operator!=#
    {21, 328, 177},	// QDomNamedNodeMap::operator=#
    {21, 330, 178},	// QDomNamedNodeMap::operator==#
    {21, 561, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 563, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 630, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 632, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 644, 189},	// QDomNamedNodeMap::size
    {21, 749, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 19, 279},	// QDomNode::NotationNode
    {22, 20, 274},	// QDomNode::ProcessingInstructionNode
    {22, 46, 193},	// QDomNode::QDomNode
    {22, 47, 194},	// QDomNode::QDomNode#
    {22, 95, 270},	// QDomNode::TextNode
    {22, 115, 202},	// QDomNode::appendChild#
    {22, 132, 215},	// QDomNode::attributes
    {22, 137, 210},	// QDomNode::childNodes
    {22, 138, 239},	// QDomNode::clear
    {22, 139, 261},	// QDomNode::cloneNode
    {22, 140, 204},	// QDomNode::cloneNode$
    {22, 142, 260},	// QDomNode::columnNumber
    {22, 208, 211},	// QDomNode::firstChild
    {22, 209, 262},	// QDomNode::firstChildElement
    {22, 210, 255},	// QDomNode::firstChildElement$
    {22, 218, 219},	// QDomNode::hasAttributes
    {22, 219, 203},	// QDomNode::hasChildNodes
    {22, 228, 266},	// QDomNode::impl
    {22, 237, 199},	// QDomNode::insertAfter##
    {22, 239, 198},	// QDomNode::insertBefore##
    {22, 246, 224},	// QDomNode::isAttr
    {22, 247, 225},	// QDomNode::isCDATASection
    {22, 248, 235},	// QDomNode::isCharacterData
    {22, 249, 236},	// QDomNode::isComment
    {22, 250, 227},	// QDomNode::isDocument
    {22, 251, 226},	// QDomNode::isDocumentFragment
    {22, 252, 228},	// QDomNode::isDocumentType
    {22, 253, 229},	// QDomNode::isElement
    {22, 255, 232},	// QDomNode::isEntity
    {22, 256, 230},	// QDomNode::isEntityReference
    {22, 257, 233},	// QDomNode::isNotation
    {22, 258, 238},	// QDomNode::isNull
    {22, 259, 234},	// QDomNode::isProcessingInstruction
    {22, 261, 206},	// QDomNode::isSupported$$
    {22, 262, 231},	// QDomNode::isText
    {22, 265, 212},	// QDomNode::lastChild
    {22, 266, 263},	// QDomNode::lastChildElement
    {22, 267, 256},	// QDomNode::lastChildElement$
    {22, 270, 259},	// QDomNode::lineNumber
    {22, 271, 218},	// QDomNode::localName
    {22, 276, 237},	// QDomNode::namedItem$
    {22, 279, 217},	// QDomNode::namespaceURI
    {22, 281, 214},	// QDomNode::nextSibling
    {22, 282, 265},	// QDomNode::nextSiblingElement
    {22, 283, 258},	// QDomNode::nextSiblingElement$
    {22, 284, 207},	// QDomNode::nodeName
    {22, 285, 208},	// QDomNode::nodeType
    {22, 286, 220},	// QDomNode::nodeValue
    {22, 287, 205},	// QDomNode::normalize
    {22, 293, 197},	// QDomNode::operator!=#
    {22, 328, 195},	// QDomNode::operator=#
    {22, 330, 196},	// QDomNode::operator==#
    {22, 354, 216},	// QDomNode::ownerDocument
    {22, 356, 209},	// QDomNode::parentNode
    {22, 362, 222},	// QDomNode::prefix
    {22, 366, 213},	// QDomNode::previousSibling
    {22, 367, 264},	// QDomNode::previousSiblingElement
    {22, 368, 257},	// QDomNode::previousSiblingElement$
    {22, 559, 201},	// QDomNode::removeChild#
    {22, 565, 200},	// QDomNode::replaceChild##
    {22, 572, 253},	// QDomNode::save#$
    {22, 573, 254},	// QDomNode::save#$$
    {22, 624, 267},	// QDomNode::setImpl#
    {22, 634, 221},	// QDomNode::setNodeValue$
    {22, 636, 223},	// QDomNode::setPrefix$
    {22, 668, 240},	// QDomNode::toAttr
    {22, 671, 241},	// QDomNode::toCDATASection
    {22, 672, 251},	// QDomNode::toCharacterData
    {22, 673, 252},	// QDomNode::toComment
    {22, 674, 243},	// QDomNode::toDocument
    {22, 675, 242},	// QDomNode::toDocumentFragment
    {22, 676, 244},	// QDomNode::toDocumentType
    {22, 677, 245},	// QDomNode::toElement
    {22, 678, 248},	// QDomNode::toEntity
    {22, 679, 246},	// QDomNode::toEntityReference
    {22, 680, 249},	// QDomNode::toNotation
    {22, 681, 250},	// QDomNode::toProcessingInstruction
    {22, 684, 247},	// QDomNode::toText
    {22, 750, 284},	// QDomNode::~QDomNode
    {23, 48, 285},	// QDomNodeList::QDomNodeList
    {23, 49, 286},	// QDomNodeList::QDomNodeList#
    {23, 119, 291},	// QDomNodeList::at$
    {23, 148, 293},	// QDomNodeList::count
    {23, 254, 295},	// QDomNodeList::isEmpty
    {23, 264, 290},	// QDomNodeList::item$
    {23, 268, 292},	// QDomNodeList::length
    {23, 293, 289},	// QDomNodeList::operator!=#
    {23, 328, 287},	// QDomNodeList::operator=#
    {23, 330, 288},	// QDomNodeList::operator==#
    {23, 644, 294},	// QDomNodeList::size
    {23, 751, 296},	// QDomNodeList::~QDomNodeList
    {25, 50, 297},	// QDomNotation::QDomNotation
    {25, 51, 298},	// QDomNotation::QDomNotation#
    {25, 285, 302},	// QDomNotation::nodeType
    {25, 328, 299},	// QDomNotation::operator=#
    {25, 376, 300},	// QDomNotation::publicId
    {25, 664, 301},	// QDomNotation::systemId
    {25, 752, 303},	// QDomNotation::~QDomNotation
    {26, 52, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 53, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 172, 308},	// QDomProcessingInstruction::data
    {26, 285, 310},	// QDomProcessingInstruction::nodeType
    {26, 328, 306},	// QDomProcessingInstruction::operator=#
    {26, 610, 309},	// QDomProcessingInstruction::setData$
    {26, 666, 307},	// QDomProcessingInstruction::target
    {26, 753, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 54, 312},	// QDomText::QDomText
    {27, 55, 313},	// QDomText::QDomText#
    {27, 285, 316},	// QDomText::nodeType
    {27, 328, 314},	// QDomText::operator=#
    {27, 651, 315},	// QDomText::splitText$
    {27, 754, 317},	// QDomText::~QDomText
    {29, 89, 745},	// QGlobalSpace::QtCriticalMsg
    {29, 90, 743},	// QGlobalSpace::QtDebugMsg
    {29, 91, 746},	// QGlobalSpace::QtFatalMsg
    {29, 92, 747},	// QGlobalSpace::QtSystemMsg
    {29, 93, 744},	// QGlobalSpace::QtWarningMsg
    {29, 96, 742},	// QGlobalSpace::_ISalnum
    {29, 97, 733},	// QGlobalSpace::_ISalpha
    {29, 98, 739},	// QGlobalSpace::_ISblank
    {29, 99, 740},	// QGlobalSpace::_IScntrl
    {29, 100, 734},	// QGlobalSpace::_ISdigit
    {29, 101, 738},	// QGlobalSpace::_ISgraph
    {29, 102, 732},	// QGlobalSpace::_ISlower
    {29, 103, 737},	// QGlobalSpace::_ISprint
    {29, 104, 741},	// QGlobalSpace::_ISpunct
    {29, 105, 736},	// QGlobalSpace::_ISspace
    {29, 106, 731},	// QGlobalSpace::_ISupper
    {29, 107, 735},	// QGlobalSpace::_ISxdigit
    {29, 108, 750},	// QGlobalSpace::__codecvt_error
    {29, 109, 751},	// QGlobalSpace::__codecvt_noconv
    {29, 110, 748},	// QGlobalSpace::__codecvt_ok
    {29, 111, 749},	// QGlobalSpace::__codecvt_partial
    {29, 294, -1},	// QGlobalSpace::operator!=##
    {29, 295, -18},	// QGlobalSpace::operator!=#$
    {29, 296, -24},	// QGlobalSpace::operator!=$#
    {29, 297, 442},	// QGlobalSpace::operator!=$$
    {29, 299, 525},	// QGlobalSpace::operator&##
    {29, 301, -31},	// QGlobalSpace::operator*#$
    {29, 302, -38},	// QGlobalSpace::operator*$#
    {29, 304, -45},	// QGlobalSpace::operator+##
    {29, 305, -51},	// QGlobalSpace::operator+#$
    {29, 306, -56},	// QGlobalSpace::operator+$#
    {29, 307, -61},	// QGlobalSpace::operator+$$
    {29, 309, -67},	// QGlobalSpace::operator-#
    {29, 310, -70},	// QGlobalSpace::operator-##
    {29, 312, -75},	// QGlobalSpace::operator/#$
    {29, 314, -80},	// QGlobalSpace::operator<##
    {29, 315, 561},	// QGlobalSpace::operator<#$
    {29, 316, -85},	// QGlobalSpace::operator<$#
    {29, 317, 388},	// QGlobalSpace::operator<$$
    {29, 319, -88},	// QGlobalSpace::operator<<##
    {29, 320, -131},	// QGlobalSpace::operator<<#$
    {29, 321, 536},	// QGlobalSpace::operator<<#?
    {29, 323, -137},	// QGlobalSpace::operator<=##
    {29, 324, 422},	// QGlobalSpace::operator<=#$
    {29, 325, -142},	// QGlobalSpace::operator<=$#
    {29, 326, 573},	// QGlobalSpace::operator<=$$
    {29, 331, -145},	// QGlobalSpace::operator==##
    {29, 332, -163},	// QGlobalSpace::operator==#$
    {29, 333, -169},	// QGlobalSpace::operator==$#
    {29, 334, 711},	// QGlobalSpace::operator==$$
    {29, 336, -176},	// QGlobalSpace::operator>##
    {29, 337, 723},	// QGlobalSpace::operator>#$
    {29, 338, -181},	// QGlobalSpace::operator>$#
    {29, 339, 506},	// QGlobalSpace::operator>$$
    {29, 341, -184},	// QGlobalSpace::operator>=##
    {29, 342, 337},	// QGlobalSpace::operator>=#$
    {29, 343, -189},	// QGlobalSpace::operator>=$#
    {29, 344, 718},	// QGlobalSpace::operator>=$$
    {29, 346, -192},	// QGlobalSpace::operator>>##
    {29, 347, -214},	// QGlobalSpace::operator>>#$
    {29, 348, 487},	// QGlobalSpace::operator>>#?
    {29, 350, 426},	// QGlobalSpace::operator^##
    {29, 352, 645},	// QGlobalSpace::operator|##
    {29, 353, -217},	// QGlobalSpace::operator|$$
    {29, 379, 619},	// QGlobalSpace::qAcos$
    {29, 381, 545},	// QGlobalSpace::qAddPostRoutine$
    {29, 382, 553},	// QGlobalSpace::qAppName
    {29, 384, 637},	// QGlobalSpace::qAsin$
    {29, 386, 665},	// QGlobalSpace::qAtan$
    {29, 388, 335},	// QGlobalSpace::qAtan2$$
    {29, 389, 623},	// QGlobalSpace::qBadAlloc
    {29, 391, 567},	// QGlobalSpace::qCeil$
    {29, 393, 482},	// QGlobalSpace::qChecksum$$
    {29, 395, 629},	// QGlobalSpace::qCompress#
    {29, 396, 628},	// QGlobalSpace::qCompress#$
    {29, 397, 547},	// QGlobalSpace::qCompress$$
    {29, 398, 546},	// QGlobalSpace::qCompress$$$
    {29, 400, 357},	// QGlobalSpace::qCos$
    {29, 401, 530},	// QGlobalSpace::qCritical
    {29, 402, 575},	// QGlobalSpace::qDebug
    {29, 404, 476},	// QGlobalSpace::qExp$
    {29, 406, 609},	// QGlobalSpace::qFabs$
    {29, 408, 437},	// QGlobalSpace::qFastCos$
    {29, 410, 549},	// QGlobalSpace::qFastSin$
    {29, 412, 445},	// QGlobalSpace::qFlagLocation$
    {29, 414, 405},	// QGlobalSpace::qFloor$
    {29, 416, 555},	// QGlobalSpace::qFree$
    {29, 418, 557},	// QGlobalSpace::qFreeAligned$
    {29, 420, -305},	// QGlobalSpace::qFuzzyCompare$$
    {29, 422, -308},	// QGlobalSpace::qFuzzyIsNull$
    {29, 424, -311},	// QGlobalSpace::qHash#
    {29, 425, -319},	// QGlobalSpace::qHash$
    {29, 426, 691},	// QGlobalSpace::qInf
    {29, 428, 434},	// QGlobalSpace::qInstallMsgHandler$
    {29, 430, -332},	// QGlobalSpace::qIntCast$
    {29, 432, -335},	// QGlobalSpace::qIsFinite$
    {29, 434, -338},	// QGlobalSpace::qIsInf$
    {29, 436, -341},	// QGlobalSpace::qIsNaN$
    {29, 438, -344},	// QGlobalSpace::qIsNull$
    {29, 440, 479},	// QGlobalSpace::qLn$
    {29, 442, 484},	// QGlobalSpace::qMalloc$
    {29, 444, 576},	// QGlobalSpace::qMallocAligned$$
    {29, 446, 324},	// QGlobalSpace::qMemCopy$$$
    {29, 448, 604},	// QGlobalSpace::qMemSet$$$
    {29, 452, 579},	// QGlobalSpace::qPow$$
    {29, 453, 485},	// QGlobalSpace::qQNaN
    {29, 455, 428},	// QGlobalSpace::qRealloc$$
    {29, 457, 417},	// QGlobalSpace::qReallocAligned$$$$
    {29, 459, 481},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 461, 698},	// QGlobalSpace::qRemovePostRoutine$
    {29, 463, 690},	// QGlobalSpace::qRound$
    {29, 465, 433},	// QGlobalSpace::qRound64$
    {29, 466, 673},	// QGlobalSpace::qSNaN
    {29, 468, 403},	// QGlobalSpace::qSetFieldWidth$
    {29, 470, 344},	// QGlobalSpace::qSetPadChar#
    {29, 472, 477},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 473, 362},	// QGlobalSpace::qSharedBuild
    {29, 475, 641},	// QGlobalSpace::qSin$
    {29, 477, 435},	// QGlobalSpace::qSqrt$
    {29, 479, 570},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 480, 332},	// QGlobalSpace::qStringComparisonHelper$$
    {29, 482, 400},	// QGlobalSpace::qTan$
    {29, 484, 515},	// QGlobalSpace::qUncompress#
    {29, 485, 398},	// QGlobalSpace::qUncompress$$
    {29, 486, 554},	// QGlobalSpace::qVersion
    {29, 487, 703},	// QGlobalSpace::qWarning
    {29, 489, 411},	// QGlobalSpace::qbswap_helper$$$
    {29, 491, 383},	// QGlobalSpace::qecvt$$$$
    {29, 493, 578},	// QGlobalSpace::qecvt_r$$$$$$
    {29, 495, 455},	// QGlobalSpace::qfcvt$$$$
    {29, 497, 616},	// QGlobalSpace::qfcvt_r$$$$$$
    {29, 499, 617},	// QGlobalSpace::qgcvt$$$
    {29, 501, 339},	// QGlobalSpace::qgetenv$
    {29, 503, 488},	// QGlobalSpace::qputenv$#
    {29, 504, 521},	// QGlobalSpace::qrand
    {29, 506, 618},	// QGlobalSpace::qsort$$$$
    {29, 508, 491},	// QGlobalSpace::qsrand$
    {29, 510, 612},	// QGlobalSpace::qstrcmp##
    {29, 511, 697},	// QGlobalSpace::qstrcmp#$
    {29, 512, 333},	// QGlobalSpace::qstrcmp$#
    {29, 513, 356},	// QGlobalSpace::qstrcmp$$
    {29, 515, 467},	// QGlobalSpace::qstrcpy$$
    {29, 517, 571},	// QGlobalSpace::qstrdup$
    {29, 519, 687},	// QGlobalSpace::qstricmp$$
    {29, 521, 704},	// QGlobalSpace::qstrlen$
    {29, 523, 399},	// QGlobalSpace::qstrncmp$$$
    {29, 525, 514},	// QGlobalSpace::qstrncpy$$$
    {29, 527, 499},	// QGlobalSpace::qstrnicmp$$$
    {29, 529, 323},	// QGlobalSpace::qstrnlen$$
    {29, 531, 651},	// QGlobalSpace::qtTrId$
    {29, 532, 650},	// QGlobalSpace::qtTrId$$
    {29, 534, 452},	// QGlobalSpace::qt_assert$$$
    {29, 536, 523},	// QGlobalSpace::qt_assert_x$$$$
    {29, 538, 606},	// QGlobalSpace::qt_check_pointer$$
    {29, 539, 394},	// QGlobalSpace::qt_error_string
    {29, 540, 393},	// QGlobalSpace::qt_error_string$
    {29, 542, 717},	// QGlobalSpace::qt_message_output$$
    {29, 543, 325},	// QGlobalSpace::qt_noop
    {29, 545, 509},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 547, 663},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 549, 660},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 551, 602},	// QGlobalSpace::qvsnprintf$$$?
    {59, 56, 752},	// QXmlAttributes::QXmlAttributes
    {59, 57, 770},	// QXmlAttributes::QXmlAttributes#
    {59, 113, 769},	// QXmlAttributes::append$$$$
    {59, 138, 768},	// QXmlAttributes::clear
    {59, 148, 757},	// QXmlAttributes::count
    {59, 233, 754},	// QXmlAttributes::index#
    {59, 234, 753},	// QXmlAttributes::index$
    {59, 235, 755},	// QXmlAttributes::index$$
    {59, 268, 756},	// QXmlAttributes::length
    {59, 272, 758},	// QXmlAttributes::localName$
    {59, 450, 759},	// QXmlAttributes::qName$
    {59, 686, -347},	// QXmlAttributes::type$
    {59, 687, 763},	// QXmlAttributes::type$$
    {59, 691, 760},	// QXmlAttributes::uri$
    {59, 693, 766},	// QXmlAttributes::value#
    {59, 694, -350},	// QXmlAttributes::value$
    {59, 695, 767},	// QXmlAttributes::value$$
    {59, 755, 771},	// QXmlAttributes::~QXmlAttributes
    {60, 58, 784},	// QXmlContentHandler::QXmlContentHandler
    {60, 59, 785},	// QXmlContentHandler::QXmlContentHandler#
    {60, 136, 779},	// QXmlContentHandler::characters$
    {60, 187, 774},	// QXmlContentHandler::endDocument
    {60, 189, 778},	// QXmlContentHandler::endElement$$$
    {60, 193, 776},	// QXmlContentHandler::endPrefixMapping$
    {60, 199, 783},	// QXmlContentHandler::errorString
    {60, 227, 780},	// QXmlContentHandler::ignorableWhitespace$
    {60, 372, 781},	// QXmlContentHandler::processingInstruction$$
    {60, 616, 772},	// QXmlContentHandler::setDocumentLocator#
    {60, 646, 782},	// QXmlContentHandler::skippedEntity$
    {60, 655, 773},	// QXmlContentHandler::startDocument
    {60, 657, 777},	// QXmlContentHandler::startElement$$$#
    {60, 661, 775},	// QXmlContentHandler::startPrefixMapping$$
    {60, 756, 786},	// QXmlContentHandler::~QXmlContentHandler
    {61, 60, 790},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 61, 791},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 199, 789},	// QXmlDTDHandler::errorString
    {61, 289, 787},	// QXmlDTDHandler::notationDecl$$$
    {61, 689, 788},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 757, 792},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 62, 797},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 63, 798},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 124, 793},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 199, 796},	// QXmlDeclHandler::errorString
    {62, 201, 795},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 243, 794},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 758, 799},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 64, 800},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 124, 825},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 136, 808},	// QXmlDefaultHandler::characters$
    {63, 144, 824},	// QXmlDefaultHandler::comment$
    {63, 185, 823},	// QXmlDefaultHandler::endCDATA
    {63, 186, 819},	// QXmlDefaultHandler::endDTD
    {63, 187, 803},	// QXmlDefaultHandler::endDocument
    {63, 189, 807},	// QXmlDefaultHandler::endElement$$$
    {63, 191, 821},	// QXmlDefaultHandler::endEntity$
    {63, 193, 805},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 197, 813},	// QXmlDefaultHandler::error#
    {63, 199, 828},	// QXmlDefaultHandler::errorString
    {63, 201, 827},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 203, 814},	// QXmlDefaultHandler::fatalError#
    {63, 227, 809},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 243, 826},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 289, 815},	// QXmlDefaultHandler::notationDecl$$$
    {63, 372, 810},	// QXmlDefaultHandler::processingInstruction$$
    {63, 570, 817},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 616, 801},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 646, 811},	// QXmlDefaultHandler::skippedEntity$
    {63, 652, 822},	// QXmlDefaultHandler::startCDATA
    {63, 654, 818},	// QXmlDefaultHandler::startDTD$$$
    {63, 655, 802},	// QXmlDefaultHandler::startDocument
    {63, 657, 806},	// QXmlDefaultHandler::startElement$$$#
    {63, 659, 820},	// QXmlDefaultHandler::startEntity$
    {63, 661, 804},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 689, 816},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 697, 812},	// QXmlDefaultHandler::warning#
    {63, 759, 829},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 65, 832},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 66, 833},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 199, 831},	// QXmlEntityResolver::errorString
    {64, 570, 830},	// QXmlEntityResolver::resolveEntity$$#
    {64, 760, 834},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 67, 839},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 68, 840},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 197, 836},	// QXmlErrorHandler::error#
    {65, 199, 838},	// QXmlErrorHandler::errorString
    {65, 203, 837},	// QXmlErrorHandler::fatalError#
    {65, 697, 835},	// QXmlErrorHandler::warning#
    {65, 761, 841},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 853},	// QXmlInputSource::EndOfData
    {66, 16, 854},	// QXmlInputSource::EndOfDocument
    {66, 69, 842},	// QXmlInputSource::QXmlInputSource
    {66, 70, -411},	// QXmlInputSource::QXmlInputSource#
    {66, 172, 847},	// QXmlInputSource::data
    {66, 207, 846},	// QXmlInputSource::fetchData
    {66, 212, 852},	// QXmlInputSource::fromRawData#
    {66, 213, 850},	// QXmlInputSource::fromRawData#$
    {66, 280, 848},	// QXmlInputSource::next
    {66, 568, 849},	// QXmlInputSource::reset
    {66, 609, 845},	// QXmlInputSource::setData#
    {66, 610, 844},	// QXmlInputSource::setData$
    {66, 762, 855},	// QXmlInputSource::~QXmlInputSource
    {67, 71, 864},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 72, 865},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 144, 862},	// QXmlLexicalHandler::comment$
    {67, 185, 861},	// QXmlLexicalHandler::endCDATA
    {67, 186, 857},	// QXmlLexicalHandler::endDTD
    {67, 191, 859},	// QXmlLexicalHandler::endEntity$
    {67, 199, 863},	// QXmlLexicalHandler::errorString
    {67, 652, 860},	// QXmlLexicalHandler::startCDATA
    {67, 654, 856},	// QXmlLexicalHandler::startDTD$$$
    {67, 659, 858},	// QXmlLexicalHandler::startEntity$
    {67, 763, 866},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 73, 867},	// QXmlLocator::QXmlLocator
    {68, 74, 870},	// QXmlLocator::QXmlLocator#
    {68, 142, 868},	// QXmlLocator::columnNumber
    {68, 270, 869},	// QXmlLocator::lineNumber
    {68, 764, 871},	// QXmlLocator::~QXmlLocator
    {69, 75, 872},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 361, 881},	// QXmlNamespaceSupport::popContext
    {69, 363, 874},	// QXmlNamespaceSupport::prefix$
    {69, 364, 878},	// QXmlNamespaceSupport::prefixes
    {69, 365, 879},	// QXmlNamespaceSupport::prefixes$
    {69, 370, 877},	// QXmlNamespaceSupport::processName$$$$
    {69, 377, 880},	// QXmlNamespaceSupport::pushContext
    {69, 568, 882},	// QXmlNamespaceSupport::reset
    {69, 637, 873},	// QXmlNamespaceSupport::setPrefix$$
    {69, 649, 876},	// QXmlNamespaceSupport::splitName$$$
    {69, 691, 875},	// QXmlNamespaceSupport::uri$
    {69, 765, 883},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 76, 891},	// QXmlParseException::QXmlParseException
    {70, 77, 885},	// QXmlParseException::QXmlParseException#
    {70, 78, 892},	// QXmlParseException::QXmlParseException$
    {70, 79, 893},	// QXmlParseException::QXmlParseException$$
    {70, 80, 894},	// QXmlParseException::QXmlParseException$$$
    {70, 81, 895},	// QXmlParseException::QXmlParseException$$$$
    {70, 82, 884},	// QXmlParseException::QXmlParseException$$$$$
    {70, 142, 886},	// QXmlParseException::columnNumber
    {70, 270, 887},	// QXmlParseException::lineNumber
    {70, 273, 890},	// QXmlParseException::message
    {70, 376, 888},	// QXmlParseException::publicId
    {70, 664, 889},	// QXmlParseException::systemId
    {70, 766, 896},	// QXmlParseException::~QXmlParseException
    {71, 7, 906},	// QXmlReader::DTDHandler
    {71, 83, 917},	// QXmlReader::QXmlReader
    {71, 84, 918},	// QXmlReader::QXmlReader#
    {71, 147, 908},	// QXmlReader::contentHandler
    {71, 173, 914},	// QXmlReader::declHandler
    {71, 195, 904},	// QXmlReader::entityResolver
    {71, 198, 910},	// QXmlReader::errorHandler
    {71, 205, 919},	// QXmlReader::feature$
    {71, 206, 897},	// QXmlReader::feature$$
    {71, 222, 899},	// QXmlReader::hasFeature$
    {71, 225, 902},	// QXmlReader::hasProperty$
    {71, 269, 912},	// QXmlReader::lexicalHandler
    {71, 358, -414},	// QXmlReader::parse#
    {71, 374, 920},	// QXmlReader::property$
    {71, 375, 900},	// QXmlReader::property$$
    {71, 605, 907},	// QXmlReader::setContentHandler#
    {71, 607, 905},	// QXmlReader::setDTDHandler#
    {71, 612, 913},	// QXmlReader::setDeclHandler#
    {71, 618, 903},	// QXmlReader::setEntityResolver#
    {71, 620, 909},	// QXmlReader::setErrorHandler#
    {71, 622, 898},	// QXmlReader::setFeature$$
    {71, 628, 911},	// QXmlReader::setLexicalHandler#
    {71, 639, 901},	// QXmlReader::setProperty$$
    {71, 767, 921},	// QXmlReader::~QXmlReader
    {72, 7, 932},	// QXmlSimpleReader::DTDHandler
    {72, 85, 922},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 147, 934},	// QXmlSimpleReader::contentHandler
    {72, 173, 940},	// QXmlSimpleReader::declHandler
    {72, 195, 930},	// QXmlSimpleReader::entityResolver
    {72, 198, 936},	// QXmlSimpleReader::errorHandler
    {72, 205, 945},	// QXmlSimpleReader::feature$
    {72, 206, 923},	// QXmlSimpleReader::feature$$
    {72, 222, 925},	// QXmlSimpleReader::hasFeature$
    {72, 225, 928},	// QXmlSimpleReader::hasProperty$
    {72, 269, 938},	// QXmlSimpleReader::lexicalHandler
    {72, 358, -371},	// QXmlSimpleReader::parse#
    {72, 359, 943},	// QXmlSimpleReader::parse#$
    {72, 360, 944},	// QXmlSimpleReader::parseContinue
    {72, 374, 946},	// QXmlSimpleReader::property$
    {72, 375, 926},	// QXmlSimpleReader::property$$
    {72, 605, 933},	// QXmlSimpleReader::setContentHandler#
    {72, 607, 931},	// QXmlSimpleReader::setDTDHandler#
    {72, 612, 939},	// QXmlSimpleReader::setDeclHandler#
    {72, 618, 929},	// QXmlSimpleReader::setEntityResolver#
    {72, 620, 935},	// QXmlSimpleReader::setErrorHandler#
    {72, 622, 924},	// QXmlSimpleReader::setFeature$$
    {72, 628, 937},	// QXmlSimpleReader::setLexicalHandler#
    {72, 639, 927},	// QXmlSimpleReader::setProperty$$
    {72, 768, 947},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 86, 948},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 87, -353},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 88, 951},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 133, 958},	// QXmlStreamWriter::autoFormatting
    {76, 134, 960},	// QXmlStreamWriter::autoFormattingIndent
    {76, 141, 956},	// QXmlStreamWriter::codec
    {76, 176, 953},	// QXmlStreamWriter::device
    {76, 220, 985},	// QXmlStreamWriter::hasError
    {76, 583, 957},	// QXmlStreamWriter::setAutoFormatting$
    {76, 585, 959},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 587, 954},	// QXmlStreamWriter::setCodec#
    {76, 588, 955},	// QXmlStreamWriter::setCodec$
    {76, 614, 952},	// QXmlStreamWriter::setDevice#
    {76, 699, 963},	// QXmlStreamWriter::writeAttribute#
    {76, 700, 961},	// QXmlStreamWriter::writeAttribute$$
    {76, 701, 962},	// QXmlStreamWriter::writeAttribute$$$
    {76, 703, 964},	// QXmlStreamWriter::writeAttributes#
    {76, 705, 965},	// QXmlStreamWriter::writeCDATA$
    {76, 707, 966},	// QXmlStreamWriter::writeCharacters$
    {76, 709, 967},	// QXmlStreamWriter::writeComment$
    {76, 711, 984},	// QXmlStreamWriter::writeCurrentToken#
    {76, 713, 968},	// QXmlStreamWriter::writeDTD$
    {76, 715, 977},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 717, 969},	// QXmlStreamWriter::writeEmptyElement$
    {76, 718, 970},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 719, 973},	// QXmlStreamWriter::writeEndDocument
    {76, 720, 974},	// QXmlStreamWriter::writeEndElement
    {76, 722, 975},	// QXmlStreamWriter::writeEntityReference$
    {76, 724, 986},	// QXmlStreamWriter::writeNamespace$
    {76, 725, 976},	// QXmlStreamWriter::writeNamespace$$
    {76, 727, 987},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 728, 978},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 729, 979},	// QXmlStreamWriter::writeStartDocument
    {76, 730, 980},	// QXmlStreamWriter::writeStartDocument$
    {76, 731, 981},	// QXmlStreamWriter::writeStartDocument$$
    {76, 733, 982},	// QXmlStreamWriter::writeStartElement$
    {76, 734, 983},	// QXmlStreamWriter::writeStartElement$$
    {76, 736, 971},	// QXmlStreamWriter::writeTextElement$$
    {76, 737, 972},	// QXmlStreamWriter::writeTextElement$$$
    {76, 769, 988},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 989,
        __smokeqtxml::methodMaps, 681,
        __smokeqtxml::methodNames, 769,
        __smokeqtxml::types, 337,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
